/*===========================================================================*/
/*   (Cnst/walk.scm)                                                         */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Cnst/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


BGL_IMPORT double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl_methodzd2initzd2zzcnst_walkz00();
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl__safez12z12zzcnst_walkz00(obj_t);
static obj_t BGl__cnstzd2walkz12zc0zzcnst_walkz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_za2oldzd2unsafezd2typeza2z00zzcnst_walkz00 = BUNSPEC;
extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
BGL_IMPORT obj_t string_to_bstring(char *);
static obj_t BGl_za2oldzd2unsafezd2rangeza2z00zzcnst_walkz00 = BUNSPEC;
extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
extern obj_t BGl_initializa7ezd2astz75zzcnst_initializa7eza7();
extern obj_t BGl_za2unsafezd2versionza2zd2zzengine_paramz00;
extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzcnst_walkz00();
static obj_t BGl_unsafez12z12zzcnst_walkz00();
extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
BGL_IMPORT obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzcnst_walkz00();
BGL_EXPORTED_DECL obj_t BGl_cnstzd2walkz12zc0zzcnst_walkz00(obj_t);
static obj_t BGl_za2oldzd2unsafezd2structza2z00zzcnst_walkz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
static obj_t BGl_za2oldzd2unsafezd2arityza2z00zzcnst_walkz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zzcnst_walkz00();
BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcnst_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_initializa7eza7(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_za2unsafezd2structza2zd2zzengine_paramz00;
extern obj_t BGl_za2initzd2modeza2zd2zzengine_paramz00;
extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern BgL_nodez00_bglt BGl_cnstz12z12zzcnst_nodez00(BgL_nodez00_bglt);
static obj_t BGl__unsafez12z12zzcnst_walkz00(obj_t);
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_za2unsafezd2rangeza2zd2zzengine_paramz00;
static obj_t BGl_za2oldzd2unsafezd2versionza2z00zzcnst_walkz00 = BUNSPEC;
static obj_t BGl_safez12z12zzcnst_walkz00();
static obj_t BGl_requirezd2initializa7ationz75zzcnst_walkz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzcnst_walkz00();
static obj_t __cnst[ 4 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_cnstzd2walkz12zd2envz12zzcnst_walkz00, BgL_bgl__cnstza7d2walkza712za7c0za7za7cnst_walkza7003283z00, BGl__cnstzd2walkz12zc0zzcnst_walkz00, 0L, 1 );
DEFINE_STRING( BGl_string3253z00zzcnst_walkz00, BgL_bgl_string3253za700za7za7cnst_walkza7003284z00, "(stop-cnst-alloc! safe!) cnst (start-cnst-cache! start-cnst-alloc! unsafe!) pass-started ", 89 );
DEFINE_STRING( BGl_string3252z00zzcnst_walkz00, BgL_bgl_string3252za700za7za7cnst_walkza7003285z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string3251z00zzcnst_walkz00, BgL_bgl_string3251za700za7za7cnst_walkza7003286z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string3250z00zzcnst_walkz00, BgL_bgl_string3250za700za7za7cnst_walkza7003287z00, " error", 6 );
DEFINE_STRING( BGl_string3249z00zzcnst_walkz00, BgL_bgl_string3249za700za7za7cnst_walkza7003288z00, "      [", 7 );
DEFINE_STRING( BGl_string3248z00zzcnst_walkz00, BgL_bgl_string3248za700za7za7cnst_walkza7003289z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string3247z00zzcnst_walkz00, BgL_bgl_string3247za700za7za7cnst_walkza7003290z00, "   . ", 5 );
DEFINE_STRING( BGl_string3246z00zzcnst_walkz00, BgL_bgl_string3246za700za7za7cnst_walkza7003291z00, "Cnst", 4 );
extern obj_t BGl_startzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00;
DEFINE_STATIC_PROCEDURE( BGl_unsafez12zd2envzc0zzcnst_walkz00, BgL_bgl__unsafeza712za712za7za7cnst_walkza7003292za7, BGl__unsafez12z12zzcnst_walkz00, 0L, 0 );
extern obj_t BGl_startzd2cnstzd2cachez12zd2envzc0zzcnst_cachez00;
extern obj_t BGl_stopzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00;
DEFINE_STATIC_PROCEDURE( BGl_safez12zd2envzc0zzcnst_walkz00, BgL_bgl__safeza712za712za7za7cnst_walkza7003293za7, BGl__safez12z12zzcnst_walkz00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcnst_walkz00(long BgL_checksumz00_1846, char * BgL_fromz00_1847)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcnst_walkz00))
{ 
BGl_requirezd2initializa7ationz75zzcnst_walkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcnst_walkz00(); 
BGl_cnstzd2initzd2zzcnst_walkz00(); 
BGl_importedzd2moduleszd2initz00zzcnst_walkz00(); 
BGl_toplevelzd2initzd2zzcnst_walkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcnst_walkz00()
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)0), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "cnst_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcnst_walkz00()
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 15 */
{ /* ./Cnst/walk.scm 15 */
obj_t BgL_cportz00_1839;
BgL_cportz00_1839 = 
open_input_string(BGl_string3253z00zzcnst_walkz00); 
{ 
long BgL_iz00_1840;
BgL_iz00_1840 = ((long)3); 
BgL_loopz00_1841:
{ /* ./Cnst/walk.scm 15 */
bool_t BgL_test3255z00_1842;
BgL_test3255z00_1842 = 
(BgL_iz00_1840==((long)-1)); 
if(BgL_test3255z00_1842)
{ /* ./Cnst/walk.scm 15 */
return BUNSPEC;}  else 
{ /* ./Cnst/walk.scm 15 */
{ /* ./Cnst/walk.scm 15 */
obj_t BgL_arg3257z00_1843;
{ /* ./Cnst/walk.scm 15 */
obj_t BgL_list3260z00_1844;
BgL_list3260z00_1844 = 
MAKE_PAIR(BgL_cportz00_1839, BNIL); 
BgL_arg3257z00_1843 = 
BGl_readz00zz__readerz00(BgL_list3260z00_1844); } 
{ /* ./Cnst/walk.scm 15 */
int BgL_auxz00_1866;
BgL_auxz00_1866 = 
(int)(BgL_iz00_1840); 
CNST_TABLE_SET(BgL_auxz00_1866, BgL_arg3257z00_1843); } } 
{ /* ./Cnst/walk.scm 15 */
int BgL_auxz00_1845;
{ /* ./Cnst/walk.scm 15 */
long BgL_auxz00_1869;
BgL_auxz00_1869 = 
(BgL_iz00_1840-((long)1)); 
BgL_auxz00_1845 = 
(int)(BgL_auxz00_1869); } 
{ 
long BgL_iz00_1872;
BgL_iz00_1872 = 
(long)(BgL_auxz00_1845); 
BgL_iz00_1840 = BgL_iz00_1872; 
goto BgL_loopz00_1841;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcnst_walkz00()
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 15 */
BGl_za2oldzd2unsafezd2typeza2z00zzcnst_walkz00 = BFALSE; 
BGl_za2oldzd2unsafezd2arityza2z00zzcnst_walkz00 = BFALSE; 
BGl_za2oldzd2unsafezd2rangeza2z00zzcnst_walkz00 = BFALSE; 
BGl_za2oldzd2unsafezd2structza2z00zzcnst_walkz00 = BFALSE; 
return ( 
BGl_za2oldzd2unsafezd2versionza2z00zzcnst_walkz00 = BFALSE, BUNSPEC) ;} 
}



/* cnst-walk! */
BGL_EXPORTED_DEF obj_t BGl_cnstzd2walkz12zc0zzcnst_walkz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 33 */
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_list2659z00_883;
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_arg2662z00_885;
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_arg2666z00_887;
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_auxz00_1874;
BgL_auxz00_1874 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2666z00_887 = 
MAKE_PAIR(BgL_auxz00_1874, BNIL); } 
BgL_arg2662z00_885 = 
MAKE_PAIR(BGl_string3246z00zzcnst_walkz00, BgL_arg2666z00_887); } 
BgL_list2659z00_883 = 
MAKE_PAIR(BGl_string3247z00zzcnst_walkz00, BgL_arg2662z00_885); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2659z00_883); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string3246z00zzcnst_walkz00; 
{ 
obj_t BgL_hooksz00_888;obj_t BgL_hnamesz00_889;
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_arg2670z00_891;obj_t BgL_arg2671z00_892;
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_list2674z00_893;
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_arg2676z00_894;
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_arg2679z00_895;
BgL_arg2679z00_895 = 
MAKE_PAIR(BGl_unsafez12zd2envzc0zzcnst_walkz00, BNIL); 
BgL_arg2676z00_894 = 
MAKE_PAIR(BGl_startzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00, BgL_arg2679z00_895); } 
BgL_list2674z00_893 = 
MAKE_PAIR(BGl_startzd2cnstzd2cachez12zd2envzc0zzcnst_cachez00, BgL_arg2676z00_894); } 
BgL_arg2670z00_891 = BgL_list2674z00_893; } 
BgL_arg2671z00_892 = 
CNST_TABLE_REF(((long)1)); 
BgL_hooksz00_888 = BgL_arg2670z00_891; 
BgL_hnamesz00_889 = BgL_arg2671z00_892; 
BgL_loopz00_890:
{ /* ./Cnst/walk.scm 34 */
bool_t BgL_test2682z00_896;
BgL_test2682z00_896 = 
NULLP(BgL_hooksz00_888); 
if(BgL_test2682z00_896)
{ /* ./Cnst/walk.scm 34 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* ./Cnst/walk.scm 34 */
bool_t BgL_test2683z00_897;
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_fun2698z00_903;
BgL_fun2698z00_903 = 
CAR(BgL_hooksz00_888); 
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_auxz00_1890;
BgL_auxz00_1890 = 
PROCEDURE_ENTRY(BgL_fun2698z00_903)(BgL_fun2698z00_903, BEOA); 
BgL_test2683z00_897 = 
CBOOL(BgL_auxz00_1890); } } 
if(BgL_test2683z00_897)
{ /* ./Cnst/walk.scm 34 */
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_arg2685z00_898;obj_t BgL_arg2686z00_899;
BgL_arg2685z00_898 = 
CDR(BgL_hooksz00_888); 
BgL_arg2686z00_899 = 
CDR(BgL_hnamesz00_889); 
{ 
obj_t BgL_hnamesz00_1898;obj_t BgL_hooksz00_1897;
BgL_hooksz00_1897 = BgL_arg2685z00_898; 
BgL_hnamesz00_1898 = BgL_arg2686z00_899; 
BgL_hnamesz00_889 = BgL_hnamesz00_1898; 
BgL_hooksz00_888 = BgL_hooksz00_1897; 
goto BgL_loopz00_890;} } }  else 
{ /* ./Cnst/walk.scm 34 */
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_arg2693z00_902;
BgL_arg2693z00_902 = 
CAR(BgL_hnamesz00_889); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3246z00zzcnst_walkz00, BGl_string3248z00zzcnst_walkz00, BgL_arg2693z00_902); } } } } } } 
{ /* ./Cnst/walk.scm 35 */
obj_t BgL_list2702z00_904;
{ /* ./Cnst/walk.scm 35 */
obj_t BgL_arg2705z00_906;
{ /* ./Cnst/walk.scm 35 */
obj_t BgL_arg2708z00_907;
{ /* ./Cnst/walk.scm 35 */
obj_t BgL_arg2711z00_908;
{ /* ./Cnst/walk.scm 35 */
obj_t BgL_auxz00_1901;
BgL_auxz00_1901 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2711z00_908 = 
MAKE_PAIR(BgL_auxz00_1901, BNIL); } 
{ /* ./Cnst/walk.scm 35 */
obj_t BgL_auxz00_1904;
BgL_auxz00_1904 = 
BCHAR(((unsigned char)']')); 
BgL_arg2708z00_907 = 
MAKE_PAIR(BgL_auxz00_1904, BgL_arg2711z00_908); } } 
BgL_arg2705z00_906 = 
MAKE_PAIR(BGl_za2initzd2modeza2zd2zzengine_paramz00, BgL_arg2708z00_907); } 
BgL_list2702z00_904 = 
MAKE_PAIR(BGl_string3249z00zzcnst_walkz00, BgL_arg2705z00_906); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2702z00_904); } 
{ 
obj_t BgL_l2655z00_909;
BgL_l2655z00_909 = BgL_globalsz00_1; 
BgL_forzd2each2656zd2_910:
{ /* ./Cnst/walk.scm 36 */
bool_t BgL_test2715z00_911;
BgL_test2715z00_911 = 
PAIRP(BgL_l2655z00_909); 
if(BgL_test2715z00_911)
{ /* ./Cnst/walk.scm 36 */
{ /* ./Cnst/walk.scm 37 */
obj_t BgL_globalz00_912;
BgL_globalz00_912 = 
CAR(BgL_l2655z00_909); 
{ /* ./Cnst/walk.scm 37 */
obj_t BgL_arg2717z00_913;
{ /* ./Cnst/walk.scm 37 */
BgL_variablez00_bglt BgL_obj1097z00_1336;
BgL_obj1097z00_1336 = 
(BgL_variablez00_bglt)(BgL_globalz00_912); 
BgL_arg2717z00_913 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1336))->BgL_idz00); } 
BGl_enterzd2functionzd2zztools_errorz00(BgL_arg2717z00_913); } 
{ /* ./Cnst/walk.scm 38 */
BgL_valuez00_bglt BgL_funz00_914;
{ /* ./Cnst/walk.scm 38 */
BgL_variablez00_bglt BgL_obj1104z00_1337;
BgL_obj1104z00_1337 = 
(BgL_variablez00_bglt)(BgL_globalz00_912); 
BgL_funz00_914 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1337))->BgL_valuez00); } 
{ /* ./Cnst/walk.scm 38 */
BgL_nodez00_bglt BgL_newzd2bodyzd2_915;
{ /* ./Cnst/walk.scm 39 */
obj_t BgL_arg2722z00_916;
{ /* ./Cnst/walk.scm 39 */
BgL_sfunz00_bglt BgL_obj1373z00_1338;
BgL_obj1373z00_1338 = 
(BgL_sfunz00_bglt)(BgL_funz00_914); 
BgL_arg2722z00_916 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1373z00_1338))->BgL_bodyz00); } 
BgL_newzd2bodyzd2_915 = 
BGl_cnstz12z12zzcnst_nodez00(
(BgL_nodez00_bglt)(BgL_arg2722z00_916)); } 
{ /* ./Cnst/walk.scm 39 */

{ /* ./Cnst/walk.scm 40 */
BgL_sfunz00_bglt BgL_obj1375z00_1339;obj_t BgL_val1374z00_1340;
BgL_obj1375z00_1339 = 
(BgL_sfunz00_bglt)(BgL_funz00_914); 
BgL_val1374z00_1340 = 
(obj_t)(BgL_newzd2bodyzd2_915); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1375z00_1339))->BgL_bodyz00) = ((obj_t)BgL_val1374z00_1340), BUNSPEC); } } } } 
BGl_leavezd2functionzd2zztools_errorz00(); } 
{ /* ./Cnst/walk.scm 36 */
obj_t BgL_arg2729z00_917;
BgL_arg2729z00_917 = 
CDR(BgL_l2655z00_909); 
{ 
obj_t BgL_l2655z00_1928;
BgL_l2655z00_1928 = BgL_arg2729z00_917; 
BgL_l2655z00_909 = BgL_l2655z00_1928; 
goto BgL_forzd2each2656zd2_910;} } }  else 
{ /* ./Cnst/walk.scm 36 */((bool_t)1); } } } 
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_valuez00_918;
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_arg2780z00_939;obj_t BgL_arg2781z00_940;
BgL_arg2780z00_939 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_arg2785z00_941;
BgL_arg2785z00_941 = 
BGl_initializa7ezd2astz75zzcnst_initializa7eza7(); 
BgL_arg2781z00_940 = 
bgl_append2(BgL_arg2785z00_941, BgL_globalsz00_1); } 
BgL_valuez00_918 = 
BGl_removezd2varzd2zzast_removez00(BgL_arg2780z00_939, BgL_arg2781z00_940); } 
{ /* ./Cnst/walk.scm 43 */
bool_t BgL_test2733z00_919;
{ /* ./Cnst/walk.scm 43 */
long BgL_n1z00_1342;
BgL_n1z00_1342 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2733z00_919 = 
(BgL_n1z00_1342>((long)0)); } 
if(BgL_test2733z00_919)
{ /* ./Cnst/walk.scm 43 */
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_port2657z00_920;
BgL_port2657z00_920 = 
BGL_CURRENT_ERROR_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_port2657z00_920); 
display_string(BGl_string3250z00zzcnst_walkz00, BgL_port2657z00_920); 
{ /* ./Cnst/walk.scm 43 */
char * BgL_arg2737z00_921;
{ /* ./Cnst/walk.scm 43 */
bool_t BgL_test2739z00_922;
{ /* ./Cnst/walk.scm 43 */
bool_t BgL_test2740z00_923;
{ /* ./Cnst/walk.scm 43 */
bool_t BgL_res3199z00_1350;
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_objz00_1344;
BgL_objz00_1344 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
{ /* ./Cnst/walk.scm 43 */
bool_t BgL_test1397z00_1345;
BgL_test1397z00_1345 = 
INTEGERP(BgL_objz00_1344); 
if(BgL_test1397z00_1345)
{ /* ./Cnst/walk.scm 43 */
BgL_res3199z00_1350 = ((bool_t)1); }  else 
{ /* ./Cnst/walk.scm 43 */
bool_t BgL_test1398z00_1346;
BgL_test1398z00_1346 = 
REALP(BgL_objz00_1344); 
if(BgL_test1398z00_1346)
{ /* ./Cnst/walk.scm 43 */
double BgL_arg1400z00_1347;
BgL_arg1400z00_1347 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
REAL_TO_DOUBLE(BgL_objz00_1344)); 
{ /* ./Cnst/walk.scm 43 */
double BgL_auxz00_1945;
BgL_auxz00_1945 = 
REAL_TO_DOUBLE(BgL_objz00_1344); 
BgL_res3199z00_1350 = 
(BgL_auxz00_1945==BgL_arg1400z00_1347); } }  else 
{ /* ./Cnst/walk.scm 43 */
BgL_res3199z00_1350 = ((bool_t)0); } } } } 
BgL_test2740z00_923 = BgL_res3199z00_1350; } 
if(BgL_test2740z00_923)
{ /* ./Cnst/walk.scm 43 */
BgL_test2739z00_922 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* ./Cnst/walk.scm 43 */
BgL_test2739z00_922 = ((bool_t)0); } } 
if(BgL_test2739z00_922)
{ /* ./Cnst/walk.scm 43 */
BgL_arg2737z00_921 = "s"; }  else 
{ /* ./Cnst/walk.scm 43 */
BgL_arg2737z00_921 = ""; } } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2737z00_921), BgL_port2657z00_920); } 
display_string(BGl_string3251z00zzcnst_walkz00, BgL_port2657z00_920); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2657z00_920); } 
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_list2747z00_924;
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_auxz00_1956;
BgL_auxz00_1956 = 
BINT(((long)-1)); 
BgL_list2747z00_924 = 
MAKE_PAIR(BgL_auxz00_1956, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list2747z00_924);} }  else 
{ 
obj_t BgL_hooksz00_925;obj_t BgL_hnamesz00_926;
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_arg2750z00_928;obj_t BgL_arg2751z00_929;
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_list2754z00_930;
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_arg2756z00_931;
BgL_arg2756z00_931 = 
MAKE_PAIR(BGl_safez12zd2envzc0zzcnst_walkz00, BNIL); 
BgL_list2754z00_930 = 
MAKE_PAIR(BGl_stopzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00, BgL_arg2756z00_931); } 
BgL_arg2750z00_928 = BgL_list2754z00_930; } 
BgL_arg2751z00_929 = 
CNST_TABLE_REF(((long)3)); 
BgL_hooksz00_925 = BgL_arg2750z00_928; 
BgL_hnamesz00_926 = BgL_arg2751z00_929; 
BgL_loopz00_927:
{ /* ./Cnst/walk.scm 43 */
bool_t BgL_test2759z00_932;
BgL_test2759z00_932 = 
NULLP(BgL_hooksz00_925); 
if(BgL_test2759z00_932)
{ /* ./Cnst/walk.scm 43 */
return BgL_valuez00_918;}  else 
{ /* ./Cnst/walk.scm 43 */
bool_t BgL_test2760z00_933;
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_fun2775z00_938;
BgL_fun2775z00_938 = 
CAR(BgL_hooksz00_925); 
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_auxz00_1966;
BgL_auxz00_1966 = 
PROCEDURE_ENTRY(BgL_fun2775z00_938)(BgL_fun2775z00_938, BEOA); 
BgL_test2760z00_933 = 
CBOOL(BgL_auxz00_1966); } } 
if(BgL_test2760z00_933)
{ /* ./Cnst/walk.scm 43 */
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_arg2762z00_934;obj_t BgL_arg2763z00_935;
BgL_arg2762z00_934 = 
CDR(BgL_hooksz00_925); 
BgL_arg2763z00_935 = 
CDR(BgL_hnamesz00_926); 
{ 
obj_t BgL_hnamesz00_1974;obj_t BgL_hooksz00_1973;
BgL_hooksz00_1973 = BgL_arg2762z00_934; 
BgL_hnamesz00_1974 = BgL_arg2763z00_935; 
BgL_hnamesz00_926 = BgL_hnamesz00_1974; 
BgL_hooksz00_925 = BgL_hooksz00_1973; 
goto BgL_loopz00_927;} } }  else 
{ /* ./Cnst/walk.scm 43 */
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_arg2769z00_937;
BgL_arg2769z00_937 = 
CAR(BgL_hnamesz00_926); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string3252z00zzcnst_walkz00, BgL_arg2769z00_937);} } } } } } } } } 
}



/* _cnst-walk! */
obj_t BGl__cnstzd2walkz12zc0zzcnst_walkz00(obj_t BgL_envz00_1832, obj_t BgL_globalsz00_1833)
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 33 */
return 
BGl_cnstzd2walkz12zc0zzcnst_walkz00(BgL_globalsz00_1833);} 
}



/* unsafe! */
obj_t BGl_unsafez12z12zzcnst_walkz00()
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 50 */
BGl_za2oldzd2unsafezd2typeza2z00zzcnst_walkz00 = BGl_za2unsafezd2typeza2zd2zzengine_paramz00; 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BTRUE; 
BGl_za2oldzd2unsafezd2arityza2z00zzcnst_walkz00 = BGl_za2unsafezd2arityza2zd2zzengine_paramz00; 
BGl_za2unsafezd2arityza2zd2zzengine_paramz00 = BTRUE; 
BGl_za2oldzd2unsafezd2rangeza2z00zzcnst_walkz00 = BGl_za2unsafezd2rangeza2zd2zzengine_paramz00; 
BGl_za2unsafezd2rangeza2zd2zzengine_paramz00 = BTRUE; 
BGl_za2oldzd2unsafezd2structza2z00zzcnst_walkz00 = BGl_za2unsafezd2structza2zd2zzengine_paramz00; 
BGl_za2unsafezd2structza2zd2zzengine_paramz00 = BTRUE; 
BGl_za2oldzd2unsafezd2versionza2z00zzcnst_walkz00 = BGl_za2unsafezd2versionza2zd2zzengine_paramz00; 
return ( 
BGl_za2unsafezd2versionza2zd2zzengine_paramz00 = BTRUE, BUNSPEC) ;} 
}



/* _unsafe! */
obj_t BGl__unsafez12z12zzcnst_walkz00(obj_t BgL_envz00_1834)
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 50 */
return 
BGl_unsafez12z12zzcnst_walkz00();} 
}



/* safe! */
obj_t BGl_safez12z12zzcnst_walkz00()
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 65 */
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BGl_za2oldzd2unsafezd2typeza2z00zzcnst_walkz00; 
BGl_za2unsafezd2arityza2zd2zzengine_paramz00 = BGl_za2oldzd2unsafezd2arityza2z00zzcnst_walkz00; 
BGl_za2unsafezd2rangeza2zd2zzengine_paramz00 = BGl_za2oldzd2unsafezd2rangeza2z00zzcnst_walkz00; 
BGl_za2unsafezd2structza2zd2zzengine_paramz00 = BGl_za2oldzd2unsafezd2structza2z00zzcnst_walkz00; 
return ( 
BGl_za2unsafezd2versionza2zd2zzengine_paramz00 = BGl_za2oldzd2unsafezd2versionza2z00zzcnst_walkz00, BUNSPEC) ;} 
}



/* _safe! */
obj_t BGl__safez12z12zzcnst_walkz00(obj_t BgL_envz00_1837)
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 65 */
return 
BGl_safez12z12zzcnst_walkz00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcnst_walkz00()
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcnst_walkz00()
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)10268), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zzast_removez00(((long)12493), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long)26410), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zzcnst_cachez00(((long)32847), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long)44711), "cnst_walk"); 
return 
BGl_modulezd2initializa7ationz75zzcnst_initializa7eza7(((long)51947), "cnst_walk");} 
}

