/*===========================================================================*/
/*   (Jas/wide.scm)                                                          */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Jas/wide.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
} *BgL_typez00_bglt;

typedef struct BgL_basicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
} *BgL_basicz00_bglt;

typedef struct BgL_vectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_vectz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   struct BgL_typez00_bgl * BgL_tretz00;
   obj_t BgL_targsz00;
} *BgL_funz00_bglt;

typedef struct BgL_classez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_poolz00;
} *BgL_classez00_bglt;

typedef struct BgL_fieldzd2orzd2methodz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_fieldzd2orzd2methodz00_bglt;

typedef struct BgL_fieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_fieldz00_bglt;

typedef struct BgL_methodz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_methodz00_bglt;

typedef struct BgL_attributez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_typez00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_infoz00;
} *BgL_attributez00_bglt;

typedef struct BgL_classfilez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_globalsz00;
   obj_t BgL_poolz00;
   obj_t BgL_poolzd2siza7ez75;
   obj_t BgL_flagsz00;
   obj_t BgL_mez00;
   obj_t BgL_superz00;
   obj_t BgL_interfacesz00;
   obj_t BgL_fieldsz00;
   obj_t BgL_methodsz00;
   obj_t BgL_attributesz00;
} *BgL_classfilez00_bglt;


static obj_t BGl_widez00zzjas_widez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzjas_widez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_libz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_classfilez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
static obj_t BGl_methodzd2initzd2zzjas_widez00();
extern int BGl_poolzd2namezd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t);
BGL_IMPORT obj_t BGl_zb2zb2zz__r4_numbers_6_5z00(obj_t);
extern obj_t BGl_jaszd2errorzd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t, obj_t);
extern obj_t BGl_u2z00zzjas_libz00(int);
extern int BGl_poolzd2classzd2byzd2reftypezd2zzjas_classfilez00(BgL_classfilez00_bglt, BgL_typez00_bglt);
extern int BGl_typezd2siza7ez75zzjas_classfilez00(BgL_typez00_bglt);
BGL_IMPORT obj_t BGl_absz00zz__r4_numbers_6_5z00(obj_t);
extern int BGl_poolzd2floatzd2zzjas_classfilez00(BgL_classfilez00_bglt, float);
extern int BGl_poolzd2stringzd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t);
extern int BGl_poolzd2doublezd2zzjas_classfilez00(BgL_classfilez00_bglt, double);
extern int BGl_poolzd2longzd2zzjas_classfilez00(BgL_classfilez00_bglt, long);
extern int BGl_poolzd2fieldzd2zzjas_classfilez00(BgL_classfilez00_bglt, BgL_fieldz00_bglt);
extern int BGl_poolzd2intzd2zzjas_classfilez00(BgL_classfilez00_bglt, int);
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjas_widez00();
BGL_EXPORTED_DEF obj_t BGl_resolvezd2widezd2zzjas_widez00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zzjas_widez00 = BUNSPEC;
extern int BGl_poolzd2methodzd2zzjas_classfilez00(BgL_classfilez00_bglt, BgL_methodz00_bglt);
extern int BGl_poolzd2interfacezd2methodz00zzjas_classfilez00(BgL_classfilez00_bglt, BgL_methodz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzjas_widez00();
static obj_t BGl_zc3anonymousza31425ze3z83zzjas_widez00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzjas_widez00();
BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern int BGl_poolzd2classzd2zzjas_classfilez00(BgL_classfilez00_bglt, BgL_classez00_bglt);
static obj_t *__cnst;


DEFINE_STATIC_PROCEDURE( BGl_proc2024z00zzjas_widez00, BgL_bgl_za7c3anonymousza7a31425za7e3za783za7za7jas_wideza7002038za7, BGl_zc3anonymousza31425ze3z83zzjas_widez00, 0L, 2 );
DEFINE_STRING( BGl_string2028z00zzjas_widez00, BgL_bgl_string2028za700za7za7jas_wideza7002039z00, "bad localvar args", 17 );
DEFINE_STRING( BGl_string2027z00zzjas_widez00, BgL_bgl_string2027za700za7za7jas_wideza7002040z00, "too large increment in iinc", 27 );
DEFINE_STRING( BGl_string2026z00zzjas_widez00, BgL_bgl_string2026za700za7za7jas_wideza7002041z00, "too much locals", 15 );
DEFINE_STRING( BGl_string2025z00zzjas_widez00, BgL_bgl_string2025za700za7za7jas_wideza7002042z00, "bad immediate value", 19 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzjas_widez00(long BgL_checksumz00_733, char * BgL_fromz00_734)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjas_widez00))
{ 
BGl_requirezd2initializa7ationz75zzjas_widez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjas_widez00(); 
BGl_importedzd2moduleszd2initz00zzjas_widez00(); 
BGl_toplevelzd2initzd2zzjas_widez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjas_widez00()
{ AN_OBJECT;
{ /* ./Jas/wide.scm 1 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "jas_wide"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jas_wide"); 
return BUNSPEC;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjas_widez00()
{ AN_OBJECT;
{ /* ./Jas/wide.scm 1 */
return ( 
BGl_resolvezd2widezd2zzjas_widez00 = BGl_proc2024z00zzjas_widez00, BUNSPEC) ;} 
}



/* <anonymous:1425> */
obj_t BGl_zc3anonymousza31425ze3z83zzjas_widez00(obj_t BgL_envz00_730, obj_t BgL_classfilez00_731, obj_t BgL_codez00_732)
{ AN_OBJECT;
{ /* ./Jas/wide.scm 8 */
{ 
obj_t BgL_classfilez00_236;obj_t BgL_codez00_237;
BgL_classfilez00_236 = BgL_classfilez00_731; 
BgL_codez00_237 = BgL_codez00_732; 
{ /* ./Jas/wide.scm 9 */
bool_t BgL_test1426z00_240;
BgL_test1426z00_240 = 
NULLP(BgL_codez00_237); 
if(BgL_test1426z00_240)
{ /* ./Jas/wide.scm 9 */
return BNIL;}  else 
{ /* ./Jas/wide.scm 9 */
obj_t BgL_head1413z00_241;
BgL_head1413z00_241 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1411z00_242;obj_t BgL_tail1414z00_243;
BgL_l1411z00_242 = BgL_codez00_237; 
BgL_tail1414z00_243 = BgL_head1413z00_241; 
BgL_map1412z00_244:
{ /* ./Jas/wide.scm 9 */
bool_t BgL_test1428z00_245;
BgL_test1428z00_245 = 
NULLP(BgL_l1411z00_242); 
if(BgL_test1428z00_245)
{ /* ./Jas/wide.scm 9 */
return 
CDR(BgL_head1413z00_241);}  else 
{ /* ./Jas/wide.scm 9 */
obj_t BgL_newtail1415z00_246;
{ /* ./Jas/wide.scm 9 */
obj_t BgL_arg1436z00_248;
{ /* ./Jas/wide.scm 9 */
obj_t BgL_xz00_250;
BgL_xz00_250 = 
CAR(BgL_l1411z00_242); 
{ /* ./Jas/wide.scm 9 */
bool_t BgL_test1439z00_251;
BgL_test1439z00_251 = 
PAIRP(BgL_xz00_250); 
if(BgL_test1439z00_251)
{ /* ./Jas/wide.scm 9 */
obj_t BgL_arg1441z00_252;obj_t BgL_arg1442z00_253;
BgL_arg1441z00_252 = 
CAR(BgL_xz00_250); 
BgL_arg1442z00_253 = 
CDR(BgL_xz00_250); 
BgL_arg1436z00_248 = 
BGl_widez00zzjas_widez00(BgL_classfilez00_236, BgL_arg1441z00_252, BgL_arg1442z00_253); }  else 
{ /* ./Jas/wide.scm 9 */
BgL_arg1436z00_248 = BgL_xz00_250; } } } 
BgL_newtail1415z00_246 = 
MAKE_PAIR(BgL_arg1436z00_248, BNIL); } 
SET_CDR(BgL_tail1414z00_243, BgL_newtail1415z00_246); 
{ /* ./Jas/wide.scm 9 */
obj_t BgL_arg1432z00_247;
BgL_arg1432z00_247 = 
CDR(BgL_l1411z00_242); 
{ 
obj_t BgL_tail1414z00_759;obj_t BgL_l1411z00_758;
BgL_l1411z00_758 = BgL_arg1432z00_247; 
BgL_tail1414z00_759 = BgL_newtail1415z00_246; 
BgL_tail1414z00_243 = BgL_tail1414z00_759; 
BgL_l1411z00_242 = BgL_l1411z00_758; 
goto BgL_map1412z00_244;} } } } } } } } } 
}



/* wide */
obj_t BGl_widez00zzjas_widez00(obj_t BgL_classfilez00_1, obj_t BgL_copz00_2, obj_t BgL_argsz00_3)
{ AN_OBJECT;
{ /* ./Jas/wide.scm 12 */
{ /* ./Jas/wide.scm 13 */
bool_t BgL_test1451z00_256;
BgL_test1451z00_256 = 
INTEGERP(BgL_copz00_2); 
if(BgL_test1451z00_256)
{ /* ./Jas/wide.scm 13 */
switch( 
(long)CINT(BgL_copz00_2)) { case ((long)17) : 

{ /* ./Jas/wide.scm 15 */
obj_t BgL_arg1454z00_257;
{ /* ./Jas/wide.scm 15 */
obj_t BgL_arg1457z00_258;
BgL_arg1457z00_258 = 
CAR(BgL_argsz00_3); 
BgL_arg1454z00_257 = 
BGl_u2z00zzjas_libz00(
CINT(BgL_arg1457z00_258)); } 
return 
MAKE_PAIR(BgL_copz00_2, BgL_arg1454z00_257);} break;case ((long)18) : 

{ /* ./Jas/wide.scm 17 */
obj_t BgL_vz00_259;
BgL_vz00_259 = 
CAR(BgL_argsz00_3); 
{ 
int BgL_nz00_267;
{ /* ./Jas/wide.scm 19 */
bool_t BgL_test1460z00_261;
BgL_test1460z00_261 = 
INTEGERP(BgL_vz00_259); 
if(BgL_test1460z00_261)
{ /* ./Jas/wide.scm 19 */
{ /* ./Jas/wide.scm 19 */
int BgL_arg1463z00_262;
BgL_arg1463z00_262 = 
BGl_poolzd2intzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
CINT(BgL_vz00_259)); 
BgL_nz00_267 = BgL_arg1463z00_262; 
BgL_zc3anonymousza31480ze3z83_268:
{ /* ./Jas/wide.scm 18 */
bool_t BgL_test1481z00_269;
{ /* ./Jas/wide.scm 18 */
long BgL_auxz00_772;
BgL_auxz00_772 = 
(long)(BgL_nz00_267); 
BgL_test1481z00_269 = 
(BgL_auxz00_772<((long)256)); } 
if(BgL_test1481z00_269)
{ /* ./Jas/wide.scm 18 */
obj_t BgL_list1483z00_270;
{ /* ./Jas/wide.scm 18 */
obj_t BgL_arg1486z00_272;
{ /* ./Jas/wide.scm 18 */
obj_t BgL_auxz00_776;
BgL_auxz00_776 = 
BINT(BgL_nz00_267); 
BgL_arg1486z00_272 = 
MAKE_PAIR(BgL_auxz00_776, BNIL); } 
{ /* ./Jas/wide.scm 18 */
obj_t BgL_auxz00_779;
BgL_auxz00_779 = 
BINT(((long)18)); 
BgL_list1483z00_270 = 
MAKE_PAIR(BgL_auxz00_779, BgL_arg1486z00_272); } } 
return BgL_list1483z00_270;}  else 
{ /* ./Jas/wide.scm 18 */
obj_t BgL_arg1492z00_274;
BgL_arg1492z00_274 = 
BGl_u2z00zzjas_libz00(BgL_nz00_267); 
{ /* ./Jas/wide.scm 18 */
obj_t BgL_auxz00_783;
BgL_auxz00_783 = 
BINT(((long)19)); 
return 
MAKE_PAIR(BgL_auxz00_783, BgL_arg1492z00_274);} } } } }  else 
{ /* ./Jas/wide.scm 20 */
bool_t BgL_test1466z00_263;
BgL_test1466z00_263 = 
REALP(BgL_vz00_259); 
if(BgL_test1466z00_263)
{ /* ./Jas/wide.scm 20 */
{ /* ./Jas/wide.scm 20 */
int BgL_arg1468z00_264;
BgL_arg1468z00_264 = 
BGl_poolzd2floatzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
REAL_TO_FLOAT(BgL_vz00_259)); 
{ 
int BgL_nz00_791;
BgL_nz00_791 = BgL_arg1468z00_264; 
BgL_nz00_267 = BgL_nz00_791; 
goto BgL_zc3anonymousza31480ze3z83_268;} } }  else 
{ /* ./Jas/wide.scm 21 */
bool_t BgL_test1471z00_265;
BgL_test1471z00_265 = 
STRINGP(BgL_vz00_259); 
if(BgL_test1471z00_265)
{ /* ./Jas/wide.scm 21 */
{ /* ./Jas/wide.scm 21 */
int BgL_arg1473z00_266;
BgL_arg1473z00_266 = 
BGl_poolzd2stringzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BgL_vz00_259); 
{ 
int BgL_nz00_796;
BgL_nz00_796 = BgL_arg1473z00_266; 
BgL_nz00_267 = BgL_nz00_796; 
goto BgL_zc3anonymousza31480ze3z83_268;} } }  else 
{ /* ./Jas/wide.scm 21 */
return 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BGl_string2025z00zzjas_widez00, BgL_vz00_259);} } } } } } break;case ((long)20) : 

{ /* ./Jas/wide.scm 24 */
obj_t BgL_vz00_276;
BgL_vz00_276 = 
CAR(BgL_argsz00_3); 
{ /* ./Jas/wide.scm 25 */
bool_t BgL_test1497z00_277;
BgL_test1497z00_277 = 
INTEGERP(BgL_vz00_276); 
if(BgL_test1497z00_277)
{ /* ./Jas/wide.scm 25 */
{ /* ./Jas/wide.scm 25 */
obj_t BgL_arg1500z00_279;
{ /* ./Jas/wide.scm 25 */
int BgL_arg1503z00_280;
BgL_arg1503z00_280 = 
BGl_poolzd2longzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
(long)CINT(BgL_vz00_276)); 
BgL_arg1500z00_279 = 
BGl_u2z00zzjas_libz00(BgL_arg1503z00_280); } 
{ /* ./Jas/wide.scm 25 */
obj_t BgL_auxz00_806;
BgL_auxz00_806 = 
BINT(((long)20)); 
return 
MAKE_PAIR(BgL_auxz00_806, BgL_arg1500z00_279);} } }  else 
{ /* ./Jas/wide.scm 26 */
bool_t BgL_test1506z00_281;
BgL_test1506z00_281 = 
REALP(BgL_vz00_276); 
if(BgL_test1506z00_281)
{ /* ./Jas/wide.scm 26 */
{ /* ./Jas/wide.scm 26 */
obj_t BgL_arg1510z00_283;
{ /* ./Jas/wide.scm 26 */
int BgL_arg1514z00_284;
BgL_arg1514z00_284 = 
BGl_poolzd2doublezd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
REAL_TO_DOUBLE(BgL_vz00_276)); 
BgL_arg1510z00_283 = 
BGl_u2z00zzjas_libz00(BgL_arg1514z00_284); } 
{ /* ./Jas/wide.scm 26 */
obj_t BgL_auxz00_815;
BgL_auxz00_815 = 
BINT(((long)20)); 
return 
MAKE_PAIR(BgL_auxz00_815, BgL_arg1510z00_283);} } }  else 
{ /* ./Jas/wide.scm 26 */
return 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BGl_string2025z00zzjas_widez00, BgL_vz00_276);} } } } break;case ((long)21) : 
case ((long)22) : 
case ((long)23) : 
case ((long)24) : 
case ((long)25) : 
case ((long)54) : 
case ((long)55) : 
case ((long)56) : 
case ((long)57) : 
case ((long)58) : 

{ /* ./Jas/wide.scm 29 */
obj_t BgL_indexz00_285;
BgL_indexz00_285 = 
CAR(BgL_argsz00_3); 
{ /* ./Jas/wide.scm 29 */
long BgL_basez00_286;
{ /* ./Jas/wide.scm 30 */
bool_t BgL_testz00_821;
{ /* ./Jas/wide.scm 30 */
long BgL_auxz00_822;
BgL_auxz00_822 = 
(long)CINT(BgL_copz00_2); 
BgL_testz00_821 = 
(BgL_auxz00_822>((long)50)); } 
if(BgL_testz00_821)
{ /* ./Jas/wide.scm 30 */
BgL_basez00_286 = ((long)54); }  else 
{ /* ./Jas/wide.scm 30 */
BgL_basez00_286 = ((long)21); } } 
{ /* ./Jas/wide.scm 30 */
long BgL_ismallz00_287;
{ /* ./Jas/wide.scm 31 */
long BgL_auxz00_827;long BgL_auxz00_825;
{ /* ./Jas/wide.scm 31 */
long BgL_auxz00_828;
{ /* ./Jas/wide.scm 31 */
long BgL_auxz00_829;
BgL_auxz00_829 = 
(long)CINT(BgL_copz00_2); 
BgL_auxz00_828 = 
(BgL_auxz00_829-BgL_basez00_286); } 
BgL_auxz00_827 = 
(BgL_auxz00_828*((long)4)); } 
BgL_auxz00_825 = 
(BgL_basez00_286+((long)5)); 
BgL_ismallz00_287 = 
(BgL_auxz00_825+BgL_auxz00_827); } 
{ /* ./Jas/wide.scm 31 */

{ /* ./Jas/wide.scm 32 */
bool_t BgL_test1521z00_288;
{ /* ./Jas/wide.scm 32 */
long BgL_auxz00_834;
BgL_auxz00_834 = 
(long)CINT(BgL_indexz00_285); 
BgL_test1521z00_288 = 
(BgL_auxz00_834<((long)4)); } 
if(BgL_test1521z00_288)
{ /* ./Jas/wide.scm 32 */
{ /* ./Jas/wide.scm 32 */
obj_t BgL_arg1524z00_289;
BgL_arg1524z00_289 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_ismallz00_287), BgL_indexz00_285); 
{ /* ./Jas/wide.scm 32 */
obj_t BgL_list1526z00_290;
BgL_list1526z00_290 = 
MAKE_PAIR(BgL_arg1524z00_289, BNIL); 
return BgL_list1526z00_290;} } }  else 
{ /* ./Jas/wide.scm 33 */
bool_t BgL_test1529z00_291;
{ /* ./Jas/wide.scm 33 */
long BgL_auxz00_841;
BgL_auxz00_841 = 
(long)CINT(BgL_indexz00_285); 
BgL_test1529z00_291 = 
(BgL_auxz00_841<((long)256)); } 
if(BgL_test1529z00_291)
{ /* ./Jas/wide.scm 33 */
{ /* ./Jas/wide.scm 33 */
obj_t BgL_list1531z00_292;
{ /* ./Jas/wide.scm 33 */
obj_t BgL_arg1534z00_293;
BgL_arg1534z00_293 = 
MAKE_PAIR(BgL_indexz00_285, BNIL); 
BgL_list1531z00_292 = 
MAKE_PAIR(BgL_copz00_2, BgL_arg1534z00_293); } 
return BgL_list1531z00_292;} }  else 
{ /* ./Jas/wide.scm 34 */
bool_t BgL_test1537z00_294;
{ /* ./Jas/wide.scm 34 */
long BgL_auxz00_847;
BgL_auxz00_847 = 
(long)CINT(BgL_indexz00_285); 
BgL_test1537z00_294 = 
(BgL_auxz00_847<((long)65536)); } 
if(BgL_test1537z00_294)
{ /* ./Jas/wide.scm 34 */
{ /* ./Jas/wide.scm 34 */
obj_t BgL_arg1540z00_296;
{ /* ./Jas/wide.scm 34 */
obj_t BgL_arg1543z00_297;
BgL_arg1543z00_297 = 
BGl_u2z00zzjas_libz00(
CINT(BgL_indexz00_285)); 
BgL_arg1540z00_296 = 
MAKE_PAIR(BgL_copz00_2, BgL_arg1543z00_297); } 
{ /* ./Jas/wide.scm 34 */
obj_t BgL_auxz00_854;
BgL_auxz00_854 = 
BINT(((long)196)); 
return 
MAKE_PAIR(BgL_auxz00_854, BgL_arg1540z00_296);} } }  else 
{ /* ./Jas/wide.scm 34 */
return 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BGl_string2026z00zzjas_widez00, BgL_indexz00_285);} } } } } } } } break;case ((long)132) : 

{ /* ./Jas/wide.scm 38 */
obj_t BgL_indexz00_303;obj_t BgL_nz00_304;
BgL_indexz00_303 = 
CAR(BgL_argsz00_3); 
{ /* ./Jas/wide.scm 38 */
obj_t BgL_auxz00_860;
BgL_auxz00_860 = 
CDR(BgL_argsz00_3); 
BgL_nz00_304 = 
CAR(BgL_auxz00_860); } 
{ /* ./Jas/wide.scm 40 */
bool_t BgL_test1565z00_305;
{ /* ./Jas/wide.scm 40 */
bool_t BgL_testz00_863;
{ /* ./Jas/wide.scm 40 */
long BgL_auxz00_864;
BgL_auxz00_864 = 
(long)CINT(BgL_indexz00_303); 
BgL_testz00_863 = 
(BgL_auxz00_864<((long)256)); } 
if(BgL_testz00_863)
{ /* ./Jas/wide.scm 40 */
bool_t BgL_testz00_867;
{ /* ./Jas/wide.scm 40 */
long BgL_auxz00_868;
BgL_auxz00_868 = 
(long)CINT(BgL_nz00_304); 
BgL_testz00_867 = 
(BgL_auxz00_868>((long)-129)); } 
if(BgL_testz00_867)
{ /* ./Jas/wide.scm 40 */
long BgL_auxz00_871;
BgL_auxz00_871 = 
(long)CINT(BgL_nz00_304); 
BgL_test1565z00_305 = 
(BgL_auxz00_871<((long)128)); }  else 
{ /* ./Jas/wide.scm 40 */
BgL_test1565z00_305 = ((bool_t)0); } }  else 
{ /* ./Jas/wide.scm 40 */
BgL_test1565z00_305 = ((bool_t)0); } } 
if(BgL_test1565z00_305)
{ /* ./Jas/wide.scm 40 */
{ /* ./Jas/wide.scm 41 */
obj_t BgL_list1567z00_306;
{ /* ./Jas/wide.scm 41 */
obj_t BgL_arg1570z00_308;
{ /* ./Jas/wide.scm 41 */
obj_t BgL_arg1573z00_309;
BgL_arg1573z00_309 = 
MAKE_PAIR(BgL_nz00_304, BNIL); 
BgL_arg1570z00_308 = 
MAKE_PAIR(BgL_indexz00_303, BgL_arg1573z00_309); } 
{ /* ./Jas/wide.scm 41 */
obj_t BgL_auxz00_877;
BgL_auxz00_877 = 
BINT(((long)132)); 
BgL_list1567z00_306 = 
MAKE_PAIR(BgL_auxz00_877, BgL_arg1570z00_308); } } 
return BgL_list1567z00_306;} }  else 
{ /* ./Jas/wide.scm 42 */
bool_t BgL_test1576z00_310;
{ /* ./Jas/wide.scm 42 */
long BgL_auxz00_880;
BgL_auxz00_880 = 
(long)CINT(BgL_indexz00_303); 
BgL_test1576z00_310 = 
(BgL_auxz00_880>=((long)65536)); } 
if(BgL_test1576z00_310)
{ /* ./Jas/wide.scm 42 */
return 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BGl_string2026z00zzjas_widez00, BgL_indexz00_303);}  else 
{ /* ./Jas/wide.scm 44 */
bool_t BgL_test1578z00_311;
{ /* ./Jas/wide.scm 44 */
long BgL_auxz00_886;
{ /* ./Jas/wide.scm 44 */
obj_t BgL_auxz00_887;
BgL_auxz00_887 = 
BGl_absz00zz__r4_numbers_6_5z00(BgL_nz00_304); 
BgL_auxz00_886 = 
(long)CINT(BgL_auxz00_887); } 
BgL_test1578z00_311 = 
(BgL_auxz00_886>=((long)32768)); } 
if(BgL_test1578z00_311)
{ /* ./Jas/wide.scm 44 */
return 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BGl_string2027z00zzjas_widez00, BgL_nz00_304);}  else 
{ /* ./Jas/wide.scm 44 */
{ /* ./Jas/wide.scm 46 */
obj_t BgL_arg1584z00_313;
{ /* ./Jas/wide.scm 46 */
obj_t BgL_arg1591z00_315;
{ /* ./Jas/wide.scm 46 */
obj_t BgL_arg1594z00_316;obj_t BgL_arg1596z00_317;
BgL_arg1594z00_316 = 
BGl_u2z00zzjas_libz00(
CINT(BgL_indexz00_303)); 
BgL_arg1596z00_317 = 
BGl_u2z00zzjas_libz00(
CINT(BgL_nz00_304)); 
BgL_arg1591z00_315 = 
MAKE_PAIR(BgL_arg1594z00_316, BgL_arg1596z00_317); } 
{ /* ./Jas/wide.scm 46 */
obj_t BgL_auxz00_899;
BgL_auxz00_899 = 
BINT(((long)132)); 
BgL_arg1584z00_313 = 
MAKE_PAIR(BgL_auxz00_899, BgL_arg1591z00_315); } } 
{ /* ./Jas/wide.scm 46 */
obj_t BgL_auxz00_902;
BgL_auxz00_902 = 
BINT(((long)196)); 
return 
MAKE_PAIR(BgL_auxz00_902, BgL_arg1584z00_313);} } } } } } } break;case ((long)169) : 

{ /* ./Jas/wide.scm 48 */
obj_t BgL_indexz00_322;
BgL_indexz00_322 = 
CAR(BgL_argsz00_3); 
{ /* ./Jas/wide.scm 49 */
bool_t BgL_test1614z00_323;
{ /* ./Jas/wide.scm 49 */
long BgL_auxz00_906;
BgL_auxz00_906 = 
(long)CINT(BgL_indexz00_322); 
BgL_test1614z00_323 = 
(BgL_auxz00_906<((long)256)); } 
if(BgL_test1614z00_323)
{ /* ./Jas/wide.scm 49 */
{ /* ./Jas/wide.scm 49 */
obj_t BgL_list1616z00_324;
{ /* ./Jas/wide.scm 49 */
obj_t BgL_arg1620z00_326;
BgL_arg1620z00_326 = 
MAKE_PAIR(BgL_indexz00_322, BNIL); 
{ /* ./Jas/wide.scm 49 */
obj_t BgL_auxz00_911;
BgL_auxz00_911 = 
BINT(((long)169)); 
BgL_list1616z00_324 = 
MAKE_PAIR(BgL_auxz00_911, BgL_arg1620z00_326); } } 
return BgL_list1616z00_324;} }  else 
{ /* ./Jas/wide.scm 50 */
bool_t BgL_test1623z00_327;
{ /* ./Jas/wide.scm 50 */
long BgL_auxz00_914;
BgL_auxz00_914 = 
(long)CINT(BgL_indexz00_322); 
BgL_test1623z00_327 = 
(BgL_auxz00_914<((long)65536)); } 
if(BgL_test1623z00_327)
{ /* ./Jas/wide.scm 50 */
{ /* ./Jas/wide.scm 50 */
obj_t BgL_arg1627z00_329;
{ /* ./Jas/wide.scm 50 */
obj_t BgL_arg1632z00_331;
BgL_arg1632z00_331 = 
BGl_u2z00zzjas_libz00(
CINT(BgL_indexz00_322)); 
{ /* ./Jas/wide.scm 50 */
obj_t BgL_auxz00_920;
BgL_auxz00_920 = 
BINT(((long)169)); 
BgL_arg1627z00_329 = 
MAKE_PAIR(BgL_auxz00_920, BgL_arg1632z00_331); } } 
{ /* ./Jas/wide.scm 50 */
obj_t BgL_auxz00_923;
BgL_auxz00_923 = 
BINT(((long)196)); 
return 
MAKE_PAIR(BgL_auxz00_923, BgL_arg1627z00_329);} } }  else 
{ /* ./Jas/wide.scm 50 */
return 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BGl_string2026z00zzjas_widez00, BgL_indexz00_322);} } } } break;case ((long)178) : 
case ((long)179) : 
case ((long)180) : 
case ((long)181) : 

{ /* ./Jas/wide.scm 54 */
obj_t BgL_arg1641z00_332;
{ /* ./Jas/wide.scm 54 */
int BgL_arg1645z00_333;
{ /* ./Jas/wide.scm 54 */
obj_t BgL_arg1649z00_334;
BgL_arg1649z00_334 = 
CAR(BgL_argsz00_3); 
BgL_arg1645z00_333 = 
BGl_poolzd2fieldzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
(BgL_fieldz00_bglt)(BgL_arg1649z00_334)); } 
BgL_arg1641z00_332 = 
BGl_u2z00zzjas_libz00(BgL_arg1645z00_333); } 
return 
MAKE_PAIR(BgL_copz00_2, BgL_arg1641z00_332);} break;case ((long)182) : 
case ((long)183) : 
case ((long)184) : 

{ /* ./Jas/wide.scm 56 */
obj_t BgL_arg1653z00_335;
{ /* ./Jas/wide.scm 56 */
int BgL_arg1657z00_336;
{ /* ./Jas/wide.scm 56 */
obj_t BgL_arg1660z00_337;
BgL_arg1660z00_337 = 
CAR(BgL_argsz00_3); 
BgL_arg1657z00_336 = 
BGl_poolzd2methodzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
(BgL_methodz00_bglt)(BgL_arg1660z00_337)); } 
BgL_arg1653z00_335 = 
BGl_u2z00zzjas_libz00(BgL_arg1657z00_336); } 
return 
MAKE_PAIR(BgL_copz00_2, BgL_arg1653z00_335);} break;case ((long)185) : 

{ /* ./Jas/wide.scm 58 */
obj_t BgL_mz00_338;
BgL_mz00_338 = 
CAR(BgL_argsz00_3); 
{ /* ./Jas/wide.scm 59 */
obj_t BgL_instance1418z00_339;
{ /* ./Jas/wide.scm 59 */
BgL_fieldzd2orzd2methodz00_bglt BgL_obj1141z00_575;
BgL_obj1141z00_575 = 
(BgL_fieldzd2orzd2methodz00_bglt)(BgL_mz00_338); 
BgL_instance1418z00_339 = 
(((BgL_fieldzd2orzd2methodz00_bglt)CREF(BgL_obj1141z00_575))->BgL_typez00); } 
{ /* ./Jas/wide.scm 60 */
obj_t BgL_arg1664z00_340;
{ /* ./Jas/wide.scm 60 */
obj_t BgL_arg1668z00_341;obj_t BgL_arg1669z00_342;
{ /* ./Jas/wide.scm 60 */
int BgL_arg1672z00_343;
BgL_arg1672z00_343 = 
BGl_poolzd2interfacezd2methodz00zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
(BgL_methodz00_bglt)(BgL_mz00_338)); 
BgL_arg1668z00_341 = 
BGl_u2z00zzjas_libz00(BgL_arg1672z00_343); } 
{ /* ./Jas/wide.scm 61 */
long BgL_arg1676z00_344;
{ /* ./Jas/wide.scm 61 */
obj_t BgL_arg1686z00_349;
{ /* ./Jas/wide.scm 61 */
obj_t BgL_runner1720z00_366;
{ /* ./Jas/wide.scm 61 */
obj_t BgL_l1420z00_350;
{ /* ./Jas/wide.scm 61 */
BgL_funz00_bglt BgL_obj1072z00_576;
BgL_obj1072z00_576 = 
(BgL_funz00_bglt)(BgL_instance1418z00_339); 
BgL_l1420z00_350 = 
(((BgL_funz00_bglt)CREF(BgL_obj1072z00_576))->BgL_targsz00); } 
{ /* ./Jas/wide.scm 61 */
bool_t BgL_test1688z00_351;
BgL_test1688z00_351 = 
NULLP(BgL_l1420z00_350); 
if(BgL_test1688z00_351)
{ /* ./Jas/wide.scm 61 */
BgL_runner1720z00_366 = BNIL; }  else 
{ /* ./Jas/wide.scm 61 */
obj_t BgL_head1422z00_352;
{ /* ./Jas/wide.scm 61 */
int BgL_arg1711z00_363;
{ /* ./Jas/wide.scm 61 */
obj_t BgL_arg1715z00_365;
BgL_arg1715z00_365 = 
CAR(BgL_l1420z00_350); 
BgL_arg1711z00_363 = 
BGl_typezd2siza7ez75zzjas_classfilez00(
(BgL_typez00_bglt)(BgL_arg1715z00_365)); } 
{ /* ./Jas/wide.scm 61 */
obj_t BgL_obj1z00_579;
BgL_obj1z00_579 = 
BINT(BgL_arg1711z00_363); 
BgL_head1422z00_352 = 
MAKE_PAIR(BgL_obj1z00_579, BNIL); } } 
{ 
obj_t BgL_l1420z00_353;obj_t BgL_tail1423z00_354;
{ /* ./Jas/wide.scm 61 */
obj_t BgL_arg1690z00_356;
BgL_arg1690z00_356 = 
CDR(BgL_l1420z00_350); 
BgL_l1420z00_353 = BgL_arg1690z00_356; 
BgL_tail1423z00_354 = BgL_head1422z00_352; 
BgL_map1421z00_355:
{ /* ./Jas/wide.scm 61 */
bool_t BgL_test1693z00_357;
BgL_test1693z00_357 = 
NULLP(BgL_l1420z00_353); 
if(BgL_test1693z00_357)
{ /* ./Jas/wide.scm 61 */
BgL_runner1720z00_366 = BgL_head1422z00_352; }  else 
{ /* ./Jas/wide.scm 61 */
obj_t BgL_newtail1424z00_358;
{ /* ./Jas/wide.scm 61 */
int BgL_arg1702z00_360;
{ /* ./Jas/wide.scm 61 */
obj_t BgL_arg1706z00_362;
BgL_arg1706z00_362 = 
CAR(BgL_l1420z00_353); 
BgL_arg1702z00_360 = 
BGl_typezd2siza7ez75zzjas_classfilez00(
(BgL_typez00_bglt)(BgL_arg1706z00_362)); } 
{ /* ./Jas/wide.scm 61 */
obj_t BgL_obj1z00_584;
BgL_obj1z00_584 = 
BINT(BgL_arg1702z00_360); 
BgL_newtail1424z00_358 = 
MAKE_PAIR(BgL_obj1z00_584, BNIL); } } 
SET_CDR(BgL_tail1423z00_354, BgL_newtail1424z00_358); 
{ /* ./Jas/wide.scm 61 */
obj_t BgL_arg1698z00_359;
BgL_arg1698z00_359 = 
CDR(BgL_l1420z00_353); 
{ 
obj_t BgL_tail1423z00_967;obj_t BgL_l1420z00_966;
BgL_l1420z00_966 = BgL_arg1698z00_359; 
BgL_tail1423z00_967 = BgL_newtail1424z00_358; 
BgL_tail1423z00_354 = BgL_tail1423z00_967; 
BgL_l1420z00_353 = BgL_l1420z00_966; 
goto BgL_map1421z00_355;} } } } } } } } } 
BgL_arg1686z00_349 = 
BGl_zb2zb2zz__r4_numbers_6_5z00(BgL_runner1720z00_366); } 
{ /* ./Jas/wide.scm 61 */
long BgL_auxz00_969;
BgL_auxz00_969 = 
(long)CINT(BgL_arg1686z00_349); 
BgL_arg1676z00_344 = 
(((long)1)+BgL_auxz00_969); } } 
{ /* ./Jas/wide.scm 61 */
obj_t BgL_list1679z00_346;
{ /* ./Jas/wide.scm 61 */
obj_t BgL_arg1681z00_347;
{ /* ./Jas/wide.scm 61 */
obj_t BgL_auxz00_972;
BgL_auxz00_972 = 
BINT(((long)0)); 
BgL_arg1681z00_347 = 
MAKE_PAIR(BgL_auxz00_972, BNIL); } 
{ /* ./Jas/wide.scm 61 */
obj_t BgL_auxz00_975;
BgL_auxz00_975 = 
BINT(BgL_arg1676z00_344); 
BgL_list1679z00_346 = 
MAKE_PAIR(BgL_auxz00_975, BgL_arg1681z00_347); } } 
BgL_arg1669z00_342 = BgL_list1679z00_346; } } 
BgL_arg1664z00_340 = 
bgl_append2(BgL_arg1668z00_341, BgL_arg1669z00_342); } 
return 
MAKE_PAIR(BgL_copz00_2, BgL_arg1664z00_340);} } } break;case ((long)187) : 

{ /* ./Jas/wide.scm 64 */
obj_t BgL_arg1724z00_367;
{ /* ./Jas/wide.scm 64 */
int BgL_arg1727z00_368;
{ /* ./Jas/wide.scm 64 */
obj_t BgL_arg1730z00_369;
BgL_arg1730z00_369 = 
CAR(BgL_argsz00_3); 
BgL_arg1727z00_368 = 
BGl_poolzd2classzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
(BgL_classez00_bglt)(BgL_arg1730z00_369)); } 
BgL_arg1724z00_367 = 
BGl_u2z00zzjas_libz00(BgL_arg1727z00_368); } 
return 
MAKE_PAIR(BgL_copz00_2, BgL_arg1724z00_367);} break;case ((long)189) : 
case ((long)192) : 
case ((long)193) : 

{ /* ./Jas/wide.scm 66 */
obj_t BgL_arg1734z00_370;
{ /* ./Jas/wide.scm 66 */
int BgL_arg1737z00_371;
{ /* ./Jas/wide.scm 66 */
obj_t BgL_arg1743z00_372;
BgL_arg1743z00_372 = 
CAR(BgL_argsz00_3); 
BgL_arg1737z00_371 = 
BGl_poolzd2classzd2byzd2reftypezd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
(BgL_typez00_bglt)(BgL_arg1743z00_372)); } 
BgL_arg1734z00_370 = 
BGl_u2z00zzjas_libz00(BgL_arg1737z00_371); } 
return 
MAKE_PAIR(BgL_copz00_2, BgL_arg1734z00_370);} break;case ((long)197) : 

{ /* ./Jas/wide.scm 68 */
obj_t BgL_arg1747z00_373;
{ /* ./Jas/wide.scm 68 */
obj_t BgL_arg1750z00_374;obj_t BgL_arg1751z00_375;
{ /* ./Jas/wide.scm 68 */
int BgL_arg1756z00_376;
{ /* ./Jas/wide.scm 68 */
obj_t BgL_arg1759z00_377;
BgL_arg1759z00_377 = 
CAR(BgL_argsz00_3); 
BgL_arg1756z00_376 = 
BGl_poolzd2classzd2byzd2reftypezd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
(BgL_typez00_bglt)(BgL_arg1759z00_377)); } 
BgL_arg1750z00_374 = 
BGl_u2z00zzjas_libz00(BgL_arg1756z00_376); } 
{ /* ./Jas/wide.scm 69 */
obj_t BgL_arg1763z00_378;
{ /* ./Jas/wide.scm 69 */
obj_t BgL_auxz00_997;
BgL_auxz00_997 = 
CDR(BgL_argsz00_3); 
BgL_arg1763z00_378 = 
CAR(BgL_auxz00_997); } 
{ /* ./Jas/wide.scm 69 */
obj_t BgL_list1765z00_379;
BgL_list1765z00_379 = 
MAKE_PAIR(BgL_arg1763z00_378, BNIL); 
BgL_arg1751z00_375 = BgL_list1765z00_379; } } 
BgL_arg1747z00_373 = 
bgl_append2(BgL_arg1750z00_374, BgL_arg1751z00_375); } 
return 
MAKE_PAIR(BgL_copz00_2, BgL_arg1747z00_373);} break;case ((long)205) : 

{ 
obj_t BgL_begz00_380;obj_t BgL_endz00_381;obj_t BgL_namez00_382;obj_t BgL_typez00_383;obj_t BgL_indexz00_384;
{ /* ./Jas/wide.scm 13 */
bool_t BgL_test1768z00_388;
BgL_test1768z00_388 = 
PAIRP(BgL_argsz00_3); 
if(BgL_test1768z00_388)
{ /* ./Jas/wide.scm 13 */
obj_t BgL_cdrzd2115zd2_389;
BgL_cdrzd2115zd2_389 = 
CDR(BgL_argsz00_3); 
{ /* ./Jas/wide.scm 13 */
bool_t BgL_test1769z00_390;
BgL_test1769z00_390 = 
PAIRP(BgL_cdrzd2115zd2_389); 
if(BgL_test1769z00_390)
{ /* ./Jas/wide.scm 13 */
obj_t BgL_cdrzd2122zd2_391;
BgL_cdrzd2122zd2_391 = 
CDR(BgL_cdrzd2115zd2_389); 
{ /* ./Jas/wide.scm 13 */
bool_t BgL_test1770z00_392;
BgL_test1770z00_392 = 
PAIRP(BgL_cdrzd2122zd2_391); 
if(BgL_test1770z00_392)
{ /* ./Jas/wide.scm 13 */
obj_t BgL_cdrzd2128zd2_393;
BgL_cdrzd2128zd2_393 = 
CDR(BgL_cdrzd2122zd2_391); 
{ /* ./Jas/wide.scm 13 */
bool_t BgL_test1771z00_394;
BgL_test1771z00_394 = 
PAIRP(BgL_cdrzd2128zd2_393); 
if(BgL_test1771z00_394)
{ /* ./Jas/wide.scm 13 */
obj_t BgL_cdrzd2133zd2_395;
BgL_cdrzd2133zd2_395 = 
CDR(BgL_cdrzd2128zd2_393); 
{ /* ./Jas/wide.scm 13 */
bool_t BgL_test1772z00_396;
BgL_test1772z00_396 = 
PAIRP(BgL_cdrzd2133zd2_395); 
if(BgL_test1772z00_396)
{ /* ./Jas/wide.scm 13 */
bool_t BgL_test1773z00_397;
{ /* ./Jas/wide.scm 13 */
obj_t BgL_auxz00_1017;
BgL_auxz00_1017 = 
CDR(BgL_cdrzd2133zd2_395); 
BgL_test1773z00_397 = 
NULLP(BgL_auxz00_1017); } 
if(BgL_test1773z00_397)
{ /* ./Jas/wide.scm 13 */
obj_t BgL_arg1775z00_398;obj_t BgL_arg1777z00_399;obj_t BgL_arg1778z00_400;obj_t BgL_arg1779z00_401;obj_t BgL_arg1780z00_402;
BgL_arg1775z00_398 = 
CAR(BgL_argsz00_3); 
BgL_arg1777z00_399 = 
CAR(BgL_cdrzd2115zd2_389); 
BgL_arg1778z00_400 = 
CAR(BgL_cdrzd2122zd2_391); 
BgL_arg1779z00_401 = 
CAR(BgL_cdrzd2128zd2_393); 
BgL_arg1780z00_402 = 
CAR(BgL_cdrzd2133zd2_395); 
BgL_begz00_380 = BgL_arg1775z00_398; 
BgL_endz00_381 = BgL_arg1777z00_399; 
BgL_namez00_382 = BgL_arg1778z00_400; 
BgL_typez00_383 = BgL_arg1779z00_401; 
BgL_indexz00_384 = BgL_arg1780z00_402; 
{ /* ./Jas/wide.scm 73 */
int BgL_arg1808z00_404;int BgL_arg1809z00_405;
BgL_arg1808z00_404 = 
BGl_poolzd2namezd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BgL_namez00_382); 
{ /* ./Jas/wide.scm 74 */
obj_t BgL_arg1832z00_412;
{ /* ./Jas/wide.scm 74 */
BgL_typez00_bglt BgL_obj1003z00_618;
BgL_obj1003z00_618 = 
(BgL_typez00_bglt)(BgL_typez00_383); 
BgL_arg1832z00_412 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_618))->BgL_codez00); } 
BgL_arg1809z00_405 = 
BGl_poolzd2namezd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BgL_arg1832z00_412); } 
{ /* ./Jas/wide.scm 73 */
obj_t BgL_list1811z00_406;
{ /* ./Jas/wide.scm 73 */
obj_t BgL_arg1814z00_407;
{ /* ./Jas/wide.scm 73 */
obj_t BgL_arg1817z00_408;
{ /* ./Jas/wide.scm 73 */
obj_t BgL_arg1820z00_409;
{ /* ./Jas/wide.scm 73 */
obj_t BgL_arg1823z00_410;
{ /* ./Jas/wide.scm 73 */
obj_t BgL_arg1826z00_411;
BgL_arg1826z00_411 = 
MAKE_PAIR(BgL_indexz00_384, BNIL); 
{ /* ./Jas/wide.scm 73 */
obj_t BgL_auxz00_1033;
BgL_auxz00_1033 = 
BINT(BgL_arg1809z00_405); 
BgL_arg1823z00_410 = 
MAKE_PAIR(BgL_auxz00_1033, BgL_arg1826z00_411); } } 
{ /* ./Jas/wide.scm 73 */
obj_t BgL_auxz00_1036;
BgL_auxz00_1036 = 
BINT(BgL_arg1808z00_404); 
BgL_arg1820z00_409 = 
MAKE_PAIR(BgL_auxz00_1036, BgL_arg1823z00_410); } } 
BgL_arg1817z00_408 = 
MAKE_PAIR(BgL_endz00_381, BgL_arg1820z00_409); } 
BgL_arg1814z00_407 = 
MAKE_PAIR(BgL_begz00_380, BgL_arg1817z00_408); } 
BgL_list1811z00_406 = 
MAKE_PAIR(BgL_copz00_2, BgL_arg1814z00_407); } 
return BgL_list1811z00_406;} } }  else 
{ /* ./Jas/wide.scm 13 */
BgL_tagzd2102zd2_386:
return 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BGl_string2028z00zzjas_widez00, BgL_argsz00_3);} }  else 
{ /* ./Jas/wide.scm 13 */
goto BgL_tagzd2102zd2_386;} } }  else 
{ /* ./Jas/wide.scm 13 */
goto BgL_tagzd2102zd2_386;} } }  else 
{ /* ./Jas/wide.scm 13 */
goto BgL_tagzd2102zd2_386;} } }  else 
{ /* ./Jas/wide.scm 13 */
goto BgL_tagzd2102zd2_386;} } }  else 
{ /* ./Jas/wide.scm 13 */
goto BgL_tagzd2102zd2_386;} } } break;
default: 
return 
MAKE_PAIR(BgL_copz00_2, BgL_argsz00_3);} }  else 
{ /* ./Jas/wide.scm 13 */
return 
MAKE_PAIR(BgL_copz00_2, BgL_argsz00_3);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjas_widez00()
{ AN_OBJECT;
{ /* ./Jas/wide.scm 1 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjas_widez00()
{ AN_OBJECT;
{ /* ./Jas/wide.scm 1 */
BGl_modulezd2initializa7ationz75zzjas_libz00(((long)38394), "jas_wide"); 
return 
BGl_modulezd2initializa7ationz75zzjas_classfilez00(((long)43255), "jas_wide");} 
}

