/*===========================================================================*/
/*   (Jvm/closure.scm)                                                       */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Jvm/closure.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_closurez00();
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl_compilezd2dispatchzd2zzjvm_closurez00(BgL_envz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_push_carsz00zzjvm_closurez00(obj_t, bool_t, obj_t);
static obj_t BGl_makezd2listzd2zzjvm_closurez00(long, obj_t);
extern obj_t BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_za2jvmzd2purifyza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzjvm_closurez00();
static obj_t BGl_compilezd2labzd2forzd2funcallizd2zzjvm_closurez00(BgL_envz00_bglt, long, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_closurez00();
static obj_t BGl_compilezd2forzd2applyz00zzjvm_closurez00(BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2funizd2zzjvm_closurez00(long, BgL_envz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzjvm_closurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
static obj_t BGl_make_consz00zzjvm_closurez00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT long BGl_zd2fxzd2zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_compilezd2applyzd2zzjvm_closurez00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl__jvmzd2funcallerszd2zzjvm_closurez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, obj_t);
extern obj_t BGl_envzd2getzd2proceduresz00zzjvm_envz00(BgL_envz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_jvmzd2funcallerszd2zzjvm_closurez00(BgL_envz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_compilezd2forzd2funcalliz00zzjvm_closurez00(BgL_envz00_bglt, long, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_closurez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_closurez00();
static obj_t BGl_funcalliz00zzjvm_closurez00(BgL_envz00_bglt, obj_t, obj_t, long, obj_t);
static obj_t __cnst[ 28 ] ;


DEFINE_STRING( BGl_string4338z00zzjvm_closurez00, BgL_bgl_string4338za700za7za7jvm_closureza7004366z00, "cdr swap car ((checkcast j_pair)) dup (getfield car) ((checkcast j_pair) (getfield car)) (pop) ((pop) (areturn)) a t cons nil invokestatic putstatic getstatic def tableswitch areturn invokevirtual pop procindex getfield aload this public method jobject ", 253 );
DEFINE_STRING( BGl_string4337z00zzjvm_closurez00, BgL_bgl_string4337za700za7za7jvm_closureza7004367z00, "apply_error", 11 );
DEFINE_STRING( BGl_string4336z00zzjvm_closurez00, BgL_bgl_string4336za700za7za7jvm_closureza7004368z00, "APPLY-ERROR", 11 );
DEFINE_STRING( BGl_string4335z00zzjvm_closurez00, BgL_bgl_string4335za700za7za7jvm_closureza7004369z00, "apply", 5 );
DEFINE_STRING( BGl_string4334z00zzjvm_closurez00, BgL_bgl_string4334za700za7za7jvm_closureza7004370z00, "A", 1 );
DEFINE_STRING( BGl_string4333z00zzjvm_closurez00, BgL_bgl_string4333za700za7za7jvm_closureza7004371z00, "funcall_error", 13 );
DEFINE_STRING( BGl_string4332z00zzjvm_closurez00, BgL_bgl_string4332za700za7za7jvm_closureza7004372z00, "funcall", 7 );
DEFINE_EXPORT_PROCEDURE( BGl_jvmzd2funcallerszd2envz00zzjvm_closurez00, BgL_bgl__jvmza7d2funcallersza7d2za7za7jvm_closureza7004373za7, BGl__jvmzd2funcallerszd2zzjvm_closurez00, 0L, 3 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzjvm_closurez00(long BgL_checksumz00_2671, char * BgL_fromz00_2672)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_closurez00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_closurez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_closurez00(); 
BGl_cnstzd2initzd2zzjvm_closurez00(); 
BGl_importedzd2moduleszd2initz00zzjvm_closurez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_closurez00()
{ AN_OBJECT;
{ /* ./Jvm/closure.scm 2 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "jvm_closure"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_closurez00()
{ AN_OBJECT;
{ /* ./Jvm/closure.scm 2 */
{ /* ./Jvm/closure.scm 2 */
obj_t BgL_cportz00_2664;
BgL_cportz00_2664 = 
open_input_string(BGl_string4338z00zzjvm_closurez00); 
{ 
long BgL_iz00_2665;
BgL_iz00_2665 = ((long)27); 
BgL_loopz00_2666:
{ /* ./Jvm/closure.scm 2 */
bool_t BgL_test4340z00_2667;
BgL_test4340z00_2667 = 
(BgL_iz00_2665==((long)-1)); 
if(BgL_test4340z00_2667)
{ /* ./Jvm/closure.scm 2 */
return BUNSPEC;}  else 
{ /* ./Jvm/closure.scm 2 */
{ /* ./Jvm/closure.scm 2 */
obj_t BgL_arg4342z00_2668;
{ /* ./Jvm/closure.scm 2 */
obj_t BgL_list4345z00_2669;
BgL_list4345z00_2669 = 
MAKE_PAIR(BgL_cportz00_2664, BNIL); 
BgL_arg4342z00_2668 = 
BGl_readz00zz__readerz00(BgL_list4345z00_2669); } 
{ /* ./Jvm/closure.scm 2 */
int BgL_auxz00_2689;
BgL_auxz00_2689 = 
(int)(BgL_iz00_2665); 
CNST_TABLE_SET(BgL_auxz00_2689, BgL_arg4342z00_2668); } } 
{ /* ./Jvm/closure.scm 2 */
int BgL_auxz00_2670;
{ /* ./Jvm/closure.scm 2 */
long BgL_auxz00_2692;
BgL_auxz00_2692 = 
(BgL_iz00_2665-((long)1)); 
BgL_auxz00_2670 = 
(int)(BgL_auxz00_2692); } 
{ 
long BgL_iz00_2695;
BgL_iz00_2695 = 
(long)(BgL_auxz00_2670); 
BgL_iz00_2665 = BgL_iz00_2695; 
goto BgL_loopz00_2666;} } } } } } } 
}



/* jvm-funcallers */
BGL_EXPORTED_DEF obj_t BGl_jvmzd2funcallerszd2zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_1, obj_t BgL_mez00_2, obj_t BgL_superz00_3)
{ AN_OBJECT;
{ /* ./Jvm/closure.scm 11 */
{ /* ./Jvm/closure.scm 12 */
obj_t BgL_pz00_1093;
BgL_pz00_1093 = 
BGl_envzd2getzd2proceduresz00zzjvm_envz00(BgL_envz00_1); 
{ /* ./Jvm/closure.scm 13 */
obj_t BgL_arg3005z00_1094;obj_t BgL_arg3008z00_1095;obj_t BgL_arg3009z00_1096;obj_t BgL_arg3010z00_1097;obj_t BgL_arg3011z00_1098;obj_t BgL_arg3012z00_1099;
BgL_arg3005z00_1094 = 
BGl_funcalliz00zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, ((long)0), BgL_pz00_1093); 
BgL_arg3008z00_1095 = 
BGl_funcalliz00zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, ((long)1), BgL_pz00_1093); 
BgL_arg3009z00_1096 = 
BGl_funcalliz00zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, ((long)2), BgL_pz00_1093); 
BgL_arg3010z00_1097 = 
BGl_funcalliz00zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, ((long)3), BgL_pz00_1093); 
BgL_arg3011z00_1098 = 
BGl_funcalliz00zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, ((long)4), BgL_pz00_1093); 
BgL_arg3012z00_1099 = 
BGl_compilezd2applyzd2zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, BgL_pz00_1093); 
{ /* ./Jvm/closure.scm 13 */
obj_t BgL_list3014z00_1100;
{ /* ./Jvm/closure.scm 13 */
obj_t BgL_arg3016z00_1101;
{ /* ./Jvm/closure.scm 13 */
obj_t BgL_arg3019z00_1102;
{ /* ./Jvm/closure.scm 13 */
obj_t BgL_arg3022z00_1103;
{ /* ./Jvm/closure.scm 13 */
obj_t BgL_arg3025z00_1104;
{ /* ./Jvm/closure.scm 13 */
obj_t BgL_arg3028z00_1105;
BgL_arg3028z00_1105 = 
MAKE_PAIR(BgL_arg3012z00_1099, BNIL); 
BgL_arg3025z00_1104 = 
MAKE_PAIR(BgL_arg3011z00_1098, BgL_arg3028z00_1105); } 
BgL_arg3022z00_1103 = 
MAKE_PAIR(BgL_arg3010z00_1097, BgL_arg3025z00_1104); } 
BgL_arg3019z00_1102 = 
MAKE_PAIR(BgL_arg3009z00_1096, BgL_arg3022z00_1103); } 
BgL_arg3016z00_1101 = 
MAKE_PAIR(BgL_arg3008z00_1095, BgL_arg3019z00_1102); } 
BgL_list3014z00_1100 = 
MAKE_PAIR(BgL_arg3005z00_1094, BgL_arg3016z00_1101); } 
return BgL_list3014z00_1100;} } } } 
}



/* _jvm-funcallers */
obj_t BGl__jvmzd2funcallerszd2zzjvm_closurez00(obj_t BgL_envz00_2659, obj_t BgL_envz00_2660, obj_t BgL_mez00_2661, obj_t BgL_superz00_2662)
{ AN_OBJECT;
{ /* ./Jvm/closure.scm 11 */
return 
BGl_jvmzd2funcallerszd2zzjvm_closurez00(
(BgL_envz00_bglt)(BgL_envz00_2660), BgL_mez00_2661, BgL_superz00_2662);} 
}



/* funcalli */
obj_t BGl_funcalliz00zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_4, obj_t BgL_mez00_5, obj_t BgL_superz00_6, long BgL_iz00_7, obj_t BgL_procsz00_8)
{ AN_OBJECT;
{ /* ./Jvm/closure.scm 23 */
{ /* ./Jvm/closure.scm 24 */
obj_t BgL_argsz00_1106;
BgL_argsz00_1106 = 
BGl_makezd2listzd2zzjvm_closurez00(BgL_iz00_7, 
CNST_TABLE_REF(((long)0))); 
{ /* ./Jvm/closure.scm 24 */
obj_t BgL_fnamez00_1107;
{ /* ./Jvm/closure.scm 25 */
obj_t BgL_arg3194z00_1187;
BgL_arg3194z00_1187 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_iz00_7, BNIL); 
BgL_fnamez00_1107 = 
string_append(BGl_string4332z00zzjvm_closurez00, BgL_arg3194z00_1187); } 
{ /* ./Jvm/closure.scm 25 */
obj_t BgL_fz00_1108;
BgL_fz00_1108 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_fnamez00_1107, BEOA); 
{ /* ./Jvm/closure.scm 26 */
obj_t BgL_enamez00_1109;
{ /* ./Jvm/closure.scm 27 */
obj_t BgL_arg3187z00_1184;
BgL_arg3187z00_1184 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_iz00_7, BNIL); 
BgL_enamez00_1109 = 
string_append(BGl_string4333z00zzjvm_closurez00, BgL_arg3187z00_1184); } 
{ /* ./Jvm/closure.scm 27 */
obj_t BgL_ez00_1110;
BgL_ez00_1110 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_enamez00_1109, BEOA); 
{ /* ./Jvm/closure.scm 28 */
obj_t BgL_paramsz00_1111;
{ /* ./Jvm/closure.scm 29 */
bool_t BgL_test3166z00_1172;
BgL_test3166z00_1172 = 
NULLP(BgL_argsz00_1106); 
if(BgL_test3166z00_1172)
{ /* ./Jvm/closure.scm 29 */
BgL_paramsz00_1111 = BNIL; }  else 
{ /* ./Jvm/closure.scm 29 */
obj_t BgL_head2967z00_1173;
BgL_head2967z00_1173 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2965z00_1174;obj_t BgL_tail2968z00_1175;
BgL_l2965z00_1174 = BgL_argsz00_1106; 
BgL_tail2968z00_1175 = BgL_head2967z00_1173; 
BgL_map2966z00_1176:
{ /* ./Jvm/closure.scm 29 */
bool_t BgL_test3168z00_1177;
BgL_test3168z00_1177 = 
NULLP(BgL_l2965z00_1174); 
if(BgL_test3168z00_1177)
{ /* ./Jvm/closure.scm 29 */
BgL_paramsz00_1111 = 
CDR(BgL_head2967z00_1173); }  else 
{ /* ./Jvm/closure.scm 29 */
obj_t BgL_newtail2969z00_1178;
{ /* ./Jvm/closure.scm 29 */
obj_t BgL_arg3176z00_1180;
BgL_arg3176z00_1180 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string4334z00zzjvm_closurez00, BEOA); 
BgL_newtail2969z00_1178 = 
MAKE_PAIR(BgL_arg3176z00_1180, BNIL); } 
SET_CDR(BgL_tail2968z00_1175, BgL_newtail2969z00_1178); 
{ /* ./Jvm/closure.scm 29 */
obj_t BgL_arg3172z00_1179;
BgL_arg3172z00_1179 = 
CDR(BgL_l2965z00_1174); 
{ 
obj_t BgL_tail2968z00_2734;obj_t BgL_l2965z00_2733;
BgL_l2965z00_2733 = BgL_arg3172z00_1179; 
BgL_tail2968z00_2734 = BgL_newtail2969z00_1178; 
BgL_tail2968z00_1175 = BgL_tail2968z00_2734; 
BgL_l2965z00_1174 = BgL_l2965z00_2733; 
goto BgL_map2966z00_1176;} } } } } } } 
{ /* ./Jvm/closure.scm 29 */

{ /* ./Jvm/closure.scm 30 */
obj_t BgL_arg3039z00_1112;
{ /* ./Jvm/closure.scm 30 */
obj_t BgL_arg3042z00_1113;obj_t BgL_arg3043z00_1114;
BgL_arg3042z00_1113 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Jvm/closure.scm 30 */
obj_t BgL_arg3046z00_1115;
{ /* ./Jvm/closure.scm 30 */
obj_t BgL_arg3049z00_1116;obj_t BgL_arg3050z00_1117;
{ /* ./Jvm/closure.scm 30 */
obj_t BgL_auxz00_2736;
BgL_auxz00_2736 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3049z00_1116 = 
MAKE_PAIR(BgL_auxz00_2736, BNIL); } 
{ /* ./Jvm/closure.scm 30 */
obj_t BgL_arg3054z00_1118;obj_t BgL_arg3055z00_1119;
BgL_arg3054z00_1118 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Jvm/closure.scm 30 */
obj_t BgL_arg3058z00_1120;
BgL_arg3058z00_1120 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_1106, BNIL); 
BgL_arg3055z00_1119 = 
MAKE_PAIR(BgL_fnamez00_1107, BgL_arg3058z00_1120); } 
BgL_arg3050z00_1117 = 
MAKE_PAIR(BgL_arg3054z00_1118, BgL_arg3055z00_1119); } 
BgL_arg3046z00_1115 = 
MAKE_PAIR(BgL_arg3049z00_1116, BgL_arg3050z00_1117); } 
BgL_arg3043z00_1114 = 
MAKE_PAIR(BgL_mez00_5, BgL_arg3046z00_1115); } 
BgL_arg3039z00_1112 = 
MAKE_PAIR(BgL_arg3042z00_1113, BgL_arg3043z00_1114); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_4, BgL_fz00_1108, BgL_arg3039z00_1112); } 
{ /* ./Jvm/closure.scm 31 */
obj_t BgL_arg3062z00_1121;
{ /* ./Jvm/closure.scm 31 */
obj_t BgL_arg3065z00_1122;obj_t BgL_arg3066z00_1123;
BgL_arg3065z00_1122 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Jvm/closure.scm 31 */
obj_t BgL_arg3069z00_1124;
{ /* ./Jvm/closure.scm 31 */
obj_t BgL_arg3072z00_1125;obj_t BgL_arg3073z00_1126;
{ /* ./Jvm/closure.scm 31 */
obj_t BgL_auxz00_2748;
BgL_auxz00_2748 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3072z00_1125 = 
MAKE_PAIR(BgL_auxz00_2748, BNIL); } 
{ /* ./Jvm/closure.scm 31 */
obj_t BgL_arg3077z00_1127;obj_t BgL_arg3078z00_1128;
BgL_arg3077z00_1127 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Jvm/closure.scm 31 */
obj_t BgL_arg3081z00_1129;
BgL_arg3081z00_1129 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_1106, BNIL); 
BgL_arg3078z00_1128 = 
MAKE_PAIR(BgL_enamez00_1109, BgL_arg3081z00_1129); } 
BgL_arg3073z00_1126 = 
MAKE_PAIR(BgL_arg3077z00_1127, BgL_arg3078z00_1128); } 
BgL_arg3069z00_1124 = 
MAKE_PAIR(BgL_arg3072z00_1125, BgL_arg3073z00_1126); } 
BgL_arg3066z00_1123 = 
MAKE_PAIR(BgL_superz00_6, BgL_arg3069z00_1124); } 
BgL_arg3062z00_1121 = 
MAKE_PAIR(BgL_arg3065z00_1122, BgL_arg3066z00_1123); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_4, BgL_ez00_1110, BgL_arg3062z00_1121); } 
{ /* ./Jvm/closure.scm 32 */
obj_t BgL_arg3085z00_1130;obj_t BgL_arg3086z00_1131;
BgL_arg3085z00_1130 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Jvm/closure.scm 32 */
obj_t BgL_arg3089z00_1132;
{ /* ./Jvm/closure.scm 32 */
obj_t BgL_arg3092z00_1133;obj_t BgL_arg3093z00_1134;
{ /* ./Jvm/closure.scm 32 */
obj_t BgL_arg3096z00_1135;obj_t BgL_arg3097z00_1136;
BgL_arg3096z00_1135 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg3097z00_1136 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_paramsz00_1111, BNIL); 
BgL_arg3092z00_1133 = 
MAKE_PAIR(BgL_arg3096z00_1135, BgL_arg3097z00_1136); } 
{ /* ./Jvm/closure.scm 32 */
obj_t BgL_arg3102z00_1138;
{ /* ./Jvm/closure.scm 33 */
obj_t BgL_arg3105z00_1139;obj_t BgL_arg3106z00_1140;
{ /* ./Jvm/closure.scm 33 */
obj_t BgL_arg3109z00_1141;obj_t BgL_arg3110z00_1142;
BgL_arg3109z00_1141 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Jvm/closure.scm 33 */
obj_t BgL_auxz00_2764;
BgL_auxz00_2764 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg3110z00_1142 = 
MAKE_PAIR(BgL_auxz00_2764, BNIL); } 
BgL_arg3105z00_1139 = 
MAKE_PAIR(BgL_arg3109z00_1141, BgL_arg3110z00_1142); } 
{ /* ./Jvm/closure.scm 34 */
obj_t BgL_arg3114z00_1143;obj_t BgL_arg3115z00_1144;
{ /* ./Jvm/closure.scm 34 */
bool_t BgL_test3117z00_1146;
BgL_test3117z00_1146 = 
NULLP(BgL_paramsz00_1111); 
if(BgL_test3117z00_1146)
{ /* ./Jvm/closure.scm 34 */
BgL_arg3114z00_1143 = BNIL; }  else 
{ /* ./Jvm/closure.scm 34 */
obj_t BgL_head2972z00_1147;
BgL_head2972z00_1147 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2970z00_1148;obj_t BgL_tail2973z00_1149;
BgL_l2970z00_1148 = BgL_paramsz00_1111; 
BgL_tail2973z00_1149 = BgL_head2972z00_1147; 
BgL_map2971z00_1150:
{ /* ./Jvm/closure.scm 34 */
bool_t BgL_test3119z00_1151;
BgL_test3119z00_1151 = 
NULLP(BgL_l2970z00_1148); 
if(BgL_test3119z00_1151)
{ /* ./Jvm/closure.scm 34 */
BgL_arg3114z00_1143 = 
CDR(BgL_head2972z00_1147); }  else 
{ /* ./Jvm/closure.scm 34 */
obj_t BgL_newtail2974z00_1152;
{ /* ./Jvm/closure.scm 34 */
obj_t BgL_arg3127z00_1154;
{ /* ./Jvm/closure.scm 34 */
obj_t BgL_az00_1156;
BgL_az00_1156 = 
CAR(BgL_l2970z00_1148); 
{ /* ./Jvm/closure.scm 34 */
obj_t BgL_arg3131z00_1157;obj_t BgL_arg3132z00_1158;
BgL_arg3131z00_1157 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg3132z00_1158 = 
MAKE_PAIR(BgL_az00_1156, BNIL); 
BgL_arg3127z00_1154 = 
MAKE_PAIR(BgL_arg3131z00_1157, BgL_arg3132z00_1158); } } 
BgL_newtail2974z00_1152 = 
MAKE_PAIR(BgL_arg3127z00_1154, BNIL); } 
SET_CDR(BgL_tail2973z00_1149, BgL_newtail2974z00_1152); 
{ /* ./Jvm/closure.scm 34 */
obj_t BgL_arg3123z00_1153;
BgL_arg3123z00_1153 = 
CDR(BgL_l2970z00_1148); 
{ 
obj_t BgL_tail2973z00_2782;obj_t BgL_l2970z00_2781;
BgL_l2970z00_2781 = BgL_arg3123z00_1153; 
BgL_tail2973z00_2782 = BgL_newtail2974z00_1152; 
BgL_tail2973z00_1149 = BgL_tail2973z00_2782; 
BgL_l2970z00_1148 = BgL_l2970z00_2781; 
goto BgL_map2971z00_1150;} } } } } } } 
{ /* ./Jvm/closure.scm 35 */
obj_t BgL_arg3140z00_1159;obj_t BgL_arg3141z00_1160;
{ /* ./Jvm/closure.scm 35 */
obj_t BgL_arg3144z00_1161;obj_t BgL_arg3145z00_1162;
BgL_arg3144z00_1161 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Jvm/closure.scm 35 */
obj_t BgL_auxz00_2784;
BgL_auxz00_2784 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg3145z00_1162 = 
MAKE_PAIR(BgL_auxz00_2784, BNIL); } 
BgL_arg3140z00_1159 = 
MAKE_PAIR(BgL_arg3144z00_1161, BgL_arg3145z00_1162); } 
{ /* ./Jvm/closure.scm 36 */
obj_t BgL_arg3149z00_1163;obj_t BgL_arg3150z00_1164;
{ /* ./Jvm/closure.scm 36 */
obj_t BgL_arg3153z00_1165;obj_t BgL_arg3154z00_1166;
BgL_arg3153z00_1165 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Jvm/closure.scm 36 */
obj_t BgL_arg3157z00_1167;
BgL_arg3157z00_1167 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_4, 
CNST_TABLE_REF(((long)6))); 
BgL_arg3154z00_1166 = 
MAKE_PAIR(BgL_arg3157z00_1167, BNIL); } 
BgL_arg3149z00_1163 = 
MAKE_PAIR(BgL_arg3153z00_1165, BgL_arg3154z00_1166); } 
{ /* ./Jvm/closure.scm 37 */
obj_t BgL_arg3162z00_1169;
BgL_arg3162z00_1169 = 
BGl_compilezd2funizd2zzjvm_closurez00(BgL_iz00_7, BgL_envz00_4, BgL_procsz00_8, BgL_ez00_1110); 
BgL_arg3150z00_1164 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3162z00_1169, BNIL); } 
BgL_arg3141z00_1160 = 
MAKE_PAIR(BgL_arg3149z00_1163, BgL_arg3150z00_1164); } 
BgL_arg3115z00_1144 = 
MAKE_PAIR(BgL_arg3140z00_1159, BgL_arg3141z00_1160); } 
BgL_arg3106z00_1140 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3114z00_1143, BgL_arg3115z00_1144); } 
BgL_arg3102z00_1138 = 
MAKE_PAIR(BgL_arg3105z00_1139, BgL_arg3106z00_1140); } 
BgL_arg3093z00_1134 = 
MAKE_PAIR(BNIL, BgL_arg3102z00_1138); } 
BgL_arg3089z00_1132 = 
MAKE_PAIR(BgL_arg3092z00_1133, BgL_arg3093z00_1134); } 
BgL_arg3086z00_1131 = 
MAKE_PAIR(BgL_fz00_1108, BgL_arg3089z00_1132); } 
return 
MAKE_PAIR(BgL_arg3085z00_1130, BgL_arg3086z00_1131);} } } } } } } } } 
}



/* make-list */
obj_t BGl_makezd2listzd2zzjvm_closurez00(long BgL_iz00_9, obj_t BgL_oz00_10)
{ AN_OBJECT;
{ /* ./Jvm/closure.scm 39 */
{ 
long BgL_iz00_1190;obj_t BgL_rz00_1191;
BgL_iz00_1190 = BgL_iz00_9; 
BgL_rz00_1191 = BNIL; 
BgL_zc3anonymousza33200ze3z83_1192:
{ /* ./Jvm/closure.scm 41 */
bool_t BgL_test3201z00_1193;
BgL_test3201z00_1193 = 
(BgL_iz00_1190<=((long)0)); 
if(BgL_test3201z00_1193)
{ /* ./Jvm/closure.scm 41 */
return BgL_rz00_1191;}  else 
{ /* ./Jvm/closure.scm 43 */
long BgL_arg3203z00_1194;obj_t BgL_arg3204z00_1195;
BgL_arg3203z00_1194 = 
(BgL_iz00_1190-((long)1)); 
BgL_arg3204z00_1195 = 
MAKE_PAIR(BgL_oz00_10, BgL_rz00_1191); 
{ 
obj_t BgL_rz00_2808;long BgL_iz00_2807;
BgL_iz00_2807 = BgL_arg3203z00_1194; 
BgL_rz00_2808 = BgL_arg3204z00_1195; 
BgL_rz00_1191 = BgL_rz00_2808; 
BgL_iz00_1190 = BgL_iz00_2807; 
goto BgL_zc3anonymousza33200ze3z83_1192;} } } } } 
}



/* compile-funi */
obj_t BGl_compilezd2funizd2zzjvm_closurez00(long BgL_iz00_11, BgL_envz00_bglt BgL_envz00_12, obj_t BgL_funsz00_13, obj_t BgL_errorz00_14)
{ AN_OBJECT;
{ /* ./Jvm/closure.scm 46 */
{ /* ./Jvm/closure.scm 47 */
bool_t BgL_test3209z00_1197;
BgL_test3209z00_1197 = 
NULLP(BgL_funsz00_13); 
if(BgL_test3209z00_1197)
{ /* ./Jvm/closure.scm 48 */
obj_t BgL_arg3211z00_1198;obj_t BgL_arg3212z00_1199;
{ /* ./Jvm/closure.scm 48 */
obj_t BgL_auxz00_2811;
BgL_auxz00_2811 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg3211z00_1198 = 
MAKE_PAIR(BgL_auxz00_2811, BNIL); } 
{ /* ./Jvm/closure.scm 49 */
obj_t BgL_arg3216z00_1200;obj_t BgL_arg3217z00_1201;
{ /* ./Jvm/closure.scm 49 */
obj_t BgL_arg3220z00_1202;obj_t BgL_arg3221z00_1203;
BgL_arg3220z00_1202 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3221z00_1203 = 
MAKE_PAIR(BgL_errorz00_14, BNIL); 
BgL_arg3216z00_1200 = 
MAKE_PAIR(BgL_arg3220z00_1202, BgL_arg3221z00_1203); } 
{ /* ./Jvm/closure.scm 50 */
obj_t BgL_arg3225z00_1204;
{ /* ./Jvm/closure.scm 50 */
obj_t BgL_auxz00_2817;
BgL_auxz00_2817 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3225z00_1204 = 
MAKE_PAIR(BgL_auxz00_2817, BNIL); } 
BgL_arg3217z00_1201 = 
MAKE_PAIR(BgL_arg3225z00_1204, BNIL); } 
BgL_arg3212z00_1199 = 
MAKE_PAIR(BgL_arg3216z00_1200, BgL_arg3217z00_1201); } 
return 
MAKE_PAIR(BgL_arg3211z00_1198, BgL_arg3212z00_1199);}  else 
{ /* ./Jvm/closure.scm 51 */
obj_t BgL_labsz00_1206;
if(BgL_test3209z00_1197)
{ /* ./Jvm/closure.scm 51 */
BgL_labsz00_1206 = BNIL; }  else 
{ /* ./Jvm/closure.scm 51 */
obj_t BgL_head2977z00_1284;
BgL_head2977z00_1284 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2975z00_1285;obj_t BgL_tail2978z00_1286;
BgL_l2975z00_1285 = BgL_funsz00_13; 
BgL_tail2978z00_1286 = BgL_head2977z00_1284; 
BgL_map2976z00_1287:
{ /* ./Jvm/closure.scm 51 */
bool_t BgL_test3352z00_1288;
BgL_test3352z00_1288 = 
NULLP(BgL_l2975z00_1285); 
if(BgL_test3352z00_1288)
{ /* ./Jvm/closure.scm 51 */
BgL_labsz00_1206 = 
CDR(BgL_head2977z00_1284); }  else 
{ /* ./Jvm/closure.scm 51 */
obj_t BgL_newtail2979z00_1289;
{ /* ./Jvm/closure.scm 51 */
obj_t BgL_arg3360z00_1291;
BgL_arg3360z00_1291 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BEOA); 
BgL_newtail2979z00_1289 = 
MAKE_PAIR(BgL_arg3360z00_1291, BNIL); } 
SET_CDR(BgL_tail2978z00_1286, BgL_newtail2979z00_1289); 
{ /* ./Jvm/closure.scm 51 */
obj_t BgL_arg3356z00_1290;
BgL_arg3356z00_1290 = 
CDR(BgL_l2975z00_1285); 
{ 
obj_t BgL_tail2978z00_2834;obj_t BgL_l2975z00_2833;
BgL_l2975z00_2833 = BgL_arg3356z00_1290; 
BgL_tail2978z00_2834 = BgL_newtail2979z00_1289; 
BgL_tail2978z00_1286 = BgL_tail2978z00_2834; 
BgL_l2975z00_1285 = BgL_l2975z00_2833; 
goto BgL_map2976z00_1287;} } } } } } 
{ /* ./Jvm/closure.scm 54 */
obj_t BgL_arg3230z00_1209;obj_t BgL_arg3231z00_1210;
{ /* ./Jvm/closure.scm 54 */
obj_t BgL_arg3234z00_1211;obj_t BgL_arg3235z00_1212;
BgL_arg3234z00_1211 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Jvm/closure.scm 54 */
obj_t BgL_arg3238z00_1213;obj_t BgL_arg3239z00_1214;
BgL_arg3238z00_1213 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Jvm/closure.scm 54 */
obj_t BgL_arg3243z00_1216;
{ /* ./Jvm/closure.scm 54 */
obj_t BgL_arg3246z00_1217;
{ /* ./Jvm/closure.scm 54 */
bool_t BgL_test3249z00_1221;
BgL_test3249z00_1221 = 
NULLP(BgL_funsz00_13); 
if(BgL_test3249z00_1221)
{ /* ./Jvm/closure.scm 54 */
BgL_arg3246z00_1217 = BNIL; }  else 
{ /* ./Jvm/closure.scm 54 */
obj_t BgL_head2982z00_1222;
{ /* ./Jvm/closure.scm 54 */
obj_t BgL_arg3276z00_1237;
BgL_arg3276z00_1237 = 
BGl_compilezd2labzd2forzd2funcallizd2zzjvm_closurez00(BgL_envz00_12, BgL_iz00_11, 
CNST_TABLE_REF(((long)11)), 
CAR(BgL_labsz00_1206), 
CAR(BgL_funsz00_13)); 
BgL_head2982z00_1222 = 
MAKE_PAIR(BgL_arg3276z00_1237, BNIL); } 
{ 
obj_t BgL_ll2980z00_1223;obj_t BgL_ll2981z00_1224;obj_t BgL_tail2983z00_1225;
{ /* ./Jvm/closure.scm 54 */
obj_t BgL_arg3251z00_1227;obj_t BgL_arg3252z00_1228;
BgL_arg3251z00_1227 = 
CDR(BgL_funsz00_13); 
BgL_arg3252z00_1228 = 
CDR(BgL_labsz00_1206); 
BgL_ll2980z00_1223 = BgL_arg3251z00_1227; 
BgL_ll2981z00_1224 = BgL_arg3252z00_1228; 
BgL_tail2983z00_1225 = BgL_head2982z00_1222; 
BgL_map2985z00_1226:
{ /* ./Jvm/closure.scm 54 */
bool_t BgL_test3256z00_1229;
BgL_test3256z00_1229 = 
NULLP(BgL_ll2980z00_1223); 
if(BgL_test3256z00_1229)
{ /* ./Jvm/closure.scm 54 */
BgL_arg3246z00_1217 = BgL_head2982z00_1222; }  else 
{ /* ./Jvm/closure.scm 54 */
obj_t BgL_newtail2984z00_1230;
{ /* ./Jvm/closure.scm 54 */
obj_t BgL_arg3265z00_1233;
BgL_arg3265z00_1233 = 
BGl_compilezd2labzd2forzd2funcallizd2zzjvm_closurez00(BgL_envz00_12, BgL_iz00_11, 
CNST_TABLE_REF(((long)11)), 
CAR(BgL_ll2981z00_1224), 
CAR(BgL_ll2980z00_1223)); 
BgL_newtail2984z00_1230 = 
MAKE_PAIR(BgL_arg3265z00_1233, BNIL); } 
SET_CDR(BgL_tail2983z00_1225, BgL_newtail2984z00_1230); 
{ /* ./Jvm/closure.scm 54 */
obj_t BgL_arg3259z00_1231;obj_t BgL_arg3260z00_1232;
BgL_arg3259z00_1231 = 
CDR(BgL_ll2980z00_1223); 
BgL_arg3260z00_1232 = 
CDR(BgL_ll2981z00_1224); 
{ 
obj_t BgL_tail2983z00_2858;obj_t BgL_ll2981z00_2857;obj_t BgL_ll2980z00_2856;
BgL_ll2980z00_2856 = BgL_arg3259z00_1231; 
BgL_ll2981z00_2857 = BgL_arg3260z00_1232; 
BgL_tail2983z00_2858 = BgL_newtail2984z00_1230; 
BgL_tail2983z00_1225 = BgL_tail2983z00_2858; 
BgL_ll2981z00_1224 = BgL_ll2981z00_2857; 
BgL_ll2980z00_1223 = BgL_ll2980z00_2856; 
goto BgL_map2985z00_1226;} } } } } } } } 
BgL_arg3243z00_1216 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3246z00_1217, BNIL); } 
{ /* ./Jvm/closure.scm 54 */
obj_t BgL_auxz00_2860;
BgL_auxz00_2860 = 
BINT(((long)0)); 
BgL_arg3239z00_1214 = 
MAKE_PAIR(BgL_auxz00_2860, BgL_arg3243z00_1216); } } 
BgL_arg3235z00_1212 = 
MAKE_PAIR(BgL_arg3238z00_1213, BgL_arg3239z00_1214); } 
BgL_arg3230z00_1209 = 
MAKE_PAIR(BgL_arg3234z00_1211, BgL_arg3235z00_1212); } 
{ /* ./Jvm/closure.scm 55 */
obj_t BgL_arg3287z00_1241;obj_t BgL_arg3288z00_1242;
{ /* ./Jvm/closure.scm 55 */
obj_t BgL_runner3327z00_1265;
{ /* ./Jvm/closure.scm 55 */
bool_t BgL_test3290z00_1245;
BgL_test3290z00_1245 = 
NULLP(BgL_funsz00_13); 
if(BgL_test3290z00_1245)
{ /* ./Jvm/closure.scm 55 */
BgL_runner3327z00_1265 = BNIL; }  else 
{ /* ./Jvm/closure.scm 55 */
obj_t BgL_head2988z00_1246;
{ /* ./Jvm/closure.scm 55 */
obj_t BgL_arg3317z00_1261;
{ /* ./Jvm/closure.scm 55 */
obj_t BgL_arg3321z00_1263;obj_t BgL_arg3322z00_1264;
BgL_arg3321z00_1263 = 
CAR(BgL_funsz00_13); 
BgL_arg3322z00_1264 = 
CAR(BgL_labsz00_1206); 
BgL_arg3317z00_1261 = 
BGl_compilezd2forzd2funcalliz00zzjvm_closurez00(BgL_envz00_12, BgL_iz00_11, BgL_arg3322z00_1264, BgL_arg3321z00_1263); } 
BgL_head2988z00_1246 = 
MAKE_PAIR(BgL_arg3317z00_1261, BNIL); } 
{ 
obj_t BgL_ll2986z00_1247;obj_t BgL_ll2987z00_1248;obj_t BgL_tail2989z00_1249;
{ /* ./Jvm/closure.scm 55 */
obj_t BgL_arg3292z00_1251;obj_t BgL_arg3293z00_1252;
BgL_arg3292z00_1251 = 
CDR(BgL_funsz00_13); 
BgL_arg3293z00_1252 = 
CDR(BgL_labsz00_1206); 
BgL_ll2986z00_1247 = BgL_arg3292z00_1251; 
BgL_ll2987z00_1248 = BgL_arg3293z00_1252; 
BgL_tail2989z00_1249 = BgL_head2988z00_1246; 
BgL_map2991z00_1250:
{ /* ./Jvm/closure.scm 55 */
bool_t BgL_test3297z00_1253;
BgL_test3297z00_1253 = 
NULLP(BgL_ll2986z00_1247); 
if(BgL_test3297z00_1253)
{ /* ./Jvm/closure.scm 55 */
BgL_runner3327z00_1265 = BgL_head2988z00_1246; }  else 
{ /* ./Jvm/closure.scm 55 */
obj_t BgL_newtail2990z00_1254;
{ /* ./Jvm/closure.scm 55 */
obj_t BgL_arg3306z00_1257;
{ /* ./Jvm/closure.scm 55 */
obj_t BgL_arg3310z00_1259;obj_t BgL_arg3311z00_1260;
BgL_arg3310z00_1259 = 
CAR(BgL_ll2986z00_1247); 
BgL_arg3311z00_1260 = 
CAR(BgL_ll2987z00_1248); 
BgL_arg3306z00_1257 = 
BGl_compilezd2forzd2funcalliz00zzjvm_closurez00(BgL_envz00_12, BgL_iz00_11, BgL_arg3311z00_1260, BgL_arg3310z00_1259); } 
BgL_newtail2990z00_1254 = 
MAKE_PAIR(BgL_arg3306z00_1257, BNIL); } 
SET_CDR(BgL_tail2989z00_1249, BgL_newtail2990z00_1254); 
{ /* ./Jvm/closure.scm 55 */
obj_t BgL_arg3300z00_1255;obj_t BgL_arg3301z00_1256;
BgL_arg3300z00_1255 = 
CDR(BgL_ll2986z00_1247); 
BgL_arg3301z00_1256 = 
CDR(BgL_ll2987z00_1248); 
{ 
obj_t BgL_tail2989z00_2884;obj_t BgL_ll2987z00_2883;obj_t BgL_ll2986z00_2882;
BgL_ll2986z00_2882 = BgL_arg3300z00_1255; 
BgL_ll2987z00_2883 = BgL_arg3301z00_1256; 
BgL_tail2989z00_2884 = BgL_newtail2990z00_1254; 
BgL_tail2989z00_1249 = BgL_tail2989z00_2884; 
BgL_ll2987z00_1248 = BgL_ll2987z00_2883; 
BgL_ll2986z00_1247 = BgL_ll2986z00_2882; 
goto BgL_map2991z00_1250;} } } } } } } } 
BgL_arg3287z00_1241 = 
BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_runner3327z00_1265); } 
{ /* ./Jvm/closure.scm 54 */
obj_t BgL_arg3329z00_1266;obj_t BgL_arg3330z00_1267;
BgL_arg3329z00_1266 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Jvm/closure.scm 56 */
obj_t BgL_arg3333z00_1268;obj_t BgL_arg3334z00_1269;
{ /* ./Jvm/closure.scm 56 */
obj_t BgL_arg3337z00_1270;obj_t BgL_arg3338z00_1271;
BgL_arg3337z00_1270 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3338z00_1271 = 
MAKE_PAIR(BgL_errorz00_14, BNIL); 
BgL_arg3333z00_1268 = 
MAKE_PAIR(BgL_arg3337z00_1270, BgL_arg3338z00_1271); } 
{ /* ./Jvm/closure.scm 57 */
obj_t BgL_arg3342z00_1272;
{ /* ./Jvm/closure.scm 57 */
obj_t BgL_auxz00_2890;
BgL_auxz00_2890 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3342z00_1272 = 
MAKE_PAIR(BgL_auxz00_2890, BNIL); } 
BgL_arg3334z00_1269 = 
MAKE_PAIR(BgL_arg3342z00_1272, BNIL); } 
BgL_arg3330z00_1267 = 
MAKE_PAIR(BgL_arg3333z00_1268, BgL_arg3334z00_1269); } 
BgL_arg3288z00_1242 = 
MAKE_PAIR(BgL_arg3329z00_1266, BgL_arg3330z00_1267); } 
BgL_arg3231z00_1210 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3287z00_1241, BgL_arg3288z00_1242); } 
return 
MAKE_PAIR(BgL_arg3230z00_1209, BgL_arg3231z00_1210);} } } } 
}



/* compile-lab-for-funcalli */
obj_t BGl_compilezd2labzd2forzd2funcallizd2zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_15, long BgL_iz00_16, obj_t BgL_defz00_17, obj_t BgL_labz00_18, obj_t BgL_slotz00_19)
{ AN_OBJECT;
{ /* ./Jvm/closure.scm 59 */
{ /* ./Jvm/closure.scm 60 */
obj_t BgL_arityz00_1294;
{ /* ./Jvm/closure.scm 60 */
obj_t BgL_auxz00_2898;
BgL_auxz00_2898 = 
CDR(BgL_slotz00_19); 
BgL_arityz00_1294 = 
CDR(BgL_auxz00_2898); } 
if(
NULLP(BgL_arityz00_1294))
{ /* ./Jvm/closure.scm 61 */
if(
(BgL_iz00_16<=((long)1)))
{ /* ./Jvm/closure.scm 62 */
return BgL_labz00_18;}  else 
{ /* ./Jvm/closure.scm 62 */
return BgL_defz00_17;} }  else 
{ /* ./Jvm/closure.scm 63 */
bool_t BgL_testz00_2905;
{ /* ./Jvm/closure.scm 63 */
bool_t BgL_testz00_2906;
{ /* ./Jvm/closure.scm 63 */
bool_t BgL_testz00_2907;
{ /* ./Jvm/closure.scm 63 */
long BgL_auxz00_2908;
BgL_auxz00_2908 = 
(long)CINT(BgL_arityz00_1294); 
BgL_testz00_2907 = 
(BgL_auxz00_2908>=((long)0)); } 
if(BgL_testz00_2907)
{ /* ./Jvm/closure.scm 63 */
long BgL_auxz00_2911;
BgL_auxz00_2911 = 
(long)CINT(BgL_arityz00_1294); 
BgL_testz00_2906 = 
(BgL_auxz00_2911==BgL_iz00_16); }  else 
{ /* ./Jvm/closure.scm 63 */
BgL_testz00_2906 = ((bool_t)0)
; } } 
if(BgL_testz00_2906)
{ /* ./Jvm/closure.scm 63 */
BgL_testz00_2905 = ((bool_t)1)
; }  else 
{ /* ./Jvm/closure.scm 64 */
bool_t BgL_testz00_2914;
{ /* ./Jvm/closure.scm 64 */
long BgL_auxz00_2915;
BgL_auxz00_2915 = 
(long)CINT(BgL_arityz00_1294); 
BgL_testz00_2914 = 
(BgL_auxz00_2915<((long)0)); } 
if(BgL_testz00_2914)
{ /* ./Jvm/closure.scm 64 */
obj_t BgL_auxz00_2918;
{ /* ./Jvm/closure.scm 64 */
long BgL_auxz00_2919;
BgL_auxz00_2919 = 
BGl_zd2fxzd2zz__r4_numbers_6_5_fixnumz00(((long)-1), BgL_iz00_16); 
BgL_auxz00_2918 = 
BINT(BgL_auxz00_2919); } 
BgL_testz00_2905 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_arityz00_1294, BgL_auxz00_2918); }  else 
{ /* ./Jvm/closure.scm 64 */
BgL_testz00_2905 = ((bool_t)0)
; } } } 
if(BgL_testz00_2905)
{ /* ./Jvm/closure.scm 63 */
return BgL_labz00_18;}  else 
{ /* ./Jvm/closure.scm 63 */
return BgL_defz00_17;} } } } 
}



/* compile-for-funcalli */
obj_t BGl_compilezd2forzd2funcalliz00zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_20, long BgL_iz00_21, obj_t BgL_labz00_22, obj_t BgL_slotz00_23)
{ AN_OBJECT;
{ /* ./Jvm/closure.scm 68 */
{ /* ./Jvm/closure.scm 69 */
obj_t BgL_arityz00_1303;obj_t BgL_namez00_1304;
{ /* ./Jvm/closure.scm 69 */
obj_t BgL_auxz00_2923;
BgL_auxz00_2923 = 
CDR(BgL_slotz00_23); 
BgL_arityz00_1303 = 
CDR(BgL_auxz00_2923); } 
BgL_namez00_1304 = 
CAR(BgL_slotz00_23); 
{ /* ./Jvm/closure.scm 78 */
bool_t BgL_test3385z00_1306;
BgL_test3385z00_1306 = 
NULLP(BgL_arityz00_1303); 
if(BgL_test3385z00_1306)
{ /* ./Jvm/closure.scm 78 */
{ /* ./Jvm/closure.scm 80 */
bool_t BgL_test3386z00_1307;
BgL_test3386z00_1307 = 
(BgL_iz00_21==((long)0)); 
if(BgL_test3386z00_1307)
{ /* ./Jvm/closure.scm 80 */
{ /* ./Jvm/closure.scm 81 */
obj_t BgL_arg3388z00_1308;
{ /* ./Jvm/closure.scm 81 */
obj_t BgL_arg3391z00_1309;obj_t BgL_arg3392z00_1310;
{ /* ./Jvm/closure.scm 81 */
obj_t BgL_auxz00_2931;
BgL_auxz00_2931 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg3391z00_1309 = 
MAKE_PAIR(BgL_auxz00_2931, BNIL); } 
{ /* ./Jvm/closure.scm 82 */
obj_t BgL_arg3396z00_1311;obj_t BgL_arg3397z00_1312;
{ /* ./Jvm/closure.scm 82 */
obj_t BgL_arg3400z00_1313;obj_t BgL_arg3401z00_1314;
BgL_arg3400z00_1313 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg3401z00_1314 = 
MAKE_PAIR(BgL_namez00_1304, BNIL); 
BgL_arg3396z00_1311 = 
MAKE_PAIR(BgL_arg3400z00_1313, BgL_arg3401z00_1314); } 
{ /* ./Jvm/closure.scm 83 */
obj_t BgL_arg3405z00_1315;
{ /* ./Jvm/closure.scm 83 */
obj_t BgL_auxz00_2937;
BgL_auxz00_2937 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3405z00_1315 = 
MAKE_PAIR(BgL_auxz00_2937, BNIL); } 
BgL_arg3397z00_1312 = 
MAKE_PAIR(BgL_arg3405z00_1315, BNIL); } 
BgL_arg3392z00_1310 = 
MAKE_PAIR(BgL_arg3396z00_1311, BgL_arg3397z00_1312); } 
BgL_arg3388z00_1308 = 
MAKE_PAIR(BgL_arg3391z00_1309, BgL_arg3392z00_1310); } 
return 
MAKE_PAIR(BgL_labz00_22, BgL_arg3388z00_1308);} }  else 
{ /* ./Jvm/closure.scm 84 */
bool_t BgL_test3409z00_1317;
BgL_test3409z00_1317 = 
(BgL_iz00_21==((long)1)); 
if(BgL_test3409z00_1317)
{ /* ./Jvm/closure.scm 84 */
{ /* ./Jvm/closure.scm 85 */
obj_t BgL_arg3411z00_1318;
{ /* ./Jvm/closure.scm 85 */
obj_t BgL_arg3414z00_1319;obj_t BgL_arg3415z00_1320;
{ /* ./Jvm/closure.scm 85 */
obj_t BgL_arg3418z00_1321;obj_t BgL_arg3419z00_1322;
BgL_arg3418z00_1321 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg3419z00_1322 = 
MAKE_PAIR(BgL_namez00_1304, BNIL); 
BgL_arg3414z00_1319 = 
MAKE_PAIR(BgL_arg3418z00_1321, BgL_arg3419z00_1322); } 
{ /* ./Jvm/closure.scm 86 */
obj_t BgL_arg3423z00_1323;
{ /* ./Jvm/closure.scm 86 */
obj_t BgL_auxz00_2949;
BgL_auxz00_2949 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3423z00_1323 = 
MAKE_PAIR(BgL_auxz00_2949, BNIL); } 
BgL_arg3415z00_1320 = 
MAKE_PAIR(BgL_arg3423z00_1323, BNIL); } 
BgL_arg3411z00_1318 = 
MAKE_PAIR(BgL_arg3414z00_1319, BgL_arg3415z00_1320); } 
return 
MAKE_PAIR(BgL_labz00_22, BgL_arg3411z00_1318);} }  else 
{ /* ./Jvm/closure.scm 84 */
return BNIL;} } } }  else 
{ /* ./Jvm/closure.scm 88 */
bool_t BgL_test3429z00_1325;
{ /* ./Jvm/closure.scm 88 */
long BgL_auxz00_2955;
BgL_auxz00_2955 = 
(long)CINT(BgL_arityz00_1303); 
BgL_test3429z00_1325 = 
(BgL_auxz00_2955>=((long)0)); } 
if(BgL_test3429z00_1325)
{ /* ./Jvm/closure.scm 88 */
{ /* ./Jvm/closure.scm 89 */
bool_t BgL_test3430z00_1326;
{ /* ./Jvm/closure.scm 89 */
long BgL_auxz00_2959;
BgL_auxz00_2959 = 
(long)CINT(BgL_arityz00_1303); 
BgL_test3430z00_1326 = 
(BgL_auxz00_2959==BgL_iz00_21); } 
if(BgL_test3430z00_1326)
{ /* ./Jvm/closure.scm 90 */
obj_t BgL_arg3432z00_1327;
{ /* ./Jvm/closure.scm 90 */
obj_t BgL_arg3435z00_1328;obj_t BgL_arg3436z00_1329;
{ /* ./Jvm/closure.scm 90 */
obj_t BgL_arg3439z00_1330;obj_t BgL_arg3440z00_1331;
BgL_arg3439z00_1330 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg3440z00_1331 = 
MAKE_PAIR(BgL_namez00_1304, BNIL); 
BgL_arg3435z00_1328 = 
MAKE_PAIR(BgL_arg3439z00_1330, BgL_arg3440z00_1331); } 
{ /* ./Jvm/closure.scm 91 */
obj_t BgL_arg3444z00_1332;
{ /* ./Jvm/closure.scm 91 */
obj_t BgL_auxz00_2966;
BgL_auxz00_2966 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3444z00_1332 = 
MAKE_PAIR(BgL_auxz00_2966, BNIL); } 
BgL_arg3436z00_1329 = 
MAKE_PAIR(BgL_arg3444z00_1332, BNIL); } 
BgL_arg3432z00_1327 = 
MAKE_PAIR(BgL_arg3435z00_1328, BgL_arg3436z00_1329); } 
return 
MAKE_PAIR(BgL_labz00_22, BgL_arg3432z00_1327);}  else 
{ /* ./Jvm/closure.scm 89 */
return BNIL;} } }  else 
{ /* ./Jvm/closure.scm 88 */
{ /* ./Jvm/closure.scm 94 */
bool_t BgL_test3449z00_1334;
{ /* ./Jvm/closure.scm 94 */
obj_t BgL_auxz00_2972;
{ /* ./Jvm/closure.scm 94 */
long BgL_auxz00_2973;
BgL_auxz00_2973 = 
BGl_zd2fxzd2zz__r4_numbers_6_5_fixnumz00(((long)-1), BgL_iz00_21); 
BgL_auxz00_2972 = 
BINT(BgL_auxz00_2973); } 
BgL_test3449z00_1334 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_arityz00_1303, BgL_auxz00_2972); } 
if(BgL_test3449z00_1334)
{ /* ./Jvm/closure.scm 94 */
return BNIL;}  else 
{ /* ./Jvm/closure.scm 94 */
{ /* ./Jvm/closure.scm 97 */
obj_t BgL_arg3451z00_1335;
{ /* ./Jvm/closure.scm 97 */
obj_t BgL_arg3454z00_1336;obj_t BgL_arg3455z00_1337;
{ /* ./Jvm/closure.scm 97 */
obj_t BgL_arg3458z00_1338;obj_t BgL_arg3459z00_1339;
BgL_arg3458z00_1338 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Jvm/closure.scm 97 */
obj_t BgL_auxz00_2979;
BgL_auxz00_2979 = 
CNST_TABLE_REF(((long)15)); 
BgL_arg3459z00_1339 = 
MAKE_PAIR(BgL_auxz00_2979, BNIL); } 
BgL_arg3454z00_1336 = 
MAKE_PAIR(BgL_arg3458z00_1338, BgL_arg3459z00_1339); } 
{ /* ./Jvm/closure.scm 98 */
obj_t BgL_arg3463z00_1340;
{ /* ./Jvm/closure.scm 98 */
obj_t BgL_arg3467z00_1342;
BgL_arg3467z00_1342 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_iz00_21), 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(((long)1)), BgL_arityz00_1303)); 
BgL_arg3463z00_1340 = 
BGl_make_consz00zzjvm_closurez00(BgL_namez00_1304, BgL_arg3467z00_1342); } 
BgL_arg3455z00_1337 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3463z00_1340, BNIL); } 
BgL_arg3451z00_1335 = 
MAKE_PAIR(BgL_arg3454z00_1336, BgL_arg3455z00_1337); } 
return 
MAKE_PAIR(BgL_labz00_22, BgL_arg3451z00_1335);} } } } } } } } 
}



/* make_cons */
obj_t BGl_make_consz00zzjvm_closurez00(obj_t BgL_namez00_2663, obj_t BgL_nz00_1345)
{ AN_OBJECT;
{ /* ./Jvm/closure.scm 76 */
{ /* ./Jvm/closure.scm 71 */
bool_t BgL_test3480z00_1347;
BgL_test3480z00_1347 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_1345, 
BINT(((long)0))); 
if(BgL_test3480z00_1347)
{ /* ./Jvm/closure.scm 72 */
obj_t BgL_arg3482z00_1348;obj_t BgL_arg3483z00_1349;
{ /* ./Jvm/closure.scm 72 */
obj_t BgL_arg3486z00_1350;obj_t BgL_arg3487z00_1351;
BgL_arg3486z00_1350 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg3487z00_1351 = 
MAKE_PAIR(BgL_namez00_2663, BNIL); 
BgL_arg3482z00_1348 = 
MAKE_PAIR(BgL_arg3486z00_1350, BgL_arg3487z00_1351); } 
{ /* ./Jvm/closure.scm 73 */
obj_t BgL_arg3491z00_1352;
{ /* ./Jvm/closure.scm 73 */
obj_t BgL_auxz00_2997;
BgL_auxz00_2997 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3491z00_1352 = 
MAKE_PAIR(BgL_auxz00_2997, BNIL); } 
BgL_arg3483z00_1349 = 
MAKE_PAIR(BgL_arg3491z00_1352, BNIL); } 
return 
MAKE_PAIR(BgL_arg3482z00_1348, BgL_arg3483z00_1349);}  else 
{ /* ./Jvm/closure.scm 71 */
{ /* ./Jvm/closure.scm 75 */
obj_t BgL_arg3496z00_1354;obj_t BgL_arg3497z00_1355;
{ /* ./Jvm/closure.scm 75 */
obj_t BgL_arg3500z00_1356;obj_t BgL_arg3501z00_1357;
BgL_arg3500z00_1356 = 
CNST_TABLE_REF(((long)14)); 
{ /* ./Jvm/closure.scm 75 */
obj_t BgL_auxz00_3003;
BgL_auxz00_3003 = 
CNST_TABLE_REF(((long)16)); 
BgL_arg3501z00_1357 = 
MAKE_PAIR(BgL_auxz00_3003, BNIL); } 
BgL_arg3496z00_1354 = 
MAKE_PAIR(BgL_arg3500z00_1356, BgL_arg3501z00_1357); } 
{ /* ./Jvm/closure.scm 76 */
obj_t BgL_arg3505z00_1358;
{ /* ./Jvm/closure.scm 76 */
obj_t BgL_arg3510z00_1360;
BgL_arg3510z00_1360 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_nz00_1345, 
BINT(((long)1))); 
BgL_arg3505z00_1358 = 
BGl_make_consz00zzjvm_closurez00(BgL_namez00_2663, BgL_arg3510z00_1360); } 
BgL_arg3497z00_1355 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3505z00_1358, BNIL); } 
return 
MAKE_PAIR(BgL_arg3496z00_1354, BgL_arg3497z00_1355);} } } } 
}



/* compile-apply */
obj_t BGl_compilezd2applyzd2zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_24, obj_t BgL_mez00_25, obj_t BgL_superz00_26, obj_t BgL_procsz00_27)
{ AN_OBJECT;
{ /* ./Jvm/closure.scm 103 */
{ /* ./Jvm/closure.scm 104 */
obj_t BgL_fz00_1362;obj_t BgL_ez00_1363;
BgL_fz00_1362 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string4335z00zzjvm_closurez00, BEOA); 
BgL_ez00_1363 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string4336z00zzjvm_closurez00, BEOA); 
{ /* ./Jvm/closure.scm 105 */
obj_t BgL_arg3517z00_1364;
{ /* ./Jvm/closure.scm 105 */
obj_t BgL_arg3520z00_1365;obj_t BgL_arg3521z00_1366;
BgL_arg3520z00_1365 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Jvm/closure.scm 105 */
obj_t BgL_arg3524z00_1367;
{ /* ./Jvm/closure.scm 105 */
obj_t BgL_arg3527z00_1368;obj_t BgL_arg3528z00_1369;
{ /* ./Jvm/closure.scm 105 */
obj_t BgL_auxz00_3017;
BgL_auxz00_3017 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3527z00_1368 = 
MAKE_PAIR(BgL_auxz00_3017, BNIL); } 
{ /* ./Jvm/closure.scm 105 */
obj_t BgL_arg3532z00_1370;obj_t BgL_arg3533z00_1371;
BgL_arg3532z00_1370 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Jvm/closure.scm 105 */
obj_t BgL_arg3537z00_1373;
{ /* ./Jvm/closure.scm 105 */
obj_t BgL_auxz00_3021;
BgL_auxz00_3021 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg3537z00_1373 = 
MAKE_PAIR(BgL_auxz00_3021, BNIL); } 
BgL_arg3533z00_1371 = 
MAKE_PAIR(BGl_string4335z00zzjvm_closurez00, BgL_arg3537z00_1373); } 
BgL_arg3528z00_1369 = 
MAKE_PAIR(BgL_arg3532z00_1370, BgL_arg3533z00_1371); } 
BgL_arg3524z00_1367 = 
MAKE_PAIR(BgL_arg3527z00_1368, BgL_arg3528z00_1369); } 
BgL_arg3521z00_1366 = 
MAKE_PAIR(BgL_mez00_25, BgL_arg3524z00_1367); } 
BgL_arg3517z00_1364 = 
MAKE_PAIR(BgL_arg3520z00_1365, BgL_arg3521z00_1366); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_24, BgL_fz00_1362, BgL_arg3517z00_1364); } 
{ /* ./Jvm/closure.scm 106 */
obj_t BgL_arg3541z00_1374;
{ /* ./Jvm/closure.scm 106 */
obj_t BgL_arg3545z00_1375;obj_t BgL_arg3546z00_1376;
BgL_arg3545z00_1375 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Jvm/closure.scm 106 */
obj_t BgL_arg3549z00_1377;
{ /* ./Jvm/closure.scm 106 */
obj_t BgL_arg3552z00_1378;obj_t BgL_arg3553z00_1379;
{ /* ./Jvm/closure.scm 106 */
obj_t BgL_auxz00_3031;
BgL_auxz00_3031 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3552z00_1378 = 
MAKE_PAIR(BgL_auxz00_3031, BNIL); } 
{ /* ./Jvm/closure.scm 106 */
obj_t BgL_arg3557z00_1380;obj_t BgL_arg3558z00_1381;
BgL_arg3557z00_1380 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Jvm/closure.scm 106 */
obj_t BgL_arg3562z00_1383;
{ /* ./Jvm/closure.scm 106 */
obj_t BgL_auxz00_3035;
BgL_auxz00_3035 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg3562z00_1383 = 
MAKE_PAIR(BgL_auxz00_3035, BNIL); } 
BgL_arg3558z00_1381 = 
MAKE_PAIR(BGl_string4337z00zzjvm_closurez00, BgL_arg3562z00_1383); } 
BgL_arg3553z00_1379 = 
MAKE_PAIR(BgL_arg3557z00_1380, BgL_arg3558z00_1381); } 
BgL_arg3549z00_1377 = 
MAKE_PAIR(BgL_arg3552z00_1378, BgL_arg3553z00_1379); } 
BgL_arg3546z00_1376 = 
MAKE_PAIR(BgL_superz00_26, BgL_arg3549z00_1377); } 
BgL_arg3541z00_1374 = 
MAKE_PAIR(BgL_arg3545z00_1375, BgL_arg3546z00_1376); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_24, BgL_ez00_1363, BgL_arg3541z00_1374); } 
{ /* ./Jvm/closure.scm 107 */
obj_t BgL_arg3566z00_1384;obj_t BgL_arg3567z00_1385;
BgL_arg3566z00_1384 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Jvm/closure.scm 107 */
obj_t BgL_arg3570z00_1386;
{ /* ./Jvm/closure.scm 107 */
obj_t BgL_arg3573z00_1387;obj_t BgL_arg3574z00_1388;
{ /* ./Jvm/closure.scm 107 */
obj_t BgL_arg3577z00_1389;obj_t BgL_arg3578z00_1390;
BgL_arg3577z00_1389 = 
CNST_TABLE_REF(((long)17)); 
{ /* ./Jvm/closure.scm 107 */
obj_t BgL_auxz00_3046;
BgL_auxz00_3046 = 
CNST_TABLE_REF(((long)18)); 
BgL_arg3578z00_1390 = 
MAKE_PAIR(BgL_auxz00_3046, BNIL); } 
BgL_arg3573z00_1387 = 
MAKE_PAIR(BgL_arg3577z00_1389, BgL_arg3578z00_1390); } 
{ /* ./Jvm/closure.scm 107 */
obj_t BgL_arg3583z00_1392;
{ /* ./Jvm/closure.scm 108 */
obj_t BgL_arg3588z00_1393;obj_t BgL_arg3589z00_1394;
{ /* ./Jvm/closure.scm 108 */
obj_t BgL_arg3592z00_1395;obj_t BgL_arg3593z00_1396;
BgL_arg3592z00_1395 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Jvm/closure.scm 108 */
obj_t BgL_auxz00_3051;
BgL_auxz00_3051 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg3593z00_1396 = 
MAKE_PAIR(BgL_auxz00_3051, BNIL); } 
BgL_arg3588z00_1393 = 
MAKE_PAIR(BgL_arg3592z00_1395, BgL_arg3593z00_1396); } 
{ /* ./Jvm/closure.scm 109 */
obj_t BgL_arg3597z00_1397;obj_t BgL_arg3598z00_1398;
{ /* ./Jvm/closure.scm 109 */
obj_t BgL_arg3601z00_1399;obj_t BgL_arg3602z00_1400;
BgL_arg3601z00_1399 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Jvm/closure.scm 109 */
obj_t BgL_auxz00_3056;
BgL_auxz00_3056 = 
CNST_TABLE_REF(((long)18)); 
BgL_arg3602z00_1400 = 
MAKE_PAIR(BgL_auxz00_3056, BNIL); } 
BgL_arg3597z00_1397 = 
MAKE_PAIR(BgL_arg3601z00_1399, BgL_arg3602z00_1400); } 
{ /* ./Jvm/closure.scm 110 */
obj_t BgL_arg3606z00_1401;obj_t BgL_arg3607z00_1402;
{ /* ./Jvm/closure.scm 110 */
obj_t BgL_arg3610z00_1403;obj_t BgL_arg3611z00_1404;
BgL_arg3610z00_1403 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Jvm/closure.scm 110 */
obj_t BgL_auxz00_3061;
BgL_auxz00_3061 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg3611z00_1404 = 
MAKE_PAIR(BgL_auxz00_3061, BNIL); } 
BgL_arg3606z00_1401 = 
MAKE_PAIR(BgL_arg3610z00_1403, BgL_arg3611z00_1404); } 
{ /* ./Jvm/closure.scm 111 */
obj_t BgL_arg3615z00_1405;obj_t BgL_arg3616z00_1406;
{ /* ./Jvm/closure.scm 111 */
obj_t BgL_arg3619z00_1407;obj_t BgL_arg3620z00_1408;
BgL_arg3619z00_1407 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Jvm/closure.scm 111 */
obj_t BgL_auxz00_3066;
BgL_auxz00_3066 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg3620z00_1408 = 
MAKE_PAIR(BgL_auxz00_3066, BNIL); } 
BgL_arg3615z00_1405 = 
MAKE_PAIR(BgL_arg3619z00_1407, BgL_arg3620z00_1408); } 
{ /* ./Jvm/closure.scm 112 */
obj_t BgL_arg3624z00_1409;
BgL_arg3624z00_1409 = 
BGl_compilezd2dispatchzd2zzjvm_closurez00(BgL_envz00_24, BgL_procsz00_27, BgL_ez00_1363); 
BgL_arg3616z00_1406 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3624z00_1409, BNIL); } 
BgL_arg3607z00_1402 = 
MAKE_PAIR(BgL_arg3615z00_1405, BgL_arg3616z00_1406); } 
BgL_arg3598z00_1398 = 
MAKE_PAIR(BgL_arg3606z00_1401, BgL_arg3607z00_1402); } 
BgL_arg3589z00_1394 = 
MAKE_PAIR(BgL_arg3597z00_1397, BgL_arg3598z00_1398); } 
BgL_arg3583z00_1392 = 
MAKE_PAIR(BgL_arg3588z00_1393, BgL_arg3589z00_1394); } 
BgL_arg3574z00_1388 = 
MAKE_PAIR(BNIL, BgL_arg3583z00_1392); } 
BgL_arg3570z00_1386 = 
MAKE_PAIR(BgL_arg3573z00_1387, BgL_arg3574z00_1388); } 
BgL_arg3567z00_1385 = 
MAKE_PAIR(BgL_fz00_1362, BgL_arg3570z00_1386); } 
return 
MAKE_PAIR(BgL_arg3566z00_1384, BgL_arg3567z00_1385);} } } 
}



/* compile-dispatch */
obj_t BGl_compilezd2dispatchzd2zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_28, obj_t BgL_funsz00_29, obj_t BgL_errorz00_30)
{ AN_OBJECT;
{ /* ./Jvm/closure.scm 114 */
{ /* ./Jvm/closure.scm 115 */
bool_t BgL_test3630z00_1411;
BgL_test3630z00_1411 = 
NULLP(BgL_funsz00_29); 
if(BgL_test3630z00_1411)
{ /* ./Jvm/closure.scm 116 */
obj_t BgL_arg3632z00_1412;obj_t BgL_arg3633z00_1413;
{ /* ./Jvm/closure.scm 116 */
obj_t BgL_auxz00_3082;
BgL_auxz00_3082 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg3632z00_1412 = 
MAKE_PAIR(BgL_auxz00_3082, BNIL); } 
{ /* ./Jvm/closure.scm 117 */
obj_t BgL_arg3637z00_1414;obj_t BgL_arg3638z00_1415;
{ /* ./Jvm/closure.scm 117 */
obj_t BgL_arg3641z00_1416;obj_t BgL_arg3642z00_1417;
BgL_arg3641z00_1416 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3642z00_1417 = 
MAKE_PAIR(BgL_errorz00_30, BNIL); 
BgL_arg3637z00_1414 = 
MAKE_PAIR(BgL_arg3641z00_1416, BgL_arg3642z00_1417); } 
{ /* ./Jvm/closure.scm 118 */
obj_t BgL_arg3646z00_1418;
{ /* ./Jvm/closure.scm 118 */
obj_t BgL_auxz00_3088;
BgL_auxz00_3088 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3646z00_1418 = 
MAKE_PAIR(BgL_auxz00_3088, BNIL); } 
BgL_arg3638z00_1415 = 
MAKE_PAIR(BgL_arg3646z00_1418, BNIL); } 
BgL_arg3633z00_1413 = 
MAKE_PAIR(BgL_arg3637z00_1414, BgL_arg3638z00_1415); } 
return 
MAKE_PAIR(BgL_arg3632z00_1412, BgL_arg3633z00_1413);}  else 
{ /* ./Jvm/closure.scm 119 */
obj_t BgL_labsz00_1420;
if(BgL_test3630z00_1411)
{ /* ./Jvm/closure.scm 119 */
BgL_labsz00_1420 = BNIL; }  else 
{ /* ./Jvm/closure.scm 119 */
obj_t BgL_head2995z00_1461;
BgL_head2995z00_1461 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2993z00_1462;obj_t BgL_tail2996z00_1463;
BgL_l2993z00_1462 = BgL_funsz00_29; 
BgL_tail2996z00_1463 = BgL_head2995z00_1461; 
BgL_map2994z00_1464:
{ /* ./Jvm/closure.scm 119 */
bool_t BgL_test3720z00_1465;
BgL_test3720z00_1465 = 
NULLP(BgL_l2993z00_1462); 
if(BgL_test3720z00_1465)
{ /* ./Jvm/closure.scm 119 */
BgL_labsz00_1420 = 
CDR(BgL_head2995z00_1461); }  else 
{ /* ./Jvm/closure.scm 119 */
obj_t BgL_newtail2997z00_1466;
{ /* ./Jvm/closure.scm 119 */
obj_t BgL_arg3729z00_1468;
BgL_arg3729z00_1468 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BEOA); 
BgL_newtail2997z00_1466 = 
MAKE_PAIR(BgL_arg3729z00_1468, BNIL); } 
SET_CDR(BgL_tail2996z00_1463, BgL_newtail2997z00_1466); 
{ /* ./Jvm/closure.scm 119 */
obj_t BgL_arg3725z00_1467;
BgL_arg3725z00_1467 = 
CDR(BgL_l2993z00_1462); 
{ 
obj_t BgL_tail2996z00_3105;obj_t BgL_l2993z00_3104;
BgL_l2993z00_3104 = BgL_arg3725z00_1467; 
BgL_tail2996z00_3105 = BgL_newtail2997z00_1466; 
BgL_tail2996z00_1463 = BgL_tail2996z00_3105; 
BgL_l2993z00_1462 = BgL_l2993z00_3104; 
goto BgL_map2994z00_1464;} } } } } } 
{ /* ./Jvm/closure.scm 120 */
obj_t BgL_arg3651z00_1421;obj_t BgL_arg3652z00_1422;
{ /* ./Jvm/closure.scm 120 */
obj_t BgL_arg3655z00_1423;obj_t BgL_arg3656z00_1424;
BgL_arg3655z00_1423 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Jvm/closure.scm 120 */
obj_t BgL_arg3659z00_1425;obj_t BgL_arg3660z00_1426;
BgL_arg3659z00_1425 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Jvm/closure.scm 120 */
obj_t BgL_arg3664z00_1428;
BgL_arg3664z00_1428 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_labsz00_1420, BNIL); 
{ /* ./Jvm/closure.scm 120 */
obj_t BgL_auxz00_3109;
BgL_auxz00_3109 = 
BINT(((long)0)); 
BgL_arg3660z00_1426 = 
MAKE_PAIR(BgL_auxz00_3109, BgL_arg3664z00_1428); } } 
BgL_arg3656z00_1424 = 
MAKE_PAIR(BgL_arg3659z00_1425, BgL_arg3660z00_1426); } 
BgL_arg3651z00_1421 = 
MAKE_PAIR(BgL_arg3655z00_1423, BgL_arg3656z00_1424); } 
{ /* ./Jvm/closure.scm 121 */
obj_t BgL_arg3668z00_1429;obj_t BgL_arg3669z00_1430;
{ /* ./Jvm/closure.scm 121 */
obj_t BgL_runner3699z00_1450;
{ /* ./Jvm/closure.scm 122 */
bool_t BgL_test3671z00_1433;
BgL_test3671z00_1433 = 
NULLP(BgL_funsz00_29); 
if(BgL_test3671z00_1433)
{ /* ./Jvm/closure.scm 122 */
BgL_runner3699z00_1450 = BNIL; }  else 
{ /* ./Jvm/closure.scm 122 */
obj_t BgL_head3000z00_1434;
BgL_head3000z00_1434 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_ll2998z00_1435;obj_t BgL_ll2999z00_1436;obj_t BgL_tail3001z00_1437;
BgL_ll2998z00_1435 = BgL_funsz00_29; 
BgL_ll2999z00_1436 = BgL_labsz00_1420; 
BgL_tail3001z00_1437 = BgL_head3000z00_1434; 
BgL_map3003z00_1438:
{ /* ./Jvm/closure.scm 122 */
bool_t BgL_test3673z00_1439;
BgL_test3673z00_1439 = 
NULLP(BgL_ll2998z00_1435); 
if(BgL_test3673z00_1439)
{ /* ./Jvm/closure.scm 122 */
BgL_runner3699z00_1450 = 
CDR(BgL_head3000z00_1434); }  else 
{ /* ./Jvm/closure.scm 123 */
obj_t BgL_newtail3002z00_1440;
{ /* ./Jvm/closure.scm 123 */
obj_t BgL_arg3683z00_1443;
{ /* ./Jvm/closure.scm 123 */
obj_t BgL_fz00_1445;obj_t BgL_labelz00_1446;
BgL_fz00_1445 = 
CAR(BgL_ll2998z00_1435); 
BgL_labelz00_1446 = 
CAR(BgL_ll2999z00_1436); 
{ /* ./Jvm/closure.scm 123 */
obj_t BgL_arg3687z00_1447;
{ /* ./Jvm/closure.scm 123 */
obj_t BgL_arg3690z00_1448;
BgL_arg3690z00_1448 = 
BGl_compilezd2forzd2applyz00zzjvm_closurez00(BgL_envz00_28, BgL_fz00_1445); 
BgL_arg3687z00_1447 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3690z00_1448, BNIL); } 
BgL_arg3683z00_1443 = 
MAKE_PAIR(BgL_labelz00_1446, BgL_arg3687z00_1447); } } 
BgL_newtail3002z00_1440 = 
MAKE_PAIR(BgL_arg3683z00_1443, BNIL); } 
SET_CDR(BgL_tail3001z00_1437, BgL_newtail3002z00_1440); 
{ /* ./Jvm/closure.scm 122 */
obj_t BgL_arg3677z00_1441;obj_t BgL_arg3678z00_1442;
BgL_arg3677z00_1441 = 
CDR(BgL_ll2998z00_1435); 
BgL_arg3678z00_1442 = 
CDR(BgL_ll2999z00_1436); 
{ 
obj_t BgL_tail3001z00_3131;obj_t BgL_ll2999z00_3130;obj_t BgL_ll2998z00_3129;
BgL_ll2998z00_3129 = BgL_arg3677z00_1441; 
BgL_ll2999z00_3130 = BgL_arg3678z00_1442; 
BgL_tail3001z00_3131 = BgL_newtail3002z00_1440; 
BgL_tail3001z00_1437 = BgL_tail3001z00_3131; 
BgL_ll2999z00_1436 = BgL_ll2999z00_3130; 
BgL_ll2998z00_1435 = BgL_ll2998z00_3129; 
goto BgL_map3003z00_1438;} } } } } } } 
BgL_arg3668z00_1429 = 
BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_runner3699z00_1450); } 
{ /* ./Jvm/closure.scm 120 */
obj_t BgL_arg3701z00_1451;obj_t BgL_arg3702z00_1452;
BgL_arg3701z00_1451 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Jvm/closure.scm 127 */
obj_t BgL_arg3705z00_1453;obj_t BgL_arg3706z00_1454;
{ /* ./Jvm/closure.scm 127 */
obj_t BgL_arg3709z00_1455;obj_t BgL_arg3710z00_1456;
BgL_arg3709z00_1455 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3710z00_1456 = 
MAKE_PAIR(BgL_errorz00_30, BNIL); 
BgL_arg3705z00_1453 = 
MAKE_PAIR(BgL_arg3709z00_1455, BgL_arg3710z00_1456); } 
{ /* ./Jvm/closure.scm 128 */
obj_t BgL_arg3714z00_1457;
{ /* ./Jvm/closure.scm 128 */
obj_t BgL_auxz00_3137;
BgL_auxz00_3137 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3714z00_1457 = 
MAKE_PAIR(BgL_auxz00_3137, BNIL); } 
BgL_arg3706z00_1454 = 
MAKE_PAIR(BgL_arg3714z00_1457, BNIL); } 
BgL_arg3702z00_1452 = 
MAKE_PAIR(BgL_arg3705z00_1453, BgL_arg3706z00_1454); } 
BgL_arg3669z00_1430 = 
MAKE_PAIR(BgL_arg3701z00_1451, BgL_arg3702z00_1452); } 
BgL_arg3652z00_1422 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3668z00_1429, BgL_arg3669z00_1430); } 
return 
MAKE_PAIR(BgL_arg3651z00_1421, BgL_arg3652z00_1422);} } } } 
}



/* compile-for-apply */
obj_t BGl_compilezd2forzd2applyz00zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_31, obj_t BgL_slotz00_32)
{ AN_OBJECT;
{ /* ./Jvm/closure.scm 130 */
{ /* ./Jvm/closure.scm 146 */
obj_t BgL_arityz00_1472;obj_t BgL_namez00_1473;
{ /* ./Jvm/closure.scm 146 */
obj_t BgL_auxz00_3145;
BgL_auxz00_3145 = 
CDR(BgL_slotz00_32); 
BgL_arityz00_1472 = 
CDR(BgL_auxz00_3145); } 
BgL_namez00_1473 = 
CAR(BgL_slotz00_32); 
{ /* ./Jvm/closure.scm 147 */
bool_t BgL_test3738z00_1474;
BgL_test3738z00_1474 = 
NULLP(BgL_arityz00_1472); 
if(BgL_test3738z00_1474)
{ /* ./Jvm/closure.scm 147 */
return 
CNST_TABLE_REF(((long)19));}  else 
{ /* ./Jvm/closure.scm 150 */
obj_t BgL_callz00_1475;
{ /* ./Jvm/closure.scm 150 */
obj_t BgL_arg3766z00_1486;obj_t BgL_arg3767z00_1487;
BgL_arg3766z00_1486 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg3767z00_1487 = 
MAKE_PAIR(BgL_namez00_1473, BNIL); 
BgL_callz00_1475 = 
MAKE_PAIR(BgL_arg3766z00_1486, BgL_arg3767z00_1487); } 
{ /* ./Jvm/closure.scm 151 */
bool_t BgL_test3739z00_1476;
BgL_test3739z00_1476 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_arityz00_1472, 
BINT(((long)0))); 
if(BgL_test3739z00_1476)
{ /* ./Jvm/closure.scm 152 */
obj_t BgL_arg3741z00_1477;
{ /* ./Jvm/closure.scm 152 */
obj_t BgL_arg3744z00_1478;
{ /* ./Jvm/closure.scm 152 */
obj_t BgL_arg3747z00_1479;
{ /* ./Jvm/closure.scm 152 */
obj_t BgL_auxz00_3158;
BgL_auxz00_3158 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3747z00_1479 = 
MAKE_PAIR(BgL_auxz00_3158, BNIL); } 
BgL_arg3744z00_1478 = 
MAKE_PAIR(BgL_arg3747z00_1479, BNIL); } 
BgL_arg3741z00_1477 = 
MAKE_PAIR(BgL_callz00_1475, BgL_arg3744z00_1478); } 
return 
BGl_push_carsz00zzjvm_closurez00(BgL_arityz00_1472, ((bool_t)1), BgL_arg3741z00_1477);}  else 
{ /* ./Jvm/closure.scm 153 */
obj_t BgL_arg3752z00_1481;obj_t BgL_arg3753z00_1482;
BgL_arg3752z00_1481 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(
BINT(((long)-1)), BgL_arityz00_1472); 
{ /* ./Jvm/closure.scm 153 */
obj_t BgL_arg3757z00_1483;
{ /* ./Jvm/closure.scm 153 */
obj_t BgL_arg3760z00_1484;
{ /* ./Jvm/closure.scm 153 */
obj_t BgL_auxz00_3166;
BgL_auxz00_3166 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3760z00_1484 = 
MAKE_PAIR(BgL_auxz00_3166, BNIL); } 
BgL_arg3757z00_1483 = 
MAKE_PAIR(BgL_arg3760z00_1484, BNIL); } 
BgL_arg3753z00_1482 = 
MAKE_PAIR(BgL_callz00_1475, BgL_arg3757z00_1483); } 
return 
BGl_push_carsz00zzjvm_closurez00(BgL_arg3752z00_1481, ((bool_t)0), BgL_arg3753z00_1482);} } } } } } 
}



/* push_cars */
obj_t BGl_push_carsz00zzjvm_closurez00(obj_t BgL_nz00_1488, bool_t BgL_fixedarityzf3zf3_1489, obj_t BgL_rz00_1490)
{ AN_OBJECT;
{ /* ./Jvm/closure.scm 145 */
{ /* ./Jvm/closure.scm 132 */
bool_t BgL_test3774z00_1492;
BgL_test3774z00_1492 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_1488, 
BINT(((long)0))); 
if(BgL_test3774z00_1492)
{ /* ./Jvm/closure.scm 132 */
if(BgL_fixedarityzf3zf3_1489)
{ /* ./Jvm/closure.scm 133 */
obj_t BgL_auxz00_3176;
BgL_auxz00_3176 = 
CNST_TABLE_REF(((long)20)); 
return 
MAKE_PAIR(BgL_auxz00_3176, BgL_rz00_1490);}  else 
{ /* ./Jvm/closure.scm 133 */
return BgL_rz00_1490;} }  else 
{ /* ./Jvm/closure.scm 134 */
bool_t BgL_test3776z00_1493;
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_1488, 
BINT(((long)1))))
{ /* ./Jvm/closure.scm 134 */
BgL_test3776z00_1493 = BgL_fixedarityzf3zf3_1489; }  else 
{ /* ./Jvm/closure.scm 134 */
BgL_test3776z00_1493 = ((bool_t)0); } 
if(BgL_test3776z00_1493)
{ /* ./Jvm/closure.scm 134 */
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* ./Jvm/closure.scm 135 */
return 
bgl_append2(
CNST_TABLE_REF(((long)21)), BgL_rz00_1490);}  else 
{ /* ./Jvm/closure.scm 137 */
obj_t BgL_auxz00_3187;
BgL_auxz00_3187 = 
CNST_TABLE_REF(((long)22)); 
return 
MAKE_PAIR(BgL_auxz00_3187, BgL_rz00_1490);} }  else 
{ /* ./Jvm/closure.scm 139 */
obj_t BgL_arg3780z00_1494;obj_t BgL_arg3781z00_1495;
{ /* ./Jvm/closure.scm 139 */
obj_t BgL_arg3784z00_1496;obj_t BgL_arg3785z00_1497;
{ /* ./Jvm/closure.scm 139 */
obj_t BgL_auxz00_3190;
BgL_auxz00_3190 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg3784z00_1496 = 
MAKE_PAIR(BgL_auxz00_3190, BNIL); } 
{ /* ./Jvm/closure.scm 140 */
obj_t BgL_arg3789z00_1498;obj_t BgL_arg3790z00_1499;
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* ./Jvm/closure.scm 140 */
BgL_arg3789z00_1498 = 
CNST_TABLE_REF(((long)24)); }  else 
{ /* ./Jvm/closure.scm 140 */
BgL_arg3789z00_1498 = BNIL; } 
{ /* ./Jvm/closure.scm 141 */
obj_t BgL_arg3793z00_1500;obj_t BgL_arg3795z00_1501;
{ /* ./Jvm/closure.scm 141 */
obj_t BgL_arg3798z00_1502;obj_t BgL_arg3799z00_1503;
BgL_arg3798z00_1502 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Jvm/closure.scm 141 */
obj_t BgL_auxz00_3197;
BgL_auxz00_3197 = 
CNST_TABLE_REF(((long)25)); 
BgL_arg3799z00_1503 = 
MAKE_PAIR(BgL_auxz00_3197, BNIL); } 
BgL_arg3793z00_1500 = 
MAKE_PAIR(BgL_arg3798z00_1502, BgL_arg3799z00_1503); } 
{ /* ./Jvm/closure.scm 142 */
obj_t BgL_arg3803z00_1504;obj_t BgL_arg3804z00_1505;
{ /* ./Jvm/closure.scm 142 */
obj_t BgL_auxz00_3201;
BgL_auxz00_3201 = 
CNST_TABLE_REF(((long)26)); 
BgL_arg3803z00_1504 = 
MAKE_PAIR(BgL_auxz00_3201, BNIL); } 
{ /* ./Jvm/closure.scm 143 */
obj_t BgL_arg3808z00_1506;obj_t BgL_arg3809z00_1507;
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* ./Jvm/closure.scm 143 */
BgL_arg3808z00_1506 = 
CNST_TABLE_REF(((long)24)); }  else 
{ /* ./Jvm/closure.scm 143 */
BgL_arg3808z00_1506 = BNIL; } 
{ /* ./Jvm/closure.scm 144 */
obj_t BgL_arg3812z00_1508;
{ /* ./Jvm/closure.scm 144 */
obj_t BgL_arg3816z00_1510;obj_t BgL_arg3818z00_1511;
BgL_arg3816z00_1510 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Jvm/closure.scm 144 */
obj_t BgL_auxz00_3208;
BgL_auxz00_3208 = 
CNST_TABLE_REF(((long)27)); 
BgL_arg3818z00_1511 = 
MAKE_PAIR(BgL_auxz00_3208, BNIL); } 
BgL_arg3812z00_1508 = 
MAKE_PAIR(BgL_arg3816z00_1510, BgL_arg3818z00_1511); } 
BgL_arg3809z00_1507 = 
MAKE_PAIR(BgL_arg3812z00_1508, BNIL); } 
BgL_arg3804z00_1505 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3808z00_1506, BgL_arg3809z00_1507); } 
BgL_arg3795z00_1501 = 
MAKE_PAIR(BgL_arg3803z00_1504, BgL_arg3804z00_1505); } 
BgL_arg3790z00_1499 = 
MAKE_PAIR(BgL_arg3793z00_1500, BgL_arg3795z00_1501); } 
BgL_arg3785z00_1497 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3789z00_1498, BgL_arg3790z00_1499); } 
BgL_arg3780z00_1494 = 
MAKE_PAIR(BgL_arg3784z00_1496, BgL_arg3785z00_1497); } 
{ /* ./Jvm/closure.scm 145 */
obj_t BgL_arg3822z00_1512;
BgL_arg3822z00_1512 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_nz00_1488, 
BINT(((long)1))); 
BgL_arg3781z00_1495 = 
BGl_push_carsz00zzjvm_closurez00(BgL_arg3822z00_1512, BgL_fixedarityzf3zf3_1489, BgL_rz00_1490); } 
return 
bgl_append2(BgL_arg3780z00_1494, BgL_arg3781z00_1495);} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_closurez00()
{ AN_OBJECT;
{ /* ./Jvm/closure.scm 2 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_closurez00()
{ AN_OBJECT;
{ /* ./Jvm/closure.scm 2 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)23064), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzjvm_externz00(((long)40264), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)58889), "jvm_closure"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)18045), "jvm_closure");} 
}

