/*===========================================================================*/
/*   (Module/class.scm)                                                      */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Module/class.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;


static obj_t BGl_zc3anonymousza31851ze3z83zzmodule_classz00(obj_t);
BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzmodule_classz00();
BGL_IMPORT long get_hash_power_number(char *, long);
static obj_t BGl_za2objectzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
static obj_t BGl_za2methodzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_typez00zztype_typez00;
static obj_t BGl__classzd2finaliza7erz75zzmodule_classz00(obj_t);
static BgL_typez00_bglt BGl_declarezd2exportzd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31884ze3z83zzmodule_classz00(obj_t);
BGL_IMPORT obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
extern obj_t BGl_globalzd2setzd2readzd2onlyz12zc0zzast_varz00(BgL_globalz00_bglt);
static obj_t BGl_cnstzd2initzd2zzmodule_classz00();
BGL_EXPORTED_DECL obj_t BGl_getzd2classzd2hashz00zzmodule_classz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_classz00();
static obj_t BGl_makezd2slotzd2fieldz00zzmodule_classz00(obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
static obj_t BGl__delayzd2classzd2accessorsz12z12zzmodule_classz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2classzd2accessesza2zd2zzmodule_classz00 = BUNSPEC;
static obj_t BGl__getzd2classzd2hashz00zzmodule_classz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2declaredzd2classesza2zd2zzmodule_classz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zzmodule_classz00();
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_jclassz00zzobject_classz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_plainzd2accesszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_widezd2accesszd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
static obj_t BGl_findzd2infozd2attributez00zzmodule_classz00(obj_t);
static obj_t BGl_forcezd2classzd2accessesz00zzmodule_classz00();
BGL_EXPORTED_DECL BgL_typez00_bglt BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(BgL_typez00_bglt, obj_t);
static obj_t BGl_makezd2addzd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
static obj_t BGl__declarezd2classz12zc0zzmodule_classz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_makezd2classzd2fieldsz00zzmodule_classz00(obj_t, obj_t, obj_t);
static bool_t BGl_readzd2onlyzf3z21zzmodule_classz00(obj_t);
static BgL_typez00_bglt BGl_declarezd2importzd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__declarezd2widezd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_declarezd2widezd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t create_struct(obj_t, int);
BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl__getzd2methodzd2unitz00zzmodule_classz00(obj_t);
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
extern BgL_typez00_bglt BGl_declarezd2classzd2typez12z12zzobject_classz00(obj_t, BgL_globalz00_bglt, obj_t, bool_t, bool_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzmodule_classz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_classzd2finaliza7erz75zzmodule_classz00();
BGL_EXPORTED_DECL obj_t BGl_getzd2objectzd2unitz00zzmodule_classz00();
static obj_t BGl__getzd2objectzd2unitz00zzmodule_classz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_classz00();
extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
BGL_EXPORTED_DECL obj_t BGl_getzd2methodzd2unitz00zzmodule_classz00();
static obj_t __cnst[ 34 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_getzd2classzd2hashzd2envzd2zzmodule_classz00, BgL_bgl__getza7d2classza7d2hashza700za7za7module_classza7003367z00, BGl__getzd2classzd2hashz00zzmodule_classz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_delayzd2classzd2accessorsz12zd2envzc0zzmodule_classz00, BgL_bgl__delayza7d2classza7d2accessorsza712za712za7za7module_classza7003368za7, BGl__delayzd2classzd2accessorsz12z12zzmodule_classz00, 0L, 2 );
extern obj_t BGl_importzd2plainzd2classzd2accessorsz12zd2envz12zzobject_plainzd2accesszd2;
DEFINE_STRING( BGl_string3338z00zzmodule_classz00, BgL_bgl_string3338za700za7za7module_classza7003369z00, "method unit (#unspecified) object pragma::int begin void -len -ref -set! - make-class-field get info read-only list * cons vector __object register-class! define @ quote error x lambda allocate- make- widening wide plain final (export static) ", 243 );
DEFINE_STRING( BGl_string3337z00zzmodule_classz00, BgL_bgl_string3337za700za7za7module_classza7003370z00, "\")", 2 );
DEFINE_STRING( BGl_string3336z00zzmodule_classz00, BgL_bgl_string3336za700za7za7module_classza7003371z00, "puts(\"    Module init (object): ", 32 );
DEFINE_STRING( BGl_string3335z00zzmodule_classz00, BgL_bgl_string3335za700za7za7module_classza7003372z00, "Illegal slot definition", 23 );
DEFINE_STRING( BGl_string3334z00zzmodule_classz00, BgL_bgl_string3334za700za7za7module_classza7003373z00, "make-class-fields", 17 );
DEFINE_STRING( BGl_string3333z00zzmodule_classz00, BgL_bgl_string3333za700za7za7module_classza7003374z00, "* ", 2 );
DEFINE_STRING( BGl_string3332z00zzmodule_classz00, BgL_bgl_string3332za700za7za7module_classza7003375z00, "Can't allocate instance of abstract classes", 43 );
DEFINE_STRING( BGl_string3331z00zzmodule_classz00, BgL_bgl_string3331za700za7za7module_classza7003376z00, "Can't make instance of abstract classes", 39 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2objectzd2unitzd2envzd2zzmodule_classz00, BgL_bgl__getza7d2objectza7d2unitza700za7za7module_classza7003377z00, BGl__getzd2objectzd2unitz00zzmodule_classz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_declarezd2classz12zd2envz12zzmodule_classz00, BgL_bgl__declareza7d2classza712za7c0za7za7module_classza7003378z00, BGl__declarezd2classz12zc0zzmodule_classz00, 0L, 7 );
extern obj_t BGl_genzd2widezd2classzd2accessorsz12zd2envz12zzobject_widezd2accesszd2;
extern obj_t BGl_genzd2plainzd2classzd2accessorsz12zd2envz12zzobject_plainzd2accesszd2;
DEFINE_EXPORT_PROCEDURE( BGl_classzd2finaliza7erzd2envza7zzmodule_classz00, BgL_bgl__classza7d2finaliza7a7erza775za7za7module_classza7003379z00, BGl__classzd2finaliza7erz75zzmodule_classz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_declarezd2widezd2classz12zd2envzc0zzmodule_classz00, BgL_bgl__declareza7d2wideza7d2classza712za712za7za7module_classza7003380za7, BGl__declarezd2widezd2classz12z12zzmodule_classz00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2methodzd2unitzd2envzd2zzmodule_classz00, BgL_bgl__getza7d2methodza7d2unitza700za7za7module_classza7003381z00, BGl__getzd2methodzd2unitz00zzmodule_classz00, 0L, 0 );
extern obj_t BGl_importzd2widezd2classzd2accessorsz12zd2envz12zzobject_widezd2accesszd2;



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long BgL_checksumz00_1848, char * BgL_fromz00_1849)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_classz00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_classz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_classz00(); 
BGl_cnstzd2initzd2zzmodule_classz00(); 
BGl_importedzd2moduleszd2initz00zzmodule_classz00(); 
BGl_toplevelzd2initzd2zzmodule_classz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_classz00()
{ AN_OBJECT;
{ /* ./Module/class.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "module_class"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_class"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "module_class"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "module_class"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "module_class"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_classz00()
{ AN_OBJECT;
{ /* ./Module/class.scm 15 */
{ /* ./Module/class.scm 15 */
obj_t BgL_cportz00_1841;
BgL_cportz00_1841 = 
open_input_string(BGl_string3338z00zzmodule_classz00); 
{ 
long BgL_iz00_1842;
BgL_iz00_1842 = ((long)33); 
BgL_loopz00_1843:
{ /* ./Module/class.scm 15 */
bool_t BgL_test3340z00_1844;
BgL_test3340z00_1844 = 
(BgL_iz00_1842==((long)-1)); 
if(BgL_test3340z00_1844)
{ /* ./Module/class.scm 15 */
return BUNSPEC;}  else 
{ /* ./Module/class.scm 15 */
{ /* ./Module/class.scm 15 */
obj_t BgL_arg3342z00_1845;
{ /* ./Module/class.scm 15 */
obj_t BgL_list3345z00_1846;
BgL_list3345z00_1846 = 
MAKE_PAIR(BgL_cportz00_1841, BNIL); 
BgL_arg3342z00_1845 = 
BGl_readz00zz__readerz00(BgL_list3345z00_1846); } 
{ /* ./Module/class.scm 15 */
int BgL_auxz00_1867;
BgL_auxz00_1867 = 
(int)(BgL_iz00_1842); 
CNST_TABLE_SET(BgL_auxz00_1867, BgL_arg3342z00_1845); } } 
{ /* ./Module/class.scm 15 */
int BgL_auxz00_1847;
{ /* ./Module/class.scm 15 */
long BgL_auxz00_1870;
BgL_auxz00_1870 = 
(BgL_iz00_1842-((long)1)); 
BgL_auxz00_1847 = 
(int)(BgL_auxz00_1870); } 
{ 
long BgL_iz00_1873;
BgL_iz00_1873 = 
(long)(BgL_auxz00_1847); 
BgL_iz00_1842 = BgL_iz00_1873; 
goto BgL_loopz00_1843;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzmodule_classz00()
{ AN_OBJECT;
{ /* ./Module/class.scm 15 */
BGl_za2objectzd2unitza2zd2zzmodule_classz00 = BUNSPEC; 
BGl_za2methodzd2unitza2zd2zzmodule_classz00 = BUNSPEC; 
BGl_za2classzd2accessesza2zd2zzmodule_classz00 = BNIL; 
return ( 
BGl_za2declaredzd2classesza2zd2zzmodule_classz00 = BNIL, BUNSPEC) ;} 
}



/* get-object-unit */
BGL_EXPORTED_DEF obj_t BGl_getzd2objectzd2unitz00zzmodule_classz00()
{ AN_OBJECT;
{ /* ./Module/class.scm 50 */
return BGl_za2objectzd2unitza2zd2zzmodule_classz00;} 
}



/* _get-object-unit */
obj_t BGl__getzd2objectzd2unitz00zzmodule_classz00(obj_t BgL_envz00_1780)
{ AN_OBJECT;
{ /* ./Module/class.scm 50 */
return 
BGl_getzd2objectzd2unitz00zzmodule_classz00();} 
}



/* get-method-unit */
BGL_EXPORTED_DEF obj_t BGl_getzd2methodzd2unitz00zzmodule_classz00()
{ AN_OBJECT;
{ /* ./Module/class.scm 56 */
return BGl_za2methodzd2unitza2zd2zzmodule_classz00;} 
}



/* _get-method-unit */
obj_t BGl__getzd2methodzd2unitz00zzmodule_classz00(obj_t BgL_envz00_1781)
{ AN_OBJECT;
{ /* ./Module/class.scm 56 */
return 
BGl_getzd2methodzd2unitz00zzmodule_classz00();} 
}



/* declare-class! */
BGL_EXPORTED_DEF obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t BgL_classzd2defzd2_19, obj_t BgL_modulez00_20, obj_t BgL_importz00_21, bool_t BgL_finalzf3zf3_22, bool_t BgL_abstractzf3zf3_23, obj_t BgL_defzd2srczd2_24, obj_t BgL_declzd2srczd2_25)
{ AN_OBJECT;
{ /* ./Module/class.scm 62 */
{ /* ./Module/class.scm 64 */
bool_t BgL_test1826z00_1253;
{ /* ./Module/class.scm 64 */
obj_t BgL_auxz00_1877;
BgL_auxz00_1877 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_importz00_21, 
CNST_TABLE_REF(((long)0))); 
BgL_test1826z00_1253 = 
CBOOL(BgL_auxz00_1877); } 
if(BgL_test1826z00_1253)
{ /* ./Module/class.scm 64 */
{ /* ./Module/class.scm 64 */
obj_t BgL_arg1830z00_1254;
if(BgL_finalzf3zf3_22)
{ /* ./Module/class.scm 64 */
BgL_arg1830z00_1254 = 
CNST_TABLE_REF(((long)1)); }  else 
{ /* ./Module/class.scm 64 */
BgL_arg1830z00_1254 = 
CNST_TABLE_REF(((long)2)); } 
{ /* ./Module/class.scm 64 */
BgL_typez00_bglt BgL_auxz00_1885;
BgL_auxz00_1885 = 
BGl_declarezd2exportzd2classz12z12zzmodule_classz00(BGl_genzd2plainzd2classzd2accessorsz12zd2envz12zzobject_plainzd2accesszd2, BgL_classzd2defzd2_19, BgL_modulez00_20, BgL_arg1830z00_1254, BgL_abstractzf3zf3_23, BgL_defzd2srczd2_24, BgL_declzd2srczd2_25, BgL_importz00_21); 
return 
(obj_t)(BgL_auxz00_1885);} } }  else 
{ /* ./Module/class.scm 64 */
{ /* ./Module/class.scm 64 */
obj_t BgL_arg1833z00_1255;
if(BgL_finalzf3zf3_22)
{ /* ./Module/class.scm 64 */
BgL_arg1833z00_1255 = 
CNST_TABLE_REF(((long)1)); }  else 
{ /* ./Module/class.scm 64 */
BgL_arg1833z00_1255 = 
CNST_TABLE_REF(((long)2)); } 
{ /* ./Module/class.scm 64 */
BgL_typez00_bglt BgL_auxz00_1891;
BgL_auxz00_1891 = 
BGl_declarezd2importzd2classz12z12zzmodule_classz00(BGl_importzd2plainzd2classzd2accessorsz12zd2envz12zzobject_plainzd2accesszd2, BgL_classzd2defzd2_19, BgL_modulez00_20, BgL_arg1833z00_1255, BgL_abstractzf3zf3_23, BgL_defzd2srczd2_24, BgL_declzd2srczd2_25); 
return 
(obj_t)(BgL_auxz00_1891);} } } } } 
}



/* _declare-class! */
obj_t BGl__declarezd2classz12zc0zzmodule_classz00(obj_t BgL_envz00_1782, obj_t BgL_classzd2defzd2_1783, obj_t BgL_modulez00_1784, obj_t BgL_importz00_1785, obj_t BgL_finalzf3zf3_1786, obj_t BgL_abstractzf3zf3_1787, obj_t BgL_defzd2srczd2_1788, obj_t BgL_declzd2srczd2_1789)
{ AN_OBJECT;
{ /* ./Module/class.scm 62 */
return 
BGl_declarezd2classz12zc0zzmodule_classz00(BgL_classzd2defzd2_1783, BgL_modulez00_1784, BgL_importz00_1785, 
CBOOL(BgL_finalzf3zf3_1786), 
CBOOL(BgL_abstractzf3zf3_1787), BgL_defzd2srczd2_1788, BgL_declzd2srczd2_1789);} 
}



/* declare-wide-class! */
BGL_EXPORTED_DEF obj_t BGl_declarezd2widezd2classz12z12zzmodule_classz00(obj_t BgL_classzd2defzd2_26, obj_t BgL_modulez00_27, obj_t BgL_importz00_28, obj_t BgL_defzd2srczd2_29, obj_t BgL_declzd2srczd2_30)
{ AN_OBJECT;
{ /* ./Module/class.scm 80 */
{ /* ./Module/class.scm 82 */
bool_t BgL_test1836z00_1256;
{ /* ./Module/class.scm 82 */
obj_t BgL_auxz00_1897;
BgL_auxz00_1897 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_importz00_28, 
CNST_TABLE_REF(((long)0))); 
BgL_test1836z00_1256 = 
CBOOL(BgL_auxz00_1897); } 
if(BgL_test1836z00_1256)
{ /* ./Module/class.scm 82 */
{ /* ./Module/class.scm 82 */
BgL_typez00_bglt BgL_auxz00_1902;
BgL_auxz00_1902 = 
BGl_declarezd2exportzd2classz12z12zzmodule_classz00(BGl_genzd2widezd2classzd2accessorsz12zd2envz12zzobject_widezd2accesszd2, BgL_classzd2defzd2_26, BgL_modulez00_27, 
CNST_TABLE_REF(((long)3)), ((bool_t)0), BgL_defzd2srczd2_29, BgL_declzd2srczd2_30, BgL_importz00_28); 
return 
(obj_t)(BgL_auxz00_1902);} }  else 
{ /* ./Module/class.scm 82 */
{ /* ./Module/class.scm 82 */
BgL_typez00_bglt BgL_auxz00_1906;
BgL_auxz00_1906 = 
BGl_declarezd2importzd2classz12z12zzmodule_classz00(BGl_importzd2widezd2classzd2accessorsz12zd2envz12zzobject_widezd2accesszd2, BgL_classzd2defzd2_26, BgL_modulez00_27, 
CNST_TABLE_REF(((long)3)), ((bool_t)0), BgL_defzd2srczd2_29, BgL_declzd2srczd2_30); 
return 
(obj_t)(BgL_auxz00_1906);} } } } 
}



/* _declare-wide-class! */
obj_t BGl__declarezd2widezd2classz12z12zzmodule_classz00(obj_t BgL_envz00_1800, obj_t BgL_classzd2defzd2_1801, obj_t BgL_modulez00_1802, obj_t BgL_importz00_1803, obj_t BgL_defzd2srczd2_1804, obj_t BgL_declzd2srczd2_1805)
{ AN_OBJECT;
{ /* ./Module/class.scm 80 */
return 
BGl_declarezd2widezd2classz12z12zzmodule_classz00(BgL_classzd2defzd2_1801, BgL_modulez00_1802, BgL_importz00_1803, BgL_defzd2srczd2_1804, BgL_declzd2srczd2_1805);} 
}



/* declare-export-class! */
BgL_typez00_bglt BGl_declarezd2exportzd2classz12z12zzmodule_classz00(obj_t BgL_genz00_31, obj_t BgL_cdefz00_32, obj_t BgL_modulez00_33, obj_t BgL_kindz00_34, bool_t BgL_abstractzf3zf3_35, obj_t BgL_srczd2defzd2_36, obj_t BgL_srczd2declzd2_37, obj_t BgL_importz00_38)
{ AN_OBJECT;
{ /* ./Module/class.scm 94 */
{ /* ./Module/class.scm 98 */
obj_t BgL_locz00_516;
BgL_locz00_516 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2defzd2_36); 
{ /* ./Module/class.scm 98 */
obj_t BgL_classzd2varzd2_517;
BgL_classzd2varzd2_517 = 
CAR(BgL_cdefz00_32); 
{ /* ./Module/class.scm 99 */
obj_t BgL_classzd2idzd2_518;
BgL_classzd2idzd2_518 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_classzd2varzd2_517, BgL_locz00_516); 
{ /* ./Module/class.scm 100 */
obj_t BgL_holderz00_519;
{ /* ./Module/class.scm 102 */
obj_t BgL_arg1861z00_531;
{ /* ./Module/class.scm 102 */
obj_t BgL_arg1864z00_532;
BgL_arg1864z00_532 = 
MAKE_PAIR(BgL_classzd2idzd2_518, BNIL); 
BgL_arg1861z00_531 = 
MAKE_PAIR(BgL_importz00_38, BgL_arg1864z00_532); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1861z00_531); } 
BgL_holderz00_519 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_classzd2idzd2_518, BgL_modulez00_33); 
{ /* ./Module/class.scm 101 */
bool_t BgL_finalzf3zf3_520;
{ /* ./Module/class.scm 104 */
obj_t BgL_auxz00_1918;
BgL_auxz00_1918 = 
CNST_TABLE_REF(((long)1)); 
BgL_finalzf3zf3_520 = 
(BgL_kindz00_34==BgL_auxz00_1918); } 
{ /* ./Module/class.scm 104 */
obj_t BgL_widez00_521;
{ /* ./Module/class.scm 105 */
bool_t BgL_testz00_1921;
{ /* ./Module/class.scm 105 */
obj_t BgL_auxz00_1922;
BgL_auxz00_1922 = 
CNST_TABLE_REF(((long)3)); 
BgL_testz00_1921 = 
(BgL_kindz00_34==BgL_auxz00_1922); } 
if(BgL_testz00_1921)
{ /* ./Module/class.scm 105 */
BgL_widez00_521 = 
CNST_TABLE_REF(((long)4)); }  else 
{ /* ./Module/class.scm 105 */
BgL_widez00_521 = BFALSE; } } 
{ /* ./Module/class.scm 105 */
BgL_typez00_bglt BgL_tclassz00_522;
BgL_tclassz00_522 = 
BGl_declarezd2classzd2typez12z12zzobject_classz00(BgL_cdefz00_32, 
(BgL_globalz00_bglt)(BgL_holderz00_519), BgL_widez00_521, BgL_finalzf3zf3_520, BgL_abstractzf3zf3_35, BgL_srczd2defzd2_36); 
{ /* ./Module/class.scm 106 */

BGl_globalzd2setzd2readzd2onlyz12zc0zzast_varz00(
(BgL_globalz00_bglt)(BgL_holderz00_519)); 
{ /* ./Module/class.scm 115 */
obj_t BgL_arg1842z00_523;
BgL_arg1842z00_523 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srczd2declzd2_37, BgL_locz00_516); 
((((BgL_typez00_bglt)CREF(BgL_tclassz00_522))->BgL_importzd2locationzd2) = ((obj_t)BgL_arg1842z00_523), BUNSPEC); } 
{ /* ./Module/class.scm 120 */
obj_t BgL_arg1846z00_524;
{ /* ./Module/class.scm 120 */
obj_t BgL_zc3anonymousza31851ze3z83_1816;
{ 
int BgL_auxz00_1934;int BgL_auxz00_1932;
BgL_auxz00_1934 = 
(int)(((long)6)); 
BgL_auxz00_1932 = 
(int)(((long)0)); 
BgL_zc3anonymousza31851ze3z83_1816 = 
make_fx_procedure(BGl_zc3anonymousza31851ze3z83zzmodule_classz00, BgL_auxz00_1932, BgL_auxz00_1934); } 
{ /* ./Module/class.scm 120 */
int BgL_auxz00_1937;
BgL_auxz00_1937 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31851ze3z83_1816, BgL_auxz00_1937, BgL_genz00_31); } 
{ /* ./Module/class.scm 120 */
int BgL_auxz00_1940;
BgL_auxz00_1940 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31851ze3z83_1816, BgL_auxz00_1940, BgL_cdefz00_32); } 
{ /* ./Module/class.scm 120 */
obj_t BgL_auxz00_1945;int BgL_auxz00_1943;
BgL_auxz00_1945 = 
(obj_t)(BgL_tclassz00_522); 
BgL_auxz00_1943 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31851ze3z83_1816, BgL_auxz00_1943, BgL_auxz00_1945); } 
{ /* ./Module/class.scm 120 */
int BgL_auxz00_1948;
BgL_auxz00_1948 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31851ze3z83_1816, BgL_auxz00_1948, BgL_srczd2defzd2_36); } 
{ /* ./Module/class.scm 120 */
int BgL_auxz00_1951;
BgL_auxz00_1951 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza31851ze3z83_1816, BgL_auxz00_1951, BgL_importz00_38); } 
{ /* ./Module/class.scm 120 */
int BgL_auxz00_1954;
BgL_auxz00_1954 = 
(int)(((long)5)); 
PROCEDURE_SET(BgL_zc3anonymousza31851ze3z83_1816, BgL_auxz00_1954, BgL_holderz00_519); } 
BgL_arg1846z00_524 = 
BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31851ze3z83_1816); } 
{ /* ./Module/class.scm 117 */
BgL_typez00_bglt BgL_res3172z00_1264;
{ /* ./Module/class.scm 117 */
obj_t BgL_arg1897z00_1263;
{ /* ./Module/class.scm 117 */
obj_t BgL_auxz00_1958;
BgL_auxz00_1958 = 
(obj_t)(BgL_tclassz00_522); 
BgL_arg1897z00_1263 = 
MAKE_PAIR(BgL_auxz00_1958, BgL_arg1846z00_524); } 
BGl_za2classzd2accessesza2zd2zzmodule_classz00 = 
MAKE_PAIR(BgL_arg1897z00_1263, BGl_za2classzd2accessesza2zd2zzmodule_classz00); } 
BgL_res3172z00_1264 = BgL_tclassz00_522; 
return BgL_res3172z00_1264;} } } } } } } } } } } 
}



/* <anonymous:1851> */
obj_t BGl_zc3anonymousza31851ze3z83zzmodule_classz00(obj_t BgL_envz00_1817)
{ AN_OBJECT;
{ /* ./Module/class.scm 119 */
{ /* ./Module/class.scm 120 */
obj_t BgL_genz00_1818;obj_t BgL_cdefz00_1819;obj_t BgL_tclassz00_1820;obj_t BgL_srczd2defzd2_1821;obj_t BgL_importz00_1822;obj_t BgL_holderz00_1823;
{ /* ./Module/class.scm 120 */
int BgL_auxz00_1962;
BgL_auxz00_1962 = 
(int)(((long)0)); 
BgL_genz00_1818 = 
PROCEDURE_REF(BgL_envz00_1817, BgL_auxz00_1962); } 
{ /* ./Module/class.scm 120 */
int BgL_auxz00_1965;
BgL_auxz00_1965 = 
(int)(((long)1)); 
BgL_cdefz00_1819 = 
PROCEDURE_REF(BgL_envz00_1817, BgL_auxz00_1965); } 
{ /* ./Module/class.scm 120 */
int BgL_auxz00_1968;
BgL_auxz00_1968 = 
(int)(((long)2)); 
BgL_tclassz00_1820 = 
PROCEDURE_REF(BgL_envz00_1817, BgL_auxz00_1968); } 
{ /* ./Module/class.scm 120 */
int BgL_auxz00_1971;
BgL_auxz00_1971 = 
(int)(((long)3)); 
BgL_srczd2defzd2_1821 = 
PROCEDURE_REF(BgL_envz00_1817, BgL_auxz00_1971); } 
{ /* ./Module/class.scm 120 */
int BgL_auxz00_1974;
BgL_auxz00_1974 = 
(int)(((long)4)); 
BgL_importz00_1822 = 
PROCEDURE_REF(BgL_envz00_1817, BgL_auxz00_1974); } 
{ /* ./Module/class.scm 120 */
int BgL_auxz00_1977;
BgL_auxz00_1977 = 
(int)(((long)5)); 
BgL_holderz00_1823 = 
PROCEDURE_REF(BgL_envz00_1817, BgL_auxz00_1977); } 
{ 

{ /* ./Module/class.scm 120 */
obj_t BgL_concretesz00_527;
BgL_concretesz00_527 = 
PROCEDURE_ENTRY(BgL_genz00_1818)(BgL_genz00_1818, BgL_cdefz00_1819, BgL_tclassz00_1820, BgL_srczd2defzd2_1821, BgL_importz00_1822, BEOA); 
{ /* ./Module/class.scm 125 */
obj_t BgL_virtualsz00_528;
{ /* ./Module/class.scm 125 */
int BgL_nz00_1260;
BgL_nz00_1260 = 
(int)(((long)1)); 
BgL_virtualsz00_528 = 
BGL_MVALUES_VAL(BgL_nz00_1260); } 
BGl_makezd2addzd2classz12z12zzmodule_classz00(BgL_holderz00_1823, BgL_tclassz00_1820, BgL_srczd2defzd2_1821, BgL_virtualsz00_528); 
return BgL_concretesz00_527;} } } } } 
}



/* declare-import-class! */
BgL_typez00_bglt BGl_declarezd2importzd2classz12z12zzmodule_classz00(obj_t BgL_genz00_39, obj_t BgL_cdefz00_40, obj_t BgL_modulez00_41, obj_t BgL_kindz00_42, bool_t BgL_abstractzf3zf3_43, obj_t BgL_srczd2defzd2_44, obj_t BgL_srczd2declzd2_45)
{ AN_OBJECT;
{ /* ./Module/class.scm 135 */
{ /* ./Module/class.scm 139 */
obj_t BgL_locz00_533;
BgL_locz00_533 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2defzd2_44); 
{ /* ./Module/class.scm 139 */
obj_t BgL_classzd2varzd2_534;
BgL_classzd2varzd2_534 = 
CAR(BgL_cdefz00_40); 
{ /* ./Module/class.scm 140 */
obj_t BgL_classzd2idzd2_535;
BgL_classzd2idzd2_535 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_classzd2varzd2_534, BgL_locz00_533); 
{ /* ./Module/class.scm 141 */
obj_t BgL_holderz00_536;
BgL_holderz00_536 = 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_41, BgL_classzd2idzd2_535, BNIL); 
{ /* ./Module/class.scm 142 */
bool_t BgL_finalzf3zf3_537;
{ /* ./Module/class.scm 143 */
obj_t BgL_auxz00_1989;
BgL_auxz00_1989 = 
CNST_TABLE_REF(((long)1)); 
BgL_finalzf3zf3_537 = 
(BgL_kindz00_42==BgL_auxz00_1989); } 
{ /* ./Module/class.scm 143 */
obj_t BgL_widez00_538;
{ /* ./Module/class.scm 144 */
bool_t BgL_testz00_1992;
{ /* ./Module/class.scm 144 */
obj_t BgL_auxz00_1993;
BgL_auxz00_1993 = 
CNST_TABLE_REF(((long)3)); 
BgL_testz00_1992 = 
(BgL_kindz00_42==BgL_auxz00_1993); } 
if(BgL_testz00_1992)
{ /* ./Module/class.scm 144 */
BgL_widez00_538 = 
CNST_TABLE_REF(((long)4)); }  else 
{ /* ./Module/class.scm 144 */
BgL_widez00_538 = BFALSE; } } 
{ /* ./Module/class.scm 144 */
BgL_typez00_bglt BgL_tclassz00_539;
BgL_tclassz00_539 = 
BGl_declarezd2classzd2typez12z12zzobject_classz00(BgL_cdefz00_40, 
(BgL_globalz00_bglt)(BgL_holderz00_536), BgL_widez00_538, BgL_finalzf3zf3_537, BgL_abstractzf3zf3_43, BgL_srczd2defzd2_44); 
{ /* ./Module/class.scm 145 */

{ /* ./Module/class.scm 152 */
obj_t BgL_arg1875z00_540;
BgL_arg1875z00_540 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srczd2declzd2_45, BgL_locz00_533); 
((((BgL_typez00_bglt)CREF(BgL_tclassz00_539))->BgL_importzd2locationzd2) = ((obj_t)BgL_arg1875z00_540), BUNSPEC); } 
{ /* ./Module/class.scm 157 */
obj_t BgL_arg1879z00_541;
{ /* ./Module/class.scm 157 */
obj_t BgL_zc3anonymousza31884ze3z83_1824;
{ 
int BgL_auxz00_2003;int BgL_auxz00_2001;
BgL_auxz00_2003 = 
(int)(((long)5)); 
BgL_auxz00_2001 = 
(int)(((long)0)); 
BgL_zc3anonymousza31884ze3z83_1824 = 
make_fx_procedure(BGl_zc3anonymousza31884ze3z83zzmodule_classz00, BgL_auxz00_2001, BgL_auxz00_2003); } 
{ /* ./Module/class.scm 157 */
int BgL_auxz00_2006;
BgL_auxz00_2006 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31884ze3z83_1824, BgL_auxz00_2006, BgL_genz00_39); } 
{ /* ./Module/class.scm 157 */
int BgL_auxz00_2009;
BgL_auxz00_2009 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31884ze3z83_1824, BgL_auxz00_2009, BgL_cdefz00_40); } 
{ /* ./Module/class.scm 157 */
obj_t BgL_auxz00_2014;int BgL_auxz00_2012;
BgL_auxz00_2014 = 
(obj_t)(BgL_tclassz00_539); 
BgL_auxz00_2012 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31884ze3z83_1824, BgL_auxz00_2012, BgL_auxz00_2014); } 
{ /* ./Module/class.scm 157 */
int BgL_auxz00_2017;
BgL_auxz00_2017 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31884ze3z83_1824, BgL_auxz00_2017, BgL_srczd2defzd2_44); } 
{ /* ./Module/class.scm 157 */
int BgL_auxz00_2020;
BgL_auxz00_2020 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza31884ze3z83_1824, BgL_auxz00_2020, BgL_modulez00_41); } 
BgL_arg1879z00_541 = 
BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31884ze3z83_1824); } 
{ /* ./Module/class.scm 154 */
BgL_typez00_bglt BgL_res3173z00_1272;
{ /* ./Module/class.scm 154 */
obj_t BgL_arg1897z00_1271;
{ /* ./Module/class.scm 154 */
obj_t BgL_auxz00_2024;
BgL_auxz00_2024 = 
(obj_t)(BgL_tclassz00_539); 
BgL_arg1897z00_1271 = 
MAKE_PAIR(BgL_auxz00_2024, BgL_arg1879z00_541); } 
BGl_za2classzd2accessesza2zd2zzmodule_classz00 = 
MAKE_PAIR(BgL_arg1897z00_1271, BGl_za2classzd2accessesza2zd2zzmodule_classz00); } 
BgL_res3173z00_1272 = BgL_tclassz00_539; 
return BgL_res3173z00_1272;} } } } } } } } } } } 
}



/* <anonymous:1884> */
obj_t BGl_zc3anonymousza31884ze3z83zzmodule_classz00(obj_t BgL_envz00_1825)
{ AN_OBJECT;
{ /* ./Module/class.scm 156 */
{ /* ./Module/class.scm 157 */
obj_t BgL_genz00_1826;obj_t BgL_cdefz00_1827;obj_t BgL_tclassz00_1828;obj_t BgL_srczd2defzd2_1829;obj_t BgL_modulez00_1830;
{ /* ./Module/class.scm 157 */
int BgL_auxz00_2028;
BgL_auxz00_2028 = 
(int)(((long)0)); 
BgL_genz00_1826 = 
PROCEDURE_REF(BgL_envz00_1825, BgL_auxz00_2028); } 
{ /* ./Module/class.scm 157 */
int BgL_auxz00_2031;
BgL_auxz00_2031 = 
(int)(((long)1)); 
BgL_cdefz00_1827 = 
PROCEDURE_REF(BgL_envz00_1825, BgL_auxz00_2031); } 
{ /* ./Module/class.scm 157 */
int BgL_auxz00_2034;
BgL_auxz00_2034 = 
(int)(((long)2)); 
BgL_tclassz00_1828 = 
PROCEDURE_REF(BgL_envz00_1825, BgL_auxz00_2034); } 
{ /* ./Module/class.scm 157 */
int BgL_auxz00_2037;
BgL_auxz00_2037 = 
(int)(((long)3)); 
BgL_srczd2defzd2_1829 = 
PROCEDURE_REF(BgL_envz00_1825, BgL_auxz00_2037); } 
{ /* ./Module/class.scm 157 */
int BgL_auxz00_2040;
BgL_auxz00_2040 = 
(int)(((long)4)); 
BgL_modulez00_1830 = 
PROCEDURE_REF(BgL_envz00_1825, BgL_auxz00_2040); } 
{ 

{ /* ./Module/class.scm 157 */
obj_t BgL_concretesz00_544;
BgL_concretesz00_544 = 
PROCEDURE_ENTRY(BgL_genz00_1826)(BgL_genz00_1826, BgL_cdefz00_1827, BgL_tclassz00_1828, BgL_srczd2defzd2_1829, BgL_modulez00_1830, BEOA); 
{ /* ./Module/class.scm 157 */
obj_t BgL_virtualsz00_545;
{ /* ./Module/class.scm 157 */
int BgL_nz00_1268;
BgL_nz00_1268 = 
(int)(((long)1)); 
BgL_virtualsz00_545 = 
BGL_MVALUES_VAL(BgL_nz00_1268); } 
return BgL_concretesz00_544;} } } } } 
}



/* delay-class-accessors! */
BGL_EXPORTED_DEF BgL_typez00_bglt BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(BgL_typez00_bglt BgL_typez00_46, obj_t BgL_delayedz00_47)
{ AN_OBJECT;
{ /* ./Module/class.scm 164 */
{ /* ./Module/class.scm 165 */
obj_t BgL_arg1897z00_1273;
{ /* ./Module/class.scm 165 */
obj_t BgL_auxz00_2047;
BgL_auxz00_2047 = 
(obj_t)(BgL_typez00_46); 
BgL_arg1897z00_1273 = 
MAKE_PAIR(BgL_auxz00_2047, BgL_delayedz00_47); } 
BGl_za2classzd2accessesza2zd2zzmodule_classz00 = 
MAKE_PAIR(BgL_arg1897z00_1273, BGl_za2classzd2accessesza2zd2zzmodule_classz00); } 
return BgL_typez00_46;} 
}



/* _delay-class-accessors! */
obj_t BGl__delayzd2classzd2accessorsz12z12zzmodule_classz00(obj_t BgL_envz00_1831, obj_t BgL_typez00_1832, obj_t BgL_delayedz00_1833)
{ AN_OBJECT;
{ /* ./Module/class.scm 164 */
{ /* ./Module/class.scm 165 */
BgL_typez00_bglt BgL_auxz00_2051;
BgL_auxz00_2051 = 
BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(
(BgL_typez00_bglt)(BgL_typez00_1832), BgL_delayedz00_1833); 
return 
(obj_t)(BgL_auxz00_2051);} } 
}



/* make-add-class! */
obj_t BGl_makezd2addzd2classz12z12zzmodule_classz00(obj_t BgL_holderz00_48, obj_t BgL_classz00_49, obj_t BgL_srczd2defzd2_50, obj_t BgL_virtualsz00_51)
{ AN_OBJECT;
{ /* ./Module/class.scm 181 */
{ /* ./Module/class.scm 182 */
obj_t BgL_superz00_550;
{ /* ./Module/class.scm 182 */
BgL_tclassz00_bglt BgL_obj1633z00_1274;
BgL_obj1633z00_1274 = 
(BgL_tclassz00_bglt)(BgL_classz00_49); 
{ 
obj_t BgL_auxz00_2056;
{ /* ./Module/class.scm 182 */
BgL_objectz00_bglt BgL_auxz00_2057;
BgL_auxz00_2057 = 
(BgL_objectz00_bglt)(BgL_obj1633z00_1274); 
BgL_auxz00_2056 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2057); } 
BgL_superz00_550 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2056))->BgL_itszd2superzd2); } } 
{ /* ./Module/class.scm 182 */
obj_t BgL_holderzd2idzd2_551;
{ /* ./Module/class.scm 183 */
BgL_variablez00_bglt BgL_obj1119z00_1275;
BgL_obj1119z00_1275 = 
(BgL_variablez00_bglt)(BgL_holderz00_48); 
BgL_holderzd2idzd2_551 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1119z00_1275))->BgL_idz00); } 
{ /* ./Module/class.scm 183 */
obj_t BgL_classzd2idzd2_552;
{ /* ./Module/class.scm 184 */
BgL_typez00_bglt BgL_obj1025z00_1276;
BgL_obj1025z00_1276 = 
(BgL_typez00_bglt)(BgL_classz00_49); 
BgL_classzd2idzd2_552 = 
(((BgL_typez00_bglt)CREF(BgL_obj1025z00_1276))->BgL_idz00); } 
{ /* ./Module/class.scm 184 */
obj_t BgL_classzd2modulezd2_553;
{ /* ./Module/class.scm 185 */
BgL_globalz00_bglt BgL_obj1193z00_1277;
BgL_obj1193z00_1277 = 
(BgL_globalz00_bglt)(BgL_holderz00_48); 
BgL_classzd2modulezd2_553 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1193z00_1277))->BgL_modulez00); } 
{ /* ./Module/class.scm 185 */
obj_t BgL_classzd2makezd2idz00_554;
{ /* ./Module/class.scm 186 */
obj_t BgL_list2283z00_727;
{ /* ./Module/class.scm 186 */
obj_t BgL_arg2285z00_728;obj_t BgL_arg2286z00_729;
BgL_arg2285z00_728 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg2286z00_729 = 
MAKE_PAIR(BgL_classzd2idzd2_552, BNIL); 
BgL_list2283z00_727 = 
MAKE_PAIR(BgL_arg2285z00_728, BgL_arg2286z00_729); } 
BgL_classzd2makezd2idz00_554 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2283z00_727); } 
{ /* ./Module/class.scm 186 */
obj_t BgL_classzd2alloczd2idz00_555;
{ /* ./Module/class.scm 187 */
obj_t BgL_list2276z00_724;
{ /* ./Module/class.scm 187 */
obj_t BgL_arg2278z00_725;obj_t BgL_arg2279z00_726;
BgL_arg2278z00_725 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg2279z00_726 = 
MAKE_PAIR(BgL_classzd2idzd2_552, BNIL); 
BgL_list2276z00_724 = 
MAKE_PAIR(BgL_arg2278z00_725, BgL_arg2279z00_726); } 
BgL_classzd2alloczd2idz00_555 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2276z00_724); } 
{ /* ./Module/class.scm 187 */
obj_t BgL_classzd2makezd2_556;
{ /* ./Module/class.scm 188 */
bool_t BgL_test2224z00_702;
{ /* ./Module/class.scm 188 */
BgL_tclassz00_bglt BgL_obj1649z00_1278;
BgL_obj1649z00_1278 = 
(BgL_tclassz00_bglt)(BgL_classz00_49); 
{ 
obj_t BgL_auxz00_2076;
{ /* ./Module/class.scm 188 */
BgL_objectz00_bglt BgL_auxz00_2077;
BgL_auxz00_2077 = 
(BgL_objectz00_bglt)(BgL_obj1649z00_1278); 
BgL_auxz00_2076 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2077); } 
BgL_test2224z00_702 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2076))->BgL_abstractzf3zf3); } } 
if(BgL_test2224z00_702)
{ /* ./Module/class.scm 193 */
obj_t BgL_arg2226z00_703;obj_t BgL_arg2227z00_704;
BgL_arg2226z00_703 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./Module/class.scm 189 */
obj_t BgL_arg2230z00_705;obj_t BgL_arg2232z00_706;
{ /* ./Module/class.scm 189 */
obj_t BgL_auxz00_2083;
BgL_auxz00_2083 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg2230z00_705 = 
MAKE_PAIR(BgL_auxz00_2083, BNIL); } 
{ /* ./Module/class.scm 190 */
obj_t BgL_arg2236z00_707;
{ /* ./Module/class.scm 190 */
obj_t BgL_arg2240z00_709;obj_t BgL_arg2241z00_710;
BgL_arg2240z00_709 = 
CNST_TABLE_REF(((long)9)); 
{ /* ./Module/class.scm 191 */
obj_t BgL_arg2244z00_711;obj_t BgL_arg2246z00_712;
{ /* ./Module/class.scm 191 */
obj_t BgL_arg2249z00_713;obj_t BgL_arg2250z00_714;
BgL_arg2249z00_713 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg2250z00_714 = 
MAKE_PAIR(BgL_classzd2makezd2idz00_554, BNIL); 
BgL_arg2244z00_711 = 
MAKE_PAIR(BgL_arg2249z00_713, BgL_arg2250z00_714); } 
{ /* ./Module/class.scm 190 */
obj_t BgL_arg2255z00_716;
{ /* ./Module/class.scm 193 */
obj_t BgL_arg2258z00_717;
{ /* ./Module/class.scm 193 */
obj_t BgL_arg2262z00_719;obj_t BgL_arg2263z00_720;
BgL_arg2262z00_719 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg2263z00_720 = 
MAKE_PAIR(BgL_classzd2idzd2_552, BNIL); 
BgL_arg2258z00_717 = 
MAKE_PAIR(BgL_arg2262z00_719, BgL_arg2263z00_720); } 
BgL_arg2255z00_716 = 
MAKE_PAIR(BgL_arg2258z00_717, BNIL); } 
BgL_arg2246z00_712 = 
MAKE_PAIR(BGl_string3331z00zzmodule_classz00, BgL_arg2255z00_716); } 
BgL_arg2241z00_710 = 
MAKE_PAIR(BgL_arg2244z00_711, BgL_arg2246z00_712); } 
BgL_arg2236z00_707 = 
MAKE_PAIR(BgL_arg2240z00_709, BgL_arg2241z00_710); } 
BgL_arg2232z00_706 = 
MAKE_PAIR(BgL_arg2236z00_707, BNIL); } 
BgL_arg2227z00_704 = 
MAKE_PAIR(BgL_arg2230z00_705, BgL_arg2232z00_706); } 
BgL_classzd2makezd2_556 = 
MAKE_PAIR(BgL_arg2226z00_703, BgL_arg2227z00_704); }  else 
{ /* ./Module/class.scm 194 */
obj_t BgL_arg2267z00_721;obj_t BgL_arg2268z00_722;
BgL_arg2267z00_721 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Module/class.scm 194 */
obj_t BgL_arg2271z00_723;
BgL_arg2271z00_723 = 
MAKE_PAIR(BgL_classzd2modulezd2_553, BNIL); 
BgL_arg2268z00_722 = 
MAKE_PAIR(BgL_classzd2makezd2idz00_554, BgL_arg2271z00_723); } 
BgL_classzd2makezd2_556 = 
MAKE_PAIR(BgL_arg2267z00_721, BgL_arg2268z00_722); } } 
{ /* ./Module/class.scm 188 */
obj_t BgL_classzd2alloczd2_557;
{ /* ./Module/class.scm 195 */
bool_t BgL_test2175z00_680;
{ /* ./Module/class.scm 195 */
BgL_tclassz00_bglt BgL_obj1649z00_1279;
BgL_obj1649z00_1279 = 
(BgL_tclassz00_bglt)(BgL_classz00_49); 
{ 
obj_t BgL_auxz00_2105;
{ /* ./Module/class.scm 195 */
BgL_objectz00_bglt BgL_auxz00_2106;
BgL_auxz00_2106 = 
(BgL_objectz00_bglt)(BgL_obj1649z00_1279); 
BgL_auxz00_2105 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2106); } 
BgL_test2175z00_680 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2105))->BgL_abstractzf3zf3); } } 
if(BgL_test2175z00_680)
{ /* ./Module/class.scm 200 */
obj_t BgL_arg2177z00_681;obj_t BgL_arg2178z00_682;
BgL_arg2177z00_681 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./Module/class.scm 196 */
obj_t BgL_arg2181z00_683;obj_t BgL_arg2182z00_684;
{ /* ./Module/class.scm 196 */
obj_t BgL_auxz00_2112;
BgL_auxz00_2112 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg2181z00_683 = 
MAKE_PAIR(BgL_auxz00_2112, BNIL); } 
{ /* ./Module/class.scm 197 */
obj_t BgL_arg2186z00_685;
{ /* ./Module/class.scm 197 */
obj_t BgL_arg2190z00_687;obj_t BgL_arg2191z00_688;
BgL_arg2190z00_687 = 
CNST_TABLE_REF(((long)9)); 
{ /* ./Module/class.scm 198 */
obj_t BgL_arg2194z00_689;obj_t BgL_arg2195z00_690;
{ /* ./Module/class.scm 198 */
obj_t BgL_arg2198z00_691;obj_t BgL_arg2199z00_692;
BgL_arg2198z00_691 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg2199z00_692 = 
MAKE_PAIR(BgL_classzd2alloczd2idz00_555, BNIL); 
BgL_arg2194z00_689 = 
MAKE_PAIR(BgL_arg2198z00_691, BgL_arg2199z00_692); } 
{ /* ./Module/class.scm 197 */
obj_t BgL_arg2204z00_694;
{ /* ./Module/class.scm 200 */
obj_t BgL_arg2207z00_695;
{ /* ./Module/class.scm 200 */
obj_t BgL_arg2211z00_697;obj_t BgL_arg2212z00_698;
BgL_arg2211z00_697 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg2212z00_698 = 
MAKE_PAIR(BgL_classzd2idzd2_552, BNIL); 
BgL_arg2207z00_695 = 
MAKE_PAIR(BgL_arg2211z00_697, BgL_arg2212z00_698); } 
BgL_arg2204z00_694 = 
MAKE_PAIR(BgL_arg2207z00_695, BNIL); } 
BgL_arg2195z00_690 = 
MAKE_PAIR(BGl_string3332z00zzmodule_classz00, BgL_arg2204z00_694); } 
BgL_arg2191z00_688 = 
MAKE_PAIR(BgL_arg2194z00_689, BgL_arg2195z00_690); } 
BgL_arg2186z00_685 = 
MAKE_PAIR(BgL_arg2190z00_687, BgL_arg2191z00_688); } 
BgL_arg2182z00_684 = 
MAKE_PAIR(BgL_arg2186z00_685, BNIL); } 
BgL_arg2178z00_682 = 
MAKE_PAIR(BgL_arg2181z00_683, BgL_arg2182z00_684); } 
BgL_classzd2alloczd2_557 = 
MAKE_PAIR(BgL_arg2177z00_681, BgL_arg2178z00_682); }  else 
{ /* ./Module/class.scm 201 */
obj_t BgL_arg2216z00_699;obj_t BgL_arg2217z00_700;
BgL_arg2216z00_699 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Module/class.scm 201 */
obj_t BgL_arg2220z00_701;
BgL_arg2220z00_701 = 
MAKE_PAIR(BgL_classzd2modulezd2_553, BNIL); 
BgL_arg2217z00_700 = 
MAKE_PAIR(BgL_classzd2alloczd2idz00_555, BgL_arg2220z00_701); } 
BgL_classzd2alloczd2_557 = 
MAKE_PAIR(BgL_arg2216z00_699, BgL_arg2217z00_700); } } 
{ /* ./Module/class.scm 195 */
obj_t BgL_hashz00_558;
{ /* ./Module/class.scm 202 */
obj_t BgL_arg2172z00_679;
{ /* ./Module/class.scm 202 */
obj_t BgL_auxz00_2133;
BgL_auxz00_2133 = 
CDR(BgL_srczd2defzd2_50); 
BgL_arg2172z00_679 = 
CDR(BgL_auxz00_2133); } 
BgL_hashz00_558 = 
BGl_getzd2classzd2hashz00zzmodule_classz00(BgL_classzd2idzd2_552, BgL_arg2172z00_679); } 
{ /* ./Module/class.scm 202 */
obj_t BgL_constrz00_559;
{ /* ./Module/class.scm 203 */
BgL_tclassz00_bglt BgL_obj1645z00_1284;
BgL_obj1645z00_1284 = 
(BgL_tclassz00_bglt)(BgL_classz00_49); 
{ 
obj_t BgL_auxz00_2138;
{ /* ./Module/class.scm 203 */
BgL_objectz00_bglt BgL_auxz00_2139;
BgL_auxz00_2139 = 
(BgL_objectz00_bglt)(BgL_obj1645z00_1284); 
BgL_auxz00_2138 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2139); } 
BgL_constrz00_559 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2138))->BgL_constructorz00); } } 
{ /* ./Module/class.scm 203 */
obj_t BgL_locz00_560;
BgL_locz00_560 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2defzd2_50); 
{ /* ./Module/class.scm 204 */
obj_t BgL_fieldsz00_561;
{ /* ./Module/class.scm 205 */
obj_t BgL_arg2166z00_678;
{ /* ./Module/class.scm 205 */
obj_t BgL_auxz00_2144;
BgL_auxz00_2144 = 
CDR(BgL_srczd2defzd2_50); 
BgL_arg2166z00_678 = 
CDR(BgL_auxz00_2144); } 
BgL_fieldsz00_561 = 
BGl_makezd2classzd2fieldsz00zzmodule_classz00(BgL_classzd2idzd2_552, BgL_arg2166z00_678, BgL_locz00_560); } 
{ /* ./Module/class.scm 205 */

{ /* ./Module/class.scm 207 */
obj_t BgL_declz00_562;
{ /* ./Module/class.scm 207 */
bool_t BgL_test1912z00_568;
BgL_test1912z00_568 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_550, BGl_tclassz00zzobject_classz00); 
if(BgL_test1912z00_568)
{ /* ./Module/class.scm 218 */
BgL_globalz00_bglt BgL_sholderz00_569;
{ /* ./Module/class.scm 218 */
BgL_tclassz00_bglt BgL_obj1639z00_1290;
BgL_obj1639z00_1290 = 
(BgL_tclassz00_bglt)(BgL_superz00_550); 
{ 
obj_t BgL_auxz00_2151;
{ /* ./Module/class.scm 218 */
BgL_objectz00_bglt BgL_auxz00_2152;
BgL_auxz00_2152 = 
(BgL_objectz00_bglt)(BgL_obj1639z00_1290); 
BgL_auxz00_2151 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2152); } 
BgL_sholderz00_569 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2151))->BgL_holderz00); } } 
{ /* ./Module/class.scm 218 */
obj_t BgL_sholderzd2idzd2_570;
{ /* ./Module/class.scm 219 */
BgL_variablez00_bglt BgL_obj1119z00_1291;
BgL_obj1119z00_1291 = 
(BgL_variablez00_bglt)(BgL_sholderz00_569); 
BgL_sholderzd2idzd2_570 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1119z00_1291))->BgL_idz00); } 
{ /* ./Module/class.scm 219 */
obj_t BgL_sholderzd2modulezd2_571;
BgL_sholderzd2modulezd2_571 = 
(((BgL_globalz00_bglt)CREF(BgL_sholderz00_569))->BgL_modulez00); 
{ /* ./Module/class.scm 220 */

{ /* ./Module/class.scm 221 */
obj_t BgL_arg1914z00_572;obj_t BgL_arg1915z00_573;
BgL_arg1914z00_572 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Module/class.scm 222 */
obj_t BgL_arg1918z00_574;
{ /* ./Module/class.scm 222 */
obj_t BgL_arg1921z00_575;
{ /* ./Module/class.scm 222 */
obj_t BgL_arg1926z00_577;obj_t BgL_arg1929z00_578;
{ /* ./Module/class.scm 222 */
obj_t BgL_arg1932z00_579;obj_t BgL_arg1933z00_580;
BgL_arg1932z00_579 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Module/class.scm 222 */
obj_t BgL_arg1936z00_581;obj_t BgL_arg1937z00_582;
BgL_arg1936z00_581 = 
CNST_TABLE_REF(((long)13)); 
{ /* ./Module/class.scm 222 */
obj_t BgL_auxz00_2162;
BgL_auxz00_2162 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg1937z00_582 = 
MAKE_PAIR(BgL_auxz00_2162, BNIL); } 
BgL_arg1933z00_580 = 
MAKE_PAIR(BgL_arg1936z00_581, BgL_arg1937z00_582); } 
BgL_arg1926z00_577 = 
MAKE_PAIR(BgL_arg1932z00_579, BgL_arg1933z00_580); } 
{ /* ./Module/class.scm 223 */
obj_t BgL_arg1941z00_583;obj_t BgL_arg1943z00_584;
{ /* ./Module/class.scm 223 */
obj_t BgL_arg1946z00_585;obj_t BgL_arg1947z00_586;
BgL_arg1946z00_585 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg1947z00_586 = 
MAKE_PAIR(BgL_classzd2idzd2_552, BNIL); 
BgL_arg1941z00_583 = 
MAKE_PAIR(BgL_arg1946z00_585, BgL_arg1947z00_586); } 
{ /* ./Module/class.scm 223 */
obj_t BgL_arg1952z00_587;obj_t BgL_arg1953z00_588;
{ /* ./Module/class.scm 223 */
obj_t BgL_arg1958z00_589;obj_t BgL_arg1960z00_590;
BgL_arg1958z00_589 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Module/class.scm 223 */
obj_t BgL_arg1964z00_591;
BgL_arg1964z00_591 = 
MAKE_PAIR(BgL_sholderzd2modulezd2_571, BNIL); 
BgL_arg1960z00_590 = 
MAKE_PAIR(BgL_sholderzd2idzd2_570, BgL_arg1964z00_591); } 
BgL_arg1952z00_587 = 
MAKE_PAIR(BgL_arg1958z00_589, BgL_arg1960z00_590); } 
{ /* ./Module/class.scm 226 */
obj_t BgL_arg1968z00_592;
{ /* ./Module/class.scm 226 */
obj_t BgL_arg1971z00_593;
{ /* ./Module/class.scm 226 */
obj_t BgL_arg1974z00_594;
{ /* ./Module/class.scm 226 */
obj_t BgL_arg1977z00_595;
{ /* ./Module/class.scm 226 */
obj_t BgL_arg1980z00_596;
{ /* ./Module/class.scm 226 */
obj_t BgL_arg1983z00_597;
{ /* ./Module/class.scm 226 */
obj_t BgL_arg1987z00_599;obj_t BgL_arg1988z00_600;
BgL_arg1987z00_599 = 
CNST_TABLE_REF(((long)15)); 
{ /* ./Module/class.scm 226 */
obj_t BgL_arg1991z00_601;
{ /* ./Module/class.scm 226 */
bool_t BgL_test1994z00_604;
BgL_test1994z00_604 = 
NULLP(BgL_virtualsz00_51); 
if(BgL_test1994z00_604)
{ /* ./Module/class.scm 226 */
BgL_arg1991z00_601 = BNIL; }  else 
{ /* ./Module/class.scm 226 */
obj_t BgL_head1780z00_605;
BgL_head1780z00_605 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1778z00_606;obj_t BgL_tail1781z00_607;
BgL_l1778z00_606 = BgL_virtualsz00_51; 
BgL_tail1781z00_607 = BgL_head1780z00_605; 
BgL_map1779z00_608:
{ /* ./Module/class.scm 226 */
bool_t BgL_test1996z00_609;
BgL_test1996z00_609 = 
NULLP(BgL_l1778z00_606); 
if(BgL_test1996z00_609)
{ /* ./Module/class.scm 226 */
BgL_arg1991z00_601 = 
CDR(BgL_head1780z00_605); }  else 
{ /* ./Module/class.scm 227 */
obj_t BgL_newtail1782z00_610;
{ /* ./Module/class.scm 227 */
obj_t BgL_arg2005z00_612;
{ /* ./Module/class.scm 227 */
obj_t BgL_vz00_614;
BgL_vz00_614 = 
CAR(BgL_l1778z00_606); 
{ /* ./Module/class.scm 227 */
obj_t BgL_arg2009z00_615;obj_t BgL_arg2012z00_616;
BgL_arg2009z00_615 = 
CNST_TABLE_REF(((long)16)); 
{ /* ./Module/class.scm 227 */
obj_t BgL_arg2015z00_617;obj_t BgL_arg2016z00_618;
BgL_arg2015z00_617 = 
CAR(BgL_vz00_614); 
{ /* ./Module/class.scm 228 */
obj_t BgL_arg2021z00_619;
{ /* ./Module/class.scm 228 */
obj_t BgL_arg2026z00_621;obj_t BgL_arg2027z00_622;
BgL_arg2026z00_621 = 
CNST_TABLE_REF(((long)16)); 
{ /* ./Module/class.scm 228 */
obj_t BgL_arg2030z00_623;obj_t BgL_arg2031z00_624;
{ /* ./Module/class.scm 228 */
obj_t BgL_auxz00_2185;
BgL_auxz00_2185 = 
CDR(BgL_vz00_614); 
BgL_arg2030z00_623 = 
CAR(BgL_auxz00_2185); } 
{ /* ./Module/class.scm 229 */
obj_t BgL_arg2035z00_625;
{ /* ./Module/class.scm 229 */
obj_t BgL_auxz00_2188;
{ /* ./Module/class.scm 229 */
obj_t BgL_auxz00_2189;
BgL_auxz00_2189 = 
CDR(BgL_vz00_614); 
BgL_auxz00_2188 = 
CDR(BgL_auxz00_2189); } 
BgL_arg2035z00_625 = 
CAR(BgL_auxz00_2188); } 
BgL_arg2031z00_624 = 
MAKE_PAIR(BgL_arg2035z00_625, BNIL); } 
BgL_arg2027z00_622 = 
MAKE_PAIR(BgL_arg2030z00_623, BgL_arg2031z00_624); } 
BgL_arg2021z00_619 = 
MAKE_PAIR(BgL_arg2026z00_621, BgL_arg2027z00_622); } 
BgL_arg2016z00_618 = 
MAKE_PAIR(BgL_arg2021z00_619, BNIL); } 
BgL_arg2012z00_616 = 
MAKE_PAIR(BgL_arg2015z00_617, BgL_arg2016z00_618); } 
BgL_arg2005z00_612 = 
MAKE_PAIR(BgL_arg2009z00_615, BgL_arg2012z00_616); } } 
BgL_newtail1782z00_610 = 
MAKE_PAIR(BgL_arg2005z00_612, BNIL); } 
SET_CDR(BgL_tail1781z00_607, BgL_newtail1782z00_610); 
{ /* ./Module/class.scm 226 */
obj_t BgL_arg2001z00_611;
BgL_arg2001z00_611 = 
CDR(BgL_l1778z00_606); 
{ 
obj_t BgL_tail1781z00_2203;obj_t BgL_l1778z00_2202;
BgL_l1778z00_2202 = BgL_arg2001z00_611; 
BgL_tail1781z00_2203 = BgL_newtail1782z00_610; 
BgL_tail1781z00_607 = BgL_tail1781z00_2203; 
BgL_l1778z00_606 = BgL_l1778z00_2202; 
goto BgL_map1779z00_608;} } } } } } } 
BgL_arg1988z00_600 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1991z00_601, BNIL); } 
BgL_arg1983z00_597 = 
MAKE_PAIR(BgL_arg1987z00_599, BgL_arg1988z00_600); } 
BgL_arg1980z00_596 = 
MAKE_PAIR(BgL_arg1983z00_597, BNIL); } 
BgL_arg1977z00_595 = 
MAKE_PAIR(BgL_constrz00_559, BgL_arg1980z00_596); } 
BgL_arg1974z00_594 = 
MAKE_PAIR(BgL_fieldsz00_561, BgL_arg1977z00_595); } 
BgL_arg1971z00_593 = 
MAKE_PAIR(BgL_hashz00_558, BgL_arg1974z00_594); } 
BgL_arg1968z00_592 = 
MAKE_PAIR(BgL_classzd2alloczd2_557, BgL_arg1971z00_593); } 
BgL_arg1953z00_588 = 
MAKE_PAIR(BgL_classzd2makezd2_556, BgL_arg1968z00_592); } 
BgL_arg1943z00_584 = 
MAKE_PAIR(BgL_arg1952z00_587, BgL_arg1953z00_588); } 
BgL_arg1929z00_578 = 
MAKE_PAIR(BgL_arg1941z00_583, BgL_arg1943z00_584); } 
BgL_arg1921z00_575 = 
MAKE_PAIR(BgL_arg1926z00_577, BgL_arg1929z00_578); } 
BgL_arg1918z00_574 = 
MAKE_PAIR(BgL_arg1921z00_575, BNIL); } 
BgL_arg1915z00_573 = 
MAKE_PAIR(BgL_holderzd2idzd2_551, BgL_arg1918z00_574); } 
BgL_declz00_562 = 
MAKE_PAIR(BgL_arg1914z00_572, BgL_arg1915z00_573); } } } } }  else 
{ /* ./Module/class.scm 217 */
obj_t BgL_arg2047z00_627;obj_t BgL_arg2048z00_628;
BgL_arg2047z00_627 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Module/class.scm 209 */
obj_t BgL_arg2051z00_629;
{ /* ./Module/class.scm 209 */
obj_t BgL_arg2055z00_630;
{ /* ./Module/class.scm 209 */
obj_t BgL_arg2059z00_632;obj_t BgL_arg2060z00_633;
{ /* ./Module/class.scm 209 */
obj_t BgL_arg2065z00_634;obj_t BgL_arg2066z00_635;
BgL_arg2065z00_634 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Module/class.scm 209 */
obj_t BgL_arg2069z00_636;obj_t BgL_arg2070z00_637;
BgL_arg2069z00_636 = 
CNST_TABLE_REF(((long)13)); 
{ /* ./Module/class.scm 209 */
obj_t BgL_auxz00_2221;
BgL_auxz00_2221 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg2070z00_637 = 
MAKE_PAIR(BgL_auxz00_2221, BNIL); } 
BgL_arg2066z00_635 = 
MAKE_PAIR(BgL_arg2069z00_636, BgL_arg2070z00_637); } 
BgL_arg2059z00_632 = 
MAKE_PAIR(BgL_arg2065z00_634, BgL_arg2066z00_635); } 
{ /* ./Module/class.scm 210 */
obj_t BgL_arg2074z00_638;obj_t BgL_arg2075z00_639;
{ /* ./Module/class.scm 210 */
obj_t BgL_arg2078z00_640;obj_t BgL_arg2079z00_641;
BgL_arg2078z00_640 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg2079z00_641 = 
MAKE_PAIR(BgL_classzd2idzd2_552, BNIL); 
BgL_arg2074z00_638 = 
MAKE_PAIR(BgL_arg2078z00_640, BgL_arg2079z00_641); } 
{ /* ./Module/class.scm 213 */
obj_t BgL_arg2083z00_642;
{ /* ./Module/class.scm 213 */
obj_t BgL_arg2086z00_643;
{ /* ./Module/class.scm 213 */
obj_t BgL_arg2089z00_644;
{ /* ./Module/class.scm 213 */
obj_t BgL_arg2092z00_645;
{ /* ./Module/class.scm 213 */
obj_t BgL_arg2095z00_646;
{ /* ./Module/class.scm 213 */
obj_t BgL_arg2098z00_647;
{ /* ./Module/class.scm 213 */
obj_t BgL_arg2101z00_648;
{ /* ./Module/class.scm 213 */
obj_t BgL_arg2105z00_650;obj_t BgL_arg2107z00_651;
BgL_arg2105z00_650 = 
CNST_TABLE_REF(((long)15)); 
{ /* ./Module/class.scm 213 */
obj_t BgL_arg2110z00_652;
{ /* ./Module/class.scm 213 */
bool_t BgL_test2115z00_655;
BgL_test2115z00_655 = 
NULLP(BgL_virtualsz00_51); 
if(BgL_test2115z00_655)
{ /* ./Module/class.scm 213 */
BgL_arg2110z00_652 = BNIL; }  else 
{ /* ./Module/class.scm 213 */
obj_t BgL_head1775z00_656;
BgL_head1775z00_656 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1773z00_657;obj_t BgL_tail1776z00_658;
BgL_l1773z00_657 = BgL_virtualsz00_51; 
BgL_tail1776z00_658 = BgL_head1775z00_656; 
BgL_map1774z00_659:
{ /* ./Module/class.scm 213 */
bool_t BgL_test2117z00_660;
BgL_test2117z00_660 = 
NULLP(BgL_l1773z00_657); 
if(BgL_test2117z00_660)
{ /* ./Module/class.scm 213 */
BgL_arg2110z00_652 = 
CDR(BgL_head1775z00_656); }  else 
{ /* ./Module/class.scm 214 */
obj_t BgL_newtail1777z00_661;
{ /* ./Module/class.scm 214 */
obj_t BgL_arg2128z00_663;
{ /* ./Module/class.scm 214 */
obj_t BgL_vz00_665;
BgL_vz00_665 = 
CAR(BgL_l1773z00_657); 
{ /* ./Module/class.scm 214 */
obj_t BgL_arg2132z00_666;obj_t BgL_arg2135z00_667;
BgL_arg2132z00_666 = 
CNST_TABLE_REF(((long)16)); 
{ /* ./Module/class.scm 214 */
obj_t BgL_arg2138z00_668;obj_t BgL_arg2139z00_669;
BgL_arg2138z00_668 = 
CAR(BgL_vz00_665); 
{ /* ./Module/class.scm 215 */
obj_t BgL_arg2143z00_670;
{ /* ./Module/class.scm 215 */
obj_t BgL_arg2147z00_672;obj_t BgL_arg2148z00_673;
BgL_arg2147z00_672 = 
CNST_TABLE_REF(((long)16)); 
{ /* ./Module/class.scm 215 */
obj_t BgL_arg2151z00_674;obj_t BgL_arg2152z00_675;
{ /* ./Module/class.scm 215 */
obj_t BgL_auxz00_2240;
BgL_auxz00_2240 = 
CDR(BgL_vz00_665); 
BgL_arg2151z00_674 = 
CAR(BgL_auxz00_2240); } 
{ /* ./Module/class.scm 216 */
obj_t BgL_arg2156z00_676;
{ /* ./Module/class.scm 216 */
obj_t BgL_auxz00_2243;
{ /* ./Module/class.scm 216 */
obj_t BgL_auxz00_2244;
BgL_auxz00_2244 = 
CDR(BgL_vz00_665); 
BgL_auxz00_2243 = 
CDR(BgL_auxz00_2244); } 
BgL_arg2156z00_676 = 
CAR(BgL_auxz00_2243); } 
BgL_arg2152z00_675 = 
MAKE_PAIR(BgL_arg2156z00_676, BNIL); } 
BgL_arg2148z00_673 = 
MAKE_PAIR(BgL_arg2151z00_674, BgL_arg2152z00_675); } 
BgL_arg2143z00_670 = 
MAKE_PAIR(BgL_arg2147z00_672, BgL_arg2148z00_673); } 
BgL_arg2139z00_669 = 
MAKE_PAIR(BgL_arg2143z00_670, BNIL); } 
BgL_arg2135z00_667 = 
MAKE_PAIR(BgL_arg2138z00_668, BgL_arg2139z00_669); } 
BgL_arg2128z00_663 = 
MAKE_PAIR(BgL_arg2132z00_666, BgL_arg2135z00_667); } } 
BgL_newtail1777z00_661 = 
MAKE_PAIR(BgL_arg2128z00_663, BNIL); } 
SET_CDR(BgL_tail1776z00_658, BgL_newtail1777z00_661); 
{ /* ./Module/class.scm 213 */
obj_t BgL_arg2123z00_662;
BgL_arg2123z00_662 = 
CDR(BgL_l1773z00_657); 
{ 
obj_t BgL_tail1776z00_2258;obj_t BgL_l1773z00_2257;
BgL_l1773z00_2257 = BgL_arg2123z00_662; 
BgL_tail1776z00_2258 = BgL_newtail1777z00_661; 
BgL_tail1776z00_658 = BgL_tail1776z00_2258; 
BgL_l1773z00_657 = BgL_l1773z00_2257; 
goto BgL_map1774z00_659;} } } } } } } 
BgL_arg2107z00_651 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2110z00_652, BNIL); } 
BgL_arg2101z00_648 = 
MAKE_PAIR(BgL_arg2105z00_650, BgL_arg2107z00_651); } 
BgL_arg2098z00_647 = 
MAKE_PAIR(BgL_arg2101z00_648, BNIL); } 
BgL_arg2095z00_646 = 
MAKE_PAIR(BgL_constrz00_559, BgL_arg2098z00_647); } 
BgL_arg2092z00_645 = 
MAKE_PAIR(BgL_fieldsz00_561, BgL_arg2095z00_646); } 
BgL_arg2089z00_644 = 
MAKE_PAIR(BgL_hashz00_558, BgL_arg2092z00_645); } 
BgL_arg2086z00_643 = 
MAKE_PAIR(BgL_classzd2alloczd2_557, BgL_arg2089z00_644); } 
BgL_arg2083z00_642 = 
MAKE_PAIR(BgL_classzd2makezd2_556, BgL_arg2086z00_643); } 
BgL_arg2075z00_639 = 
MAKE_PAIR(BFALSE, BgL_arg2083z00_642); } 
BgL_arg2060z00_633 = 
MAKE_PAIR(BgL_arg2074z00_638, BgL_arg2075z00_639); } 
BgL_arg2055z00_630 = 
MAKE_PAIR(BgL_arg2059z00_632, BgL_arg2060z00_633); } 
BgL_arg2051z00_629 = 
MAKE_PAIR(BgL_arg2055z00_630, BNIL); } 
BgL_arg2048z00_628 = 
MAKE_PAIR(BgL_holderzd2idzd2_551, BgL_arg2051z00_629); } 
BgL_declz00_562 = 
MAKE_PAIR(BgL_arg2047z00_627, BgL_arg2048z00_628); } } 
{ /* ./Module/class.scm 232 */
obj_t BgL_loczd2declzd2_563;
{ /* ./Module/class.scm 232 */
bool_t BgL_test1901z00_564;
BgL_test1901z00_564 = 
EXTENDED_PAIRP(BgL_srczd2defzd2_50); 
if(BgL_test1901z00_564)
{ /* ./Module/class.scm 233 */
obj_t BgL_arg1903z00_565;obj_t BgL_arg1904z00_566;obj_t BgL_arg1905z00_567;
BgL_arg1903z00_565 = 
CAR(BgL_declz00_562); 
BgL_arg1904z00_566 = 
CDR(BgL_declz00_562); 
BgL_arg1905z00_567 = 
CER(BgL_srczd2defzd2_50); 
{ /* ./Module/class.scm 233 */
obj_t BgL_res3174z00_1344;
BgL_res3174z00_1344 = 
MAKE_EXTENDED_PAIR(BgL_arg1903z00_565, BgL_arg1904z00_566, BgL_arg1905z00_567); 
BgL_loczd2declzd2_563 = BgL_res3174z00_1344; } }  else 
{ /* ./Module/class.scm 232 */
BgL_loczd2declzd2_563 = BgL_declz00_562; } } 
return ( 
BGl_za2declaredzd2classesza2zd2zzmodule_classz00 = 
MAKE_PAIR(BgL_loczd2declzd2_563, BGl_za2declaredzd2classesza2zd2zzmodule_classz00), BUNSPEC) ;} } } } } } } } } } } } } } } } 
}



/* get-class-hash */
BGL_EXPORTED_DEF obj_t BGl_getzd2classzd2hashz00zzmodule_classz00(obj_t BgL_classzd2idzd2_52, obj_t BgL_fieldsz00_53)
{ AN_OBJECT;
{ /* ./Module/class.scm 240 */
{ 
obj_t BgL_fieldsz00_730;long BgL_hashz00_731;
{ /* ./Module/class.scm 242 */
long BgL_arg2294z00_733;
{ /* ./Module/class.scm 242 */
obj_t BgL_arg2297z00_734;
BgL_arg2297z00_734 = 
SYMBOL_TO_STRING(BgL_classzd2idzd2_52); 
{ /* ./Module/class.scm 242 */
char * BgL_stringz00_1346;
BgL_stringz00_1346 = 
BSTRING_TO_STRING(BgL_arg2297z00_734); 
BgL_arg2294z00_733 = 
get_hash_power_number(BgL_stringz00_1346, ((long)16)); } } 
BgL_fieldsz00_730 = BgL_fieldsz00_53; 
BgL_hashz00_731 = BgL_arg2294z00_733; 
BgL_loopz00_732:
{ /* ./Module/class.scm 243 */
bool_t BgL_test2301z00_736;
BgL_test2301z00_736 = 
NULLP(BgL_fieldsz00_730); 
if(BgL_test2301z00_736)
{ /* ./Module/class.scm 243 */
return 
BINT(BgL_hashz00_731);}  else 
{ /* ./Module/class.scm 245 */
obj_t BgL_fieldz00_737;
BgL_fieldz00_737 = 
CAR(BgL_fieldsz00_730); 
{ 
obj_t BgL_idz00_743;obj_t BgL_attz00_744;obj_t BgL_idz00_740;obj_t BgL_attz00_741;
{ /* ./Module/class.scm 246 */
bool_t BgL_test2302z00_747;
BgL_test2302z00_747 = 
PAIRP(BgL_fieldz00_737); 
if(BgL_test2302z00_747)
{ /* ./Module/class.scm 246 */
bool_t BgL_test2303z00_748;
{ /* ./Module/class.scm 246 */
obj_t BgL_auxz00_2289;
BgL_auxz00_2289 = 
CDR(BgL_fieldz00_737); 
BgL_test2303z00_748 = 
NULLP(BgL_auxz00_2289); } 
if(BgL_test2303z00_748)
{ /* ./Module/class.scm 246 */
{ /* ./Module/class.scm 248 */
obj_t BgL_arg2355z00_769;long BgL_arg2356z00_770;
BgL_arg2355z00_769 = 
CDR(BgL_fieldsz00_730); 
BgL_arg2356z00_770 = 
(BgL_hashz00_731 ^ ((long)2344)); 
{ 
long BgL_hashz00_2296;obj_t BgL_fieldsz00_2295;
BgL_fieldsz00_2295 = BgL_arg2355z00_769; 
BgL_hashz00_2296 = BgL_arg2356z00_770; 
BgL_hashz00_731 = BgL_hashz00_2296; 
BgL_fieldsz00_730 = BgL_fieldsz00_2295; 
goto BgL_loopz00_732;} } }  else 
{ /* ./Module/class.scm 246 */
bool_t BgL_test2305z00_749;
BgL_test2305z00_749 = 
SYMBOLP(BgL_fieldz00_737); 
if(BgL_test2305z00_749)
{ /* ./Module/class.scm 246 */
BgL_tagzd2121zd2_739:
{ /* ./Module/class.scm 251 */
obj_t BgL_arg2362z00_771;long BgL_arg2363z00_772;
BgL_arg2362z00_771 = 
CDR(BgL_fieldsz00_730); 
{ /* ./Module/class.scm 254 */
long BgL_arg2367z00_773;
{ /* ./Module/class.scm 254 */
obj_t BgL_arg2370z00_774;
BgL_arg2370z00_774 = 
SYMBOL_TO_STRING(BgL_fieldz00_737); 
{ /* ./Module/class.scm 253 */
char * BgL_stringz00_1375;
BgL_stringz00_1375 = 
BSTRING_TO_STRING(BgL_arg2370z00_774); 
BgL_arg2367z00_773 = 
get_hash_power_number(BgL_stringz00_1375, ((long)16)); } } 
BgL_arg2363z00_772 = 
(BgL_hashz00_731 ^ BgL_arg2367z00_773); } 
{ 
long BgL_hashz00_2305;obj_t BgL_fieldsz00_2304;
BgL_fieldsz00_2304 = BgL_arg2362z00_771; 
BgL_hashz00_2305 = BgL_arg2363z00_772; 
BgL_hashz00_731 = BgL_hashz00_2305; 
BgL_fieldsz00_730 = BgL_fieldsz00_2304; 
goto BgL_loopz00_732;} } }  else 
{ /* ./Module/class.scm 246 */
obj_t BgL_cdrzd2136zd2_750;
BgL_cdrzd2136zd2_750 = 
CDR(BgL_fieldz00_737); 
{ /* ./Module/class.scm 246 */
bool_t BgL_test2307z00_751;
{ /* ./Module/class.scm 246 */
obj_t BgL_auxz00_2309;obj_t BgL_auxz00_2307;
BgL_auxz00_2309 = 
CNST_TABLE_REF(((long)17)); 
BgL_auxz00_2307 = 
CAR(BgL_fieldz00_737); 
BgL_test2307z00_751 = 
(BgL_auxz00_2307==BgL_auxz00_2309); } 
if(BgL_test2307z00_751)
{ /* ./Module/class.scm 246 */
bool_t BgL_test2308z00_752;
BgL_test2308z00_752 = 
PAIRP(BgL_cdrzd2136zd2_750); 
if(BgL_test2308z00_752)
{ /* ./Module/class.scm 246 */
obj_t BgL_carzd2139zd2_753;
BgL_carzd2139zd2_753 = 
CAR(BgL_cdrzd2136zd2_750); 
{ /* ./Module/class.scm 246 */
bool_t BgL_test2309z00_754;
BgL_test2309z00_754 = 
SYMBOLP(BgL_carzd2139zd2_753); 
if(BgL_test2309z00_754)
{ /* ./Module/class.scm 246 */
obj_t BgL_arg2311z00_755;
BgL_arg2311z00_755 = 
CDR(BgL_cdrzd2136zd2_750); 
BgL_idz00_740 = BgL_carzd2139zd2_753; 
BgL_attz00_741 = BgL_arg2311z00_755; 
{ /* ./Module/class.scm 257 */
obj_t BgL_arg2375z00_776;long BgL_arg2376z00_777;
BgL_arg2375z00_776 = 
CDR(BgL_fieldsz00_730); 
{ /* ./Module/class.scm 260 */
long BgL_arg2380z00_778;
{ /* ./Module/class.scm 260 */
obj_t BgL_arg2383z00_779;
{ /* ./Module/class.scm 260 */
obj_t BgL_arg2388z00_782;
BgL_arg2388z00_782 = 
SYMBOL_TO_STRING(BgL_idz00_740); 
BgL_arg2383z00_779 = 
string_append(BGl_string3333z00zzmodule_classz00, BgL_arg2388z00_782); } 
{ /* ./Module/class.scm 259 */
char * BgL_stringz00_1381;
BgL_stringz00_1381 = 
BSTRING_TO_STRING(BgL_arg2383z00_779); 
BgL_arg2380z00_778 = 
get_hash_power_number(BgL_stringz00_1381, ((long)16)); } } 
BgL_arg2376z00_777 = 
(BgL_hashz00_731 ^ BgL_arg2380z00_778); } 
{ 
long BgL_hashz00_2326;obj_t BgL_fieldsz00_2325;
BgL_fieldsz00_2325 = BgL_arg2375z00_776; 
BgL_hashz00_2326 = BgL_arg2376z00_777; 
BgL_hashz00_731 = BgL_hashz00_2326; 
BgL_fieldsz00_730 = BgL_fieldsz00_2325; 
goto BgL_loopz00_732;} } }  else 
{ /* ./Module/class.scm 246 */
obj_t BgL_carzd2148zd2_756;
BgL_carzd2148zd2_756 = 
CAR(BgL_fieldz00_737); 
{ /* ./Module/class.scm 246 */
bool_t BgL_test2314z00_757;
BgL_test2314z00_757 = 
SYMBOLP(BgL_carzd2148zd2_756); 
if(BgL_test2314z00_757)
{ /* ./Module/class.scm 246 */
BgL_idz00_743 = BgL_carzd2148zd2_756; 
BgL_attz00_744 = BgL_cdrzd2136zd2_750; 
BgL_tagzd2123zd2_745:
{ /* ./Module/class.scm 265 */
obj_t BgL_arg2392z00_783;long BgL_arg2393z00_784;
BgL_arg2392z00_783 = 
CDR(BgL_fieldsz00_730); 
{ /* ./Module/class.scm 268 */
long BgL_arg2397z00_785;
{ /* ./Module/class.scm 268 */
obj_t BgL_arg2400z00_786;
BgL_arg2400z00_786 = 
SYMBOL_TO_STRING(BgL_idz00_743); 
{ /* ./Module/class.scm 267 */
char * BgL_stringz00_1387;
BgL_stringz00_1387 = 
BSTRING_TO_STRING(BgL_arg2400z00_786); 
BgL_arg2397z00_785 = 
get_hash_power_number(BgL_stringz00_1387, ((long)16)); } } 
BgL_arg2393z00_784 = 
(BgL_hashz00_731 ^ BgL_arg2397z00_785); } 
{ 
long BgL_hashz00_2336;obj_t BgL_fieldsz00_2335;
BgL_fieldsz00_2335 = BgL_arg2392z00_783; 
BgL_hashz00_2336 = BgL_arg2393z00_784; 
BgL_hashz00_731 = BgL_hashz00_2336; 
BgL_fieldsz00_730 = BgL_fieldsz00_2335; 
goto BgL_loopz00_732;} } }  else 
{ /* ./Module/class.scm 246 */
return BFALSE;} } } } }  else 
{ /* ./Module/class.scm 246 */
obj_t BgL_carzd2157zd2_759;
BgL_carzd2157zd2_759 = 
CAR(BgL_fieldz00_737); 
{ /* ./Module/class.scm 246 */
bool_t BgL_test2323z00_760;
BgL_test2323z00_760 = 
SYMBOLP(BgL_carzd2157zd2_759); 
if(BgL_test2323z00_760)
{ 
obj_t BgL_attz00_2341;obj_t BgL_idz00_2340;
BgL_idz00_2340 = BgL_carzd2157zd2_759; 
BgL_attz00_2341 = BgL_cdrzd2136zd2_750; 
BgL_attz00_744 = BgL_attz00_2341; 
BgL_idz00_743 = BgL_idz00_2340; 
goto BgL_tagzd2123zd2_745;}  else 
{ /* ./Module/class.scm 246 */
return BFALSE;} } } }  else 
{ /* ./Module/class.scm 246 */
obj_t BgL_carzd2166zd2_762;
BgL_carzd2166zd2_762 = 
CAR(BgL_fieldz00_737); 
{ /* ./Module/class.scm 246 */
bool_t BgL_test2331z00_763;
BgL_test2331z00_763 = 
SYMBOLP(BgL_carzd2166zd2_762); 
if(BgL_test2331z00_763)
{ 
obj_t BgL_attz00_2346;obj_t BgL_idz00_2345;
BgL_idz00_2345 = BgL_carzd2166zd2_762; 
BgL_attz00_2346 = BgL_cdrzd2136zd2_750; 
BgL_attz00_744 = BgL_attz00_2346; 
BgL_idz00_743 = BgL_idz00_2345; 
goto BgL_tagzd2123zd2_745;}  else 
{ /* ./Module/class.scm 246 */
return BFALSE;} } } } } } }  else 
{ /* ./Module/class.scm 246 */
bool_t BgL_test2350z00_768;
BgL_test2350z00_768 = 
SYMBOLP(BgL_fieldz00_737); 
if(BgL_test2350z00_768)
{ /* ./Module/class.scm 246 */
goto BgL_tagzd2121zd2_739;}  else 
{ /* ./Module/class.scm 246 */
return BFALSE;} } } } } } } } } 
}



/* _get-class-hash */
obj_t BGl__getzd2classzd2hashz00zzmodule_classz00(obj_t BgL_envz00_1834, obj_t BgL_classzd2idzd2_1835, obj_t BgL_fieldsz00_1836)
{ AN_OBJECT;
{ /* ./Module/class.scm 240 */
return 
BGl_getzd2classzd2hashz00zzmodule_classz00(BgL_classzd2idzd2_1835, BgL_fieldsz00_1836);} 
}



/* make-class-fields */
obj_t BGl_makezd2classzd2fieldsz00zzmodule_classz00(obj_t BgL_classzd2idzd2_54, obj_t BgL_slotzd2defszd2_55, obj_t BgL_locz00_56)
{ AN_OBJECT;
{ /* ./Module/class.scm 278 */
{ /* ./Module/class.scm 345 */
obj_t BgL_slotzd2defszd2_792;
if(
PAIRP(BgL_slotzd2defszd2_55))
{ /* ./Module/class.scm 345 */
obj_t BgL_carzd2248zd2_818;
BgL_carzd2248zd2_818 = 
CAR(BgL_slotzd2defszd2_55); 
if(
PAIRP(BgL_carzd2248zd2_818))
{ /* ./Module/class.scm 345 */
bool_t BgL_testz00_2355;
{ /* ./Module/class.scm 345 */
obj_t BgL_auxz00_2356;
BgL_auxz00_2356 = 
CDR(BgL_carzd2248zd2_818); 
BgL_testz00_2355 = 
NULLP(BgL_auxz00_2356); } 
if(BgL_testz00_2355)
{ /* ./Module/class.scm 345 */
BgL_slotzd2defszd2_792 = 
CDR(BgL_slotzd2defszd2_55); }  else 
{ /* ./Module/class.scm 345 */
BgL_slotzd2defszd2_792 = BgL_slotzd2defszd2_55; } }  else 
{ /* ./Module/class.scm 345 */
BgL_slotzd2defszd2_792 = BgL_slotzd2defszd2_55; } }  else 
{ /* ./Module/class.scm 345 */
BgL_slotzd2defszd2_792 = BgL_slotzd2defszd2_55; } 
{ /* ./Module/class.scm 350 */
obj_t BgL_arg2407z00_793;obj_t BgL_arg2408z00_794;
BgL_arg2407z00_793 = 
CNST_TABLE_REF(((long)18)); 
{ /* ./Module/class.scm 350 */
obj_t BgL_arg2411z00_795;
{ /* ./Module/class.scm 350 */
bool_t BgL_test2414z00_798;
BgL_test2414z00_798 = 
NULLP(BgL_slotzd2defszd2_792); 
if(BgL_test2414z00_798)
{ /* ./Module/class.scm 350 */
BgL_arg2411z00_795 = BNIL; }  else 
{ /* ./Module/class.scm 350 */
obj_t BgL_head1785z00_799;
{ /* ./Module/class.scm 350 */
obj_t BgL_arg2436z00_810;
{ /* ./Module/class.scm 350 */
obj_t BgL_arg2440z00_812;
BgL_arg2440z00_812 = 
CAR(BgL_slotzd2defszd2_792); 
BgL_arg2436z00_810 = 
BGl_makezd2slotzd2fieldz00zzmodule_classz00(BgL_classzd2idzd2_54, BgL_locz00_56, BgL_arg2440z00_812); } 
BgL_head1785z00_799 = 
MAKE_PAIR(BgL_arg2436z00_810, BNIL); } 
{ 
obj_t BgL_l1783z00_800;obj_t BgL_tail1786z00_801;
{ /* ./Module/class.scm 350 */
obj_t BgL_arg2416z00_803;
BgL_arg2416z00_803 = 
CDR(BgL_slotzd2defszd2_792); 
BgL_l1783z00_800 = BgL_arg2416z00_803; 
BgL_tail1786z00_801 = BgL_head1785z00_799; 
BgL_map1784z00_802:
{ /* ./Module/class.scm 350 */
bool_t BgL_test2419z00_804;
BgL_test2419z00_804 = 
NULLP(BgL_l1783z00_800); 
if(BgL_test2419z00_804)
{ /* ./Module/class.scm 350 */
BgL_arg2411z00_795 = BgL_head1785z00_799; }  else 
{ /* ./Module/class.scm 350 */
obj_t BgL_newtail1787z00_805;
{ /* ./Module/class.scm 350 */
obj_t BgL_arg2426z00_807;
{ /* ./Module/class.scm 350 */
obj_t BgL_arg2431z00_809;
BgL_arg2431z00_809 = 
CAR(BgL_l1783z00_800); 
BgL_arg2426z00_807 = 
BGl_makezd2slotzd2fieldz00zzmodule_classz00(BgL_classzd2idzd2_54, BgL_locz00_56, BgL_arg2431z00_809); } 
BgL_newtail1787z00_805 = 
MAKE_PAIR(BgL_arg2426z00_807, BNIL); } 
SET_CDR(BgL_tail1786z00_801, BgL_newtail1787z00_805); 
{ /* ./Module/class.scm 350 */
obj_t BgL_arg2422z00_806;
BgL_arg2422z00_806 = 
CDR(BgL_l1783z00_800); 
{ 
obj_t BgL_tail1786z00_2375;obj_t BgL_l1783z00_2374;
BgL_l1783z00_2374 = BgL_arg2422z00_806; 
BgL_tail1786z00_2375 = BgL_newtail1787z00_805; 
BgL_tail1786z00_801 = BgL_tail1786z00_2375; 
BgL_l1783z00_800 = BgL_l1783z00_2374; 
goto BgL_map1784z00_802;} } } } } } } } 
BgL_arg2408z00_794 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2411z00_795, BNIL); } 
return 
MAKE_PAIR(BgL_arg2407z00_793, BgL_arg2408z00_794);} } } 
}



/* read-only? */
bool_t BGl_readzd2onlyzf3z21zzmodule_classz00(obj_t BgL_attrz00_973)
{ AN_OBJECT;
{ /* ./Module/class.scm 287 */
{ 
obj_t BgL_attrz00_975;
BgL_attrz00_975 = BgL_attrz00_973; 
BgL_loopz00_976:
if(
NULLP(BgL_attrz00_975))
{ /* ./Module/class.scm 282 */
return ((bool_t)0);}  else 
{ /* ./Module/class.scm 284 */
bool_t BgL_testz00_2380;
{ /* ./Module/class.scm 284 */
obj_t BgL_auxz00_2383;obj_t BgL_auxz00_2381;
BgL_auxz00_2383 = 
CNST_TABLE_REF(((long)19)); 
BgL_auxz00_2381 = 
CAR(BgL_attrz00_975); 
BgL_testz00_2380 = 
(BgL_auxz00_2381==BgL_auxz00_2383); } 
if(BgL_testz00_2380)
{ /* ./Module/class.scm 284 */
return ((bool_t)1);}  else 
{ /* ./Module/class.scm 284 */
{ 
obj_t BgL_attrz00_2386;
BgL_attrz00_2386 = 
CDR(BgL_attrz00_975); 
BgL_attrz00_975 = BgL_attrz00_2386; 
goto BgL_loopz00_976;} } } } } 
}



/* find-info-attribute */
obj_t BGl_findzd2infozd2attributez00zzmodule_classz00(obj_t BgL_attrz00_945)
{ AN_OBJECT;
{ /* ./Module/class.scm 304 */
BGl_findzd2infozd2attributez00zzmodule_classz00:
if(
PAIRP(BgL_attrz00_945))
{ 

{ /* ./Module/class.scm 300 */
obj_t BgL_ezd2183zd2_951;
BgL_ezd2183zd2_951 = 
CAR(BgL_attrz00_945); 
if(
PAIRP(BgL_ezd2183zd2_951))
{ /* ./Module/class.scm 300 */
obj_t BgL_cdrzd2187zd2_953;
BgL_cdrzd2187zd2_953 = 
CDR(BgL_ezd2183zd2_951); 
{ /* ./Module/class.scm 300 */
bool_t BgL_testz00_2394;
{ /* ./Module/class.scm 300 */
obj_t BgL_auxz00_2397;obj_t BgL_auxz00_2395;
BgL_auxz00_2397 = 
CNST_TABLE_REF(((long)20)); 
BgL_auxz00_2395 = 
CAR(BgL_ezd2183zd2_951); 
BgL_testz00_2394 = 
(BgL_auxz00_2395==BgL_auxz00_2397); } 
if(BgL_testz00_2394)
{ /* ./Module/class.scm 300 */
if(
PAIRP(BgL_cdrzd2187zd2_953))
{ /* ./Module/class.scm 300 */
bool_t BgL_testz00_2402;
{ /* ./Module/class.scm 300 */
obj_t BgL_auxz00_2403;
BgL_auxz00_2403 = 
CDR(BgL_cdrzd2187zd2_953); 
BgL_testz00_2402 = 
NULLP(BgL_auxz00_2403); } 
if(BgL_testz00_2402)
{ /* ./Module/class.scm 300 */
return 
CAR(BgL_cdrzd2187zd2_953);}  else 
{ /* ./Module/class.scm 300 */
BgL_tagzd2182zd2_950:
{ 
obj_t BgL_attrz00_2407;
BgL_attrz00_2407 = 
CDR(BgL_attrz00_945); 
BgL_attrz00_945 = BgL_attrz00_2407; 
goto BGl_findzd2infozd2attributez00zzmodule_classz00;} } }  else 
{ /* ./Module/class.scm 300 */
goto BgL_tagzd2182zd2_950;} }  else 
{ /* ./Module/class.scm 300 */
goto BgL_tagzd2182zd2_950;} } }  else 
{ /* ./Module/class.scm 300 */
goto BgL_tagzd2182zd2_950;} } }  else 
{ /* ./Module/class.scm 298 */
return BFALSE;} } 
}



/* make-slot-field */
obj_t BGl_makezd2slotzd2fieldz00zzmodule_classz00(obj_t BgL_classzd2idzd2_1839, obj_t BgL_locz00_1838, obj_t BgL_slotz00_823)
{ AN_OBJECT;
{ /* ./Module/class.scm 344 */
{ 
obj_t BgL_attrz00_962;
{ 
obj_t BgL_idz00_826;obj_t BgL_attz00_827;obj_t BgL_idz00_829;obj_t BgL_attz00_830;
{ /* ./Module/class.scm 344 */
bool_t BgL_test2462z00_834;
BgL_test2462z00_834 = 
SYMBOLP(BgL_slotz00_823); 
if(BgL_test2462z00_834)
{ /* ./Module/class.scm 344 */
{ /* ./Module/class.scm 309 */
obj_t BgL_idz00_853;
BgL_idz00_853 = 
BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(BgL_slotz00_823, BgL_locz00_1838); 
{ /* ./Module/class.scm 310 */
obj_t BgL_arg2509z00_854;obj_t BgL_arg2510z00_855;
{ /* ./Module/class.scm 310 */
obj_t BgL_arg2513z00_856;obj_t BgL_arg2515z00_857;
BgL_arg2513z00_856 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Module/class.scm 310 */
obj_t BgL_arg2518z00_858;obj_t BgL_arg2519z00_859;
BgL_arg2518z00_858 = 
CNST_TABLE_REF(((long)22)); 
{ /* ./Module/class.scm 310 */
obj_t BgL_auxz00_2414;
BgL_auxz00_2414 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg2519z00_859 = 
MAKE_PAIR(BgL_auxz00_2414, BNIL); } 
BgL_arg2515z00_857 = 
MAKE_PAIR(BgL_arg2518z00_858, BgL_arg2519z00_859); } 
BgL_arg2509z00_854 = 
MAKE_PAIR(BgL_arg2513z00_856, BgL_arg2515z00_857); } 
{ /* ./Module/class.scm 311 */
obj_t BgL_arg2523z00_860;obj_t BgL_arg2524z00_861;
{ /* ./Module/class.scm 311 */
obj_t BgL_arg2527z00_862;obj_t BgL_arg2528z00_863;
BgL_arg2527z00_862 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg2528z00_863 = 
MAKE_PAIR(BgL_idz00_853, BNIL); 
BgL_arg2523z00_860 = 
MAKE_PAIR(BgL_arg2527z00_862, BgL_arg2528z00_863); } 
{ /* ./Module/class.scm 312 */
obj_t BgL_arg2532z00_864;obj_t BgL_arg2533z00_865;
{ /* ./Module/class.scm 312 */
obj_t BgL_list2536z00_866;
{ /* ./Module/class.scm 312 */
obj_t BgL_arg2538z00_867;
{ /* ./Module/class.scm 312 */
obj_t BgL_arg2541z00_868;obj_t BgL_arg2542z00_869;
BgL_arg2541z00_868 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg2542z00_869 = 
MAKE_PAIR(BgL_idz00_853, BNIL); 
BgL_arg2538z00_867 = 
MAKE_PAIR(BgL_arg2541z00_868, BgL_arg2542z00_869); } 
BgL_list2536z00_866 = 
MAKE_PAIR(BgL_classzd2idzd2_1839, BgL_arg2538z00_867); } 
BgL_arg2532z00_864 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2536z00_866); } 
{ /* ./Module/class.scm 313 */
obj_t BgL_arg2546z00_870;obj_t BgL_arg2548z00_871;
{ /* ./Module/class.scm 313 */
obj_t BgL_list2551z00_872;
{ /* ./Module/class.scm 313 */
obj_t BgL_arg2553z00_873;
{ /* ./Module/class.scm 313 */
obj_t BgL_arg2556z00_874;obj_t BgL_arg2557z00_875;
BgL_arg2556z00_874 = 
CNST_TABLE_REF(((long)23)); 
{ /* ./Module/class.scm 313 */
obj_t BgL_arg2560z00_876;
{ /* ./Module/class.scm 313 */
obj_t BgL_auxz00_2428;
BgL_auxz00_2428 = 
CNST_TABLE_REF(((long)24)); 
BgL_arg2560z00_876 = 
MAKE_PAIR(BgL_auxz00_2428, BNIL); } 
BgL_arg2557z00_875 = 
MAKE_PAIR(BgL_idz00_853, BgL_arg2560z00_876); } 
BgL_arg2553z00_873 = 
MAKE_PAIR(BgL_arg2556z00_874, BgL_arg2557z00_875); } 
BgL_list2551z00_872 = 
MAKE_PAIR(BgL_classzd2idzd2_1839, BgL_arg2553z00_873); } 
BgL_arg2546z00_870 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2551z00_872); } 
{ /* ./Module/class.scm 310 */
obj_t BgL_arg2564z00_877;
{ /* ./Module/class.scm 310 */
obj_t BgL_arg2567z00_878;
BgL_arg2567z00_878 = 
MAKE_PAIR(BFALSE, BNIL); 
BgL_arg2564z00_877 = 
MAKE_PAIR(BFALSE, BgL_arg2567z00_878); } 
BgL_arg2548z00_871 = 
MAKE_PAIR(BUNSPEC, BgL_arg2564z00_877); } 
BgL_arg2533z00_865 = 
MAKE_PAIR(BgL_arg2546z00_870, BgL_arg2548z00_871); } 
BgL_arg2524z00_861 = 
MAKE_PAIR(BgL_arg2532z00_864, BgL_arg2533z00_865); } 
BgL_arg2510z00_855 = 
MAKE_PAIR(BgL_arg2523z00_860, BgL_arg2524z00_861); } 
return 
MAKE_PAIR(BgL_arg2509z00_854, BgL_arg2510z00_855);} } }  else 
{ /* ./Module/class.scm 344 */
bool_t BgL_test2464z00_835;
BgL_test2464z00_835 = 
PAIRP(BgL_slotz00_823); 
if(BgL_test2464z00_835)
{ /* ./Module/class.scm 344 */
obj_t BgL_cdrzd2204zd2_836;
BgL_cdrzd2204zd2_836 = 
CDR(BgL_slotz00_823); 
{ /* ./Module/class.scm 344 */
bool_t BgL_test2465z00_837;
{ /* ./Module/class.scm 344 */
obj_t BgL_auxz00_2447;obj_t BgL_auxz00_2445;
BgL_auxz00_2447 = 
CNST_TABLE_REF(((long)17)); 
BgL_auxz00_2445 = 
CAR(BgL_slotz00_823); 
BgL_test2465z00_837 = 
(BgL_auxz00_2445==BgL_auxz00_2447); } 
if(BgL_test2465z00_837)
{ /* ./Module/class.scm 344 */
bool_t BgL_test2466z00_838;
BgL_test2466z00_838 = 
PAIRP(BgL_cdrzd2204zd2_836); 
if(BgL_test2466z00_838)
{ /* ./Module/class.scm 344 */
obj_t BgL_carzd2207zd2_839;
BgL_carzd2207zd2_839 = 
CAR(BgL_cdrzd2204zd2_836); 
{ /* ./Module/class.scm 344 */
bool_t BgL_test2467z00_840;
BgL_test2467z00_840 = 
SYMBOLP(BgL_carzd2207zd2_839); 
if(BgL_test2467z00_840)
{ /* ./Module/class.scm 344 */
obj_t BgL_arg2469z00_841;
BgL_arg2469z00_841 = 
CDR(BgL_cdrzd2204zd2_836); 
BgL_idz00_826 = BgL_carzd2207zd2_839; 
BgL_attz00_827 = BgL_arg2469z00_841; 
{ /* ./Module/class.scm 319 */
obj_t BgL_idz00_879;
BgL_idz00_879 = 
BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(BgL_idz00_826, BgL_locz00_1838); 
{ /* ./Module/class.scm 320 */
obj_t BgL_arg2572z00_880;obj_t BgL_arg2573z00_881;
{ /* ./Module/class.scm 320 */
obj_t BgL_arg2576z00_882;obj_t BgL_arg2577z00_883;
BgL_arg2576z00_882 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Module/class.scm 320 */
obj_t BgL_arg2580z00_884;obj_t BgL_arg2581z00_885;
BgL_arg2580z00_884 = 
CNST_TABLE_REF(((long)22)); 
{ /* ./Module/class.scm 320 */
obj_t BgL_auxz00_2460;
BgL_auxz00_2460 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg2581z00_885 = 
MAKE_PAIR(BgL_auxz00_2460, BNIL); } 
BgL_arg2577z00_883 = 
MAKE_PAIR(BgL_arg2580z00_884, BgL_arg2581z00_885); } 
BgL_arg2572z00_880 = 
MAKE_PAIR(BgL_arg2576z00_882, BgL_arg2577z00_883); } 
{ /* ./Module/class.scm 321 */
obj_t BgL_arg2587z00_886;obj_t BgL_arg2588z00_887;
{ /* ./Module/class.scm 321 */
obj_t BgL_arg2591z00_888;obj_t BgL_arg2592z00_889;
BgL_arg2591z00_888 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg2592z00_889 = 
MAKE_PAIR(BgL_idz00_879, BNIL); 
BgL_arg2587z00_886 = 
MAKE_PAIR(BgL_arg2591z00_888, BgL_arg2592z00_889); } 
{ /* ./Module/class.scm 322 */
obj_t BgL_arg2596z00_890;obj_t BgL_arg2597z00_891;
{ /* ./Module/class.scm 322 */
obj_t BgL_list2600z00_892;
{ /* ./Module/class.scm 322 */
obj_t BgL_arg2602z00_893;
{ /* ./Module/class.scm 322 */
obj_t BgL_arg2605z00_894;obj_t BgL_arg2606z00_895;
BgL_arg2605z00_894 = 
CNST_TABLE_REF(((long)23)); 
{ /* ./Module/class.scm 322 */
obj_t BgL_arg2609z00_896;
{ /* ./Module/class.scm 322 */
obj_t BgL_auxz00_2469;
BgL_auxz00_2469 = 
CNST_TABLE_REF(((long)25)); 
BgL_arg2609z00_896 = 
MAKE_PAIR(BgL_auxz00_2469, BNIL); } 
BgL_arg2606z00_895 = 
MAKE_PAIR(BgL_idz00_879, BgL_arg2609z00_896); } 
BgL_arg2602z00_893 = 
MAKE_PAIR(BgL_arg2605z00_894, BgL_arg2606z00_895); } 
BgL_list2600z00_892 = 
MAKE_PAIR(BgL_classzd2idzd2_1839, BgL_arg2602z00_893); } 
BgL_arg2596z00_890 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2600z00_892); } 
{ /* ./Module/class.scm 323 */
obj_t BgL_arg2613z00_897;obj_t BgL_arg2614z00_898;
{ /* ./Module/class.scm 323 */
bool_t BgL_test2616z00_899;
BgL_test2616z00_899 = 
BGl_readzd2onlyzf3z21zzmodule_classz00(BgL_attz00_827); 
if(BgL_test2616z00_899)
{ /* ./Module/class.scm 323 */
BgL_arg2613z00_897 = BUNSPEC; }  else 
{ /* ./Module/class.scm 324 */
obj_t BgL_list2618z00_900;
{ /* ./Module/class.scm 324 */
obj_t BgL_arg2620z00_901;
{ /* ./Module/class.scm 324 */
obj_t BgL_arg2623z00_902;obj_t BgL_arg2624z00_903;
BgL_arg2623z00_902 = 
CNST_TABLE_REF(((long)23)); 
{ /* ./Module/class.scm 324 */
obj_t BgL_arg2627z00_904;
{ /* ./Module/class.scm 324 */
obj_t BgL_auxz00_2479;
BgL_auxz00_2479 = 
CNST_TABLE_REF(((long)24)); 
BgL_arg2627z00_904 = 
MAKE_PAIR(BgL_auxz00_2479, BNIL); } 
BgL_arg2624z00_903 = 
MAKE_PAIR(BgL_idz00_879, BgL_arg2627z00_904); } 
BgL_arg2620z00_901 = 
MAKE_PAIR(BgL_arg2623z00_902, BgL_arg2624z00_903); } 
BgL_list2618z00_900 = 
MAKE_PAIR(BgL_classzd2idzd2_1839, BgL_arg2620z00_901); } 
BgL_arg2613z00_897 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2618z00_900); } } 
{ /* ./Module/class.scm 326 */
obj_t BgL_arg2632z00_905;obj_t BgL_arg2633z00_906;
{ /* ./Module/class.scm 326 */
obj_t BgL_list2636z00_907;
{ /* ./Module/class.scm 326 */
obj_t BgL_arg2638z00_908;
{ /* ./Module/class.scm 326 */
obj_t BgL_arg2641z00_909;obj_t BgL_arg2642z00_910;
BgL_arg2641z00_909 = 
CNST_TABLE_REF(((long)23)); 
{ /* ./Module/class.scm 326 */
obj_t BgL_arg2645z00_911;
{ /* ./Module/class.scm 326 */
obj_t BgL_auxz00_2487;
BgL_auxz00_2487 = 
CNST_TABLE_REF(((long)26)); 
BgL_arg2645z00_911 = 
MAKE_PAIR(BgL_auxz00_2487, BNIL); } 
BgL_arg2642z00_910 = 
MAKE_PAIR(BgL_idz00_879, BgL_arg2645z00_911); } 
BgL_arg2638z00_908 = 
MAKE_PAIR(BgL_arg2641z00_909, BgL_arg2642z00_910); } 
BgL_list2636z00_907 = 
MAKE_PAIR(BgL_classzd2idzd2_1839, BgL_arg2638z00_908); } 
BgL_arg2632z00_905 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2636z00_907); } 
{ /* ./Module/class.scm 328 */
obj_t BgL_arg2650z00_912;
{ /* ./Module/class.scm 328 */
obj_t BgL_arg2653z00_913;
BgL_arg2653z00_913 = 
BGl_findzd2infozd2attributez00zzmodule_classz00(BgL_slotz00_823); 
BgL_arg2650z00_912 = 
MAKE_PAIR(BgL_arg2653z00_913, BNIL); } 
BgL_arg2633z00_906 = 
MAKE_PAIR(BFALSE, BgL_arg2650z00_912); } 
BgL_arg2614z00_898 = 
MAKE_PAIR(BgL_arg2632z00_905, BgL_arg2633z00_906); } 
BgL_arg2597z00_891 = 
MAKE_PAIR(BgL_arg2613z00_897, BgL_arg2614z00_898); } 
BgL_arg2588z00_887 = 
MAKE_PAIR(BgL_arg2596z00_890, BgL_arg2597z00_891); } 
BgL_arg2573z00_881 = 
MAKE_PAIR(BgL_arg2587z00_886, BgL_arg2588z00_887); } 
return 
MAKE_PAIR(BgL_arg2572z00_880, BgL_arg2573z00_881);} } }  else 
{ /* ./Module/class.scm 344 */
obj_t BgL_carzd2216zd2_842;
BgL_carzd2216zd2_842 = 
CAR(BgL_slotz00_823); 
{ /* ./Module/class.scm 344 */
bool_t BgL_test2472z00_843;
BgL_test2472z00_843 = 
SYMBOLP(BgL_carzd2216zd2_842); 
if(BgL_test2472z00_843)
{ /* ./Module/class.scm 344 */
BgL_idz00_829 = BgL_carzd2216zd2_842; 
BgL_attz00_830 = BgL_cdrzd2204zd2_836; 
BgL_tagzd2194zd2_831:
{ /* ./Module/class.scm 331 */
obj_t BgL_idz00_915;
BgL_idz00_915 = 
BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(BgL_idz00_829, BgL_locz00_1838); 
{ /* ./Module/class.scm 332 */
obj_t BgL_arg2659z00_916;obj_t BgL_arg2660z00_917;
{ /* ./Module/class.scm 332 */
obj_t BgL_arg2663z00_918;obj_t BgL_arg2664z00_919;
BgL_arg2663z00_918 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Module/class.scm 332 */
obj_t BgL_arg2667z00_920;obj_t BgL_arg2668z00_921;
BgL_arg2667z00_920 = 
CNST_TABLE_REF(((long)22)); 
{ /* ./Module/class.scm 332 */
obj_t BgL_auxz00_2508;
BgL_auxz00_2508 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg2668z00_921 = 
MAKE_PAIR(BgL_auxz00_2508, BNIL); } 
BgL_arg2664z00_919 = 
MAKE_PAIR(BgL_arg2667z00_920, BgL_arg2668z00_921); } 
BgL_arg2659z00_916 = 
MAKE_PAIR(BgL_arg2663z00_918, BgL_arg2664z00_919); } 
{ /* ./Module/class.scm 333 */
obj_t BgL_arg2672z00_922;obj_t BgL_arg2673z00_923;
{ /* ./Module/class.scm 333 */
obj_t BgL_arg2676z00_924;obj_t BgL_arg2677z00_925;
BgL_arg2676z00_924 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg2677z00_925 = 
MAKE_PAIR(BgL_idz00_915, BNIL); 
BgL_arg2672z00_922 = 
MAKE_PAIR(BgL_arg2676z00_924, BgL_arg2677z00_925); } 
{ /* ./Module/class.scm 334 */
obj_t BgL_arg2681z00_926;obj_t BgL_arg2682z00_927;
{ /* ./Module/class.scm 334 */
obj_t BgL_list2685z00_928;
{ /* ./Module/class.scm 334 */
obj_t BgL_arg2687z00_929;
{ /* ./Module/class.scm 334 */
obj_t BgL_arg2690z00_930;obj_t BgL_arg2691z00_931;
BgL_arg2690z00_930 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg2691z00_931 = 
MAKE_PAIR(BgL_idz00_915, BNIL); 
BgL_arg2687z00_929 = 
MAKE_PAIR(BgL_arg2690z00_930, BgL_arg2691z00_931); } 
BgL_list2685z00_928 = 
MAKE_PAIR(BgL_classzd2idzd2_1839, BgL_arg2687z00_929); } 
BgL_arg2681z00_926 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2685z00_928); } 
{ /* ./Module/class.scm 335 */
obj_t BgL_arg2695z00_932;obj_t BgL_arg2696z00_933;
{ /* ./Module/class.scm 335 */
bool_t BgL_test2698z00_934;
BgL_test2698z00_934 = 
BGl_readzd2onlyzf3z21zzmodule_classz00(BgL_attz00_830); 
if(BgL_test2698z00_934)
{ /* ./Module/class.scm 335 */
BgL_arg2695z00_932 = BUNSPEC; }  else 
{ /* ./Module/class.scm 336 */
obj_t BgL_list2700z00_935;
{ /* ./Module/class.scm 336 */
obj_t BgL_arg2703z00_936;
{ /* ./Module/class.scm 336 */
obj_t BgL_arg2706z00_937;obj_t BgL_arg2707z00_938;
BgL_arg2706z00_937 = 
CNST_TABLE_REF(((long)23)); 
{ /* ./Module/class.scm 336 */
obj_t BgL_arg2710z00_939;
{ /* ./Module/class.scm 336 */
obj_t BgL_auxz00_2524;
BgL_auxz00_2524 = 
CNST_TABLE_REF(((long)24)); 
BgL_arg2710z00_939 = 
MAKE_PAIR(BgL_auxz00_2524, BNIL); } 
BgL_arg2707z00_938 = 
MAKE_PAIR(BgL_idz00_915, BgL_arg2710z00_939); } 
BgL_arg2703z00_936 = 
MAKE_PAIR(BgL_arg2706z00_937, BgL_arg2707z00_938); } 
BgL_list2700z00_935 = 
MAKE_PAIR(BgL_classzd2idzd2_1839, BgL_arg2703z00_936); } 
BgL_arg2695z00_932 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2700z00_935); } } 
{ /* ./Module/class.scm 339 */
obj_t BgL_arg2715z00_940;
{ /* ./Module/class.scm 339 */
bool_t BgL_arg2718z00_941;obj_t BgL_arg2719z00_942;
BgL_attrz00_962 = BgL_attz00_830; 
{ 
obj_t BgL_attrz00_964;
BgL_attrz00_964 = BgL_attrz00_962; 
BgL_loopz00_965:
if(
NULLP(BgL_attrz00_964))
{ /* ./Module/class.scm 291 */
BgL_arg2718z00_941 = ((bool_t)0); }  else 
{ /* ./Module/class.scm 293 */
bool_t BgL_testz00_2533;
{ /* ./Module/class.scm 293 */
bool_t BgL_testz00_2534;
{ /* ./Module/class.scm 293 */
obj_t BgL_auxz00_2535;
BgL_auxz00_2535 = 
CAR(BgL_attrz00_964); 
BgL_testz00_2534 = 
PAIRP(BgL_auxz00_2535); } 
if(BgL_testz00_2534)
{ /* ./Module/class.scm 293 */
obj_t BgL_auxz00_2542;obj_t BgL_auxz00_2538;
BgL_auxz00_2542 = 
CNST_TABLE_REF(((long)21)); 
{ /* ./Module/class.scm 293 */
obj_t BgL_auxz00_2539;
BgL_auxz00_2539 = 
CAR(BgL_attrz00_964); 
BgL_auxz00_2538 = 
CAR(BgL_auxz00_2539); } 
BgL_testz00_2533 = 
(BgL_auxz00_2538==BgL_auxz00_2542); }  else 
{ /* ./Module/class.scm 293 */
BgL_testz00_2533 = ((bool_t)0)
; } } 
if(BgL_testz00_2533)
{ /* ./Module/class.scm 293 */
BgL_arg2718z00_941 = ((bool_t)1); }  else 
{ /* ./Module/class.scm 293 */
{ 
obj_t BgL_attrz00_2545;
BgL_attrz00_2545 = 
CDR(BgL_attrz00_964); 
BgL_attrz00_964 = BgL_attrz00_2545; 
goto BgL_loopz00_965;} } } } 
{ /* ./Module/class.scm 340 */
obj_t BgL_arg2723z00_943;
BgL_arg2723z00_943 = 
BGl_findzd2infozd2attributez00zzmodule_classz00(BgL_slotz00_823); 
BgL_arg2719z00_942 = 
MAKE_PAIR(BgL_arg2723z00_943, BNIL); } 
{ /* ./Module/class.scm 332 */
obj_t BgL_auxz00_2549;
BgL_auxz00_2549 = 
BBOOL(BgL_arg2718z00_941); 
BgL_arg2715z00_940 = 
MAKE_PAIR(BgL_auxz00_2549, BgL_arg2719z00_942); } } 
BgL_arg2696z00_933 = 
MAKE_PAIR(BUNSPEC, BgL_arg2715z00_940); } 
BgL_arg2682z00_927 = 
MAKE_PAIR(BgL_arg2695z00_932, BgL_arg2696z00_933); } 
BgL_arg2673z00_923 = 
MAKE_PAIR(BgL_arg2681z00_926, BgL_arg2682z00_927); } 
BgL_arg2660z00_917 = 
MAKE_PAIR(BgL_arg2672z00_922, BgL_arg2673z00_923); } 
return 
MAKE_PAIR(BgL_arg2659z00_916, BgL_arg2660z00_917);} } }  else 
{ /* ./Module/class.scm 344 */
BgL_tagzd2195zd2_832:
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3334z00zzmodule_classz00, BGl_string3335z00zzmodule_classz00, BgL_slotz00_823);} } } } }  else 
{ /* ./Module/class.scm 344 */
obj_t BgL_carzd2225zd2_845;
BgL_carzd2225zd2_845 = 
CAR(BgL_slotz00_823); 
{ /* ./Module/class.scm 344 */
bool_t BgL_test2482z00_846;
BgL_test2482z00_846 = 
SYMBOLP(BgL_carzd2225zd2_845); 
if(BgL_test2482z00_846)
{ 
obj_t BgL_attz00_2562;obj_t BgL_idz00_2561;
BgL_idz00_2561 = BgL_carzd2225zd2_845; 
BgL_attz00_2562 = BgL_cdrzd2204zd2_836; 
BgL_attz00_830 = BgL_attz00_2562; 
BgL_idz00_829 = BgL_idz00_2561; 
goto BgL_tagzd2194zd2_831;}  else 
{ /* ./Module/class.scm 344 */
goto BgL_tagzd2195zd2_832;} } } }  else 
{ /* ./Module/class.scm 344 */
obj_t BgL_carzd2234zd2_848;
BgL_carzd2234zd2_848 = 
CAR(BgL_slotz00_823); 
{ /* ./Module/class.scm 344 */
bool_t BgL_test2491z00_849;
BgL_test2491z00_849 = 
SYMBOLP(BgL_carzd2234zd2_848); 
if(BgL_test2491z00_849)
{ 
obj_t BgL_attz00_2567;obj_t BgL_idz00_2566;
BgL_idz00_2566 = BgL_carzd2234zd2_848; 
BgL_attz00_2567 = BgL_cdrzd2204zd2_836; 
BgL_attz00_830 = BgL_attz00_2567; 
BgL_idz00_829 = BgL_idz00_2566; 
goto BgL_tagzd2194zd2_831;}  else 
{ /* ./Module/class.scm 344 */
goto BgL_tagzd2195zd2_832;} } } } }  else 
{ /* ./Module/class.scm 344 */
goto BgL_tagzd2195zd2_832;} } } } } } 
}



/* class-finalizer */
BGL_EXPORTED_DEF obj_t BGl_classzd2finaliza7erz75zzmodule_classz00()
{ AN_OBJECT;
{ /* ./Module/class.scm 357 */
{ /* ./Module/class.scm 359 */
bool_t BgL_test2794z00_986;
{ /* ./Module/class.scm 359 */
obj_t BgL_objz00_1449;
BgL_objz00_1449 = BGl_za2classzd2accessesza2zd2zzmodule_classz00; 
BgL_test2794z00_986 = 
NULLP(BgL_objz00_1449); } 
if(BgL_test2794z00_986)
{ /* ./Module/class.scm 359 */
return 
CNST_TABLE_REF(((long)27));}  else 
{ /* ./Module/class.scm 359 */
{ /* ./Module/class.scm 374 */
obj_t BgL_bodyz00_987;
BgL_bodyz00_987 = 
BGl_forcezd2classzd2accessesz00zzmodule_classz00(); 
{ /* ./Module/class.scm 374 */
obj_t BgL_bodyz00_988;
{ /* ./Module/class.scm 375 */
obj_t BgL_arg2840z00_1010;
BgL_arg2840z00_1010 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BGl_za2declaredzd2classesza2zd2zzmodule_classz00); 
BgL_bodyz00_988 = 
bgl_append2(BgL_arg2840z00_1010, BgL_bodyz00_987); } 
{ /* ./Module/class.scm 375 */
obj_t BgL_bodyz00_989;
{ /* ./Module/class.scm 376 */
bool_t BgL_test2810z00_996;
{ /* ./Module/class.scm 376 */
long BgL_n1z00_1450;
BgL_n1z00_1450 = 
(long)CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00); 
BgL_test2810z00_996 = 
(BgL_n1z00_1450>((long)0)); } 
if(BgL_test2810z00_996)
{ /* ./Module/class.scm 377 */
obj_t BgL_arg2812z00_997;
{ /* ./Module/class.scm 377 */
obj_t BgL_arg2816z00_999;obj_t BgL_arg2817z00_1000;
BgL_arg2816z00_999 = 
CNST_TABLE_REF(((long)28)); 
{ /* ./Module/class.scm 378 */
obj_t BgL_arg2820z00_1001;obj_t BgL_arg2821z00_1002;
{ /* ./Module/class.scm 378 */
obj_t BgL_arg2824z00_1003;obj_t BgL_arg2825z00_1004;
BgL_arg2824z00_1003 = 
CNST_TABLE_REF(((long)29)); 
{ /* ./Module/class.scm 379 */
obj_t BgL_arg2828z00_1005;
{ /* ./Module/class.scm 379 */
obj_t BgL_arg2833z00_1008;
{ /* ./Module/class.scm 380 */
obj_t BgL_symbolz00_1452;
BgL_symbolz00_1452 = BGl_za2moduleza2z00zzmodule_modulez00; 
BgL_arg2833z00_1008 = 
SYMBOL_TO_STRING(BgL_symbolz00_1452); } 
BgL_arg2828z00_1005 = 
string_append_3(BGl_string3336z00zzmodule_classz00, BgL_arg2833z00_1008, BGl_string3337z00zzmodule_classz00); } 
BgL_arg2825z00_1004 = 
MAKE_PAIR(BgL_arg2828z00_1005, BNIL); } 
BgL_arg2820z00_1001 = 
MAKE_PAIR(BgL_arg2824z00_1003, BgL_arg2825z00_1004); } 
BgL_arg2821z00_1002 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_bodyz00_988, BNIL); 
BgL_arg2817z00_1000 = 
MAKE_PAIR(BgL_arg2820z00_1001, BgL_arg2821z00_1002); } 
BgL_arg2812z00_997 = 
MAKE_PAIR(BgL_arg2816z00_999, BgL_arg2817z00_1000); } 
BgL_bodyz00_989 = 
MAKE_PAIR(BgL_arg2812z00_997, BNIL); }  else 
{ /* ./Module/class.scm 376 */
BgL_bodyz00_989 = BgL_bodyz00_988; } } 
{ /* ./Module/class.scm 376 */

{ /* ./Module/class.scm 384 */
obj_t BgL_arg2796z00_990;obj_t BgL_arg2799z00_992;
BgL_arg2796z00_990 = 
CNST_TABLE_REF(((long)30)); 
if(
PAIRP(BgL_bodyz00_989))
{ /* ./Module/class.scm 386 */
BgL_arg2799z00_992 = BgL_bodyz00_989; }  else 
{ /* ./Module/class.scm 386 */
BgL_arg2799z00_992 = 
CNST_TABLE_REF(((long)31)); } 
{ /* ./Module/class.scm 384 */
obj_t BgL_newz00_1458;
{ /* ./Module/class.scm 384 */
int BgL_auxz00_2593;obj_t BgL_auxz00_2591;
BgL_auxz00_2593 = 
(int)(((long)4)); 
BgL_auxz00_2591 = 
CNST_TABLE_REF(((long)32)); 
BgL_newz00_1458 = 
create_struct(BgL_auxz00_2591, BgL_auxz00_2593); } 
{ /* ./Module/class.scm 384 */
int BgL_kz00_1462;
BgL_kz00_1462 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1458, BgL_kz00_1462, BTRUE); } 
{ /* ./Module/class.scm 384 */
int BgL_kz00_1467;
BgL_kz00_1467 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1458, BgL_kz00_1467, BgL_arg2799z00_992); } 
{ /* ./Module/class.scm 384 */
int BgL_kz00_1472;obj_t BgL_oz00_1473;
BgL_kz00_1472 = 
(int)(((long)1)); 
BgL_oz00_1473 = 
BINT(((long)19)); 
STRUCT_SET(BgL_newz00_1458, BgL_kz00_1472, BgL_oz00_1473); } 
{ /* ./Module/class.scm 384 */
int BgL_kz00_1477;
BgL_kz00_1477 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1458, BgL_kz00_1477, BgL_arg2796z00_990); } 
BGl_za2objectzd2unitza2zd2zzmodule_classz00 = BgL_newz00_1458; } } 
{ /* ./Module/class.scm 394 */
obj_t BgL_idz00_1479;obj_t BgL_sexpza2za2_1481;
BgL_idz00_1479 = 
CNST_TABLE_REF(((long)33)); 
BgL_sexpza2za2_1481 = 
CNST_TABLE_REF(((long)31)); 
{ /* ./Module/class.scm 394 */
obj_t BgL_newz00_1483;
{ /* ./Module/class.scm 394 */
int BgL_auxz00_2609;obj_t BgL_auxz00_2607;
BgL_auxz00_2609 = 
(int)(((long)4)); 
BgL_auxz00_2607 = 
CNST_TABLE_REF(((long)32)); 
BgL_newz00_1483 = 
create_struct(BgL_auxz00_2607, BgL_auxz00_2609); } 
{ /* ./Module/class.scm 394 */
int BgL_kz00_1487;
BgL_kz00_1487 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1483, BgL_kz00_1487, BTRUE); } 
{ /* ./Module/class.scm 394 */
int BgL_kz00_1492;
BgL_kz00_1492 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1483, BgL_kz00_1492, BgL_sexpza2za2_1481); } 
{ /* ./Module/class.scm 394 */
int BgL_kz00_1497;obj_t BgL_oz00_1498;
BgL_kz00_1497 = 
(int)(((long)1)); 
BgL_oz00_1498 = 
BINT(((long)20)); 
STRUCT_SET(BgL_newz00_1483, BgL_kz00_1497, BgL_oz00_1498); } 
{ /* ./Module/class.scm 394 */
int BgL_kz00_1502;
BgL_kz00_1502 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1483, BgL_kz00_1502, BgL_idz00_1479); } 
BGl_za2methodzd2unitza2zd2zzmodule_classz00 = BgL_newz00_1483; } } 
{ /* ./Module/class.scm 400 */
obj_t BgL_list2805z00_994;
{ /* ./Module/class.scm 400 */
obj_t BgL_arg2807z00_995;
BgL_arg2807z00_995 = 
MAKE_PAIR(BGl_za2methodzd2unitza2zd2zzmodule_classz00, BNIL); 
BgL_list2805z00_994 = 
MAKE_PAIR(BGl_za2objectzd2unitza2zd2zzmodule_classz00, BgL_arg2807z00_995); } 
return BgL_list2805z00_994;} } } } } } } } 
}



/* _class-finalizer */
obj_t BGl__classzd2finaliza7erz75zzmodule_classz00(obj_t BgL_envz00_1837)
{ AN_OBJECT;
{ /* ./Module/class.scm 357 */
return 
BGl_classzd2finaliza7erz75zzmodule_classz00();} 
}



/* force-class-accesses */
obj_t BGl_forcezd2classzd2accessesz00zzmodule_classz00()
{ AN_OBJECT;
{ /* ./Module/class.scm 409 */
{ 
obj_t BgL_curz00_1011;obj_t BgL_nextz00_1012;obj_t BgL_accessz00_1013;
{ /* ./Module/class.scm 411 */
obj_t BgL_arg2846z00_1015;
BgL_arg2846z00_1015 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BGl_za2classzd2accessesza2zd2zzmodule_classz00); 
BgL_curz00_1011 = BgL_arg2846z00_1015; 
BgL_nextz00_1012 = BNIL; 
BgL_accessz00_1013 = BNIL; 
BgL_loopz00_1014:
{ /* ./Module/class.scm 414 */
bool_t BgL_test2852z00_1018;
BgL_test2852z00_1018 = 
NULLP(BgL_curz00_1011); 
if(BgL_test2852z00_1018)
{ /* ./Module/class.scm 415 */
bool_t BgL_test2853z00_1019;
BgL_test2853z00_1019 = 
NULLP(BgL_nextz00_1012); 
if(BgL_test2853z00_1019)
{ /* ./Module/class.scm 415 */
return BgL_accessz00_1013;}  else 
{ 
obj_t BgL_nextz00_2630;obj_t BgL_curz00_2629;
BgL_curz00_2629 = BgL_nextz00_1012; 
BgL_nextz00_2630 = BNIL; 
BgL_nextz00_1012 = BgL_nextz00_2630; 
BgL_curz00_1011 = BgL_curz00_2629; 
goto BgL_loopz00_1014;} }  else 
{ /* ./Module/class.scm 418 */
obj_t BgL_classz00_1020;
{ /* ./Module/class.scm 418 */
obj_t BgL_auxz00_2631;
BgL_auxz00_2631 = 
CAR(BgL_curz00_1011); 
BgL_classz00_1020 = 
CAR(BgL_auxz00_2631); } 
{ /* ./Module/class.scm 418 */
obj_t BgL_superz00_1021;
{ /* ./Module/class.scm 419 */
bool_t BgL_test2975z00_1065;
BgL_test2975z00_1065 = 
BGl_iszd2azf3z21zz__objectz00(BgL_classz00_1020, BGl_tclassz00zzobject_classz00); 
if(BgL_test2975z00_1065)
{ /* ./Module/class.scm 420 */
BgL_tclassz00_bglt BgL_obj1633z00_1511;
BgL_obj1633z00_1511 = 
(BgL_tclassz00_bglt)(BgL_classz00_1020); 
{ 
obj_t BgL_auxz00_2637;
{ /* ./Module/class.scm 420 */
BgL_objectz00_bglt BgL_auxz00_2638;
BgL_auxz00_2638 = 
(BgL_objectz00_bglt)(BgL_obj1633z00_1511); 
BgL_auxz00_2637 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2638); } 
BgL_superz00_1021 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2637))->BgL_itszd2superzd2); } }  else 
{ /* ./Module/class.scm 421 */
BgL_jclassz00_bglt BgL_obj1725z00_1512;
BgL_obj1725z00_1512 = 
(BgL_jclassz00_bglt)(BgL_classz00_1020); 
{ 
obj_t BgL_auxz00_2643;
{ /* ./Module/class.scm 421 */
BgL_objectz00_bglt BgL_auxz00_2644;
BgL_auxz00_2644 = 
(BgL_objectz00_bglt)(BgL_obj1725z00_1512); 
BgL_auxz00_2643 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2644); } 
BgL_superz00_1021 = 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_2643))->BgL_itszd2superzd2); } } } 
{ /* ./Module/class.scm 419 */

{ /* ./Module/class.scm 423 */
bool_t BgL_test2856z00_1022;
BgL_test2856z00_1022 = 
(BgL_superz00_1021==BgL_classz00_1020); 
if(BgL_test2856z00_1022)
{ /* ./Module/class.scm 423 */
{ /* ./Module/class.scm 425 */
obj_t BgL_arg2858z00_1023;obj_t BgL_arg2859z00_1024;
BgL_arg2858z00_1023 = 
CDR(BgL_curz00_1011); 
{ /* ./Module/class.scm 427 */
obj_t BgL_arg2863z00_1025;
{ /* ./Module/class.scm 427 */
obj_t BgL_arg2866z00_1026;
{ /* ./Module/class.scm 427 */
obj_t BgL_auxz00_2651;
BgL_auxz00_2651 = 
CAR(BgL_curz00_1011); 
BgL_arg2866z00_1026 = 
CDR(BgL_auxz00_2651); } 
BgL_arg2863z00_1025 = 
PROCEDURE_ENTRY(BgL_arg2866z00_1026)(BgL_arg2866z00_1026, BEOA); } 
BgL_arg2859z00_1024 = 
bgl_append2(BgL_arg2863z00_1025, BgL_accessz00_1013); } 
{ 
obj_t BgL_accessz00_2658;obj_t BgL_curz00_2657;
BgL_curz00_2657 = BgL_arg2858z00_1023; 
BgL_accessz00_2658 = BgL_arg2859z00_1024; 
BgL_accessz00_1013 = BgL_accessz00_2658; 
BgL_curz00_1011 = BgL_curz00_2657; 
goto BgL_loopz00_1014;} } }  else 
{ /* ./Module/class.scm 429 */
bool_t BgL_test2872z00_1028;
{ /* ./Module/class.scm 429 */
bool_t BgL_test2970z00_1063;
BgL_test2970z00_1063 = 
BGl_iszd2azf3z21zz__objectz00(BgL_classz00_1020, BGl_tclassz00zzobject_classz00); 
if(BgL_test2970z00_1063)
{ /* ./Module/class.scm 429 */
bool_t BgL_test2971z00_1064;
BgL_test2971z00_1064 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_1021, BGl_tclassz00zzobject_classz00); 
if(BgL_test2971z00_1064)
{ /* ./Module/class.scm 429 */
BgL_test2872z00_1028 = ((bool_t)0); }  else 
{ /* ./Module/class.scm 429 */
BgL_test2872z00_1028 = ((bool_t)1); } }  else 
{ /* ./Module/class.scm 429 */
BgL_test2872z00_1028 = ((bool_t)0); } } 
if(BgL_test2872z00_1028)
{ /* ./Module/class.scm 429 */
{ /* ./Module/class.scm 430 */
bool_t BgL_test2873z00_1029;
BgL_test2873z00_1029 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_1021, BGl_typez00zztype_typez00); 
if(BgL_test2873z00_1029)
{ /* ./Module/class.scm 430 */
{ /* ./Module/class.scm 434 */
BgL_tclassz00_bglt BgL_obj1638z00_1520;
BgL_obj1638z00_1520 = 
(BgL_tclassz00_bglt)(BgL_classz00_1020); 
{ 
obj_t BgL_auxz00_2667;
{ /* ./Module/class.scm 434 */
BgL_objectz00_bglt BgL_auxz00_2668;
BgL_auxz00_2668 = 
(BgL_objectz00_bglt)(BgL_obj1638z00_1520); 
BgL_auxz00_2667 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2668); } 
((((BgL_tclassz00_bglt)CREF(BgL_auxz00_2667))->BgL_slotsz00) = ((obj_t)BNIL), BUNSPEC); } } 
{ /* ./Module/class.scm 435 */
obj_t BgL_arg2876z00_1030;
BgL_arg2876z00_1030 = 
CDR(BgL_curz00_1011); 
{ 
obj_t BgL_curz00_2673;
BgL_curz00_2673 = BgL_arg2876z00_1030; 
BgL_curz00_1011 = BgL_curz00_2673; 
goto BgL_loopz00_1014;} } }  else 
{ /* ./Module/class.scm 438 */
obj_t BgL_arg2880z00_1031;obj_t BgL_arg2881z00_1032;
BgL_arg2880z00_1031 = 
CDR(BgL_curz00_1011); 
{ /* ./Module/class.scm 440 */
obj_t BgL_arg2885z00_1033;
{ /* ./Module/class.scm 440 */
obj_t BgL_arg2888z00_1034;
{ /* ./Module/class.scm 440 */
obj_t BgL_auxz00_2675;
BgL_auxz00_2675 = 
CAR(BgL_curz00_1011); 
BgL_arg2888z00_1034 = 
CDR(BgL_auxz00_2675); } 
BgL_arg2885z00_1033 = 
PROCEDURE_ENTRY(BgL_arg2888z00_1034)(BgL_arg2888z00_1034, BEOA); } 
BgL_arg2881z00_1032 = 
bgl_append2(BgL_arg2885z00_1033, BgL_accessz00_1013); } 
{ 
obj_t BgL_accessz00_2682;obj_t BgL_curz00_2681;
BgL_curz00_2681 = BgL_arg2880z00_1031; 
BgL_accessz00_2682 = BgL_arg2881z00_1032; 
BgL_accessz00_1013 = BgL_accessz00_2682; 
BgL_curz00_1011 = BgL_curz00_2681; 
goto BgL_loopz00_1014;} } } }  else 
{ /* ./Module/class.scm 442 */
bool_t BgL_test2895z00_1036;
{ /* ./Module/class.scm 442 */
bool_t BgL_test2966z00_1061;
BgL_test2966z00_1061 = 
BGl_iszd2azf3z21zz__objectz00(BgL_classz00_1020, BGl_jclassz00zzobject_classz00); 
if(BgL_test2966z00_1061)
{ /* ./Module/class.scm 442 */
bool_t BgL_test2967z00_1062;
BgL_test2967z00_1062 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_1021, BGl_jclassz00zzobject_classz00); 
if(BgL_test2967z00_1062)
{ /* ./Module/class.scm 442 */
BgL_test2895z00_1036 = ((bool_t)0); }  else 
{ /* ./Module/class.scm 442 */
BgL_test2895z00_1036 = ((bool_t)1); } }  else 
{ /* ./Module/class.scm 442 */
BgL_test2895z00_1036 = ((bool_t)0); } } 
if(BgL_test2895z00_1036)
{ /* ./Module/class.scm 442 */
{ /* ./Module/class.scm 443 */
bool_t BgL_test2896z00_1037;
BgL_test2896z00_1037 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_1021, BGl_typez00zztype_typez00); 
if(BgL_test2896z00_1037)
{ /* ./Module/class.scm 443 */
{ /* ./Module/class.scm 447 */
BgL_jclassz00_bglt BgL_obj1730z00_1530;
BgL_obj1730z00_1530 = 
(BgL_jclassz00_bglt)(BgL_classz00_1020); 
{ 
obj_t BgL_auxz00_2691;
{ /* ./Module/class.scm 447 */
BgL_objectz00_bglt BgL_auxz00_2692;
BgL_auxz00_2692 = 
(BgL_objectz00_bglt)(BgL_obj1730z00_1530); 
BgL_auxz00_2691 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2692); } 
((((BgL_jclassz00_bglt)CREF(BgL_auxz00_2691))->BgL_slotsz00) = ((obj_t)BNIL), BUNSPEC); } } 
{ /* ./Module/class.scm 448 */
obj_t BgL_arg2899z00_1038;
BgL_arg2899z00_1038 = 
CDR(BgL_curz00_1011); 
{ 
obj_t BgL_curz00_2697;
BgL_curz00_2697 = BgL_arg2899z00_1038; 
BgL_curz00_1011 = BgL_curz00_2697; 
goto BgL_loopz00_1014;} } }  else 
{ /* ./Module/class.scm 451 */
obj_t BgL_arg2903z00_1039;obj_t BgL_arg2904z00_1040;
BgL_arg2903z00_1039 = 
CDR(BgL_curz00_1011); 
{ /* ./Module/class.scm 453 */
obj_t BgL_arg2908z00_1041;
{ /* ./Module/class.scm 453 */
obj_t BgL_arg2911z00_1042;
{ /* ./Module/class.scm 453 */
obj_t BgL_auxz00_2699;
BgL_auxz00_2699 = 
CAR(BgL_curz00_1011); 
BgL_arg2911z00_1042 = 
CDR(BgL_auxz00_2699); } 
BgL_arg2908z00_1041 = 
PROCEDURE_ENTRY(BgL_arg2911z00_1042)(BgL_arg2911z00_1042, BEOA); } 
BgL_arg2904z00_1040 = 
bgl_append2(BgL_arg2908z00_1041, BgL_accessz00_1013); } 
{ 
obj_t BgL_accessz00_2706;obj_t BgL_curz00_2705;
BgL_curz00_2705 = BgL_arg2903z00_1039; 
BgL_accessz00_2706 = BgL_arg2904z00_1040; 
BgL_accessz00_1013 = BgL_accessz00_2706; 
BgL_curz00_1011 = BgL_curz00_2705; 
goto BgL_loopz00_1014;} } } }  else 
{ /* ./Module/class.scm 455 */
bool_t BgL_test2918z00_1044;
{ /* ./Module/class.scm 455 */
bool_t BgL_test2960z00_1059;
BgL_test2960z00_1059 = 
BGl_iszd2azf3z21zz__objectz00(BgL_classz00_1020, BGl_tclassz00zzobject_classz00); 
if(BgL_test2960z00_1059)
{ /* ./Module/class.scm 455 */
obj_t BgL_auxz00_2709;
{ /* ./Module/class.scm 455 */
BgL_tclassz00_bglt BgL_obj1636z00_1538;
BgL_obj1636z00_1538 = 
(BgL_tclassz00_bglt)(BgL_superz00_1021); 
{ 
obj_t BgL_auxz00_2711;
{ /* ./Module/class.scm 455 */
BgL_objectz00_bglt BgL_auxz00_2712;
BgL_auxz00_2712 = 
(BgL_objectz00_bglt)(BgL_obj1636z00_1538); 
BgL_auxz00_2711 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2712); } 
BgL_auxz00_2709 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2711))->BgL_slotsz00); } } 
BgL_test2918z00_1044 = 
(BgL_auxz00_2709==BUNSPEC); }  else 
{ /* ./Module/class.scm 455 */
BgL_test2918z00_1044 = ((bool_t)0); } } 
if(BgL_test2918z00_1044)
{ /* ./Module/class.scm 455 */
{ /* ./Module/class.scm 457 */
obj_t BgL_arg2920z00_1045;obj_t BgL_arg2921z00_1046;
BgL_arg2920z00_1045 = 
CDR(BgL_curz00_1011); 
{ /* ./Module/class.scm 458 */
obj_t BgL_arg2925z00_1047;
BgL_arg2925z00_1047 = 
CAR(BgL_curz00_1011); 
BgL_arg2921z00_1046 = 
MAKE_PAIR(BgL_arg2925z00_1047, BgL_nextz00_1012); } 
{ 
obj_t BgL_nextz00_2722;obj_t BgL_curz00_2721;
BgL_curz00_2721 = BgL_arg2920z00_1045; 
BgL_nextz00_2722 = BgL_arg2921z00_1046; 
BgL_nextz00_1012 = BgL_nextz00_2722; 
BgL_curz00_1011 = BgL_curz00_2721; 
goto BgL_loopz00_1014;} } }  else 
{ /* ./Module/class.scm 460 */
bool_t BgL_test2928z00_1048;
{ /* ./Module/class.scm 460 */
bool_t BgL_test2954z00_1057;
BgL_test2954z00_1057 = 
BGl_iszd2azf3z21zz__objectz00(BgL_classz00_1020, BGl_jclassz00zzobject_classz00); 
if(BgL_test2954z00_1057)
{ /* ./Module/class.scm 460 */
obj_t BgL_auxz00_2725;
{ /* ./Module/class.scm 460 */
BgL_jclassz00_bglt BgL_obj1728z00_1542;
BgL_obj1728z00_1542 = 
(BgL_jclassz00_bglt)(BgL_superz00_1021); 
{ 
obj_t BgL_auxz00_2727;
{ /* ./Module/class.scm 460 */
BgL_objectz00_bglt BgL_auxz00_2728;
BgL_auxz00_2728 = 
(BgL_objectz00_bglt)(BgL_obj1728z00_1542); 
BgL_auxz00_2727 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2728); } 
BgL_auxz00_2725 = 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_2727))->BgL_slotsz00); } } 
BgL_test2928z00_1048 = 
(BgL_auxz00_2725==BUNSPEC); }  else 
{ /* ./Module/class.scm 460 */
BgL_test2928z00_1048 = ((bool_t)0); } } 
if(BgL_test2928z00_1048)
{ /* ./Module/class.scm 460 */
{ /* ./Module/class.scm 462 */
obj_t BgL_arg2930z00_1049;obj_t BgL_arg2931z00_1050;
BgL_arg2930z00_1049 = 
CDR(BgL_curz00_1011); 
{ /* ./Module/class.scm 463 */
obj_t BgL_arg2935z00_1051;
BgL_arg2935z00_1051 = 
CAR(BgL_curz00_1011); 
BgL_arg2931z00_1050 = 
MAKE_PAIR(BgL_arg2935z00_1051, BgL_nextz00_1012); } 
{ 
obj_t BgL_nextz00_2738;obj_t BgL_curz00_2737;
BgL_curz00_2737 = BgL_arg2930z00_1049; 
BgL_nextz00_2738 = BgL_arg2931z00_1050; 
BgL_nextz00_1012 = BgL_nextz00_2738; 
BgL_curz00_1011 = BgL_curz00_2737; 
goto BgL_loopz00_1014;} } }  else 
{ /* ./Module/class.scm 460 */
{ /* ./Module/class.scm 467 */
obj_t BgL_arg2939z00_1052;obj_t BgL_arg2940z00_1053;
BgL_arg2939z00_1052 = 
CDR(BgL_curz00_1011); 
{ /* ./Module/class.scm 469 */
obj_t BgL_arg2944z00_1054;
{ /* ./Module/class.scm 469 */
obj_t BgL_arg2948z00_1055;
{ /* ./Module/class.scm 469 */
obj_t BgL_auxz00_2740;
BgL_auxz00_2740 = 
CAR(BgL_curz00_1011); 
BgL_arg2948z00_1055 = 
CDR(BgL_auxz00_2740); } 
BgL_arg2944z00_1054 = 
PROCEDURE_ENTRY(BgL_arg2948z00_1055)(BgL_arg2948z00_1055, BEOA); } 
BgL_arg2940z00_1053 = 
bgl_append2(BgL_arg2944z00_1054, BgL_accessz00_1013); } 
{ 
obj_t BgL_accessz00_2747;obj_t BgL_curz00_2746;
BgL_curz00_2746 = BgL_arg2939z00_1052; 
BgL_accessz00_2747 = BgL_arg2940z00_1053; 
BgL_accessz00_1013 = BgL_accessz00_2747; 
BgL_curz00_1011 = BgL_curz00_2746; 
goto BgL_loopz00_1014;} } } } } } } } } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_classz00()
{ AN_OBJECT;
{ /* ./Module/class.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_classz00()
{ AN_OBJECT;
{ /* ./Module/class.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "module_class"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "module_class"); 
BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long)12782), "module_class"); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)1783), "module_class"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "module_class"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "module_class"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "module_class"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "module_class"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "module_class"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "module_class"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "module_class"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "module_class"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "module_class"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)23064), "module_class"); 
BGl_modulezd2initializa7ationz75zzobject_plainzd2accesszd2(((long)39347), "module_class"); 
return 
BGl_modulezd2initializa7ationz75zzobject_widezd2accesszd2(((long)47051), "module_class");} 
}

