/*===========================================================================*/
/*   (Read/inline.scm)                                                       */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Read/inline.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzread_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_inlinezd2finaliza7erz75zzread_inlinez00();
extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzread_inlinez00();
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl__inlinezd2finaliza7erz75zzread_inlinez00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
static obj_t BGl__lookzd2forzd2inlinez00zzread_inlinez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
static obj_t BGl_loopz00zzread_inlinez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t create_struct(obj_t, int);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_zc3exitza31665ze3z83zzread_inlinez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzread_inlinez00();
BGL_IMPORT obj_t close_input_port(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzread_inlinez00();
static obj_t BGl_requirezd2initializa7ationz75zzread_inlinez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_za2loadzd2pathza2zd2zz__evalz00;
static obj_t BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_lookzd2forzd2inlinez00zzread_inlinez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzread_inlinez00();
static obj_t BGl_lookzd2forzd2inlinezf2expzf2zzread_inlinez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzread_inlinez00();
static obj_t __cnst[ 7 ] ;


DEFINE_STRING( BGl_string1946z00zzread_inlinez00, BgL_bgl_string1946za700za7za7read_inlineza7001978z00, "unit imported-inlines begin define-inline @ sifun done ", 55 );
DEFINE_STRING( BGl_string1945z00zzread_inlinez00, BgL_bgl_string1945za700za7za7read_inlineza7001979z00, "Can't find file", 15 );
DEFINE_STRING( BGl_string1944z00zzread_inlinez00, BgL_bgl_string1944za700za7za7read_inlineza7001980z00, "Can't find inline/generic definition(s)", 39 );
DEFINE_STRING( BGl_string1943z00zzread_inlinez00, BgL_bgl_string1943za700za7za7read_inlineza7001981z00, "import", 6 );
DEFINE_EXPORT_PROCEDURE( BGl_inlinezd2finaliza7erzd2envza7zzread_inlinez00, BgL_bgl__inlineza7d2finaliza7a7erza775za7za7read_inlineza7001982z00, BGl__inlinezd2finaliza7erz75zzread_inlinez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_lookzd2forzd2inlinezd2envzd2zzread_inlinez00, BgL_bgl__lookza7d2forza7d2inlineza700za7za7read_inlineza7001983z00, BGl__lookzd2forzd2inlinez00zzread_inlinez00, 0L, 5 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzread_inlinez00(long BgL_checksumz00_864, char * BgL_fromz00_865)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzread_inlinez00))
{ 
BGl_requirezd2initializa7ationz75zzread_inlinez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzread_inlinez00(); 
BGl_cnstzd2initzd2zzread_inlinez00(); 
BGl_importedzd2moduleszd2initz00zzread_inlinez00(); 
BGl_toplevelzd2initzd2zzread_inlinez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzread_inlinez00()
{ AN_OBJECT;
{ /* ./Read/inline.scm 15 */
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "read_inline"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "read_inline"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "read_inline"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "read_inline"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "read_inline"); 
BGl_modulezd2initializa7ationz75zz__evalz00(((long)0), "read_inline"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzread_inlinez00()
{ AN_OBJECT;
{ /* ./Read/inline.scm 15 */
{ /* ./Read/inline.scm 15 */
obj_t BgL_cportz00_857;
BgL_cportz00_857 = 
open_input_string(BGl_string1946z00zzread_inlinez00); 
{ 
long BgL_iz00_858;
BgL_iz00_858 = ((long)6); 
BgL_loopz00_859:
{ /* ./Read/inline.scm 15 */
bool_t BgL_test1948z00_860;
BgL_test1948z00_860 = 
(BgL_iz00_858==((long)-1)); 
if(BgL_test1948z00_860)
{ /* ./Read/inline.scm 15 */
return BUNSPEC;}  else 
{ /* ./Read/inline.scm 15 */
{ /* ./Read/inline.scm 15 */
obj_t BgL_arg1952z00_861;
{ /* ./Read/inline.scm 15 */
obj_t BgL_list1955z00_862;
BgL_list1955z00_862 = 
MAKE_PAIR(BgL_cportz00_857, BNIL); 
BgL_arg1952z00_861 = 
BGl_readz00zz__readerz00(BgL_list1955z00_862); } 
{ /* ./Read/inline.scm 15 */
int BgL_auxz00_884;
BgL_auxz00_884 = 
(int)(BgL_iz00_858); 
CNST_TABLE_SET(BgL_auxz00_884, BgL_arg1952z00_861); } } 
{ /* ./Read/inline.scm 15 */
int BgL_auxz00_863;
{ /* ./Read/inline.scm 15 */
long BgL_auxz00_887;
BgL_auxz00_887 = 
(BgL_iz00_858-((long)1)); 
BgL_auxz00_863 = 
(int)(BgL_auxz00_887); } 
{ 
long BgL_iz00_890;
BgL_iz00_890 = 
(long)(BgL_auxz00_863); 
BgL_iz00_858 = BgL_iz00_890; 
goto BgL_loopz00_859;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzread_inlinez00()
{ AN_OBJECT;
{ /* ./Read/inline.scm 15 */
return ( 
BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00 = BNIL, BUNSPEC) ;} 
}



/* look-for-inline */
BGL_EXPORTED_DEF obj_t BGl_lookzd2forzd2inlinez00zzread_inlinez00(obj_t BgL_inlinesz00_19, obj_t BgL_codez00_20, obj_t BgL_portz00_21, obj_t BgL_fnamesz00_22, obj_t BgL_modulez00_23)
{ AN_OBJECT;
{ /* ./Read/inline.scm 35 */
{ /* ./Read/inline.scm 36 */
obj_t BgL_arg1602z00_381;obj_t BgL_arg1603z00_382;
BgL_arg1602z00_381 = 
BGl_lookzd2forzd2inlinezf2expzf2zzread_inlinez00(BgL_inlinesz00_19, BgL_codez00_20, BgL_modulez00_23); 
{ /* ./Read/inline.scm 37 */
obj_t BgL_list1607z00_383;
{ /* ./Read/inline.scm 37 */
obj_t BgL_arg1609z00_384;
BgL_arg1609z00_384 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list1607z00_383 = 
MAKE_PAIR(BgL_portz00_21, BgL_arg1609z00_384); } 
BgL_arg1603z00_382 = 
BGl_compilerzd2readzd2zzread_readerz00(BgL_list1607z00_383); } 
return 
BGl_loopz00zzread_inlinez00(BgL_modulez00_23, BgL_arg1602z00_381, BgL_arg1603z00_382, BgL_fnamesz00_22, BgL_portz00_21);} } 
}



/* loop */
obj_t BGl_loopz00zzread_inlinez00(obj_t BgL_modulez00_851, obj_t BgL_inlinesz00_376, obj_t BgL_expz00_377, obj_t BgL_fnamesz00_378, obj_t BgL_portz00_379)
{ AN_OBJECT;
{ /* ./Read/inline.scm 36 */
BGl_loopz00zzread_inlinez00:
{ /* ./Read/inline.scm 41 */
bool_t BgL_test1612z00_385;
BgL_test1612z00_385 = 
NULLP(BgL_inlinesz00_376); 
if(BgL_test1612z00_385)
{ /* ./Read/inline.scm 41 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* ./Read/inline.scm 43 */
bool_t BgL_test1613z00_386;
BgL_test1613z00_386 = 
EOF_OBJECTP(BgL_expz00_377); 
if(BgL_test1613z00_386)
{ /* ./Read/inline.scm 43 */
{ /* ./Read/inline.scm 44 */
bool_t BgL_test1614z00_387;
BgL_test1614z00_387 = 
NULLP(BgL_fnamesz00_378); 
if(BgL_test1614z00_387)
{ /* ./Read/inline.scm 45 */
obj_t BgL_arg1618z00_390;
{ /* ./Read/inline.scm 47 */
bool_t BgL_test1621z00_393;
BgL_test1621z00_393 = 
NULLP(BgL_inlinesz00_376); 
if(BgL_test1621z00_393)
{ /* ./Read/inline.scm 47 */
BgL_arg1618z00_390 = BNIL; }  else 
{ /* ./Read/inline.scm 47 */
obj_t BgL_head1551z00_394;
{ /* ./Read/inline.scm 47 */
obj_t BgL_arg1643z00_405;
{ /* ./Read/inline.scm 47 */
obj_t BgL_auxz00_906;
BgL_auxz00_906 = 
CAR(BgL_inlinesz00_376); 
BgL_arg1643z00_405 = 
CAR(BgL_auxz00_906); } 
BgL_head1551z00_394 = 
MAKE_PAIR(BgL_arg1643z00_405, BNIL); } 
{ 
obj_t BgL_l1549z00_395;obj_t BgL_tail1552z00_396;
{ /* ./Read/inline.scm 47 */
obj_t BgL_arg1623z00_398;
BgL_arg1623z00_398 = 
CDR(BgL_inlinesz00_376); 
BgL_l1549z00_395 = BgL_arg1623z00_398; 
BgL_tail1552z00_396 = BgL_head1551z00_394; 
BgL_map1550z00_397:
{ /* ./Read/inline.scm 47 */
bool_t BgL_test1626z00_399;
BgL_test1626z00_399 = 
NULLP(BgL_l1549z00_395); 
if(BgL_test1626z00_399)
{ /* ./Read/inline.scm 47 */
BgL_arg1618z00_390 = BgL_head1551z00_394; }  else 
{ /* ./Read/inline.scm 47 */
obj_t BgL_newtail1553z00_400;
{ /* ./Read/inline.scm 47 */
obj_t BgL_arg1634z00_402;
{ /* ./Read/inline.scm 47 */
obj_t BgL_auxz00_913;
BgL_auxz00_913 = 
CAR(BgL_l1549z00_395); 
BgL_arg1634z00_402 = 
CAR(BgL_auxz00_913); } 
BgL_newtail1553z00_400 = 
MAKE_PAIR(BgL_arg1634z00_402, BNIL); } 
SET_CDR(BgL_tail1552z00_396, BgL_newtail1553z00_400); 
{ /* ./Read/inline.scm 47 */
obj_t BgL_arg1630z00_401;
BgL_arg1630z00_401 = 
CDR(BgL_l1549z00_395); 
{ 
obj_t BgL_tail1552z00_920;obj_t BgL_l1549z00_919;
BgL_l1549z00_919 = BgL_arg1630z00_401; 
BgL_tail1552z00_920 = BgL_newtail1553z00_400; 
BgL_tail1552z00_396 = BgL_tail1552z00_920; 
BgL_l1549z00_395 = BgL_l1549z00_919; 
goto BgL_map1550z00_397;} } } } } } } } 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1943z00zzread_inlinez00, BGl_string1944z00zzread_inlinez00, BgL_arg1618z00_390, BNIL);}  else 
{ /* ./Read/inline.scm 48 */
obj_t BgL_fnamez00_408;
{ /* ./Read/inline.scm 48 */
obj_t BgL_arg1692z00_428;
BgL_arg1692z00_428 = 
CAR(BgL_fnamesz00_378); 
BgL_fnamez00_408 = 
BGl_findzd2filezf2pathz20zz__osz00(BgL_arg1692z00_428, BGl_za2loadzd2pathza2zd2zz__evalz00); } 
{ /* ./Read/inline.scm 49 */
bool_t BgL_test1653z00_409;
BgL_test1653z00_409 = 
STRINGP(BgL_fnamez00_408); 
if(BgL_test1653z00_409)
{ /* ./Read/inline.scm 51 */
obj_t BgL_portz00_410;
BgL_portz00_410 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_408, BNIL); 
{ /* ./Read/inline.scm 52 */
obj_t BgL_val1554z00_411;
BgL_val1554z00_411 = 
BGl_zc3exitza31665ze3z83zzread_inlinez00(BgL_inlinesz00_376, BgL_fnamesz00_378, BgL_portz00_410, BgL_modulez00_851); 
{ /* ./Read/inline.scm 56 */
bool_t BgL_test1654z00_412;
BgL_test1654z00_412 = 
INPUT_PORTP(BgL_portz00_410); 
if(BgL_test1654z00_412)
{ /* ./Read/inline.scm 56 */
close_input_port(BgL_portz00_410); }  else 
{ /* ./Read/inline.scm 56 */BFALSE; } } 
{ /* ./Read/inline.scm 56 */
bool_t BgL_test1657z00_413;
{ /* ./Read/inline.scm 56 */
obj_t BgL_auxz00_931;
BgL_auxz00_931 = 
BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(BgL_val1554z00_411); 
BgL_test1657z00_413 = 
CBOOL(BgL_auxz00_931); } 
if(BgL_test1657z00_413)
{ /* ./Read/inline.scm 56 */
obj_t BgL_arg1659z00_414;obj_t BgL_arg1660z00_415;
BgL_arg1659z00_414 = 
CAR(BgL_val1554z00_411); 
BgL_arg1660z00_415 = 
CDR(BgL_val1554z00_411); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_arg1659z00_414, BgL_arg1660z00_415);}  else 
{ /* ./Read/inline.scm 56 */
return BgL_val1554z00_411;} } } }  else 
{ /* ./Read/inline.scm 50 */
obj_t BgL_arg1686z00_426;
BgL_arg1686z00_426 = 
CAR(BgL_fnamesz00_378); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1943z00zzread_inlinez00, BGl_string1945z00zzread_inlinez00, BgL_arg1686z00_426, BNIL);} } } } }  else 
{ /* ./Read/inline.scm 43 */
{ /* ./Read/inline.scm 59 */
obj_t BgL_arg1698z00_429;obj_t BgL_arg1699z00_430;
BgL_arg1698z00_429 = 
BGl_lookzd2forzd2inlinezf2expzf2zzread_inlinez00(BgL_inlinesz00_376, BgL_expz00_377, BgL_modulez00_851); 
{ /* ./Read/inline.scm 60 */
obj_t BgL_list1703z00_431;
{ /* ./Read/inline.scm 60 */
obj_t BgL_arg1705z00_432;
BgL_arg1705z00_432 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list1703z00_431 = 
MAKE_PAIR(BgL_portz00_379, BgL_arg1705z00_432); } 
BgL_arg1699z00_430 = 
BGl_compilerzd2readzd2zzread_readerz00(BgL_list1703z00_431); } 
{ 
obj_t BgL_expz00_945;obj_t BgL_inlinesz00_944;
BgL_inlinesz00_944 = BgL_arg1698z00_429; 
BgL_expz00_945 = BgL_arg1699z00_430; 
BgL_expz00_377 = BgL_expz00_945; 
BgL_inlinesz00_376 = BgL_inlinesz00_944; 
goto BGl_loopz00zzread_inlinez00;} } } } } } 
}



/* <exit:1665> */
obj_t BGl_zc3exitza31665ze3z83zzread_inlinez00(obj_t BgL_inlinesz00_855, obj_t BgL_fnamesz00_854, obj_t BgL_portz00_853, obj_t BgL_modulez00_852)
{ AN_OBJECT;
{ /* ./Read/inline.scm 56 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1555z00_417;
if( SET_EXIT(BgL_an_exit1555z00_417) ) { 
return 
_exit_value_;
} else {
BgL_an_exit1555z00_417 = 
(obj_t)jmpbuf; 
{ /* ./Read/inline.scm 56 */

PUSH_EXIT(BgL_an_exit1555z00_417, ((bool_t)0)); 
{ /* ./Read/inline.scm 53 */
obj_t BgL_val1556z00_418;
{ /* ./Read/inline.scm 53 */
obj_t BgL_arg1670z00_419;obj_t BgL_arg1672z00_420;
{ /* ./Read/inline.scm 53 */
obj_t BgL_list1675z00_421;
{ /* ./Read/inline.scm 53 */
obj_t BgL_arg1677z00_422;
BgL_arg1677z00_422 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list1675z00_421 = 
MAKE_PAIR(BgL_portz00_853, BgL_arg1677z00_422); } 
BgL_arg1670z00_419 = 
BGl_compilerzd2readzd2zzread_readerz00(BgL_list1675z00_421); } 
BgL_arg1672z00_420 = 
CDR(BgL_fnamesz00_854); 
BgL_val1556z00_418 = 
BGl_loopz00zzread_inlinez00(BgL_modulez00_852, BgL_inlinesz00_855, BgL_arg1670z00_419, BgL_arg1672z00_420, BgL_portz00_853); } 
POP_EXIT(); 
return BgL_val1556z00_418;} } 
} } 
}



/* _look-for-inline */
obj_t BGl__lookzd2forzd2inlinez00zzread_inlinez00(obj_t BgL_envz00_844, obj_t BgL_inlinesz00_845, obj_t BgL_codez00_846, obj_t BgL_portz00_847, obj_t BgL_fnamesz00_848, obj_t BgL_modulez00_849)
{ AN_OBJECT;
{ /* ./Read/inline.scm 35 */
return 
BGl_lookzd2forzd2inlinez00zzread_inlinez00(BgL_inlinesz00_845, BgL_codez00_846, BgL_portz00_847, BgL_fnamesz00_848, BgL_modulez00_849);} 
}



/* look-for-inline/exp */
obj_t BGl_lookzd2forzd2inlinezf2expzf2zzread_inlinez00(obj_t BgL_inlinesz00_24, obj_t BgL_expz00_25, obj_t BgL_modulez00_26)
{ AN_OBJECT;
{ /* ./Read/inline.scm 67 */
{ /* ./Read/inline.scm 68 */
bool_t BgL_test1710z00_433;
BgL_test1710z00_433 = 
NULLP(BgL_inlinesz00_24); 
if(BgL_test1710z00_433)
{ /* ./Read/inline.scm 68 */
return BNIL;}  else 
{ 
obj_t BgL_expza2za2_438;obj_t BgL_protoz00_434;obj_t BgL_namez00_435;obj_t BgL_bodyz00_436;
{ /* ./Read/inline.scm 70 */
bool_t BgL_test1711z00_442;
BgL_test1711z00_442 = 
PAIRP(BgL_expz00_25); 
if(BgL_test1711z00_442)
{ /* ./Read/inline.scm 70 */
obj_t BgL_cdrzd2132zd2_443;
BgL_cdrzd2132zd2_443 = 
CDR(BgL_expz00_25); 
{ /* ./Read/inline.scm 70 */
bool_t BgL_test1712z00_444;
{ /* ./Read/inline.scm 70 */
obj_t BgL_auxz00_963;obj_t BgL_auxz00_961;
BgL_auxz00_963 = 
CNST_TABLE_REF(((long)3)); 
BgL_auxz00_961 = 
CAR(BgL_expz00_25); 
BgL_test1712z00_444 = 
(BgL_auxz00_961==BgL_auxz00_963); } 
if(BgL_test1712z00_444)
{ /* ./Read/inline.scm 70 */
bool_t BgL_test1714z00_445;
BgL_test1714z00_445 = 
PAIRP(BgL_cdrzd2132zd2_443); 
if(BgL_test1714z00_445)
{ /* ./Read/inline.scm 70 */
obj_t BgL_carzd2136zd2_446;
BgL_carzd2136zd2_446 = 
CAR(BgL_cdrzd2132zd2_443); 
{ /* ./Read/inline.scm 70 */
bool_t BgL_test1716z00_447;
BgL_test1716z00_447 = 
PAIRP(BgL_carzd2136zd2_446); 
if(BgL_test1716z00_447)
{ /* ./Read/inline.scm 70 */
obj_t BgL_arg1718z00_448;obj_t BgL_arg1719z00_449;
BgL_arg1718z00_448 = 
CAR(BgL_carzd2136zd2_446); 
BgL_arg1719z00_449 = 
CDR(BgL_cdrzd2132zd2_443); 
BgL_protoz00_434 = BgL_carzd2136zd2_446; 
BgL_namez00_435 = BgL_arg1718z00_448; 
BgL_bodyz00_436 = BgL_arg1719z00_449; 
{ /* ./Read/inline.scm 72 */
obj_t BgL_idz00_456;
{ /* ./Read/inline.scm 72 */
obj_t BgL_arg1780z00_466;
BgL_arg1780z00_466 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_expz00_25); 
BgL_idz00_456 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_namez00_435, BgL_arg1780z00_466); } 
{ /* ./Read/inline.scm 72 */
obj_t BgL_cellz00_457;
BgL_cellz00_457 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_456, BgL_inlinesz00_24); 
{ /* ./Read/inline.scm 73 */

{ /* ./Read/inline.scm 74 */
bool_t BgL_test1752z00_458;
if(
PAIRP(BgL_cellz00_457))
{ /* ./Read/inline.scm 74 */
obj_t BgL_auxz00_981;obj_t BgL_auxz00_979;
BgL_auxz00_981 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_979 = 
CDR(BgL_cellz00_457); 
BgL_test1752z00_458 = 
(BgL_auxz00_979==BgL_auxz00_981); }  else 
{ /* ./Read/inline.scm 74 */
BgL_test1752z00_458 = ((bool_t)0); } 
if(BgL_test1752z00_458)
{ /* ./Read/inline.scm 74 */
{ /* ./Read/inline.scm 76 */
obj_t BgL_arg1756z00_459;
{ /* ./Read/inline.scm 76 */
obj_t BgL_arg1759z00_460;obj_t BgL_arg1761z00_461;
BgL_arg1759z00_460 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Read/inline.scm 76 */
obj_t BgL_arg1766z00_462;
BgL_arg1766z00_462 = 
MAKE_PAIR(BgL_modulez00_26, BNIL); 
BgL_arg1761z00_461 = 
MAKE_PAIR(BgL_idz00_456, BgL_arg1766z00_462); } 
BgL_arg1756z00_459 = 
MAKE_PAIR(BgL_arg1759z00_460, BgL_arg1761z00_461); } 
SET_CAR(BgL_protoz00_434, BgL_arg1756z00_459); } 
BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00 = 
MAKE_PAIR(BgL_expz00_25, BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00); 
return 
BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(BgL_cellz00_457, BgL_inlinesz00_24);}  else 
{ /* ./Read/inline.scm 74 */
return BgL_inlinesz00_24;} } } } } }  else 
{ /* ./Read/inline.scm 70 */
return BgL_inlinesz00_24;} } }  else 
{ /* ./Read/inline.scm 70 */
return BgL_inlinesz00_24;} }  else 
{ /* ./Read/inline.scm 70 */
bool_t BgL_test1728z00_450;
{ /* ./Read/inline.scm 70 */
obj_t BgL_auxz00_994;obj_t BgL_auxz00_992;
BgL_auxz00_994 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_992 = 
CAR(BgL_expz00_25); 
BgL_test1728z00_450 = 
(BgL_auxz00_992==BgL_auxz00_994); } 
if(BgL_test1728z00_450)
{ /* ./Read/inline.scm 70 */
BgL_expza2za2_438 = BgL_cdrzd2132zd2_443; 
{ 
obj_t BgL_inlinesz00_467;obj_t BgL_expza2za2_468;
BgL_inlinesz00_467 = BgL_inlinesz00_24; 
BgL_expza2za2_468 = BgL_expza2za2_438; 
BgL_loopz00_469:
{ /* ./Read/inline.scm 84 */
bool_t BgL_test1784z00_470;
BgL_test1784z00_470 = 
NULLP(BgL_expza2za2_468); 
if(BgL_test1784z00_470)
{ /* ./Read/inline.scm 84 */
return BgL_inlinesz00_467;}  else 
{ /* ./Read/inline.scm 86 */
obj_t BgL_arg1786z00_471;obj_t BgL_arg1787z00_472;
{ /* ./Read/inline.scm 86 */
obj_t BgL_arg1790z00_473;
BgL_arg1790z00_473 = 
CAR(BgL_expza2za2_468); 
BgL_arg1786z00_471 = 
BGl_lookzd2forzd2inlinezf2expzf2zzread_inlinez00(BgL_inlinesz00_467, BgL_arg1790z00_473, BgL_modulez00_26); } 
BgL_arg1787z00_472 = 
CDR(BgL_expza2za2_468); 
{ 
obj_t BgL_expza2za2_1004;obj_t BgL_inlinesz00_1003;
BgL_inlinesz00_1003 = BgL_arg1786z00_471; 
BgL_expza2za2_1004 = BgL_arg1787z00_472; 
BgL_expza2za2_468 = BgL_expza2za2_1004; 
BgL_inlinesz00_467 = BgL_inlinesz00_1003; 
goto BgL_loopz00_469;} } } } }  else 
{ /* ./Read/inline.scm 70 */
return BgL_inlinesz00_24;} } } }  else 
{ /* ./Read/inline.scm 70 */
return BgL_inlinesz00_24;} } } } } 
}



/* inline-finalizer */
BGL_EXPORTED_DEF obj_t BGl_inlinezd2finaliza7erz75zzread_inlinez00()
{ AN_OBJECT;
{ /* ./Read/inline.scm 99 */
{ /* ./Read/inline.scm 100 */
bool_t BgL_test1796z00_474;
{ /* ./Read/inline.scm 100 */
obj_t BgL_objz00_673;
BgL_objz00_673 = BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00; 
BgL_test1796z00_474 = 
NULLP(BgL_objz00_673); } 
if(BgL_test1796z00_474)
{ /* ./Read/inline.scm 100 */
return BNIL;}  else 
{ /* ./Read/inline.scm 102 */
obj_t BgL_arg1798z00_475;
{ /* ./Read/inline.scm 102 */
obj_t BgL_idz00_674;obj_t BgL_sexpza2za2_676;
BgL_idz00_674 = 
CNST_TABLE_REF(((long)5)); 
BgL_sexpza2za2_676 = BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00; 
{ /* ./Read/inline.scm 102 */
obj_t BgL_newz00_678;
{ /* ./Read/inline.scm 102 */
int BgL_auxz00_1010;obj_t BgL_auxz00_1008;
BgL_auxz00_1010 = 
(int)(((long)4)); 
BgL_auxz00_1008 = 
CNST_TABLE_REF(((long)6)); 
BgL_newz00_678 = 
create_struct(BgL_auxz00_1008, BgL_auxz00_1010); } 
{ /* ./Read/inline.scm 102 */
int BgL_kz00_682;
BgL_kz00_682 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_678, BgL_kz00_682, BTRUE); } 
{ /* ./Read/inline.scm 102 */
int BgL_kz00_687;
BgL_kz00_687 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_678, BgL_kz00_687, BgL_sexpza2za2_676); } 
{ /* ./Read/inline.scm 102 */
int BgL_kz00_692;obj_t BgL_oz00_693;
BgL_kz00_692 = 
(int)(((long)1)); 
BgL_oz00_693 = 
BINT(((long)0)); 
STRUCT_SET(BgL_newz00_678, BgL_kz00_692, BgL_oz00_693); } 
{ /* ./Read/inline.scm 102 */
int BgL_kz00_697;
BgL_kz00_697 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_678, BgL_kz00_697, BgL_idz00_674); } 
BgL_arg1798z00_475 = BgL_newz00_678; } } 
{ /* ./Read/inline.scm 102 */
obj_t BgL_list1800z00_476;
BgL_list1800z00_476 = 
MAKE_PAIR(BgL_arg1798z00_475, BNIL); 
return BgL_list1800z00_476;} } } } 
}



/* _inline-finalizer */
obj_t BGl__inlinezd2finaliza7erz75zzread_inlinez00(obj_t BgL_envz00_850)
{ AN_OBJECT;
{ /* ./Read/inline.scm 99 */
return 
BGl_inlinezd2finaliza7erz75zzread_inlinez00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzread_inlinez00()
{ AN_OBJECT;
{ /* ./Read/inline.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzread_inlinez00()
{ AN_OBJECT;
{ /* ./Read/inline.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "read_inline"); 
BGl_modulezd2initializa7ationz75zzread_readerz00(((long)38783), "read_inline"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "read_inline"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "read_inline"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "read_inline"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "read_inline"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "read_inline"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "read_inline"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "read_inline"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "read_inline");} 
}

