/*===========================================================================*/
/*   (Ast/app.scm)                                                           */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Ast/app.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


extern obj_t BGl_vrefz00zzast_nodez00;
BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzast_appz00();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT char * BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
BGL_IMPORT obj_t string_to_bstring(char *);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_funz00zzast_varz00;
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_globalz00zzast_varz00;
BGL_IMPORT obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzast_appz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
BGL_EXPORTED_DECL bool_t BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_variablez00_bglt, obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
static BgL_nodez00_bglt BGl_cleanzd2userzd2nodez12z12zzast_appz00(BgL_nodez00_bglt);
static obj_t BGl_importedzd2moduleszd2initz00zzast_appz00();
static BgL_nodez00_bglt BGl_wrongzd2numberzd2ofzd2argumentszd2zzast_appz00(obj_t, obj_t, BgL_nodez00_bglt, obj_t);
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
static obj_t BGl__makezd2appzd2node3749z00zzast_appz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_makezd2fxzd2appzd2nodezd2zzast_appz00(obj_t, BgL_varz00_bglt, obj_t);
static obj_t BGl_makezd2argszd2listz00zzast_appz00(obj_t);
extern obj_t BGl_vallocz00zzast_nodez00;
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT long bgl_list_length(obj_t);
static obj_t BGl__applicationzd2ze3node3747z31zzast_appz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_nodez00_bglt BGl_makezd2vazd2appzd2nodezd2zzast_appz00(long, obj_t, obj_t, BgL_varz00_bglt, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static long BGl_checkzd2userzd2appz00zzast_appz00(BgL_nodez00_bglt, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern obj_t BGl_appz00zzast_nodez00;
BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t, obj_t, BgL_varz00_bglt, obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
extern obj_t BGl_vlengthz00zzast_nodez00;
extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_makezd2thezd2appz00zzast_appz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_makezd2specialzd2appzd2nodezd2zzast_appz00(obj_t, BgL_varz00_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_appz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzast_appz00();
extern obj_t BGl_vsetz12z12zzast_nodez00;
static obj_t BGl__correctzd2arityzd2appzf33745zf3zzast_appz00(obj_t, obj_t, obj_t);
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 18 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_correctzd2arityzd2appzf3zd2envz21zzast_appz00, BgL_bgl__correctza7d2arityza7d2appza7f33745za7f3za7za7ast_appza7003918za7, BGl__correctzd2arityzd2appzf33745zf3zzast_appz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2appzd2nodezd2envzd2zzast_appz00, BgL_bgl__makeza7d2appza7d2node3749za700za7za7ast_appza7003919z00, BGl__makezd2appzd2node3749z00zzast_appz00, 0L, 4 );
DEFINE_STRING( BGl_string3889z00zzast_appz00, BgL_bgl_string3889za700za7za7ast_appza7003920z00, "(c-create-vector %%create-vector) (c-vector-set! %%vector-set!) (c-vector-ref %%vector-ref) (c-vector-length %%vector-length) foreign c-cons list \077\077? (c-vector-length %%vector-length c-vector-ref %%vector-ref c-vector-set! %%vector-set! c-create-vector %%create-vector) arg (lambda l l) let fun value (quote ()) app @ quote ", 324 );
DEFINE_STRING( BGl_string3888z00zzast_appz00, BgL_bgl_string3888za700za7za7ast_appza7003921z00, "Illegal special application", 27 );
DEFINE_STRING( BGl_string3887z00zzast_appz00, BgL_bgl_string3887za700za7za7ast_appza7003922z00, "make-special-app-node", 21 );
DEFINE_STRING( BGl_string3886z00zzast_appz00, BgL_bgl_string3886za700za7za7ast_appza7003923z00, "($1,$2,$3)", 10 );
DEFINE_STRING( BGl_string3885z00zzast_appz00, BgL_bgl_string3885za700za7za7ast_appza7003924z00, "($1,$2)", 7 );
DEFINE_STRING( BGl_string3884z00zzast_appz00, BgL_bgl_string3884za700za7za7ast_appza7003925z00, "($1)", 4 );
DEFINE_STRING( BGl_string3883z00zzast_appz00, BgL_bgl_string3883za700za7za7ast_appza7003926z00, "Illegal application: ", 21 );
DEFINE_STRING( BGl_string3882z00zzast_appz00, BgL_bgl_string3882za700za7za7ast_appza7003927z00, " provided", 9 );
DEFINE_STRING( BGl_string3881z00zzast_appz00, BgL_bgl_string3881za700za7za7ast_appza7003928z00, " or more arg(s) expected, ", 26 );
DEFINE_STRING( BGl_string3880z00zzast_appz00, BgL_bgl_string3880za700za7za7ast_appza7003929z00, " arg(s) expected, ", 18 );
DEFINE_EXPORT_PROCEDURE( BGl_applicationzd2ze3nodezd2envze3zzast_appz00, BgL_bgl__applicationza7d2za7e3node3747za731za7za7ast_appza7003930z00, BGl__applicationzd2ze3node3747z31zzast_appz00, 0L, 4 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long BgL_checksumz00_2696, char * BgL_fromz00_2697)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_appz00))
{ 
BGl_requirezd2initializa7ationz75zzast_appz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_appz00(); 
BGl_cnstzd2initzd2zzast_appz00(); 
BGl_importedzd2moduleszd2initz00zzast_appz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_appz00()
{ AN_OBJECT;
{ /* ./Ast/app.scm 14 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_app"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_app"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_app"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "ast_app"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "ast_app"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "ast_app"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_appz00()
{ AN_OBJECT;
{ /* ./Ast/app.scm 14 */
{ /* ./Ast/app.scm 14 */
obj_t BgL_cportz00_2689;
BgL_cportz00_2689 = 
open_input_string(BGl_string3889z00zzast_appz00); 
{ 
long BgL_iz00_2690;
BgL_iz00_2690 = ((long)17); 
BgL_loopz00_2691:
{ /* ./Ast/app.scm 14 */
bool_t BgL_test3891z00_2692;
BgL_test3891z00_2692 = 
(BgL_iz00_2690==((long)-1)); 
if(BgL_test3891z00_2692)
{ /* ./Ast/app.scm 14 */
return BUNSPEC;}  else 
{ /* ./Ast/app.scm 14 */
{ /* ./Ast/app.scm 14 */
obj_t BgL_arg3893z00_2693;
{ /* ./Ast/app.scm 14 */
obj_t BgL_list3896z00_2694;
BgL_list3896z00_2694 = 
MAKE_PAIR(BgL_cportz00_2689, BNIL); 
BgL_arg3893z00_2693 = 
BGl_readz00zz__readerz00(BgL_list3896z00_2694); } 
{ /* ./Ast/app.scm 14 */
int BgL_auxz00_2715;
BgL_auxz00_2715 = 
(int)(BgL_iz00_2690); 
CNST_TABLE_SET(BgL_auxz00_2715, BgL_arg3893z00_2693); } } 
{ /* ./Ast/app.scm 14 */
int BgL_auxz00_2695;
{ /* ./Ast/app.scm 14 */
long BgL_auxz00_2718;
BgL_auxz00_2718 = 
(BgL_iz00_2690-((long)1)); 
BgL_auxz00_2695 = 
(int)(BgL_auxz00_2718); } 
{ 
long BgL_iz00_2721;
BgL_iz00_2721 = 
(long)(BgL_auxz00_2695); 
BgL_iz00_2690 = BgL_iz00_2721; 
goto BgL_loopz00_2691;} } } } } } } 
}



/* correct-arity-app? */
BGL_EXPORTED_DEF bool_t BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_variablez00_bglt BgL_varz00_1, obj_t BgL_argsz00_2)
{ AN_OBJECT;
{ /* ./Ast/app.scm 33 */
{ /* ./Ast/app.scm 34 */
long BgL_nbzd2argszd2_912;
BgL_nbzd2argszd2_912 = 
bgl_list_length(BgL_argsz00_2); 
{ /* ./Ast/app.scm 35 */
long BgL_arityz00_913;
{ /* ./Ast/app.scm 36 */
BgL_funz00_bglt BgL_obj1311z00_1618;
{ /* ./Ast/app.scm 36 */
BgL_valuez00_bglt BgL_auxz00_2724;
BgL_auxz00_2724 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1))->BgL_valuez00); 
BgL_obj1311z00_1618 = 
(BgL_funz00_bglt)(BgL_auxz00_2724); } 
BgL_arityz00_913 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_1618))->BgL_arityz00); } 
{ /* ./Ast/app.scm 36 */

if(
(BgL_arityz00_913==((long)-1)))
{ /* ./Ast/app.scm 38 */
return ((bool_t)1);}  else 
{ /* ./Ast/app.scm 38 */
if(
(BgL_arityz00_913>=((long)0)))
{ /* ./Ast/app.scm 40 */
return 
BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(BgL_arityz00_913, BgL_nbzd2argszd2_912);}  else 
{ /* ./Ast/app.scm 40 */
{ /* ./Ast/app.scm 43 */
long BgL_auxz00_2733;
{ /* ./Ast/app.scm 43 */
long BgL_auxz00_2736;long BgL_auxz00_2734;
BgL_auxz00_2736 = 
(BgL_nbzd2argszd2_912+((long)1)); 
BgL_auxz00_2734 = 
NEG(BgL_arityz00_913); 
BgL_auxz00_2733 = 
(BgL_auxz00_2734-BgL_auxz00_2736); } 
return 
(BgL_auxz00_2733<=((long)0));} } } } } } } 
}



/* _correct-arity-app?3745 */
obj_t BGl__correctzd2arityzd2appzf33745zf3zzast_appz00(obj_t BgL_envz00_2674, obj_t BgL_varz00_2675, obj_t BgL_argsz00_2676)
{ AN_OBJECT;
{ /* ./Ast/app.scm 33 */
{ /* ./Ast/app.scm 34 */
bool_t BgL_auxz00_2740;
BgL_auxz00_2740 = 
BGl_correctzd2arityzd2appzf3zf3zzast_appz00(
(BgL_variablez00_bglt)(BgL_varz00_2675), BgL_argsz00_2676); 
return 
BBOOL(BgL_auxz00_2740);} } 
}



/* clean-user-node! */
BgL_nodez00_bglt BGl_cleanzd2userzd2nodez12z12zzast_appz00(BgL_nodez00_bglt BgL_nodez00_3)
{ AN_OBJECT;
{ /* ./Ast/app.scm 51 */
{ 
BgL_nodez00_bglt BgL_walkz00_920;
BgL_walkz00_920 = BgL_nodez00_3; 
BgL_loopz00_921:
{ /* ./Ast/app.scm 53 */
bool_t BgL_test2687z00_922;
{ /* ./Ast/app.scm 53 */
obj_t BgL_obj2502z00_1630;
BgL_obj2502z00_1630 = 
(obj_t)(BgL_walkz00_920); 
BgL_test2687z00_922 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2502z00_1630, BGl_letzd2varzd2zzast_nodez00); } 
if(BgL_test2687z00_922)
{ /* ./Ast/app.scm 53 */
{ 
obj_t BgL_l2655z00_923;
{ /* ./Ast/app.scm 57 */
obj_t BgL_arg2689z00_925;
{ /* ./Ast/app.scm 57 */
BgL_letzd2varzd2_bglt BgL_obj2467z00_1631;
BgL_obj2467z00_1631 = 
(BgL_letzd2varzd2_bglt)(BgL_walkz00_920); 
BgL_arg2689z00_925 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2467z00_1631))->BgL_bindingsz00); } 
BgL_l2655z00_923 = BgL_arg2689z00_925; 
BgL_forzd2each2656zd2_924:
{ /* ./Ast/app.scm 55 */
bool_t BgL_test2692z00_926;
BgL_test2692z00_926 = 
PAIRP(BgL_l2655z00_923); 
if(BgL_test2692z00_926)
{ /* ./Ast/app.scm 55 */
{ /* ./Ast/app.scm 56 */
obj_t BgL_bindingz00_927;
BgL_bindingz00_927 = 
CAR(BgL_l2655z00_923); 
{ /* ./Ast/app.scm 56 */
obj_t BgL_arg2694z00_928;
BgL_arg2694z00_928 = 
CAR(BgL_bindingz00_927); 
{ /* ./Ast/app.scm 56 */
BgL_localz00_bglt BgL_obj1273z00_1635;
BgL_obj1273z00_1635 = 
(BgL_localz00_bglt)(BgL_arg2694z00_928); 
((((BgL_localz00_bglt)CREF(BgL_obj1273z00_1635))->BgL_userzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); } } } 
{ /* ./Ast/app.scm 55 */
obj_t BgL_arg2699z00_929;
BgL_arg2699z00_929 = 
CDR(BgL_l2655z00_923); 
{ 
obj_t BgL_l2655z00_2756;
BgL_l2655z00_2756 = BgL_arg2699z00_929; 
BgL_l2655z00_923 = BgL_l2655z00_2756; 
goto BgL_forzd2each2656zd2_924;} } }  else 
{ /* ./Ast/app.scm 55 */((bool_t)1); } } } } 
{ /* ./Ast/app.scm 58 */
BgL_nodez00_bglt BgL_arg2704z00_930;
{ /* ./Ast/app.scm 58 */
BgL_letzd2varzd2_bglt BgL_obj2470z00_1638;
BgL_obj2470z00_1638 = 
(BgL_letzd2varzd2_bglt)(BgL_walkz00_920); 
BgL_arg2704z00_930 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2470z00_1638))->BgL_bodyz00); } 
{ 
BgL_nodez00_bglt BgL_walkz00_2759;
BgL_walkz00_2759 = BgL_arg2704z00_930; 
BgL_walkz00_920 = BgL_walkz00_2759; 
goto BgL_loopz00_921;} } }  else 
{ /* ./Ast/app.scm 53 */
return BgL_nodez00_3;} } } } 
}



/* application->node */
BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t BgL_expz00_4, obj_t BgL_stackz00_5, obj_t BgL_locz00_6, obj_t BgL_sitez00_7)
{ AN_OBJECT;
{ /* ./Ast/app.scm 73 */
{ 
obj_t BgL_expz00_1012;
{ /* ./Ast/app.scm 88 */
obj_t BgL_locz00_932;
BgL_locz00_932 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_4, BgL_locz00_6); 
{ /* ./Ast/app.scm 88 */
obj_t BgL_errzd2nbzd2_933;
BgL_errzd2nbzd2_933 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
{ /* ./Ast/app.scm 89 */
obj_t BgL_debugstampz00_934;
BgL_debugstampz00_934 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BEOA); 
{ /* ./Ast/app.scm 91 */
BgL_nodez00_bglt BgL_funz00_936;
{ /* ./Ast/app.scm 93 */
obj_t BgL_arg2858z00_1010;obj_t BgL_arg2859z00_1011;
BgL_arg2858z00_1010 = 
CAR(BgL_expz00_4); 
BgL_arg2859z00_1011 = 
CNST_TABLE_REF(((long)2)); 
BgL_funz00_936 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2858z00_1010, BgL_stackz00_5, BgL_locz00_932, BgL_arg2859z00_1011); } 
{ /* ./Ast/app.scm 93 */
bool_t BgL_funzd2errzf3z21_937;
{ /* ./Ast/app.scm 94 */
long BgL_n1z00_1640;long BgL_n2z00_1641;
BgL_n1z00_1640 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_n2z00_1641 = 
(long)CINT(BgL_errzd2nbzd2_933); 
BgL_funzd2errzf3z21_937 = 
(BgL_n1z00_1640>BgL_n2z00_1641); } 
{ /* ./Ast/app.scm 94 */

{ /* ./Ast/app.scm 95 */
bool_t BgL_test2708z00_938;
{ /* ./Ast/app.scm 95 */
bool_t BgL_test2853z00_1009;
BgL_expz00_1012 = BgL_expz00_4; 
{ 
obj_t BgL_expz00_1014;
BgL_expz00_1014 = BgL_expz00_1012; 
BgL_loopz00_1015:
if(
NULLP(BgL_expz00_1014))
{ /* ./Ast/app.scm 76 */
BgL_test2853z00_1009 = ((bool_t)1); }  else 
{ 

{ /* ./Ast/app.scm 78 */
obj_t BgL_ezd2124zd2_1021;
BgL_ezd2124zd2_1021 = 
CAR(BgL_expz00_1014); 
if(
PAIRP(BgL_ezd2124zd2_1021))
{ /* ./Ast/app.scm 78 */
bool_t BgL_testz00_2774;
{ /* ./Ast/app.scm 78 */
obj_t BgL_auxz00_2777;obj_t BgL_auxz00_2775;
BgL_auxz00_2777 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_2775 = 
CAR(BgL_ezd2124zd2_1021); 
BgL_testz00_2774 = 
(BgL_auxz00_2775==BgL_auxz00_2777); } 
if(BgL_testz00_2774)
{ /* ./Ast/app.scm 78 */
{ 
obj_t BgL_expz00_2780;
BgL_expz00_2780 = 
CDR(BgL_expz00_1014); 
BgL_expz00_1014 = BgL_expz00_2780; 
goto BgL_loopz00_1015;} }  else 
{ /* ./Ast/app.scm 78 */
obj_t BgL_cdrzd2130zd2_1024;
BgL_cdrzd2130zd2_1024 = 
CDR(BgL_ezd2124zd2_1021); 
{ /* ./Ast/app.scm 78 */
bool_t BgL_testz00_2783;
{ /* ./Ast/app.scm 78 */
obj_t BgL_auxz00_2786;obj_t BgL_auxz00_2784;
BgL_auxz00_2786 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_2784 = 
CAR(BgL_ezd2124zd2_1021); 
BgL_testz00_2783 = 
(BgL_auxz00_2784==BgL_auxz00_2786); } 
if(BgL_testz00_2783)
{ /* ./Ast/app.scm 78 */
if(
PAIRP(BgL_cdrzd2130zd2_1024))
{ /* ./Ast/app.scm 78 */
obj_t BgL_cdrzd2132zd2_1027;
BgL_cdrzd2132zd2_1027 = 
CDR(BgL_cdrzd2130zd2_1024); 
{ /* ./Ast/app.scm 78 */
bool_t BgL_testz00_2792;
{ /* ./Ast/app.scm 78 */
obj_t BgL_auxz00_2793;
BgL_auxz00_2793 = 
CAR(BgL_cdrzd2130zd2_1024); 
BgL_testz00_2792 = 
SYMBOLP(BgL_auxz00_2793); } 
if(BgL_testz00_2792)
{ /* ./Ast/app.scm 78 */
if(
PAIRP(BgL_cdrzd2132zd2_1027))
{ /* ./Ast/app.scm 78 */
bool_t BgL_testz00_2798;
{ /* ./Ast/app.scm 78 */
obj_t BgL_auxz00_2799;
BgL_auxz00_2799 = 
CAR(BgL_cdrzd2132zd2_1027); 
BgL_testz00_2798 = 
SYMBOLP(BgL_auxz00_2799); } 
if(BgL_testz00_2798)
{ /* ./Ast/app.scm 78 */
bool_t BgL_testz00_2802;
{ /* ./Ast/app.scm 78 */
obj_t BgL_auxz00_2803;
BgL_auxz00_2803 = 
CDR(BgL_cdrzd2132zd2_1027); 
BgL_testz00_2802 = 
NULLP(BgL_auxz00_2803); } 
if(BgL_testz00_2802)
{ /* ./Ast/app.scm 78 */
{ 
obj_t BgL_expz00_2806;
BgL_expz00_2806 = 
CDR(BgL_expz00_1014); 
BgL_expz00_1014 = BgL_expz00_2806; 
goto BgL_loopz00_1015;} }  else 
{ /* ./Ast/app.scm 78 */
BgL_tagzd2123zd2_1020:
{ /* ./Ast/app.scm 86 */
bool_t BgL__ortest_2657z00_1042;
{ /* ./Ast/app.scm 86 */
obj_t BgL_arg2930z00_1044;
BgL_arg2930z00_1044 = 
CAR(BgL_expz00_1014); 
BgL__ortest_2657z00_1042 = 
BGl_iszd2azf3z21zz__objectz00(BgL_arg2930z00_1044, BGl_atomz00zzast_nodez00); } 
if(BgL__ortest_2657z00_1042)
{ /* ./Ast/app.scm 86 */
BgL_test2853z00_1009 = BgL__ortest_2657z00_1042; }  else 
{ /* ./Ast/app.scm 87 */
obj_t BgL_arg2926z00_1043;
BgL_arg2926z00_1043 = 
CAR(BgL_expz00_1014); 
BgL_test2853z00_1009 = 
BGl_iszd2azf3z21zz__objectz00(BgL_arg2926z00_1043, BGl_varz00zzast_nodez00); } } } }  else 
{ /* ./Ast/app.scm 78 */
goto BgL_tagzd2123zd2_1020;} }  else 
{ /* ./Ast/app.scm 78 */
goto BgL_tagzd2123zd2_1020;} }  else 
{ /* ./Ast/app.scm 78 */
goto BgL_tagzd2123zd2_1020;} } }  else 
{ /* ./Ast/app.scm 78 */
goto BgL_tagzd2123zd2_1020;} }  else 
{ /* ./Ast/app.scm 78 */
goto BgL_tagzd2123zd2_1020;} } } }  else 
{ /* ./Ast/app.scm 78 */
{ 
obj_t BgL_expz00_2813;
BgL_expz00_2813 = 
CDR(BgL_expz00_1014); 
BgL_expz00_1014 = BgL_expz00_2813; 
goto BgL_loopz00_1015;} } } } } 
if(BgL_test2853z00_1009)
{ /* ./Ast/app.scm 95 */
obj_t BgL_obj1636z00_1642;
BgL_obj1636z00_1642 = 
(obj_t)(BgL_funz00_936); 
BgL_test2708z00_938 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1636z00_1642, BGl_varz00zzast_nodez00); }  else 
{ /* ./Ast/app.scm 95 */
BgL_test2708z00_938 = ((bool_t)0); } } 
if(BgL_test2708z00_938)
{ /* ./Ast/app.scm 96 */
obj_t BgL_argsz00_939;
BgL_argsz00_939 = 
CDR(BgL_expz00_4); 
{ /* ./Ast/app.scm 96 */
long BgL_deltaz00_940;
BgL_deltaz00_940 = 
BGl_checkzd2userzd2appz00zzast_appz00(BgL_funz00_936, BgL_argsz00_939); 
{ /* ./Ast/app.scm 97 */

{ /* ./Ast/app.scm 99 */
bool_t BgL_test2709z00_941;
{ /* ./Ast/app.scm 99 */
obj_t BgL_obj1636z00_1644;
BgL_obj1636z00_1644 = 
(obj_t)(BgL_funz00_936); 
BgL_test2709z00_941 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1636z00_1644, BGl_varz00zzast_nodez00); } 
if(BgL_test2709z00_941)
{ /* ./Ast/app.scm 101 */
bool_t BgL_test2710z00_942;
BgL_test2710z00_942 = 
(BgL_deltaz00_940==((long)0)); 
if(BgL_test2710z00_942)
{ /* ./Ast/app.scm 101 */
return 
BGl_makezd2appzd2nodez00zzast_appz00(BgL_stackz00_5, BgL_locz00_932, 
(BgL_varz00_bglt)(BgL_funz00_936), BgL_argsz00_939);}  else 
{ /* ./Ast/app.scm 101 */
return 
BGl_wrongzd2numberzd2ofzd2argumentszd2zzast_appz00(BgL_expz00_4, BgL_locz00_932, BgL_funz00_936, BgL_argsz00_939);} }  else 
{ /* ./Ast/app.scm 99 */
return 
BGl_sexpzd2ze3nodez31zzast_sexpz00(
CNST_TABLE_REF(((long)3)), BgL_stackz00_5, BgL_locz00_932, 
CNST_TABLE_REF(((long)4)));} } } } }  else 
{ 
obj_t BgL_oldzd2argszd2_943;obj_t BgL_newzd2argszd2_944;obj_t BgL_bindingsz00_945;
{ /* ./Ast/app.scm 105 */
obj_t BgL_arg2719z00_947;
BgL_arg2719z00_947 = 
CDR(BgL_expz00_4); 
BgL_oldzd2argszd2_943 = BgL_arg2719z00_947; 
BgL_newzd2argszd2_944 = BNIL; 
BgL_bindingsz00_945 = BNIL; 
BgL_loopz00_946:
{ /* ./Ast/app.scm 109 */
bool_t BgL_test2724z00_950;
BgL_test2724z00_950 = 
NULLP(BgL_oldzd2argszd2_943); 
if(BgL_test2724z00_950)
{ /* ./Ast/app.scm 109 */
{ /* ./Ast/app.scm 117 */
bool_t BgL_test2725z00_953;
{ /* ./Ast/app.scm 117 */
obj_t BgL_obj1636z00_1650;
BgL_obj1636z00_1650 = 
(obj_t)(BgL_funz00_936); 
BgL_test2725z00_953 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1636z00_1650, BGl_varz00zzast_nodez00); } 
if(BgL_test2725z00_953)
{ /* ./Ast/app.scm 117 */
{ /* ./Ast/app.scm 125 */
BgL_nodez00_bglt BgL_nodez00_954;
{ /* ./Ast/app.scm 125 */
obj_t BgL_arg2728z00_955;
BgL_arg2728z00_955 = 
BGl_makezd2thezd2appz00zzast_appz00(BgL_newzd2argszd2_944, BgL_bindingsz00_945, 
(obj_t)(BgL_funz00_936)); 
BgL_nodez00_954 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2728z00_955, BgL_stackz00_5, BgL_locz00_932, BgL_sitez00_7); } 
return 
BGl_cleanzd2userzd2nodez12z12zzast_appz00(BgL_nodez00_954);} }  else 
{ /* ./Ast/app.scm 130 */
obj_t BgL_newzd2funzd2_956;
{ /* ./Ast/app.scm 130 */
obj_t BgL_arg2758z00_971;
BgL_arg2758z00_971 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)5)), BEOA); 
BgL_newzd2funzd2_956 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2758z00_971); } 
{ /* ./Ast/app.scm 130 */
obj_t BgL_lexpz00_957;
{ /* ./Ast/app.scm 131 */
obj_t BgL_arg2734z00_960;obj_t BgL_arg2735z00_961;
BgL_arg2734z00_960 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Ast/app.scm 131 */
obj_t BgL_arg2738z00_962;obj_t BgL_arg2739z00_963;
{ /* ./Ast/app.scm 131 */
obj_t BgL_arg2742z00_964;
{ /* ./Ast/app.scm 131 */
obj_t BgL_arg2746z00_966;
{ /* ./Ast/app.scm 131 */
obj_t BgL_arg2749z00_967;
if(BgL_funzd2errzf3z21_937)
{ /* ./Ast/app.scm 131 */
BgL_arg2749z00_967 = 
CNST_TABLE_REF(((long)7)); }  else 
{ /* ./Ast/app.scm 131 */
BgL_arg2749z00_967 = 
(obj_t)(BgL_funz00_936); } 
BgL_arg2746z00_966 = 
MAKE_PAIR(BgL_arg2749z00_967, BNIL); } 
BgL_arg2742z00_964 = 
MAKE_PAIR(BgL_newzd2funzd2_956, BgL_arg2746z00_966); } 
BgL_arg2738z00_962 = 
MAKE_PAIR(BgL_arg2742z00_964, BNIL); } 
{ /* ./Ast/app.scm 137 */
obj_t BgL_arg2753z00_969;
BgL_arg2753z00_969 = 
BGl_makezd2thezd2appz00zzast_appz00(BgL_newzd2argszd2_944, BgL_bindingsz00_945, BgL_newzd2funzd2_956); 
BgL_arg2739z00_963 = 
MAKE_PAIR(BgL_arg2753z00_969, BNIL); } 
BgL_arg2735z00_961 = 
MAKE_PAIR(BgL_arg2738z00_962, BgL_arg2739z00_963); } 
BgL_lexpz00_957 = 
MAKE_PAIR(BgL_arg2734z00_960, BgL_arg2735z00_961); } 
{ /* ./Ast/app.scm 138 */
BgL_nodez00_bglt BgL_nodez00_959;
BgL_nodez00_959 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_lexpz00_957, BgL_stackz00_5, BgL_locz00_932, BgL_sitez00_7); 
{ /* ./Ast/app.scm 142 */

return 
BGl_cleanzd2userzd2nodez12z12zzast_appz00(BgL_nodez00_959);} } } } } }  else 
{ /* ./Ast/app.scm 144 */
bool_t BgL_test2795z00_988;
{ /* ./Ast/app.scm 144 */
bool_t BgL_testz00_2859;
{ /* ./Ast/app.scm 144 */
obj_t BgL_auxz00_2860;
BgL_auxz00_2860 = 
CAR(BgL_oldzd2argszd2_943); 
BgL_testz00_2859 = 
SYMBOLP(BgL_auxz00_2860); } 
if(BgL_testz00_2859)
{ /* ./Ast/app.scm 144 */
BgL_test2795z00_988 = ((bool_t)1); }  else 
{ /* ./Ast/app.scm 145 */
obj_t BgL_auxz00_2863;
BgL_auxz00_2863 = 
CAR(BgL_oldzd2argszd2_943); 
BgL_test2795z00_988 = 
CNSTP(BgL_auxz00_2863); } } 
if(BgL_test2795z00_988)
{ /* ./Ast/app.scm 144 */
{ /* ./Ast/app.scm 146 */
obj_t BgL_arg2797z00_989;obj_t BgL_arg2799z00_990;
BgL_arg2797z00_989 = 
CDR(BgL_oldzd2argszd2_943); 
{ /* ./Ast/app.scm 147 */
bool_t BgL_test2802z00_991;
BgL_test2802z00_991 = 
EXTENDED_PAIRP(BgL_oldzd2argszd2_943); 
if(BgL_test2802z00_991)
{ /* ./Ast/app.scm 148 */
obj_t BgL_arg2804z00_992;obj_t BgL_arg2805z00_993;
BgL_arg2804z00_992 = 
CAR(BgL_oldzd2argszd2_943); 
BgL_arg2805z00_993 = 
CER(BgL_oldzd2argszd2_943); 
{ /* ./Ast/app.scm 148 */
obj_t BgL_res3704z00_1663;
BgL_res3704z00_1663 = 
MAKE_EXTENDED_PAIR(BgL_arg2804z00_992, BgL_newzd2argszd2_944, BgL_arg2805z00_993); 
BgL_arg2799z00_990 = BgL_res3704z00_1663; } }  else 
{ /* ./Ast/app.scm 149 */
obj_t BgL_arg2810z00_994;
BgL_arg2810z00_994 = 
CAR(BgL_oldzd2argszd2_943); 
BgL_arg2799z00_990 = 
MAKE_PAIR(BgL_arg2810z00_994, BgL_newzd2argszd2_944); } } 
{ 
obj_t BgL_newzd2argszd2_2876;obj_t BgL_oldzd2argszd2_2875;
BgL_oldzd2argszd2_2875 = BgL_arg2797z00_989; 
BgL_newzd2argszd2_2876 = BgL_arg2799z00_990; 
BgL_newzd2argszd2_944 = BgL_newzd2argszd2_2876; 
BgL_oldzd2argszd2_943 = BgL_oldzd2argszd2_2875; 
goto BgL_loopz00_946;} } }  else 
{ /* ./Ast/app.scm 144 */
{ /* ./Ast/app.scm 152 */
obj_t BgL_newzd2argzd2_995;
{ /* ./Ast/app.scm 152 */
obj_t BgL_arg2840z00_1005;
BgL_arg2840z00_1005 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)8)), BEOA); 
BgL_newzd2argzd2_995 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2840z00_1005); } 
{ /* ./Ast/app.scm 153 */
obj_t BgL_arg2815z00_996;obj_t BgL_arg2816z00_997;obj_t BgL_arg2817z00_998;
BgL_arg2815z00_996 = 
CDR(BgL_oldzd2argszd2_943); 
{ /* ./Ast/app.scm 154 */
bool_t BgL_test2820z00_999;
BgL_test2820z00_999 = 
EXTENDED_PAIRP(BgL_oldzd2argszd2_943); 
if(BgL_test2820z00_999)
{ /* ./Ast/app.scm 155 */
obj_t BgL_arg2822z00_1000;
BgL_arg2822z00_1000 = 
CER(BgL_oldzd2argszd2_943); 
{ /* ./Ast/app.scm 155 */
obj_t BgL_res3705z00_1671;
BgL_res3705z00_1671 = 
MAKE_EXTENDED_PAIR(BgL_newzd2argzd2_995, BgL_newzd2argszd2_944, BgL_arg2822z00_1000); 
BgL_arg2816z00_997 = BgL_res3705z00_1671; } }  else 
{ /* ./Ast/app.scm 154 */
BgL_arg2816z00_997 = 
MAKE_PAIR(BgL_newzd2argzd2_995, BgL_newzd2argszd2_944); } } 
{ /* ./Ast/app.scm 157 */
obj_t BgL_arg2828z00_1001;
{ /* ./Ast/app.scm 157 */
obj_t BgL_arg2831z00_1002;
BgL_arg2831z00_1002 = 
CAR(BgL_oldzd2argszd2_943); 
{ /* ./Ast/app.scm 157 */
obj_t BgL_list2833z00_1003;
{ /* ./Ast/app.scm 157 */
obj_t BgL_arg2835z00_1004;
BgL_arg2835z00_1004 = 
MAKE_PAIR(BgL_arg2831z00_1002, BNIL); 
BgL_list2833z00_1003 = 
MAKE_PAIR(BgL_newzd2argzd2_995, BgL_arg2835z00_1004); } 
BgL_arg2828z00_1001 = BgL_list2833z00_1003; } } 
BgL_arg2817z00_998 = 
MAKE_PAIR(BgL_arg2828z00_1001, BgL_bindingsz00_945); } 
{ 
obj_t BgL_bindingsz00_2893;obj_t BgL_newzd2argszd2_2892;obj_t BgL_oldzd2argszd2_2891;
BgL_oldzd2argszd2_2891 = BgL_arg2815z00_996; 
BgL_newzd2argszd2_2892 = BgL_arg2816z00_997; 
BgL_bindingsz00_2893 = BgL_arg2817z00_998; 
BgL_bindingsz00_945 = BgL_bindingsz00_2893; 
BgL_newzd2argszd2_944 = BgL_newzd2argszd2_2892; 
BgL_oldzd2argszd2_943 = BgL_oldzd2argszd2_2891; 
goto BgL_loopz00_946;} } } } } } } } } } } } } } } } } 
}



/* make-the-app */
obj_t BGl_makezd2thezd2appz00zzast_appz00(obj_t BgL_newzd2argszd2_2688, obj_t BgL_bindingsz00_2687, obj_t BgL_funz00_972)
{ AN_OBJECT;
{ /* ./Ast/app.scm 111 */
{ /* ./Ast/app.scm 112 */
bool_t BgL_test2764z00_974;
BgL_test2764z00_974 = 
PAIRP(BgL_bindingsz00_2687); 
if(BgL_test2764z00_974)
{ /* ./Ast/app.scm 114 */
obj_t BgL_arg2766z00_975;obj_t BgL_arg2767z00_976;
BgL_arg2766z00_975 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Ast/app.scm 113 */
obj_t BgL_arg2770z00_977;obj_t BgL_arg2771z00_978;
BgL_arg2770z00_977 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_bindingsz00_2687); 
{ /* ./Ast/app.scm 114 */
obj_t BgL_arg2775z00_979;
{ /* ./Ast/app.scm 114 */
obj_t BgL_arg2779z00_981;
{ /* ./Ast/app.scm 114 */
obj_t BgL_arg2782z00_982;
BgL_arg2782z00_982 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_newzd2argszd2_2688); 
BgL_arg2779z00_981 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2782z00_982, BNIL); } 
BgL_arg2775z00_979 = 
MAKE_PAIR(BgL_funz00_972, BgL_arg2779z00_981); } 
BgL_arg2771z00_978 = 
MAKE_PAIR(BgL_arg2775z00_979, BNIL); } 
BgL_arg2767z00_976 = 
MAKE_PAIR(BgL_arg2770z00_977, BgL_arg2771z00_978); } 
return 
MAKE_PAIR(BgL_arg2766z00_975, BgL_arg2767z00_976);}  else 
{ /* ./Ast/app.scm 115 */
obj_t BgL_arg2787z00_984;
{ /* ./Ast/app.scm 115 */
obj_t BgL_arg2790z00_985;
BgL_arg2790z00_985 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_newzd2argszd2_2688); 
BgL_arg2787z00_984 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2790z00_985, BNIL); } 
return 
MAKE_PAIR(BgL_funz00_972, BgL_arg2787z00_984);} } } 
}



/* _application->node3747 */
obj_t BGl__applicationzd2ze3node3747z31zzast_appz00(obj_t BgL_envz00_2677, obj_t BgL_expz00_2678, obj_t BgL_stackz00_2679, obj_t BgL_locz00_2680, obj_t BgL_sitez00_2681)
{ AN_OBJECT;
{ /* ./Ast/app.scm 73 */
{ /* ./Ast/app.scm 87 */
BgL_nodez00_bglt BgL_auxz00_2907;
BgL_auxz00_2907 = 
BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_2678, BgL_stackz00_2679, BgL_locz00_2680, BgL_sitez00_2681); 
return 
(obj_t)(BgL_auxz00_2907);} } 
}



/* check-user-app */
long BGl_checkzd2userzd2appz00zzast_appz00(BgL_nodez00_bglt BgL_funz00_8, obj_t BgL_argsz00_9)
{ AN_OBJECT;
{ /* ./Ast/app.scm 165 */
{ /* ./Ast/app.scm 166 */
bool_t BgL_test2934z00_1046;
{ /* ./Ast/app.scm 166 */
obj_t BgL_obj1636z00_1697;
BgL_obj1636z00_1697 = 
(obj_t)(BgL_funz00_8); 
BgL_test2934z00_1046 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1636z00_1697, BGl_varz00zzast_nodez00); } 
if(BgL_test2934z00_1046)
{ /* ./Ast/app.scm 172 */
BgL_variablez00_bglt BgL_varz00_1047;
{ /* ./Ast/app.scm 172 */
BgL_varz00_bglt BgL_obj1619z00_1698;
BgL_obj1619z00_1698 = 
(BgL_varz00_bglt)(BgL_funz00_8); 
BgL_varz00_1047 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_1698))->BgL_variablez00); } 
{ /* ./Ast/app.scm 172 */
BgL_valuez00_bglt BgL_funz00_1048;
BgL_funz00_1048 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1047))->BgL_valuez00); 
{ /* ./Ast/app.scm 173 */
long BgL_nbzd2argszd2_1049;
BgL_nbzd2argszd2_1049 = 
bgl_list_length(BgL_argsz00_9); 
{ /* ./Ast/app.scm 174 */
long BgL_arityz00_1050;
{ /* ./Ast/app.scm 176 */
bool_t BgL_test2951z00_1058;
{ /* ./Ast/app.scm 176 */
obj_t BgL_obj1350z00_1700;
BgL_obj1350z00_1700 = 
(obj_t)(BgL_funz00_1048); 
BgL_test2951z00_1058 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1350z00_1700, BGl_funz00zzast_varz00); } 
if(BgL_test2951z00_1058)
{ /* ./Ast/app.scm 176 */
{ /* ./Ast/app.scm 177 */
BgL_funz00_bglt BgL_obj1311z00_1701;
BgL_obj1311z00_1701 = 
(BgL_funz00_bglt)(BgL_funz00_1048); 
BgL_arityz00_1050 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_1701))->BgL_arityz00); } }  else 
{ /* ./Ast/app.scm 176 */
BgL_arityz00_1050 = ((long)-1); } } 
{ /* ./Ast/app.scm 175 */

if(
(BgL_arityz00_1050==((long)-1)))
{ /* ./Ast/app.scm 181 */
return ((long)0);}  else 
{ /* ./Ast/app.scm 181 */
if(
(BgL_arityz00_1050>=((long)0)))
{ /* ./Ast/app.scm 183 */
return 
(BgL_arityz00_1050-BgL_nbzd2argszd2_1049);}  else 
{ /* ./Ast/app.scm 183 */
{ /* ./Ast/app.scm 186 */
bool_t BgL_testz00_2927;
{ /* ./Ast/app.scm 186 */
long BgL_auxz00_2928;
{ /* ./Ast/app.scm 186 */
long BgL_auxz00_2931;long BgL_auxz00_2929;
BgL_auxz00_2931 = 
(BgL_nbzd2argszd2_1049+((long)1)); 
BgL_auxz00_2929 = 
NEG(BgL_arityz00_1050); 
BgL_auxz00_2928 = 
(BgL_auxz00_2929-BgL_auxz00_2931); } 
BgL_testz00_2927 = 
(BgL_auxz00_2928<=((long)0)); } 
if(BgL_testz00_2927)
{ /* ./Ast/app.scm 186 */
return ((long)0);}  else 
{ /* ./Ast/app.scm 186 */
return ((long)1);} } } } } } } } }  else 
{ /* ./Ast/app.scm 166 */
return ((long)0);} } } 
}



/* wrong-number-of-arguments */
BgL_nodez00_bglt BGl_wrongzd2numberzd2ofzd2argumentszd2zzast_appz00(obj_t BgL_expz00_10, obj_t BgL_locz00_11, BgL_nodez00_bglt BgL_funz00_12, obj_t BgL_argsz00_13)
{ AN_OBJECT;
{ /* ./Ast/app.scm 193 */
{ /* ./Ast/app.scm 194 */
BgL_variablez00_bglt BgL_varz00_1059;
{ /* ./Ast/app.scm 194 */
BgL_varz00_bglt BgL_obj1619z00_1715;
BgL_obj1619z00_1715 = 
(BgL_varz00_bglt)(BgL_funz00_12); 
BgL_varz00_1059 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_1715))->BgL_variablez00); } 
{ /* ./Ast/app.scm 194 */
BgL_valuez00_bglt BgL_funz00_1060;
BgL_funz00_1060 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1059))->BgL_valuez00); 
{ /* ./Ast/app.scm 196 */
long BgL_arityz00_1062;
{ /* ./Ast/app.scm 198 */
bool_t BgL_test2994z00_1080;
{ /* ./Ast/app.scm 198 */
obj_t BgL_obj1350z00_1717;
BgL_obj1350z00_1717 = 
(obj_t)(BgL_funz00_1060); 
BgL_test2994z00_1080 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1350z00_1717, BGl_funz00zzast_varz00); } 
if(BgL_test2994z00_1080)
{ /* ./Ast/app.scm 198 */
{ /* ./Ast/app.scm 199 */
BgL_funz00_bglt BgL_obj1311z00_1718;
BgL_obj1311z00_1718 = 
(BgL_funz00_bglt)(BgL_funz00_1060); 
BgL_arityz00_1062 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_1718))->BgL_arityz00); } }  else 
{ /* ./Ast/app.scm 198 */
BgL_arityz00_1062 = ((long)-1); } } 
{ /* ./Ast/app.scm 197 */
obj_t BgL_expectz00_1063;
{ /* ./Ast/app.scm 203 */
bool_t BgL_test2973z00_1071;
BgL_test2973z00_1071 = 
(BgL_arityz00_1062>=((long)0)); 
if(BgL_test2973z00_1071)
{ /* ./Ast/app.scm 203 */
{ /* ./Ast/app.scm 204 */
char * BgL_arg2975z00_1072;
BgL_arg2975z00_1072 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(
BINT(BgL_arityz00_1062), BNIL); 
{ /* ./Ast/app.scm 204 */
obj_t BgL_auxz00_2947;
BgL_auxz00_2947 = 
string_to_bstring(BgL_arg2975z00_1072); 
BgL_expectz00_1063 = 
string_append(BgL_auxz00_2947, BGl_string3880z00zzast_appz00); } } }  else 
{ /* ./Ast/app.scm 203 */
{ /* ./Ast/app.scm 207 */
char * BgL_arg2981z00_1075;
{ /* ./Ast/app.scm 207 */
obj_t BgL_auxz00_2950;
{ /* ./Ast/app.scm 207 */
long BgL_auxz00_2951;
{ /* ./Ast/app.scm 207 */
long BgL_auxz00_2952;
BgL_auxz00_2952 = 
(BgL_arityz00_1062+((long)1)); 
BgL_auxz00_2951 = 
NEG(BgL_auxz00_2952); } 
BgL_auxz00_2950 = 
BINT(BgL_auxz00_2951); } 
BgL_arg2981z00_1075 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_auxz00_2950, BNIL); } 
{ /* ./Ast/app.scm 207 */
obj_t BgL_auxz00_2957;
BgL_auxz00_2957 = 
string_to_bstring(BgL_arg2981z00_1075); 
BgL_expectz00_1063 = 
string_append(BgL_auxz00_2957, BGl_string3881z00zzast_appz00); } } } } 
{ /* ./Ast/app.scm 202 */
obj_t BgL_providez00_1064;
{ /* ./Ast/app.scm 209 */
char * BgL_arg2965z00_1067;
{ /* ./Ast/app.scm 209 */
obj_t BgL_auxz00_2960;
{ /* ./Ast/app.scm 209 */
long BgL_auxz00_2961;
BgL_auxz00_2961 = 
bgl_list_length(BgL_argsz00_13); 
BgL_auxz00_2960 = 
BINT(BgL_auxz00_2961); } 
BgL_arg2965z00_1067 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_auxz00_2960, BNIL); } 
{ /* ./Ast/app.scm 209 */
obj_t BgL_auxz00_2965;
BgL_auxz00_2965 = 
string_to_bstring(BgL_arg2965z00_1067); 
BgL_providez00_1064 = 
string_append(BgL_auxz00_2965, BGl_string3882z00zzast_appz00); } } 
{ /* ./Ast/app.scm 209 */

{ /* ./Ast/app.scm 211 */
obj_t BgL_arg2959z00_1065;obj_t BgL_arg2960z00_1066;
BgL_arg2959z00_1065 = 
string_append_3(BGl_string3883z00zzast_appz00, BgL_expectz00_1063, BgL_providez00_1064); 
BgL_arg2960z00_1066 = 
BGl_shapez00zztools_shapez00(BgL_expz00_10); 
return 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_arg2959z00_1065, BgL_arg2960z00_1066, BgL_locz00_11);} } } } } } } } 
}



/* make-app-node */
BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t BgL_stackz00_14, obj_t BgL_locz00_15, BgL_varz00_bglt BgL_varz00_16, obj_t BgL_argsz00_17)
{ AN_OBJECT;
{ /* ./Ast/app.scm 218 */
{ /* ./Ast/app.scm 219 */
BgL_valuez00_bglt BgL_funz00_1081;
{ /* ./Ast/app.scm 219 */
BgL_variablez00_bglt BgL_arg3033z00_1098;
BgL_arg3033z00_1098 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_16))->BgL_variablez00); 
BgL_funz00_1081 = 
(((BgL_variablez00_bglt)CREF(BgL_arg3033z00_1098))->BgL_valuez00); } 
{ /* ./Ast/app.scm 220 */
bool_t BgL_test3000z00_1082;
{ /* ./Ast/app.scm 220 */
bool_t BgL_test3023z00_1094;
{ /* ./Ast/app.scm 220 */
obj_t BgL_obj1350z00_1726;
BgL_obj1350z00_1726 = 
(obj_t)(BgL_funz00_1081); 
BgL_test3023z00_1094 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1350z00_1726, BGl_funz00zzast_varz00); } 
if(BgL_test3023z00_1094)
{ /* ./Ast/app.scm 222 */
bool_t BgL_test3024z00_1095;
{ /* ./Ast/app.scm 221 */
long BgL_auxz00_2976;
{ /* ./Ast/app.scm 221 */
BgL_funz00_bglt BgL_obj1311z00_1727;
BgL_obj1311z00_1727 = 
(BgL_funz00_bglt)(BgL_funz00_1081); 
BgL_auxz00_2976 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_1727))->BgL_arityz00); } 
BgL_test3024z00_1095 = 
(BgL_auxz00_2976>=((long)0)); } 
if(BgL_test3024z00_1095)
{ /* ./Ast/app.scm 222 */
BgL_test3000z00_1082 = ((bool_t)1); }  else 
{ /* ./Ast/app.scm 222 */
obj_t BgL_obj1486z00_1730;
BgL_obj1486z00_1730 = 
(obj_t)(BgL_funz00_1081); 
BgL_test3000z00_1082 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1486z00_1730, BGl_cfunz00zzast_varz00); } }  else 
{ /* ./Ast/app.scm 220 */
BgL_test3000z00_1082 = ((bool_t)1); } } 
if(BgL_test3000z00_1082)
{ /* ./Ast/app.scm 223 */
obj_t BgL_argsz00_1083;
{ 
obj_t BgL_argsz00_1084;obj_t BgL_resz00_1085;
BgL_argsz00_1084 = BgL_argsz00_17; 
BgL_resz00_1085 = BNIL; 
BgL_loopz00_1086:
{ /* ./Ast/app.scm 225 */
bool_t BgL_test3003z00_1087;
BgL_test3003z00_1087 = 
NULLP(BgL_argsz00_1084); 
if(BgL_test3003z00_1087)
{ /* ./Ast/app.scm 225 */
BgL_argsz00_1083 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_1085); }  else 
{ /* ./Ast/app.scm 227 */
obj_t BgL_az00_1088;obj_t BgL_locz00_1089;
BgL_az00_1088 = 
CAR(BgL_argsz00_1084); 
BgL_locz00_1089 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_argsz00_1084, BgL_locz00_15); 
{ /* ./Ast/app.scm 229 */
obj_t BgL_arg3008z00_1090;obj_t BgL_arg3009z00_1091;
BgL_arg3008z00_1090 = 
CDR(BgL_argsz00_1084); 
{ /* ./Ast/app.scm 230 */
BgL_nodez00_bglt BgL_arg3013z00_1092;
BgL_arg3013z00_1092 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_az00_1088, BgL_stackz00_14, BgL_locz00_1089, 
CNST_TABLE_REF(((long)4))); 
{ /* ./Ast/app.scm 230 */
obj_t BgL_auxz00_2992;
BgL_auxz00_2992 = 
(obj_t)(BgL_arg3013z00_1092); 
BgL_arg3009z00_1091 = 
MAKE_PAIR(BgL_auxz00_2992, BgL_resz00_1085); } } 
{ 
obj_t BgL_resz00_2996;obj_t BgL_argsz00_2995;
BgL_argsz00_2995 = BgL_arg3008z00_1090; 
BgL_resz00_2996 = BgL_arg3009z00_1091; 
BgL_resz00_1085 = BgL_resz00_2996; 
BgL_argsz00_1084 = BgL_argsz00_2995; 
goto BgL_loopz00_1086;} } } } } 
{ /* ./Ast/app.scm 232 */
obj_t BgL_auxz00_2997;
BgL_auxz00_2997 = 
BGl_makezd2fxzd2appzd2nodezd2zzast_appz00(BgL_locz00_15, BgL_varz00_16, BgL_argsz00_1083); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_2997);} }  else 
{ /* ./Ast/app.scm 233 */
long BgL_arg3020z00_1093;
{ /* ./Ast/app.scm 233 */
BgL_funz00_bglt BgL_obj1311z00_1734;
BgL_obj1311z00_1734 = 
(BgL_funz00_bglt)(BgL_funz00_1081); 
BgL_arg3020z00_1093 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_1734))->BgL_arityz00); } 
return 
BGl_makezd2vazd2appzd2nodezd2zzast_appz00(BgL_arg3020z00_1093, BgL_stackz00_14, BgL_locz00_15, BgL_varz00_16, BgL_argsz00_17);} } } } 
}



/* _make-app-node3749 */
obj_t BGl__makezd2appzd2node3749z00zzast_appz00(obj_t BgL_envz00_2682, obj_t BgL_stackz00_2683, obj_t BgL_locz00_2684, obj_t BgL_varz00_2685, obj_t BgL_argsz00_2686)
{ AN_OBJECT;
{ /* ./Ast/app.scm 218 */
{ /* ./Ast/app.scm 219 */
BgL_nodez00_bglt BgL_auxz00_3003;
BgL_auxz00_3003 = 
BGl_makezd2appzd2nodez00zzast_appz00(BgL_stackz00_2683, BgL_locz00_2684, 
(BgL_varz00_bglt)(BgL_varz00_2685), BgL_argsz00_2686); 
return 
(obj_t)(BgL_auxz00_3003);} } 
}



/* make-fx-app-node */
obj_t BGl_makezd2fxzd2appzd2nodezd2zzast_appz00(obj_t BgL_locz00_18, BgL_varz00_bglt BgL_varz00_19, obj_t BgL_argsz00_20)
{ AN_OBJECT;
{ /* ./Ast/app.scm 244 */
{ /* ./Ast/app.scm 245 */
BgL_variablez00_bglt BgL_vz00_1099;
BgL_vz00_1099 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_19))->BgL_variablez00); 
{ /* ./Ast/app.scm 247 */
bool_t BgL_test3036z00_1100;
{ /* ./Ast/app.scm 247 */
bool_t BgL_test3079z00_1125;
{ /* ./Ast/app.scm 247 */
BgL_valuez00_bglt BgL_arg3082z00_1126;
BgL_arg3082z00_1126 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1099))->BgL_valuez00); 
{ /* ./Ast/app.scm 247 */
obj_t BgL_obj1486z00_1737;
BgL_obj1486z00_1737 = 
(obj_t)(BgL_arg3082z00_1126); 
BgL_test3079z00_1125 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1486z00_1737, BGl_cfunz00zzast_varz00); } } 
if(BgL_test3079z00_1125)
{ /* ./Ast/app.scm 247 */
obj_t BgL_auxz00_3012;
BgL_auxz00_3012 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
(((BgL_variablez00_bglt)CREF(BgL_vz00_1099))->BgL_idz00), 
CNST_TABLE_REF(((long)9))); 
BgL_test3036z00_1100 = 
CBOOL(BgL_auxz00_3012); }  else 
{ /* ./Ast/app.scm 247 */
BgL_test3036z00_1100 = ((bool_t)0); } } 
if(BgL_test3036z00_1100)
{ /* ./Ast/app.scm 247 */
return 
BGl_makezd2specialzd2appzd2nodezd2zzast_appz00(BgL_locz00_18, BgL_varz00_19, BgL_argsz00_20);}  else 
{ /* ./Ast/app.scm 251 */
bool_t BgL_test3038z00_1101;
{ /* ./Ast/app.scm 251 */
BgL_valuez00_bglt BgL_arg3076z00_1124;
BgL_arg3076z00_1124 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1099))->BgL_valuez00); 
{ /* ./Ast/app.scm 251 */
obj_t BgL_obj1350z00_1743;
BgL_obj1350z00_1743 = 
(obj_t)(BgL_arg3076z00_1124); 
BgL_test3038z00_1101 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1350z00_1743, BGl_funz00zzast_varz00); } } 
if(BgL_test3038z00_1101)
{ /* ./Ast/app.scm 251 */
{ /* ./Ast/app.scm 254 */
obj_t BgL_arg3040z00_1102;BgL_typez00_bglt BgL_arg3041z00_1103;BgL_varz00_bglt BgL_arg3043z00_1105;obj_t BgL_arg3044z00_1106;
BgL_arg3040z00_1102 = BgL_locz00_18; 
BgL_arg3041z00_1103 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1099))->BgL_typez00); 
{ /* ./Ast/app.scm 256 */
bool_t BgL_test3047z00_1107;
{ /* ./Ast/app.scm 256 */
obj_t BgL_obj1658z00_1745;
BgL_obj1658z00_1745 = 
(obj_t)(BgL_varz00_19); 
BgL_test3047z00_1107 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1658z00_1745, BGl_closurez00zzast_nodez00); } 
if(BgL_test3047z00_1107)
{ /* ./Ast/app.scm 257 */
BgL_varz00_bglt BgL_new2660z00_1109;
{ /* ./Ast/app.scm 257 */
obj_t BgL_arg3049z00_1110;BgL_typez00_bglt BgL_arg3050z00_1111;BgL_variablez00_bglt BgL_arg3051z00_1112;
{ /* ./Ast/app.scm 257 */
BgL_nodez00_bglt BgL_obj1549z00_1746;
BgL_obj1549z00_1746 = 
(BgL_nodez00_bglt)(BgL_varz00_19); 
BgL_arg3049z00_1110 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_1746))->BgL_locz00); } 
{ /* ./Ast/app.scm 257 */
BgL_nodez00_bglt BgL_obj1550z00_1747;
BgL_obj1550z00_1747 = 
(BgL_nodez00_bglt)(BgL_varz00_19); 
BgL_arg3050z00_1111 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_1747))->BgL_typez00); } 
BgL_arg3051z00_1112 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_19))->BgL_variablez00); 
{ /* ./Ast/app.scm 257 */
BgL_varz00_bglt BgL_res3709z00_1767;
{ /* ./Ast/app.scm 257 */
BgL_varz00_bglt BgL_new1633z00_1752;
{ /* ./Ast/app.scm 257 */
BgL_varz00_bglt BgL_res3707z00_1758;
{ /* ./Ast/app.scm 257 */
BgL_varz00_bglt BgL_new1635z00_1753;
BgL_new1635z00_1753 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* ./Ast/app.scm 257 */
long BgL_arg3554z00_1754;
BgL_arg3554z00_1754 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* ./Ast/app.scm 257 */
BgL_objectz00_bglt BgL_objz00_1755;
BgL_objz00_1755 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1753); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1755, BgL_arg3554z00_1754); } } 
{ /* ./Ast/app.scm 257 */
BgL_objectz00_bglt BgL_auxz00_3036;
BgL_auxz00_3036 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1753); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3036, BFALSE); } 
{ /* ./Ast/app.scm 257 */
obj_t BgL_objz00_1757;
BgL_objz00_1757 = 
(obj_t)(BgL_new1635z00_1753); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1757); BUNSPEC; } 
BgL_res3707z00_1758 = BgL_new1635z00_1753; } 
BgL_new1633z00_1752 = BgL_res3707z00_1758; } 
{ /* ./Ast/app.scm 257 */
BgL_varz00_bglt BgL_res3708z00_1766;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1752))->BgL_locz00) = ((obj_t)BgL_arg3049z00_1110), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1752))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3050z00_1111), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1752))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_arg3051z00_1112), BUNSPEC); 
BgL_res3708z00_1766 = BgL_new1633z00_1752; BgL_res3708z00_1766; } 
BgL_res3709z00_1767 = BgL_new1633z00_1752; } 
BgL_new2660z00_1109 = BgL_res3709z00_1767; } } 
{ /* ./Ast/app.scm 257 */

BgL_arg3043z00_1105 = BgL_new2660z00_1109; } }  else 
{ /* ./Ast/app.scm 256 */
BgL_arg3043z00_1105 = BgL_varz00_19; } } 
BgL_arg3044z00_1106 = BgL_argsz00_20; 
{ /* ./Ast/app.scm 253 */
BgL_appz00_bglt BgL_res3712z00_1795;
{ /* ./Ast/app.scm 253 */
obj_t BgL_key1745z00_1771;
BgL_key1745z00_1771 = 
BINT(((long)-1)); 
{ /* ./Ast/app.scm 253 */
BgL_appz00_bglt BgL_new1748z00_1774;
{ /* ./Ast/app.scm 253 */
BgL_appz00_bglt BgL_res3710z00_1780;
{ /* ./Ast/app.scm 253 */
BgL_appz00_bglt BgL_new1750z00_1775;
BgL_new1750z00_1775 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* ./Ast/app.scm 253 */
long BgL_arg3518z00_1776;
BgL_arg3518z00_1776 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* ./Ast/app.scm 253 */
BgL_objectz00_bglt BgL_objz00_1777;
BgL_objz00_1777 = 
(BgL_objectz00_bglt)(BgL_new1750z00_1775); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1777, BgL_arg3518z00_1776); } } 
{ /* ./Ast/app.scm 253 */
BgL_objectz00_bglt BgL_auxz00_3049;
BgL_auxz00_3049 = 
(BgL_objectz00_bglt)(BgL_new1750z00_1775); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3049, BFALSE); } 
{ /* ./Ast/app.scm 253 */
obj_t BgL_objz00_1779;
BgL_objz00_1779 = 
(obj_t)(BgL_new1750z00_1775); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1779); BUNSPEC; } 
BgL_res3710z00_1780 = BgL_new1750z00_1775; } 
BgL_new1748z00_1774 = BgL_res3710z00_1780; } 
{ /* ./Ast/app.scm 253 */
BgL_appz00_bglt BgL_res3711z00_1794;
((((BgL_appz00_bglt)CREF(BgL_new1748z00_1774))->BgL_locz00) = ((obj_t)BgL_arg3040z00_1102), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_1774))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3041z00_1103), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_1774))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_1774))->BgL_keyz00) = ((obj_t)BgL_key1745z00_1771), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_1774))->BgL_funz00) = ((BgL_varz00_bglt)BgL_arg3043z00_1105), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_1774))->BgL_argsz00) = ((obj_t)BgL_arg3044z00_1106), BUNSPEC); 
BgL_res3711z00_1794 = BgL_new1748z00_1774; BgL_res3711z00_1794; } 
BgL_res3712z00_1795 = BgL_new1748z00_1774; } } 
return 
(obj_t)(BgL_res3712z00_1795);} } }  else 
{ /* ./Ast/app.scm 251 */
{ /* ./Ast/app.scm 263 */
obj_t BgL_arg3058z00_1113;obj_t BgL_arg3059z00_1114;BgL_varz00_bglt BgL_arg3060z00_1115;obj_t BgL_arg3061z00_1116;obj_t BgL_arg3062z00_1117;
BgL_arg3058z00_1113 = BgL_locz00_18; 
BgL_arg3059z00_1114 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg3060z00_1115 = BgL_varz00_19; 
{ /* ./Ast/app.scm 266 */
BgL_varz00_bglt BgL_arg3065z00_1118;
{ /* ./Ast/app.scm 266 */
BgL_varz00_bglt BgL_new2663z00_1120;
{ /* ./Ast/app.scm 266 */
obj_t BgL_arg3068z00_1121;BgL_typez00_bglt BgL_arg3069z00_1122;BgL_variablez00_bglt BgL_arg3070z00_1123;
{ /* ./Ast/app.scm 266 */
BgL_nodez00_bglt BgL_obj1549z00_1796;
BgL_obj1549z00_1796 = 
(BgL_nodez00_bglt)(BgL_varz00_19); 
BgL_arg3068z00_1121 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_1796))->BgL_locz00); } 
{ /* ./Ast/app.scm 266 */
BgL_nodez00_bglt BgL_obj1550z00_1797;
BgL_obj1550z00_1797 = 
(BgL_nodez00_bglt)(BgL_varz00_19); 
BgL_arg3069z00_1122 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_1797))->BgL_typez00); } 
BgL_arg3070z00_1123 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_19))->BgL_variablez00); 
{ /* ./Ast/app.scm 266 */
BgL_varz00_bglt BgL_res3715z00_1817;
{ /* ./Ast/app.scm 266 */
BgL_varz00_bglt BgL_new1633z00_1802;
{ /* ./Ast/app.scm 266 */
BgL_varz00_bglt BgL_res3713z00_1808;
{ /* ./Ast/app.scm 266 */
BgL_varz00_bglt BgL_new1635z00_1803;
BgL_new1635z00_1803 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* ./Ast/app.scm 266 */
long BgL_arg3554z00_1804;
BgL_arg3554z00_1804 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* ./Ast/app.scm 266 */
BgL_objectz00_bglt BgL_objz00_1805;
BgL_objz00_1805 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1803); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1805, BgL_arg3554z00_1804); } } 
{ /* ./Ast/app.scm 266 */
BgL_objectz00_bglt BgL_auxz00_3070;
BgL_auxz00_3070 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1803); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3070, BFALSE); } 
{ /* ./Ast/app.scm 266 */
obj_t BgL_objz00_1807;
BgL_objz00_1807 = 
(obj_t)(BgL_new1635z00_1803); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1807); BUNSPEC; } 
BgL_res3713z00_1808 = BgL_new1635z00_1803; } 
BgL_new1633z00_1802 = BgL_res3713z00_1808; } 
{ /* ./Ast/app.scm 266 */
BgL_varz00_bglt BgL_res3714z00_1816;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1802))->BgL_locz00) = ((obj_t)BgL_arg3068z00_1121), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1802))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3069z00_1122), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1802))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_arg3070z00_1123), BUNSPEC); 
BgL_res3714z00_1816 = BgL_new1633z00_1802; BgL_res3714z00_1816; } 
BgL_res3715z00_1817 = BgL_new1633z00_1802; } 
BgL_new2663z00_1120 = BgL_res3715z00_1817; } } 
{ /* ./Ast/app.scm 266 */

BgL_arg3065z00_1118 = BgL_new2663z00_1120; } } 
{ /* ./Ast/app.scm 266 */
obj_t BgL_auxz00_3078;
BgL_auxz00_3078 = 
(obj_t)(BgL_arg3065z00_1118); 
BgL_arg3061z00_1116 = 
MAKE_PAIR(BgL_auxz00_3078, BgL_argsz00_20); } } 
BgL_arg3062z00_1117 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Ast/app.scm 262 */
BgL_funcallz00_bglt BgL_res3718z00_1842;
{ /* ./Ast/app.scm 262 */
BgL_typez00_bglt BgL_type1808z00_1819;BgL_nodez00_bglt BgL_fun1809z00_1820;
BgL_type1808z00_1819 = 
(BgL_typez00_bglt)(BgL_arg3059z00_1114); 
BgL_fun1809z00_1820 = 
(BgL_nodez00_bglt)(BgL_arg3060z00_1115); 
{ /* ./Ast/app.scm 262 */
BgL_funcallz00_bglt BgL_new1812z00_1823;
{ /* ./Ast/app.scm 262 */
BgL_funcallz00_bglt BgL_res3716z00_1829;
{ /* ./Ast/app.scm 262 */
BgL_funcallz00_bglt BgL_new1814z00_1824;
BgL_new1814z00_1824 = 
((BgL_funcallz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_funcallz00_bgl) ))); 
{ /* ./Ast/app.scm 262 */
long BgL_arg3500z00_1825;
BgL_arg3500z00_1825 = 
BGl_classzd2numzd2zz__objectz00(BGl_funcallz00zzast_nodez00); 
{ /* ./Ast/app.scm 262 */
BgL_objectz00_bglt BgL_objz00_1826;
BgL_objz00_1826 = 
(BgL_objectz00_bglt)(BgL_new1814z00_1824); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1826, BgL_arg3500z00_1825); } } 
{ /* ./Ast/app.scm 262 */
BgL_objectz00_bglt BgL_auxz00_3088;
BgL_auxz00_3088 = 
(BgL_objectz00_bglt)(BgL_new1814z00_1824); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3088, BFALSE); } 
{ /* ./Ast/app.scm 262 */
obj_t BgL_objz00_1828;
BgL_objz00_1828 = 
(obj_t)(BgL_new1814z00_1824); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1828); BUNSPEC; } 
BgL_res3716z00_1829 = BgL_new1814z00_1824; } 
BgL_new1812z00_1823 = BgL_res3716z00_1829; } 
{ /* ./Ast/app.scm 262 */
BgL_funcallz00_bglt BgL_res3717z00_1841;
((((BgL_funcallz00_bglt)CREF(BgL_new1812z00_1823))->BgL_locz00) = ((obj_t)BgL_arg3058z00_1113), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1812z00_1823))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1808z00_1819), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1812z00_1823))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_fun1809z00_1820), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1812z00_1823))->BgL_argsz00) = ((obj_t)BgL_arg3061z00_1116), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1812z00_1823))->BgL_strengthz00) = ((obj_t)BgL_arg3062z00_1117), BUNSPEC); 
BgL_res3717z00_1841 = BgL_new1812z00_1823; BgL_res3717z00_1841; } 
BgL_res3718z00_1842 = BgL_new1812z00_1823; } } 
return 
(obj_t)(BgL_res3718z00_1842);} } } } } } } 
}



/* make-va-app-node */
BgL_nodez00_bglt BGl_makezd2vazd2appzd2nodezd2zzast_appz00(long BgL_arityz00_21, obj_t BgL_stackz00_22, obj_t BgL_locz00_23, BgL_varz00_bglt BgL_varz00_24, obj_t BgL_argsz00_25)
{ AN_OBJECT;
{ /* ./Ast/app.scm 271 */
{ 
obj_t BgL_oldzd2argszd2_1128;long BgL_arityz00_1129;obj_t BgL_fzd2argszd2_1130;
BgL_oldzd2argszd2_1128 = BgL_argsz00_25; 
BgL_arityz00_1129 = BgL_arityz00_21; 
BgL_fzd2argszd2_1130 = BNIL; 
BgL_loopz00_1131:
{ /* ./Ast/app.scm 279 */
bool_t BgL_test3087z00_1132;
BgL_test3087z00_1132 = 
(BgL_arityz00_1129==((long)-1)); 
if(BgL_test3087z00_1132)
{ /* ./Ast/app.scm 280 */
obj_t BgL_lzd2argzd2_1133;
{ /* ./Ast/app.scm 280 */
obj_t BgL_arg3121z00_1149;
BgL_arg3121z00_1149 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)11)), BEOA); 
BgL_lzd2argzd2_1133 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg3121z00_1149); } 
{ /* ./Ast/app.scm 280 */
obj_t BgL_lzd2expzd2_1134;
{ /* ./Ast/app.scm 281 */
obj_t BgL_arg3100z00_1140;obj_t BgL_arg3101z00_1141;
BgL_arg3100z00_1140 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Ast/app.scm 281 */
obj_t BgL_arg3104z00_1142;obj_t BgL_arg3105z00_1143;
{ /* ./Ast/app.scm 281 */
obj_t BgL_arg3108z00_1144;
{ /* ./Ast/app.scm 281 */
obj_t BgL_arg3112z00_1146;
{ /* ./Ast/app.scm 281 */
obj_t BgL_arg3115z00_1147;
BgL_arg3115z00_1147 = 
BGl_makezd2argszd2listz00zzast_appz00(BgL_oldzd2argszd2_1128); 
BgL_arg3112z00_1146 = 
MAKE_PAIR(BgL_arg3115z00_1147, BNIL); } 
BgL_arg3108z00_1144 = 
MAKE_PAIR(BgL_lzd2argzd2_1133, BgL_arg3112z00_1146); } 
BgL_arg3104z00_1142 = 
MAKE_PAIR(BgL_arg3108z00_1144, BNIL); } 
BgL_arg3105z00_1143 = 
MAKE_PAIR(BgL_lzd2argzd2_1133, BNIL); 
BgL_arg3101z00_1141 = 
MAKE_PAIR(BgL_arg3104z00_1142, BgL_arg3105z00_1143); } 
BgL_lzd2expzd2_1134 = 
MAKE_PAIR(BgL_arg3100z00_1140, BgL_arg3101z00_1141); } 
{ /* ./Ast/app.scm 281 */
BgL_nodez00_bglt BgL_lzd2nodezd2_1135;
BgL_lzd2nodezd2_1135 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_lzd2expzd2_1134, BgL_stackz00_22, BgL_locz00_23, 
CNST_TABLE_REF(((long)4))); 
{ /* ./Ast/app.scm 283 */
BgL_nodez00_bglt BgL_lzd2varzd2_1136;
{ /* ./Ast/app.scm 284 */
BgL_letzd2varzd2_bglt BgL_obj2470z00_1845;
BgL_obj2470z00_1845 = 
(BgL_letzd2varzd2_bglt)(BgL_lzd2nodezd2_1135); 
BgL_lzd2varzd2_1136 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2470z00_1845))->BgL_bodyz00); } 
{ /* ./Ast/app.scm 284 */
obj_t BgL_appz00_1137;
{ /* ./Ast/app.scm 287 */
obj_t BgL_arg3091z00_1138;
{ /* ./Ast/app.scm 287 */
obj_t BgL_arg3094z00_1139;
{ /* ./Ast/app.scm 287 */
obj_t BgL_auxz00_3117;
BgL_auxz00_3117 = 
(obj_t)(BgL_lzd2varzd2_1136); 
BgL_arg3094z00_1139 = 
MAKE_PAIR(BgL_auxz00_3117, BgL_fzd2argszd2_1130); } 
BgL_arg3091z00_1138 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg3094z00_1139); } 
BgL_appz00_1137 = 
BGl_makezd2fxzd2appzd2nodezd2zzast_appz00(BgL_locz00_23, BgL_varz00_24, BgL_arg3091z00_1138); } 
{ /* ./Ast/app.scm 285 */

{ /* ./Ast/app.scm 288 */
BgL_letzd2varzd2_bglt BgL_obj2472z00_1846;BgL_nodez00_bglt BgL_val2471z00_1847;
BgL_obj2472z00_1846 = 
(BgL_letzd2varzd2_bglt)(BgL_lzd2nodezd2_1135); 
BgL_val2471z00_1847 = 
(BgL_nodez00_bglt)(BgL_appz00_1137); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_obj2472z00_1846))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2471z00_1847), BUNSPEC); } 
return 
BGl_cleanzd2userzd2nodez12z12zzast_appz00(BgL_lzd2nodezd2_1135);} } } } } }  else 
{ /* ./Ast/app.scm 290 */
obj_t BgL_arg3126z00_1150;long BgL_arg3127z00_1151;obj_t BgL_arg3128z00_1152;
BgL_arg3126z00_1150 = 
CDR(BgL_oldzd2argszd2_1128); 
BgL_arg3127z00_1151 = 
(BgL_arityz00_1129+((long)1)); 
{ /* ./Ast/app.scm 292 */
BgL_nodez00_bglt BgL_arg3133z00_1153;
{ /* ./Ast/app.scm 292 */
obj_t BgL_arg3136z00_1154;obj_t BgL_arg3137z00_1155;
BgL_arg3136z00_1154 = 
CAR(BgL_oldzd2argszd2_1128); 
BgL_arg3137z00_1155 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg3133z00_1153 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3136z00_1154, BgL_stackz00_22, BgL_locz00_23, BgL_arg3137z00_1155); } 
{ /* ./Ast/app.scm 292 */
obj_t BgL_auxz00_3131;
BgL_auxz00_3131 = 
(obj_t)(BgL_arg3133z00_1153); 
BgL_arg3128z00_1152 = 
MAKE_PAIR(BgL_auxz00_3131, BgL_fzd2argszd2_1130); } } 
{ 
obj_t BgL_fzd2argszd2_3136;long BgL_arityz00_3135;obj_t BgL_oldzd2argszd2_3134;
BgL_oldzd2argszd2_3134 = BgL_arg3126z00_1150; 
BgL_arityz00_3135 = BgL_arg3127z00_1151; 
BgL_fzd2argszd2_3136 = BgL_arg3128z00_1152; 
BgL_fzd2argszd2_1130 = BgL_fzd2argszd2_3136; 
BgL_arityz00_1129 = BgL_arityz00_3135; 
BgL_oldzd2argszd2_1128 = BgL_oldzd2argszd2_3134; 
goto BgL_loopz00_1131;} } } } } 
}



/* make-args-list */
obj_t BGl_makezd2argszd2listz00zzast_appz00(obj_t BgL_argsz00_1156)
{ AN_OBJECT;
{ /* ./Ast/app.scm 275 */
{ /* ./Ast/app.scm 273 */
bool_t BgL_test3142z00_1158;
BgL_test3142z00_1158 = 
NULLP(BgL_argsz00_1156); 
if(BgL_test3142z00_1158)
{ /* ./Ast/app.scm 273 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* ./Ast/app.scm 275 */
obj_t BgL_arg3144z00_1159;obj_t BgL_arg3145z00_1160;
{ /* ./Ast/app.scm 275 */
obj_t BgL_arg3148z00_1161;obj_t BgL_arg3149z00_1162;
BgL_arg3148z00_1161 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Ast/app.scm 275 */
obj_t BgL_arg3152z00_1163;obj_t BgL_arg3153z00_1164;
BgL_arg3152z00_1163 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Ast/app.scm 275 */
obj_t BgL_auxz00_3142;
BgL_auxz00_3142 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg3153z00_1164 = 
MAKE_PAIR(BgL_auxz00_3142, BNIL); } 
BgL_arg3149z00_1162 = 
MAKE_PAIR(BgL_arg3152z00_1163, BgL_arg3153z00_1164); } 
BgL_arg3144z00_1159 = 
MAKE_PAIR(BgL_arg3148z00_1161, BgL_arg3149z00_1162); } 
{ /* ./Ast/app.scm 275 */
obj_t BgL_arg3157z00_1165;obj_t BgL_arg3158z00_1166;
BgL_arg3157z00_1165 = 
CAR(BgL_argsz00_1156); 
{ /* ./Ast/app.scm 275 */
obj_t BgL_arg3162z00_1167;
{ /* ./Ast/app.scm 275 */
obj_t BgL_arg3166z00_1169;
BgL_arg3166z00_1169 = 
CDR(BgL_argsz00_1156); 
BgL_arg3162z00_1167 = 
BGl_makezd2argszd2listz00zzast_appz00(BgL_arg3166z00_1169); } 
BgL_arg3158z00_1166 = 
MAKE_PAIR(BgL_arg3162z00_1167, BNIL); } 
BgL_arg3145z00_1160 = 
MAKE_PAIR(BgL_arg3157z00_1165, BgL_arg3158z00_1166); } 
return 
MAKE_PAIR(BgL_arg3144z00_1159, BgL_arg3145z00_1160);} } } 
}



/* make-special-app-node */
obj_t BGl_makezd2specialzd2appzd2nodezd2zzast_appz00(obj_t BgL_locz00_27, BgL_varz00_bglt BgL_variablez00_28, obj_t BgL_argsz00_29)
{ AN_OBJECT;
{ /* ./Ast/app.scm 310 */
{ /* ./Ast/app.scm 311 */
BgL_variablez00_bglt BgL_varz00_1173;
BgL_varz00_1173 = 
(((BgL_varz00_bglt)CREF(BgL_variablez00_28))->BgL_variablez00); 
{ /* ./Ast/app.scm 311 */
obj_t BgL_gnamez00_1174;
BgL_gnamez00_1174 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1173))->BgL_namez00); 
{ /* ./Ast/app.scm 312 */

{ /* ./Ast/app.scm 313 */
obj_t BgL_casezd2valuezd2_1175;
BgL_casezd2valuezd2_1175 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1173))->BgL_idz00); 
{ /* ./Ast/app.scm 313 */
bool_t BgL_test3175z00_1176;
{ /* ./Ast/app.scm 313 */
obj_t BgL_auxz00_3156;
BgL_auxz00_3156 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_1175, 
CNST_TABLE_REF(((long)14))); 
BgL_test3175z00_1176 = 
CBOOL(BgL_auxz00_3156); } 
if(BgL_test3175z00_1176)
{ /* ./Ast/app.scm 316 */
obj_t BgL_arg3177z00_1177;BgL_typez00_bglt BgL_arg3178z00_1178;obj_t BgL_arg3180z00_1180;obj_t BgL_arg3181z00_1181;obj_t BgL_arg3182z00_1182;
BgL_arg3177z00_1177 = BgL_locz00_27; 
BgL_arg3178z00_1178 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1173))->BgL_typez00); 
BgL_arg3180z00_1180 = BgL_argsz00_29; 
BgL_arg3181z00_1181 = 
string_append(BgL_gnamez00_1174, BGl_string3884z00zzast_appz00); 
{ /* ./Ast/app.scm 320 */
obj_t BgL_auxz00_3163;
{ /* ./Ast/app.scm 320 */
BgL_cfunz00_bglt BgL_obj1443z00_1863;
{ /* ./Ast/app.scm 320 */
BgL_valuez00_bglt BgL_auxz00_3164;
BgL_auxz00_3164 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1173))->BgL_valuez00); 
BgL_obj1443z00_1863 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3164); } 
BgL_auxz00_3163 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_1863))->BgL_argszd2typezd2); } 
BgL_arg3182z00_1182 = 
CAR(BgL_auxz00_3163); } 
{ /* ./Ast/app.scm 315 */
BgL_vlengthz00_bglt BgL_res3721z00_1895;
{ /* ./Ast/app.scm 315 */
obj_t BgL_key2199z00_1868;BgL_typez00_bglt BgL_vtype2202z00_1871;
BgL_key2199z00_1868 = 
BINT(((long)-1)); 
BgL_vtype2202z00_1871 = 
(BgL_typez00_bglt)(BgL_arg3182z00_1182); 
{ /* ./Ast/app.scm 315 */
BgL_vlengthz00_bglt BgL_new2203z00_1872;
{ /* ./Ast/app.scm 315 */
BgL_vlengthz00_bglt BgL_res3719z00_1878;
{ /* ./Ast/app.scm 315 */
BgL_vlengthz00_bglt BgL_new2205z00_1873;
BgL_new2205z00_1873 = 
((BgL_vlengthz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vlengthz00_bgl) ))); 
{ /* ./Ast/app.scm 315 */
long BgL_arg3419z00_1874;
BgL_arg3419z00_1874 = 
BGl_classzd2numzd2zz__objectz00(BGl_vlengthz00zzast_nodez00); 
{ /* ./Ast/app.scm 315 */
BgL_objectz00_bglt BgL_objz00_1875;
BgL_objz00_1875 = 
(BgL_objectz00_bglt)(BgL_new2205z00_1873); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1875, BgL_arg3419z00_1874); } } 
{ /* ./Ast/app.scm 315 */
BgL_objectz00_bglt BgL_auxz00_3175;
BgL_auxz00_3175 = 
(BgL_objectz00_bglt)(BgL_new2205z00_1873); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3175, BFALSE); } 
{ /* ./Ast/app.scm 315 */
obj_t BgL_objz00_1877;
BgL_objz00_1877 = 
(obj_t)(BgL_new2205z00_1873); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1877); BUNSPEC; } 
BgL_res3719z00_1878 = BgL_new2205z00_1873; } 
BgL_new2203z00_1872 = BgL_res3719z00_1878; } 
{ /* ./Ast/app.scm 315 */
BgL_vlengthz00_bglt BgL_res3720z00_1894;
((((BgL_vlengthz00_bglt)CREF(BgL_new2203z00_1872))->BgL_locz00) = ((obj_t)BgL_arg3177z00_1177), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2203z00_1872))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3178z00_1178), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2203z00_1872))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2203z00_1872))->BgL_keyz00) = ((obj_t)BgL_key2199z00_1868), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2203z00_1872))->BgL_exprza2za2) = ((obj_t)BgL_arg3180z00_1180), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2203z00_1872))->BgL_czd2formatzd2) = ((obj_t)BgL_arg3181z00_1181), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2203z00_1872))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_vtype2202z00_1871), BUNSPEC); 
BgL_res3720z00_1894 = BgL_new2203z00_1872; BgL_res3720z00_1894; } 
BgL_res3721z00_1895 = BgL_new2203z00_1872; } } 
return 
(obj_t)(BgL_res3721z00_1895);} }  else 
{ /* ./Ast/app.scm 313 */
bool_t BgL_test3193z00_1185;
{ /* ./Ast/app.scm 313 */
obj_t BgL_auxz00_3188;
BgL_auxz00_3188 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_1175, 
CNST_TABLE_REF(((long)15))); 
BgL_test3193z00_1185 = 
CBOOL(BgL_auxz00_3188); } 
if(BgL_test3193z00_1185)
{ /* ./Ast/app.scm 323 */
obj_t BgL_arg3195z00_1186;BgL_typez00_bglt BgL_arg3196z00_1187;obj_t BgL_arg3198z00_1189;obj_t BgL_arg3199z00_1190;BgL_typez00_bglt BgL_arg3200z00_1191;obj_t BgL_arg3201z00_1192;obj_t BgL_arg3202z00_1193;
BgL_arg3195z00_1186 = BgL_locz00_27; 
BgL_arg3196z00_1187 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1173))->BgL_typez00); 
BgL_arg3198z00_1189 = BgL_argsz00_29; 
BgL_arg3199z00_1190 = 
string_append(BgL_gnamez00_1174, BGl_string3885z00zzast_appz00); 
BgL_arg3200z00_1191 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1173))->BgL_typez00); 
{ /* ./Ast/app.scm 329 */
obj_t BgL_auxz00_3196;
{ /* ./Ast/app.scm 329 */
obj_t BgL_auxz00_3197;
{ /* ./Ast/app.scm 329 */
BgL_cfunz00_bglt BgL_obj1443z00_1899;
{ /* ./Ast/app.scm 329 */
BgL_valuez00_bglt BgL_auxz00_3198;
BgL_auxz00_3198 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1173))->BgL_valuez00); 
BgL_obj1443z00_1899 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3198); } 
BgL_auxz00_3197 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_1899))->BgL_argszd2typezd2); } 
BgL_auxz00_3196 = 
CDR(BgL_auxz00_3197); } 
BgL_arg3201z00_1192 = 
CAR(BgL_auxz00_3196); } 
{ /* ./Ast/app.scm 327 */
obj_t BgL_auxz00_3204;
{ /* ./Ast/app.scm 327 */
BgL_cfunz00_bglt BgL_obj1443z00_1905;
{ /* ./Ast/app.scm 327 */
BgL_valuez00_bglt BgL_auxz00_3205;
BgL_auxz00_3205 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1173))->BgL_valuez00); 
BgL_obj1443z00_1905 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3205); } 
BgL_auxz00_3204 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_1905))->BgL_argszd2typezd2); } 
BgL_arg3202z00_1193 = 
CAR(BgL_auxz00_3204); } 
{ /* ./Ast/app.scm 322 */
BgL_vrefz00_bglt BgL_res3724z00_1943;
{ /* ./Ast/app.scm 322 */
obj_t BgL_key2103z00_1910;BgL_typez00_bglt BgL_otype2107z00_1914;BgL_typez00_bglt BgL_vtype2108z00_1915;
BgL_key2103z00_1910 = 
BINT(((long)-1)); 
BgL_otype2107z00_1914 = 
(BgL_typez00_bglt)(BgL_arg3201z00_1192); 
BgL_vtype2108z00_1915 = 
(BgL_typez00_bglt)(BgL_arg3202z00_1193); 
{ /* ./Ast/app.scm 322 */
BgL_vrefz00_bglt BgL_new2109z00_1916;
{ /* ./Ast/app.scm 322 */
BgL_vrefz00_bglt BgL_res3722z00_1922;
{ /* ./Ast/app.scm 322 */
BgL_vrefz00_bglt BgL_new2111z00_1917;
BgL_new2111z00_1917 = 
((BgL_vrefz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vrefz00_bgl) ))); 
{ /* ./Ast/app.scm 322 */
long BgL_arg3437z00_1918;
BgL_arg3437z00_1918 = 
BGl_classzd2numzd2zz__objectz00(BGl_vrefz00zzast_nodez00); 
{ /* ./Ast/app.scm 322 */
BgL_objectz00_bglt BgL_objz00_1919;
BgL_objz00_1919 = 
(BgL_objectz00_bglt)(BgL_new2111z00_1917); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1919, BgL_arg3437z00_1918); } } 
{ /* ./Ast/app.scm 322 */
BgL_objectz00_bglt BgL_auxz00_3217;
BgL_auxz00_3217 = 
(BgL_objectz00_bglt)(BgL_new2111z00_1917); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3217, BFALSE); } 
{ /* ./Ast/app.scm 322 */
obj_t BgL_objz00_1921;
BgL_objz00_1921 = 
(obj_t)(BgL_new2111z00_1917); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1921); BUNSPEC; } 
BgL_res3722z00_1922 = BgL_new2111z00_1917; } 
BgL_new2109z00_1916 = BgL_res3722z00_1922; } 
{ /* ./Ast/app.scm 322 */
BgL_vrefz00_bglt BgL_res3723z00_1942;
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_1916))->BgL_locz00) = ((obj_t)BgL_arg3195z00_1186), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_1916))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3196z00_1187), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_1916))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_1916))->BgL_keyz00) = ((obj_t)BgL_key2103z00_1910), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_1916))->BgL_exprza2za2) = ((obj_t)BgL_arg3198z00_1189), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_1916))->BgL_czd2formatzd2) = ((obj_t)BgL_arg3199z00_1190), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_1916))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_arg3200z00_1191), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_1916))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2107z00_1914), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_1916))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_vtype2108z00_1915), BUNSPEC); 
BgL_res3723z00_1942 = BgL_new2109z00_1916; BgL_res3723z00_1942; } 
BgL_res3724z00_1943 = BgL_new2109z00_1916; } } 
return 
(obj_t)(BgL_res3724z00_1943);} }  else 
{ /* ./Ast/app.scm 313 */
bool_t BgL_test3221z00_1198;
{ /* ./Ast/app.scm 313 */
obj_t BgL_auxz00_3232;
BgL_auxz00_3232 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_1175, 
CNST_TABLE_REF(((long)16))); 
BgL_test3221z00_1198 = 
CBOOL(BgL_auxz00_3232); } 
if(BgL_test3221z00_1198)
{ /* ./Ast/app.scm 332 */
obj_t BgL_arg3223z00_1199;BgL_typez00_bglt BgL_arg3224z00_1200;obj_t BgL_arg3226z00_1202;obj_t BgL_arg3227z00_1203;obj_t BgL_arg3228z00_1204;obj_t BgL_arg3229z00_1205;obj_t BgL_arg3230z00_1206;
BgL_arg3223z00_1199 = BgL_locz00_27; 
BgL_arg3224z00_1200 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1173))->BgL_typez00); 
BgL_arg3226z00_1202 = BgL_argsz00_29; 
BgL_arg3227z00_1203 = 
string_append(BgL_gnamez00_1174, BGl_string3886z00zzast_appz00); 
{ /* ./Ast/app.scm 338 */
obj_t BgL_auxz00_3239;
{ /* ./Ast/app.scm 338 */
obj_t BgL_auxz00_3240;
{ /* ./Ast/app.scm 338 */
obj_t BgL_auxz00_3241;
{ /* ./Ast/app.scm 338 */
BgL_cfunz00_bglt BgL_obj1443z00_1946;
{ /* ./Ast/app.scm 338 */
BgL_valuez00_bglt BgL_auxz00_3242;
BgL_auxz00_3242 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1173))->BgL_valuez00); 
BgL_obj1443z00_1946 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3242); } 
BgL_auxz00_3241 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_1946))->BgL_argszd2typezd2); } 
BgL_auxz00_3240 = 
CDR(BgL_auxz00_3241); } 
BgL_auxz00_3239 = 
CDR(BgL_auxz00_3240); } 
BgL_arg3228z00_1204 = 
CAR(BgL_auxz00_3239); } 
{ /* ./Ast/app.scm 337 */
obj_t BgL_auxz00_3249;
{ /* ./Ast/app.scm 337 */
obj_t BgL_auxz00_3250;
{ /* ./Ast/app.scm 337 */
BgL_cfunz00_bglt BgL_obj1443z00_1954;
{ /* ./Ast/app.scm 337 */
BgL_valuez00_bglt BgL_auxz00_3251;
BgL_auxz00_3251 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1173))->BgL_valuez00); 
BgL_obj1443z00_1954 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3251); } 
BgL_auxz00_3250 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_1954))->BgL_argszd2typezd2); } 
BgL_auxz00_3249 = 
CDR(BgL_auxz00_3250); } 
BgL_arg3229z00_1205 = 
CAR(BgL_auxz00_3249); } 
{ /* ./Ast/app.scm 336 */
obj_t BgL_auxz00_3257;
{ /* ./Ast/app.scm 336 */
BgL_cfunz00_bglt BgL_obj1443z00_1960;
{ /* ./Ast/app.scm 336 */
BgL_valuez00_bglt BgL_auxz00_3258;
BgL_auxz00_3258 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1173))->BgL_valuez00); 
BgL_obj1443z00_1960 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3258); } 
BgL_auxz00_3257 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_1960))->BgL_argszd2typezd2); } 
BgL_arg3230z00_1206 = 
CAR(BgL_auxz00_3257); } 
{ /* ./Ast/app.scm 331 */
BgL_vsetz12z12_bglt BgL_res3727z00_1998;
{ /* ./Ast/app.scm 331 */
obj_t BgL_key2155z00_1965;BgL_typez00_bglt BgL_ftype2158z00_1968;BgL_typez00_bglt BgL_otype2159z00_1969;BgL_typez00_bglt BgL_vtype2160z00_1970;
BgL_key2155z00_1965 = 
BINT(((long)-1)); 
BgL_ftype2158z00_1968 = 
(BgL_typez00_bglt)(BgL_arg3228z00_1204); 
BgL_otype2159z00_1969 = 
(BgL_typez00_bglt)(BgL_arg3229z00_1205); 
BgL_vtype2160z00_1970 = 
(BgL_typez00_bglt)(BgL_arg3230z00_1206); 
{ /* ./Ast/app.scm 331 */
BgL_vsetz12z12_bglt BgL_new2161z00_1971;
{ /* ./Ast/app.scm 331 */
BgL_vsetz12z12_bglt BgL_res3725z00_1977;
{ /* ./Ast/app.scm 331 */
BgL_vsetz12z12_bglt BgL_new2163z00_1972;
BgL_new2163z00_1972 = 
((BgL_vsetz12z12_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vsetz12z12_bgl) ))); 
{ /* ./Ast/app.scm 331 */
long BgL_arg3428z00_1973;
BgL_arg3428z00_1973 = 
BGl_classzd2numzd2zz__objectz00(BGl_vsetz12z12zzast_nodez00); 
{ /* ./Ast/app.scm 331 */
BgL_objectz00_bglt BgL_objz00_1974;
BgL_objz00_1974 = 
(BgL_objectz00_bglt)(BgL_new2163z00_1972); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1974, BgL_arg3428z00_1973); } } 
{ /* ./Ast/app.scm 331 */
BgL_objectz00_bglt BgL_auxz00_3271;
BgL_auxz00_3271 = 
(BgL_objectz00_bglt)(BgL_new2163z00_1972); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3271, BFALSE); } 
{ /* ./Ast/app.scm 331 */
obj_t BgL_objz00_1976;
BgL_objz00_1976 = 
(obj_t)(BgL_new2163z00_1972); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1976); BUNSPEC; } 
BgL_res3725z00_1977 = BgL_new2163z00_1972; } 
BgL_new2161z00_1971 = BgL_res3725z00_1977; } 
{ /* ./Ast/app.scm 331 */
BgL_vsetz12z12_bglt BgL_res3726z00_1997;
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_1971))->BgL_locz00) = ((obj_t)BgL_arg3223z00_1199), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_1971))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3224z00_1200), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_1971))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_1971))->BgL_keyz00) = ((obj_t)BgL_key2155z00_1965), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_1971))->BgL_exprza2za2) = ((obj_t)BgL_arg3226z00_1202), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_1971))->BgL_czd2formatzd2) = ((obj_t)BgL_arg3227z00_1203), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_1971))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_ftype2158z00_1968), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_1971))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2159z00_1969), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_1971))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_vtype2160z00_1970), BUNSPEC); 
BgL_res3726z00_1997 = BgL_new2161z00_1971; BgL_res3726z00_1997; } 
BgL_res3727z00_1998 = BgL_new2161z00_1971; } } 
return 
(obj_t)(BgL_res3727z00_1998);} }  else 
{ /* ./Ast/app.scm 313 */
bool_t BgL_test3255z00_1213;
{ /* ./Ast/app.scm 313 */
obj_t BgL_auxz00_3286;
BgL_auxz00_3286 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_1175, 
CNST_TABLE_REF(((long)17))); 
BgL_test3255z00_1213 = 
CBOOL(BgL_auxz00_3286); } 
if(BgL_test3255z00_1213)
{ /* ./Ast/app.scm 340 */
obj_t BgL_stackzd2alloczd2_1214;
{ /* ./Ast/app.scm 340 */
BgL_funz00_bglt BgL_obj1318z00_2000;
{ /* ./Ast/app.scm 340 */
BgL_valuez00_bglt BgL_auxz00_3291;
BgL_auxz00_3291 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1173))->BgL_valuez00); 
BgL_obj1318z00_2000 = 
(BgL_funz00_bglt)(BgL_auxz00_3291); } 
BgL_stackzd2alloczd2_1214 = 
(((BgL_funz00_bglt)CREF(BgL_obj1318z00_2000))->BgL_stackzd2allocatorzd2); } 
{ /* ./Ast/app.scm 340 */
obj_t BgL_heapzd2formatzd2_1215;
BgL_heapzd2formatzd2_1215 = 
string_append(BgL_gnamez00_1174, BGl_string3884z00zzast_appz00); 
{ /* ./Ast/app.scm 341 */
obj_t BgL_stackzd2formatzd2_1216;
{ /* ./Ast/app.scm 342 */
bool_t BgL_test3273z00_1225;
BgL_test3273z00_1225 = 
BGl_iszd2azf3z21zz__objectz00(BgL_stackzd2alloczd2_1214, BGl_globalz00zzast_varz00); 
if(BgL_test3273z00_1225)
{ /* ./Ast/app.scm 343 */
obj_t BgL_arg3275z00_1226;
{ /* ./Ast/app.scm 343 */
BgL_variablez00_bglt BgL_obj1098z00_2002;
BgL_obj1098z00_2002 = 
(BgL_variablez00_bglt)(BgL_stackzd2alloczd2_1214); 
BgL_arg3275z00_1226 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1098z00_2002))->BgL_namez00); } 
BgL_stackzd2formatzd2_1216 = 
string_append(BgL_arg3275z00_1226, BGl_string3884z00zzast_appz00); }  else 
{ /* ./Ast/app.scm 342 */
BgL_stackzd2formatzd2_1216 = BgL_heapzd2formatzd2_1215; } } 
{ /* ./Ast/app.scm 342 */

{ /* ./Ast/app.scm 347 */
obj_t BgL_arg3257z00_1217;BgL_typez00_bglt BgL_arg3258z00_1218;obj_t BgL_arg3260z00_1220;obj_t BgL_arg3261z00_1221;obj_t BgL_arg3263z00_1222;
BgL_arg3257z00_1217 = BgL_locz00_27; 
BgL_arg3258z00_1218 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1173))->BgL_typez00); 
BgL_arg3260z00_1220 = BgL_argsz00_29; 
BgL_arg3261z00_1221 = BgL_heapzd2formatzd2_1215; 
{ /* ./Ast/app.scm 350 */
obj_t BgL_auxz00_3302;
{ /* ./Ast/app.scm 350 */
BgL_cfunz00_bglt BgL_obj1443z00_2005;
{ /* ./Ast/app.scm 350 */
BgL_valuez00_bglt BgL_auxz00_3303;
BgL_auxz00_3303 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1173))->BgL_valuez00); 
BgL_obj1443z00_2005 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3303); } 
BgL_auxz00_3302 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_2005))->BgL_argszd2typezd2); } 
BgL_arg3263z00_1222 = 
CAR(BgL_auxz00_3302); } 
{ /* ./Ast/app.scm 346 */
BgL_vallocz00_bglt BgL_res3730z00_2040;
{ /* ./Ast/app.scm 346 */
obj_t BgL_key2052z00_2010;BgL_typez00_bglt BgL_ftype2055z00_2013;BgL_typez00_bglt BgL_otype2056z00_2014;
BgL_key2052z00_2010 = 
BINT(((long)-1)); 
BgL_ftype2055z00_2013 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
BgL_otype2056z00_2014 = 
(BgL_typez00_bglt)(BgL_arg3263z00_1222); 
{ /* ./Ast/app.scm 346 */
BgL_vallocz00_bglt BgL_new2057z00_2015;
{ /* ./Ast/app.scm 346 */
BgL_vallocz00_bglt BgL_res3728z00_2021;
{ /* ./Ast/app.scm 346 */
BgL_vallocz00_bglt BgL_new2059z00_2016;
BgL_new2059z00_2016 = 
((BgL_vallocz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vallocz00_bgl) ))); 
{ /* ./Ast/app.scm 346 */
long BgL_arg3446z00_2017;
BgL_arg3446z00_2017 = 
BGl_classzd2numzd2zz__objectz00(BGl_vallocz00zzast_nodez00); 
{ /* ./Ast/app.scm 346 */
BgL_objectz00_bglt BgL_objz00_2018;
BgL_objz00_2018 = 
(BgL_objectz00_bglt)(BgL_new2059z00_2016); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2018, BgL_arg3446z00_2017); } } 
{ /* ./Ast/app.scm 346 */
BgL_objectz00_bglt BgL_auxz00_3315;
BgL_auxz00_3315 = 
(BgL_objectz00_bglt)(BgL_new2059z00_2016); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3315, BFALSE); } 
{ /* ./Ast/app.scm 346 */
obj_t BgL_objz00_2020;
BgL_objz00_2020 = 
(obj_t)(BgL_new2059z00_2016); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_2020); BUNSPEC; } 
BgL_res3728z00_2021 = BgL_new2059z00_2016; } 
BgL_new2057z00_2015 = BgL_res3728z00_2021; } 
{ /* ./Ast/app.scm 346 */
BgL_vallocz00_bglt BgL_res3729z00_2039;
((((BgL_vallocz00_bglt)CREF(BgL_new2057z00_2015))->BgL_locz00) = ((obj_t)BgL_arg3257z00_1217), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2057z00_2015))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3258z00_1218), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2057z00_2015))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2057z00_2015))->BgL_keyz00) = ((obj_t)BgL_key2052z00_2010), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2057z00_2015))->BgL_exprza2za2) = ((obj_t)BgL_arg3260z00_1220), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2057z00_2015))->BgL_czd2heapzd2formatz00) = ((obj_t)BgL_arg3261z00_1221), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2057z00_2015))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_ftype2055z00_2013), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2057z00_2015))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2056z00_2014), BUNSPEC); 
BgL_res3729z00_2039 = BgL_new2057z00_2015; BgL_res3729z00_2039; } 
BgL_res3730z00_2040 = BgL_new2057z00_2015; } } 
return 
(obj_t)(BgL_res3730z00_2040);} } } } } }  else 
{ /* ./Ast/app.scm 353 */
obj_t BgL_arg3288z00_1231;
BgL_arg3288z00_1231 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_varz00_1173)); 
FAILURE(BGl_string3887z00zzast_appz00,BGl_string3888z00zzast_appz00,BgL_arg3288z00_1231);} } } } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_appz00()
{ AN_OBJECT;
{ /* ./Ast/app.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_appz00()
{ AN_OBJECT;
{ /* ./Ast/app.scm 14 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "ast_app"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "ast_app"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "ast_app"); 
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "ast_app"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "ast_app"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "ast_app"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "ast_app"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "ast_app"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)15705), "ast_app"); 
return 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "ast_app");} 
}

