/*===========================================================================*/
/*   (Ast/exit.scm)                                                          */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Ast/exit.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzast_exitz00();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_sexitz00zzast_varz00;
extern BgL_localz00_bglt BGl_makezd2localzd2sexitz00zzast_localz00(obj_t, BgL_typez00_bglt, BgL_sexitz00_bglt);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzast_exitz00();
static obj_t BGl_importedzd2moduleszd2initz00zzast_exitz00();
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t, obj_t);
extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2exitza2z00zztype_cachez00;
static obj_t BGl__setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_exitz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzast_exitz00();
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 3 ] ;


DEFINE_STRING( BGl_string3259z00zzast_exitz00, BgL_bgl_string3259za700za7za7ast_exitza7003284z00, "snifun value labels ", 20 );
DEFINE_STRING( BGl_string3258z00zzast_exitz00, BgL_bgl_string3258za700za7za7ast_exitza7003285z00, "Illegal `jump-exit' form", 24 );
DEFINE_STRING( BGl_string3257z00zzast_exitz00, BgL_bgl_string3257za700za7za7ast_exitza7003286z00, "Illegal `set-exit' form", 23 );
DEFINE_STRING( BGl_string3256z00zzast_exitz00, BgL_bgl_string3256za700za7za7ast_exitza7003287z00, "exit", 4 );
DEFINE_EXPORT_PROCEDURE( BGl_setzd2exitzd2ze3nodezd2envz31zzast_exitz00, BgL_bgl__setza7d2exitza7d2za7e3nodeza7e3za7za7ast_exitza7003288za7, BGl__setzd2exitzd2ze3nodeze3zzast_exitz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_jumpzd2exitzd2ze3nodezd2envz31zzast_exitz00, BgL_bgl__jumpza7d2exitza7d2za7e3nodeza7e3za7za7ast_exitza7003289za7, BGl__jumpzd2exitzd2ze3nodeze3zzast_exitz00, 0L, 4 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long BgL_checksumz00_2027, char * BgL_fromz00_2028)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_exitz00))
{ 
BGl_requirezd2initializa7ationz75zzast_exitz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_exitz00(); 
BGl_cnstzd2initzd2zzast_exitz00(); 
BGl_importedzd2moduleszd2initz00zzast_exitz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_exitz00()
{ AN_OBJECT;
{ /* ./Ast/exit.scm 14 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_exit"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_exit"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_exitz00()
{ AN_OBJECT;
{ /* ./Ast/exit.scm 14 */
{ /* ./Ast/exit.scm 14 */
obj_t BgL_cportz00_2020;
BgL_cportz00_2020 = 
open_input_string(BGl_string3259z00zzast_exitz00); 
{ 
long BgL_iz00_2021;
BgL_iz00_2021 = ((long)2); 
BgL_loopz00_2022:
{ /* ./Ast/exit.scm 14 */
bool_t BgL_test3261z00_2023;
BgL_test3261z00_2023 = 
(BgL_iz00_2021==((long)-1)); 
if(BgL_test3261z00_2023)
{ /* ./Ast/exit.scm 14 */
return BUNSPEC;}  else 
{ /* ./Ast/exit.scm 14 */
{ /* ./Ast/exit.scm 14 */
obj_t BgL_arg3263z00_2024;
{ /* ./Ast/exit.scm 14 */
obj_t BgL_list3266z00_2025;
BgL_list3266z00_2025 = 
MAKE_PAIR(BgL_cportz00_2020, BNIL); 
BgL_arg3263z00_2024 = 
BGl_readz00zz__readerz00(BgL_list3266z00_2025); } 
{ /* ./Ast/exit.scm 14 */
int BgL_auxz00_2042;
BgL_auxz00_2042 = 
(int)(BgL_iz00_2021); 
CNST_TABLE_SET(BgL_auxz00_2042, BgL_arg3263z00_2024); } } 
{ /* ./Ast/exit.scm 14 */
int BgL_auxz00_2026;
{ /* ./Ast/exit.scm 14 */
long BgL_auxz00_2045;
BgL_auxz00_2045 = 
(BgL_iz00_2021-((long)1)); 
BgL_auxz00_2026 = 
(int)(BgL_auxz00_2045); } 
{ 
long BgL_iz00_2048;
BgL_iz00_2048 = 
(long)(BgL_auxz00_2026); 
BgL_iz00_2021 = BgL_iz00_2048; 
goto BgL_loopz00_2022;} } } } } } } 
}



/* set-exit->node */
BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t BgL_expz00_1, obj_t BgL_stackz00_2, obj_t BgL_locz00_3, obj_t BgL_sitez00_4)
{ AN_OBJECT;
{ /* ./Ast/exit.scm 33 */
{ /* ./Ast/exit.scm 36 */
obj_t BgL_locz00_891;
BgL_locz00_891 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_1, BgL_locz00_3); 
{ 
obj_t BgL_exitz00_892;obj_t BgL_bodyz00_893;
{ /* ./Ast/exit.scm 37 */
bool_t BgL_test2659z00_897;
BgL_test2659z00_897 = 
PAIRP(BgL_expz00_1); 
if(BgL_test2659z00_897)
{ /* ./Ast/exit.scm 37 */
obj_t BgL_cdrzd2128zd2_898;
BgL_cdrzd2128zd2_898 = 
CDR(BgL_expz00_1); 
{ /* ./Ast/exit.scm 37 */
bool_t BgL_test2660z00_899;
BgL_test2660z00_899 = 
PAIRP(BgL_cdrzd2128zd2_898); 
if(BgL_test2660z00_899)
{ /* ./Ast/exit.scm 37 */
obj_t BgL_carzd2131zd2_900;
BgL_carzd2131zd2_900 = 
CAR(BgL_cdrzd2128zd2_898); 
{ /* ./Ast/exit.scm 37 */
bool_t BgL_test2661z00_901;
BgL_test2661z00_901 = 
PAIRP(BgL_carzd2131zd2_900); 
if(BgL_test2661z00_901)
{ /* ./Ast/exit.scm 37 */
bool_t BgL_test2662z00_902;
{ /* ./Ast/exit.scm 37 */
obj_t BgL_auxz00_2059;
BgL_auxz00_2059 = 
CDR(BgL_carzd2131zd2_900); 
BgL_test2662z00_902 = 
NULLP(BgL_auxz00_2059); } 
if(BgL_test2662z00_902)
{ /* ./Ast/exit.scm 37 */
obj_t BgL_arg2664z00_903;obj_t BgL_arg2665z00_904;
BgL_arg2664z00_903 = 
CAR(BgL_carzd2131zd2_900); 
BgL_arg2665z00_904 = 
CDR(BgL_cdrzd2128zd2_898); 
{ /* ./Ast/exit.scm 37 */
BgL_nodez00_bglt BgL_auxz00_2065;
BgL_exitz00_892 = BgL_arg2664z00_903; 
BgL_bodyz00_893 = BgL_arg2665z00_904; 
{ /* ./Ast/exit.scm 39 */
obj_t BgL_hdlgzd2namezd2_906;
{ /* ./Ast/exit.scm 40 */
obj_t BgL_arg2742z00_938;
{ /* ./Ast/exit.scm 40 */
obj_t BgL_list2745z00_939;
BgL_list2745z00_939 = 
MAKE_PAIR(BGl_string3256z00zzast_exitz00, BNIL); 
BgL_arg2742z00_938 = 
BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_891, BgL_list2745z00_939); } 
BgL_hdlgzd2namezd2_906 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2742z00_938); } 
{ /* ./Ast/exit.scm 39 */
obj_t BgL_hdlgzd2sexpzd2_907;
{ /* ./Ast/exit.scm 41 */
obj_t BgL_arg2717z00_927;obj_t BgL_arg2718z00_928;
BgL_arg2717z00_927 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Ast/exit.scm 41 */
obj_t BgL_arg2721z00_929;obj_t BgL_arg2722z00_930;
{ /* ./Ast/exit.scm 41 */
obj_t BgL_arg2725z00_931;
{ /* ./Ast/exit.scm 41 */
obj_t BgL_arg2729z00_933;
{ /* ./Ast/exit.scm 41 */
obj_t BgL_arg2733z00_935;
BgL_arg2733z00_935 = 
MAKE_PAIR(BUNSPEC, BNIL); 
BgL_arg2729z00_933 = 
MAKE_PAIR(BNIL, BgL_arg2733z00_935); } 
BgL_arg2725z00_931 = 
MAKE_PAIR(BgL_hdlgzd2namezd2_906, BgL_arg2729z00_933); } 
BgL_arg2721z00_929 = 
MAKE_PAIR(BgL_arg2725z00_931, BNIL); } 
{ /* ./Ast/exit.scm 42 */
obj_t BgL_arg2737z00_936;
BgL_arg2737z00_936 = 
MAKE_PAIR(BgL_hdlgzd2namezd2_906, BNIL); 
BgL_arg2722z00_930 = 
MAKE_PAIR(BgL_arg2737z00_936, BNIL); } 
BgL_arg2718z00_928 = 
MAKE_PAIR(BgL_arg2721z00_929, BgL_arg2722z00_930); } 
BgL_hdlgzd2sexpzd2_907 = 
MAKE_PAIR(BgL_arg2717z00_927, BgL_arg2718z00_928); } 
{ /* ./Ast/exit.scm 41 */
BgL_nodez00_bglt BgL_hdlgzd2nodezd2_908;
BgL_hdlgzd2nodezd2_908 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_hdlgzd2sexpzd2_907, BgL_stackz00_2, BgL_locz00_891, BgL_sitez00_4); 
{ /* ./Ast/exit.scm 43 */
obj_t BgL_hdlgzd2funzd2_909;
{ /* ./Ast/exit.scm 44 */
obj_t BgL_auxz00_2079;
{ /* ./Ast/exit.scm 44 */
BgL_letzd2funzd2_bglt BgL_obj2427z00_1359;
BgL_obj2427z00_1359 = 
(BgL_letzd2funzd2_bglt)(BgL_hdlgzd2nodezd2_908); 
BgL_auxz00_2079 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_obj2427z00_1359))->BgL_localsz00); } 
BgL_hdlgzd2funzd2_909 = 
CAR(BgL_auxz00_2079); } 
{ /* ./Ast/exit.scm 44 */
BgL_localz00_bglt BgL_exitz00_910;
{ /* ./Ast/exit.scm 45 */
BgL_sexitz00_bglt BgL_arg2751z00_1363;
{ /* ./Ast/exit.scm 45 */
obj_t BgL_arg2754z00_1364;
BgL_arg2754z00_1364 = BgL_hdlgzd2funzd2_909; 
{ /* ./Ast/exit.scm 45 */
BgL_sexitz00_bglt BgL_res3192z00_1380;
{ /* ./Ast/exit.scm 45 */
BgL_sexitz00_bglt BgL_new1545z00_1367;
{ /* ./Ast/exit.scm 45 */
BgL_sexitz00_bglt BgL_res3190z00_1373;
{ /* ./Ast/exit.scm 45 */
BgL_sexitz00_bglt BgL_new1547z00_1368;
BgL_new1547z00_1368 = 
((BgL_sexitz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sexitz00_bgl) ))); 
{ /* ./Ast/exit.scm 45 */
long BgL_arg3076z00_1369;
BgL_arg3076z00_1369 = 
BGl_classzd2numzd2zz__objectz00(BGl_sexitz00zzast_varz00); 
{ /* ./Ast/exit.scm 45 */
BgL_objectz00_bglt BgL_objz00_1370;
BgL_objz00_1370 = 
(BgL_objectz00_bglt)(BgL_new1547z00_1368); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1370, BgL_arg3076z00_1369); } } 
{ /* ./Ast/exit.scm 45 */
BgL_objectz00_bglt BgL_auxz00_2087;
BgL_auxz00_2087 = 
(BgL_objectz00_bglt)(BgL_new1547z00_1368); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2087, BFALSE); } 
{ /* ./Ast/exit.scm 45 */
obj_t BgL_objz00_1372;
BgL_objz00_1372 = 
(obj_t)(BgL_new1547z00_1368); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1372); BUNSPEC; } 
BgL_res3190z00_1373 = BgL_new1547z00_1368; } 
BgL_new1545z00_1367 = BgL_res3190z00_1373; } 
{ /* ./Ast/exit.scm 45 */
BgL_sexitz00_bglt BgL_res3191z00_1379;
((((BgL_sexitz00_bglt)CREF(BgL_new1545z00_1367))->BgL_handlerz00) = ((obj_t)BgL_arg2754z00_1364), BUNSPEC); 
((((BgL_sexitz00_bglt)CREF(BgL_new1545z00_1367))->BgL_detachedzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res3191z00_1379 = BgL_new1545z00_1367; BgL_res3191z00_1379; } 
BgL_res3192z00_1380 = BgL_new1545z00_1367; } 
BgL_arg2751z00_1363 = BgL_res3192z00_1380; } } 
BgL_exitz00_910 = 
BGl_makezd2localzd2sexitz00zzast_localz00(BgL_exitz00_892, 
(BgL_typez00_bglt)(BGl_za2exitza2z00zztype_cachez00), BgL_arg2751z00_1363); } 
{ /* ./Ast/exit.scm 45 */
BgL_nodez00_bglt BgL_bodyz00_911;
{ /* ./Ast/exit.scm 46 */
obj_t BgL_arg2704z00_923;obj_t BgL_arg2705z00_924;obj_t BgL_arg2706z00_925;
BgL_arg2704z00_923 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_893); 
{ /* ./Ast/exit.scm 47 */
obj_t BgL_auxz00_2097;
BgL_auxz00_2097 = 
(obj_t)(BgL_exitz00_910); 
BgL_arg2705z00_924 = 
MAKE_PAIR(BgL_auxz00_2097, BgL_stackz00_2); } 
BgL_arg2706z00_925 = 
CNST_TABLE_REF(((long)1)); 
BgL_bodyz00_911 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2704z00_923, BgL_arg2705z00_924, BgL_locz00_891, BgL_arg2706z00_925); } 
{ /* ./Ast/exit.scm 46 */
BgL_setzd2exzd2itz00_bglt BgL_exitzd2bodyzd2_912;
{ /* ./Ast/exit.scm 51 */
obj_t BgL_arg2693z00_916;obj_t BgL_arg2694z00_917;BgL_varz00_bglt BgL_arg2695z00_918;BgL_nodez00_bglt BgL_arg2696z00_919;
BgL_arg2693z00_916 = BgL_locz00_891; 
BgL_arg2694z00_917 = BGl_za2_za2z00zztype_cachez00; 
{ /* ./Ast/exit.scm 55 */
obj_t BgL_arg2699z00_920;obj_t BgL_arg2700z00_921;BgL_localz00_bglt BgL_arg2701z00_922;
BgL_arg2699z00_920 = BgL_locz00_891; 
BgL_arg2700z00_921 = BGl_za2exitza2z00zztype_cachez00; 
BgL_arg2701z00_922 = BgL_exitz00_910; 
{ /* ./Ast/exit.scm 53 */
BgL_varz00_bglt BgL_res3195z00_1399;
{ /* ./Ast/exit.scm 53 */
BgL_typez00_bglt BgL_type1631z00_1382;BgL_variablez00_bglt BgL_variable1632z00_1383;
BgL_type1631z00_1382 = 
(BgL_typez00_bglt)(BgL_arg2700z00_921); 
BgL_variable1632z00_1383 = 
(BgL_variablez00_bglt)(BgL_arg2701z00_922); 
{ /* ./Ast/exit.scm 53 */
BgL_varz00_bglt BgL_new1633z00_1384;
{ /* ./Ast/exit.scm 53 */
BgL_varz00_bglt BgL_res3193z00_1390;
{ /* ./Ast/exit.scm 53 */
BgL_varz00_bglt BgL_new1635z00_1385;
BgL_new1635z00_1385 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* ./Ast/exit.scm 53 */
long BgL_arg3040z00_1386;
BgL_arg3040z00_1386 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* ./Ast/exit.scm 53 */
BgL_objectz00_bglt BgL_objz00_1387;
BgL_objz00_1387 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1385); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1387, BgL_arg3040z00_1386); } } 
{ /* ./Ast/exit.scm 53 */
BgL_objectz00_bglt BgL_auxz00_2108;
BgL_auxz00_2108 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1385); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2108, BFALSE); } 
{ /* ./Ast/exit.scm 53 */
obj_t BgL_objz00_1389;
BgL_objz00_1389 = 
(obj_t)(BgL_new1635z00_1385); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1389); BUNSPEC; } 
BgL_res3193z00_1390 = BgL_new1635z00_1385; } 
BgL_new1633z00_1384 = BgL_res3193z00_1390; } 
{ /* ./Ast/exit.scm 53 */
BgL_varz00_bglt BgL_res3194z00_1398;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1384))->BgL_locz00) = ((obj_t)BgL_arg2699z00_920), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1384))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1631z00_1382), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1384))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_1383), BUNSPEC); 
BgL_res3194z00_1398 = BgL_new1633z00_1384; BgL_res3194z00_1398; } 
BgL_res3195z00_1399 = BgL_new1633z00_1384; } } 
BgL_arg2695z00_918 = BgL_res3195z00_1399; } } 
BgL_arg2696z00_919 = BgL_bodyz00_911; 
{ /* ./Ast/exit.scm 50 */
BgL_setzd2exzd2itz00_bglt BgL_res3198z00_1421;
{ /* ./Ast/exit.scm 50 */
BgL_typez00_bglt BgL_type2524z00_1401;
BgL_type2524z00_1401 = 
(BgL_typez00_bglt)(BgL_arg2694z00_917); 
{ /* ./Ast/exit.scm 50 */
BgL_setzd2exzd2itz00_bglt BgL_new2527z00_1404;
{ /* ./Ast/exit.scm 50 */
BgL_setzd2exzd2itz00_bglt BgL_res3196z00_1410;
{ /* ./Ast/exit.scm 50 */
BgL_setzd2exzd2itz00_bglt BgL_new2529z00_1405;
BgL_new2529z00_1405 = 
((BgL_setzd2exzd2itz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_setzd2exzd2itz00_bgl) ))); 
{ /* ./Ast/exit.scm 50 */
long BgL_arg2823z00_1406;
BgL_arg2823z00_1406 = 
BGl_classzd2numzd2zz__objectz00(BGl_setzd2exzd2itz00zzast_nodez00); 
{ /* ./Ast/exit.scm 50 */
BgL_objectz00_bglt BgL_objz00_1407;
BgL_objz00_1407 = 
(BgL_objectz00_bglt)(BgL_new2529z00_1405); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1407, BgL_arg2823z00_1406); } } 
{ /* ./Ast/exit.scm 50 */
BgL_objectz00_bglt BgL_auxz00_2121;
BgL_auxz00_2121 = 
(BgL_objectz00_bglt)(BgL_new2529z00_1405); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2121, BFALSE); } 
{ /* ./Ast/exit.scm 50 */
obj_t BgL_objz00_1409;
BgL_objz00_1409 = 
(obj_t)(BgL_new2529z00_1405); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1409); BUNSPEC; } 
BgL_res3196z00_1410 = BgL_new2529z00_1405; } 
BgL_new2527z00_1404 = BgL_res3196z00_1410; } 
{ /* ./Ast/exit.scm 50 */
BgL_setzd2exzd2itz00_bglt BgL_res3197z00_1420;
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_new2527z00_1404))->BgL_locz00) = ((obj_t)BgL_arg2693z00_916), BUNSPEC); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_new2527z00_1404))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2524z00_1401), BUNSPEC); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_new2527z00_1404))->BgL_varz00) = ((BgL_varz00_bglt)BgL_arg2695z00_918), BUNSPEC); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_new2527z00_1404))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2696z00_919), BUNSPEC); 
BgL_res3197z00_1420 = BgL_new2527z00_1404; BgL_res3197z00_1420; } 
BgL_res3198z00_1421 = BgL_new2527z00_1404; } } 
BgL_exitzd2bodyzd2_912 = BgL_res3198z00_1421; } } 
{ /* ./Ast/exit.scm 50 */

{ /* ./Ast/exit.scm 61 */
BgL_localz00_bglt BgL_obj1273z00_1422;
BgL_obj1273z00_1422 = 
(BgL_localz00_bglt)(BgL_hdlgzd2funzd2_909); 
((((BgL_localz00_bglt)CREF(BgL_obj1273z00_1422))->BgL_userzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); } 
{ /* ./Ast/exit.scm 64 */
BgL_valuez00_bglt BgL_arg2684z00_913;obj_t BgL_arg2685z00_914;
{ /* ./Ast/exit.scm 64 */
BgL_variablez00_bglt BgL_obj1104z00_1424;
BgL_obj1104z00_1424 = 
(BgL_variablez00_bglt)(BgL_hdlgzd2funzd2_909); 
BgL_arg2684z00_913 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1424))->BgL_valuez00); } 
BgL_arg2685z00_914 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Ast/exit.scm 64 */
BgL_sfunz00_bglt BgL_obj1378z00_1425;
BgL_obj1378z00_1425 = 
(BgL_sfunz00_bglt)(BgL_arg2684z00_913); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1378z00_1425))->BgL_classz00) = ((obj_t)BgL_arg2685z00_914), BUNSPEC); } } 
{ /* ./Ast/exit.scm 65 */
BgL_valuez00_bglt BgL_arg2689z00_915;
{ /* ./Ast/exit.scm 65 */
BgL_variablez00_bglt BgL_obj1104z00_1427;
BgL_obj1104z00_1427 = 
(BgL_variablez00_bglt)(BgL_hdlgzd2funzd2_909); 
BgL_arg2689z00_915 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1427))->BgL_valuez00); } 
{ /* ./Ast/exit.scm 65 */
BgL_sfunz00_bglt BgL_obj1375z00_1428;obj_t BgL_val1374z00_1429;
BgL_obj1375z00_1428 = 
(BgL_sfunz00_bglt)(BgL_arg2689z00_915); 
BgL_val1374z00_1429 = 
(obj_t)(BgL_exitzd2bodyzd2_912); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1375z00_1428))->BgL_bodyz00) = ((obj_t)BgL_val1374z00_1429), BUNSPEC); } } 
BgL_auxz00_2065 = BgL_hdlgzd2nodezd2_908; } } } } } } } } 
return 
(BgL_letzd2funzd2_bglt)(BgL_auxz00_2065);} }  else 
{ /* ./Ast/exit.scm 37 */
BgL_nodez00_bglt BgL_auxz00_2143;
BgL_tagzd2121zd2_895:
BgL_auxz00_2143 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3257z00zzast_exitz00, BgL_expz00_1, BgL_locz00_891); 
return 
(BgL_letzd2funzd2_bglt)(BgL_auxz00_2143);} }  else 
{ /* ./Ast/exit.scm 37 */
BgL_nodez00_bglt BgL_auxz00_2146;
goto BgL_tagzd2121zd2_895;
return 
(BgL_letzd2funzd2_bglt)(BgL_auxz00_2146);} } }  else 
{ /* ./Ast/exit.scm 37 */
BgL_nodez00_bglt BgL_auxz00_2148;
goto BgL_tagzd2121zd2_895;
return 
(BgL_letzd2funzd2_bglt)(BgL_auxz00_2148);} } }  else 
{ /* ./Ast/exit.scm 37 */
BgL_nodez00_bglt BgL_auxz00_2150;
goto BgL_tagzd2121zd2_895;
return 
(BgL_letzd2funzd2_bglt)(BgL_auxz00_2150);} } } } } 
}



/* _set-exit->node */
obj_t BGl__setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t BgL_envz00_2010, obj_t BgL_expz00_2011, obj_t BgL_stackz00_2012, obj_t BgL_locz00_2013, obj_t BgL_sitez00_2014)
{ AN_OBJECT;
{ /* ./Ast/exit.scm 33 */
{ /* ./Ast/exit.scm 35 */
BgL_letzd2funzd2_bglt BgL_auxz00_2152;
BgL_auxz00_2152 = 
BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_2011, BgL_stackz00_2012, BgL_locz00_2013, BgL_sitez00_2014); 
return 
(obj_t)(BgL_auxz00_2152);} } 
}



/* jump-exit->node */
BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t BgL_expz00_5, obj_t BgL_stackz00_6, obj_t BgL_locz00_7, obj_t BgL_sitez00_8)
{ AN_OBJECT;
{ /* ./Ast/exit.scm 73 */
{ /* ./Ast/exit.scm 74 */
obj_t BgL_locz00_946;
BgL_locz00_946 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_5, BgL_locz00_7); 
{ 
obj_t BgL_exitz00_947;obj_t BgL_valuez00_948;
{ /* ./Ast/exit.scm 75 */
bool_t BgL_test2756z00_952;
BgL_test2756z00_952 = 
PAIRP(BgL_expz00_5); 
if(BgL_test2756z00_952)
{ /* ./Ast/exit.scm 75 */
obj_t BgL_cdrzd2146zd2_953;
BgL_cdrzd2146zd2_953 = 
CDR(BgL_expz00_5); 
{ /* ./Ast/exit.scm 75 */
bool_t BgL_test2757z00_954;
BgL_test2757z00_954 = 
PAIRP(BgL_cdrzd2146zd2_953); 
if(BgL_test2757z00_954)
{ /* ./Ast/exit.scm 75 */
obj_t BgL_arg2759z00_955;obj_t BgL_arg2760z00_956;
BgL_arg2759z00_955 = 
CAR(BgL_cdrzd2146zd2_953); 
BgL_arg2760z00_956 = 
CDR(BgL_cdrzd2146zd2_953); 
BgL_exitz00_947 = BgL_arg2759z00_955; 
BgL_valuez00_948 = BgL_arg2760z00_956; 
{ /* ./Ast/exit.scm 77 */
BgL_nodez00_bglt BgL_valuez00_957;BgL_nodez00_bglt BgL_exitz00_958;
{ /* ./Ast/exit.scm 77 */
obj_t BgL_arg2776z00_963;obj_t BgL_arg2777z00_964;
BgL_arg2776z00_963 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_valuez00_948); 
BgL_arg2777z00_964 = 
CNST_TABLE_REF(((long)1)); 
BgL_valuez00_957 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2776z00_963, BgL_stackz00_6, BgL_locz00_946, BgL_arg2777z00_964); } 
BgL_exitz00_958 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exitz00_947, BgL_stackz00_6, BgL_locz00_946, 
CNST_TABLE_REF(((long)1))); 
{ /* ./Ast/exit.scm 79 */
obj_t BgL_arg2770z00_959;obj_t BgL_arg2771z00_960;BgL_nodez00_bglt BgL_arg2772z00_961;BgL_nodez00_bglt BgL_arg2773z00_962;
BgL_arg2770z00_959 = BgL_locz00_946; 
BgL_arg2771z00_960 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg2772z00_961 = BgL_exitz00_958; 
BgL_arg2773z00_962 = BgL_valuez00_957; 
{ /* ./Ast/exit.scm 79 */
BgL_jumpzd2exzd2itz00_bglt BgL_res3204z00_1474;
{ /* ./Ast/exit.scm 79 */
BgL_typez00_bglt BgL_type2552z00_1454;
BgL_type2552z00_1454 = 
(BgL_typez00_bglt)(BgL_arg2771z00_960); 
{ /* ./Ast/exit.scm 79 */
BgL_jumpzd2exzd2itz00_bglt BgL_new2555z00_1457;
{ /* ./Ast/exit.scm 79 */
BgL_jumpzd2exzd2itz00_bglt BgL_res3202z00_1463;
{ /* ./Ast/exit.scm 79 */
BgL_jumpzd2exzd2itz00_bglt BgL_new2557z00_1458;
BgL_new2557z00_1458 = 
((BgL_jumpzd2exzd2itz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_jumpzd2exzd2itz00_bgl) ))); 
{ /* ./Ast/exit.scm 79 */
long BgL_arg2814z00_1459;
BgL_arg2814z00_1459 = 
BGl_classzd2numzd2zz__objectz00(BGl_jumpzd2exzd2itz00zzast_nodez00); 
{ /* ./Ast/exit.scm 79 */
BgL_objectz00_bglt BgL_objz00_1460;
BgL_objz00_1460 = 
(BgL_objectz00_bglt)(BgL_new2557z00_1458); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1460, BgL_arg2814z00_1459); } } 
{ /* ./Ast/exit.scm 79 */
BgL_objectz00_bglt BgL_auxz00_2173;
BgL_auxz00_2173 = 
(BgL_objectz00_bglt)(BgL_new2557z00_1458); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2173, BFALSE); } 
{ /* ./Ast/exit.scm 79 */
obj_t BgL_objz00_1462;
BgL_objz00_1462 = 
(obj_t)(BgL_new2557z00_1458); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1462); BUNSPEC; } 
BgL_res3202z00_1463 = BgL_new2557z00_1458; } 
BgL_new2555z00_1457 = BgL_res3202z00_1463; } 
{ /* ./Ast/exit.scm 79 */
BgL_jumpzd2exzd2itz00_bglt BgL_res3203z00_1473;
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_new2555z00_1457))->BgL_locz00) = ((obj_t)BgL_arg2770z00_959), BUNSPEC); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_new2555z00_1457))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2552z00_1454), BUNSPEC); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_new2555z00_1457))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_arg2772z00_961), BUNSPEC); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_new2555z00_1457))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2773z00_962), BUNSPEC); 
BgL_res3203z00_1473 = BgL_new2555z00_1457; BgL_res3203z00_1473; } 
BgL_res3204z00_1474 = BgL_new2555z00_1457; } } 
return BgL_res3204z00_1474;} } } }  else 
{ /* ./Ast/exit.scm 75 */
BgL_nodez00_bglt BgL_auxz00_2182;
BgL_tagzd2139zd2_950:
BgL_auxz00_2182 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3258z00zzast_exitz00, BgL_expz00_5, BgL_locz00_946); 
return 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_auxz00_2182);} } }  else 
{ /* ./Ast/exit.scm 75 */
BgL_nodez00_bglt BgL_auxz00_2185;
goto BgL_tagzd2139zd2_950;
return 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_auxz00_2185);} } } } } 
}



/* _jump-exit->node */
obj_t BGl__jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t BgL_envz00_2015, obj_t BgL_expz00_2016, obj_t BgL_stackz00_2017, obj_t BgL_locz00_2018, obj_t BgL_sitez00_2019)
{ AN_OBJECT;
{ /* ./Ast/exit.scm 73 */
{ /* ./Ast/exit.scm 74 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_2187;
BgL_auxz00_2187 = 
BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_2016, BgL_stackz00_2017, BgL_locz00_2018, BgL_sitez00_2019); 
return 
(obj_t)(BgL_auxz00_2187);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_exitz00()
{ AN_OBJECT;
{ /* ./Ast/exit.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_exitz00()
{ AN_OBJECT;
{ /* ./Ast/exit.scm 14 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "ast_exit"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "ast_exit"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "ast_exit"); 
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "ast_exit"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)15705), "ast_exit"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)28959), "ast_exit"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "ast_exit"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "ast_exit"); 
BGl_modulezd2initializa7ationz75zztools_prognz00(((long)55569), "ast_exit"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "ast_exit");} 
}

