/*===========================================================================*/
/*   (DotNet/effect.scm)                                                     */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent DotNet/effect.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_compilerzd2ifzd2zzdotnet_compilerz00(BgL_conditionalz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vrefz00zzast_nodez00;
static obj_t BGl_methodzd2initzd2zzdotnet_effectz00();
extern obj_t BGl_compilerzd2boxzd2setz12z12zzdotnet_compilerz00(BgL_boxzd2setz12zc0_bglt, BgL_envz00_bglt);
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_compilezd2effectzd2setq2977z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_compilezd2effectzd2conditional2981z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2labelszd2zzdotnet_compilerz00(BgL_letzd2funzd2_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2effectzd2isa3009z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2getfield2995z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2setfield2997z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_pragmaz00zzast_nodez00;
extern obj_t BGl_compilezd2typezd2zzdotnet_envz00(obj_t, BgL_envz00_bglt);
static obj_t BGl_compilezd2effectzd2sequence2979z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
static obj_t BGl_compilezd2effectzd2valloc3001z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2castzd2zzdotnet_compilerz00(BgL_castz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2effectzd2vsetz123005z12zzdotnet_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2atom2971z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2letzd2fun2985zd2zzdotnet_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzdotnet_effectz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2funcall2991z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2letzd2var2975zd2zzdotnet_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzdotnet_effectz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
BGL_EXPORTED_DECL obj_t BGl_compilezd2effectzd2zzdotnet_effectz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_isaz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2app2987z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2vsetzd2zzdotnet_compilerz00(BgL_vsetz12z12_bglt, BgL_envz00_bglt);
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2setzd2exzd2it3013z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2selectzd2zzdotnet_compilerz00(BgL_selectz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2effectzd2fail3017z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzdotnet_effectz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_compilezd2effectzd2vlength3007z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzdotnet_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_compilerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_compilerzd2setqzd2zzdotnet_compilerz00(BgL_setqz00_bglt, BgL_envz00_bglt);
extern obj_t BGl__popz00zzdotnet_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl__compilezd2effectzd2zzdotnet_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2appzd2ly2989zd2zzdotnet_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_compilerzd2setfieldzd2zzdotnet_compilerz00(BgL_setfieldz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2effectzd2boxzd2ref3021zd2zzdotnet_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_newz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_compilerzd2letzd2zzdotnet_compilerz00(BgL_letzd2varzd2_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2effectzd2cast3011z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2makezd2box3019zd2zzdotnet_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2boxzd2setz123023zc0zzdotnet_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2new2999z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl__compilezd2effectzd2default2967z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2sequencezd2zzdotnet_compilerz00(BgL_sequencez00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vlengthz00zzast_nodez00;
extern obj_t BGl_setfieldz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2select2983z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2default2967z00zzdotnet_effectz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2effectzd2pragma2993z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzdotnet_effectz00 = BUNSPEC;
extern obj_t BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2effectzd2jumpzd2exzd2it3015z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2var2973z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzdotnet_effectz00();
extern obj_t BGl_vsetz12z12zzast_nodez00;
static obj_t BGl_compilezd2effectzd2vref3003z00zzdotnet_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 3 ] ;


DEFINE_STATIC_PROCEDURE( BGl_proc4016z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2cast3011za700za7za7dotnet_effectza7004050z00, BGl_compilezd2effectzd2cast3011z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4017z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2setza7d2exza7d2it3013za700za7za7dotnet_effectza7004051z00, BGl_compilezd2effectzd2setzd2exzd2it3013z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4018z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2jumpza7d2exza7d2it3015za700za7za7dotnet_effectza7004052z00, BGl_compilezd2effectzd2jumpzd2exzd2it3015z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4020z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2makeza7d2box3019za7d2za7za7dotnet_effectza7004053za7, BGl_compilezd2effectzd2makezd2box3019zd2zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4019z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2fail3017za700za7za7dotnet_effectza7004054z00, BGl_compilezd2effectzd2fail3017z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4021z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2boxza7d2ref3021za7d2za7za7dotnet_effectza7004055za7, BGl_compilezd2effectzd2boxzd2ref3021zd2zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4022z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2boxza7d2setza7123023za7c0za7za7dotnet_effectza7004056z00, BGl_compilezd2effectzd2boxzd2setz123023zc0zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3996z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2atom2971za700za7za7dotnet_effectza7004057z00, BGl_compilezd2effectzd2atom2971z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3997z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2var2973za700za7za7dotnet_effectza7004058z00, BGl_compilezd2effectzd2var2973z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3998z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2letza7d2var2975za7d2za7za7dotnet_effectza7004059za7, BGl_compilezd2effectzd2letzd2var2975zd2zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3999z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2setq2977za700za7za7dotnet_effectza7004060z00, BGl_compilezd2effectzd2setq2977z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_compilezd2effectzd2default2967zd2envzd2zzdotnet_effectz00, BgL_bgl__compileza7d2effectza7d2default2967za700za7za7dotnet_effectza7004061z00, BGl__compilezd2effectzd2default2967z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STRING( BGl_string4024z00zzdotnet_effectz00, BgL_bgl_string4024za700za7za7dotnet_effectza7004062z00, "compile-effect-default2967 .net ok ", 35 );
DEFINE_STRING( BGl_string4023z00zzdotnet_effectz00, BgL_bgl_string4023za700za7za7dotnet_effectza7004063z00, "No method for this object", 25 );
DEFINE_EXPORT_GENERIC( BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BgL_bgl__compileza7d2effectza7d2za7za7dotnet_effectza7004064za7, BGl__compilezd2effectzd2zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4000z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2sequence2979za700za7za7dotnet_effectza7004065z00, BGl_compilezd2effectzd2sequence2979z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4001z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2conditional2981za700za7za7dotnet_effectza7004066z00, BGl_compilezd2effectzd2conditional2981z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4002z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2select2983za700za7za7dotnet_effectza7004067z00, BGl_compilezd2effectzd2select2983z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4003z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2letza7d2fun2985za7d2za7za7dotnet_effectza7004068za7, BGl_compilezd2effectzd2letzd2fun2985zd2zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4004z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2app2987za700za7za7dotnet_effectza7004069z00, BGl_compilezd2effectzd2app2987z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4005z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2appza7d2ly2989za7d2za7za7dotnet_effectza7004070za7, BGl_compilezd2effectzd2appzd2ly2989zd2zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4006z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2funcall2991za700za7za7dotnet_effectza7004071z00, BGl_compilezd2effectzd2funcall2991z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4007z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2pragma2993za700za7za7dotnet_effectza7004072z00, BGl_compilezd2effectzd2pragma2993z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4008z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2getfield2995za700za7za7dotnet_effectza7004073z00, BGl_compilezd2effectzd2getfield2995z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4010z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2new2999za700za7za7dotnet_effectza7004074z00, BGl_compilezd2effectzd2new2999z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4009z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2setfield2997za700za7za7dotnet_effectza7004075z00, BGl_compilezd2effectzd2setfield2997z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4011z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2valloc3001za700za7za7dotnet_effectza7004076z00, BGl_compilezd2effectzd2valloc3001z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4012z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2vref3003za700za7za7dotnet_effectza7004077z00, BGl_compilezd2effectzd2vref3003z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4013z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2vsetza7123005za712za7za7dotnet_effectza7004078za7, BGl_compilezd2effectzd2vsetz123005z12zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4014z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2vlength3007za700za7za7dotnet_effectza7004079z00, BGl_compilezd2effectzd2vlength3007z00zzdotnet_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4015z00zzdotnet_effectz00, BgL_bgl_compileza7d2effectza7d2isa3009za700za7za7dotnet_effectza7004080z00, BGl_compilezd2effectzd2isa3009z00zzdotnet_effectz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdotnet_effectz00(long BgL_checksumz00_2697, char * BgL_fromz00_2698)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzdotnet_effectz00))
{ 
BGl_requirezd2initializa7ationz75zzdotnet_effectz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzdotnet_effectz00(); 
BGl_cnstzd2initzd2zzdotnet_effectz00(); 
BGl_importedzd2moduleszd2initz00zzdotnet_effectz00(); 
BGl_methodzd2initzd2zzdotnet_effectz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzdotnet_effectz00()
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 2 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "dotnet_effect"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "dotnet_effect"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzdotnet_effectz00()
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 2 */
{ /* ./DotNet/effect.scm 2 */
obj_t BgL_cportz00_2690;
BgL_cportz00_2690 = 
open_input_string(BGl_string4024z00zzdotnet_effectz00); 
{ 
long BgL_iz00_2691;
BgL_iz00_2691 = ((long)2); 
BgL_loopz00_2692:
{ /* ./DotNet/effect.scm 2 */
bool_t BgL_test4026z00_2693;
BgL_test4026z00_2693 = 
(BgL_iz00_2691==((long)-1)); 
if(BgL_test4026z00_2693)
{ /* ./DotNet/effect.scm 2 */
return BUNSPEC;}  else 
{ /* ./DotNet/effect.scm 2 */
{ /* ./DotNet/effect.scm 2 */
obj_t BgL_arg4028z00_2694;
{ /* ./DotNet/effect.scm 2 */
obj_t BgL_list4031z00_2695;
BgL_list4031z00_2695 = 
MAKE_PAIR(BgL_cportz00_2690, BNIL); 
BgL_arg4028z00_2694 = 
BGl_readz00zz__readerz00(BgL_list4031z00_2695); } 
{ /* ./DotNet/effect.scm 2 */
int BgL_auxz00_2713;
BgL_auxz00_2713 = 
(int)(BgL_iz00_2691); 
CNST_TABLE_SET(BgL_auxz00_2713, BgL_arg4028z00_2694); } } 
{ /* ./DotNet/effect.scm 2 */
int BgL_auxz00_2696;
{ /* ./DotNet/effect.scm 2 */
long BgL_auxz00_2716;
BgL_auxz00_2716 = 
(BgL_iz00_2691-((long)1)); 
BgL_auxz00_2696 = 
(int)(BgL_auxz00_2716); } 
{ 
long BgL_iz00_2719;
BgL_iz00_2719 = 
(long)(BgL_auxz00_2696); 
BgL_iz00_2691 = BgL_iz00_2719; 
goto BgL_loopz00_2692;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzdotnet_effectz00()
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 2 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzdotnet_effectz00()
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 2 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_compilezd2effectzd2default2967zd2envzd2zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_atomz00zzast_nodez00, BGl_proc3996z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_varz00zzast_nodez00, BGl_proc3997z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3998z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_setqz00zzast_nodez00, BGl_proc3999z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_sequencez00zzast_nodez00, BGl_proc4000z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_conditionalz00zzast_nodez00, BGl_proc4001z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_selectz00zzast_nodez00, BGl_proc4002z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc4003z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_appz00zzast_nodez00, BGl_proc4004z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc4005z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_funcallz00zzast_nodez00, BGl_proc4006z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_pragmaz00zzast_nodez00, BGl_proc4007z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_getfieldz00zzast_nodez00, BGl_proc4008z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_setfieldz00zzast_nodez00, BGl_proc4009z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_newz00zzast_nodez00, BGl_proc4010z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_vallocz00zzast_nodez00, BGl_proc4011z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_vrefz00zzast_nodez00, BGl_proc4012z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_vsetz12z12zzast_nodez00, BGl_proc4013z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_vlengthz00zzast_nodez00, BGl_proc4014z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_isaz00zzast_nodez00, BGl_proc4015z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_castz00zzast_nodez00, BGl_proc4016z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4017z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc4018z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_failz00zzast_nodez00, BGl_proc4019z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc4020z00zzdotnet_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc4021z00zzdotnet_effectz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4022z00zzdotnet_effectz00);} 
}



/* compile-effect-box-set!3023 */
obj_t BGl_compilezd2effectzd2boxzd2setz123023zc0zzdotnet_effectz00(obj_t BgL_envz00_2606, obj_t BgL_ez00_2607, obj_t BgL_envz00_2608)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 101 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_ez00_1725;BgL_envz00_bglt BgL_envz00_1726;
BgL_ez00_1725 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_2607); 
BgL_envz00_1726 = 
(BgL_envz00_bglt)(BgL_envz00_2608); 
return 
BGl_compilerzd2boxzd2setz12z12zzdotnet_compilerz00(BgL_ez00_1725, BgL_envz00_1726);} } 
}



/* compile-effect-box-ref3021 */
obj_t BGl_compilezd2effectzd2boxzd2ref3021zd2zzdotnet_effectz00(obj_t BgL_envz00_2609, obj_t BgL_ez00_2610, obj_t BgL_envz00_2611)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 98 */
{ 
BgL_boxzd2refzd2_bglt BgL_ez00_1719;BgL_envz00_bglt BgL_envz00_1720;
BgL_ez00_1719 = 
(BgL_boxzd2refzd2_bglt)(BgL_ez00_2610); 
BgL_envz00_1720 = 
(BgL_envz00_bglt)(BgL_envz00_2611); 
return 
CNST_TABLE_REF(((long)0));} } 
}



/* compile-effect-make-box3019 */
obj_t BGl_compilezd2effectzd2makezd2box3019zd2zzdotnet_effectz00(obj_t BgL_envz00_2612, obj_t BgL_ez00_2613, obj_t BgL_envz00_2614)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 95 */
{ 
BgL_makezd2boxzd2_bglt BgL_ez00_1712;BgL_envz00_bglt BgL_envz00_1713;
BgL_ez00_1712 = 
(BgL_makezd2boxzd2_bglt)(BgL_ez00_2613); 
BgL_envz00_1713 = 
(BgL_envz00_bglt)(BgL_envz00_2614); 
{ /* ./DotNet/effect.scm 96 */
BgL_nodez00_bglt BgL_arg3701z00_2519;
BgL_arg3701z00_2519 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_ez00_1712))->BgL_valuez00); 
{ /* ./DotNet/effect.scm 96 */
obj_t BgL_method2969z00_2523;
{ /* ./DotNet/effect.scm 96 */
BgL_objectz00_bglt BgL_objz00_2524;
BgL_objz00_2524 = 
(BgL_objectz00_bglt)(BgL_arg3701z00_2519); 
{ /* ./DotNet/effect.scm 96 */
long BgL_objzd2classzd2numz00_2525;
BgL_objzd2classzd2numz00_2525 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2524); 
{ /* ./DotNet/effect.scm 96 */
obj_t BgL_arg1989z00_2526;
{ /* ./DotNet/effect.scm 96 */
int BgL_auxz00_2758;
BgL_auxz00_2758 = 
(int)(((long)1)); 
BgL_arg1989z00_2526 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BgL_auxz00_2758); } 
{ /* ./DotNet/effect.scm 96 */
int BgL_offsetz00_2529;
BgL_offsetz00_2529 = 
(int)(BgL_objzd2classzd2numz00_2525); 
{ /* ./DotNet/effect.scm 96 */
long BgL_offsetz00_2530;
{ /* ./DotNet/effect.scm 96 */
long BgL_auxz00_2762;
BgL_auxz00_2762 = 
(long)(BgL_offsetz00_2529); 
BgL_offsetz00_2530 = 
(BgL_auxz00_2762-OBJECT_TYPE); } 
{ /* ./DotNet/effect.scm 96 */
long BgL_modz00_2531;
{ /* ./DotNet/effect.scm 96 */
int BgL_arg2000z00_2532;
BgL_arg2000z00_2532 = 
(int)(((long)8)); 
{ /* ./DotNet/effect.scm 96 */
long BgL_n2z00_2540;
BgL_n2z00_2540 = 
(long)(BgL_arg2000z00_2532); 
BgL_modz00_2531 = 
(BgL_offsetz00_2530/BgL_n2z00_2540); } } 
{ /* ./DotNet/effect.scm 96 */
long BgL_restz00_2533;
{ /* ./DotNet/effect.scm 96 */
int BgL_arg1996z00_2534;
BgL_arg1996z00_2534 = 
(int)(((long)8)); 
{ /* ./DotNet/effect.scm 96 */
long BgL_n2z00_2543;
BgL_n2z00_2543 = 
(long)(BgL_arg1996z00_2534); 
BgL_restz00_2533 = 
(BgL_offsetz00_2530%BgL_n2z00_2543); } } 
{ /* ./DotNet/effect.scm 96 */

{ /* ./DotNet/effect.scm 96 */
obj_t BgL_bucketz00_2535;
{ /* ./DotNet/effect.scm 96 */
int BgL_kz00_2545;
BgL_kz00_2545 = 
(int)(BgL_modz00_2531); 
BgL_bucketz00_2535 = 
VECTOR_REF(BgL_arg1989z00_2526,BgL_kz00_2545); } 
{ /* ./DotNet/effect.scm 96 */
int BgL_kz00_2547;
BgL_kz00_2547 = 
(int)(BgL_restz00_2533); 
BgL_method2969z00_2523 = 
VECTOR_REF(BgL_bucketz00_2535,BgL_kz00_2547); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2523)(BgL_method2969z00_2523, 
(obj_t)(BgL_arg3701z00_2519), 
(obj_t)(BgL_envz00_1713), BEOA);} } } } 
}



/* compile-effect-fail3017 */
obj_t BGl_compilezd2effectzd2fail3017z00zzdotnet_effectz00(obj_t BgL_envz00_2615, obj_t BgL_ez00_2616, obj_t BgL_envz00_2617)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 92 */
{ 
BgL_failz00_bglt BgL_ez00_1706;BgL_envz00_bglt BgL_envz00_1707;
BgL_ez00_1706 = 
(BgL_failz00_bglt)(BgL_ez00_2616); 
BgL_envz00_1707 = 
(BgL_envz00_bglt)(BgL_envz00_2617); 
{ /* ./DotNet/effect.scm 93 */
BgL_nodez00_bglt BgL_ez00_2516;
BgL_ez00_2516 = 
(BgL_nodez00_bglt)(BgL_ez00_1706); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2516, BgL_envz00_1707); 
{ /* ./DotNet/effect.scm 93 */
obj_t BgL_arg3026z00_2518;
BgL_arg3026z00_2518 = 
BGl_compilezd2typezd2zzdotnet_envz00(
(obj_t)(BgL_ez00_2516), BgL_envz00_1707); 
return 
BGl__popz00zzdotnet_instrz00(BgL_envz00_1707, BgL_arg3026z00_2518);} } } } 
}



/* compile-effect-jump-ex-it3015 */
obj_t BGl_compilezd2effectzd2jumpzd2exzd2it3015z00zzdotnet_effectz00(obj_t BgL_envz00_2618, obj_t BgL_ez00_2619, obj_t BgL_envz00_2620)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 89 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_ez00_1700;BgL_envz00_bglt BgL_envz00_1701;
BgL_ez00_1700 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_2619); 
BgL_envz00_1701 = 
(BgL_envz00_bglt)(BgL_envz00_2620); 
{ /* ./DotNet/effect.scm 90 */
BgL_nodez00_bglt BgL_ez00_2513;
BgL_ez00_2513 = 
(BgL_nodez00_bglt)(BgL_ez00_1700); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2513, BgL_envz00_1701); 
{ /* ./DotNet/effect.scm 90 */
obj_t BgL_arg3026z00_2515;
BgL_arg3026z00_2515 = 
BGl_compilezd2typezd2zzdotnet_envz00(
(obj_t)(BgL_ez00_2513), BgL_envz00_1701); 
return 
BGl__popz00zzdotnet_instrz00(BgL_envz00_1701, BgL_arg3026z00_2515);} } } } 
}



/* compile-effect-set-ex-it3013 */
obj_t BGl_compilezd2effectzd2setzd2exzd2it3013z00zzdotnet_effectz00(obj_t BgL_envz00_2621, obj_t BgL_ez00_2622, obj_t BgL_envz00_2623)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 86 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_ez00_1694;BgL_envz00_bglt BgL_envz00_1695;
BgL_ez00_1694 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_2622); 
BgL_envz00_1695 = 
(BgL_envz00_bglt)(BgL_envz00_2623); 
{ /* ./DotNet/effect.scm 87 */
BgL_nodez00_bglt BgL_ez00_2510;
BgL_ez00_2510 = 
(BgL_nodez00_bglt)(BgL_ez00_1694); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2510, BgL_envz00_1695); 
{ /* ./DotNet/effect.scm 87 */
obj_t BgL_arg3026z00_2512;
BgL_arg3026z00_2512 = 
BGl_compilezd2typezd2zzdotnet_envz00(
(obj_t)(BgL_ez00_2510), BgL_envz00_1695); 
return 
BGl__popz00zzdotnet_instrz00(BgL_envz00_1695, BgL_arg3026z00_2512);} } } } 
}



/* compile-effect-cast3011 */
obj_t BGl_compilezd2effectzd2cast3011z00zzdotnet_effectz00(obj_t BgL_envz00_2624, obj_t BgL_ez00_2625, obj_t BgL_envz00_2626)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 83 */
{ 
BgL_castz00_bglt BgL_ez00_1688;BgL_envz00_bglt BgL_envz00_1689;
BgL_ez00_1688 = 
(BgL_castz00_bglt)(BgL_ez00_2625); 
BgL_envz00_1689 = 
(BgL_envz00_bglt)(BgL_envz00_2626); 
return 
BGl_compilerzd2castzd2zzdotnet_compilerz00(BgL_ez00_1688, BgL_envz00_1689, BGl_compilezd2effectzd2envz00zzdotnet_effectz00);} } 
}



/* compile-effect-isa3009 */
obj_t BGl_compilezd2effectzd2isa3009z00zzdotnet_effectz00(obj_t BgL_envz00_2627, obj_t BgL_ez00_2628, obj_t BgL_envz00_2629)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 80 */
{ 
BgL_isaz00_bglt BgL_ez00_1680;BgL_envz00_bglt BgL_envz00_1681;
BgL_ez00_1680 = 
(BgL_isaz00_bglt)(BgL_ez00_2628); 
BgL_envz00_1681 = 
(BgL_envz00_bglt)(BgL_envz00_2629); 
{ /* ./DotNet/effect.scm 81 */
obj_t BgL_arg3660z00_2479;
{ /* ./DotNet/effect.scm 81 */
obj_t BgL_auxz00_2805;
{ /* ./DotNet/effect.scm 81 */
BgL_externz00_bglt BgL_obj1826z00_2481;
BgL_obj1826z00_2481 = 
(BgL_externz00_bglt)(BgL_ez00_1680); 
BgL_auxz00_2805 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_2481))->BgL_exprza2za2); } 
BgL_arg3660z00_2479 = 
CAR(BgL_auxz00_2805); } 
{ /* ./DotNet/effect.scm 81 */
BgL_nodez00_bglt BgL_ez00_2483;
BgL_ez00_2483 = 
(BgL_nodez00_bglt)(BgL_arg3660z00_2479); 
{ /* ./DotNet/effect.scm 81 */
obj_t BgL_method2969z00_2485;
{ /* ./DotNet/effect.scm 81 */
BgL_objectz00_bglt BgL_objz00_2486;
BgL_objz00_2486 = 
(BgL_objectz00_bglt)(BgL_ez00_2483); 
{ /* ./DotNet/effect.scm 81 */
long BgL_objzd2classzd2numz00_2487;
BgL_objzd2classzd2numz00_2487 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2486); 
{ /* ./DotNet/effect.scm 81 */
obj_t BgL_arg1989z00_2488;
{ /* ./DotNet/effect.scm 81 */
int BgL_auxz00_2812;
BgL_auxz00_2812 = 
(int)(((long)1)); 
BgL_arg1989z00_2488 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BgL_auxz00_2812); } 
{ /* ./DotNet/effect.scm 81 */
int BgL_offsetz00_2491;
BgL_offsetz00_2491 = 
(int)(BgL_objzd2classzd2numz00_2487); 
{ /* ./DotNet/effect.scm 81 */
long BgL_offsetz00_2492;
{ /* ./DotNet/effect.scm 81 */
long BgL_auxz00_2816;
BgL_auxz00_2816 = 
(long)(BgL_offsetz00_2491); 
BgL_offsetz00_2492 = 
(BgL_auxz00_2816-OBJECT_TYPE); } 
{ /* ./DotNet/effect.scm 81 */
long BgL_modz00_2493;
{ /* ./DotNet/effect.scm 81 */
int BgL_arg2000z00_2494;
BgL_arg2000z00_2494 = 
(int)(((long)8)); 
{ /* ./DotNet/effect.scm 81 */
long BgL_n2z00_2502;
BgL_n2z00_2502 = 
(long)(BgL_arg2000z00_2494); 
BgL_modz00_2493 = 
(BgL_offsetz00_2492/BgL_n2z00_2502); } } 
{ /* ./DotNet/effect.scm 81 */
long BgL_restz00_2495;
{ /* ./DotNet/effect.scm 81 */
int BgL_arg1996z00_2496;
BgL_arg1996z00_2496 = 
(int)(((long)8)); 
{ /* ./DotNet/effect.scm 81 */
long BgL_n2z00_2505;
BgL_n2z00_2505 = 
(long)(BgL_arg1996z00_2496); 
BgL_restz00_2495 = 
(BgL_offsetz00_2492%BgL_n2z00_2505); } } 
{ /* ./DotNet/effect.scm 81 */

{ /* ./DotNet/effect.scm 81 */
obj_t BgL_bucketz00_2497;
{ /* ./DotNet/effect.scm 81 */
int BgL_kz00_2507;
BgL_kz00_2507 = 
(int)(BgL_modz00_2493); 
BgL_bucketz00_2497 = 
VECTOR_REF(BgL_arg1989z00_2488,BgL_kz00_2507); } 
{ /* ./DotNet/effect.scm 81 */
int BgL_kz00_2509;
BgL_kz00_2509 = 
(int)(BgL_restz00_2495); 
BgL_method2969z00_2485 = 
VECTOR_REF(BgL_bucketz00_2497,BgL_kz00_2509); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2485)(BgL_method2969z00_2485, 
(obj_t)(BgL_ez00_2483), 
(obj_t)(BgL_envz00_1681), BEOA);} } } } } 
}



/* compile-effect-vlength3007 */
obj_t BGl_compilezd2effectzd2vlength3007z00zzdotnet_effectz00(obj_t BgL_envz00_2630, obj_t BgL_ez00_2631, obj_t BgL_envz00_2632)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 77 */
{ 
BgL_vlengthz00_bglt BgL_ez00_1672;BgL_envz00_bglt BgL_envz00_1673;
BgL_ez00_1672 = 
(BgL_vlengthz00_bglt)(BgL_ez00_2631); 
BgL_envz00_1673 = 
(BgL_envz00_bglt)(BgL_envz00_2632); 
{ /* ./DotNet/effect.scm 78 */
obj_t BgL_arg3646z00_2448;
{ /* ./DotNet/effect.scm 78 */
obj_t BgL_auxz00_2835;
{ /* ./DotNet/effect.scm 78 */
BgL_externz00_bglt BgL_obj1826z00_2450;
BgL_obj1826z00_2450 = 
(BgL_externz00_bglt)(BgL_ez00_1672); 
BgL_auxz00_2835 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_2450))->BgL_exprza2za2); } 
BgL_arg3646z00_2448 = 
CAR(BgL_auxz00_2835); } 
{ /* ./DotNet/effect.scm 78 */
BgL_nodez00_bglt BgL_ez00_2452;
BgL_ez00_2452 = 
(BgL_nodez00_bglt)(BgL_arg3646z00_2448); 
{ /* ./DotNet/effect.scm 78 */
obj_t BgL_method2969z00_2454;
{ /* ./DotNet/effect.scm 78 */
BgL_objectz00_bglt BgL_objz00_2455;
BgL_objz00_2455 = 
(BgL_objectz00_bglt)(BgL_ez00_2452); 
{ /* ./DotNet/effect.scm 78 */
long BgL_objzd2classzd2numz00_2456;
BgL_objzd2classzd2numz00_2456 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2455); 
{ /* ./DotNet/effect.scm 78 */
obj_t BgL_arg1989z00_2457;
{ /* ./DotNet/effect.scm 78 */
int BgL_auxz00_2842;
BgL_auxz00_2842 = 
(int)(((long)1)); 
BgL_arg1989z00_2457 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BgL_auxz00_2842); } 
{ /* ./DotNet/effect.scm 78 */
int BgL_offsetz00_2460;
BgL_offsetz00_2460 = 
(int)(BgL_objzd2classzd2numz00_2456); 
{ /* ./DotNet/effect.scm 78 */
long BgL_offsetz00_2461;
{ /* ./DotNet/effect.scm 78 */
long BgL_auxz00_2846;
BgL_auxz00_2846 = 
(long)(BgL_offsetz00_2460); 
BgL_offsetz00_2461 = 
(BgL_auxz00_2846-OBJECT_TYPE); } 
{ /* ./DotNet/effect.scm 78 */
long BgL_modz00_2462;
{ /* ./DotNet/effect.scm 78 */
int BgL_arg2000z00_2463;
BgL_arg2000z00_2463 = 
(int)(((long)8)); 
{ /* ./DotNet/effect.scm 78 */
long BgL_n2z00_2471;
BgL_n2z00_2471 = 
(long)(BgL_arg2000z00_2463); 
BgL_modz00_2462 = 
(BgL_offsetz00_2461/BgL_n2z00_2471); } } 
{ /* ./DotNet/effect.scm 78 */
long BgL_restz00_2464;
{ /* ./DotNet/effect.scm 78 */
int BgL_arg1996z00_2465;
BgL_arg1996z00_2465 = 
(int)(((long)8)); 
{ /* ./DotNet/effect.scm 78 */
long BgL_n2z00_2474;
BgL_n2z00_2474 = 
(long)(BgL_arg1996z00_2465); 
BgL_restz00_2464 = 
(BgL_offsetz00_2461%BgL_n2z00_2474); } } 
{ /* ./DotNet/effect.scm 78 */

{ /* ./DotNet/effect.scm 78 */
obj_t BgL_bucketz00_2466;
{ /* ./DotNet/effect.scm 78 */
int BgL_kz00_2476;
BgL_kz00_2476 = 
(int)(BgL_modz00_2462); 
BgL_bucketz00_2466 = 
VECTOR_REF(BgL_arg1989z00_2457,BgL_kz00_2476); } 
{ /* ./DotNet/effect.scm 78 */
int BgL_kz00_2478;
BgL_kz00_2478 = 
(int)(BgL_restz00_2464); 
BgL_method2969z00_2454 = 
VECTOR_REF(BgL_bucketz00_2466,BgL_kz00_2478); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2454)(BgL_method2969z00_2454, 
(obj_t)(BgL_ez00_2452), 
(obj_t)(BgL_envz00_1673), BEOA);} } } } } 
}



/* compile-effect-vset!3005 */
obj_t BGl_compilezd2effectzd2vsetz123005z12zzdotnet_effectz00(obj_t BgL_envz00_2633, obj_t BgL_ez00_2634, obj_t BgL_envz00_2635)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 74 */
{ 
BgL_vsetz12z12_bglt BgL_ez00_1666;BgL_envz00_bglt BgL_envz00_1667;
BgL_ez00_1666 = 
(BgL_vsetz12z12_bglt)(BgL_ez00_2634); 
BgL_envz00_1667 = 
(BgL_envz00_bglt)(BgL_envz00_2635); 
return 
BGl_compilerzd2vsetzd2zzdotnet_compilerz00(BgL_ez00_1666, BgL_envz00_1667);} } 
}



/* compile-effect-vref3003 */
obj_t BGl_compilezd2effectzd2vref3003z00zzdotnet_effectz00(obj_t BgL_envz00_2636, obj_t BgL_ez00_2637, obj_t BgL_envz00_2638)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 69 */
{ 
BgL_vrefz00_bglt BgL_ez00_1655;BgL_envz00_bglt BgL_envz00_1656;
BgL_ez00_1655 = 
(BgL_vrefz00_bglt)(BgL_ez00_2637); 
BgL_envz00_1656 = 
(BgL_envz00_bglt)(BgL_envz00_2638); 
{ /* ./DotNet/effect.scm 71 */
obj_t BgL_arg3619z00_1660;
{ /* ./DotNet/effect.scm 71 */
obj_t BgL_auxz00_2868;
{ /* ./DotNet/effect.scm 71 */
BgL_externz00_bglt BgL_obj1826z00_2387;
BgL_obj1826z00_2387 = 
(BgL_externz00_bglt)(BgL_ez00_1655); 
BgL_auxz00_2868 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_2387))->BgL_exprza2za2); } 
BgL_arg3619z00_1660 = 
CAR(BgL_auxz00_2868); } 
{ /* ./DotNet/effect.scm 71 */
BgL_nodez00_bglt BgL_ez00_2389;
BgL_ez00_2389 = 
(BgL_nodez00_bglt)(BgL_arg3619z00_1660); 
{ /* ./DotNet/effect.scm 71 */
obj_t BgL_method2969z00_2391;
{ /* ./DotNet/effect.scm 71 */
BgL_objectz00_bglt BgL_objz00_2392;
BgL_objz00_2392 = 
(BgL_objectz00_bglt)(BgL_ez00_2389); 
{ /* ./DotNet/effect.scm 71 */
long BgL_objzd2classzd2numz00_2393;
BgL_objzd2classzd2numz00_2393 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2392); 
{ /* ./DotNet/effect.scm 71 */
obj_t BgL_arg1989z00_2394;
{ /* ./DotNet/effect.scm 71 */
int BgL_auxz00_2875;
BgL_auxz00_2875 = 
(int)(((long)1)); 
BgL_arg1989z00_2394 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BgL_auxz00_2875); } 
{ /* ./DotNet/effect.scm 71 */
int BgL_offsetz00_2397;
BgL_offsetz00_2397 = 
(int)(BgL_objzd2classzd2numz00_2393); 
{ /* ./DotNet/effect.scm 71 */
long BgL_offsetz00_2398;
{ /* ./DotNet/effect.scm 71 */
long BgL_auxz00_2879;
BgL_auxz00_2879 = 
(long)(BgL_offsetz00_2397); 
BgL_offsetz00_2398 = 
(BgL_auxz00_2879-OBJECT_TYPE); } 
{ /* ./DotNet/effect.scm 71 */
long BgL_modz00_2399;
{ /* ./DotNet/effect.scm 71 */
int BgL_arg2000z00_2400;
BgL_arg2000z00_2400 = 
(int)(((long)8)); 
{ /* ./DotNet/effect.scm 71 */
long BgL_n2z00_2408;
BgL_n2z00_2408 = 
(long)(BgL_arg2000z00_2400); 
BgL_modz00_2399 = 
(BgL_offsetz00_2398/BgL_n2z00_2408); } } 
{ /* ./DotNet/effect.scm 71 */
long BgL_restz00_2401;
{ /* ./DotNet/effect.scm 71 */
int BgL_arg1996z00_2402;
BgL_arg1996z00_2402 = 
(int)(((long)8)); 
{ /* ./DotNet/effect.scm 71 */
long BgL_n2z00_2411;
BgL_n2z00_2411 = 
(long)(BgL_arg1996z00_2402); 
BgL_restz00_2401 = 
(BgL_offsetz00_2398%BgL_n2z00_2411); } } 
{ /* ./DotNet/effect.scm 71 */

{ /* ./DotNet/effect.scm 71 */
obj_t BgL_bucketz00_2403;
{ /* ./DotNet/effect.scm 71 */
int BgL_kz00_2413;
BgL_kz00_2413 = 
(int)(BgL_modz00_2399); 
BgL_bucketz00_2403 = 
VECTOR_REF(BgL_arg1989z00_2394,BgL_kz00_2413); } 
{ /* ./DotNet/effect.scm 71 */
int BgL_kz00_2415;
BgL_kz00_2415 = 
(int)(BgL_restz00_2401); 
BgL_method2969z00_2391 = 
VECTOR_REF(BgL_bucketz00_2403,BgL_kz00_2415); } } } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2969z00_2391)(BgL_method2969z00_2391, 
(obj_t)(BgL_ez00_2389), 
(obj_t)(BgL_envz00_1656), BEOA); } } } 
{ /* ./DotNet/effect.scm 72 */
obj_t BgL_arg3626z00_1662;
{ /* ./DotNet/effect.scm 72 */
obj_t BgL_auxz00_2896;
{ /* ./DotNet/effect.scm 72 */
obj_t BgL_auxz00_2897;
{ /* ./DotNet/effect.scm 72 */
BgL_externz00_bglt BgL_obj1826z00_2416;
BgL_obj1826z00_2416 = 
(BgL_externz00_bglt)(BgL_ez00_1655); 
BgL_auxz00_2897 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_2416))->BgL_exprza2za2); } 
BgL_auxz00_2896 = 
CDR(BgL_auxz00_2897); } 
BgL_arg3626z00_1662 = 
CAR(BgL_auxz00_2896); } 
{ /* ./DotNet/effect.scm 72 */
BgL_nodez00_bglt BgL_ez00_2421;
BgL_ez00_2421 = 
(BgL_nodez00_bglt)(BgL_arg3626z00_1662); 
{ /* ./DotNet/effect.scm 72 */
obj_t BgL_method2969z00_2423;
{ /* ./DotNet/effect.scm 72 */
BgL_objectz00_bglt BgL_objz00_2424;
BgL_objz00_2424 = 
(BgL_objectz00_bglt)(BgL_ez00_2421); 
{ /* ./DotNet/effect.scm 72 */
long BgL_objzd2classzd2numz00_2425;
BgL_objzd2classzd2numz00_2425 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2424); 
{ /* ./DotNet/effect.scm 72 */
obj_t BgL_arg1989z00_2426;
{ /* ./DotNet/effect.scm 72 */
int BgL_auxz00_2905;
BgL_auxz00_2905 = 
(int)(((long)1)); 
BgL_arg1989z00_2426 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BgL_auxz00_2905); } 
{ /* ./DotNet/effect.scm 72 */
int BgL_offsetz00_2429;
BgL_offsetz00_2429 = 
(int)(BgL_objzd2classzd2numz00_2425); 
{ /* ./DotNet/effect.scm 72 */
long BgL_offsetz00_2430;
{ /* ./DotNet/effect.scm 72 */
long BgL_auxz00_2909;
BgL_auxz00_2909 = 
(long)(BgL_offsetz00_2429); 
BgL_offsetz00_2430 = 
(BgL_auxz00_2909-OBJECT_TYPE); } 
{ /* ./DotNet/effect.scm 72 */
long BgL_modz00_2431;
{ /* ./DotNet/effect.scm 72 */
int BgL_arg2000z00_2432;
BgL_arg2000z00_2432 = 
(int)(((long)8)); 
{ /* ./DotNet/effect.scm 72 */
long BgL_n2z00_2440;
BgL_n2z00_2440 = 
(long)(BgL_arg2000z00_2432); 
BgL_modz00_2431 = 
(BgL_offsetz00_2430/BgL_n2z00_2440); } } 
{ /* ./DotNet/effect.scm 72 */
long BgL_restz00_2433;
{ /* ./DotNet/effect.scm 72 */
int BgL_arg1996z00_2434;
BgL_arg1996z00_2434 = 
(int)(((long)8)); 
{ /* ./DotNet/effect.scm 72 */
long BgL_n2z00_2443;
BgL_n2z00_2443 = 
(long)(BgL_arg1996z00_2434); 
BgL_restz00_2433 = 
(BgL_offsetz00_2430%BgL_n2z00_2443); } } 
{ /* ./DotNet/effect.scm 72 */

{ /* ./DotNet/effect.scm 72 */
obj_t BgL_bucketz00_2435;
{ /* ./DotNet/effect.scm 72 */
int BgL_kz00_2445;
BgL_kz00_2445 = 
(int)(BgL_modz00_2431); 
BgL_bucketz00_2435 = 
VECTOR_REF(BgL_arg1989z00_2426,BgL_kz00_2445); } 
{ /* ./DotNet/effect.scm 72 */
int BgL_kz00_2447;
BgL_kz00_2447 = 
(int)(BgL_restz00_2433); 
BgL_method2969z00_2423 = 
VECTOR_REF(BgL_bucketz00_2435,BgL_kz00_2447); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2423)(BgL_method2969z00_2423, 
(obj_t)(BgL_ez00_2421), 
(obj_t)(BgL_envz00_1656), BEOA);} } } } } 
}



/* compile-effect-valloc3001 */
obj_t BGl_compilezd2effectzd2valloc3001z00zzdotnet_effectz00(obj_t BgL_envz00_2639, obj_t BgL_ez00_2640, obj_t BgL_envz00_2641)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 66 */
{ 
BgL_vallocz00_bglt BgL_ez00_1647;BgL_envz00_bglt BgL_envz00_1648;
BgL_ez00_1647 = 
(BgL_vallocz00_bglt)(BgL_ez00_2640); 
BgL_envz00_1648 = 
(BgL_envz00_bglt)(BgL_envz00_2641); 
{ /* ./DotNet/effect.scm 67 */
obj_t BgL_arg3606z00_2356;
{ /* ./DotNet/effect.scm 67 */
obj_t BgL_auxz00_2928;
{ /* ./DotNet/effect.scm 67 */
BgL_externz00_bglt BgL_obj1826z00_2358;
BgL_obj1826z00_2358 = 
(BgL_externz00_bglt)(BgL_ez00_1647); 
BgL_auxz00_2928 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_2358))->BgL_exprza2za2); } 
BgL_arg3606z00_2356 = 
CAR(BgL_auxz00_2928); } 
{ /* ./DotNet/effect.scm 67 */
BgL_nodez00_bglt BgL_ez00_2360;
BgL_ez00_2360 = 
(BgL_nodez00_bglt)(BgL_arg3606z00_2356); 
{ /* ./DotNet/effect.scm 67 */
obj_t BgL_method2969z00_2362;
{ /* ./DotNet/effect.scm 67 */
BgL_objectz00_bglt BgL_objz00_2363;
BgL_objz00_2363 = 
(BgL_objectz00_bglt)(BgL_ez00_2360); 
{ /* ./DotNet/effect.scm 67 */
long BgL_objzd2classzd2numz00_2364;
BgL_objzd2classzd2numz00_2364 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2363); 
{ /* ./DotNet/effect.scm 67 */
obj_t BgL_arg1989z00_2365;
{ /* ./DotNet/effect.scm 67 */
int BgL_auxz00_2935;
BgL_auxz00_2935 = 
(int)(((long)1)); 
BgL_arg1989z00_2365 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BgL_auxz00_2935); } 
{ /* ./DotNet/effect.scm 67 */
int BgL_offsetz00_2368;
BgL_offsetz00_2368 = 
(int)(BgL_objzd2classzd2numz00_2364); 
{ /* ./DotNet/effect.scm 67 */
long BgL_offsetz00_2369;
{ /* ./DotNet/effect.scm 67 */
long BgL_auxz00_2939;
BgL_auxz00_2939 = 
(long)(BgL_offsetz00_2368); 
BgL_offsetz00_2369 = 
(BgL_auxz00_2939-OBJECT_TYPE); } 
{ /* ./DotNet/effect.scm 67 */
long BgL_modz00_2370;
{ /* ./DotNet/effect.scm 67 */
int BgL_arg2000z00_2371;
BgL_arg2000z00_2371 = 
(int)(((long)8)); 
{ /* ./DotNet/effect.scm 67 */
long BgL_n2z00_2379;
BgL_n2z00_2379 = 
(long)(BgL_arg2000z00_2371); 
BgL_modz00_2370 = 
(BgL_offsetz00_2369/BgL_n2z00_2379); } } 
{ /* ./DotNet/effect.scm 67 */
long BgL_restz00_2372;
{ /* ./DotNet/effect.scm 67 */
int BgL_arg1996z00_2373;
BgL_arg1996z00_2373 = 
(int)(((long)8)); 
{ /* ./DotNet/effect.scm 67 */
long BgL_n2z00_2382;
BgL_n2z00_2382 = 
(long)(BgL_arg1996z00_2373); 
BgL_restz00_2372 = 
(BgL_offsetz00_2369%BgL_n2z00_2382); } } 
{ /* ./DotNet/effect.scm 67 */

{ /* ./DotNet/effect.scm 67 */
obj_t BgL_bucketz00_2374;
{ /* ./DotNet/effect.scm 67 */
int BgL_kz00_2384;
BgL_kz00_2384 = 
(int)(BgL_modz00_2370); 
BgL_bucketz00_2374 = 
VECTOR_REF(BgL_arg1989z00_2365,BgL_kz00_2384); } 
{ /* ./DotNet/effect.scm 67 */
int BgL_kz00_2386;
BgL_kz00_2386 = 
(int)(BgL_restz00_2372); 
BgL_method2969z00_2362 = 
VECTOR_REF(BgL_bucketz00_2374,BgL_kz00_2386); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2362)(BgL_method2969z00_2362, 
(obj_t)(BgL_ez00_2360), 
(obj_t)(BgL_envz00_1648), BEOA);} } } } } 
}



/* compile-effect-new2999 */
obj_t BGl_compilezd2effectzd2new2999z00zzdotnet_effectz00(obj_t BgL_envz00_2642, obj_t BgL_ez00_2643, obj_t BgL_envz00_2644)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 63 */
{ 
BgL_newz00_bglt BgL_ez00_1641;BgL_envz00_bglt BgL_envz00_1642;
BgL_ez00_1641 = 
(BgL_newz00_bglt)(BgL_ez00_2643); 
BgL_envz00_1642 = 
(BgL_envz00_bglt)(BgL_envz00_2644); 
return 
CNST_TABLE_REF(((long)0));} } 
}



/* compile-effect-setfield2997 */
obj_t BGl_compilezd2effectzd2setfield2997z00zzdotnet_effectz00(obj_t BgL_envz00_2645, obj_t BgL_ez00_2646, obj_t BgL_envz00_2647)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 60 */
{ 
BgL_setfieldz00_bglt BgL_ez00_1635;BgL_envz00_bglt BgL_envz00_1636;
BgL_ez00_1635 = 
(BgL_setfieldz00_bglt)(BgL_ez00_2646); 
BgL_envz00_1636 = 
(BgL_envz00_bglt)(BgL_envz00_2647); 
return 
BGl_compilerzd2setfieldzd2zzdotnet_compilerz00(BgL_ez00_1635, BgL_envz00_1636);} } 
}



/* compile-effect-getfield2995 */
obj_t BGl_compilezd2effectzd2getfield2995z00zzdotnet_effectz00(obj_t BgL_envz00_2648, obj_t BgL_ez00_2649, obj_t BgL_envz00_2650)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 57 */
{ 
BgL_getfieldz00_bglt BgL_ez00_1627;BgL_envz00_bglt BgL_envz00_1628;
BgL_ez00_1627 = 
(BgL_getfieldz00_bglt)(BgL_ez00_2649); 
BgL_envz00_1628 = 
(BgL_envz00_bglt)(BgL_envz00_2650); 
{ /* ./DotNet/effect.scm 58 */
obj_t BgL_arg3580z00_2325;
{ /* ./DotNet/effect.scm 58 */
obj_t BgL_auxz00_2964;
{ /* ./DotNet/effect.scm 58 */
BgL_externz00_bglt BgL_obj1826z00_2327;
BgL_obj1826z00_2327 = 
(BgL_externz00_bglt)(BgL_ez00_1627); 
BgL_auxz00_2964 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_2327))->BgL_exprza2za2); } 
BgL_arg3580z00_2325 = 
CAR(BgL_auxz00_2964); } 
{ /* ./DotNet/effect.scm 58 */
BgL_nodez00_bglt BgL_ez00_2329;
BgL_ez00_2329 = 
(BgL_nodez00_bglt)(BgL_arg3580z00_2325); 
{ /* ./DotNet/effect.scm 58 */
obj_t BgL_method2969z00_2331;
{ /* ./DotNet/effect.scm 58 */
BgL_objectz00_bglt BgL_objz00_2332;
BgL_objz00_2332 = 
(BgL_objectz00_bglt)(BgL_ez00_2329); 
{ /* ./DotNet/effect.scm 58 */
long BgL_objzd2classzd2numz00_2333;
BgL_objzd2classzd2numz00_2333 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2332); 
{ /* ./DotNet/effect.scm 58 */
obj_t BgL_arg1989z00_2334;
{ /* ./DotNet/effect.scm 58 */
int BgL_auxz00_2971;
BgL_auxz00_2971 = 
(int)(((long)1)); 
BgL_arg1989z00_2334 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BgL_auxz00_2971); } 
{ /* ./DotNet/effect.scm 58 */
int BgL_offsetz00_2337;
BgL_offsetz00_2337 = 
(int)(BgL_objzd2classzd2numz00_2333); 
{ /* ./DotNet/effect.scm 58 */
long BgL_offsetz00_2338;
{ /* ./DotNet/effect.scm 58 */
long BgL_auxz00_2975;
BgL_auxz00_2975 = 
(long)(BgL_offsetz00_2337); 
BgL_offsetz00_2338 = 
(BgL_auxz00_2975-OBJECT_TYPE); } 
{ /* ./DotNet/effect.scm 58 */
long BgL_modz00_2339;
{ /* ./DotNet/effect.scm 58 */
int BgL_arg2000z00_2340;
BgL_arg2000z00_2340 = 
(int)(((long)8)); 
{ /* ./DotNet/effect.scm 58 */
long BgL_n2z00_2348;
BgL_n2z00_2348 = 
(long)(BgL_arg2000z00_2340); 
BgL_modz00_2339 = 
(BgL_offsetz00_2338/BgL_n2z00_2348); } } 
{ /* ./DotNet/effect.scm 58 */
long BgL_restz00_2341;
{ /* ./DotNet/effect.scm 58 */
int BgL_arg1996z00_2342;
BgL_arg1996z00_2342 = 
(int)(((long)8)); 
{ /* ./DotNet/effect.scm 58 */
long BgL_n2z00_2351;
BgL_n2z00_2351 = 
(long)(BgL_arg1996z00_2342); 
BgL_restz00_2341 = 
(BgL_offsetz00_2338%BgL_n2z00_2351); } } 
{ /* ./DotNet/effect.scm 58 */

{ /* ./DotNet/effect.scm 58 */
obj_t BgL_bucketz00_2343;
{ /* ./DotNet/effect.scm 58 */
int BgL_kz00_2353;
BgL_kz00_2353 = 
(int)(BgL_modz00_2339); 
BgL_bucketz00_2343 = 
VECTOR_REF(BgL_arg1989z00_2334,BgL_kz00_2353); } 
{ /* ./DotNet/effect.scm 58 */
int BgL_kz00_2355;
BgL_kz00_2355 = 
(int)(BgL_restz00_2341); 
BgL_method2969z00_2331 = 
VECTOR_REF(BgL_bucketz00_2343,BgL_kz00_2355); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2331)(BgL_method2969z00_2331, 
(obj_t)(BgL_ez00_2329), 
(obj_t)(BgL_envz00_1628), BEOA);} } } } } 
}



/* compile-effect-pragma2993 */
obj_t BGl_compilezd2effectzd2pragma2993z00zzdotnet_effectz00(obj_t BgL_envz00_2651, obj_t BgL_ez00_2652, obj_t BgL_envz00_2653)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 54 */
{ 
BgL_pragmaz00_bglt BgL_ez00_1621;BgL_envz00_bglt BgL_envz00_1622;
BgL_ez00_1621 = 
(BgL_pragmaz00_bglt)(BgL_ez00_2652); 
BgL_envz00_1622 = 
(BgL_envz00_bglt)(BgL_envz00_2653); 
{ /* ./DotNet/effect.scm 55 */
BgL_nodez00_bglt BgL_ez00_2322;
BgL_ez00_2322 = 
(BgL_nodez00_bglt)(BgL_ez00_1621); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2322, BgL_envz00_1622); 
{ /* ./DotNet/effect.scm 55 */
obj_t BgL_arg3026z00_2324;
BgL_arg3026z00_2324 = 
BGl_compilezd2typezd2zzdotnet_envz00(
(obj_t)(BgL_ez00_2322), BgL_envz00_1622); 
return 
BGl__popz00zzdotnet_instrz00(BgL_envz00_1622, BgL_arg3026z00_2324);} } } } 
}



/* compile-effect-funcall2991 */
obj_t BGl_compilezd2effectzd2funcall2991z00zzdotnet_effectz00(obj_t BgL_envz00_2654, obj_t BgL_ez00_2655, obj_t BgL_envz00_2656)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 51 */
{ 
BgL_funcallz00_bglt BgL_ez00_1615;BgL_envz00_bglt BgL_envz00_1616;
BgL_ez00_1615 = 
(BgL_funcallz00_bglt)(BgL_ez00_2655); 
BgL_envz00_1616 = 
(BgL_envz00_bglt)(BgL_envz00_2656); 
{ /* ./DotNet/effect.scm 52 */
BgL_nodez00_bglt BgL_ez00_2319;
BgL_ez00_2319 = 
(BgL_nodez00_bglt)(BgL_ez00_1615); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2319, BgL_envz00_1616); 
{ /* ./DotNet/effect.scm 52 */
obj_t BgL_arg3026z00_2321;
BgL_arg3026z00_2321 = 
BGl_compilezd2typezd2zzdotnet_envz00(
(obj_t)(BgL_ez00_2319), BgL_envz00_1616); 
return 
BGl__popz00zzdotnet_instrz00(BgL_envz00_1616, BgL_arg3026z00_2321);} } } } 
}



/* compile-effect-app-ly2989 */
obj_t BGl_compilezd2effectzd2appzd2ly2989zd2zzdotnet_effectz00(obj_t BgL_envz00_2657, obj_t BgL_ez00_2658, obj_t BgL_envz00_2659)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 48 */
{ 
BgL_appzd2lyzd2_bglt BgL_ez00_1609;BgL_envz00_bglt BgL_envz00_1610;
BgL_ez00_1609 = 
(BgL_appzd2lyzd2_bglt)(BgL_ez00_2658); 
BgL_envz00_1610 = 
(BgL_envz00_bglt)(BgL_envz00_2659); 
{ /* ./DotNet/effect.scm 49 */
BgL_nodez00_bglt BgL_ez00_2316;
BgL_ez00_2316 = 
(BgL_nodez00_bglt)(BgL_ez00_1609); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2316, BgL_envz00_1610); 
{ /* ./DotNet/effect.scm 49 */
obj_t BgL_arg3026z00_2318;
BgL_arg3026z00_2318 = 
BGl_compilezd2typezd2zzdotnet_envz00(
(obj_t)(BgL_ez00_2316), BgL_envz00_1610); 
return 
BGl__popz00zzdotnet_instrz00(BgL_envz00_1610, BgL_arg3026z00_2318);} } } } 
}



/* compile-effect-app2987 */
obj_t BGl_compilezd2effectzd2app2987z00zzdotnet_effectz00(obj_t BgL_envz00_2660, obj_t BgL_ez00_2661, obj_t BgL_envz00_2662)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 44 */
{ 
BgL_appz00_bglt BgL_ez00_1603;BgL_envz00_bglt BgL_envz00_1604;
BgL_ez00_1603 = 
(BgL_appz00_bglt)(BgL_ez00_2661); 
BgL_envz00_1604 = 
(BgL_envz00_bglt)(BgL_envz00_2662); 
{ /* ./DotNet/effect.scm 46 */
BgL_nodez00_bglt BgL_ez00_2313;
BgL_ez00_2313 = 
(BgL_nodez00_bglt)(BgL_ez00_1603); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2313, BgL_envz00_1604); 
{ /* ./DotNet/effect.scm 46 */
obj_t BgL_arg3026z00_2315;
BgL_arg3026z00_2315 = 
BGl_compilezd2typezd2zzdotnet_envz00(
(obj_t)(BgL_ez00_2313), BgL_envz00_1604); 
return 
BGl__popz00zzdotnet_instrz00(BgL_envz00_1604, BgL_arg3026z00_2315);} } } } 
}



/* compile-effect-let-fun2985 */
obj_t BGl_compilezd2effectzd2letzd2fun2985zd2zzdotnet_effectz00(obj_t BgL_envz00_2663, obj_t BgL_ez00_2664, obj_t BgL_envz00_2665)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 41 */
{ 
BgL_letzd2funzd2_bglt BgL_ez00_1597;BgL_envz00_bglt BgL_envz00_1598;
BgL_ez00_1597 = 
(BgL_letzd2funzd2_bglt)(BgL_ez00_2664); 
BgL_envz00_1598 = 
(BgL_envz00_bglt)(BgL_envz00_2665); 
return 
BGl_compilerzd2labelszd2zzdotnet_compilerz00(BgL_ez00_1597, BgL_envz00_1598, BGl_compilezd2effectzd2envz00zzdotnet_effectz00);} } 
}



/* compile-effect-select2983 */
obj_t BGl_compilezd2effectzd2select2983z00zzdotnet_effectz00(obj_t BgL_envz00_2666, obj_t BgL_ez00_2667, obj_t BgL_envz00_2668)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 36 */
{ 
BgL_selectz00_bglt BgL_ez00_1590;BgL_envz00_bglt BgL_envz00_1591;
BgL_ez00_1590 = 
(BgL_selectz00_bglt)(BgL_ez00_2667); 
BgL_envz00_1591 = 
(BgL_envz00_bglt)(BgL_envz00_2668); 
{ /* ./DotNet/effect.scm 37 */
bool_t BgL_test3534z00_1594;
{ /* ./DotNet/effect.scm 37 */
obj_t BgL_auxz00_3025;
BgL_auxz00_3025 = 
CNST_TABLE_REF(((long)1)); 
BgL_test3534z00_1594 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_3025); } 
if(BgL_test3534z00_1594)
{ /* ./DotNet/effect.scm 38 */
BgL_nodez00_bglt BgL_ez00_2310;
BgL_ez00_2310 = 
(BgL_nodez00_bglt)(BgL_ez00_1590); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2310, BgL_envz00_1591); 
{ /* ./DotNet/effect.scm 38 */
obj_t BgL_arg3026z00_2312;
BgL_arg3026z00_2312 = 
BGl_compilezd2typezd2zzdotnet_envz00(
(obj_t)(BgL_ez00_2310), BgL_envz00_1591); 
return 
BGl__popz00zzdotnet_instrz00(BgL_envz00_1591, BgL_arg3026z00_2312);} }  else 
{ /* ./DotNet/effect.scm 37 */
return 
BGl_compilerzd2selectzd2zzdotnet_compilerz00(BgL_ez00_1590, BgL_envz00_1591, BGl_compilezd2effectzd2envz00zzdotnet_effectz00);} } } } 
}



/* compile-effect-conditional2981 */
obj_t BGl_compilezd2effectzd2conditional2981z00zzdotnet_effectz00(obj_t BgL_envz00_2669, obj_t BgL_ez00_2670, obj_t BgL_envz00_2671)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 31 */
{ 
BgL_conditionalz00_bglt BgL_ez00_1583;BgL_envz00_bglt BgL_envz00_1584;
BgL_ez00_1583 = 
(BgL_conditionalz00_bglt)(BgL_ez00_2670); 
BgL_envz00_1584 = 
(BgL_envz00_bglt)(BgL_envz00_2671); 
{ /* ./DotNet/effect.scm 32 */
bool_t BgL_test3524z00_1587;
{ /* ./DotNet/effect.scm 32 */
obj_t BgL_auxz00_3037;
BgL_auxz00_3037 = 
CNST_TABLE_REF(((long)1)); 
BgL_test3524z00_1587 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_3037); } 
if(BgL_test3524z00_1587)
{ /* ./DotNet/effect.scm 33 */
BgL_nodez00_bglt BgL_ez00_2307;
BgL_ez00_2307 = 
(BgL_nodez00_bglt)(BgL_ez00_1583); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2307, BgL_envz00_1584); 
{ /* ./DotNet/effect.scm 33 */
obj_t BgL_arg3026z00_2309;
BgL_arg3026z00_2309 = 
BGl_compilezd2typezd2zzdotnet_envz00(
(obj_t)(BgL_ez00_2307), BgL_envz00_1584); 
return 
BGl__popz00zzdotnet_instrz00(BgL_envz00_1584, BgL_arg3026z00_2309);} }  else 
{ /* ./DotNet/effect.scm 32 */
return 
BGl_compilerzd2ifzd2zzdotnet_compilerz00(BgL_ez00_1583, BgL_envz00_1584, BGl_compilezd2effectzd2envz00zzdotnet_effectz00);} } } } 
}



/* compile-effect-sequence2979 */
obj_t BGl_compilezd2effectzd2sequence2979z00zzdotnet_effectz00(obj_t BgL_envz00_2672, obj_t BgL_ez00_2673, obj_t BgL_envz00_2674)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 28 */
{ 
BgL_sequencez00_bglt BgL_ez00_1577;BgL_envz00_bglt BgL_envz00_1578;
BgL_ez00_1577 = 
(BgL_sequencez00_bglt)(BgL_ez00_2673); 
BgL_envz00_1578 = 
(BgL_envz00_bglt)(BgL_envz00_2674); 
return 
BGl_compilerzd2sequencezd2zzdotnet_compilerz00(BgL_ez00_1577, BgL_envz00_1578, BGl_compilezd2effectzd2envz00zzdotnet_effectz00);} } 
}



/* compile-effect-setq2977 */
obj_t BGl_compilezd2effectzd2setq2977z00zzdotnet_effectz00(obj_t BgL_envz00_2675, obj_t BgL_ez00_2676, obj_t BgL_envz00_2677)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 25 */
{ 
BgL_setqz00_bglt BgL_ez00_1571;BgL_envz00_bglt BgL_envz00_1572;
BgL_ez00_1571 = 
(BgL_setqz00_bglt)(BgL_ez00_2676); 
BgL_envz00_1572 = 
(BgL_envz00_bglt)(BgL_envz00_2677); 
return 
BGl_compilerzd2setqzd2zzdotnet_compilerz00(BgL_ez00_1571, BgL_envz00_1572);} } 
}



/* compile-effect-let-var2975 */
obj_t BGl_compilezd2effectzd2letzd2var2975zd2zzdotnet_effectz00(obj_t BgL_envz00_2678, obj_t BgL_ez00_2679, obj_t BgL_envz00_2680)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 22 */
{ 
BgL_letzd2varzd2_bglt BgL_ez00_1565;BgL_envz00_bglt BgL_envz00_1566;
BgL_ez00_1565 = 
(BgL_letzd2varzd2_bglt)(BgL_ez00_2679); 
BgL_envz00_1566 = 
(BgL_envz00_bglt)(BgL_envz00_2680); 
return 
BGl_compilerzd2letzd2zzdotnet_compilerz00(BgL_ez00_1565, BgL_envz00_1566, BGl_compilezd2effectzd2envz00zzdotnet_effectz00);} } 
}



/* compile-effect-var2973 */
obj_t BGl_compilezd2effectzd2var2973z00zzdotnet_effectz00(obj_t BgL_envz00_2681, obj_t BgL_ez00_2682, obj_t BgL_envz00_2683)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 19 */
{ 
BgL_varz00_bglt BgL_ez00_1559;BgL_envz00_bglt BgL_envz00_1560;
BgL_ez00_1559 = 
(BgL_varz00_bglt)(BgL_ez00_2682); 
BgL_envz00_1560 = 
(BgL_envz00_bglt)(BgL_envz00_2683); 
return 
CNST_TABLE_REF(((long)0));} } 
}



/* compile-effect-atom2971 */
obj_t BGl_compilezd2effectzd2atom2971z00zzdotnet_effectz00(obj_t BgL_envz00_2684, obj_t BgL_ez00_2685, obj_t BgL_envz00_2686)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 16 */
{ 
BgL_atomz00_bglt BgL_ez00_1553;BgL_envz00_bglt BgL_envz00_1554;
BgL_ez00_1553 = 
(BgL_atomz00_bglt)(BgL_ez00_2685); 
BgL_envz00_1554 = 
(BgL_envz00_bglt)(BgL_envz00_2686); 
return 
CNST_TABLE_REF(((long)0));} } 
}



/* compile-effect */
BGL_EXPORTED_DEF obj_t BGl_compilezd2effectzd2zzdotnet_effectz00(BgL_nodez00_bglt BgL_ez00_3, BgL_envz00_bglt BgL_envz00_4)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 14 */
{ /* ./DotNet/effect.scm 14 */
obj_t BgL_method2969z00_2548;
{ /* ./DotNet/effect.scm 14 */
BgL_objectz00_bglt BgL_objz00_2549;
BgL_objz00_2549 = 
(BgL_objectz00_bglt)(BgL_ez00_3); 
{ /* ./DotNet/effect.scm 14 */
long BgL_objzd2classzd2numz00_2550;
BgL_objzd2classzd2numz00_2550 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2549); 
{ /* ./DotNet/effect.scm 14 */
obj_t BgL_arg1989z00_2551;
{ /* ./DotNet/effect.scm 14 */
int BgL_auxz00_3066;
BgL_auxz00_3066 = 
(int)(((long)1)); 
BgL_arg1989z00_2551 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzdotnet_effectz00, BgL_auxz00_3066); } 
{ /* ./DotNet/effect.scm 14 */
int BgL_offsetz00_2554;
BgL_offsetz00_2554 = 
(int)(BgL_objzd2classzd2numz00_2550); 
{ /* ./DotNet/effect.scm 14 */
long BgL_offsetz00_2555;
{ /* ./DotNet/effect.scm 14 */
long BgL_auxz00_3070;
BgL_auxz00_3070 = 
(long)(BgL_offsetz00_2554); 
BgL_offsetz00_2555 = 
(BgL_auxz00_3070-OBJECT_TYPE); } 
{ /* ./DotNet/effect.scm 14 */
long BgL_modz00_2556;
{ /* ./DotNet/effect.scm 14 */
int BgL_arg2000z00_2557;
BgL_arg2000z00_2557 = 
(int)(((long)8)); 
{ /* ./DotNet/effect.scm 14 */
long BgL_n2z00_2565;
BgL_n2z00_2565 = 
(long)(BgL_arg2000z00_2557); 
BgL_modz00_2556 = 
(BgL_offsetz00_2555/BgL_n2z00_2565); } } 
{ /* ./DotNet/effect.scm 14 */
long BgL_restz00_2558;
{ /* ./DotNet/effect.scm 14 */
int BgL_arg1996z00_2559;
BgL_arg1996z00_2559 = 
(int)(((long)8)); 
{ /* ./DotNet/effect.scm 14 */
long BgL_n2z00_2568;
BgL_n2z00_2568 = 
(long)(BgL_arg1996z00_2559); 
BgL_restz00_2558 = 
(BgL_offsetz00_2555%BgL_n2z00_2568); } } 
{ /* ./DotNet/effect.scm 14 */

{ /* ./DotNet/effect.scm 14 */
obj_t BgL_bucketz00_2560;
{ /* ./DotNet/effect.scm 14 */
int BgL_kz00_2570;
BgL_kz00_2570 = 
(int)(BgL_modz00_2556); 
BgL_bucketz00_2560 = 
VECTOR_REF(BgL_arg1989z00_2551,BgL_kz00_2570); } 
{ /* ./DotNet/effect.scm 14 */
int BgL_kz00_2572;
BgL_kz00_2572 = 
(int)(BgL_restz00_2558); 
BgL_method2969z00_2548 = 
VECTOR_REF(BgL_bucketz00_2560,BgL_kz00_2572); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2548)(BgL_method2969z00_2548, 
(obj_t)(BgL_ez00_3), 
(obj_t)(BgL_envz00_4), BEOA);} } 
}



/* _compile-effect */
obj_t BGl__compilezd2effectzd2zzdotnet_effectz00(obj_t BgL_envz00_2579, obj_t BgL_ez00_2580, obj_t BgL_envz00_2581)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 14 */
return 
BGl_compilezd2effectzd2zzdotnet_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2580), 
(BgL_envz00_bglt)(BgL_envz00_2581));} 
}



/* compile-effect-default2967 */
obj_t BGl_compilezd2effectzd2default2967z00zzdotnet_effectz00(BgL_nodez00_bglt BgL_ez00_5, BgL_envz00_bglt BgL_envz00_6)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 2 */
{ /* ./DotNet/effect.scm 2 */
obj_t BgL_procz00_2573;obj_t BgL_objectz00_2575;
BgL_procz00_2573 = 
CNST_TABLE_REF(((long)2)); 
BgL_objectz00_2575 = 
(obj_t)(BgL_ez00_5); 
FAILURE(BgL_procz00_2573,BGl_string4023z00zzdotnet_effectz00,BgL_objectz00_2575);} } 
}



/* _compile-effect-default2967 */
obj_t BGl__compilezd2effectzd2default2967z00zzdotnet_effectz00(obj_t BgL_envz00_2687, obj_t BgL_ez00_2688, obj_t BgL_envz00_2689)
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 2 */
return 
BGl_compilezd2effectzd2default2967z00zzdotnet_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2688), 
(BgL_envz00_bglt)(BgL_envz00_2689));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzdotnet_effectz00()
{ AN_OBJECT;
{ /* ./DotNet/effect.scm 2 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "dotnet_effect"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "dotnet_effect"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "dotnet_effect"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "dotnet_effect"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)23064), "dotnet_effect"); 
BGl_modulezd2initializa7ationz75zzdotnet_envz00(((long)58889), "dotnet_effect"); 
BGl_modulezd2initializa7ationz75zzdotnet_instrz00(((long)8897), "dotnet_effect"); 
BGl_modulezd2initializa7ationz75zzdotnet_exprz00(((long)54487), "dotnet_effect"); 
return 
BGl_modulezd2initializa7ationz75zzdotnet_compilerz00(((long)49496), "dotnet_effect");} 
}

