/*===========================================================================*/
/*   (Foreign/cenum.scm)                                                     */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Foreign/cenum.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_caliasz00_bgl {
   bool_t BgL_arrayzf3zf3;
} *BgL_caliasz00_bglt;

typedef struct BgL_cenumz00_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
   obj_t BgL_literalsz00;
} *BgL_cenumz00_bglt;

typedef struct BgL_copaquez00_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
} *BgL_copaquez00_bglt;

typedef struct BgL_cfunctionz00_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
   long BgL_arityz00;
   struct BgL_typez00_bgl * BgL_typezd2reszd2;
   obj_t BgL_typezd2argszd2;
} *BgL_cfunctionz00_bglt;

typedef struct BgL_cptrz00_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
   struct BgL_typez00_bgl * BgL_pointzd2tozd2;
   bool_t BgL_arrayzf3zf3;
} *BgL_cptrz00_bglt;

typedef struct BgL_cstructz00_bgl {
   bool_t BgL_structzf3zf3;
   obj_t BgL_fieldsz00;
   obj_t BgL_cstructza2za2;
} *BgL_cstructz00_bglt;

typedef struct BgL_cstructza2za2_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
   struct BgL_cstructz00_bgl * BgL_cstructz00;
} *BgL_cstructza2za2_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzforeign_cenumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_ctypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_accessz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_libraryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
static obj_t BGl_methodzd2initzd2zzforeign_cenumz00();
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
extern obj_t BGl_cenumz00zzforeign_ctypez00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_makezd2protozd2inlinez00zzforeign_libraryz00(obj_t);
extern obj_t BGl_makezd2definezd2inlinez00zzforeign_libraryz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_cnstzd2initzd2zzforeign_cenumz00();
static obj_t BGl_importedzd2moduleszd2initz00zzforeign_cenumz00();
extern obj_t BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzforeign_cenumz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzforeign_cenumz00();
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
extern obj_t BGl_stringzd2sanszd2z42z42zztype_toolsz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzforeign_cenumz00();
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t BGl_makezd2ctypezd2accessesz12zd2cenum1637zc0zzforeign_cenumz00(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 23 ] ;


extern obj_t BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00;
DEFINE_STRING( BGl_string2162z00zzforeign_cenumz00, BgL_bgl_string2162za700za7za7foreign_cenumza7002189z00, "predicate-of ::obj static foreign pragma - (pragma::bool \"($1 == $2)\" o1 o2) o2 o1 ?::bool = quote foreign-id eq? o foreign? if o::obj symbol macro ::bool ? -> ", 160 );
DEFINE_STRING( BGl_string2161z00zzforeign_cenumz00, BgL_bgl_string2161za700za7za7foreign_cenumza7002190z00, ")FOREIGN_TO_COBJ", 16 );
DEFINE_STRING( BGl_string2160z00zzforeign_cenumz00, BgL_bgl_string2160za700za7za7foreign_cenumza7002191z00, "(", 1 );
DEFINE_STRING( BGl_string2159z00zzforeign_cenumz00, BgL_bgl_string2159za700za7za7foreign_cenumza7002192z00, "CENUM_TO_FOREIGN", 16 );
DEFINE_STATIC_PROCEDURE( BGl_proc2158z00zzforeign_cenumz00, BgL_bgl_makeza7d2ctypeza7d2accessesza712za7d2cenum1637za7c0za7za7foreign_cenumza7002193z00, BGl_makezd2ctypezd2accessesz12zd2cenum1637zc0zzforeign_cenumz00, 0L, 3 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzforeign_cenumz00(long BgL_checksumz00_671, char * BgL_fromz00_672)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzforeign_cenumz00))
{ 
BGl_requirezd2initializa7ationz75zzforeign_cenumz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzforeign_cenumz00(); 
BGl_cnstzd2initzd2zzforeign_cenumz00(); 
BGl_importedzd2moduleszd2initz00zzforeign_cenumz00(); 
BGl_methodzd2initzd2zzforeign_cenumz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzforeign_cenumz00()
{ AN_OBJECT;
{ /* ./Foreign/cenum.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "foreign_cenum"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "foreign_cenum"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "foreign_cenum"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzforeign_cenumz00()
{ AN_OBJECT;
{ /* ./Foreign/cenum.scm 15 */
{ /* ./Foreign/cenum.scm 15 */
obj_t BgL_cportz00_664;
BgL_cportz00_664 = 
open_input_string(BGl_string2162z00zzforeign_cenumz00); 
{ 
long BgL_iz00_665;
BgL_iz00_665 = ((long)22); 
BgL_loopz00_666:
{ /* ./Foreign/cenum.scm 15 */
bool_t BgL_test2164z00_667;
BgL_test2164z00_667 = 
(BgL_iz00_665==((long)-1)); 
if(BgL_test2164z00_667)
{ /* ./Foreign/cenum.scm 15 */
return BUNSPEC;}  else 
{ /* ./Foreign/cenum.scm 15 */
{ /* ./Foreign/cenum.scm 15 */
obj_t BgL_arg2166z00_668;
{ /* ./Foreign/cenum.scm 15 */
obj_t BgL_list2169z00_669;
BgL_list2169z00_669 = 
MAKE_PAIR(BgL_cportz00_664, BNIL); 
BgL_arg2166z00_668 = 
BGl_readz00zz__readerz00(BgL_list2169z00_669); } 
{ /* ./Foreign/cenum.scm 15 */
int BgL_auxz00_688;
BgL_auxz00_688 = 
(int)(BgL_iz00_665); 
CNST_TABLE_SET(BgL_auxz00_688, BgL_arg2166z00_668); } } 
{ /* ./Foreign/cenum.scm 15 */
int BgL_auxz00_670;
{ /* ./Foreign/cenum.scm 15 */
long BgL_auxz00_691;
BgL_auxz00_691 = 
(BgL_iz00_665-((long)1)); 
BgL_auxz00_670 = 
(int)(BgL_auxz00_691); } 
{ 
long BgL_iz00_694;
BgL_iz00_694 = 
(long)(BgL_auxz00_670); 
BgL_iz00_665 = BgL_iz00_694; 
goto BgL_loopz00_666;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzforeign_cenumz00()
{ AN_OBJECT;
{ /* ./Foreign/cenum.scm 15 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzforeign_cenumz00()
{ AN_OBJECT;
{ /* ./Foreign/cenum.scm 15 */
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00, BGl_cenumz00zzforeign_ctypez00, BGl_proc2158z00zzforeign_cenumz00);} 
}



/* make-ctype-accesses!-cenum1637 */
obj_t BGl_makezd2ctypezd2accessesz12zd2cenum1637zc0zzforeign_cenumz00(obj_t BgL_envz00_656, obj_t BgL_whatz00_657, obj_t BgL_whoz00_658, obj_t BgL_locz00_659)
{ AN_OBJECT;
{ /* ./Foreign/cenum.scm 28 */
{ 
BgL_cenumz00_bglt BgL_whatz00_357;BgL_typez00_bglt BgL_whoz00_358;obj_t BgL_locz00_359;
BgL_whatz00_357 = 
(BgL_cenumz00_bglt)(BgL_whatz00_657); 
BgL_whoz00_358 = 
(BgL_typez00_bglt)(BgL_whoz00_658); 
BgL_locz00_359 = BgL_locz00_659; 
{ /* ./Foreign/cenum.scm 29 */
BgL_typez00_bglt BgL_btypez00_362;
{ 
obj_t BgL_auxz00_697;
{ /* ./Foreign/cenum.scm 29 */
BgL_objectz00_bglt BgL_auxz00_698;
BgL_auxz00_698 = 
(BgL_objectz00_bglt)(BgL_whatz00_357); 
BgL_auxz00_697 = 
BGL_OBJECT_WIDENING(BgL_auxz00_698); } 
BgL_btypez00_362 = 
(((BgL_cenumz00_bglt)CREF(BgL_auxz00_697))->BgL_btypez00); } 
{ /* ./Foreign/cenum.scm 29 */
obj_t BgL_idz00_363;
BgL_idz00_363 = 
(((BgL_typez00_bglt)CREF(BgL_whoz00_358))->BgL_idz00); 
{ /* ./Foreign/cenum.scm 30 */
obj_t BgL_widz00_364;
{ /* ./Foreign/cenum.scm 31 */
BgL_typez00_bglt BgL_obj1003z00_643;
BgL_obj1003z00_643 = 
(BgL_typez00_bglt)(BgL_whatz00_357); 
BgL_widz00_364 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_643))->BgL_idz00); } 
{ /* ./Foreign/cenum.scm 31 */
obj_t BgL_bidz00_365;
BgL_bidz00_365 = 
(((BgL_typez00_bglt)CREF(BgL_btypez00_362))->BgL_idz00); 
{ /* ./Foreign/cenum.scm 32 */
obj_t BgL_idzd2ze3bidz31_366;
{ /* ./Foreign/cenum.scm 33 */
obj_t BgL_list2107z00_501;
{ /* ./Foreign/cenum.scm 33 */
obj_t BgL_arg2109z00_502;
{ /* ./Foreign/cenum.scm 33 */
obj_t BgL_arg2112z00_503;obj_t BgL_arg2113z00_504;
BgL_arg2112z00_503 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg2113z00_504 = 
MAKE_PAIR(BgL_bidz00_365, BNIL); 
BgL_arg2109z00_502 = 
MAKE_PAIR(BgL_arg2112z00_503, BgL_arg2113z00_504); } 
BgL_list2107z00_501 = 
MAKE_PAIR(BgL_idz00_363, BgL_arg2109z00_502); } 
BgL_idzd2ze3bidz31_366 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2107z00_501); } 
{ /* ./Foreign/cenum.scm 33 */
obj_t BgL_bidzd2ze3idz31_367;
{ /* ./Foreign/cenum.scm 34 */
obj_t BgL_list2097z00_497;
{ /* ./Foreign/cenum.scm 34 */
obj_t BgL_arg2099z00_498;
{ /* ./Foreign/cenum.scm 34 */
obj_t BgL_arg2102z00_499;obj_t BgL_arg2103z00_500;
BgL_arg2102z00_499 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg2103z00_500 = 
MAKE_PAIR(BgL_idz00_363, BNIL); 
BgL_arg2099z00_498 = 
MAKE_PAIR(BgL_arg2102z00_499, BgL_arg2103z00_500); } 
BgL_list2097z00_497 = 
MAKE_PAIR(BgL_bidz00_365, BgL_arg2099z00_498); } 
BgL_bidzd2ze3idz31_367 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2097z00_497); } 
{ /* ./Foreign/cenum.scm 34 */
obj_t BgL_bidzf3zf3_368;
{ /* ./Foreign/cenum.scm 35 */
obj_t BgL_list2091z00_495;
{ /* ./Foreign/cenum.scm 35 */
obj_t BgL_arg2093z00_496;
{ /* ./Foreign/cenum.scm 35 */
obj_t BgL_auxz00_716;
BgL_auxz00_716 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2093z00_496 = 
MAKE_PAIR(BgL_auxz00_716, BNIL); } 
BgL_list2091z00_495 = 
MAKE_PAIR(BgL_idz00_363, BgL_arg2093z00_496); } 
BgL_bidzf3zf3_368 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2091z00_495); } 
{ /* ./Foreign/cenum.scm 35 */
obj_t BgL_bidzf3zd2boolz21_369;
{ /* ./Foreign/cenum.scm 36 */
obj_t BgL_list2085z00_493;
{ /* ./Foreign/cenum.scm 36 */
obj_t BgL_arg2087z00_494;
{ /* ./Foreign/cenum.scm 36 */
obj_t BgL_auxz00_721;
BgL_auxz00_721 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2087z00_494 = 
MAKE_PAIR(BgL_auxz00_721, BNIL); } 
BgL_list2085z00_493 = 
MAKE_PAIR(BgL_bidzf3zf3_368, BgL_arg2087z00_494); } 
BgL_bidzf3zd2boolz21_369 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2085z00_493); } 
{ /* ./Foreign/cenum.scm 36 */
obj_t BgL_namez00_370;
BgL_namez00_370 = 
(((BgL_typez00_bglt)CREF(BgL_whoz00_358))->BgL_namez00); 
{ /* ./Foreign/cenum.scm 37 */
obj_t BgL_namezd2sanszd2z42z42_371;
BgL_namezd2sanszd2z42z42_371 = 
BGl_stringzd2sanszd2z42z42zztype_toolsz00(BgL_namez00_370); 
{ /* ./Foreign/cenum.scm 38 */
obj_t BgL_literalsz00_372;
{ 
obj_t BgL_auxz00_728;
{ /* ./Foreign/cenum.scm 39 */
BgL_objectz00_bglt BgL_auxz00_729;
BgL_auxz00_729 = 
(BgL_objectz00_bglt)(BgL_whatz00_357); 
BgL_auxz00_728 = 
BGL_OBJECT_WIDENING(BgL_auxz00_729); } 
BgL_literalsz00_372 = 
(((BgL_cenumz00_bglt)CREF(BgL_auxz00_728))->BgL_literalsz00); } 
{ /* ./Foreign/cenum.scm 39 */

{ 

{ /* ./Foreign/cenum.scm 88 */
obj_t BgL_arg1808z00_378;
{ /* ./Foreign/cenum.scm 88 */
obj_t BgL_list1816z00_381;
{ /* ./Foreign/cenum.scm 88 */
obj_t BgL_arg1818z00_382;obj_t BgL_arg1820z00_383;
BgL_arg1818z00_382 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Foreign/cenum.scm 88 */
obj_t BgL_arg1823z00_384;
{ /* ./Foreign/cenum.scm 88 */
obj_t BgL_auxz00_734;
BgL_auxz00_734 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg1823z00_384 = 
MAKE_PAIR(BgL_auxz00_734, BNIL); } 
BgL_arg1820z00_383 = 
MAKE_PAIR(BgL_idz00_363, BgL_arg1823z00_384); } 
BgL_list1816z00_381 = 
MAKE_PAIR(BgL_arg1818z00_382, BgL_arg1820z00_383); } 
BgL_arg1808z00_378 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1816z00_381); } 
{ /* ./Foreign/cenum.scm 86 */
obj_t BgL_list1810z00_379;
{ /* ./Foreign/cenum.scm 86 */
obj_t BgL_arg1812z00_380;
BgL_arg1812z00_380 = 
MAKE_PAIR(BgL_arg1808z00_378, BNIL); 
BgL_list1810z00_379 = 
MAKE_PAIR(BgL_bidzf3zf3_368, BgL_arg1812z00_380); } 
BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00(BgL_list1810z00_379); } } 
{ /* ./Foreign/cenum.scm 91 */
obj_t BgL_arg1827z00_385;
{ /* ./Foreign/cenum.scm 91 */
obj_t BgL_arg1830z00_386;obj_t BgL_arg1832z00_387;
BgL_arg1830z00_386 = 
CNST_TABLE_REF(((long)19)); 
{ /* ./Foreign/cenum.scm 91 */
obj_t BgL_arg1835z00_388;obj_t BgL_arg1836z00_389;
{ /* ./Foreign/cenum.scm 45 */
obj_t BgL_arg2060z00_480;obj_t BgL_arg2061z00_481;
BgL_arg2060z00_480 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Foreign/cenum.scm 45 */
obj_t BgL_arg2065z00_482;
{ /* ./Foreign/cenum.scm 45 */
obj_t BgL_arg2069z00_483;
{ /* ./Foreign/cenum.scm 45 */
obj_t BgL_arg2072z00_484;obj_t BgL_arg2073z00_485;
{ /* ./Foreign/cenum.scm 45 */
obj_t BgL_arg2076z00_486;obj_t BgL_arg2077z00_487;
BgL_arg2076z00_486 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2077z00_487 = 
MAKE_PAIR(BgL_idz00_363, BNIL); 
BgL_arg2072z00_484 = 
MAKE_PAIR(BgL_arg2076z00_486, BgL_arg2077z00_487); } 
BgL_arg2073z00_485 = 
MAKE_PAIR(BGl_string2159z00zzforeign_cenumz00, BNIL); 
BgL_arg2069z00_483 = 
MAKE_PAIR(BgL_arg2072z00_484, BgL_arg2073z00_485); } 
BgL_arg2065z00_482 = 
MAKE_PAIR(BgL_idzd2ze3bidz31_366, BgL_arg2069z00_483); } 
BgL_arg2061z00_481 = 
MAKE_PAIR(BgL_bidz00_365, BgL_arg2065z00_482); } 
BgL_arg1835z00_388 = 
MAKE_PAIR(BgL_arg2060z00_480, BgL_arg2061z00_481); } 
{ /* ./Foreign/cenum.scm 91 */
obj_t BgL_arg1841z00_390;
{ /* ./Foreign/cenum.scm 48 */
obj_t BgL_mnamez00_472;
BgL_mnamez00_472 = 
string_append_3(BGl_string2160z00zzforeign_cenumz00, BgL_namezd2sanszd2z42z42_371, BGl_string2161z00zzforeign_cenumz00); 
{ /* ./Foreign/cenum.scm 49 */
obj_t BgL_arg2042z00_473;obj_t BgL_arg2043z00_474;
BgL_arg2042z00_473 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Foreign/cenum.scm 49 */
obj_t BgL_arg2046z00_475;
{ /* ./Foreign/cenum.scm 49 */
obj_t BgL_arg2049z00_476;
{ /* ./Foreign/cenum.scm 49 */
obj_t BgL_arg2052z00_477;obj_t BgL_arg2053z00_478;
BgL_arg2052z00_477 = 
MAKE_PAIR(BgL_bidz00_365, BNIL); 
BgL_arg2053z00_478 = 
MAKE_PAIR(BgL_mnamez00_472, BNIL); 
BgL_arg2049z00_476 = 
MAKE_PAIR(BgL_arg2052z00_477, BgL_arg2053z00_478); } 
BgL_arg2046z00_475 = 
MAKE_PAIR(BgL_bidzd2ze3idz31_367, BgL_arg2049z00_476); } 
BgL_arg2043z00_474 = 
MAKE_PAIR(BgL_idz00_363, BgL_arg2046z00_475); } 
BgL_arg1841z00_390 = 
MAKE_PAIR(BgL_arg2042z00_473, BgL_arg2043z00_474); } } 
BgL_arg1836z00_389 = 
MAKE_PAIR(BgL_arg1841z00_390, BNIL); } 
BgL_arg1832z00_387 = 
MAKE_PAIR(BgL_arg1835z00_388, BgL_arg1836z00_389); } 
BgL_arg1827z00_385 = 
MAKE_PAIR(BgL_arg1830z00_386, BgL_arg1832z00_387); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1827z00_385); } 
{ /* ./Foreign/cenum.scm 93 */
obj_t BgL_arg1846z00_392;
{ /* ./Foreign/cenum.scm 93 */
obj_t BgL_arg1849z00_393;obj_t BgL_arg1850z00_394;
BgL_arg1849z00_393 = 
CNST_TABLE_REF(((long)20)); 
{ /* ./Foreign/cenum.scm 94 */
obj_t BgL_arg1853z00_395;
{ /* ./Foreign/cenum.scm 94 */
obj_t BgL_arg1857z00_397;
{ /* ./Foreign/cenum.scm 94 */
obj_t BgL_arg1860z00_398;
{ /* ./Foreign/cenum.scm 94 */
obj_t BgL_auxz00_766;
BgL_auxz00_766 = 
CNST_TABLE_REF(((long)21)); 
BgL_arg1860z00_398 = 
MAKE_PAIR(BgL_auxz00_766, BNIL); } 
BgL_arg1857z00_397 = 
MAKE_PAIR(BgL_bidzf3zd2boolz21_369, BgL_arg1860z00_398); } 
BgL_arg1853z00_395 = 
BGl_makezd2protozd2inlinez00zzforeign_libraryz00(BgL_arg1857z00_397); } 
BgL_arg1850z00_394 = 
MAKE_PAIR(BgL_arg1853z00_395, BNIL); } 
BgL_arg1846z00_392 = 
MAKE_PAIR(BgL_arg1849z00_393, BgL_arg1850z00_394); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1846z00_392); } 
{ /* ./Foreign/cenum.scm 95 */
obj_t BgL_arg1864z00_399;
{ /* ./Foreign/cenum.scm 95 */
obj_t BgL_arg1867z00_400;obj_t BgL_arg1868z00_401;
BgL_arg1867z00_400 = 
CNST_TABLE_REF(((long)18)); 
{ /* ./Foreign/cenum.scm 95 */
obj_t BgL_arg1871z00_402;
{ /* ./Foreign/cenum.scm 95 */
obj_t BgL_arg1878z00_404;
{ /* ./Foreign/cenum.scm 95 */
obj_t BgL_arg1881z00_405;
{ /* ./Foreign/cenum.scm 95 */
obj_t BgL_arg1885z00_407;obj_t BgL_arg1886z00_408;
BgL_arg1885z00_407 = 
CNST_TABLE_REF(((long)22)); 
BgL_arg1886z00_408 = 
MAKE_PAIR(BgL_widz00_364, BNIL); 
BgL_arg1881z00_405 = 
MAKE_PAIR(BgL_arg1885z00_407, BgL_arg1886z00_408); } 
BgL_arg1878z00_404 = 
MAKE_PAIR(BgL_arg1881z00_405, BNIL); } 
BgL_arg1871z00_402 = 
MAKE_PAIR(BgL_bidzf3zf3_368, BgL_arg1878z00_404); } 
BgL_arg1868z00_401 = 
MAKE_PAIR(BgL_arg1871z00_402, BNIL); } 
BgL_arg1864z00_399 = 
MAKE_PAIR(BgL_arg1867z00_400, BgL_arg1868z00_401); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1864z00_399); } 
{ /* ./Foreign/cenum.scm 98 */
obj_t BgL_arg1890z00_409;obj_t BgL_arg1891z00_410;
{ /* ./Foreign/cenum.scm 62 */
obj_t BgL_arg1952z00_437;obj_t BgL_arg1953z00_438;
{ /* ./Foreign/cenum.scm 62 */
obj_t BgL_arg1958z00_439;obj_t BgL_arg1960z00_440;
{ /* ./Foreign/cenum.scm 62 */
obj_t BgL_list1963z00_441;
{ /* ./Foreign/cenum.scm 62 */
obj_t BgL_arg1965z00_442;obj_t BgL_arg1966z00_443;
BgL_arg1965z00_442 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Foreign/cenum.scm 62 */
obj_t BgL_arg1971z00_444;
{ /* ./Foreign/cenum.scm 62 */
obj_t BgL_auxz00_784;
BgL_auxz00_784 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg1971z00_444 = 
MAKE_PAIR(BgL_auxz00_784, BNIL); } 
BgL_arg1966z00_443 = 
MAKE_PAIR(BgL_idz00_363, BgL_arg1971z00_444); } 
BgL_list1963z00_441 = 
MAKE_PAIR(BgL_arg1965z00_442, BgL_arg1966z00_443); } 
BgL_arg1958z00_439 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1963z00_441); } 
{ /* ./Foreign/cenum.scm 63 */
obj_t BgL_arg1977z00_445;obj_t BgL_arg1978z00_446;
BgL_arg1977z00_445 = 
BGl_makezd2typedzd2identz00zzast_identz00(
CNST_TABLE_REF(((long)14)), BgL_idz00_363); 
{ /* ./Foreign/cenum.scm 64 */
obj_t BgL_arg1982z00_447;
BgL_arg1982z00_447 = 
BGl_makezd2typedzd2identz00zzast_identz00(
CNST_TABLE_REF(((long)15)), BgL_idz00_363); 
BgL_arg1978z00_446 = 
MAKE_PAIR(BgL_arg1982z00_447, BNIL); } 
BgL_arg1960z00_440 = 
MAKE_PAIR(BgL_arg1977z00_445, BgL_arg1978z00_446); } 
BgL_arg1952z00_437 = 
MAKE_PAIR(BgL_arg1958z00_439, BgL_arg1960z00_440); } 
BgL_arg1953z00_438 = 
CNST_TABLE_REF(((long)16)); 
BgL_arg1890z00_409 = 
BGl_makezd2definezd2inlinez00zzforeign_libraryz00(BgL_arg1952z00_437, BgL_arg1953z00_438); } 
{ /* ./Foreign/cenum.scm 98 */
obj_t BgL_arg1895z00_411;obj_t BgL_arg1896z00_412;
{ /* ./Foreign/cenum.scm 54 */
obj_t BgL_arg1988z00_450;obj_t BgL_arg1990z00_451;
{ /* ./Foreign/cenum.scm 54 */
obj_t BgL_arg1993z00_452;
{ /* ./Foreign/cenum.scm 54 */
obj_t BgL_auxz00_799;
BgL_auxz00_799 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg1993z00_452 = 
MAKE_PAIR(BgL_auxz00_799, BNIL); } 
BgL_arg1988z00_450 = 
MAKE_PAIR(BgL_bidzf3zd2boolz21_369, BgL_arg1993z00_452); } 
{ /* ./Foreign/cenum.scm 55 */
obj_t BgL_arg1997z00_453;obj_t BgL_arg1998z00_454;
BgL_arg1997z00_453 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Foreign/cenum.scm 55 */
obj_t BgL_arg2001z00_455;obj_t BgL_arg2002z00_456;
{ /* ./Foreign/cenum.scm 55 */
obj_t BgL_arg2005z00_457;obj_t BgL_arg2006z00_458;
BgL_arg2005z00_457 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./Foreign/cenum.scm 55 */
obj_t BgL_auxz00_805;
BgL_auxz00_805 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg2006z00_458 = 
MAKE_PAIR(BgL_auxz00_805, BNIL); } 
BgL_arg2001z00_455 = 
MAKE_PAIR(BgL_arg2005z00_457, BgL_arg2006z00_458); } 
{ /* ./Foreign/cenum.scm 56 */
obj_t BgL_arg2012z00_459;obj_t BgL_arg2014z00_460;
{ /* ./Foreign/cenum.scm 56 */
obj_t BgL_arg2017z00_461;obj_t BgL_arg2018z00_462;
BgL_arg2017z00_461 = 
CNST_TABLE_REF(((long)9)); 
{ /* ./Foreign/cenum.scm 56 */
obj_t BgL_arg2021z00_463;obj_t BgL_arg2022z00_464;
{ /* ./Foreign/cenum.scm 56 */
obj_t BgL_arg2026z00_465;obj_t BgL_arg2027z00_466;
BgL_arg2026z00_465 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Foreign/cenum.scm 56 */
obj_t BgL_auxz00_811;
BgL_auxz00_811 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg2027z00_466 = 
MAKE_PAIR(BgL_auxz00_811, BNIL); } 
BgL_arg2021z00_463 = 
MAKE_PAIR(BgL_arg2026z00_465, BgL_arg2027z00_466); } 
{ /* ./Foreign/cenum.scm 56 */
obj_t BgL_arg2031z00_467;
{ /* ./Foreign/cenum.scm 56 */
obj_t BgL_arg2035z00_469;obj_t BgL_arg2036z00_470;
BgL_arg2035z00_469 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg2036z00_470 = 
MAKE_PAIR(BgL_bidz00_365, BNIL); 
BgL_arg2031z00_467 = 
MAKE_PAIR(BgL_arg2035z00_469, BgL_arg2036z00_470); } 
BgL_arg2022z00_464 = 
MAKE_PAIR(BgL_arg2031z00_467, BNIL); } 
BgL_arg2018z00_462 = 
MAKE_PAIR(BgL_arg2021z00_463, BgL_arg2022z00_464); } 
BgL_arg2012z00_459 = 
MAKE_PAIR(BgL_arg2017z00_461, BgL_arg2018z00_462); } 
BgL_arg2014z00_460 = 
MAKE_PAIR(BFALSE, BNIL); 
BgL_arg2002z00_456 = 
MAKE_PAIR(BgL_arg2012z00_459, BgL_arg2014z00_460); } 
BgL_arg1998z00_454 = 
MAKE_PAIR(BgL_arg2001z00_455, BgL_arg2002z00_456); } 
BgL_arg1990z00_451 = 
MAKE_PAIR(BgL_arg1997z00_453, BgL_arg1998z00_454); } 
BgL_arg1895z00_411 = 
BGl_makezd2definezd2inlinez00zzforeign_libraryz00(BgL_arg1988z00_450, BgL_arg1990z00_451); } 
{ 
obj_t BgL_literalsz00_414;obj_t BgL_resz00_415;
BgL_literalsz00_414 = BgL_literalsz00_372; 
BgL_resz00_415 = BNIL; 
BgL_loopz00_416:
{ /* ./Foreign/cenum.scm 71 */
bool_t BgL_test1902z00_417;
BgL_test1902z00_417 = 
NULLP(BgL_literalsz00_414); 
if(BgL_test1902z00_417)
{ /* ./Foreign/cenum.scm 71 */
BgL_arg1896z00_412 = BgL_resz00_415; }  else 
{ /* ./Foreign/cenum.scm 73 */
obj_t BgL_literalz00_418;
BgL_literalz00_418 = 
CAR(BgL_literalsz00_414); 
{ /* ./Foreign/cenum.scm 73 */
obj_t BgL_literalzd2idzd2_419;
BgL_literalzd2idzd2_419 = 
CAR(BgL_literalz00_418); 
{ /* ./Foreign/cenum.scm 74 */
obj_t BgL_literalzd2namezd2_420;
{ /* ./Foreign/cenum.scm 75 */
obj_t BgL_auxz00_830;
BgL_auxz00_830 = 
CDR(BgL_literalz00_418); 
BgL_literalzd2namezd2_420 = 
CAR(BgL_auxz00_830); } 
{ /* ./Foreign/cenum.scm 75 */
obj_t BgL_accesszd2idzd2_421;
{ /* ./Foreign/cenum.scm 76 */
obj_t BgL_list1934z00_432;
{ /* ./Foreign/cenum.scm 76 */
obj_t BgL_arg1936z00_433;
{ /* ./Foreign/cenum.scm 76 */
obj_t BgL_arg1940z00_434;obj_t BgL_arg1941z00_435;
BgL_arg1940z00_434 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg1941z00_435 = 
MAKE_PAIR(BgL_literalzd2idzd2_419, BNIL); 
BgL_arg1936z00_433 = 
MAKE_PAIR(BgL_arg1940z00_434, BgL_arg1941z00_435); } 
BgL_list1934z00_432 = 
MAKE_PAIR(BgL_idz00_363, BgL_arg1936z00_433); } 
BgL_accesszd2idzd2_421 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1934z00_432); } 
{ /* ./Foreign/cenum.scm 76 */
obj_t BgL_accessz00_422;
{ /* ./Foreign/cenum.scm 78 */
obj_t BgL_arg1914z00_426;obj_t BgL_arg1915z00_427;
{ /* ./Foreign/cenum.scm 78 */
obj_t BgL_arg1918z00_428;
BgL_arg1918z00_428 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_accesszd2idzd2_421, BgL_widz00_364); 
BgL_arg1914z00_426 = 
MAKE_PAIR(BgL_arg1918z00_428, BNIL); } 
{ /* ./Foreign/cenum.scm 79 */
obj_t BgL_arg1926z00_430;obj_t BgL_arg1929z00_431;
BgL_arg1926z00_430 = 
BGl_makezd2typedzd2identz00zzast_identz00(
CNST_TABLE_REF(((long)18)), BgL_widz00_364); 
BgL_arg1929z00_431 = 
MAKE_PAIR(BgL_literalzd2namezd2_420, BNIL); 
BgL_arg1915z00_427 = 
MAKE_PAIR(BgL_arg1926z00_430, BgL_arg1929z00_431); } 
BgL_accessz00_422 = 
BGl_makezd2definezd2inlinez00zzforeign_libraryz00(BgL_arg1914z00_426, BgL_arg1915z00_427); } 
{ /* ./Foreign/cenum.scm 77 */

{ /* ./Foreign/cenum.scm 81 */
obj_t BgL_list1904z00_423;
BgL_list1904z00_423 = 
MAKE_PAIR(BgL_accesszd2idzd2_421, BNIL); 
BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00(BgL_list1904z00_423); } 
{ /* ./Foreign/cenum.scm 82 */
obj_t BgL_arg1907z00_424;obj_t BgL_arg1908z00_425;
BgL_arg1907z00_424 = 
CDR(BgL_literalsz00_414); 
BgL_arg1908z00_425 = 
MAKE_PAIR(BgL_accessz00_422, BgL_resz00_415); 
{ 
obj_t BgL_resz00_850;obj_t BgL_literalsz00_849;
BgL_literalsz00_849 = BgL_arg1907z00_424; 
BgL_resz00_850 = BgL_arg1908z00_425; 
BgL_resz00_415 = BgL_resz00_850; 
BgL_literalsz00_414 = BgL_literalsz00_849; 
goto BgL_loopz00_416;} } } } } } } } } } 
BgL_arg1891z00_410 = 
MAKE_PAIR(BgL_arg1895z00_411, BgL_arg1896z00_412); } 
return 
MAKE_PAIR(BgL_arg1890z00_409, BgL_arg1891z00_410);} } } } } } } } } } } } } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzforeign_cenumz00()
{ AN_OBJECT;
{ /* ./Foreign/cenum.scm 15 */
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)58542), "foreign_cenum"); 
BGl_modulezd2initializa7ationz75zztype_toolsz00(((long)15091), "foreign_cenum"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "foreign_cenum"); 
BGl_modulezd2initializa7ationz75zzforeign_ctypez00(((long)51394), "foreign_cenum"); 
BGl_modulezd2initializa7ationz75zzforeign_accessz00(((long)13730), "foreign_cenum"); 
BGl_modulezd2initializa7ationz75zzforeign_libraryz00(((long)43975), "foreign_cenum"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "foreign_cenum"); 
return 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "foreign_cenum");} 
}

