/*===========================================================================*/
/*   (Globalize/integration.scm)                                             */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Globalize/integration.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_sfunzf2ginfozf2_bgl {
   bool_t BgL_gzf3zf3;
   obj_t BgL_cfromz00;
   obj_t BgL_cfromza2za2;
   obj_t BgL_ctoz00;
   obj_t BgL_ctoza2za2;
   obj_t BgL_cfunctionz00;
   obj_t BgL_integratorz00;
   obj_t BgL_imarkz00;
   obj_t BgL_ownerz00;
   obj_t BgL_integratedz00;
   obj_t BgL_pluggedzd2inzd2;
   long BgL_markz00;
   obj_t BgL_freezd2markzd2;
   obj_t BgL_thezd2globalzd2;
   obj_t BgL_kapturedz00;
   obj_t BgL_newzd2bodyzd2;
   long BgL_bmarkz00;
   long BgL_umarkz00;
   obj_t BgL_freez00;
   obj_t BgL_boundz00;
} *BgL_sfunzf2ginfozf2_bglt;

typedef struct BgL_svarzf2ginfozf2_bgl {
   bool_t BgL_kapturedzf3zf3;
   long BgL_freezd2markzd2;
   long BgL_markz00;
   bool_t BgL_celledzf3zf3;
} *BgL_svarzf2ginfozf2_bglt;

typedef struct BgL_sexitzf2ginfozf2_bgl {
   bool_t BgL_gzf3zf3;
   bool_t BgL_kapturedzf3zf3;
   long BgL_freezd2markzd2;
   long BgL_markz00;
} *BgL_sexitzf2ginfozf2_bglt;

typedef struct BgL_localzf2ginfozf2_bgl {
   bool_t BgL_escapezf3zf3;
} *BgL_localzf2ginfozf2_bglt;

typedef struct BgL_globalzf2ginfozf2_bgl {
   bool_t BgL_escapezf3zf3;
   obj_t BgL_globalzd2closurezd2;
} *BgL_globalzf2ginfozf2_bglt;


static obj_t BGl_methodzd2initzd2zzglobaliza7e_integrationza7();
BGL_IMPORT obj_t open_input_string(obj_t);
static long BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationza7;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static long BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationza7;
extern obj_t BGl_globalz00zzast_varz00;
static bool_t BGl_integratorzf3zf3zzglobaliza7e_integrationza7(obj_t);
static obj_t BGl_cnstzd2initzd2zzglobaliza7e_integrationza7();
static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationza7();
static bool_t BGl_visiblezf3zf3zzglobaliza7e_integrationza7(BgL_localz00_bglt, obj_t);
static obj_t BGl_integratezd2inz12zc0zzglobaliza7e_integrationza7(obj_t, obj_t);
extern obj_t BGl_za2optimzd2integratezf3za2z21zzengine_paramz00;
static bool_t BGl_integratezf3zf3zzglobaliza7e_integrationza7(BgL_variablez00_bglt, BgL_localz00_bglt);
extern obj_t BGl_variablez00zzast_varz00;
static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_integrationza7();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_findzd2integratorzd2zzglobaliza7e_integrationza7(BgL_localz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7();
static obj_t BGl_loopz00zzglobaliza7e_integrationza7(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl__setzd2integrationz12zc0zzglobaliza7e_integrationza7(obj_t);
extern obj_t BGl_localz00zzast_varz00;
static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationza7();
static obj_t BGl_findzd2integratorza2z70zzglobaliza7e_integrationza7(BgL_localz00_bglt);
static bool_t BGl_integratezf3z72z81zzglobaliza7e_integrationza7(BgL_localz00_bglt, obj_t);
extern obj_t BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00;
static obj_t __cnst[ 1 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_setzd2integrationz12zd2envz12zzglobaliza7e_integrationza7, BgL_bgl__setza7d2integrationza712za7c0za7za7globaliza7a7e_integrationza7a73930za7, BGl__setzd2integrationz12zc0zzglobaliza7e_integrationza7, 0L, 0 );
DEFINE_STRING( BGl_string3904z00zzglobaliza7e_integrationza7, BgL_bgl_string3904za700za7za7globaliza7a7e_integrationza7a73931za7, "find-integrator ", 16 );
DEFINE_STRING( BGl_string3903z00zzglobaliza7e_integrationza7, BgL_bgl_string3903za700za7za7globaliza7a7e_integrationza7a73932za7, "empty integrator*", 17 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationza7(long BgL_checksumz00_2454, char * BgL_fromz00_2455)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7))
{ 
BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationza7(); 
BGl_cnstzd2initzd2zzglobaliza7e_integrationza7(); 
BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationza7(); 
BGl_toplevelzd2initzd2zzglobaliza7e_integrationza7(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationza7()
{ AN_OBJECT;
{ /* ./Globalize/integration.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "globalize_integration"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "globalize_integration"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzglobaliza7e_integrationza7()
{ AN_OBJECT;
{ /* ./Globalize/integration.scm 15 */
{ /* ./Globalize/integration.scm 15 */
obj_t BgL_cportz00_2447;
BgL_cportz00_2447 = 
open_input_string(BGl_string3904z00zzglobaliza7e_integrationza7); 
{ 
long BgL_iz00_2448;
BgL_iz00_2448 = ((long)0); 
BgL_loopz00_2449:
{ /* ./Globalize/integration.scm 15 */
bool_t BgL_test3906z00_2450;
BgL_test3906z00_2450 = 
(BgL_iz00_2448==((long)-1)); 
if(BgL_test3906z00_2450)
{ /* ./Globalize/integration.scm 15 */
return BUNSPEC;}  else 
{ /* ./Globalize/integration.scm 15 */
{ /* ./Globalize/integration.scm 15 */
obj_t BgL_arg3908z00_2451;
{ /* ./Globalize/integration.scm 15 */
obj_t BgL_list3911z00_2452;
BgL_list3911z00_2452 = 
MAKE_PAIR(BgL_cportz00_2447, BNIL); 
BgL_arg3908z00_2451 = 
BGl_readz00zz__readerz00(BgL_list3911z00_2452); } 
{ /* ./Globalize/integration.scm 15 */
int BgL_auxz00_2470;
BgL_auxz00_2470 = 
(int)(BgL_iz00_2448); 
CNST_TABLE_SET(BgL_auxz00_2470, BgL_arg3908z00_2451); } } 
{ /* ./Globalize/integration.scm 15 */
int BgL_auxz00_2453;
{ /* ./Globalize/integration.scm 15 */
long BgL_auxz00_2473;
BgL_auxz00_2473 = 
(BgL_iz00_2448-((long)1)); 
BgL_auxz00_2453 = 
(int)(BgL_auxz00_2473); } 
{ 
long BgL_iz00_2476;
BgL_iz00_2476 = 
(long)(BgL_auxz00_2453); 
BgL_iz00_2448 = BgL_iz00_2476; 
goto BgL_loopz00_2449;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzglobaliza7e_integrationza7()
{ AN_OBJECT;
{ /* ./Globalize/integration.scm 15 */
BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationza7 = ((long)0); 
return ( 
BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationza7 = ((long)0), BUNSPEC) ;} 
}



/* set-integration! */
BGL_EXPORTED_DEF obj_t BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7()
{ AN_OBJECT;
{ /* ./Globalize/integration.scm 31 */
{ 
obj_t BgL_l3077z00_1127;
{ /* ./Globalize/integration.scm 32 */
bool_t BgL_auxz00_2478;
BgL_l3077z00_1127 = BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00; 
BgL_forzd2each3078zd2_1128:
{ /* ./Globalize/integration.scm 32 */
bool_t BgL_test3104z00_1129;
BgL_test3104z00_1129 = 
PAIRP(BgL_l3077z00_1127); 
if(BgL_test3104z00_1129)
{ /* ./Globalize/integration.scm 32 */
{ /* ./Globalize/integration.scm 33 */
obj_t BgL_fz00_1130;
BgL_fz00_1130 = 
CAR(BgL_l3077z00_1127); 
{ /* ./Globalize/integration.scm 33 */
obj_t BgL_gz00_1131;
BgL_gz00_1131 = 
BGl_findzd2integratorzd2zzglobaliza7e_integrationza7(
(BgL_localz00_bglt)(BgL_fz00_1130)); 
{ /* ./Globalize/integration.scm 34 */
bool_t BgL_test3105z00_1132;
BgL_test3105z00_1132 = 
BGl_iszd2azf3z21zz__objectz00(BgL_gz00_1131, BGl_variablez00zzast_varz00); 
if(BgL_test3105z00_1132)
{ /* ./Globalize/integration.scm 34 */
BGl_integratezd2inz12zc0zzglobaliza7e_integrationza7(BgL_fz00_1130, BgL_gz00_1131); }  else 
{ /* ./Globalize/integration.scm 34 */
{ /* ./Globalize/integration.scm 36 */
BgL_valuez00_bglt BgL_arg3134z00_1666;
{ /* ./Globalize/integration.scm 36 */
BgL_variablez00_bglt BgL_obj1104z00_1667;
BgL_obj1104z00_1667 = 
(BgL_variablez00_bglt)(BgL_fz00_1130); 
BgL_arg3134z00_1666 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1667))->BgL_valuez00); } 
{ /* ./Globalize/integration.scm 36 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2777z00_1668;
BgL_obj2777z00_1668 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_arg3134z00_1666); 
{ 
obj_t BgL_auxz00_2490;
{ /* ./Globalize/integration.scm 36 */
BgL_objectz00_bglt BgL_auxz00_2491;
BgL_auxz00_2491 = 
(BgL_objectz00_bglt)(BgL_obj2777z00_1668); 
BgL_auxz00_2490 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2491); } 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2490))->BgL_integratorz00) = ((obj_t)BFALSE), BUNSPEC); } } } } } } } 
{ /* ./Globalize/integration.scm 32 */
obj_t BgL_arg3112z00_1133;
BgL_arg3112z00_1133 = 
CDR(BgL_l3077z00_1127); 
{ 
obj_t BgL_l3077z00_2496;
BgL_l3077z00_2496 = BgL_arg3112z00_1133; 
BgL_l3077z00_1127 = BgL_l3077z00_2496; 
goto BgL_forzd2each3078zd2_1128;} } }  else 
{ /* ./Globalize/integration.scm 32 */
BgL_auxz00_2478 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_2478);} } } 
}



/* _set-integration! */
obj_t BGl__setzd2integrationz12zc0zzglobaliza7e_integrationza7(obj_t BgL_envz00_2444)
{ AN_OBJECT;
{ /* ./Globalize/integration.scm 31 */
return 
BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7();} 
}



/* integrate-in! */
obj_t BGl_integratezd2inz12zc0zzglobaliza7e_integrationza7(obj_t BgL_fz00_1, obj_t BgL_gz00_2)
{ AN_OBJECT;
{ /* ./Globalize/integration.scm 42 */
{ /* ./Globalize/integration.scm 46 */
BgL_valuez00_bglt BgL_arg3117z00_1135;
{ /* ./Globalize/integration.scm 46 */
BgL_variablez00_bglt BgL_obj1104z00_1671;
BgL_obj1104z00_1671 = 
(BgL_variablez00_bglt)(BgL_fz00_1); 
BgL_arg3117z00_1135 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1671))->BgL_valuez00); } 
{ /* ./Globalize/integration.scm 46 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2777z00_1672;
BgL_obj2777z00_1672 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_arg3117z00_1135); 
{ 
obj_t BgL_auxz00_2502;
{ /* ./Globalize/integration.scm 46 */
BgL_objectz00_bglt BgL_auxz00_2503;
BgL_auxz00_2503 = 
(BgL_objectz00_bglt)(BgL_obj2777z00_1672); 
BgL_auxz00_2502 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2503); } 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2502))->BgL_integratorz00) = ((obj_t)BgL_gz00_2), BUNSPEC); } } } 
{ /* ./Globalize/integration.scm 47 */
BgL_valuez00_bglt BgL_arg3121z00_1136;
{ /* ./Globalize/integration.scm 47 */
BgL_variablez00_bglt BgL_obj1104z00_1674;
BgL_obj1104z00_1674 = 
(BgL_variablez00_bglt)(BgL_fz00_1); 
BgL_arg3121z00_1136 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1674))->BgL_valuez00); } 
{ /* ./Globalize/integration.scm 47 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2759z00_1675;
BgL_obj2759z00_1675 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_arg3121z00_1136); 
{ 
obj_t BgL_auxz00_2510;
{ /* ./Globalize/integration.scm 47 */
BgL_objectz00_bglt BgL_auxz00_2511;
BgL_auxz00_2511 = 
(BgL_objectz00_bglt)(BgL_obj2759z00_1675); 
BgL_auxz00_2510 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2511); } 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2510))->BgL_gzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); } } } 
{ /* ./Globalize/integration.scm 48 */
BgL_valuez00_bglt BgL_instance3081z00_1137;
{ /* ./Globalize/integration.scm 48 */
BgL_variablez00_bglt BgL_obj1104z00_1677;
BgL_obj1104z00_1677 = 
(BgL_variablez00_bglt)(BgL_gz00_2); 
BgL_instance3081z00_1137 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1677))->BgL_valuez00); } 
{ /* ./Globalize/integration.scm 49 */
obj_t BgL_arg3126z00_1138;
{ /* ./Globalize/integration.scm 49 */
obj_t BgL_arg3129z00_1139;
{ /* ./Globalize/integration.scm 49 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2784z00_1678;
BgL_obj2784z00_1678 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_instance3081z00_1137); 
{ 
obj_t BgL_auxz00_2518;
{ /* ./Globalize/integration.scm 49 */
BgL_objectz00_bglt BgL_auxz00_2519;
BgL_auxz00_2519 = 
(BgL_objectz00_bglt)(BgL_obj2784z00_1678); 
BgL_auxz00_2518 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2519); } 
BgL_arg3129z00_1139 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2518))->BgL_integratedz00); } } 
BgL_arg3126z00_1138 = 
MAKE_PAIR(BgL_fz00_1, BgL_arg3129z00_1139); } 
{ /* ./Globalize/integration.scm 49 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2786z00_1679;
BgL_obj2786z00_1679 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_instance3081z00_1137); 
{ 
obj_t BgL_auxz00_2525;
{ /* ./Globalize/integration.scm 49 */
BgL_objectz00_bglt BgL_auxz00_2526;
BgL_auxz00_2526 = 
(BgL_objectz00_bglt)(BgL_obj2786z00_1679); 
BgL_auxz00_2525 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2526); } 
return 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2525))->BgL_integratedz00) = ((obj_t)BgL_arg3126z00_1138), BUNSPEC);} } } } } 
}



/* find-integrator */
obj_t BGl_findzd2integratorzd2zzglobaliza7e_integrationza7(BgL_localz00_bglt BgL_fz00_4)
{ AN_OBJECT;
{ /* ./Globalize/integration.scm 62 */
{ /* ./Globalize/integration.scm 73 */
obj_t BgL__andtest_3085z00_1142;
BgL__andtest_3085z00_1142 = BGl_za2optimzd2integratezf3za2z21zzengine_paramz00; 
if(
CBOOL(BgL__andtest_3085z00_1142))
{ /* ./Globalize/integration.scm 74 */
obj_t BgL_guessz00_1143;
BgL_guessz00_1143 = 
BGl_findzd2integratorza2z70zzglobaliza7e_integrationza7(BgL_fz00_4); 
{ /* ./Globalize/integration.scm 76 */
bool_t BgL_test3137z00_1144;
BgL_test3137z00_1144 = 
NULLP(BgL_guessz00_1143); 
if(BgL_test3137z00_1144)
{ /* ./Globalize/integration.scm 76 */
BGl_internalzd2errorzd2zztools_errorz00(
CNST_TABLE_REF(((long)0)), BGl_string3903z00zzglobaliza7e_integrationza7, 
(obj_t)(BgL_fz00_4)); 
return BFALSE;}  else 
{ /* ./Globalize/integration.scm 82 */
bool_t BgL_test3139z00_1145;
{ /* ./Globalize/integration.scm 82 */
obj_t BgL_auxz00_2538;
BgL_auxz00_2538 = 
CDR(BgL_guessz00_1143); 
BgL_test3139z00_1145 = 
PAIRP(BgL_auxz00_2538); } 
if(BgL_test3139z00_1145)
{ /* ./Globalize/integration.scm 82 */
return BFALSE;}  else 
{ /* ./Globalize/integration.scm 86 */
bool_t BgL_test3140z00_1146;
{ /* ./Globalize/integration.scm 86 */
obj_t BgL_arg3143z00_1147;
BgL_arg3143z00_1147 = 
CAR(BgL_guessz00_1143); 
BgL_test3140z00_1146 = 
BGl_integratezf3zf3zzglobaliza7e_integrationza7(
(BgL_variablez00_bglt)(BgL_fz00_4), 
(BgL_localz00_bglt)(BgL_arg3143z00_1147)); } 
if(BgL_test3140z00_1146)
{ /* ./Globalize/integration.scm 86 */
return 
CAR(BgL_guessz00_1143);}  else 
{ /* ./Globalize/integration.scm 86 */
return BFALSE;} } } } }  else 
{ /* ./Globalize/integration.scm 73 */
return BFALSE;} } } 
}



/* integrator? */
bool_t BGl_integratorzf3zf3zzglobaliza7e_integrationza7(obj_t BgL_gz00_5)
{ AN_OBJECT;
{ /* ./Globalize/integration.scm 95 */
{ /* ./Globalize/integration.scm 96 */
bool_t BgL__ortest_3086z00_1149;
BgL__ortest_3086z00_1149 = 
BGl_iszd2azf3z21zz__objectz00(BgL_gz00_5, BGl_globalz00zzast_varz00); 
if(BgL__ortest_3086z00_1149)
{ /* ./Globalize/integration.scm 96 */
return BgL__ortest_3086z00_1149;}  else 
{ /* ./Globalize/integration.scm 97 */
bool_t BgL__andtest_3087z00_1150;
BgL__andtest_3087z00_1150 = 
BGl_iszd2azf3z21zz__objectz00(BgL_gz00_5, BGl_localz00zzast_varz00); 
if(BgL__andtest_3087z00_1150)
{ /* ./Globalize/integration.scm 97 */
BgL_localzf2ginfozf2_bglt BgL_obj2962z00_1693;
BgL_obj2962z00_1693 = 
(BgL_localzf2ginfozf2_bglt)(BgL_gz00_5); 
{ 
obj_t BgL_auxz00_2553;
{ /* ./Globalize/integration.scm 97 */
BgL_objectz00_bglt BgL_auxz00_2554;
BgL_auxz00_2554 = 
(BgL_objectz00_bglt)(BgL_obj2962z00_1693); 
BgL_auxz00_2553 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2554); } 
return 
(((BgL_localzf2ginfozf2_bglt)CREF(BgL_auxz00_2553))->BgL_escapezf3zf3);} }  else 
{ /* ./Globalize/integration.scm 97 */
return ((bool_t)0);} } } } 
}



/* find-integrator* */
obj_t BGl_findzd2integratorza2z70zzglobaliza7e_integrationza7(BgL_localz00_bglt BgL_fz00_6)
{ AN_OBJECT;
{ /* ./Globalize/integration.scm 107 */
{ /* ./Globalize/integration.scm 108 */
long BgL_za72za7_1695;
BgL_za72za7_1695 = BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationza7; 
BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationza7 = 
(((long)1)+BgL_za72za7_1695); } 
{ /* ./Globalize/integration.scm 109 */
obj_t BgL_arg3158z00_1154;
{ /* ./Globalize/integration.scm 109 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2760z00_1697;
{ /* ./Globalize/integration.scm 109 */
BgL_valuez00_bglt BgL_auxz00_2559;
{ /* ./Globalize/integration.scm 109 */
BgL_variablez00_bglt BgL_obj1104z00_1696;
BgL_obj1104z00_1696 = 
(BgL_variablez00_bglt)(BgL_fz00_6); 
BgL_auxz00_2559 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1696))->BgL_valuez00); } 
BgL_obj2760z00_1697 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_auxz00_2559); } 
{ 
obj_t BgL_auxz00_2563;
{ /* ./Globalize/integration.scm 109 */
BgL_objectz00_bglt BgL_auxz00_2564;
BgL_auxz00_2564 = 
(BgL_objectz00_bglt)(BgL_obj2760z00_1697); 
BgL_auxz00_2563 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2564); } 
BgL_arg3158z00_1154 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2563))->BgL_cfromz00); } } 
return 
BGl_loopz00zzglobaliza7e_integrationza7(BgL_arg3158z00_1154, BNIL);} } 
}



/* loop */
obj_t BGl_loopz00zzglobaliza7e_integrationza7(obj_t BgL_cfromz00_1151, obj_t BgL_escapeza2za2_1152)
{ AN_OBJECT;
{ /* ./Globalize/integration.scm 109 */
BGl_loopz00zzglobaliza7e_integrationza7:
{ /* ./Globalize/integration.scm 111 */
bool_t BgL_test3165z00_1157;
BgL_test3165z00_1157 = 
NULLP(BgL_cfromz00_1151); 
if(BgL_test3165z00_1157)
{ /* ./Globalize/integration.scm 111 */
return BgL_escapeza2za2_1152;}  else 
{ /* ./Globalize/integration.scm 113 */
obj_t BgL_fz00_1158;
BgL_fz00_1158 = 
CAR(BgL_cfromz00_1151); 
{ /* ./Globalize/integration.scm 114 */
bool_t BgL_test3166z00_1159;
{ /* ./Globalize/integration.scm 114 */
obj_t BgL_arg3196z00_1169;
{ /* ./Globalize/integration.scm 114 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2763z00_1701;
{ /* ./Globalize/integration.scm 114 */
BgL_valuez00_bglt BgL_auxz00_2572;
{ /* ./Globalize/integration.scm 114 */
BgL_variablez00_bglt BgL_obj1104z00_1700;
BgL_obj1104z00_1700 = 
(BgL_variablez00_bglt)(BgL_fz00_1158); 
BgL_auxz00_2572 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1700))->BgL_valuez00); } 
BgL_obj2763z00_1701 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_auxz00_2572); } 
{ 
obj_t BgL_auxz00_2576;
{ /* ./Globalize/integration.scm 114 */
BgL_objectz00_bglt BgL_auxz00_2577;
BgL_auxz00_2577 = 
(BgL_objectz00_bglt)(BgL_obj2763z00_1701); 
BgL_auxz00_2576 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2577); } 
BgL_arg3196z00_1169 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2576))->BgL_cfromza2za2); } } 
{ /* ./Globalize/integration.scm 114 */
obj_t BgL_auxz00_2581;
BgL_auxz00_2581 = 
BINT(BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationza7); 
BgL_test3166z00_1159 = 
(BgL_arg3196z00_1169==BgL_auxz00_2581); } } 
if(BgL_test3166z00_1159)
{ /* ./Globalize/integration.scm 115 */
obj_t BgL_arg3168z00_1160;
BgL_arg3168z00_1160 = 
CDR(BgL_cfromz00_1151); 
{ 
obj_t BgL_cfromz00_2586;
BgL_cfromz00_2586 = BgL_arg3168z00_1160; 
BgL_cfromz00_1151 = BgL_cfromz00_2586; 
goto BGl_loopz00zzglobaliza7e_integrationza7;} }  else 
{ /* ./Globalize/integration.scm 114 */
{ /* ./Globalize/integration.scm 117 */
BgL_valuez00_bglt BgL_arg3172z00_1161;
{ /* ./Globalize/integration.scm 117 */
BgL_variablez00_bglt BgL_obj1104z00_1703;
BgL_obj1104z00_1703 = 
(BgL_variablez00_bglt)(BgL_fz00_1158); 
BgL_arg3172z00_1161 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1703))->BgL_valuez00); } 
{ /* ./Globalize/integration.scm 117 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2765z00_1704;obj_t BgL_val2764z00_1705;
BgL_obj2765z00_1704 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_arg3172z00_1161); 
BgL_val2764z00_1705 = 
BINT(BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationza7); 
{ 
obj_t BgL_auxz00_2591;
{ /* ./Globalize/integration.scm 117 */
BgL_objectz00_bglt BgL_auxz00_2592;
BgL_auxz00_2592 = 
(BgL_objectz00_bglt)(BgL_obj2765z00_1704); 
BgL_auxz00_2591 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2592); } 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2591))->BgL_cfromza2za2) = ((obj_t)BgL_val2764z00_1705), BUNSPEC); } } } 
{ /* ./Globalize/integration.scm 118 */
bool_t BgL_test3175z00_1162;
BgL_test3175z00_1162 = 
BGl_integratorzf3zf3zzglobaliza7e_integrationza7(BgL_fz00_1158); 
if(BgL_test3175z00_1162)
{ /* ./Globalize/integration.scm 118 */
{ /* ./Globalize/integration.scm 122 */
obj_t BgL_arg3177z00_1163;obj_t BgL_arg3178z00_1164;
BgL_arg3177z00_1163 = 
CDR(BgL_cfromz00_1151); 
BgL_arg3178z00_1164 = 
MAKE_PAIR(BgL_fz00_1158, BgL_escapeza2za2_1152); 
{ 
obj_t BgL_escapeza2za2_2601;obj_t BgL_cfromz00_2600;
BgL_cfromz00_2600 = BgL_arg3177z00_1163; 
BgL_escapeza2za2_2601 = BgL_arg3178z00_1164; 
BgL_escapeza2za2_1152 = BgL_escapeza2za2_2601; 
BgL_cfromz00_1151 = BgL_cfromz00_2600; 
goto BGl_loopz00zzglobaliza7e_integrationza7;} } }  else 
{ /* ./Globalize/integration.scm 118 */
{ /* ./Globalize/integration.scm 122 */
obj_t BgL_arg3183z00_1165;obj_t BgL_arg3184z00_1166;
BgL_arg3183z00_1165 = 
CDR(BgL_cfromz00_1151); 
{ /* ./Globalize/integration.scm 123 */
obj_t BgL_arg3188z00_1167;
{ /* ./Globalize/integration.scm 123 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2760z00_1709;
{ /* ./Globalize/integration.scm 123 */
BgL_valuez00_bglt BgL_auxz00_2603;
{ /* ./Globalize/integration.scm 123 */
BgL_variablez00_bglt BgL_obj1104z00_1708;
BgL_obj1104z00_1708 = 
(BgL_variablez00_bglt)(BgL_fz00_1158); 
BgL_auxz00_2603 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1708))->BgL_valuez00); } 
BgL_obj2760z00_1709 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_auxz00_2603); } 
{ 
obj_t BgL_auxz00_2607;
{ /* ./Globalize/integration.scm 123 */
BgL_objectz00_bglt BgL_auxz00_2608;
BgL_auxz00_2608 = 
(BgL_objectz00_bglt)(BgL_obj2760z00_1709); 
BgL_auxz00_2607 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2608); } 
BgL_arg3188z00_1167 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2607))->BgL_cfromz00); } } 
BgL_arg3184z00_1166 = 
BGl_loopz00zzglobaliza7e_integrationza7(BgL_arg3188z00_1167, BgL_escapeza2za2_1152); } 
{ 
obj_t BgL_escapeza2za2_2614;obj_t BgL_cfromz00_2613;
BgL_cfromz00_2613 = BgL_arg3183z00_1165; 
BgL_escapeza2za2_2614 = BgL_arg3184z00_1166; 
BgL_escapeza2za2_1152 = BgL_escapeza2za2_2614; 
BgL_cfromz00_1151 = BgL_cfromz00_2613; 
goto BGl_loopz00zzglobaliza7e_integrationza7;} } } } } } } } } 
}



/* integrate? */
bool_t BGl_integratezf3zf3zzglobaliza7e_integrationza7(BgL_variablez00_bglt BgL_fz00_7, BgL_localz00_bglt BgL_gz00_8)
{ AN_OBJECT;
{ /* ./Globalize/integration.scm 136 */
{ /* ./Globalize/integration.scm 140 */
long BgL_za71za7_1710;
BgL_za71za7_1710 = BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationza7; 
BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationza7 = 
(BgL_za71za7_1710+((long)1)); } 
{ /* ./Globalize/integration.scm 162 */
bool_t BgL_rz00_1173;
BgL_rz00_1173 = 
BGl_integratezf3z72z81zzglobaliza7e_integrationza7(BgL_gz00_8, 
(obj_t)(BgL_fz00_7)); 
return BgL_rz00_1173;} } 
}



/* visible? */
bool_t BGl_visiblezf3zf3zzglobaliza7e_integrationza7(BgL_localz00_bglt BgL_gz00_2445, obj_t BgL_hz00_1202)
{ AN_OBJECT;
{ /* ./Globalize/integration.scm 146 */
{ /* ./Globalize/integration.scm 143 */
bool_t BgL__ortest_3088z00_1204;
{ /* ./Globalize/integration.scm 143 */
obj_t BgL_auxz00_2618;
BgL_auxz00_2618 = 
(obj_t)(BgL_gz00_2445); 
BgL__ortest_3088z00_1204 = 
(BgL_hz00_1202==BgL_auxz00_2618); } 
if(BgL__ortest_3088z00_1204)
{ /* ./Globalize/integration.scm 143 */
return BgL__ortest_3088z00_1204;}  else 
{ /* ./Globalize/integration.scm 144 */
bool_t BgL__andtest_3089z00_1205;
{ /* ./Globalize/integration.scm 144 */
bool_t BgL_test3258z00_1208;
BgL_test3258z00_1208 = 
BGl_iszd2azf3z21zz__objectz00(BgL_hz00_1202, BGl_globalz00zzast_varz00); 
if(BgL_test3258z00_1208)
{ /* ./Globalize/integration.scm 144 */
BgL__andtest_3089z00_1205 = ((bool_t)0); }  else 
{ /* ./Globalize/integration.scm 144 */
BgL__andtest_3089z00_1205 = ((bool_t)1); } } 
if(BgL__andtest_3089z00_1205)
{ /* ./Globalize/integration.scm 145 */
bool_t BgL__andtest_3090z00_1206;
{ /* ./Globalize/integration.scm 145 */
bool_t BgL_testz00_2625;
{ /* ./Globalize/integration.scm 145 */
BgL_localzf2ginfozf2_bglt BgL_obj2962z00_1735;
BgL_obj2962z00_1735 = 
(BgL_localzf2ginfozf2_bglt)(BgL_hz00_1202); 
{ 
obj_t BgL_auxz00_2627;
{ /* ./Globalize/integration.scm 145 */
BgL_objectz00_bglt BgL_auxz00_2628;
BgL_auxz00_2628 = 
(BgL_objectz00_bglt)(BgL_obj2962z00_1735); 
BgL_auxz00_2627 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2628); } 
BgL_testz00_2625 = 
(((BgL_localzf2ginfozf2_bglt)CREF(BgL_auxz00_2627))->BgL_escapezf3zf3); } } 
if(BgL_testz00_2625)
{ /* ./Globalize/integration.scm 145 */
BgL__andtest_3090z00_1206 = ((bool_t)0); }  else 
{ /* ./Globalize/integration.scm 145 */
BgL__andtest_3090z00_1206 = ((bool_t)1); } } 
if(BgL__andtest_3090z00_1206)
{ /* ./Globalize/integration.scm 145 */
return 
BGl_integratezf3z72z81zzglobaliza7e_integrationza7(BgL_gz00_2445, BgL_hz00_1202);}  else 
{ /* ./Globalize/integration.scm 145 */
return ((bool_t)0);} }  else 
{ /* ./Globalize/integration.scm 144 */
return ((bool_t)0);} } } } 
}



/* integrate?' */
bool_t BGl_integratezf3z72z81zzglobaliza7e_integrationza7(BgL_localz00_bglt BgL_gz00_2446, obj_t BgL_fz00_1174)
{ AN_OBJECT;
{ /* ./Globalize/integration.scm 161 */
{ /* ./Globalize/integration.scm 149 */
bool_t BgL__ortest_3091z00_1176;
{ /* ./Globalize/integration.scm 149 */
obj_t BgL_auxz00_2634;
BgL_auxz00_2634 = 
(obj_t)(BgL_gz00_2446); 
BgL__ortest_3091z00_1176 = 
(BgL_fz00_1174==BgL_auxz00_2634); } 
if(BgL__ortest_3091z00_1176)
{ /* ./Globalize/integration.scm 149 */
return BgL__ortest_3091z00_1176;}  else 
{ /* ./Globalize/integration.scm 150 */
bool_t BgL__andtest_3092z00_1177;
{ /* ./Globalize/integration.scm 150 */
obj_t BgL_obj1310z00_1712;
BgL_obj1310z00_1712 = 
(obj_t)(BgL_gz00_2446); 
BgL__andtest_3092z00_1177 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1310z00_1712, BGl_localz00zzast_varz00); } 
if(BgL__andtest_3092z00_1177)
{ /* ./Globalize/integration.scm 151 */
BgL_valuez00_bglt BgL_vz00_1178;
{ /* ./Globalize/integration.scm 151 */
BgL_variablez00_bglt BgL_obj1104z00_1713;
BgL_obj1104z00_1713 = 
(BgL_variablez00_bglt)(BgL_fz00_1174); 
BgL_vz00_1178 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1713))->BgL_valuez00); } 
{ /* ./Globalize/integration.scm 153 */
bool_t BgL__andtest_3095z00_1180;
{ /* ./Globalize/integration.scm 153 */
obj_t BgL_auxz00_2643;
{ /* ./Globalize/integration.scm 153 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2778z00_1714;
BgL_obj2778z00_1714 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_vz00_1178); 
{ 
obj_t BgL_auxz00_2645;
{ /* ./Globalize/integration.scm 153 */
BgL_objectz00_bglt BgL_auxz00_2646;
BgL_auxz00_2646 = 
(BgL_objectz00_bglt)(BgL_obj2778z00_1714); 
BgL_auxz00_2645 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2646); } 
BgL_auxz00_2643 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2645))->BgL_imarkz00); } } 
BgL__andtest_3095z00_1180 = 
INTEGERP(BgL_auxz00_2643); } 
if(BgL__andtest_3095z00_1180)
{ /* ./Globalize/integration.scm 154 */
bool_t BgL__ortest_3096z00_1181;
{ /* ./Globalize/integration.scm 154 */
obj_t BgL_arg3244z00_1200;
{ /* ./Globalize/integration.scm 154 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2778z00_1716;
BgL_obj2778z00_1716 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_vz00_1178); 
{ 
obj_t BgL_auxz00_2653;
{ /* ./Globalize/integration.scm 154 */
BgL_objectz00_bglt BgL_auxz00_2654;
BgL_auxz00_2654 = 
(BgL_objectz00_bglt)(BgL_obj2778z00_1716); 
BgL_auxz00_2653 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2654); } 
BgL_arg3244z00_1200 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2653))->BgL_imarkz00); } } 
{ /* ./Globalize/integration.scm 154 */
long BgL_n2z00_1718;
BgL_n2z00_1718 = BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationza7; 
{ /* ./Globalize/integration.scm 154 */
long BgL_auxz00_2658;
BgL_auxz00_2658 = 
(long)CINT(BgL_arg3244z00_1200); 
BgL__ortest_3096z00_1181 = 
(BgL_auxz00_2658==BgL_n2z00_1718); } } } 
if(BgL__ortest_3096z00_1181)
{ /* ./Globalize/integration.scm 154 */
return BgL__ortest_3096z00_1181;}  else 
{ /* ./Globalize/integration.scm 155 */
bool_t BgL__andtest_3097z00_1182;
{ /* ./Globalize/integration.scm 155 */
obj_t BgL_arg3240z00_1199;
{ /* ./Globalize/integration.scm 155 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2778z00_1719;
BgL_obj2778z00_1719 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_vz00_1178); 
{ 
obj_t BgL_auxz00_2663;
{ /* ./Globalize/integration.scm 155 */
BgL_objectz00_bglt BgL_auxz00_2664;
BgL_auxz00_2664 = 
(BgL_objectz00_bglt)(BgL_obj2778z00_1719); 
BgL_auxz00_2663 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2664); } 
BgL_arg3240z00_1199 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2663))->BgL_imarkz00); } } 
{ /* ./Globalize/integration.scm 155 */
long BgL_n2z00_1721;
BgL_n2z00_1721 = BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationza7; 
{ /* ./Globalize/integration.scm 155 */
long BgL_auxz00_2668;
BgL_auxz00_2668 = 
(long)CINT(BgL_arg3240z00_1199); 
BgL__andtest_3097z00_1182 = 
(BgL_auxz00_2668<BgL_n2z00_1721); } } } 
if(BgL__andtest_3097z00_1182)
{ /* ./Globalize/integration.scm 155 */
{ /* ./Globalize/integration.scm 157 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2780z00_1722;obj_t BgL_val2779z00_1723;
BgL_obj2780z00_1722 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_vz00_1178); 
BgL_val2779z00_1723 = 
BINT(BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationza7); 
{ 
obj_t BgL_auxz00_2674;
{ /* ./Globalize/integration.scm 157 */
BgL_objectz00_bglt BgL_auxz00_2675;
BgL_auxz00_2675 = 
(BgL_objectz00_bglt)(BgL_obj2780z00_1722); 
BgL_auxz00_2674 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2675); } 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2674))->BgL_imarkz00) = ((obj_t)BgL_val2779z00_1723), BUNSPEC); } } 
{ /* ./Globalize/integration.scm 158 */
bool_t BgL_rz00_1183;
{ /* ./Globalize/integration.scm 158 */
bool_t BgL__andtest_3098z00_1184;
{ 
obj_t BgL_l3099z00_1192;
{ /* ./Globalize/integration.scm 158 */
obj_t BgL_arg3225z00_1194;
{ /* ./Globalize/integration.scm 158 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2760z00_1724;
BgL_obj2760z00_1724 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_vz00_1178); 
{ 
obj_t BgL_auxz00_2680;
{ /* ./Globalize/integration.scm 158 */
BgL_objectz00_bglt BgL_auxz00_2681;
BgL_auxz00_2681 = 
(BgL_objectz00_bglt)(BgL_obj2760z00_1724); 
BgL_auxz00_2680 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2681); } 
BgL_arg3225z00_1194 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2680))->BgL_cfromz00); } } 
BgL_l3099z00_1192 = BgL_arg3225z00_1194; 
BgL_every3100z00_1193:
{ /* ./Globalize/integration.scm 158 */
bool_t BgL_test3228z00_1195;
BgL_test3228z00_1195 = 
NULLP(BgL_l3099z00_1192); 
if(BgL_test3228z00_1195)
{ /* ./Globalize/integration.scm 158 */
BgL__andtest_3098z00_1184 = ((bool_t)1); }  else 
{ /* ./Globalize/integration.scm 158 */
bool_t BgL_test3229z00_1196;
{ /* ./Globalize/integration.scm 158 */
obj_t BgL_arg3235z00_1198;
BgL_arg3235z00_1198 = 
CAR(BgL_l3099z00_1192); 
BgL_test3229z00_1196 = 
BGl_visiblezf3zf3zzglobaliza7e_integrationza7(BgL_gz00_2446, BgL_arg3235z00_1198); } 
if(BgL_test3229z00_1196)
{ /* ./Globalize/integration.scm 158 */
{ /* ./Globalize/integration.scm 158 */
obj_t BgL_arg3231z00_1197;
BgL_arg3231z00_1197 = 
CDR(BgL_l3099z00_1192); 
{ 
obj_t BgL_l3099z00_2691;
BgL_l3099z00_2691 = BgL_arg3231z00_1197; 
BgL_l3099z00_1192 = BgL_l3099z00_2691; 
goto BgL_every3100z00_1193;} } }  else 
{ /* ./Globalize/integration.scm 158 */
BgL__andtest_3098z00_1184 = ((bool_t)0); } } } } } 
if(BgL__andtest_3098z00_1184)
{ 
obj_t BgL_l3101z00_1185;
{ /* ./Globalize/integration.scm 159 */
obj_t BgL_arg3210z00_1187;
{ /* ./Globalize/integration.scm 159 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2766z00_1728;
BgL_obj2766z00_1728 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_vz00_1178); 
{ 
obj_t BgL_auxz00_2694;
{ /* ./Globalize/integration.scm 159 */
BgL_objectz00_bglt BgL_auxz00_2695;
BgL_auxz00_2695 = 
(BgL_objectz00_bglt)(BgL_obj2766z00_1728); 
BgL_auxz00_2694 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2695); } 
BgL_arg3210z00_1187 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2694))->BgL_ctoz00); } } 
BgL_l3101z00_1185 = BgL_arg3210z00_1187; 
BgL_every3102z00_1186:
{ /* ./Globalize/integration.scm 159 */
bool_t BgL_test3213z00_1188;
BgL_test3213z00_1188 = 
NULLP(BgL_l3101z00_1185); 
if(BgL_test3213z00_1188)
{ /* ./Globalize/integration.scm 159 */
BgL_rz00_1183 = ((bool_t)1); }  else 
{ /* ./Globalize/integration.scm 159 */
bool_t BgL_test3214z00_1189;
{ /* ./Globalize/integration.scm 159 */
obj_t BgL_arg3220z00_1191;
BgL_arg3220z00_1191 = 
CAR(BgL_l3101z00_1185); 
BgL_test3214z00_1189 = 
BGl_visiblezf3zf3zzglobaliza7e_integrationza7(BgL_gz00_2446, BgL_arg3220z00_1191); } 
if(BgL_test3214z00_1189)
{ /* ./Globalize/integration.scm 159 */
{ /* ./Globalize/integration.scm 159 */
obj_t BgL_arg3216z00_1190;
BgL_arg3216z00_1190 = 
CDR(BgL_l3101z00_1185); 
{ 
obj_t BgL_l3101z00_2705;
BgL_l3101z00_2705 = BgL_arg3216z00_1190; 
BgL_l3101z00_1185 = BgL_l3101z00_2705; 
goto BgL_every3102z00_1186;} } }  else 
{ /* ./Globalize/integration.scm 159 */
BgL_rz00_1183 = ((bool_t)0); } } } } }  else 
{ /* ./Globalize/integration.scm 158 */
BgL_rz00_1183 = ((bool_t)0); } } 
if(BgL_rz00_1183)
{ /* ./Globalize/integration.scm 160 */BFALSE; }  else 
{ /* ./Globalize/integration.scm 160 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2780z00_1732;
BgL_obj2780z00_1732 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_vz00_1178); 
{ 
obj_t BgL_auxz00_2708;
{ /* ./Globalize/integration.scm 160 */
BgL_objectz00_bglt BgL_auxz00_2709;
BgL_auxz00_2709 = 
(BgL_objectz00_bglt)(BgL_obj2780z00_1732); 
BgL_auxz00_2708 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2709); } 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2708))->BgL_imarkz00) = ((obj_t)BFALSE), BUNSPEC); } } 
return BgL_rz00_1183;} }  else 
{ /* ./Globalize/integration.scm 155 */
return ((bool_t)0);} } }  else 
{ /* ./Globalize/integration.scm 153 */
return ((bool_t)0);} } }  else 
{ /* ./Globalize/integration.scm 150 */
return ((bool_t)0);} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzglobaliza7e_integrationza7()
{ AN_OBJECT;
{ /* ./Globalize/integration.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationza7()
{ AN_OBJECT;
{ /* ./Globalize/integration.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "globalize_integration"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "globalize_integration"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "globalize_integration"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "globalize_integration"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "globalize_integration"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "globalize_integration"); 
BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long)0), "globalize_integration"); 
BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(((long)47811), "globalize_integration"); 
BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(((long)59660), "globalize_integration"); 
return 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "globalize_integration");} 
}

