/*===========================================================================*/
/*   (Integrate/loc2glo.scm)                                                 */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Integrate/loc2glo.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_svarzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_svarzf2iinfozf2_bglt;

typedef struct BgL_sexitzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_sexitzf2iinfozf2_bglt;

typedef struct BgL_sfunzf2iinfozf2_bgl {
   obj_t BgL_ownerz00;
   obj_t BgL_freez00;
   obj_t BgL_boundz00;
   obj_t BgL_cfromz00;
   obj_t BgL_ctoz00;
   obj_t BgL_kz00;
   obj_t BgL_kza2za2;
   obj_t BgL_uz00;
   obj_t BgL_cnz00;
   obj_t BgL_ctz00;
   obj_t BgL_kontz00;
   bool_t BgL_gzf3zf3;
   obj_t BgL_lz00;
   obj_t BgL_ledz00;
   obj_t BgL_istampz00;
   obj_t BgL_globalz00;
   obj_t BgL_kapturedz00;
   obj_t BgL_tailzd2coercionzd2;
} *BgL_sfunzf2iinfozf2_bglt;


extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt, BgL_valuez00_bglt);
static obj_t BGl_methodzd2initzd2zzintegrate_localzd2ze3globalz31();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern BgL_globalz00_bglt BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__thezd2global3703zd2zzintegrate_localzd2ze3globalz31(obj_t, obj_t);
extern obj_t BGl_svarz00zzast_varz00;
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern bool_t BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt);
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl__localzd2ze3global3701z31zzintegrate_localzd2ze3globalz31(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31();
extern obj_t BGl_globaliza7ez12zb5zzintegrate_nodez00(BgL_nodez00_bglt, BgL_variablez00_bglt, obj_t);
static obj_t BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
static obj_t BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
extern obj_t BGl_zb2zd2arityz60zztools_argsz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT long bgl_list_length(obj_t);
BGL_IMPORT obj_t string_to_symbol(char *);
BGL_IMPORT obj_t bgl_reverse(obj_t);
BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
BGL_EXPORTED_DECL obj_t BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
static obj_t __cnst[ 3 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_localzd2ze3globalzd2envze3zzintegrate_localzd2ze3globalz31, BgL_bgl__localza7d2za7e3global3701za731za7za7integrate_localza7d2za7e3globalza7313804z00, BGl__localzd2ze3global3701z31zzintegrate_localzd2ze3globalz31, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_thezd2globalzd2envz00zzintegrate_localzd2ze3globalz31, BgL_bgl__theza7d2global3703za7d2za7za7integrate_localza7d2za7e3globalza7313805za7, BGl__thezd2global3703zd2zzintegrate_localzd2ze3globalz31, 0L, 1 );
DEFINE_STRING( BGl_string3776z00zzintegrate_localzd2ze3globalz31, BgL_bgl_string3776za700za7za7integrate_localza7d2za7e3globalza7313806z00, "now a-integrated-body sfun ", 27 );
DEFINE_STRING( BGl_string3775z00zzintegrate_localzd2ze3globalz31, BgL_bgl_string3775za700za7za7integrate_localza7d2za7e3globalza7313807z00, "'", 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long BgL_checksumz00_2455, char * BgL_fromz00_2456)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31))
{ 
BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31(); 
BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31(); 
BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31(); 
BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31()
{ AN_OBJECT;
{ /* ./Integrate/loc2glo.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "integrate_local->global"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31()
{ AN_OBJECT;
{ /* ./Integrate/loc2glo.scm 15 */
{ /* ./Integrate/loc2glo.scm 15 */
obj_t BgL_cportz00_2448;
BgL_cportz00_2448 = 
open_input_string(BGl_string3776z00zzintegrate_localzd2ze3globalz31); 
{ 
long BgL_iz00_2449;
BgL_iz00_2449 = ((long)2); 
BgL_loopz00_2450:
{ /* ./Integrate/loc2glo.scm 15 */
bool_t BgL_test3778z00_2451;
BgL_test3778z00_2451 = 
(BgL_iz00_2449==((long)-1)); 
if(BgL_test3778z00_2451)
{ /* ./Integrate/loc2glo.scm 15 */
return BUNSPEC;}  else 
{ /* ./Integrate/loc2glo.scm 15 */
{ /* ./Integrate/loc2glo.scm 15 */
obj_t BgL_arg3780z00_2452;
{ /* ./Integrate/loc2glo.scm 15 */
obj_t BgL_list3783z00_2453;
BgL_list3783z00_2453 = 
MAKE_PAIR(BgL_cportz00_2448, BNIL); 
BgL_arg3780z00_2452 = 
BGl_readz00zz__readerz00(BgL_list3783z00_2453); } 
{ /* ./Integrate/loc2glo.scm 15 */
int BgL_auxz00_2473;
BgL_auxz00_2473 = 
(int)(BgL_iz00_2449); 
CNST_TABLE_SET(BgL_auxz00_2473, BgL_arg3780z00_2452); } } 
{ /* ./Integrate/loc2glo.scm 15 */
int BgL_auxz00_2454;
{ /* ./Integrate/loc2glo.scm 15 */
long BgL_auxz00_2476;
BgL_auxz00_2476 = 
(BgL_iz00_2449-((long)1)); 
BgL_auxz00_2454 = 
(int)(BgL_auxz00_2476); } 
{ 
long BgL_iz00_2479;
BgL_iz00_2479 = 
(long)(BgL_auxz00_2454); 
BgL_iz00_2449 = BgL_iz00_2479; 
goto BgL_loopz00_2450;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31()
{ AN_OBJECT;
{ /* ./Integrate/loc2glo.scm 15 */
{ /* ./Integrate/loc2glo.scm 65 */
char * BgL_auxz00_2481;
BgL_auxz00_2481 = 
BSTRING_TO_STRING(BGl_string3775z00zzintegrate_localzd2ze3globalz31); 
return ( 
BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31 = 
string_to_symbol(BgL_auxz00_2481), BUNSPEC) ;} } 
}



/* local->global */
BGL_EXPORTED_DEF obj_t BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt BgL_localz00_1)
{ AN_OBJECT;
{ /* ./Integrate/loc2glo.scm 35 */
{ /* ./Integrate/loc2glo.scm 37 */
obj_t BgL_globalz00_1076;
BgL_globalz00_1076 = 
BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_1); 
{ /* ./Integrate/loc2glo.scm 37 */
obj_t BgL_kapturedz00_1077;
{ /* ./Integrate/loc2glo.scm 38 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2908z00_1613;
{ /* ./Integrate/loc2glo.scm 38 */
BgL_valuez00_bglt BgL_auxz00_2485;
{ /* ./Integrate/loc2glo.scm 38 */
BgL_variablez00_bglt BgL_obj1126z00_1612;
BgL_obj1126z00_1612 = 
(BgL_variablez00_bglt)(BgL_localz00_1); 
BgL_auxz00_2485 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1126z00_1612))->BgL_valuez00); } 
BgL_obj2908z00_1613 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_2485); } 
{ 
obj_t BgL_auxz00_2489;
{ /* ./Integrate/loc2glo.scm 38 */
BgL_objectz00_bglt BgL_auxz00_2490;
BgL_auxz00_2490 = 
(BgL_objectz00_bglt)(BgL_obj2908z00_1613); 
BgL_auxz00_2489 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2490); } 
BgL_kapturedz00_1077 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2489))->BgL_kapturedz00); } } 
{ /* ./Integrate/loc2glo.scm 38 */
obj_t BgL_addzd2argszd2_1078;
{ /* ./Integrate/loc2glo.scm 39 */
bool_t BgL_test3069z00_1133;
BgL_test3069z00_1133 = 
NULLP(BgL_kapturedz00_1077); 
if(BgL_test3069z00_1133)
{ /* ./Integrate/loc2glo.scm 39 */
BgL_addzd2argszd2_1078 = BNIL; }  else 
{ /* ./Integrate/loc2glo.scm 39 */
obj_t BgL_head2951z00_1134;
BgL_head2951z00_1134 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2949z00_1135;obj_t BgL_tail2952z00_1136;
BgL_l2949z00_1135 = BgL_kapturedz00_1077; 
BgL_tail2952z00_1136 = BgL_head2951z00_1134; 
BgL_map2950z00_1137:
{ /* ./Integrate/loc2glo.scm 39 */
bool_t BgL_test3071z00_1138;
BgL_test3071z00_1138 = 
NULLP(BgL_l2949z00_1135); 
if(BgL_test3071z00_1138)
{ /* ./Integrate/loc2glo.scm 39 */
BgL_addzd2argszd2_1078 = 
CDR(BgL_head2951z00_1134); }  else 
{ /* ./Integrate/loc2glo.scm 40 */
obj_t BgL_newtail2953z00_1139;
{ /* ./Integrate/loc2glo.scm 40 */
BgL_localz00_bglt BgL_arg3079z00_1141;
{ /* ./Integrate/loc2glo.scm 40 */
obj_t BgL_oldz00_1143;
BgL_oldz00_1143 = 
CAR(BgL_l2949z00_1135); 
{ /* ./Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_arg3083z00_1144;
{ /* ./Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_duplicated2954z00_1145;
{ /* ./Integrate/loc2glo.scm 42 */
BgL_variablez00_bglt BgL_obj1126z00_1620;
BgL_obj1126z00_1620 = 
(BgL_variablez00_bglt)(BgL_oldz00_1143); 
{ /* ./Integrate/loc2glo.scm 42 */
BgL_valuez00_bglt BgL_auxz00_2502;
BgL_auxz00_2502 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1126z00_1620))->BgL_valuez00); 
BgL_duplicated2954z00_1145 = 
(BgL_svarzf2iinfozf2_bglt)(BgL_auxz00_2502); } } 
{ /* ./Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_new2955z00_1146;
{ /* ./Integrate/loc2glo.scm 41 */
obj_t BgL_arg3086z00_1147;obj_t BgL_arg3087z00_1148;obj_t BgL_arg3088z00_1149;bool_t BgL_arg3089z00_1150;bool_t BgL_arg3090z00_1151;
{ /* ./Integrate/loc2glo.scm 41 */
BgL_svarz00_bglt BgL_obj1512z00_1621;
BgL_obj1512z00_1621 = 
(BgL_svarz00_bglt)(BgL_duplicated2954z00_1145); 
BgL_arg3086z00_1147 = 
(((BgL_svarz00_bglt)CREF(BgL_obj1512z00_1621))->BgL_locz00); } 
{ 
obj_t BgL_auxz00_2507;
{ /* ./Integrate/loc2glo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_2508;
BgL_auxz00_2508 = 
(BgL_objectz00_bglt)(BgL_duplicated2954z00_1145); 
BgL_auxz00_2507 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2508); } 
BgL_arg3087z00_1148 = 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_2507))->BgL_fzd2markzd2); } 
{ 
obj_t BgL_auxz00_2512;
{ /* ./Integrate/loc2glo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_2513;
BgL_auxz00_2513 = 
(BgL_objectz00_bglt)(BgL_duplicated2954z00_1145); 
BgL_auxz00_2512 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2513); } 
BgL_arg3088z00_1149 = 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_2512))->BgL_uzd2markzd2); } 
{ 
obj_t BgL_auxz00_2517;
{ /* ./Integrate/loc2glo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_2518;
BgL_auxz00_2518 = 
(BgL_objectz00_bglt)(BgL_duplicated2954z00_1145); 
BgL_auxz00_2517 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2518); } 
BgL_arg3089z00_1150 = 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_2517))->BgL_kapturedzf3zf3); } 
{ 
obj_t BgL_auxz00_2522;
{ /* ./Integrate/loc2glo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_2523;
BgL_auxz00_2523 = 
(BgL_objectz00_bglt)(BgL_duplicated2954z00_1145); 
BgL_auxz00_2522 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2523); } 
BgL_arg3090z00_1151 = 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_2522))->BgL_celledzf3zf3); } 
{ /* ./Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_res3683z00_1667;
{ /* ./Integrate/loc2glo.scm 41 */
BgL_svarz00_bglt BgL_aux2701z00_1631;
{ /* ./Integrate/loc2glo.scm 41 */
BgL_svarz00_bglt BgL_res3680z00_1647;
{ /* ./Integrate/loc2glo.scm 41 */
BgL_svarz00_bglt BgL_new1520z00_1636;
{ /* ./Integrate/loc2glo.scm 41 */
BgL_svarz00_bglt BgL_res3678z00_1642;
{ /* ./Integrate/loc2glo.scm 41 */
BgL_svarz00_bglt BgL_new1522z00_1637;
BgL_new1522z00_1637 = 
((BgL_svarz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_svarz00_bgl) ))); 
{ /* ./Integrate/loc2glo.scm 41 */
long BgL_arg3577z00_1638;
BgL_arg3577z00_1638 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarz00zzast_varz00); 
{ /* ./Integrate/loc2glo.scm 41 */
BgL_objectz00_bglt BgL_objz00_1639;
BgL_objz00_1639 = 
(BgL_objectz00_bglt)(BgL_new1522z00_1637); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1639, BgL_arg3577z00_1638); } } 
{ /* ./Integrate/loc2glo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_2531;
BgL_auxz00_2531 = 
(BgL_objectz00_bglt)(BgL_new1522z00_1637); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2531, BFALSE); } 
{ /* ./Integrate/loc2glo.scm 41 */
obj_t BgL_objz00_1641;
BgL_objz00_1641 = 
(obj_t)(BgL_new1522z00_1637); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1641); BUNSPEC; } 
BgL_res3678z00_1642 = BgL_new1522z00_1637; } 
BgL_new1520z00_1636 = BgL_res3678z00_1642; } 
{ /* ./Integrate/loc2glo.scm 41 */
BgL_svarz00_bglt BgL_res3679z00_1646;
((((BgL_svarz00_bglt)CREF(BgL_new1520z00_1636))->BgL_locz00) = ((obj_t)BgL_arg3086z00_1147), BUNSPEC); 
BgL_res3679z00_1646 = BgL_new1520z00_1636; BgL_res3679z00_1646; } 
BgL_res3680z00_1647 = BgL_new1520z00_1636; } 
BgL_aux2701z00_1631 = BgL_res3680z00_1647; } 
{ /* ./Integrate/loc2glo.scm 41 */
long BgL_arg3234z00_1632;
BgL_arg3234z00_1632 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarzf2Iinfozf2zzintegrate_infoz00); 
{ /* ./Integrate/loc2glo.scm 41 */
BgL_objectz00_bglt BgL_objz00_1648;
BgL_objz00_1648 = 
(BgL_objectz00_bglt)(BgL_aux2701z00_1631); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1648, BgL_arg3234z00_1632); } } 
{ /* ./Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_arg3238z00_1633;
{ /* ./Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_res3682z00_1665;
{ /* ./Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_new2684z00_1654;
BgL_new2684z00_1654 = 
((BgL_svarzf2iinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_svarzf2iinfozf2_bgl)))); 
{ /* ./Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_res3681z00_1664;
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2684z00_1654))->BgL_fzd2markzd2) = ((obj_t)BgL_arg3087z00_1148), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2684z00_1654))->BgL_uzd2markzd2) = ((obj_t)BgL_arg3088z00_1149), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2684z00_1654))->BgL_kapturedzf3zf3) = ((bool_t)BgL_arg3089z00_1150), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2684z00_1654))->BgL_celledzf3zf3) = ((bool_t)BgL_arg3090z00_1151), BUNSPEC); 
BgL_res3681z00_1664 = BgL_new2684z00_1654; BgL_res3681z00_1664; } 
BgL_res3682z00_1665 = BgL_new2684z00_1654; } 
BgL_arg3238z00_1633 = BgL_res3682z00_1665; } 
{ /* ./Integrate/loc2glo.scm 41 */
obj_t BgL_auxz00_2547;BgL_objectz00_bglt BgL_auxz00_2545;
BgL_auxz00_2547 = 
(obj_t)(BgL_arg3238z00_1633); 
BgL_auxz00_2545 = 
(BgL_objectz00_bglt)(BgL_aux2701z00_1631); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2545, BgL_auxz00_2547); } } 
{ /* ./Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_new2702z00_1634;
{ 
BgL_svarzf2iinfozf2_bglt BgL_auxz00_2550;
BgL_auxz00_2550 = 
(BgL_svarzf2iinfozf2_bglt)(BgL_aux2701z00_1631); 
BgL_new2702z00_1634 = 
((BgL_svarzf2iinfozf2_bglt)BgL_auxz00_2550); } 
{ /* ./Integrate/loc2glo.scm 41 */
obj_t BgL_objz00_1666;
BgL_objz00_1666 = 
(obj_t)(BgL_new2702z00_1634); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1666); BUNSPEC; } 
BgL_res3683z00_1667 = BgL_new2702z00_1634; } } 
BgL_new2955z00_1146 = BgL_res3683z00_1667; } } 
{ /* ./Integrate/loc2glo.scm 41 */

BgL_arg3083z00_1144 = BgL_new2955z00_1146; } } } 
BgL_arg3079z00_1141 = 
BGl_clonezd2localzd2zzast_localz00(
(BgL_localz00_bglt)(BgL_oldz00_1143), 
(BgL_valuez00_bglt)(BgL_arg3083z00_1144)); } } 
{ /* ./Integrate/loc2glo.scm 39 */
obj_t BgL_obj1z00_1668;
BgL_obj1z00_1668 = 
(obj_t)(BgL_arg3079z00_1141); 
BgL_newtail2953z00_1139 = 
MAKE_PAIR(BgL_obj1z00_1668, BNIL); } } 
SET_CDR(BgL_tail2952z00_1136, BgL_newtail2953z00_1139); 
{ /* ./Integrate/loc2glo.scm 39 */
obj_t BgL_arg3075z00_1140;
BgL_arg3075z00_1140 = 
CDR(BgL_l2949z00_1135); 
{ 
obj_t BgL_tail2952z00_2563;obj_t BgL_l2949z00_2562;
BgL_l2949z00_2562 = BgL_arg3075z00_1140; 
BgL_tail2952z00_2563 = BgL_newtail2953z00_1139; 
BgL_tail2952z00_1136 = BgL_tail2952z00_2563; 
BgL_l2949z00_1135 = BgL_l2949z00_2562; 
goto BgL_map2950z00_1137;} } } } } } } 
{ /* ./Integrate/loc2glo.scm 39 */
BgL_valuez00_bglt BgL_oldzd2funzd2_1079;
{ /* ./Integrate/loc2glo.scm 44 */
BgL_variablez00_bglt BgL_obj1126z00_1673;
BgL_obj1126z00_1673 = 
(BgL_variablez00_bglt)(BgL_localz00_1); 
BgL_oldzd2funzd2_1079 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1126z00_1673))->BgL_valuez00); } 
{ /* ./Integrate/loc2glo.scm 44 */
BgL_sfunz00_bglt BgL_newzd2funzd2_1080;
{ /* ./Integrate/loc2glo.scm 45 */
BgL_sfunz00_bglt BgL_duplicated2956z00_1114;
BgL_duplicated2956z00_1114 = 
(BgL_sfunz00_bglt)(BgL_oldzd2funzd2_1079); 
{ /* ./Integrate/loc2glo.scm 46 */
BgL_sfunz00_bglt BgL_new2957z00_1115;
{ /* ./Integrate/loc2glo.scm 46 */
obj_t BgL_arg3032z00_1116;obj_t BgL_arg3033z00_1117;obj_t BgL_arg3034z00_1118;obj_t BgL_arg3035z00_1119;bool_t BgL_arg3036z00_1120;obj_t BgL_arg3038z00_1121;obj_t BgL_arg3039z00_1122;obj_t BgL_arg3040z00_1123;obj_t BgL_arg3041z00_1124;obj_t BgL_arg3042z00_1125;obj_t BgL_arg3043z00_1126;obj_t BgL_arg3044z00_1127;
{ /* ./Integrate/loc2glo.scm 46 */
long BgL_arg3047z00_1128;long BgL_arg3048z00_1129;
{ /* ./Integrate/loc2glo.scm 46 */
BgL_funz00_bglt BgL_obj1334z00_1674;
BgL_obj1334z00_1674 = 
(BgL_funz00_bglt)(BgL_oldzd2funzd2_1079); 
BgL_arg3047z00_1128 = 
(((BgL_funz00_bglt)CREF(BgL_obj1334z00_1674))->BgL_arityz00); } 
BgL_arg3048z00_1129 = 
bgl_list_length(BgL_addzd2argszd2_1078); 
BgL_arg3032z00_1116 = 
BGl_zb2zd2arityz60zztools_argsz00(
BINT(BgL_arg3047z00_1128), 
BINT(BgL_arg3048z00_1129)); } 
{ /* ./Integrate/loc2glo.scm 45 */
BgL_funz00_bglt BgL_obj1335z00_1675;
BgL_obj1335z00_1675 = 
(BgL_funz00_bglt)(BgL_duplicated2956z00_1114); 
BgL_arg3033z00_1117 = 
(((BgL_funz00_bglt)CREF(BgL_obj1335z00_1675))->BgL_sidezd2effectzf3z21); } 
{ /* ./Integrate/loc2glo.scm 45 */
BgL_funz00_bglt BgL_obj1338z00_1676;
BgL_obj1338z00_1676 = 
(BgL_funz00_bglt)(BgL_duplicated2956z00_1114); 
BgL_arg3034z00_1118 = 
(((BgL_funz00_bglt)CREF(BgL_obj1338z00_1676))->BgL_predicatezd2ofzd2); } 
{ /* ./Integrate/loc2glo.scm 45 */
BgL_funz00_bglt BgL_obj1341z00_1677;
BgL_obj1341z00_1677 = 
(BgL_funz00_bglt)(BgL_duplicated2956z00_1114); 
BgL_arg3035z00_1119 = 
(((BgL_funz00_bglt)CREF(BgL_obj1341z00_1677))->BgL_stackzd2allocatorzd2); } 
{ /* ./Integrate/loc2glo.scm 45 */
BgL_funz00_bglt BgL_obj1344z00_1678;
BgL_obj1344z00_1678 = 
(BgL_funz00_bglt)(BgL_duplicated2956z00_1114); 
BgL_arg3036z00_1120 = 
(((BgL_funz00_bglt)CREF(BgL_obj1344z00_1678))->BgL_topzf3zf3); } 
{ /* ./Integrate/loc2glo.scm 45 */
BgL_funz00_bglt BgL_obj1347z00_1679;
BgL_obj1347z00_1679 = 
(BgL_funz00_bglt)(BgL_duplicated2956z00_1114); 
BgL_arg3038z00_1121 = 
(((BgL_funz00_bglt)CREF(BgL_obj1347z00_1679))->BgL_thezd2closurezd2); } 
BgL_arg3039z00_1122 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2956z00_1114))->BgL_propertyz00); 
BgL_arg3040z00_1123 = 
bgl_append2(
bgl_reverse(BgL_addzd2argszd2_1078), 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2956z00_1114))->BgL_argsz00)); 
BgL_arg3041z00_1124 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2956z00_1114))->BgL_bodyz00); 
BgL_arg3042z00_1125 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2956z00_1114))->BgL_classz00); 
BgL_arg3043z00_1126 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2956z00_1114))->BgL_dssslzd2keywordszd2); 
BgL_arg3044z00_1127 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2956z00_1114))->BgL_locz00); 
{ /* ./Integrate/loc2glo.scm 45 */
BgL_sfunz00_bglt BgL_res3686z00_1731;
{ /* ./Integrate/loc2glo.scm 45 */
long BgL_arity1435z00_1686;
BgL_arity1435z00_1686 = 
(long)CINT(BgL_arg3032z00_1116); 
{ /* ./Integrate/loc2glo.scm 45 */
BgL_sfunz00_bglt BgL_new1447z00_1698;
{ /* ./Integrate/loc2glo.scm 45 */
BgL_sfunz00_bglt BgL_res3684z00_1704;
{ /* ./Integrate/loc2glo.scm 45 */
BgL_sfunz00_bglt BgL_new1449z00_1699;
BgL_new1449z00_1699 = 
((BgL_sfunz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sfunz00_bgl) ))); 
{ /* ./Integrate/loc2glo.scm 45 */
long BgL_arg3597z00_1700;
BgL_arg3597z00_1700 = 
BGl_classzd2numzd2zz__objectz00(BGl_sfunz00zzast_varz00); 
{ /* ./Integrate/loc2glo.scm 45 */
BgL_objectz00_bglt BgL_objz00_1701;
BgL_objz00_1701 = 
(BgL_objectz00_bglt)(BgL_new1449z00_1699); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1701, BgL_arg3597z00_1700); } } 
{ /* ./Integrate/loc2glo.scm 45 */
BgL_objectz00_bglt BgL_auxz00_2596;
BgL_auxz00_2596 = 
(BgL_objectz00_bglt)(BgL_new1449z00_1699); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2596, BFALSE); } 
{ /* ./Integrate/loc2glo.scm 45 */
obj_t BgL_objz00_1703;
BgL_objz00_1703 = 
(obj_t)(BgL_new1449z00_1699); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1703); BUNSPEC; } 
BgL_res3684z00_1704 = BgL_new1449z00_1699; } 
BgL_new1447z00_1698 = BgL_res3684z00_1704; } 
{ /* ./Integrate/loc2glo.scm 45 */
BgL_sfunz00_bglt BgL_res3685z00_1730;
((((BgL_sfunz00_bglt)CREF(BgL_new1447z00_1698))->BgL_arityz00) = ((long)BgL_arity1435z00_1686), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1447z00_1698))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_arg3033z00_1117), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1447z00_1698))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_arg3034z00_1118), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1447z00_1698))->BgL_stackzd2allocatorzd2) = ((obj_t)BgL_arg3035z00_1119), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1447z00_1698))->BgL_topzf3zf3) = ((bool_t)BgL_arg3036z00_1120), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1447z00_1698))->BgL_thezd2closurezd2) = ((obj_t)BgL_arg3038z00_1121), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1447z00_1698))->BgL_propertyz00) = ((obj_t)BgL_arg3039z00_1122), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1447z00_1698))->BgL_argsz00) = ((obj_t)BgL_arg3040z00_1123), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1447z00_1698))->BgL_bodyz00) = ((obj_t)BgL_arg3041z00_1124), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1447z00_1698))->BgL_classz00) = ((obj_t)BgL_arg3042z00_1125), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1447z00_1698))->BgL_dssslzd2keywordszd2) = ((obj_t)BgL_arg3043z00_1126), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1447z00_1698))->BgL_locz00) = ((obj_t)BgL_arg3044z00_1127), BUNSPEC); 
BgL_res3685z00_1730 = BgL_new1447z00_1698; BgL_res3685z00_1730; } 
BgL_res3686z00_1731 = BgL_new1447z00_1698; } } 
BgL_new2957z00_1115 = BgL_res3686z00_1731; } } 
{ /* ./Integrate/loc2glo.scm 45 */

BgL_newzd2funzd2_1080 = BgL_new2957z00_1115; } } } 
{ /* ./Integrate/loc2glo.scm 45 */

{ /* ./Integrate/loc2glo.scm 50 */
BgL_typez00_bglt BgL_arg2968z00_1081;
{ /* ./Integrate/loc2glo.scm 50 */
BgL_variablez00_bglt BgL_obj1123z00_1732;
BgL_obj1123z00_1732 = 
(BgL_variablez00_bglt)(BgL_localz00_1); 
BgL_arg2968z00_1081 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1123z00_1732))->BgL_typez00); } 
{ /* ./Integrate/loc2glo.scm 50 */
BgL_variablez00_bglt BgL_obj1125z00_1733;
BgL_obj1125z00_1733 = 
(BgL_variablez00_bglt)(BgL_globalz00_1076); 
((((BgL_variablez00_bglt)CREF(BgL_obj1125z00_1733))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2968z00_1081), BUNSPEC); } } 
{ 
obj_t BgL_l2958z00_1082;
{ /* ./Integrate/loc2glo.scm 54 */
obj_t BgL_arg2972z00_1084;
BgL_arg2972z00_1084 = 
(((BgL_sfunz00_bglt)CREF(BgL_newzd2funzd2_1080))->BgL_argsz00); 
BgL_l2958z00_1082 = BgL_arg2972z00_1084; 
BgL_forzd2each2959zd2_1083:
{ /* ./Integrate/loc2glo.scm 51 */
bool_t BgL_test2975z00_1085;
BgL_test2975z00_1085 = 
PAIRP(BgL_l2958z00_1082); 
if(BgL_test2975z00_1085)
{ /* ./Integrate/loc2glo.scm 51 */
{ /* ./Integrate/loc2glo.scm 52 */
obj_t BgL_lz00_1086;
BgL_lz00_1086 = 
CAR(BgL_l2958z00_1082); 
{ /* ./Integrate/loc2glo.scm 52 */
bool_t BgL_test2976z00_1087;
BgL_test2976z00_1087 = 
BGl_integratezd2celledzf3z21zzintegrate_nodez00(
(BgL_localz00_bglt)(BgL_lz00_1086)); 
if(BgL_test2976z00_1087)
{ /* ./Integrate/loc2glo.scm 53 */
BgL_variablez00_bglt BgL_obj1125z00_1738;BgL_typez00_bglt BgL_val1124z00_1739;
BgL_obj1125z00_1738 = 
(BgL_variablez00_bglt)(BgL_lz00_1086); 
BgL_val1124z00_1739 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
((((BgL_variablez00_bglt)CREF(BgL_obj1125z00_1738))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1124z00_1739), BUNSPEC); }  else 
{ /* ./Integrate/loc2glo.scm 52 */BFALSE; } } } 
{ /* ./Integrate/loc2glo.scm 51 */
obj_t BgL_arg2981z00_1088;
BgL_arg2981z00_1088 = 
CDR(BgL_l2958z00_1082); 
{ 
obj_t BgL_l2958z00_2628;
BgL_l2958z00_2628 = BgL_arg2981z00_1088; 
BgL_l2958z00_1082 = BgL_l2958z00_2628; 
goto BgL_forzd2each2959zd2_1083;} } }  else 
{ /* ./Integrate/loc2glo.scm 51 */((bool_t)1); } } } } 
{ /* ./Integrate/loc2glo.scm 56 */
obj_t BgL_arg2986z00_1089;
{ /* ./Integrate/loc2glo.scm 56 */
obj_t BgL_arg2989z00_1090;obj_t BgL_arg2990z00_1091;
{ /* ./Integrate/loc2glo.scm 56 */
BgL_sfunz00_bglt BgL_obj1397z00_1741;
BgL_obj1397z00_1741 = 
(BgL_sfunz00_bglt)(BgL_oldzd2funzd2_1079); 
BgL_arg2989z00_1090 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1397z00_1741))->BgL_bodyz00); } 
{ /* ./Integrate/loc2glo.scm 58 */
bool_t BgL_test2993z00_1094;
BgL_test2993z00_1094 = 
NULLP(BgL_kapturedz00_1077); 
if(BgL_test2993z00_1094)
{ /* ./Integrate/loc2glo.scm 58 */
BgL_arg2990z00_1091 = BNIL; }  else 
{ /* ./Integrate/loc2glo.scm 58 */
obj_t BgL_head2962z00_1095;
{ /* ./Integrate/loc2glo.scm 58 */
obj_t BgL_arg3020z00_1110;
{ /* ./Integrate/loc2glo.scm 58 */
obj_t BgL_arg3024z00_1112;obj_t BgL_arg3025z00_1113;
BgL_arg3024z00_1112 = 
CAR(BgL_kapturedz00_1077); 
BgL_arg3025z00_1113 = 
CAR(BgL_addzd2argszd2_1078); 
BgL_arg3020z00_1110 = 
MAKE_PAIR(BgL_arg3024z00_1112, BgL_arg3025z00_1113); } 
BgL_head2962z00_1095 = 
MAKE_PAIR(BgL_arg3020z00_1110, BNIL); } 
{ 
obj_t BgL_ll2960z00_1096;obj_t BgL_ll2961z00_1097;obj_t BgL_tail2963z00_1098;
{ /* ./Integrate/loc2glo.scm 58 */
obj_t BgL_arg2995z00_1100;obj_t BgL_arg2996z00_1101;
BgL_arg2995z00_1100 = 
CDR(BgL_kapturedz00_1077); 
BgL_arg2996z00_1101 = 
CDR(BgL_addzd2argszd2_1078); 
BgL_ll2960z00_1096 = BgL_arg2995z00_1100; 
BgL_ll2961z00_1097 = BgL_arg2996z00_1101; 
BgL_tail2963z00_1098 = BgL_head2962z00_1095; 
BgL_map2965z00_1099:
{ /* ./Integrate/loc2glo.scm 58 */
bool_t BgL_test3000z00_1102;
BgL_test3000z00_1102 = 
NULLP(BgL_ll2960z00_1096); 
if(BgL_test3000z00_1102)
{ /* ./Integrate/loc2glo.scm 58 */
BgL_arg2990z00_1091 = BgL_head2962z00_1095; }  else 
{ /* ./Integrate/loc2glo.scm 58 */
obj_t BgL_newtail2964z00_1103;
{ /* ./Integrate/loc2glo.scm 58 */
obj_t BgL_arg3009z00_1106;
{ /* ./Integrate/loc2glo.scm 58 */
obj_t BgL_arg3013z00_1108;obj_t BgL_arg3014z00_1109;
BgL_arg3013z00_1108 = 
CAR(BgL_ll2960z00_1096); 
BgL_arg3014z00_1109 = 
CAR(BgL_ll2961z00_1097); 
BgL_arg3009z00_1106 = 
MAKE_PAIR(BgL_arg3013z00_1108, BgL_arg3014z00_1109); } 
BgL_newtail2964z00_1103 = 
MAKE_PAIR(BgL_arg3009z00_1106, BNIL); } 
SET_CDR(BgL_tail2963z00_1098, BgL_newtail2964z00_1103); 
{ /* ./Integrate/loc2glo.scm 58 */
obj_t BgL_arg3003z00_1104;obj_t BgL_arg3004z00_1105;
BgL_arg3003z00_1104 = 
CDR(BgL_ll2960z00_1096); 
BgL_arg3004z00_1105 = 
CDR(BgL_ll2961z00_1097); 
{ 
obj_t BgL_tail2963z00_2650;obj_t BgL_ll2961z00_2649;obj_t BgL_ll2960z00_2648;
BgL_ll2960z00_2648 = BgL_arg3003z00_1104; 
BgL_ll2961z00_2649 = BgL_arg3004z00_1105; 
BgL_tail2963z00_2650 = BgL_newtail2964z00_1103; 
BgL_tail2963z00_1098 = BgL_tail2963z00_2650; 
BgL_ll2961z00_1097 = BgL_ll2961z00_2649; 
BgL_ll2960z00_1096 = BgL_ll2960z00_2648; 
goto BgL_map2965z00_1099;} } } } } } } } 
BgL_arg2986z00_1089 = 
BGl_globaliza7ez12zb5zzintegrate_nodez00(
(BgL_nodez00_bglt)(BgL_arg2989z00_1090), 
(BgL_variablez00_bglt)(BgL_localz00_1), BgL_arg2990z00_1091); } 
((((BgL_sfunz00_bglt)CREF(BgL_newzd2funzd2_1080))->BgL_bodyz00) = ((obj_t)BgL_arg2986z00_1089), BUNSPEC); } 
{ /* ./Integrate/loc2glo.scm 59 */
BgL_variablez00_bglt BgL_obj1128z00_1760;BgL_valuez00_bglt BgL_val1127z00_1761;
BgL_obj1128z00_1760 = 
(BgL_variablez00_bglt)(BgL_globalz00_1076); 
BgL_val1127z00_1761 = 
(BgL_valuez00_bglt)(BgL_newzd2funzd2_1080); 
((((BgL_variablez00_bglt)CREF(BgL_obj1128z00_1760))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_val1127z00_1761), BUNSPEC); } 
return BgL_globalz00_1076;} } } } } } } 
}



/* _local->global3701 */
obj_t BGl__localzd2ze3global3701z31zzintegrate_localzd2ze3globalz31(obj_t BgL_envz00_2444, obj_t BgL_localz00_2445)
{ AN_OBJECT;
{ /* ./Integrate/loc2glo.scm 35 */
return 
BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(
(BgL_localz00_bglt)(BgL_localz00_2445));} 
}



/* local-id->global-id */
obj_t BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt BgL_localz00_2)
{ AN_OBJECT;
{ /* ./Integrate/loc2glo.scm 72 */
{ 
obj_t BgL_idz00_1154;
{ /* ./Integrate/loc2glo.scm 74 */
obj_t BgL_arg3108z00_1156;
{ /* ./Integrate/loc2glo.scm 74 */
BgL_variablez00_bglt BgL_obj1119z00_1763;
BgL_obj1119z00_1763 = 
(BgL_variablez00_bglt)(BgL_localz00_2); 
BgL_arg3108z00_1156 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1119z00_1763))->BgL_idz00); } 
BgL_idz00_1154 = BgL_arg3108z00_1156; 
BgL_loopz00_1155:
{ /* ./Integrate/loc2glo.scm 75 */
bool_t BgL_test3111z00_1157;
{ /* ./Integrate/loc2glo.scm 75 */
obj_t BgL_arg3122z00_1161;
BgL_arg3122z00_1161 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1154, BGl_za2moduleza2z00zzmodule_modulez00); 
BgL_test3111z00_1157 = 
BGl_iszd2azf3z21zz__objectz00(BgL_arg3122z00_1161, BGl_globalz00zzast_varz00); } 
if(BgL_test3111z00_1157)
{ /* ./Integrate/loc2glo.scm 76 */
obj_t BgL_arg3113z00_1158;
{ /* ./Integrate/loc2glo.scm 76 */
obj_t BgL_list3116z00_1159;
{ /* ./Integrate/loc2glo.scm 76 */
obj_t BgL_arg3118z00_1160;
BgL_arg3118z00_1160 = 
MAKE_PAIR(BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31, BNIL); 
BgL_list3116z00_1159 = 
MAKE_PAIR(BgL_idz00_1154, BgL_arg3118z00_1160); } 
BgL_arg3113z00_1158 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3116z00_1159); } 
{ 
obj_t BgL_idz00_2668;
BgL_idz00_2668 = BgL_arg3113z00_1158; 
BgL_idz00_1154 = BgL_idz00_2668; 
goto BgL_loopz00_1155;} }  else 
{ /* ./Integrate/loc2glo.scm 75 */
return BgL_idz00_1154;} } } } } 
}



/* the-global */
BGL_EXPORTED_DEF obj_t BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt BgL_localz00_3)
{ AN_OBJECT;
{ /* ./Integrate/loc2glo.scm 82 */
{ /* ./Integrate/loc2glo.scm 83 */
BgL_valuez00_bglt BgL_valuez00_1162;
{ /* ./Integrate/loc2glo.scm 83 */
BgL_variablez00_bglt BgL_obj1126z00_1765;
BgL_obj1126z00_1765 = 
(BgL_variablez00_bglt)(BgL_localz00_3); 
BgL_valuez00_1162 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1126z00_1765))->BgL_valuez00); } 
{ /* ./Integrate/loc2glo.scm 84 */
bool_t BgL_test3126z00_1163;
{ /* ./Integrate/loc2glo.scm 84 */
obj_t BgL_arg3147z00_1171;
{ /* ./Integrate/loc2glo.scm 84 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2905z00_1766;
BgL_obj2905z00_1766 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_valuez00_1162); 
{ 
obj_t BgL_auxz00_2672;
{ /* ./Integrate/loc2glo.scm 84 */
BgL_objectz00_bglt BgL_auxz00_2673;
BgL_auxz00_2673 = 
(BgL_objectz00_bglt)(BgL_obj2905z00_1766); 
BgL_auxz00_2672 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2673); } 
BgL_arg3147z00_1171 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2672))->BgL_globalz00); } } 
BgL_test3126z00_1163 = 
BGl_iszd2azf3z21zz__objectz00(BgL_arg3147z00_1171, BGl_globalz00zzast_varz00); } 
if(BgL_test3126z00_1163)
{ /* ./Integrate/loc2glo.scm 85 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2905z00_1768;
BgL_obj2905z00_1768 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_valuez00_1162); 
{ 
obj_t BgL_auxz00_2680;
{ /* ./Integrate/loc2glo.scm 85 */
BgL_objectz00_bglt BgL_auxz00_2681;
BgL_auxz00_2681 = 
(BgL_objectz00_bglt)(BgL_obj2905z00_1768); 
BgL_auxz00_2680 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2681); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2680))->BgL_globalz00);} }  else 
{ /* ./Integrate/loc2glo.scm 86 */
obj_t BgL_idz00_1164;
BgL_idz00_1164 = 
BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31(BgL_localz00_3); 
{ /* ./Integrate/loc2glo.scm 86 */
BgL_globalz00_bglt BgL_globalz00_1165;
BgL_globalz00_1165 = 
BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(BgL_idz00_1164, BNIL, BNIL, BGl_za2moduleza2z00zzmodule_modulez00, 
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1)), 
CNST_TABLE_REF(((long)2)), BUNSPEC); 
{ /* ./Integrate/loc2glo.scm 87 */

{ /* ./Integrate/loc2glo.scm 100 */
BgL_valuez00_bglt BgL_arg3129z00_1166;obj_t BgL_arg3130z00_1167;
{ /* ./Integrate/loc2glo.scm 100 */
BgL_variablez00_bglt BgL_obj1126z00_1769;
BgL_obj1126z00_1769 = 
(BgL_variablez00_bglt)(BgL_globalz00_1165); 
BgL_arg3129z00_1166 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1126z00_1769))->BgL_valuez00); } 
{ /* ./Integrate/loc2glo.scm 100 */
BgL_sfunz00_bglt BgL_obj1406z00_1770;
BgL_obj1406z00_1770 = 
(BgL_sfunz00_bglt)(BgL_valuez00_1162); 
BgL_arg3130z00_1167 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1406z00_1770))->BgL_locz00); } 
{ /* ./Integrate/loc2glo.scm 100 */
BgL_sfunz00_bglt BgL_obj1408z00_1771;
BgL_obj1408z00_1771 = 
(BgL_sfunz00_bglt)(BgL_arg3129z00_1166); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1408z00_1771))->BgL_locz00) = ((obj_t)BgL_arg3130z00_1167), BUNSPEC); } } 
{ /* ./Integrate/loc2glo.scm 102 */
bool_t BgL_test3134z00_1168;
BgL_test3134z00_1168 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_3))->BgL_userzf3zf3); 
if(BgL_test3134z00_1168)
{ /* ./Integrate/loc2glo.scm 102 */BFALSE; }  else 
{ /* ./Integrate/loc2glo.scm 102 */
((((BgL_globalz00_bglt)CREF(BgL_globalz00_1165))->BgL_userzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); } } 
{ /* ./Integrate/loc2glo.scm 104 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2907z00_1776;obj_t BgL_val2906z00_1777;
BgL_obj2907z00_1776 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_valuez00_1162); 
BgL_val2906z00_1777 = 
(obj_t)(BgL_globalz00_1165); 
{ 
obj_t BgL_auxz00_2701;
{ /* ./Integrate/loc2glo.scm 104 */
BgL_objectz00_bglt BgL_auxz00_2702;
BgL_auxz00_2702 = 
(BgL_objectz00_bglt)(BgL_obj2907z00_1776); 
BgL_auxz00_2701 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2702); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2701))->BgL_globalz00) = ((obj_t)BgL_val2906z00_1777), BUNSPEC); } } 
{ /* ./Integrate/loc2glo.scm 105 */
BgL_valuez00_bglt BgL_arg3139z00_1169;obj_t BgL_arg3140z00_1170;
{ /* ./Integrate/loc2glo.scm 105 */
BgL_variablez00_bglt BgL_obj1126z00_1778;
BgL_obj1126z00_1778 = 
(BgL_variablez00_bglt)(BgL_globalz00_1165); 
BgL_arg3139z00_1169 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1126z00_1778))->BgL_valuez00); } 
{ /* ./Integrate/loc2glo.scm 106 */
BgL_funz00_bglt BgL_obj1335z00_1779;
BgL_obj1335z00_1779 = 
(BgL_funz00_bglt)(BgL_valuez00_1162); 
BgL_arg3140z00_1170 = 
(((BgL_funz00_bglt)CREF(BgL_obj1335z00_1779))->BgL_sidezd2effectzf3z21); } 
{ /* ./Integrate/loc2glo.scm 105 */
BgL_funz00_bglt BgL_obj1337z00_1780;
BgL_obj1337z00_1780 = 
(BgL_funz00_bglt)(BgL_arg3139z00_1169); 
((((BgL_funz00_bglt)CREF(BgL_obj1337z00_1780))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_arg3140z00_1170), BUNSPEC); } } 
return 
(obj_t)(BgL_globalz00_1165);} } } } } } 
}



/* _the-global3703 */
obj_t BGl__thezd2global3703zd2zzintegrate_localzd2ze3globalz31(obj_t BgL_envz00_2446, obj_t BgL_localz00_2447)
{ AN_OBJECT;
{ /* ./Integrate/loc2glo.scm 82 */
return 
BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
(BgL_localz00_bglt)(BgL_localz00_2447));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzintegrate_localzd2ze3globalz31()
{ AN_OBJECT;
{ /* ./Integrate/loc2glo.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31()
{ AN_OBJECT;
{ /* ./Integrate/loc2glo.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)42726), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long)4795), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)28959), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long)0), "integrate_local->global"); 
return 
BGl_modulezd2initializa7ationz75zzintegrate_nodez00(((long)8276), "integrate_local->global");} 
}

