/*===========================================================================*/
/*   (Module/option.scm)                                                     */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Module/option.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_optionz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
static obj_t BGl__makezd2optionzd2compilerz00zzmodule_optionz00(obj_t);
static obj_t BGl_methodzd2initzd2zzmodule_optionz00();
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_ccompz00zzmodule_modulez00;
BGL_IMPORT obj_t BGl_evalz00zz__evalz00(obj_t, obj_t);
static obj_t BGl_optionzd2producerzd2zzmodule_optionz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzmodule_optionz00();
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_optionz00();
static obj_t BGl_requirezd2initializa7ationz75zzmodule_optionz00 = BUNSPEC;
static obj_t BGl__optionzd2producerzd2zzmodule_optionz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2optionzd2compilerz00zzmodule_optionz00();
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_optionz00();
static obj_t BGl_toplevelzd2initzd2zzmodule_optionz00();
static obj_t BGl_zc3anonymousza31073ze3z83zzmodule_optionz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31074ze3z83zzmodule_optionz00(obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_STATIC_PROCEDURE( BGl_optionzd2producerzd2envz00zzmodule_optionz00, BgL_bgl__optionza7d2producerza7d2za7za7module_optionza7001160za7, BGl__optionzd2producerzd2zzmodule_optionz00, 0L, 1 );
DEFINE_STRING( BGl_string1133z00zzmodule_optionz00, BgL_bgl_string1133za700za7za7module_optionza7001161z00, "void option ", 12 );
DEFINE_STRING( BGl_string1132z00zzmodule_optionz00, BgL_bgl_string1132za700za7za7module_optionza7001162z00, "Illegal `option' clause", 23 );
DEFINE_STRING( BGl_string1131z00zzmodule_optionz00, BgL_bgl_string1131za700za7za7module_optionza7001163z00, "Parse error", 11 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2optionzd2compilerzd2envzd2zzmodule_optionz00, BgL_bgl__makeza7d2optionza7d2compilerza700za7za7module_optionza7001164z00, BGl__makezd2optionzd2compilerz00zzmodule_optionz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc1130z00zzmodule_optionz00, BgL_bgl_za7c3anonymousza7a31073za7e3za783za7za7module_optionza7001165za7, BGl_zc3anonymousza31073ze3z83zzmodule_optionz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc1129z00zzmodule_optionz00, BgL_bgl_za7c3anonymousza7a31074za7e3za783za7za7module_optionza7001166za7, BGl_zc3anonymousza31074ze3z83zzmodule_optionz00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_optionz00(long BgL_checksumz00_153, char * BgL_fromz00_154)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_optionz00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_optionz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_optionz00(); 
BGl_cnstzd2initzd2zzmodule_optionz00(); 
BGl_importedzd2moduleszd2initz00zzmodule_optionz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_optionz00()
{ AN_OBJECT;
{ /* ./Module/option.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "module_option"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_option"); 
BGl_modulezd2initializa7ationz75zz__evalz00(((long)0), "module_option"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_optionz00()
{ AN_OBJECT;
{ /* ./Module/option.scm 15 */
{ /* ./Module/option.scm 15 */
obj_t BgL_cportz00_146;
BgL_cportz00_146 = 
open_input_string(BGl_string1133z00zzmodule_optionz00); 
{ 
long BgL_iz00_147;
BgL_iz00_147 = ((long)1); 
BgL_loopz00_148:
{ /* ./Module/option.scm 15 */
bool_t BgL_test1135z00_149;
BgL_test1135z00_149 = 
(BgL_iz00_147==((long)-1)); 
if(BgL_test1135z00_149)
{ /* ./Module/option.scm 15 */
return BUNSPEC;}  else 
{ /* ./Module/option.scm 15 */
{ /* ./Module/option.scm 15 */
obj_t BgL_arg1137z00_150;
{ /* ./Module/option.scm 15 */
obj_t BgL_list1140z00_151;
BgL_list1140z00_151 = 
MAKE_PAIR(BgL_cportz00_146, BNIL); 
BgL_arg1137z00_150 = 
BGl_readz00zz__readerz00(BgL_list1140z00_151); } 
{ /* ./Module/option.scm 15 */
int BgL_auxz00_169;
BgL_auxz00_169 = 
(int)(BgL_iz00_147); 
CNST_TABLE_SET(BgL_auxz00_169, BgL_arg1137z00_150); } } 
{ /* ./Module/option.scm 15 */
int BgL_auxz00_152;
{ /* ./Module/option.scm 15 */
long BgL_auxz00_172;
BgL_auxz00_172 = 
(BgL_iz00_147-((long)1)); 
BgL_auxz00_152 = 
(int)(BgL_auxz00_172); } 
{ 
long BgL_iz00_175;
BgL_iz00_175 = 
(long)(BgL_auxz00_152); 
BgL_iz00_147 = BgL_iz00_175; 
goto BgL_loopz00_148;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzmodule_optionz00()
{ AN_OBJECT;
{ /* ./Module/option.scm 15 */
return BUNSPEC;} 
}



/* make-option-compiler */
BGL_EXPORTED_DEF obj_t BGl_makezd2optionzd2compilerz00zzmodule_optionz00()
{ AN_OBJECT;
{ /* ./Module/option.scm 25 */
{ /* ./Module/option.scm 27 */
obj_t BgL_arg1065z00_44;obj_t BgL_arg1069z00_45;
BgL_arg1065z00_44 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1069z00_45 = BGl_optionzd2producerzd2envz00zzmodule_optionz00; 
{ /* ./Module/option.scm 26 */
BgL_ccompz00_bglt BgL_res1113z00_104;
{ /* ./Module/option.scm 26 */
BgL_ccompz00_bglt BgL_new1021z00_89;
{ /* ./Module/option.scm 26 */
BgL_ccompz00_bglt BgL_res1111z00_95;
{ /* ./Module/option.scm 26 */
BgL_ccompz00_bglt BgL_new1023z00_90;
BgL_new1023z00_90 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* ./Module/option.scm 26 */
long BgL_arg1102z00_91;
BgL_arg1102z00_91 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* ./Module/option.scm 26 */
BgL_objectz00_bglt BgL_objz00_92;
BgL_objz00_92 = 
(BgL_objectz00_bglt)(BgL_new1023z00_90); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_92, BgL_arg1102z00_91); } } 
{ /* ./Module/option.scm 26 */
BgL_objectz00_bglt BgL_auxz00_182;
BgL_auxz00_182 = 
(BgL_objectz00_bglt)(BgL_new1023z00_90); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_182, BFALSE); } 
{ /* ./Module/option.scm 26 */
obj_t BgL_objz00_94;
BgL_objz00_94 = 
(obj_t)(BgL_new1023z00_90); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_94); BUNSPEC; } 
BgL_res1111z00_95 = BgL_new1023z00_90; } 
BgL_new1021z00_89 = BgL_res1111z00_95; } 
{ /* ./Module/option.scm 26 */
BgL_ccompz00_bglt BgL_res1112z00_103;
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_89))->BgL_idz00) = ((obj_t)BgL_arg1065z00_44), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_89))->BgL_producerz00) = ((obj_t)BgL_arg1069z00_45), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_89))->BgL_consumerz00) = ((obj_t)BGl_proc1130z00zzmodule_optionz00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_89))->BgL_finaliza7erza7) = ((obj_t)BGl_proc1129z00zzmodule_optionz00), BUNSPEC); 
BgL_res1112z00_103 = BgL_new1021z00_89; BgL_res1112z00_103; } 
BgL_res1113z00_104 = BgL_new1021z00_89; } 
return 
(obj_t)(BgL_res1113z00_104);} } } 
}



/* _make-option-compiler */
obj_t BGl__makezd2optionzd2compilerz00zzmodule_optionz00(obj_t BgL_envz00_138)
{ AN_OBJECT;
{ /* ./Module/option.scm 25 */
return 
BGl_makezd2optionzd2compilerz00zzmodule_optionz00();} 
}



/* <anonymous:1074> */
obj_t BGl_zc3anonymousza31074ze3z83zzmodule_optionz00(obj_t BgL_envz00_139)
{ AN_OBJECT;
{ /* ./Module/module.scm 50 */
{ 

return 
CNST_TABLE_REF(((long)1));} } 
}



/* <anonymous:1073> */
obj_t BGl_zc3anonymousza31073ze3z83zzmodule_optionz00(obj_t BgL_envz00_140, obj_t BgL_mz00_141, obj_t BgL_cz00_142)
{ AN_OBJECT;
{ /* ./Module/module.scm 48 */
{ 
obj_t BgL_mz00_48;obj_t BgL_cz00_49;
BgL_mz00_48 = BgL_mz00_141; 
BgL_cz00_49 = BgL_cz00_142; 
return BNIL;} } 
}



/* option-producer */
obj_t BGl_optionzd2producerzd2zzmodule_optionz00(obj_t BgL_clausez00_19)
{ AN_OBJECT;
{ /* ./Module/option.scm 33 */
{ 
obj_t BgL_protosz00_54;
{ /* ./Module/option.scm 34 */
bool_t BgL_test1076z00_58;
BgL_test1076z00_58 = 
PAIRP(BgL_clausez00_19); 
if(BgL_test1076z00_58)
{ /* ./Module/option.scm 34 */
obj_t BgL_arg1078z00_59;
BgL_arg1078z00_59 = 
CDR(BgL_clausez00_19); 
BgL_protosz00_54 = BgL_arg1078z00_59; 
{ 
obj_t BgL_l1026z00_60;
BgL_l1026z00_60 = BgL_protosz00_54; 
BgL_forzd2each1027zd2_61:
{ /* ./Module/option.scm 36 */
bool_t BgL_test1084z00_62;
BgL_test1084z00_62 = 
PAIRP(BgL_l1026z00_60); 
if(BgL_test1084z00_62)
{ /* ./Module/option.scm 36 */
{ /* ./Module/option.scm 36 */
obj_t BgL_arg1086z00_63;
BgL_arg1086z00_63 = 
CAR(BgL_l1026z00_60); 
BGl_evalz00zz__evalz00(BgL_arg1086z00_63, BNIL); } 
{ /* ./Module/option.scm 36 */
obj_t BgL_arg1091z00_65;
BgL_arg1091z00_65 = 
CDR(BgL_l1026z00_60); 
{ 
obj_t BgL_l1026z00_202;
BgL_l1026z00_202 = BgL_arg1091z00_65; 
BgL_l1026z00_60 = BgL_l1026z00_202; 
goto BgL_forzd2each1027zd2_61;} } }  else 
{ /* ./Module/option.scm 36 */((bool_t)1); } } } 
return BNIL;}  else 
{ /* ./Module/option.scm 34 */
{ /* ./Module/option.scm 39 */
obj_t BgL_list1096z00_66;
BgL_list1096z00_66 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1131z00zzmodule_optionz00, BGl_string1132z00zzmodule_optionz00, BgL_clausez00_19, BgL_list1096z00_66);} } } } } 
}



/* _option-producer */
obj_t BGl__optionzd2producerzd2zzmodule_optionz00(obj_t BgL_envz00_143, obj_t BgL_clausez00_144)
{ AN_OBJECT;
{ /* ./Module/option.scm 33 */
return 
BGl_optionzd2producerzd2zzmodule_optionz00(BgL_clausez00_144);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_optionz00()
{ AN_OBJECT;
{ /* ./Module/option.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_optionz00()
{ AN_OBJECT;
{ /* ./Module/option.scm 15 */
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "module_option"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "module_option"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "module_option");} 
}

