/*===========================================================================*/
/*   (Object/generic.scm)                                                    */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Object/generic.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzobject_genericz00();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern long BGl_arityz00zztools_argsz00(obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
static obj_t BGl__makezd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
BGL_IMPORT obj_t string_to_bstring(char *);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_typez00zztype_typez00;
static obj_t BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_genericz00();
static obj_t BGl_importedzd2moduleszd2initz00zzobject_genericz00();
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzobject_genericz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzobject_genericz00 = BUNSPEC;
extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_genericz00();
BGL_EXPORTED_DECL obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 15 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_makezd2genericzd2bodyzd2envzd2zzobject_genericz00, BgL_bgl__makeza7d2genericza7d2bodyza700za7za7object_genericza7002416z00, BGl__makezd2genericzd2bodyz00zzobject_genericz00, 0L, 4 );
DEFINE_STRING( BGl_string2389z00zzobject_genericz00, BgL_bgl_string2389za700za7za7object_genericza7002417z00, "object? labels begin procedure? if -default __r4_pairs_and_lists_6_3 generic-default cons* apply @ find-method let procedure method ", 132 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_genericz00(long BgL_checksumz00_1090, char * BgL_fromz00_1091)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_genericz00))
{ 
BGl_requirezd2initializa7ationz75zzobject_genericz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_genericz00(); 
BGl_cnstzd2initzd2zzobject_genericz00(); 
BGl_importedzd2moduleszd2initz00zzobject_genericz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_genericz00()
{ AN_OBJECT;
{ /* ./Object/generic.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_generic"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_generic"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_generic"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "object_generic"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_genericz00()
{ AN_OBJECT;
{ /* ./Object/generic.scm 15 */
{ /* ./Object/generic.scm 15 */
obj_t BgL_cportz00_1083;
BgL_cportz00_1083 = 
open_input_string(BGl_string2389z00zzobject_genericz00); 
{ 
long BgL_iz00_1084;
BgL_iz00_1084 = ((long)14); 
BgL_loopz00_1085:
{ /* ./Object/generic.scm 15 */
bool_t BgL_test2391z00_1086;
BgL_test2391z00_1086 = 
(BgL_iz00_1084==((long)-1)); 
if(BgL_test2391z00_1086)
{ /* ./Object/generic.scm 15 */
return BUNSPEC;}  else 
{ /* ./Object/generic.scm 15 */
{ /* ./Object/generic.scm 15 */
obj_t BgL_arg2393z00_1087;
{ /* ./Object/generic.scm 15 */
obj_t BgL_list2396z00_1088;
BgL_list2396z00_1088 = 
MAKE_PAIR(BgL_cportz00_1083, BNIL); 
BgL_arg2393z00_1087 = 
BGl_readz00zz__readerz00(BgL_list2396z00_1088); } 
{ /* ./Object/generic.scm 15 */
int BgL_auxz00_1107;
BgL_auxz00_1107 = 
(int)(BgL_iz00_1084); 
CNST_TABLE_SET(BgL_auxz00_1107, BgL_arg2393z00_1087); } } 
{ /* ./Object/generic.scm 15 */
int BgL_auxz00_1089;
{ /* ./Object/generic.scm 15 */
long BgL_auxz00_1110;
BgL_auxz00_1110 = 
(BgL_iz00_1084-((long)1)); 
BgL_auxz00_1089 = 
(int)(BgL_auxz00_1110); } 
{ 
long BgL_iz00_1113;
BgL_iz00_1113 = 
(long)(BgL_auxz00_1089); 
BgL_iz00_1084 = BgL_iz00_1113; 
goto BgL_loopz00_1085;} } } } } } } 
}



/* make-generic-body */
BGL_EXPORTED_DEF obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t BgL_idz00_1, obj_t BgL_localsz00_2, obj_t BgL_argsz00_3, obj_t BgL_srcz00_4)
{ AN_OBJECT;
{ /* ./Object/generic.scm 31 */
{ 
char * BgL_msgz00_468;
{ /* ./Object/generic.scm 34 */
bool_t BgL_test1778z00_459;
BgL_test1778z00_459 = 
NULLP(BgL_argsz00_3); 
if(BgL_test1778z00_459)
{ /* ./Object/generic.scm 34 */
BgL_msgz00_468 = "Illegal generic definition (no formal arguments provided)"; 
BgL_zc3anonymousza31798ze3z83_469:
{ /* ./Object/generic.scm 33 */
obj_t BgL_list1800z00_470;
BgL_list1800z00_470 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_1, 
string_to_bstring(BgL_msgz00_468), BgL_srcz00_4, BgL_list1800z00_470);} }  else 
{ /* ./Object/generic.scm 36 */
obj_t BgL_methodzd2argzd2_460;
BgL_methodzd2argzd2_460 = 
CAR(BgL_localsz00_2); 
{ /* ./Object/generic.scm 36 */
BgL_typez00_bglt BgL_methodzd2argzd2typez00_461;
{ /* ./Object/generic.scm 37 */
BgL_variablez00_bglt BgL_obj1101z00_802;
BgL_obj1101z00_802 = 
(BgL_variablez00_bglt)(BgL_methodzd2argzd2_460); 
BgL_methodzd2argzd2typez00_461 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1101z00_802))->BgL_typez00); } 
{ /* ./Object/generic.scm 37 */

{ /* ./Object/generic.scm 39 */
bool_t BgL_test1780z00_462;
{ /* ./Object/generic.scm 39 */
obj_t BgL_obj1606z00_803;
BgL_obj1606z00_803 = 
(obj_t)(BgL_methodzd2argzd2typez00_461); 
BgL_test1780z00_462 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1606z00_803, BGl_tclassz00zzobject_classz00); } 
if(BgL_test1780z00_462)
{ /* ./Object/generic.scm 39 */
return 
BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00(BgL_idz00_1, BgL_localsz00_2, BgL_argsz00_3, BgL_srcz00_4);}  else 
{ /* ./Object/generic.scm 41 */
bool_t BgL_test1782z00_463;
{ /* ./Object/generic.scm 41 */
bool_t BgL_test1785z00_464;
{ /* ./Object/generic.scm 41 */
obj_t BgL_obj1090z00_804;
BgL_obj1090z00_804 = 
(obj_t)(BgL_methodzd2argzd2typez00_461); 
BgL_test1785z00_464 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1090z00_804, BGl_typez00zztype_typez00); } 
if(BgL_test1785z00_464)
{ /* ./Object/generic.scm 42 */
bool_t BgL_test1786z00_465;
{ /* ./Object/generic.scm 42 */
obj_t BgL_auxz00_1130;
BgL_auxz00_1130 = 
(obj_t)(BgL_methodzd2argzd2typez00_461); 
BgL_test1786z00_465 = 
(BgL_auxz00_1130==BGl_za2objza2z00zztype_cachez00); } 
if(BgL_test1786z00_465)
{ /* ./Object/generic.scm 42 */
BgL_test1782z00_463 = ((bool_t)0); }  else 
{ /* ./Object/generic.scm 43 */
bool_t BgL_test1787z00_466;
{ /* ./Object/generic.scm 43 */
BgL_typez00_bglt BgL_arg1789z00_467;
BgL_arg1789z00_467 = 
BGl_getzd2defaultzd2typez00zztype_cachez00(); 
{ /* ./Object/generic.scm 43 */
obj_t BgL_auxz00_1137;obj_t BgL_auxz00_1135;
BgL_auxz00_1137 = 
(obj_t)(BgL_arg1789z00_467); 
BgL_auxz00_1135 = 
(obj_t)(BgL_methodzd2argzd2typez00_461); 
BgL_test1787z00_466 = 
(BgL_auxz00_1135==BgL_auxz00_1137); } } 
if(BgL_test1787z00_466)
{ /* ./Object/generic.scm 43 */
BgL_test1782z00_463 = ((bool_t)0); }  else 
{ /* ./Object/generic.scm 43 */
BgL_test1782z00_463 = ((bool_t)1); } } }  else 
{ /* ./Object/generic.scm 41 */
BgL_test1782z00_463 = ((bool_t)0); } } 
if(BgL_test1782z00_463)
{ /* ./Object/generic.scm 41 */
{ 
char * BgL_msgz00_1142;
BgL_msgz00_1142 = "generic function has a non-class dispatching type arg"; 
BgL_msgz00_468 = BgL_msgz00_1142; 
goto BgL_zc3anonymousza31798ze3z83_469;} }  else 
{ /* ./Object/generic.scm 41 */
return 
BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00(BgL_idz00_1, BgL_localsz00_2, BgL_argsz00_3, BgL_srcz00_4);} } } } } } } } } 
}



/* _make-generic-body */
obj_t BGl__makezd2genericzd2bodyz00zzobject_genericz00(obj_t BgL_envz00_1078, obj_t BgL_idz00_1079, obj_t BgL_localsz00_1080, obj_t BgL_argsz00_1081, obj_t BgL_srcz00_1082)
{ AN_OBJECT;
{ /* ./Object/generic.scm 31 */
return 
BGl_makezd2genericzd2bodyz00zzobject_genericz00(BgL_idz00_1079, BgL_localsz00_1080, BgL_argsz00_1081, BgL_srcz00_1082);} 
}



/* make-object-generic-body */
obj_t BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00(obj_t BgL_idz00_5, obj_t BgL_localsz00_6, obj_t BgL_argsz00_7, obj_t BgL_srcz00_8)
{ AN_OBJECT;
{ /* ./Object/generic.scm 51 */
{ /* ./Object/generic.scm 52 */
obj_t BgL_pidz00_472;
{ /* ./Object/generic.scm 52 */
obj_t BgL_arg1914z00_525;
BgL_arg1914z00_525 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_8); 
BgL_pidz00_472 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_5, BgL_arg1914z00_525); } 
{ /* ./Object/generic.scm 52 */
obj_t BgL_idz00_473;
BgL_idz00_473 = 
CAR(BgL_pidz00_472); 
{ /* ./Object/generic.scm 53 */
long BgL_arityz00_474;
BgL_arityz00_474 = 
BGl_arityz00zztools_argsz00(BgL_argsz00_7); 
{ /* ./Object/generic.scm 54 */
obj_t BgL_argszd2idzd2_475;
{ /* ./Object/generic.scm 55 */
bool_t BgL_test1879z00_510;
BgL_test1879z00_510 = 
NULLP(BgL_localsz00_6); 
if(BgL_test1879z00_510)
{ /* ./Object/generic.scm 55 */
BgL_argszd2idzd2_475 = BNIL; }  else 
{ /* ./Object/generic.scm 55 */
obj_t BgL_head1770z00_511;
{ /* ./Object/generic.scm 55 */
obj_t BgL_arg1902z00_522;
{ /* ./Object/generic.scm 55 */
BgL_variablez00_bglt BgL_obj1097z00_808;
{ /* ./Object/generic.scm 55 */
obj_t BgL_auxz00_1151;
BgL_auxz00_1151 = 
CAR(BgL_localsz00_6); 
BgL_obj1097z00_808 = 
(BgL_variablez00_bglt)(BgL_auxz00_1151); } 
BgL_arg1902z00_522 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_808))->BgL_idz00); } 
BgL_head1770z00_511 = 
MAKE_PAIR(BgL_arg1902z00_522, BNIL); } 
{ 
obj_t BgL_l1768z00_512;obj_t BgL_tail1771z00_513;
{ /* ./Object/generic.scm 55 */
obj_t BgL_arg1881z00_515;
BgL_arg1881z00_515 = 
CDR(BgL_localsz00_6); 
BgL_l1768z00_512 = BgL_arg1881z00_515; 
BgL_tail1771z00_513 = BgL_head1770z00_511; 
BgL_map1769z00_514:
{ /* ./Object/generic.scm 55 */
bool_t BgL_test1884z00_516;
BgL_test1884z00_516 = 
NULLP(BgL_l1768z00_512); 
if(BgL_test1884z00_516)
{ /* ./Object/generic.scm 55 */
BgL_argszd2idzd2_475 = BgL_head1770z00_511; }  else 
{ /* ./Object/generic.scm 55 */
obj_t BgL_newtail1772z00_517;
{ /* ./Object/generic.scm 55 */
obj_t BgL_arg1891z00_519;
{ /* ./Object/generic.scm 55 */
BgL_variablez00_bglt BgL_obj1097z00_814;
{ /* ./Object/generic.scm 55 */
obj_t BgL_auxz00_1159;
BgL_auxz00_1159 = 
CAR(BgL_l1768z00_512); 
BgL_obj1097z00_814 = 
(BgL_variablez00_bglt)(BgL_auxz00_1159); } 
BgL_arg1891z00_519 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_814))->BgL_idz00); } 
BgL_newtail1772z00_517 = 
MAKE_PAIR(BgL_arg1891z00_519, BNIL); } 
SET_CDR(BgL_tail1771z00_513, BgL_newtail1772z00_517); 
{ /* ./Object/generic.scm 55 */
obj_t BgL_arg1887z00_518;
BgL_arg1887z00_518 = 
CDR(BgL_l1768z00_512); 
{ 
obj_t BgL_tail1771z00_1167;obj_t BgL_l1768z00_1166;
BgL_l1768z00_1166 = BgL_arg1887z00_518; 
BgL_tail1771z00_1167 = BgL_newtail1772z00_517; 
BgL_tail1771z00_513 = BgL_tail1771z00_1167; 
BgL_l1768z00_512 = BgL_l1768z00_1166; 
goto BgL_map1769z00_514;} } } } } } } } 
{ /* ./Object/generic.scm 55 */
obj_t BgL_methodzd2argzd2_476;
BgL_methodzd2argzd2_476 = 
CAR(BgL_localsz00_6); 
{ /* ./Object/generic.scm 56 */
obj_t BgL_methodzd2argzd2idz00_477;
{ /* ./Object/generic.scm 57 */
BgL_variablez00_bglt BgL_obj1097z00_821;
BgL_obj1097z00_821 = 
(BgL_variablez00_bglt)(BgL_methodzd2argzd2_476); 
BgL_methodzd2argzd2idz00_477 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_821))->BgL_idz00); } 
{ /* ./Object/generic.scm 58 */
obj_t BgL_methodz00_479;
BgL_methodz00_479 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
{ /* ./Object/generic.scm 59 */
obj_t BgL_tmethodz00_480;
BgL_tmethodz00_480 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_methodz00_479, 
CNST_TABLE_REF(((long)1))); 
{ /* ./Object/generic.scm 60 */

{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1803z00_481;obj_t BgL_arg1804z00_482;
BgL_arg1803z00_481 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1808z00_483;obj_t BgL_arg1809z00_484;
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1812z00_485;
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1817z00_487;
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1820z00_488;
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1824z00_490;obj_t BgL_arg1826z00_491;
BgL_arg1824z00_490 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1830z00_492;
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1833z00_493;
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1838z00_495;obj_t BgL_arg1841z00_496;
BgL_arg1838z00_495 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1844z00_497;
BgL_arg1844z00_497 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_arg1841z00_496 = 
MAKE_PAIR(BgL_idz00_473, BgL_arg1844z00_497); } 
BgL_arg1833z00_493 = 
MAKE_PAIR(BgL_arg1838z00_495, BgL_arg1841z00_496); } 
BgL_arg1830z00_492 = 
MAKE_PAIR(BgL_arg1833z00_493, BNIL); } 
BgL_arg1826z00_491 = 
MAKE_PAIR(BgL_methodzd2argzd2idz00_477, BgL_arg1830z00_492); } 
BgL_arg1820z00_488 = 
MAKE_PAIR(BgL_arg1824z00_490, BgL_arg1826z00_491); } 
BgL_arg1817z00_487 = 
MAKE_PAIR(BgL_arg1820z00_488, BNIL); } 
BgL_arg1812z00_485 = 
MAKE_PAIR(BgL_tmethodz00_480, BgL_arg1817z00_487); } 
BgL_arg1808z00_483 = 
MAKE_PAIR(BgL_arg1812z00_485, BNIL); } 
{ /* ./Object/generic.scm 62 */
obj_t BgL_arg1848z00_498;
{ /* ./Object/generic.scm 62 */
bool_t BgL_test1851z00_500;
BgL_test1851z00_500 = 
(BgL_arityz00_474>=((long)0)); 
if(BgL_test1851z00_500)
{ /* ./Object/generic.scm 63 */
obj_t BgL_arg1853z00_501;
BgL_arg1853z00_501 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_475, BNIL); 
BgL_arg1848z00_498 = 
MAKE_PAIR(BgL_methodz00_479, BgL_arg1853z00_501); }  else 
{ /* ./Object/generic.scm 64 */
obj_t BgL_arg1857z00_502;obj_t BgL_arg1858z00_503;
BgL_arg1857z00_502 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Object/generic.scm 64 */
obj_t BgL_arg1861z00_504;
{ /* ./Object/generic.scm 64 */
obj_t BgL_arg1864z00_505;
{ /* ./Object/generic.scm 64 */
obj_t BgL_arg1868z00_507;obj_t BgL_arg1870z00_508;
BgL_arg1868z00_507 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg1870z00_508 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_475, BNIL); 
BgL_arg1864z00_505 = 
MAKE_PAIR(BgL_arg1868z00_507, BgL_arg1870z00_508); } 
BgL_arg1861z00_504 = 
MAKE_PAIR(BgL_arg1864z00_505, BNIL); } 
BgL_arg1858z00_503 = 
MAKE_PAIR(BgL_methodz00_479, BgL_arg1861z00_504); } 
BgL_arg1848z00_498 = 
MAKE_PAIR(BgL_arg1857z00_502, BgL_arg1858z00_503); } } 
BgL_arg1809z00_484 = 
MAKE_PAIR(BgL_arg1848z00_498, BNIL); } 
BgL_arg1804z00_482 = 
MAKE_PAIR(BgL_arg1808z00_483, BgL_arg1809z00_484); } 
return 
MAKE_PAIR(BgL_arg1803z00_481, BgL_arg1804z00_482);} } } } } } } } } } } 
}



/* make-non-object-generic-body */
obj_t BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00(obj_t BgL_idz00_9, obj_t BgL_localsz00_10, obj_t BgL_argsz00_11, obj_t BgL_srcz00_12)
{ AN_OBJECT;
{ /* ./Object/generic.scm 69 */
{ /* ./Object/generic.scm 70 */
obj_t BgL_pidz00_526;
{ /* ./Object/generic.scm 70 */
obj_t BgL_arg2187z00_647;
BgL_arg2187z00_647 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_12); 
BgL_pidz00_526 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_9, BgL_arg2187z00_647); } 
{ /* ./Object/generic.scm 70 */
obj_t BgL_idz00_527;
BgL_idz00_527 = 
CAR(BgL_pidz00_526); 
{ /* ./Object/generic.scm 71 */
long BgL_arityz00_528;
BgL_arityz00_528 = 
BGl_arityz00zztools_argsz00(BgL_argsz00_11); 
{ /* ./Object/generic.scm 72 */
obj_t BgL_argszd2idzd2_529;
{ /* ./Object/generic.scm 73 */
bool_t BgL_test2155z00_632;
BgL_test2155z00_632 = 
NULLP(BgL_localsz00_10); 
if(BgL_test2155z00_632)
{ /* ./Object/generic.scm 73 */
BgL_argszd2idzd2_529 = BNIL; }  else 
{ /* ./Object/generic.scm 73 */
obj_t BgL_head1775z00_633;
{ /* ./Object/generic.scm 73 */
obj_t BgL_arg2176z00_644;
{ /* ./Object/generic.scm 73 */
BgL_variablez00_bglt BgL_obj1097z00_828;
{ /* ./Object/generic.scm 73 */
obj_t BgL_auxz00_1208;
BgL_auxz00_1208 = 
CAR(BgL_localsz00_10); 
BgL_obj1097z00_828 = 
(BgL_variablez00_bglt)(BgL_auxz00_1208); } 
BgL_arg2176z00_644 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_828))->BgL_idz00); } 
BgL_head1775z00_633 = 
MAKE_PAIR(BgL_arg2176z00_644, BNIL); } 
{ 
obj_t BgL_l1773z00_634;obj_t BgL_tail1776z00_635;
{ /* ./Object/generic.scm 73 */
obj_t BgL_arg2157z00_637;
BgL_arg2157z00_637 = 
CDR(BgL_localsz00_10); 
BgL_l1773z00_634 = BgL_arg2157z00_637; 
BgL_tail1776z00_635 = BgL_head1775z00_633; 
BgL_map1774z00_636:
{ /* ./Object/generic.scm 73 */
bool_t BgL_test2160z00_638;
BgL_test2160z00_638 = 
NULLP(BgL_l1773z00_634); 
if(BgL_test2160z00_638)
{ /* ./Object/generic.scm 73 */
BgL_argszd2idzd2_529 = BgL_head1775z00_633; }  else 
{ /* ./Object/generic.scm 73 */
obj_t BgL_newtail1777z00_639;
{ /* ./Object/generic.scm 73 */
obj_t BgL_arg2167z00_641;
{ /* ./Object/generic.scm 73 */
BgL_variablez00_bglt BgL_obj1097z00_834;
{ /* ./Object/generic.scm 73 */
obj_t BgL_auxz00_1216;
BgL_auxz00_1216 = 
CAR(BgL_l1773z00_634); 
BgL_obj1097z00_834 = 
(BgL_variablez00_bglt)(BgL_auxz00_1216); } 
BgL_arg2167z00_641 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_834))->BgL_idz00); } 
BgL_newtail1777z00_639 = 
MAKE_PAIR(BgL_arg2167z00_641, BNIL); } 
SET_CDR(BgL_tail1776z00_635, BgL_newtail1777z00_639); 
{ /* ./Object/generic.scm 73 */
obj_t BgL_arg2163z00_640;
BgL_arg2163z00_640 = 
CDR(BgL_l1773z00_634); 
{ 
obj_t BgL_tail1776z00_1224;obj_t BgL_l1773z00_1223;
BgL_l1773z00_1223 = BgL_arg2163z00_640; 
BgL_tail1776z00_1224 = BgL_newtail1777z00_639; 
BgL_tail1776z00_635 = BgL_tail1776z00_1224; 
BgL_l1773z00_634 = BgL_l1773z00_1223; 
goto BgL_map1774z00_636;} } } } } } } } 
{ /* ./Object/generic.scm 73 */
obj_t BgL_defaultzd2bodyzd2_530;
{ /* ./Object/generic.scm 74 */
bool_t BgL_test2084z00_602;
BgL_test2084z00_602 = 
(BgL_arityz00_528>=((long)0)); 
if(BgL_test2084z00_602)
{ /* ./Object/generic.scm 75 */
obj_t BgL_arg2086z00_603;obj_t BgL_arg2087z00_604;
{ /* ./Object/generic.scm 75 */
obj_t BgL_arg2090z00_605;obj_t BgL_arg2091z00_606;
BgL_arg2090z00_605 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./Object/generic.scm 76 */
obj_t BgL_arg2094z00_607;
{ /* ./Object/generic.scm 76 */
obj_t BgL_arg2098z00_609;obj_t BgL_arg2099z00_610;
BgL_arg2098z00_609 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Object/generic.scm 76 */
obj_t BgL_arg2102z00_611;
BgL_arg2102z00_611 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_arg2099z00_610 = 
MAKE_PAIR(BgL_idz00_527, BgL_arg2102z00_611); } 
BgL_arg2094z00_607 = 
MAKE_PAIR(BgL_arg2098z00_609, BgL_arg2099z00_610); } 
BgL_arg2091z00_606 = 
MAKE_PAIR(BgL_arg2094z00_607, BNIL); } 
BgL_arg2086z00_603 = 
MAKE_PAIR(BgL_arg2090z00_605, BgL_arg2091z00_606); } 
BgL_arg2087z00_604 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_529, BNIL); 
BgL_defaultzd2bodyzd2_530 = 
MAKE_PAIR(BgL_arg2086z00_603, BgL_arg2087z00_604); }  else 
{ /* ./Object/generic.scm 82 */
obj_t BgL_arg2107z00_612;obj_t BgL_arg2108z00_613;
BgL_arg2107z00_612 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Object/generic.scm 78 */
obj_t BgL_arg2112z00_614;obj_t BgL_arg2113z00_615;
{ /* ./Object/generic.scm 78 */
obj_t BgL_arg2116z00_616;obj_t BgL_arg2118z00_617;
BgL_arg2116z00_616 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./Object/generic.scm 79 */
obj_t BgL_arg2123z00_618;
{ /* ./Object/generic.scm 79 */
obj_t BgL_arg2128z00_620;obj_t BgL_arg2129z00_621;
BgL_arg2128z00_620 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Object/generic.scm 79 */
obj_t BgL_arg2132z00_622;
BgL_arg2132z00_622 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_arg2129z00_621 = 
MAKE_PAIR(BgL_idz00_527, BgL_arg2132z00_622); } 
BgL_arg2123z00_618 = 
MAKE_PAIR(BgL_arg2128z00_620, BgL_arg2129z00_621); } 
BgL_arg2118z00_617 = 
MAKE_PAIR(BgL_arg2123z00_618, BNIL); } 
BgL_arg2112z00_614 = 
MAKE_PAIR(BgL_arg2116z00_616, BgL_arg2118z00_617); } 
{ /* ./Object/generic.scm 80 */
obj_t BgL_arg2136z00_623;
{ /* ./Object/generic.scm 80 */
obj_t BgL_arg2141z00_625;obj_t BgL_arg2142z00_626;
{ /* ./Object/generic.scm 80 */
obj_t BgL_arg2145z00_627;obj_t BgL_arg2146z00_628;
BgL_arg2145z00_627 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Object/generic.scm 80 */
obj_t BgL_arg2149z00_629;obj_t BgL_arg2150z00_630;
BgL_arg2149z00_629 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Object/generic.scm 80 */
obj_t BgL_auxz00_1246;
BgL_auxz00_1246 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg2150z00_630 = 
MAKE_PAIR(BgL_auxz00_1246, BNIL); } 
BgL_arg2146z00_628 = 
MAKE_PAIR(BgL_arg2149z00_629, BgL_arg2150z00_630); } 
BgL_arg2141z00_625 = 
MAKE_PAIR(BgL_arg2145z00_627, BgL_arg2146z00_628); } 
BgL_arg2142z00_626 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_529, BNIL); 
BgL_arg2136z00_623 = 
MAKE_PAIR(BgL_arg2141z00_625, BgL_arg2142z00_626); } 
BgL_arg2113z00_615 = 
MAKE_PAIR(BgL_arg2136z00_623, BNIL); } 
BgL_arg2108z00_613 = 
MAKE_PAIR(BgL_arg2112z00_614, BgL_arg2113z00_615); } 
BgL_defaultzd2bodyzd2_530 = 
MAKE_PAIR(BgL_arg2107z00_612, BgL_arg2108z00_613); } } 
{ /* ./Object/generic.scm 74 */
obj_t BgL_methodzd2argzd2_531;
BgL_methodzd2argzd2_531 = 
CAR(BgL_localsz00_10); 
{ /* ./Object/generic.scm 83 */
obj_t BgL_methodzd2argzd2idz00_532;
{ /* ./Object/generic.scm 84 */
BgL_variablez00_bglt BgL_obj1097z00_843;
BgL_obj1097z00_843 = 
(BgL_variablez00_bglt)(BgL_methodzd2argzd2_531); 
BgL_methodzd2argzd2idz00_532 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_843))->BgL_idz00); } 
{ /* ./Object/generic.scm 85 */
obj_t BgL_methodz00_534;
BgL_methodz00_534 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
{ /* ./Object/generic.scm 86 */
obj_t BgL_tmethodz00_535;
BgL_tmethodz00_535 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_methodz00_534, 
CNST_TABLE_REF(((long)1))); 
{ /* ./Object/generic.scm 87 */
obj_t BgL_defaultzd2namezd2_536;
{ /* ./Object/generic.scm 88 */
obj_t BgL_list2074z00_600;
{ /* ./Object/generic.scm 88 */
obj_t BgL_arg2076z00_601;
{ /* ./Object/generic.scm 88 */
obj_t BgL_auxz00_1264;
BgL_auxz00_1264 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2076z00_601 = 
MAKE_PAIR(BgL_auxz00_1264, BNIL); } 
BgL_list2074z00_600 = 
MAKE_PAIR(BgL_idz00_527, BgL_arg2076z00_601); } 
BgL_defaultzd2namezd2_536 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2074z00_600); } 
{ /* ./Object/generic.scm 88 */
obj_t BgL_appzd2lyzd2methodz00_537;
{ /* ./Object/generic.scm 89 */
obj_t BgL_arg1977z00_558;obj_t BgL_arg1978z00_559;
BgL_arg1977z00_558 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Object/generic.scm 89 */
obj_t BgL_arg1981z00_560;obj_t BgL_arg1982z00_561;
{ /* ./Object/generic.scm 89 */
obj_t BgL_arg1985z00_562;
{ /* ./Object/generic.scm 89 */
obj_t BgL_arg1990z00_564;
{ /* ./Object/generic.scm 89 */
obj_t BgL_arg1993z00_565;
{ /* ./Object/generic.scm 89 */
obj_t BgL_arg1997z00_567;obj_t BgL_arg1998z00_568;
BgL_arg1997z00_567 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Object/generic.scm 90 */
obj_t BgL_arg2001z00_569;
{ /* ./Object/generic.scm 90 */
obj_t BgL_arg2004z00_570;
{ /* ./Object/generic.scm 90 */
obj_t BgL_arg2008z00_572;obj_t BgL_arg2009z00_573;
BgL_arg2008z00_572 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Object/generic.scm 90 */
obj_t BgL_arg2012z00_574;
BgL_arg2012z00_574 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_arg2009z00_573 = 
MAKE_PAIR(BgL_idz00_527, BgL_arg2012z00_574); } 
BgL_arg2004z00_570 = 
MAKE_PAIR(BgL_arg2008z00_572, BgL_arg2009z00_573); } 
BgL_arg2001z00_569 = 
MAKE_PAIR(BgL_arg2004z00_570, BNIL); } 
BgL_arg1998z00_568 = 
MAKE_PAIR(BgL_methodzd2argzd2idz00_532, BgL_arg2001z00_569); } 
BgL_arg1993z00_565 = 
MAKE_PAIR(BgL_arg1997z00_567, BgL_arg1998z00_568); } 
BgL_arg1990z00_564 = 
MAKE_PAIR(BgL_arg1993z00_565, BNIL); } 
BgL_arg1985z00_562 = 
MAKE_PAIR(BgL_tmethodz00_535, BgL_arg1990z00_564); } 
BgL_arg1981z00_560 = 
MAKE_PAIR(BgL_arg1985z00_562, BNIL); } 
{ /* ./Object/generic.scm 92 */
obj_t BgL_arg2016z00_575;
{ /* ./Object/generic.scm 92 */
obj_t BgL_arg2021z00_577;obj_t BgL_arg2022z00_578;
BgL_arg2021z00_577 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Object/generic.scm 92 */
obj_t BgL_arg2026z00_579;obj_t BgL_arg2027z00_580;
{ /* ./Object/generic.scm 92 */
obj_t BgL_arg2030z00_581;obj_t BgL_arg2031z00_582;
BgL_arg2030z00_581 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg2031z00_582 = 
MAKE_PAIR(BgL_methodz00_534, BNIL); 
BgL_arg2026z00_579 = 
MAKE_PAIR(BgL_arg2030z00_581, BgL_arg2031z00_582); } 
{ /* ./Object/generic.scm 93 */
obj_t BgL_arg2035z00_583;obj_t BgL_arg2036z00_584;
{ /* ./Object/generic.scm 93 */
bool_t BgL_test2038z00_585;
BgL_test2038z00_585 = 
(BgL_arityz00_528>=((long)0)); 
if(BgL_test2038z00_585)
{ /* ./Object/generic.scm 94 */
obj_t BgL_arg2040z00_586;
BgL_arg2040z00_586 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_529, BNIL); 
BgL_arg2035z00_583 = 
MAKE_PAIR(BgL_methodz00_534, BgL_arg2040z00_586); }  else 
{ /* ./Object/generic.scm 95 */
obj_t BgL_arg2044z00_587;obj_t BgL_arg2045z00_588;
BgL_arg2044z00_587 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Object/generic.scm 95 */
obj_t BgL_arg2048z00_589;
{ /* ./Object/generic.scm 95 */
obj_t BgL_arg2051z00_590;
{ /* ./Object/generic.scm 95 */
obj_t BgL_arg2055z00_592;obj_t BgL_arg2056z00_593;
BgL_arg2055z00_592 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg2056z00_593 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_529, BNIL); 
BgL_arg2051z00_590 = 
MAKE_PAIR(BgL_arg2055z00_592, BgL_arg2056z00_593); } 
BgL_arg2048z00_589 = 
MAKE_PAIR(BgL_arg2051z00_590, BNIL); } 
BgL_arg2045z00_588 = 
MAKE_PAIR(BgL_methodz00_534, BgL_arg2048z00_589); } 
BgL_arg2035z00_583 = 
MAKE_PAIR(BgL_arg2044z00_587, BgL_arg2045z00_588); } } 
{ /* ./Object/generic.scm 96 */
obj_t BgL_arg2061z00_594;
{ /* ./Object/generic.scm 96 */
obj_t BgL_arg2065z00_596;obj_t BgL_arg2066z00_597;
BgL_arg2065z00_596 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Object/generic.scm 97 */
obj_t BgL_arg2069z00_598;
BgL_arg2069z00_598 = 
MAKE_PAIR(BgL_defaultzd2namezd2_536, BNIL); 
BgL_arg2066z00_597 = 
MAKE_PAIR(BgL_arg2069z00_598, BNIL); } 
BgL_arg2061z00_594 = 
MAKE_PAIR(BgL_arg2065z00_596, BgL_arg2066z00_597); } 
BgL_arg2036z00_584 = 
MAKE_PAIR(BgL_arg2061z00_594, BNIL); } 
BgL_arg2027z00_580 = 
MAKE_PAIR(BgL_arg2035z00_583, BgL_arg2036z00_584); } 
BgL_arg2022z00_578 = 
MAKE_PAIR(BgL_arg2026z00_579, BgL_arg2027z00_580); } 
BgL_arg2016z00_575 = 
MAKE_PAIR(BgL_arg2021z00_577, BgL_arg2022z00_578); } 
BgL_arg1982z00_561 = 
MAKE_PAIR(BgL_arg2016z00_575, BNIL); } 
BgL_arg1978z00_559 = 
MAKE_PAIR(BgL_arg1981z00_560, BgL_arg1982z00_561); } 
BgL_appzd2lyzd2methodz00_537 = 
MAKE_PAIR(BgL_arg1977z00_558, BgL_arg1978z00_559); } 
{ /* ./Object/generic.scm 89 */

{ /* ./Object/generic.scm 99 */
obj_t BgL_arg1918z00_538;obj_t BgL_arg1921z00_539;
BgL_arg1918z00_538 = 
CNST_TABLE_REF(((long)13)); 
{ /* ./Object/generic.scm 99 */
obj_t BgL_arg1926z00_540;obj_t BgL_arg1929z00_541;
{ /* ./Object/generic.scm 99 */
obj_t BgL_arg1932z00_542;
{ /* ./Object/generic.scm 99 */
obj_t BgL_arg1936z00_544;
{ /* ./Object/generic.scm 99 */
obj_t BgL_arg1941z00_546;
BgL_arg1941z00_546 = 
MAKE_PAIR(BgL_defaultzd2bodyzd2_530, BNIL); 
BgL_arg1936z00_544 = 
MAKE_PAIR(BNIL, BgL_arg1941z00_546); } 
BgL_arg1932z00_542 = 
MAKE_PAIR(BgL_defaultzd2namezd2_536, BgL_arg1936z00_544); } 
BgL_arg1926z00_540 = 
MAKE_PAIR(BgL_arg1932z00_542, BNIL); } 
{ /* ./Object/generic.scm 100 */
obj_t BgL_arg1945z00_547;
{ /* ./Object/generic.scm 100 */
obj_t BgL_arg1949z00_549;obj_t BgL_arg1952z00_550;
BgL_arg1949z00_549 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Object/generic.scm 100 */
obj_t BgL_arg1955z00_551;obj_t BgL_arg1958z00_552;
{ /* ./Object/generic.scm 100 */
obj_t BgL_arg1961z00_553;obj_t BgL_arg1964z00_554;
BgL_arg1961z00_553 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg1964z00_554 = 
MAKE_PAIR(BgL_methodzd2argzd2idz00_532, BNIL); 
BgL_arg1955z00_551 = 
MAKE_PAIR(BgL_arg1961z00_553, BgL_arg1964z00_554); } 
{ /* ./Object/generic.scm 102 */
obj_t BgL_arg1968z00_555;
{ /* ./Object/generic.scm 102 */
obj_t BgL_arg1971z00_556;
BgL_arg1971z00_556 = 
MAKE_PAIR(BgL_defaultzd2namezd2_536, BNIL); 
BgL_arg1968z00_555 = 
MAKE_PAIR(BgL_arg1971z00_556, BNIL); } 
BgL_arg1958z00_552 = 
MAKE_PAIR(BgL_appzd2lyzd2methodz00_537, BgL_arg1968z00_555); } 
BgL_arg1952z00_550 = 
MAKE_PAIR(BgL_arg1955z00_551, BgL_arg1958z00_552); } 
BgL_arg1945z00_547 = 
MAKE_PAIR(BgL_arg1949z00_549, BgL_arg1952z00_550); } 
BgL_arg1929z00_541 = 
MAKE_PAIR(BgL_arg1945z00_547, BNIL); } 
BgL_arg1921z00_539 = 
MAKE_PAIR(BgL_arg1926z00_540, BgL_arg1929z00_541); } 
return 
MAKE_PAIR(BgL_arg1918z00_538, BgL_arg1921z00_539);} } } } } } } } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_genericz00()
{ AN_OBJECT;
{ /* ./Object/generic.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_genericz00()
{ AN_OBJECT;
{ /* ./Object/generic.scm 15 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "object_generic"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)42726), "object_generic"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "object_generic"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "object_generic"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "object_generic"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "object_generic"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "object_generic"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)23064), "object_generic"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "object_generic"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "object_generic");} 
}

