/*===========================================================================*/
/*   (Object/predicate.scm)                                                  */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Object/predicate.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl_methodzd2initzd2zzobject_predicatez00();
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
static obj_t BGl__genzd2classzd2predz122370z12zzobject_predicatez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_epairifyza2za2zztools_miscz00(obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
BGL_EXPORTED_DECL obj_t BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
BGL_EXPORTED_DECL obj_t BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_predicatez00();
static obj_t BGl__importzd2javazd2classzd2predz122374zc0zzobject_predicatez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzobject_predicatez00();
static bool_t BGl_inlinezd2predzf3z21zzobject_predicatez00();
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
extern obj_t BGl_jclassz00zzobject_classz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzobject_predicatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt, obj_t, obj_t);
static obj_t BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_za2passza2z00zzengine_paramz00;
static obj_t BGl__importzd2classzd2predz122372z12zzobject_predicatez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzobject_predicatez00 = BUNSPEC;
extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_predicatez00();
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 18 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_genzd2classzd2predz12zd2envzc0zzobject_predicatez00, BgL_bgl__genza7d2classza7d2predza7122370za712za7za7object_predicateza7002422za7, BGl__genzd2classzd2predz122370z12zzobject_predicatez00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2classzd2predz12zd2envzc0zzobject_predicatez00, BgL_bgl__importza7d2classza7d2predza7122372za712za7za7object_predicateza7002423za7, BGl__importzd2classzd2predz122372z12zzobject_predicatez00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2javazd2classzd2predz12zd2envz12zzobject_predicatez00, BgL_bgl__importza7d2javaza7d2classza7d2predza7122374za7c0za7za7object_predicateza7002424z00, BGl__importzd2javazd2classzd2predz122374zc0zzobject_predicatez00, 0L, 3 );
DEFINE_STRING( BGl_string2395z00zzobject_predicatez00, BgL_bgl_string2395za700za7za7object_predicateza7002425z00, "export isa static define define-inline no-cfa-top predicate-of pragma ::obj inline super super- @ is-a? obj ?::bool ? (make-heap make-add-heap) ", 144 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_predicatez00(long BgL_checksumz00_1112, char * BgL_fromz00_1113)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_predicatez00))
{ 
BGl_requirezd2initializa7ationz75zzobject_predicatez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_predicatez00(); 
BGl_cnstzd2initzd2zzobject_predicatez00(); 
BGl_importedzd2moduleszd2initz00zzobject_predicatez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_predicatez00()
{ AN_OBJECT;
{ /* ./Object/predicate.scm 21 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_predicate"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_predicate"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "object_predicate"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_predicate"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_predicatez00()
{ AN_OBJECT;
{ /* ./Object/predicate.scm 21 */
{ /* ./Object/predicate.scm 21 */
obj_t BgL_cportz00_1105;
BgL_cportz00_1105 = 
open_input_string(BGl_string2395z00zzobject_predicatez00); 
{ 
long BgL_iz00_1106;
BgL_iz00_1106 = ((long)17); 
BgL_loopz00_1107:
{ /* ./Object/predicate.scm 21 */
bool_t BgL_test2397z00_1108;
BgL_test2397z00_1108 = 
(BgL_iz00_1106==((long)-1)); 
if(BgL_test2397z00_1108)
{ /* ./Object/predicate.scm 21 */
return BUNSPEC;}  else 
{ /* ./Object/predicate.scm 21 */
{ /* ./Object/predicate.scm 21 */
obj_t BgL_arg2399z00_1109;
{ /* ./Object/predicate.scm 21 */
obj_t BgL_list2402z00_1110;
BgL_list2402z00_1110 = 
MAKE_PAIR(BgL_cportz00_1105, BNIL); 
BgL_arg2399z00_1109 = 
BGl_readz00zz__readerz00(BgL_list2402z00_1110); } 
{ /* ./Object/predicate.scm 21 */
int BgL_auxz00_1129;
BgL_auxz00_1129 = 
(int)(BgL_iz00_1106); 
CNST_TABLE_SET(BgL_auxz00_1129, BgL_arg2399z00_1109); } } 
{ /* ./Object/predicate.scm 21 */
int BgL_auxz00_1111;
{ /* ./Object/predicate.scm 21 */
long BgL_auxz00_1132;
BgL_auxz00_1132 = 
(BgL_iz00_1106-((long)1)); 
BgL_auxz00_1111 = 
(int)(BgL_auxz00_1132); } 
{ 
long BgL_iz00_1135;
BgL_iz00_1135 = 
(long)(BgL_auxz00_1111); 
BgL_iz00_1106 = BgL_iz00_1135; 
goto BgL_loopz00_1107;} } } } } } } 
}



/* inline-pred? */
bool_t BGl_inlinezd2predzf3z21zzobject_predicatez00()
{ AN_OBJECT;
{ /* ./Object/predicate.scm 49 */
{ /* ./Object/predicate.scm 50 */
bool_t BgL__andtest_1829z00_502;
{ /* ./Object/predicate.scm 50 */
bool_t BgL__ortest_1830z00_504;
{ /* ./Object/predicate.scm 50 */
bool_t BgL_test1835z00_505;
{ /* ./Object/predicate.scm 50 */
bool_t BgL_res2363z00_820;
{ /* ./Object/predicate.scm 50 */
obj_t BgL_objz00_816;
BgL_objz00_816 = BGl_za2profilezd2modeza2zd2zzengine_paramz00; 
if(
INTEGERP(BgL_objz00_816))
{ /* ./Object/predicate.scm 50 */
BgL_res2363z00_820 = ((bool_t)1); }  else 
{ /* ./Object/predicate.scm 50 */
BgL_res2363z00_820 = 
REALP(BgL_objz00_816); } } 
BgL_test1835z00_505 = BgL_res2363z00_820; } 
if(BgL_test1835z00_505)
{ /* ./Object/predicate.scm 50 */
BgL__ortest_1830z00_504 = ((bool_t)0); }  else 
{ /* ./Object/predicate.scm 50 */
BgL__ortest_1830z00_504 = ((bool_t)1); } } 
if(BgL__ortest_1830z00_504)
{ /* ./Object/predicate.scm 50 */
BgL__andtest_1829z00_502 = BgL__ortest_1830z00_504; }  else 
{ /* ./Object/predicate.scm 51 */
long BgL_n1z00_821;
BgL_n1z00_821 = 
(long)CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00); 
BgL__andtest_1829z00_502 = 
(BgL_n1z00_821<((long)1)); } } 
if(BgL__andtest_1829z00_502)
{ /* ./Object/predicate.scm 52 */
bool_t BgL_test1831z00_503;
{ /* ./Object/predicate.scm 52 */
obj_t BgL_auxz00_1145;
BgL_auxz00_1145 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2passza2z00zzengine_paramz00, 
CNST_TABLE_REF(((long)0))); 
BgL_test1831z00_503 = 
CBOOL(BgL_auxz00_1145); } 
if(BgL_test1831z00_503)
{ /* ./Object/predicate.scm 52 */
return ((bool_t)0);}  else 
{ /* ./Object/predicate.scm 52 */
return ((bool_t)1);} }  else 
{ /* ./Object/predicate.scm 50 */
return ((bool_t)0);} } } 
}



/* gen-class-pred! */
BGL_EXPORTED_DEF obj_t BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt BgL_classz00_1, obj_t BgL_srczd2defzd2_2, obj_t BgL_importz00_3)
{ AN_OBJECT;
{ /* ./Object/predicate.scm 60 */
{ /* ./Object/predicate.scm 61 */
obj_t BgL_idz00_506;
{ /* ./Object/predicate.scm 61 */
BgL_typez00_bglt BgL_obj1003z00_823;
BgL_obj1003z00_823 = 
(BgL_typez00_bglt)(BgL_classz00_1); 
BgL_idz00_506 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_823))->BgL_idz00); } 
{ /* ./Object/predicate.scm 61 */
obj_t BgL_idzf3zf3_507;
{ /* ./Object/predicate.scm 62 */
obj_t BgL_list1994z00_573;
{ /* ./Object/predicate.scm 62 */
obj_t BgL_arg1997z00_574;
{ /* ./Object/predicate.scm 62 */
obj_t BgL_auxz00_1152;
BgL_auxz00_1152 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg1997z00_574 = 
MAKE_PAIR(BgL_auxz00_1152, BNIL); } 
BgL_list1994z00_573 = 
MAKE_PAIR(BgL_idz00_506, BgL_arg1997z00_574); } 
BgL_idzf3zf3_507 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1994z00_573); } 
{ /* ./Object/predicate.scm 62 */
obj_t BgL_predzd2idzd2_508;
{ /* ./Object/predicate.scm 63 */
obj_t BgL_list1988z00_571;
{ /* ./Object/predicate.scm 63 */
obj_t BgL_arg1990z00_572;
{ /* ./Object/predicate.scm 63 */
obj_t BgL_auxz00_1157;
BgL_auxz00_1157 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg1990z00_572 = 
MAKE_PAIR(BgL_auxz00_1157, BNIL); } 
BgL_list1988z00_571 = 
MAKE_PAIR(BgL_idz00_506, BgL_arg1990z00_572); } 
BgL_predzd2idzd2_508 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1988z00_571); } 
{ /* ./Object/predicate.scm 63 */
BgL_globalz00_bglt BgL_holderz00_509;
{ 
obj_t BgL_auxz00_1162;
{ /* ./Object/predicate.scm 64 */
BgL_objectz00_bglt BgL_auxz00_1163;
BgL_auxz00_1163 = 
(BgL_objectz00_bglt)(BgL_classz00_1); 
BgL_auxz00_1162 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1163); } 
BgL_holderz00_509 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1162))->BgL_holderz00); } 
{ /* ./Object/predicate.scm 64 */
obj_t BgL_objz00_510;
{ /* ./Object/predicate.scm 65 */
obj_t BgL_arg1983z00_570;
BgL_arg1983z00_570 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)3)), BEOA); 
BgL_objz00_510 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1983z00_570); } 
{ /* ./Object/predicate.scm 65 */
obj_t BgL_superz00_511;
{ 
obj_t BgL_auxz00_1171;
{ /* ./Object/predicate.scm 66 */
BgL_objectz00_bglt BgL_auxz00_1172;
BgL_auxz00_1172 = 
(BgL_objectz00_bglt)(BgL_classz00_1); 
BgL_auxz00_1171 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1172); } 
BgL_superz00_511 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1171))->BgL_itszd2superzd2); } 
{ /* ./Object/predicate.scm 66 */

{ 

{ /* ./Object/predicate.scm 69 */
bool_t BgL_test1837z00_513;
BgL_test1837z00_513 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_511, BGl_tclassz00zzobject_classz00); 
if(BgL_test1837z00_513)
{ /* ./Object/predicate.scm 73 */
obj_t BgL_superzd2predzd2idz00_514;obj_t BgL_superzd2typedzd2_515;
{ /* ./Object/predicate.scm 73 */
obj_t BgL_list1939z00_552;
{ /* ./Object/predicate.scm 73 */
obj_t BgL_arg1941z00_553;obj_t BgL_arg1943z00_554;
BgL_arg1941z00_553 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg1943z00_554 = 
MAKE_PAIR(BgL_predzd2idzd2_508, BNIL); 
BgL_list1939z00_552 = 
MAKE_PAIR(BgL_arg1941z00_553, BgL_arg1943z00_554); } 
BgL_superzd2predzd2idz00_514 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1939z00_552); } 
{ /* ./Object/predicate.scm 74 */
obj_t BgL_arg1947z00_555;obj_t BgL_arg1948z00_556;
BgL_arg1947z00_555 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./Object/predicate.scm 74 */
BgL_typez00_bglt BgL_obj1003z00_827;
BgL_obj1003z00_827 = 
(BgL_typez00_bglt)(BgL_superz00_511); 
BgL_arg1948z00_556 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_827))->BgL_idz00); } 
BgL_superzd2typedzd2_515 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg1947z00_555, BgL_arg1948z00_556); } 
{ /* ./Object/predicate.scm 77 */
obj_t BgL_arg1841z00_516;
{ /* ./Object/predicate.scm 77 */
bool_t BgL_test1843z00_517;
BgL_test1843z00_517 = 
BGl_inlinezd2predzf3z21zzobject_predicatez00(); 
if(BgL_test1843z00_517)
{ /* ./Object/predicate.scm 78 */
obj_t BgL_arg1846z00_518;
{ /* ./Object/predicate.scm 78 */
obj_t BgL_arg1849z00_519;
{ /* ./Object/predicate.scm 78 */
obj_t BgL_arg1853z00_521;obj_t BgL_arg1854z00_522;
BgL_arg1853z00_521 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./Object/predicate.scm 78 */
obj_t BgL_arg1857z00_523;
{ /* ./Object/predicate.scm 78 */
obj_t BgL_auxz00_1189;
BgL_auxz00_1189 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg1857z00_523 = 
MAKE_PAIR(BgL_auxz00_1189, BNIL); } 
BgL_arg1854z00_522 = 
MAKE_PAIR(BgL_predzd2idzd2_508, BgL_arg1857z00_523); } 
BgL_arg1849z00_519 = 
MAKE_PAIR(BgL_arg1853z00_521, BgL_arg1854z00_522); } 
BgL_arg1846z00_518 = 
MAKE_PAIR(BgL_arg1849z00_519, BNIL); } 
BgL_arg1841z00_516 = 
MAKE_PAIR(BgL_importz00_3, BgL_arg1846z00_518); }  else 
{ /* ./Object/predicate.scm 79 */
obj_t BgL_arg1861z00_524;
{ /* ./Object/predicate.scm 79 */
obj_t BgL_arg1864z00_525;
{ /* ./Object/predicate.scm 79 */
obj_t BgL_arg1868z00_527;
{ /* ./Object/predicate.scm 79 */
obj_t BgL_auxz00_1196;
BgL_auxz00_1196 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg1868z00_527 = 
MAKE_PAIR(BgL_auxz00_1196, BNIL); } 
BgL_arg1864z00_525 = 
MAKE_PAIR(BgL_predzd2idzd2_508, BgL_arg1868z00_527); } 
BgL_arg1861z00_524 = 
MAKE_PAIR(BgL_arg1864z00_525, BNIL); } 
BgL_arg1841z00_516 = 
MAKE_PAIR(BgL_importz00_3, BgL_arg1861z00_524); } } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1841z00_516); } 
{ /* ./Object/predicate.scm 81 */
obj_t BgL_arg1875z00_528;
{ /* ./Object/predicate.scm 81 */
obj_t BgL_arg1878z00_529;obj_t BgL_arg1879z00_530;
BgL_arg1878z00_529 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Object/predicate.scm 81 */
obj_t BgL_arg1882z00_531;
{ /* ./Object/predicate.scm 81 */
obj_t BgL_arg1888z00_533;
{ /* ./Object/predicate.scm 81 */
obj_t BgL_arg1891z00_534;obj_t BgL_arg1894z00_535;
{ /* ./Object/predicate.scm 81 */
obj_t BgL_arg1897z00_536;obj_t BgL_arg1898z00_537;
BgL_arg1897z00_536 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Object/predicate.scm 81 */
obj_t BgL_arg1901z00_538;
{ /* ./Object/predicate.scm 81 */
BgL_typez00_bglt BgL_obj1003z00_828;
BgL_obj1003z00_828 = 
(BgL_typez00_bglt)(BgL_classz00_1); 
BgL_arg1901z00_538 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_828))->BgL_idz00); } 
BgL_arg1898z00_537 = 
MAKE_PAIR(BgL_arg1901z00_538, BNIL); } 
BgL_arg1891z00_534 = 
MAKE_PAIR(BgL_arg1897z00_536, BgL_arg1898z00_537); } 
{ /* ./Object/predicate.scm 81 */
obj_t BgL_auxz00_1209;
BgL_auxz00_1209 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg1894z00_535 = 
MAKE_PAIR(BgL_auxz00_1209, BNIL); } 
BgL_arg1888z00_533 = 
MAKE_PAIR(BgL_arg1891z00_534, BgL_arg1894z00_535); } 
BgL_arg1882z00_531 = 
MAKE_PAIR(BgL_idzf3zf3_507, BgL_arg1888z00_533); } 
BgL_arg1879z00_530 = 
MAKE_PAIR(BgL_arg1882z00_531, BNIL); } 
BgL_arg1875z00_528 = 
MAKE_PAIR(BgL_arg1878z00_529, BgL_arg1879z00_530); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1875z00_528); } 
{ /* ./Object/predicate.scm 84 */
obj_t BgL_arg1907z00_540;
{ /* ./Object/predicate.scm 84 */
obj_t BgL_arg1912z00_542;
{ /* ./Object/predicate.scm 84 */
obj_t BgL_arg1917z00_544;obj_t BgL_arg1918z00_545;
if(
BGl_inlinezd2predzf3z21zzobject_predicatez00())
{ /* ./Object/predicate.scm 84 */
BgL_arg1917z00_544 = 
CNST_TABLE_REF(((long)13)); }  else 
{ /* ./Object/predicate.scm 84 */
BgL_arg1917z00_544 = 
CNST_TABLE_REF(((long)14)); } 
{ /* ./Object/predicate.scm 85 */
obj_t BgL_arg1923z00_547;obj_t BgL_arg1926z00_548;
{ /* ./Object/predicate.scm 85 */
obj_t BgL_arg1929z00_549;
BgL_arg1929z00_549 = 
MAKE_PAIR(BgL_objz00_510, BNIL); 
BgL_arg1923z00_547 = 
MAKE_PAIR(BgL_predzd2idzd2_508, BgL_arg1929z00_549); } 
{ /* ./Object/predicate.scm 86 */
obj_t BgL_arg1933z00_550;
{ /* ./Object/predicate.scm 68 */
obj_t BgL_arg1954z00_558;obj_t BgL_arg1955z00_559;
BgL_arg1954z00_558 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Object/predicate.scm 68 */
obj_t BgL_arg1958z00_560;
{ /* ./Object/predicate.scm 68 */
obj_t BgL_arg1961z00_561;
{ /* ./Object/predicate.scm 68 */
obj_t BgL_arg1967z00_563;obj_t BgL_arg1968z00_564;
BgL_arg1967z00_563 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Object/predicate.scm 68 */
obj_t BgL_arg1971z00_565;obj_t BgL_arg1972z00_566;
{ /* ./Object/predicate.scm 68 */
BgL_variablez00_bglt BgL_obj1097z00_831;
BgL_obj1097z00_831 = 
(BgL_variablez00_bglt)(BgL_holderz00_509); 
BgL_arg1971z00_565 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_831))->BgL_idz00); } 
{ /* ./Object/predicate.scm 68 */
obj_t BgL_arg1977z00_567;
BgL_arg1977z00_567 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_509))->BgL_modulez00); 
BgL_arg1972z00_566 = 
MAKE_PAIR(BgL_arg1977z00_567, BNIL); } 
BgL_arg1968z00_564 = 
MAKE_PAIR(BgL_arg1971z00_565, BgL_arg1972z00_566); } 
BgL_arg1961z00_561 = 
MAKE_PAIR(BgL_arg1967z00_563, BgL_arg1968z00_564); } 
BgL_arg1958z00_560 = 
MAKE_PAIR(BgL_arg1961z00_561, BNIL); } 
BgL_arg1955z00_559 = 
MAKE_PAIR(BgL_objz00_510, BgL_arg1958z00_560); } 
BgL_arg1933z00_550 = 
MAKE_PAIR(BgL_arg1954z00_558, BgL_arg1955z00_559); } 
BgL_arg1926z00_548 = 
MAKE_PAIR(BgL_arg1933z00_550, BNIL); } 
BgL_arg1918z00_545 = 
MAKE_PAIR(BgL_arg1923z00_547, BgL_arg1926z00_548); } 
BgL_arg1912z00_542 = 
MAKE_PAIR(BgL_arg1917z00_544, BgL_arg1918z00_545); } 
{ /* ./Object/predicate.scm 84 */
obj_t BgL_list1914z00_543;
BgL_list1914z00_543 = 
MAKE_PAIR(BgL_srczd2defzd2_2, BNIL); 
BgL_arg1907z00_540 = 
BGl_epairifyza2za2zztools_miscz00(BgL_arg1912z00_542, BgL_list1914z00_543); } } 
{ /* ./Object/predicate.scm 83 */
obj_t BgL_list1909z00_541;
BgL_list1909z00_541 = 
MAKE_PAIR(BgL_arg1907z00_540, BNIL); 
return BgL_list1909z00_541;} } }  else 
{ /* ./Object/predicate.scm 69 */
return BNIL;} } } } } } } } } } } 
}



/* _gen-class-pred!2370 */
obj_t BGl__genzd2classzd2predz122370z12zzobject_predicatez00(obj_t BgL_envz00_1093, obj_t BgL_classz00_1094, obj_t BgL_srczd2defzd2_1095, obj_t BgL_importz00_1096)
{ AN_OBJECT;
{ /* ./Object/predicate.scm 60 */
return 
BGl_genzd2classzd2predz12z12zzobject_predicatez00(
(BgL_tclassz00_bglt)(BgL_classz00_1094), BgL_srczd2defzd2_1095, BgL_importz00_1096);} 
}



/* import-class-pred! */
BGL_EXPORTED_DEF obj_t BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt BgL_classz00_4, obj_t BgL_srczd2defzd2_5, obj_t BgL_modulez00_6)
{ AN_OBJECT;
{ /* ./Object/predicate.scm 92 */
{ /* ./Object/predicate.scm 93 */
bool_t BgL_test2001z00_575;
BgL_test2001z00_575 = 
BGl_inlinezd2predzf3z21zzobject_predicatez00(); 
if(BgL_test2001z00_575)
{ /* ./Object/predicate.scm 93 */
return 
BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_classz00_4, BgL_srczd2defzd2_5, 
CNST_TABLE_REF(((long)15)));}  else 
{ /* ./Object/predicate.scm 97 */
obj_t BgL_idz00_576;
{ /* ./Object/predicate.scm 97 */
BgL_typez00_bglt BgL_obj1003z00_833;
BgL_obj1003z00_833 = 
(BgL_typez00_bglt)(BgL_classz00_4); 
BgL_idz00_576 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_833))->BgL_idz00); } 
{ /* ./Object/predicate.scm 97 */
obj_t BgL_idzf3zf3_577;
{ /* ./Object/predicate.scm 98 */
obj_t BgL_list2022z00_587;
{ /* ./Object/predicate.scm 98 */
obj_t BgL_arg2026z00_588;
{ /* ./Object/predicate.scm 98 */
obj_t BgL_auxz00_1248;
BgL_auxz00_1248 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2026z00_588 = 
MAKE_PAIR(BgL_auxz00_1248, BNIL); } 
BgL_list2022z00_587 = 
MAKE_PAIR(BgL_idz00_576, BgL_arg2026z00_588); } 
BgL_idzf3zf3_577 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2022z00_587); } 
{ /* ./Object/predicate.scm 98 */
obj_t BgL_predzd2idzd2_578;
{ /* ./Object/predicate.scm 99 */
obj_t BgL_list2016z00_585;
{ /* ./Object/predicate.scm 99 */
obj_t BgL_arg2018z00_586;
{ /* ./Object/predicate.scm 99 */
obj_t BgL_auxz00_1253;
BgL_auxz00_1253 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2018z00_586 = 
MAKE_PAIR(BgL_auxz00_1253, BNIL); } 
BgL_list2016z00_585 = 
MAKE_PAIR(BgL_idz00_576, BgL_arg2018z00_586); } 
BgL_predzd2idzd2_578 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2016z00_585); } 
{ /* ./Object/predicate.scm 100 */
obj_t BgL_superz00_580;
{ 
obj_t BgL_auxz00_1258;
{ /* ./Object/predicate.scm 101 */
BgL_objectz00_bglt BgL_auxz00_1259;
BgL_auxz00_1259 = 
(BgL_objectz00_bglt)(BgL_classz00_4); 
BgL_auxz00_1258 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1259); } 
BgL_superz00_580 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1258))->BgL_itszd2superzd2); } 
{ /* ./Object/predicate.scm 101 */

{ /* ./Object/predicate.scm 102 */
bool_t BgL_test2003z00_581;
BgL_test2003z00_581 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_580, BGl_tclassz00zzobject_classz00); 
if(BgL_test2003z00_581)
{ /* ./Object/predicate.scm 104 */
obj_t BgL_arg2005z00_582;
{ /* ./Object/predicate.scm 104 */
obj_t BgL_arg2009z00_584;
{ /* ./Object/predicate.scm 104 */
obj_t BgL_auxz00_1265;
BgL_auxz00_1265 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2009z00_584 = 
MAKE_PAIR(BgL_auxz00_1265, BNIL); } 
BgL_arg2005z00_582 = 
MAKE_PAIR(BgL_predzd2idzd2_578, BgL_arg2009z00_584); } 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_6, BgL_arg2005z00_582, BNIL); }  else 
{ /* ./Object/predicate.scm 102 */BFALSE; } } 
return BNIL;} } } } } } } 
}



/* _import-class-pred!2372 */
obj_t BGl__importzd2classzd2predz122372z12zzobject_predicatez00(obj_t BgL_envz00_1097, obj_t BgL_classz00_1098, obj_t BgL_srczd2defzd2_1099, obj_t BgL_modulez00_1100)
{ AN_OBJECT;
{ /* ./Object/predicate.scm 92 */
return 
BGl_importzd2classzd2predz12z12zzobject_predicatez00(
(BgL_tclassz00_bglt)(BgL_classz00_1098), BgL_srczd2defzd2_1099, BgL_modulez00_1100);} 
}



/* gen-java-class-pred! */
obj_t BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt BgL_classz00_7, obj_t BgL_srczd2defzd2_8, obj_t BgL_mclausez00_9)
{ AN_OBJECT;
{ /* ./Object/predicate.scm 114 */
{ /* ./Object/predicate.scm 115 */
obj_t BgL_idz00_589;
{ /* ./Object/predicate.scm 115 */
BgL_typez00_bglt BgL_obj1003z00_837;
BgL_obj1003z00_837 = 
(BgL_typez00_bglt)(BgL_classz00_7); 
BgL_idz00_589 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_837))->BgL_idz00); } 
{ /* ./Object/predicate.scm 115 */
obj_t BgL_idzf3zf3_590;
{ /* ./Object/predicate.scm 116 */
obj_t BgL_list2128z00_632;
{ /* ./Object/predicate.scm 116 */
obj_t BgL_arg2130z00_633;
{ /* ./Object/predicate.scm 116 */
obj_t BgL_auxz00_1274;
BgL_auxz00_1274 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2130z00_633 = 
MAKE_PAIR(BgL_auxz00_1274, BNIL); } 
BgL_list2128z00_632 = 
MAKE_PAIR(BgL_idz00_589, BgL_arg2130z00_633); } 
BgL_idzf3zf3_590 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2128z00_632); } 
{ /* ./Object/predicate.scm 116 */
obj_t BgL_predzd2idzd2_591;
{ /* ./Object/predicate.scm 117 */
obj_t BgL_list2122z00_630;
{ /* ./Object/predicate.scm 117 */
obj_t BgL_arg2124z00_631;
{ /* ./Object/predicate.scm 117 */
obj_t BgL_auxz00_1279;
BgL_auxz00_1279 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2124z00_631 = 
MAKE_PAIR(BgL_auxz00_1279, BNIL); } 
BgL_list2122z00_630 = 
MAKE_PAIR(BgL_idz00_589, BgL_arg2124z00_631); } 
BgL_predzd2idzd2_591 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2122z00_630); } 
{ /* ./Object/predicate.scm 117 */
obj_t BgL_objz00_592;
{ /* ./Object/predicate.scm 118 */
obj_t BgL_arg2118z00_629;
BgL_arg2118z00_629 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)3)), BEOA); 
BgL_objz00_592 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2118z00_629); } 
{ /* ./Object/predicate.scm 119 */

{ 

{ /* ./Object/predicate.scm 124 */
obj_t BgL_arg2032z00_595;
{ /* ./Object/predicate.scm 124 */
obj_t BgL_arg2035z00_596;
{ /* ./Object/predicate.scm 124 */
obj_t BgL_arg2039z00_597;
{ /* ./Object/predicate.scm 124 */
obj_t BgL_arg2043z00_599;obj_t BgL_arg2044z00_600;
BgL_arg2043z00_599 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./Object/predicate.scm 124 */
obj_t BgL_arg2047z00_601;
{ /* ./Object/predicate.scm 124 */
obj_t BgL_auxz00_1289;
BgL_auxz00_1289 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2047z00_601 = 
MAKE_PAIR(BgL_auxz00_1289, BNIL); } 
BgL_arg2044z00_600 = 
MAKE_PAIR(BgL_predzd2idzd2_591, BgL_arg2047z00_601); } 
BgL_arg2039z00_597 = 
MAKE_PAIR(BgL_arg2043z00_599, BgL_arg2044z00_600); } 
BgL_arg2035z00_596 = 
MAKE_PAIR(BgL_arg2039z00_597, BNIL); } 
BgL_arg2032z00_595 = 
MAKE_PAIR(BgL_mclausez00_9, BgL_arg2035z00_596); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2032z00_595); } 
{ /* ./Object/predicate.scm 126 */
obj_t BgL_arg2051z00_602;
{ /* ./Object/predicate.scm 126 */
obj_t BgL_arg2055z00_603;obj_t BgL_arg2056z00_604;
BgL_arg2055z00_603 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Object/predicate.scm 126 */
obj_t BgL_arg2059z00_605;
{ /* ./Object/predicate.scm 126 */
obj_t BgL_arg2065z00_607;
{ /* ./Object/predicate.scm 126 */
obj_t BgL_arg2069z00_608;obj_t BgL_arg2070z00_609;
{ /* ./Object/predicate.scm 126 */
obj_t BgL_arg2073z00_610;obj_t BgL_arg2074z00_611;
BgL_arg2073z00_610 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Object/predicate.scm 126 */
obj_t BgL_arg2077z00_612;
{ /* ./Object/predicate.scm 126 */
BgL_typez00_bglt BgL_obj1003z00_839;
BgL_obj1003z00_839 = 
(BgL_typez00_bglt)(BgL_classz00_7); 
BgL_arg2077z00_612 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_839))->BgL_idz00); } 
BgL_arg2074z00_611 = 
MAKE_PAIR(BgL_arg2077z00_612, BNIL); } 
BgL_arg2069z00_608 = 
MAKE_PAIR(BgL_arg2073z00_610, BgL_arg2074z00_611); } 
{ /* ./Object/predicate.scm 126 */
obj_t BgL_auxz00_1303;
BgL_auxz00_1303 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg2070z00_609 = 
MAKE_PAIR(BgL_auxz00_1303, BNIL); } 
BgL_arg2065z00_607 = 
MAKE_PAIR(BgL_arg2069z00_608, BgL_arg2070z00_609); } 
BgL_arg2059z00_605 = 
MAKE_PAIR(BgL_idzf3zf3_590, BgL_arg2065z00_607); } 
BgL_arg2056z00_604 = 
MAKE_PAIR(BgL_arg2059z00_605, BNIL); } 
BgL_arg2051z00_602 = 
MAKE_PAIR(BgL_arg2055z00_603, BgL_arg2056z00_604); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2051z00_602); } 
{ /* ./Object/predicate.scm 129 */
obj_t BgL_arg2083z00_614;
{ /* ./Object/predicate.scm 129 */
obj_t BgL_arg2088z00_616;
{ /* ./Object/predicate.scm 129 */
obj_t BgL_arg2093z00_618;obj_t BgL_arg2094z00_619;
if(
BGl_inlinezd2predzf3z21zzobject_predicatez00())
{ /* ./Object/predicate.scm 129 */
BgL_arg2093z00_618 = 
CNST_TABLE_REF(((long)13)); }  else 
{ /* ./Object/predicate.scm 129 */
BgL_arg2093z00_618 = 
CNST_TABLE_REF(((long)14)); } 
{ /* ./Object/predicate.scm 130 */
obj_t BgL_arg2099z00_621;obj_t BgL_arg2100z00_622;
{ /* ./Object/predicate.scm 130 */
obj_t BgL_arg2103z00_623;
BgL_arg2103z00_623 = 
MAKE_PAIR(BgL_objz00_592, BNIL); 
BgL_arg2099z00_621 = 
MAKE_PAIR(BgL_predzd2idzd2_591, BgL_arg2103z00_623); } 
{ /* ./Object/predicate.scm 131 */
obj_t BgL_arg2107z00_624;
{ /* ./Object/predicate.scm 121 */
obj_t BgL_list2113z00_627;
BgL_list2113z00_627 = 
MAKE_PAIR(BgL_objz00_592, BNIL); 
BgL_arg2107z00_624 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)16)), BgL_idz00_589, BgL_list2113z00_627); } 
BgL_arg2100z00_622 = 
MAKE_PAIR(BgL_arg2107z00_624, BNIL); } 
BgL_arg2094z00_619 = 
MAKE_PAIR(BgL_arg2099z00_621, BgL_arg2100z00_622); } 
BgL_arg2088z00_616 = 
MAKE_PAIR(BgL_arg2093z00_618, BgL_arg2094z00_619); } 
{ /* ./Object/predicate.scm 129 */
obj_t BgL_list2090z00_617;
BgL_list2090z00_617 = 
MAKE_PAIR(BgL_srczd2defzd2_8, BNIL); 
BgL_arg2083z00_614 = 
BGl_epairifyza2za2zztools_miscz00(BgL_arg2088z00_616, BgL_list2090z00_617); } } 
{ /* ./Object/predicate.scm 128 */
obj_t BgL_list2085z00_615;
BgL_list2085z00_615 = 
MAKE_PAIR(BgL_arg2083z00_614, BNIL); 
return BgL_list2085z00_615;} } } } } } } } } 
}



/* import-java-class-pred! */
BGL_EXPORTED_DEF obj_t BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt BgL_classz00_10, obj_t BgL_srczd2defzd2_11, obj_t BgL_modulez00_12)
{ AN_OBJECT;
{ /* ./Object/predicate.scm 137 */
{ /* ./Object/predicate.scm 138 */
bool_t BgL_test2134z00_634;
BgL_test2134z00_634 = 
BGl_inlinezd2predzf3z21zzobject_predicatez00(); 
if(BgL_test2134z00_634)
{ /* ./Object/predicate.scm 142 */
obj_t BgL_arg2136z00_635;
{ /* ./Object/predicate.scm 142 */
bool_t BgL_test2138z00_636;
BgL_test2138z00_636 = 
(BgL_modulez00_12==BGl_za2moduleza2z00zzmodule_modulez00); 
if(BgL_test2138z00_636)
{ /* ./Object/predicate.scm 142 */
BgL_arg2136z00_635 = 
CNST_TABLE_REF(((long)17)); }  else 
{ /* ./Object/predicate.scm 142 */
BgL_arg2136z00_635 = 
CNST_TABLE_REF(((long)15)); } } 
return 
BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_classz00_10, BgL_srczd2defzd2_11, BgL_arg2136z00_635);}  else 
{ /* ./Object/predicate.scm 144 */
obj_t BgL_idz00_637;
{ /* ./Object/predicate.scm 144 */
BgL_typez00_bglt BgL_obj1003z00_842;
BgL_obj1003z00_842 = 
(BgL_typez00_bglt)(BgL_classz00_10); 
BgL_idz00_637 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_842))->BgL_idz00); } 
{ /* ./Object/predicate.scm 144 */
obj_t BgL_idzf3zf3_638;
{ /* ./Object/predicate.scm 145 */
obj_t BgL_list2158z00_647;
{ /* ./Object/predicate.scm 145 */
obj_t BgL_arg2160z00_648;
{ /* ./Object/predicate.scm 145 */
obj_t BgL_auxz00_1335;
BgL_auxz00_1335 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2160z00_648 = 
MAKE_PAIR(BgL_auxz00_1335, BNIL); } 
BgL_list2158z00_647 = 
MAKE_PAIR(BgL_idz00_637, BgL_arg2160z00_648); } 
BgL_idzf3zf3_638 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2158z00_647); } 
{ /* ./Object/predicate.scm 145 */
obj_t BgL_predzd2idzd2_639;
{ /* ./Object/predicate.scm 146 */
obj_t BgL_list2152z00_645;
{ /* ./Object/predicate.scm 146 */
obj_t BgL_arg2154z00_646;
{ /* ./Object/predicate.scm 146 */
obj_t BgL_auxz00_1340;
BgL_auxz00_1340 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2154z00_646 = 
MAKE_PAIR(BgL_auxz00_1340, BNIL); } 
BgL_list2152z00_645 = 
MAKE_PAIR(BgL_idz00_637, BgL_arg2154z00_646); } 
BgL_predzd2idzd2_639 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2152z00_645); } 
{ /* ./Object/predicate.scm 146 */
obj_t BgL_superz00_640;
{ 
obj_t BgL_auxz00_1345;
{ /* ./Object/predicate.scm 147 */
BgL_objectz00_bglt BgL_auxz00_1346;
BgL_auxz00_1346 = 
(BgL_objectz00_bglt)(BgL_classz00_10); 
BgL_auxz00_1345 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1346); } 
BgL_superz00_640 = 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_1345))->BgL_itszd2superzd2); } 
{ /* ./Object/predicate.scm 147 */

{ /* ./Object/predicate.scm 148 */
bool_t BgL_test2140z00_641;
BgL_test2140z00_641 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_640, BGl_jclassz00zzobject_classz00); 
if(BgL_test2140z00_641)
{ /* ./Object/predicate.scm 150 */
obj_t BgL_arg2142z00_642;
{ /* ./Object/predicate.scm 150 */
obj_t BgL_arg2146z00_644;
{ /* ./Object/predicate.scm 150 */
obj_t BgL_auxz00_1352;
BgL_auxz00_1352 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2146z00_644 = 
MAKE_PAIR(BgL_auxz00_1352, BNIL); } 
BgL_arg2142z00_642 = 
MAKE_PAIR(BgL_predzd2idzd2_639, BgL_arg2146z00_644); } 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_12, BgL_arg2142z00_642, BNIL); }  else 
{ /* ./Object/predicate.scm 148 */BFALSE; } } 
return BNIL;} } } } } } } 
}



/* _import-java-class-pred!2374 */
obj_t BGl__importzd2javazd2classzd2predz122374zc0zzobject_predicatez00(obj_t BgL_envz00_1101, obj_t BgL_classz00_1102, obj_t BgL_srczd2defzd2_1103, obj_t BgL_modulez00_1104)
{ AN_OBJECT;
{ /* ./Object/predicate.scm 137 */
return 
BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(
(BgL_jclassz00_bglt)(BgL_classz00_1102), BgL_srczd2defzd2_1103, BgL_modulez00_1104);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_predicatez00()
{ AN_OBJECT;
{ /* ./Object/predicate.scm 21 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_predicatez00()
{ AN_OBJECT;
{ /* ./Object/predicate.scm 21 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)58542), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztype_toolsz00(((long)15091), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzast_privatez00(((long)8704), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)23064), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_structz00(((long)41062), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)44183), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long)58597), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long)12782), "object_predicate"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "object_predicate");} 
}

