/*===========================================================================*/
/*   (Llib/ucs2.scm)                                                         */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O3 -mklib -cc gcc-2.96 -fsharing -q -rm -s -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -g -c Llib/ucs2.scm -indent -o objs/obj_s/Llib/ucs2.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

/* debug mode */
#define BIGLOO_DEBUG 1

#include <bigloo.h>
#include <signal.h>

static obj_t BGl__ucs2zd2numericzf3z21zz__ucs2z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_debugzd2errorzf2locationz20zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__charzd2ze3ucs2z31zz__ucs2z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(ucs2_t, ucs2_t);
static obj_t BGl__ucs2ze3zd3zf3zc3zz__ucs2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2downcasezd2zz__ucs2z00(ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zc3zf3z30zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(ucs2_t);
extern ucs2_t ucs2_toupper(ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd3zf3z20zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(ucs2_t, ucs2_t);
static obj_t BGl_cnstzd2initzd2zz__ucs2z00();
BGL_EXPORTED_DECL bool_t BGl_ucs2ze3zf3z10zz__ucs2z00(ucs2_t, ucs2_t);
extern bool_t ucs2_letterp(ucs2_t);
BGL_EXPORTED_DECL int BGl_ucs2zd2ze3integerz31zz__ucs2z00(ucs2_t);
BGL_EXPORTED_DECL ucs2_t BGl_charzd2ze3ucs2z31zz__ucs2z00(char);
static obj_t BGl__ucs2zd2cize3zf3zc2zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl__ucs2zd2cize3zd3zf3z11zz__ucs2z00(obj_t, obj_t, obj_t);
extern obj_t string_to_symbol(char *);
static obj_t BGl__ucs2zd2ze3integerz31zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_symbol2235z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2234z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl__ucs2zd2cizd3zf3zf2zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2231z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2229z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2228z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2227z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2226z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2224z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl__ucs2zd2cizc3zf3ze2zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2220z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2219z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2218z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2217z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2216z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2215z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2214z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2213z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2212z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2211z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2210z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2209z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2199z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2208z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2198z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2207z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2197z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2206z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2196z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2205z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2195z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2204z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2194z00zz__ucs2z00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(ucs2_t);
static obj_t BGl_symbol2203z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2193z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2202z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2192z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2201z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2191z00zz__ucs2z00 = BUNSPEC;
BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2upcasezd2zz__ucs2z00(ucs2_t);
static obj_t BGl_symbol2200z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2190z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2189z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2188z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2185z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2184z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_symbol2183z00zz__ucs2z00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2numericzf3z21zz__ucs2z00(ucs2_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__ucs2z00();
static obj_t BGl__ucs2zc3zd3zf3ze3zz__ucs2z00(obj_t, obj_t, obj_t);
extern bool_t ucs2_whitespacep(ucs2_t);
extern bool_t ucs2_lowerp(ucs2_t);
static obj_t BGl__ucs2zd2alphabeticzf3z21zz__ucs2z00(obj_t, obj_t);
static obj_t BGl__ucs2zd2upperzd2casezf3zf3zz__ucs2z00(obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(ucs2_t, ucs2_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ucs2z00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(ucs2_t, ucs2_t);
static obj_t BGl__ucs2zc3zf3z30zz__ucs2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(ucs2_t, ucs2_t);
static obj_t BGl__ucs2zf3zf3zz__ucs2z00(obj_t, obj_t);
static obj_t BGl__ucs2zd3zf3z20zz__ucs2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(ucs2_t, ucs2_t);
static obj_t BGl__integerzd2ze3ucs2z31zz__ucs2z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(ucs2_t);
static obj_t BGl__ucs2zd2downcasezd2zz__ucs2z00(obj_t, obj_t);
static obj_t BGl__ucs2ze3zf3z10zz__ucs2z00(obj_t, obj_t, obj_t);
extern obj_t BGl_errorzf2czd2locationz20zz__errorz00(obj_t, obj_t, obj_t, char *, long);
BGL_EXPORTED_DECL char BGl_ucs2zd2ze3charz31zz__ucs2z00(ucs2_t);
static obj_t BGl__ucs2zd2upcasezd2zz__ucs2z00(obj_t, obj_t);
static obj_t BGl__ucs2zd2whitespacezf3z21zz__ucs2z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(ucs2_t, ucs2_t);
extern ucs2_t ucs2_tolower(ucs2_t);
BGL_EXPORTED_DECL ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int);
static obj_t BGl__ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(obj_t, obj_t);
extern unsigned char BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(long);
extern bool_t ucs2_upperp(ucs2_t);
static obj_t BGl__ucs2zd2ze3charz31zz__ucs2z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zf3zf3zz__ucs2z00(obj_t);
extern bool_t ucs2_definedp(int);
static obj_t BGl__ucs2zd2cizc3zd3zf3z31zz__ucs2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(ucs2_t);
extern bool_t ucs2_digitp(ucs2_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2whitespacezf3zd2envzf3zz__ucs2z00, BgL_bgl__ucs2za7d2whitespaceza7f3za721za7za7__ucs2za7002261z00, BGl__ucs2zd2whitespacezf3z21zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2ze3zd3zf3zd2envz11zz__ucs2z00, BgL_bgl__ucs2za7e3za7d3za7f3za7c3za7za7__ucs2za7002262za7, BGl__ucs2ze3zd3zf3zc3zz__ucs2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2downcasezd2envz00zz__ucs2z00, BgL_bgl__ucs2za7d2downcaseza7d2za7za7__ucs2za7002263za7, BGl__ucs2zd2downcasezd2zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2cize3zf3zd2envz10zz__ucs2z00, BgL_bgl__ucs2za7d2ciza7e3za7f3za7c2za7za7__ucs2za7002264za7, BGl__ucs2zd2cize3zf3zc2zz__ucs2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2ze3zf3zd2envzc2zz__ucs2z00, BgL_bgl__ucs2za7e3za7f3za710za7za7__ucs2za7002265z00, BGl__ucs2ze3zf3z10zz__ucs2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zc3zd3zf3zd2envz31zz__ucs2z00, BgL_bgl__ucs2za7c3za7d3za7f3za7e3za7za7__ucs2za7002266za7, BGl__ucs2zc3zd3zf3ze3zz__ucs2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2alphabeticzf3zd2envzf3zz__ucs2z00, BgL_bgl__ucs2za7d2alphabeticza7f3za721za7za7__ucs2za7002267z00, BGl__ucs2zd2alphabeticzf3z21zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2upperzd2casezf3zd2envz21zz__ucs2z00, BgL_bgl__ucs2za7d2upperza7d2caseza7f3za7f3za7za7__ucs2za7002268za7, BGl__ucs2zd2upperzd2casezf3zf3zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2lowerzd2casezf3zd2envz21zz__ucs2z00, BgL_bgl__ucs2za7d2lowerza7d2caseza7f3za7f3za7za7__ucs2za7002269za7, BGl__ucs2zd2lowerzd2casezf3zf3zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_integerzd2ze3ucs2zd2envze3zz__ucs2z00, BgL_bgl__integerza7d2za7e3ucs2za731za7za7__ucs2za7002270z00, BGl__integerzd2ze3ucs2z31zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2cizc3zf3zd2envz30zz__ucs2z00, BgL_bgl__ucs2za7d2ciza7c3za7f3za7e2za7za7__ucs2za7002271za7, BGl__ucs2zd2cizc3zf3ze2zz__ucs2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zc3zf3zd2envze2zz__ucs2z00, BgL_bgl__ucs2za7c3za7f3za730za7za7__ucs2za7002272z00, BGl__ucs2zc3zf3z30zz__ucs2z00, 0L, 2 );
DEFINE_STRING( BGl_string2233z00zz__ucs2z00, BgL_bgl_string2233za700za7za7__ucs2za7002273z00, "UCS-2 character out of ISO-LATIN-1 range", 40 );
DEFINE_STRING( BGl_string2232z00zz__ucs2z00, BgL_bgl_string2232za700za7za7__ucs2za7002274z00, "ucs2->char", 10 );
DEFINE_STRING( BGl_string2230z00zz__ucs2z00, BgL_bgl_string2230za700za7za7__ucs2za7002275z00, "char", 4 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2numericzf3zd2envzf3zz__ucs2z00, BgL_bgl__ucs2za7d2numericza7f3za721za7za7__ucs2za7002276z00, BGl__ucs2zd2numericzf3z21zz__ucs2z00, 0L, 1 );
DEFINE_STRING( BGl_string2225z00zz__ucs2z00, BgL_bgl_string2225za700za7za7__ucs2za7002277z00, "int", 3 );
DEFINE_STRING( BGl_string2223z00zz__ucs2z00, BgL_bgl_string2223za700za7za7__ucs2za7002278z00, "integer out of range or ", 24 );
DEFINE_STRING( BGl_string2222z00zz__ucs2z00, BgL_bgl_string2222za700za7za7__ucs2za7002279z00, "Undefined UCS-2 character", 25 );
DEFINE_STRING( BGl_string2221z00zz__ucs2z00, BgL_bgl_string2221za700za7za7__ucs2za7002280z00, "integer->ucs2", 13 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2ze3charzd2envze3zz__ucs2z00, BgL_bgl__ucs2za7d2za7e3charza731za7za7__ucs2za7002281z00, BGl__ucs2zd2ze3charz31zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2cizc3zd3zf3zd2envze3zz__ucs2z00, BgL_bgl__ucs2za7d2ciza7c3za7d3za7f3za731za7za7__ucs2za7002282z00, BGl__ucs2zd2cizc3zd3zf3z31zz__ucs2z00, 0L, 2 );
DEFINE_STRING( BGl_string2187z00zz__ucs2z00, BgL_bgl_string2187za700za7za7__ucs2za7002283z00, "/tmp/bigloo/runtime/./Llib/ucs2.scm", 35 );
DEFINE_STRING( BGl_string2186z00zz__ucs2z00, BgL_bgl_string2186za700za7za7__ucs2za7002284z00, "ucs2", 4 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd2ze3ucs2zd2envze3zz__ucs2z00, BgL_bgl__charza7d2za7e3ucs2za731za7za7__ucs2za7002285z00, BGl__charzd2ze3ucs2z31zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2ze3integerzd2envze3zz__ucs2z00, BgL_bgl__ucs2za7d2za7e3integerza731za7za7__ucs2za7002286z00, BGl__ucs2zd2ze3integerz31zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2cize3zd3zf3zd2envzc3zz__ucs2z00, BgL_bgl__ucs2za7d2ciza7e3za7d3za7f3za711za7za7__ucs2za7002287z00, BGl__ucs2zd2cize3zd3zf3z11zz__ucs2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2cizd3zf3zd2envz20zz__ucs2z00, BgL_bgl__ucs2za7d2ciza7d3za7f3za7f2za7za7__ucs2za7002288za7, BGl__ucs2zd2cizd3zf3zf2zz__ucs2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2upcasezd2envz00zz__ucs2z00, BgL_bgl__ucs2za7d2upcaseza7d2za7za7__ucs2za7002289za7, BGl__ucs2zd2upcasezd2zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd3zf3zd2envzf2zz__ucs2z00, BgL_bgl__ucs2za7d3za7f3za720za7za7__ucs2za7002290z00, BGl__ucs2zd3zf3z20zz__ucs2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zf3zd2envz21zz__ucs2z00, BgL_bgl__ucs2za7f3za7f3za7za7__ucs2za7002291za7, BGl__ucs2zf3zf3zz__ucs2z00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long BgL_checksumz00_815, char * BgL_fromz00_816)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ucs2z00))
{ 
BGl_requirezd2initializa7ationz75zz__ucs2z00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__ucs2z00(); 
BGl_importedzd2moduleszd2initz00zz__ucs2z00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ucs2z00()
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 14 */
BGl_symbol2183z00zz__ucs2z00 = 
string_to_symbol("ucs2?"); 
BGl_symbol2184z00zz__ucs2z00 = 
string_to_symbol("ucs2=?"); 
BGl_symbol2185z00zz__ucs2z00 = 
string_to_symbol("_ucs2=?"); 
BGl_symbol2188z00zz__ucs2z00 = 
string_to_symbol("ucs2<?"); 
BGl_symbol2189z00zz__ucs2z00 = 
string_to_symbol("_ucs2<?"); 
BGl_symbol2190z00zz__ucs2z00 = 
string_to_symbol("ucs2>?"); 
BGl_symbol2191z00zz__ucs2z00 = 
string_to_symbol("_ucs2>?"); 
BGl_symbol2192z00zz__ucs2z00 = 
string_to_symbol("ucs2<=?"); 
BGl_symbol2193z00zz__ucs2z00 = 
string_to_symbol("_ucs2<=?"); 
BGl_symbol2194z00zz__ucs2z00 = 
string_to_symbol("ucs2>=?"); 
BGl_symbol2195z00zz__ucs2z00 = 
string_to_symbol("_ucs2>=?"); 
BGl_symbol2196z00zz__ucs2z00 = 
string_to_symbol("ucs2-ci=?"); 
BGl_symbol2197z00zz__ucs2z00 = 
string_to_symbol("_ucs2-ci=?"); 
BGl_symbol2198z00zz__ucs2z00 = 
string_to_symbol("ucs2-ci<?"); 
BGl_symbol2199z00zz__ucs2z00 = 
string_to_symbol("_ucs2-ci<?"); 
BGl_symbol2200z00zz__ucs2z00 = 
string_to_symbol("ucs2-ci>?"); 
BGl_symbol2201z00zz__ucs2z00 = 
string_to_symbol("_ucs2-ci>?"); 
BGl_symbol2202z00zz__ucs2z00 = 
string_to_symbol("ucs2-ci<=?"); 
BGl_symbol2203z00zz__ucs2z00 = 
string_to_symbol("_ucs2-ci<=?"); 
BGl_symbol2204z00zz__ucs2z00 = 
string_to_symbol("ucs2-ci>=?"); 
BGl_symbol2205z00zz__ucs2z00 = 
string_to_symbol("_ucs2-ci>=?"); 
BGl_symbol2206z00zz__ucs2z00 = 
string_to_symbol("ucs2-alphabetic?"); 
BGl_symbol2207z00zz__ucs2z00 = 
string_to_symbol("_ucs2-alphabetic?"); 
BGl_symbol2208z00zz__ucs2z00 = 
string_to_symbol("ucs2-numeric?"); 
BGl_symbol2209z00zz__ucs2z00 = 
string_to_symbol("_ucs2-numeric?"); 
BGl_symbol2210z00zz__ucs2z00 = 
string_to_symbol("ucs2-whitespace?"); 
BGl_symbol2211z00zz__ucs2z00 = 
string_to_symbol("_ucs2-whitespace?"); 
BGl_symbol2212z00zz__ucs2z00 = 
string_to_symbol("ucs2-upper-case?"); 
BGl_symbol2213z00zz__ucs2z00 = 
string_to_symbol("_ucs2-upper-case?"); 
BGl_symbol2214z00zz__ucs2z00 = 
string_to_symbol("ucs2-lower-case?"); 
BGl_symbol2215z00zz__ucs2z00 = 
string_to_symbol("_ucs2-lower-case?"); 
BGl_symbol2216z00zz__ucs2z00 = 
string_to_symbol("ucs2-upcase"); 
BGl_symbol2217z00zz__ucs2z00 = 
string_to_symbol("_ucs2-upcase"); 
BGl_symbol2218z00zz__ucs2z00 = 
string_to_symbol("ucs2-downcase"); 
BGl_symbol2219z00zz__ucs2z00 = 
string_to_symbol("_ucs2-downcase"); 
BGl_symbol2220z00zz__ucs2z00 = 
string_to_symbol("integer->ucs2"); 
BGl_symbol2224z00zz__ucs2z00 = 
string_to_symbol("_integer->ucs2"); 
BGl_symbol2226z00zz__ucs2z00 = 
string_to_symbol("ucs2->integer"); 
BGl_symbol2227z00zz__ucs2z00 = 
string_to_symbol("_ucs2->integer"); 
BGl_symbol2228z00zz__ucs2z00 = 
string_to_symbol("char->ucs2"); 
BGl_symbol2229z00zz__ucs2z00 = 
string_to_symbol("_char->ucs2"); 
BGl_symbol2231z00zz__ucs2z00 = 
string_to_symbol("ucs2->char"); 
BGl_symbol2234z00zz__ucs2z00 = 
string_to_symbol("_ucs2->char"); 
return ( 
BGl_symbol2235z00zz__ucs2z00 = 
string_to_symbol("%import@__ucs2"), BUNSPEC) ;} 
}



/* ucs2? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zf3zf3zz__ucs2z00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 138 */
{ /* ./Llib/ucs2.scm 139 */
obj_t BgL_symbol1637z00_683;
BgL_symbol1637z00_683 = BGl_symbol2183z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 139 */

PUSH_TRACE(BgL_symbol1637z00_683); BUNSPEC; 
{ /* ./Llib/ucs2.scm 139 */
bool_t BgL_aux1636z00_684;
BgL_aux1636z00_684 = 
UCS2P(BgL_objz00_1); 
POP_TRACE(); 
return BgL_aux1636z00_684;} } } } 
}



/* _ucs2? */
obj_t BGl__ucs2zf3zf3zz__ucs2z00(obj_t BgL_envz00_561, obj_t BgL_objz00_562)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 138 */
{ /* ./Llib/ucs2.scm 139 */
bool_t BgL_auxz00_869;
{ /* ./Llib/ucs2.scm 139 */
bool_t BgL_res2236z00_688;
{ /* ./Llib/ucs2.scm 139 */
obj_t BgL_symbol1637z00_686;
BgL_symbol1637z00_686 = BGl_symbol2183z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 139 */

PUSH_TRACE(BgL_symbol1637z00_686); BUNSPEC; 
{ /* ./Llib/ucs2.scm 139 */
bool_t BgL_aux1636z00_687;
BgL_aux1636z00_687 = 
UCS2P(BgL_objz00_562); 
POP_TRACE(); 
BgL_res2236z00_688 = BgL_aux1636z00_687; } } } 
BgL_auxz00_869 = BgL_res2236z00_688; } 
return 
BBOOL(BgL_auxz00_869);} } 
}



/* ucs2=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd3zf3z20zz__ucs2z00(ucs2_t BgL_ucs2az00_2, ucs2_t BgL_ucs2bz00_3)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 144 */
{ /* ./Llib/ucs2.scm 145 */
obj_t BgL_symbol1641z00_689;
BgL_symbol1641z00_689 = BGl_symbol2184z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 145 */

PUSH_TRACE(BgL_symbol1641z00_689); BUNSPEC; 
{ /* ./Llib/ucs2.scm 145 */
bool_t BgL_aux1640z00_690;
BgL_aux1640z00_690 = 
(BgL_ucs2az00_2==BgL_ucs2bz00_3); 
POP_TRACE(); 
return BgL_aux1640z00_690;} } } } 
}



/* _ucs2=? */
obj_t BGl__ucs2zd3zf3z20zz__ucs2z00(obj_t BgL_envz00_563, obj_t BgL_ucs2az00_564, obj_t BgL_ucs2bz00_565)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 144 */
{ /* ./Llib/ucs2.scm 145 */
bool_t BgL_auxz00_877;
{ /* ./Llib/ucs2.scm 145 */
bool_t BgL_res2237z00_695;
{ /* ./Llib/ucs2.scm 145 */
ucs2_t BgL_ucs2az00_691;ucs2_t BgL_ucs2bz00_692;
{ /* ./Llib/ucs2.scm 145 */
obj_t BgL_auxz00_878;
if(
UCS2P(BgL_ucs2az00_564))
{ /* ./Llib/ucs2.scm 145 */
BgL_auxz00_878 = BgL_ucs2az00_564
; }  else 
{ /* ./Llib/ucs2.scm 145 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2185z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2az00_564, BGl_string2187z00zz__ucs2z00, 
BINT(((long)5954))); 
exit( -1 );} 
BgL_ucs2az00_691 = 
CUCS2(BgL_auxz00_878); } 
{ /* ./Llib/ucs2.scm 145 */
obj_t BgL_auxz00_885;
if(
UCS2P(BgL_ucs2bz00_565))
{ /* ./Llib/ucs2.scm 145 */
BgL_auxz00_885 = BgL_ucs2bz00_565
; }  else 
{ /* ./Llib/ucs2.scm 145 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2185z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2bz00_565, BGl_string2187z00zz__ucs2z00, 
BINT(((long)5954))); 
exit( -1 );} 
BgL_ucs2bz00_692 = 
CUCS2(BgL_auxz00_885); } 
{ /* ./Llib/ucs2.scm 145 */
obj_t BgL_symbol1641z00_693;
BgL_symbol1641z00_693 = BGl_symbol2184z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 145 */

PUSH_TRACE(BgL_symbol1641z00_693); BUNSPEC; 
{ /* ./Llib/ucs2.scm 145 */
bool_t BgL_aux1640z00_694;
BgL_aux1640z00_694 = 
(BgL_ucs2az00_691==BgL_ucs2bz00_692); 
POP_TRACE(); 
BgL_res2237z00_695 = BgL_aux1640z00_694; } } } } 
BgL_auxz00_877 = BgL_res2237z00_695; } 
return 
BBOOL(BgL_auxz00_877);} } 
}



/* ucs2<? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zc3zf3z30zz__ucs2z00(ucs2_t BgL_ucs2az00_4, ucs2_t BgL_ucs2bz00_5)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 150 */
{ /* ./Llib/ucs2.scm 151 */
obj_t BgL_symbol1645z00_696;
BgL_symbol1645z00_696 = BGl_symbol2188z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 151 */

PUSH_TRACE(BgL_symbol1645z00_696); BUNSPEC; 
{ /* ./Llib/ucs2.scm 151 */
bool_t BgL_aux1644z00_697;
BgL_aux1644z00_697 = 
(BgL_ucs2az00_4<BgL_ucs2bz00_5); 
POP_TRACE(); 
return BgL_aux1644z00_697;} } } } 
}



/* _ucs2<? */
obj_t BGl__ucs2zc3zf3z30zz__ucs2z00(obj_t BgL_envz00_566, obj_t BgL_ucs2az00_567, obj_t BgL_ucs2bz00_568)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 150 */
{ /* ./Llib/ucs2.scm 151 */
bool_t BgL_auxz00_899;
{ /* ./Llib/ucs2.scm 151 */
bool_t BgL_res2238z00_702;
{ /* ./Llib/ucs2.scm 151 */
ucs2_t BgL_ucs2az00_698;ucs2_t BgL_ucs2bz00_699;
{ /* ./Llib/ucs2.scm 151 */
obj_t BgL_auxz00_900;
if(
UCS2P(BgL_ucs2az00_567))
{ /* ./Llib/ucs2.scm 151 */
BgL_auxz00_900 = BgL_ucs2az00_567
; }  else 
{ /* ./Llib/ucs2.scm 151 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2189z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2az00_567, BGl_string2187z00zz__ucs2z00, 
BINT(((long)6240))); 
exit( -1 );} 
BgL_ucs2az00_698 = 
CUCS2(BgL_auxz00_900); } 
{ /* ./Llib/ucs2.scm 151 */
obj_t BgL_auxz00_907;
if(
UCS2P(BgL_ucs2bz00_568))
{ /* ./Llib/ucs2.scm 151 */
BgL_auxz00_907 = BgL_ucs2bz00_568
; }  else 
{ /* ./Llib/ucs2.scm 151 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2189z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2bz00_568, BGl_string2187z00zz__ucs2z00, 
BINT(((long)6240))); 
exit( -1 );} 
BgL_ucs2bz00_699 = 
CUCS2(BgL_auxz00_907); } 
{ /* ./Llib/ucs2.scm 151 */
obj_t BgL_symbol1645z00_700;
BgL_symbol1645z00_700 = BGl_symbol2188z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 151 */

PUSH_TRACE(BgL_symbol1645z00_700); BUNSPEC; 
{ /* ./Llib/ucs2.scm 151 */
bool_t BgL_aux1644z00_701;
BgL_aux1644z00_701 = 
(BgL_ucs2az00_698<BgL_ucs2bz00_699); 
POP_TRACE(); 
BgL_res2238z00_702 = BgL_aux1644z00_701; } } } } 
BgL_auxz00_899 = BgL_res2238z00_702; } 
return 
BBOOL(BgL_auxz00_899);} } 
}



/* ucs2>? */
BGL_EXPORTED_DEF bool_t BGl_ucs2ze3zf3z10zz__ucs2z00(ucs2_t BgL_ucs2az00_6, ucs2_t BgL_ucs2bz00_7)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 156 */
{ /* ./Llib/ucs2.scm 157 */
obj_t BgL_symbol1649z00_703;
BgL_symbol1649z00_703 = BGl_symbol2190z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 157 */

PUSH_TRACE(BgL_symbol1649z00_703); BUNSPEC; 
{ /* ./Llib/ucs2.scm 157 */
bool_t BgL_aux1648z00_704;
BgL_aux1648z00_704 = 
(BgL_ucs2az00_6>BgL_ucs2bz00_7); 
POP_TRACE(); 
return BgL_aux1648z00_704;} } } } 
}



/* _ucs2>? */
obj_t BGl__ucs2ze3zf3z10zz__ucs2z00(obj_t BgL_envz00_569, obj_t BgL_ucs2az00_570, obj_t BgL_ucs2bz00_571)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 156 */
{ /* ./Llib/ucs2.scm 157 */
bool_t BgL_auxz00_921;
{ /* ./Llib/ucs2.scm 157 */
bool_t BgL_res2239z00_709;
{ /* ./Llib/ucs2.scm 157 */
ucs2_t BgL_ucs2az00_705;ucs2_t BgL_ucs2bz00_706;
{ /* ./Llib/ucs2.scm 157 */
obj_t BgL_auxz00_922;
if(
UCS2P(BgL_ucs2az00_570))
{ /* ./Llib/ucs2.scm 157 */
BgL_auxz00_922 = BgL_ucs2az00_570
; }  else 
{ /* ./Llib/ucs2.scm 157 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2191z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2az00_570, BGl_string2187z00zz__ucs2z00, 
BINT(((long)6527))); 
exit( -1 );} 
BgL_ucs2az00_705 = 
CUCS2(BgL_auxz00_922); } 
{ /* ./Llib/ucs2.scm 157 */
obj_t BgL_auxz00_929;
if(
UCS2P(BgL_ucs2bz00_571))
{ /* ./Llib/ucs2.scm 157 */
BgL_auxz00_929 = BgL_ucs2bz00_571
; }  else 
{ /* ./Llib/ucs2.scm 157 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2191z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2bz00_571, BGl_string2187z00zz__ucs2z00, 
BINT(((long)6527))); 
exit( -1 );} 
BgL_ucs2bz00_706 = 
CUCS2(BgL_auxz00_929); } 
{ /* ./Llib/ucs2.scm 157 */
obj_t BgL_symbol1649z00_707;
BgL_symbol1649z00_707 = BGl_symbol2190z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 157 */

PUSH_TRACE(BgL_symbol1649z00_707); BUNSPEC; 
{ /* ./Llib/ucs2.scm 157 */
bool_t BgL_aux1648z00_708;
BgL_aux1648z00_708 = 
(BgL_ucs2az00_705>BgL_ucs2bz00_706); 
POP_TRACE(); 
BgL_res2239z00_709 = BgL_aux1648z00_708; } } } } 
BgL_auxz00_921 = BgL_res2239z00_709; } 
return 
BBOOL(BgL_auxz00_921);} } 
}



/* ucs2<=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(ucs2_t BgL_ucs2az00_8, ucs2_t BgL_ucs2bz00_9)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 162 */
{ /* ./Llib/ucs2.scm 163 */
obj_t BgL_symbol1653z00_710;
BgL_symbol1653z00_710 = BGl_symbol2192z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 163 */

PUSH_TRACE(BgL_symbol1653z00_710); BUNSPEC; 
{ /* ./Llib/ucs2.scm 163 */
bool_t BgL_aux1652z00_711;
BgL_aux1652z00_711 = 
(BgL_ucs2az00_8<=BgL_ucs2bz00_9); 
POP_TRACE(); 
return BgL_aux1652z00_711;} } } } 
}



/* _ucs2<=? */
obj_t BGl__ucs2zc3zd3zf3ze3zz__ucs2z00(obj_t BgL_envz00_572, obj_t BgL_ucs2az00_573, obj_t BgL_ucs2bz00_574)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 162 */
{ /* ./Llib/ucs2.scm 163 */
bool_t BgL_auxz00_943;
{ /* ./Llib/ucs2.scm 163 */
bool_t BgL_res2240z00_716;
{ /* ./Llib/ucs2.scm 163 */
ucs2_t BgL_ucs2az00_712;ucs2_t BgL_ucs2bz00_713;
{ /* ./Llib/ucs2.scm 163 */
obj_t BgL_auxz00_944;
if(
UCS2P(BgL_ucs2az00_573))
{ /* ./Llib/ucs2.scm 163 */
BgL_auxz00_944 = BgL_ucs2az00_573
; }  else 
{ /* ./Llib/ucs2.scm 163 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2193z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2az00_573, BGl_string2187z00zz__ucs2z00, 
BINT(((long)6814))); 
exit( -1 );} 
BgL_ucs2az00_712 = 
CUCS2(BgL_auxz00_944); } 
{ /* ./Llib/ucs2.scm 163 */
obj_t BgL_auxz00_951;
if(
UCS2P(BgL_ucs2bz00_574))
{ /* ./Llib/ucs2.scm 163 */
BgL_auxz00_951 = BgL_ucs2bz00_574
; }  else 
{ /* ./Llib/ucs2.scm 163 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2193z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2bz00_574, BGl_string2187z00zz__ucs2z00, 
BINT(((long)6814))); 
exit( -1 );} 
BgL_ucs2bz00_713 = 
CUCS2(BgL_auxz00_951); } 
{ /* ./Llib/ucs2.scm 163 */
obj_t BgL_symbol1653z00_714;
BgL_symbol1653z00_714 = BGl_symbol2192z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 163 */

PUSH_TRACE(BgL_symbol1653z00_714); BUNSPEC; 
{ /* ./Llib/ucs2.scm 163 */
bool_t BgL_aux1652z00_715;
BgL_aux1652z00_715 = 
(BgL_ucs2az00_712<=BgL_ucs2bz00_713); 
POP_TRACE(); 
BgL_res2240z00_716 = BgL_aux1652z00_715; } } } } 
BgL_auxz00_943 = BgL_res2240z00_716; } 
return 
BBOOL(BgL_auxz00_943);} } 
}



/* ucs2>=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(ucs2_t BgL_ucs2az00_10, ucs2_t BgL_ucs2bz00_11)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 168 */
{ /* ./Llib/ucs2.scm 169 */
obj_t BgL_symbol1657z00_717;
BgL_symbol1657z00_717 = BGl_symbol2194z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 169 */

PUSH_TRACE(BgL_symbol1657z00_717); BUNSPEC; 
{ /* ./Llib/ucs2.scm 169 */
bool_t BgL_aux1656z00_718;
BgL_aux1656z00_718 = 
(BgL_ucs2az00_10>BgL_ucs2bz00_11); 
POP_TRACE(); 
return BgL_aux1656z00_718;} } } } 
}



/* _ucs2>=? */
obj_t BGl__ucs2ze3zd3zf3zc3zz__ucs2z00(obj_t BgL_envz00_575, obj_t BgL_ucs2az00_576, obj_t BgL_ucs2bz00_577)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 168 */
{ /* ./Llib/ucs2.scm 169 */
bool_t BgL_auxz00_965;
{ /* ./Llib/ucs2.scm 169 */
bool_t BgL_res2241z00_723;
{ /* ./Llib/ucs2.scm 169 */
ucs2_t BgL_ucs2az00_719;ucs2_t BgL_ucs2bz00_720;
{ /* ./Llib/ucs2.scm 169 */
obj_t BgL_auxz00_966;
if(
UCS2P(BgL_ucs2az00_576))
{ /* ./Llib/ucs2.scm 169 */
BgL_auxz00_966 = BgL_ucs2az00_576
; }  else 
{ /* ./Llib/ucs2.scm 169 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2195z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2az00_576, BGl_string2187z00zz__ucs2z00, 
BINT(((long)7103))); 
exit( -1 );} 
BgL_ucs2az00_719 = 
CUCS2(BgL_auxz00_966); } 
{ /* ./Llib/ucs2.scm 169 */
obj_t BgL_auxz00_973;
if(
UCS2P(BgL_ucs2bz00_577))
{ /* ./Llib/ucs2.scm 169 */
BgL_auxz00_973 = BgL_ucs2bz00_577
; }  else 
{ /* ./Llib/ucs2.scm 169 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2195z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2bz00_577, BGl_string2187z00zz__ucs2z00, 
BINT(((long)7103))); 
exit( -1 );} 
BgL_ucs2bz00_720 = 
CUCS2(BgL_auxz00_973); } 
{ /* ./Llib/ucs2.scm 169 */
obj_t BgL_symbol1657z00_721;
BgL_symbol1657z00_721 = BGl_symbol2194z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 169 */

PUSH_TRACE(BgL_symbol1657z00_721); BUNSPEC; 
{ /* ./Llib/ucs2.scm 169 */
bool_t BgL_aux1656z00_722;
BgL_aux1656z00_722 = 
(BgL_ucs2az00_719>BgL_ucs2bz00_720); 
POP_TRACE(); 
BgL_res2241z00_723 = BgL_aux1656z00_722; } } } } 
BgL_auxz00_965 = BgL_res2241z00_723; } 
return 
BBOOL(BgL_auxz00_965);} } 
}



/* ucs2-ci=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(ucs2_t BgL_ucs2az00_12, ucs2_t BgL_ucs2bz00_13)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 174 */
{ /* ./Llib/ucs2.scm 175 */
obj_t BgL_symbol1661z00_724;
BgL_symbol1661z00_724 = BGl_symbol2196z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 175 */

PUSH_TRACE(BgL_symbol1661z00_724); BUNSPEC; 
{ /* ./Llib/ucs2.scm 175 */
bool_t BgL_aux1660z00_725;
{ /* ./Llib/ucs2.scm 175 */
ucs2_t BgL_auxz00_987;ucs2_t BgL_auxz00_985;
BgL_auxz00_987 = 
ucs2_toupper(BgL_ucs2bz00_13); 
BgL_auxz00_985 = 
ucs2_toupper(BgL_ucs2az00_12); 
BgL_aux1660z00_725 = 
(BgL_auxz00_985==BgL_auxz00_987); } 
POP_TRACE(); 
return BgL_aux1660z00_725;} } } } 
}



/* _ucs2-ci=? */
obj_t BGl__ucs2zd2cizd3zf3zf2zz__ucs2z00(obj_t BgL_envz00_578, obj_t BgL_ucs2az00_579, obj_t BgL_ucs2bz00_580)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 174 */
{ /* ./Llib/ucs2.scm 175 */
bool_t BgL_auxz00_991;
{ /* ./Llib/ucs2.scm 175 */
bool_t BgL_res2242z00_730;
{ /* ./Llib/ucs2.scm 175 */
ucs2_t BgL_ucs2az00_726;ucs2_t BgL_ucs2bz00_727;
{ /* ./Llib/ucs2.scm 175 */
obj_t BgL_auxz00_992;
if(
UCS2P(BgL_ucs2az00_579))
{ /* ./Llib/ucs2.scm 175 */
BgL_auxz00_992 = BgL_ucs2az00_579
; }  else 
{ /* ./Llib/ucs2.scm 175 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2197z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2az00_579, BGl_string2187z00zz__ucs2z00, 
BINT(((long)7400))); 
exit( -1 );} 
BgL_ucs2az00_726 = 
CUCS2(BgL_auxz00_992); } 
{ /* ./Llib/ucs2.scm 175 */
obj_t BgL_auxz00_999;
if(
UCS2P(BgL_ucs2bz00_580))
{ /* ./Llib/ucs2.scm 175 */
BgL_auxz00_999 = BgL_ucs2bz00_580
; }  else 
{ /* ./Llib/ucs2.scm 175 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2197z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2bz00_580, BGl_string2187z00zz__ucs2z00, 
BINT(((long)7400))); 
exit( -1 );} 
BgL_ucs2bz00_727 = 
CUCS2(BgL_auxz00_999); } 
{ /* ./Llib/ucs2.scm 175 */
obj_t BgL_symbol1661z00_728;
BgL_symbol1661z00_728 = BGl_symbol2196z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 175 */

PUSH_TRACE(BgL_symbol1661z00_728); BUNSPEC; 
{ /* ./Llib/ucs2.scm 175 */
bool_t BgL_aux1660z00_729;
{ /* ./Llib/ucs2.scm 175 */
ucs2_t BgL_auxz00_1009;ucs2_t BgL_auxz00_1007;
BgL_auxz00_1009 = 
ucs2_toupper(BgL_ucs2bz00_727); 
BgL_auxz00_1007 = 
ucs2_toupper(BgL_ucs2az00_726); 
BgL_aux1660z00_729 = 
(BgL_auxz00_1007==BgL_auxz00_1009); } 
POP_TRACE(); 
BgL_res2242z00_730 = BgL_aux1660z00_729; } } } } 
BgL_auxz00_991 = BgL_res2242z00_730; } 
return 
BBOOL(BgL_auxz00_991);} } 
}



/* ucs2-ci<? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(ucs2_t BgL_ucs2az00_14, ucs2_t BgL_ucs2bz00_15)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 180 */
{ /* ./Llib/ucs2.scm 181 */
obj_t BgL_symbol1665z00_731;
BgL_symbol1665z00_731 = BGl_symbol2198z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 181 */

PUSH_TRACE(BgL_symbol1665z00_731); BUNSPEC; 
{ /* ./Llib/ucs2.scm 181 */
bool_t BgL_aux1664z00_732;
{ /* ./Llib/ucs2.scm 181 */
ucs2_t BgL_auxz00_1017;ucs2_t BgL_auxz00_1015;
BgL_auxz00_1017 = 
ucs2_toupper(BgL_ucs2bz00_15); 
BgL_auxz00_1015 = 
ucs2_toupper(BgL_ucs2az00_14); 
BgL_aux1664z00_732 = 
(BgL_auxz00_1015<BgL_auxz00_1017); } 
POP_TRACE(); 
return BgL_aux1664z00_732;} } } } 
}



/* _ucs2-ci<? */
obj_t BGl__ucs2zd2cizc3zf3ze2zz__ucs2z00(obj_t BgL_envz00_581, obj_t BgL_ucs2az00_582, obj_t BgL_ucs2bz00_583)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 180 */
{ /* ./Llib/ucs2.scm 181 */
bool_t BgL_auxz00_1021;
{ /* ./Llib/ucs2.scm 181 */
bool_t BgL_res2243z00_737;
{ /* ./Llib/ucs2.scm 181 */
ucs2_t BgL_ucs2az00_733;ucs2_t BgL_ucs2bz00_734;
{ /* ./Llib/ucs2.scm 181 */
obj_t BgL_auxz00_1022;
if(
UCS2P(BgL_ucs2az00_582))
{ /* ./Llib/ucs2.scm 181 */
BgL_auxz00_1022 = BgL_ucs2az00_582
; }  else 
{ /* ./Llib/ucs2.scm 181 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2199z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2az00_582, BGl_string2187z00zz__ucs2z00, 
BINT(((long)7715))); 
exit( -1 );} 
BgL_ucs2az00_733 = 
CUCS2(BgL_auxz00_1022); } 
{ /* ./Llib/ucs2.scm 181 */
obj_t BgL_auxz00_1029;
if(
UCS2P(BgL_ucs2bz00_583))
{ /* ./Llib/ucs2.scm 181 */
BgL_auxz00_1029 = BgL_ucs2bz00_583
; }  else 
{ /* ./Llib/ucs2.scm 181 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2199z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2bz00_583, BGl_string2187z00zz__ucs2z00, 
BINT(((long)7715))); 
exit( -1 );} 
BgL_ucs2bz00_734 = 
CUCS2(BgL_auxz00_1029); } 
{ /* ./Llib/ucs2.scm 181 */
obj_t BgL_symbol1665z00_735;
BgL_symbol1665z00_735 = BGl_symbol2198z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 181 */

PUSH_TRACE(BgL_symbol1665z00_735); BUNSPEC; 
{ /* ./Llib/ucs2.scm 181 */
bool_t BgL_aux1664z00_736;
{ /* ./Llib/ucs2.scm 181 */
ucs2_t BgL_auxz00_1039;ucs2_t BgL_auxz00_1037;
BgL_auxz00_1039 = 
ucs2_toupper(BgL_ucs2bz00_734); 
BgL_auxz00_1037 = 
ucs2_toupper(BgL_ucs2az00_733); 
BgL_aux1664z00_736 = 
(BgL_auxz00_1037<BgL_auxz00_1039); } 
POP_TRACE(); 
BgL_res2243z00_737 = BgL_aux1664z00_736; } } } } 
BgL_auxz00_1021 = BgL_res2243z00_737; } 
return 
BBOOL(BgL_auxz00_1021);} } 
}



/* ucs2-ci>? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(ucs2_t BgL_ucs2az00_16, ucs2_t BgL_ucs2bz00_17)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 186 */
{ /* ./Llib/ucs2.scm 187 */
obj_t BgL_symbol1669z00_738;
BgL_symbol1669z00_738 = BGl_symbol2200z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 187 */

PUSH_TRACE(BgL_symbol1669z00_738); BUNSPEC; 
{ /* ./Llib/ucs2.scm 187 */
bool_t BgL_aux1668z00_739;
{ /* ./Llib/ucs2.scm 187 */
ucs2_t BgL_auxz00_1047;ucs2_t BgL_auxz00_1045;
BgL_auxz00_1047 = 
ucs2_toupper(BgL_ucs2bz00_17); 
BgL_auxz00_1045 = 
ucs2_toupper(BgL_ucs2az00_16); 
BgL_aux1668z00_739 = 
(BgL_auxz00_1045>BgL_auxz00_1047); } 
POP_TRACE(); 
return BgL_aux1668z00_739;} } } } 
}



/* _ucs2-ci>? */
obj_t BGl__ucs2zd2cize3zf3zc2zz__ucs2z00(obj_t BgL_envz00_584, obj_t BgL_ucs2az00_585, obj_t BgL_ucs2bz00_586)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 186 */
{ /* ./Llib/ucs2.scm 187 */
bool_t BgL_auxz00_1051;
{ /* ./Llib/ucs2.scm 187 */
bool_t BgL_res2244z00_744;
{ /* ./Llib/ucs2.scm 187 */
ucs2_t BgL_ucs2az00_740;ucs2_t BgL_ucs2bz00_741;
{ /* ./Llib/ucs2.scm 187 */
obj_t BgL_auxz00_1052;
if(
UCS2P(BgL_ucs2az00_585))
{ /* ./Llib/ucs2.scm 187 */
BgL_auxz00_1052 = BgL_ucs2az00_585
; }  else 
{ /* ./Llib/ucs2.scm 187 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2201z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2az00_585, BGl_string2187z00zz__ucs2z00, 
BINT(((long)8032))); 
exit( -1 );} 
BgL_ucs2az00_740 = 
CUCS2(BgL_auxz00_1052); } 
{ /* ./Llib/ucs2.scm 187 */
obj_t BgL_auxz00_1059;
if(
UCS2P(BgL_ucs2bz00_586))
{ /* ./Llib/ucs2.scm 187 */
BgL_auxz00_1059 = BgL_ucs2bz00_586
; }  else 
{ /* ./Llib/ucs2.scm 187 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2201z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2bz00_586, BGl_string2187z00zz__ucs2z00, 
BINT(((long)8032))); 
exit( -1 );} 
BgL_ucs2bz00_741 = 
CUCS2(BgL_auxz00_1059); } 
{ /* ./Llib/ucs2.scm 187 */
obj_t BgL_symbol1669z00_742;
BgL_symbol1669z00_742 = BGl_symbol2200z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 187 */

PUSH_TRACE(BgL_symbol1669z00_742); BUNSPEC; 
{ /* ./Llib/ucs2.scm 187 */
bool_t BgL_aux1668z00_743;
{ /* ./Llib/ucs2.scm 187 */
ucs2_t BgL_auxz00_1069;ucs2_t BgL_auxz00_1067;
BgL_auxz00_1069 = 
ucs2_toupper(BgL_ucs2bz00_741); 
BgL_auxz00_1067 = 
ucs2_toupper(BgL_ucs2az00_740); 
BgL_aux1668z00_743 = 
(BgL_auxz00_1067>BgL_auxz00_1069); } 
POP_TRACE(); 
BgL_res2244z00_744 = BgL_aux1668z00_743; } } } } 
BgL_auxz00_1051 = BgL_res2244z00_744; } 
return 
BBOOL(BgL_auxz00_1051);} } 
}



/* ucs2-ci<=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(ucs2_t BgL_ucs2az00_18, ucs2_t BgL_ucs2bz00_19)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 192 */
{ /* ./Llib/ucs2.scm 193 */
obj_t BgL_symbol1673z00_745;
BgL_symbol1673z00_745 = BGl_symbol2202z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 193 */

PUSH_TRACE(BgL_symbol1673z00_745); BUNSPEC; 
{ /* ./Llib/ucs2.scm 193 */
bool_t BgL_aux1672z00_746;
{ /* ./Llib/ucs2.scm 193 */
ucs2_t BgL_auxz00_1077;ucs2_t BgL_auxz00_1075;
BgL_auxz00_1077 = 
ucs2_toupper(BgL_ucs2bz00_19); 
BgL_auxz00_1075 = 
ucs2_toupper(BgL_ucs2az00_18); 
BgL_aux1672z00_746 = 
(BgL_auxz00_1075<=BgL_auxz00_1077); } 
POP_TRACE(); 
return BgL_aux1672z00_746;} } } } 
}



/* _ucs2-ci<=? */
obj_t BGl__ucs2zd2cizc3zd3zf3z31zz__ucs2z00(obj_t BgL_envz00_587, obj_t BgL_ucs2az00_588, obj_t BgL_ucs2bz00_589)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 192 */
{ /* ./Llib/ucs2.scm 193 */
bool_t BgL_auxz00_1081;
{ /* ./Llib/ucs2.scm 193 */
bool_t BgL_res2245z00_751;
{ /* ./Llib/ucs2.scm 193 */
ucs2_t BgL_ucs2az00_747;ucs2_t BgL_ucs2bz00_748;
{ /* ./Llib/ucs2.scm 193 */
obj_t BgL_auxz00_1082;
if(
UCS2P(BgL_ucs2az00_588))
{ /* ./Llib/ucs2.scm 193 */
BgL_auxz00_1082 = BgL_ucs2az00_588
; }  else 
{ /* ./Llib/ucs2.scm 193 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2203z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2az00_588, BGl_string2187z00zz__ucs2z00, 
BINT(((long)8349))); 
exit( -1 );} 
BgL_ucs2az00_747 = 
CUCS2(BgL_auxz00_1082); } 
{ /* ./Llib/ucs2.scm 193 */
obj_t BgL_auxz00_1089;
if(
UCS2P(BgL_ucs2bz00_589))
{ /* ./Llib/ucs2.scm 193 */
BgL_auxz00_1089 = BgL_ucs2bz00_589
; }  else 
{ /* ./Llib/ucs2.scm 193 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2203z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2bz00_589, BGl_string2187z00zz__ucs2z00, 
BINT(((long)8349))); 
exit( -1 );} 
BgL_ucs2bz00_748 = 
CUCS2(BgL_auxz00_1089); } 
{ /* ./Llib/ucs2.scm 193 */
obj_t BgL_symbol1673z00_749;
BgL_symbol1673z00_749 = BGl_symbol2202z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 193 */

PUSH_TRACE(BgL_symbol1673z00_749); BUNSPEC; 
{ /* ./Llib/ucs2.scm 193 */
bool_t BgL_aux1672z00_750;
{ /* ./Llib/ucs2.scm 193 */
ucs2_t BgL_auxz00_1099;ucs2_t BgL_auxz00_1097;
BgL_auxz00_1099 = 
ucs2_toupper(BgL_ucs2bz00_748); 
BgL_auxz00_1097 = 
ucs2_toupper(BgL_ucs2az00_747); 
BgL_aux1672z00_750 = 
(BgL_auxz00_1097<=BgL_auxz00_1099); } 
POP_TRACE(); 
BgL_res2245z00_751 = BgL_aux1672z00_750; } } } } 
BgL_auxz00_1081 = BgL_res2245z00_751; } 
return 
BBOOL(BgL_auxz00_1081);} } 
}



/* ucs2-ci>=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(ucs2_t BgL_ucs2az00_20, ucs2_t BgL_ucs2bz00_21)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 198 */
{ /* ./Llib/ucs2.scm 199 */
obj_t BgL_symbol1677z00_752;
BgL_symbol1677z00_752 = BGl_symbol2204z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 199 */

PUSH_TRACE(BgL_symbol1677z00_752); BUNSPEC; 
{ /* ./Llib/ucs2.scm 199 */
bool_t BgL_aux1676z00_753;
{ /* ./Llib/ucs2.scm 199 */
ucs2_t BgL_auxz00_1107;ucs2_t BgL_auxz00_1105;
BgL_auxz00_1107 = 
ucs2_toupper(BgL_ucs2bz00_21); 
BgL_auxz00_1105 = 
ucs2_toupper(BgL_ucs2az00_20); 
BgL_aux1676z00_753 = 
(BgL_auxz00_1105>BgL_auxz00_1107); } 
POP_TRACE(); 
return BgL_aux1676z00_753;} } } } 
}



/* _ucs2-ci>=? */
obj_t BGl__ucs2zd2cize3zd3zf3z11zz__ucs2z00(obj_t BgL_envz00_590, obj_t BgL_ucs2az00_591, obj_t BgL_ucs2bz00_592)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 198 */
{ /* ./Llib/ucs2.scm 199 */
bool_t BgL_auxz00_1111;
{ /* ./Llib/ucs2.scm 199 */
bool_t BgL_res2246z00_758;
{ /* ./Llib/ucs2.scm 199 */
ucs2_t BgL_ucs2az00_754;ucs2_t BgL_ucs2bz00_755;
{ /* ./Llib/ucs2.scm 199 */
obj_t BgL_auxz00_1112;
if(
UCS2P(BgL_ucs2az00_591))
{ /* ./Llib/ucs2.scm 199 */
BgL_auxz00_1112 = BgL_ucs2az00_591
; }  else 
{ /* ./Llib/ucs2.scm 199 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2205z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2az00_591, BGl_string2187z00zz__ucs2z00, 
BINT(((long)8666))); 
exit( -1 );} 
BgL_ucs2az00_754 = 
CUCS2(BgL_auxz00_1112); } 
{ /* ./Llib/ucs2.scm 199 */
obj_t BgL_auxz00_1119;
if(
UCS2P(BgL_ucs2bz00_592))
{ /* ./Llib/ucs2.scm 199 */
BgL_auxz00_1119 = BgL_ucs2bz00_592
; }  else 
{ /* ./Llib/ucs2.scm 199 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2205z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2bz00_592, BGl_string2187z00zz__ucs2z00, 
BINT(((long)8666))); 
exit( -1 );} 
BgL_ucs2bz00_755 = 
CUCS2(BgL_auxz00_1119); } 
{ /* ./Llib/ucs2.scm 199 */
obj_t BgL_symbol1677z00_756;
BgL_symbol1677z00_756 = BGl_symbol2204z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 199 */

PUSH_TRACE(BgL_symbol1677z00_756); BUNSPEC; 
{ /* ./Llib/ucs2.scm 199 */
bool_t BgL_aux1676z00_757;
{ /* ./Llib/ucs2.scm 199 */
ucs2_t BgL_auxz00_1129;ucs2_t BgL_auxz00_1127;
BgL_auxz00_1129 = 
ucs2_toupper(BgL_ucs2bz00_755); 
BgL_auxz00_1127 = 
ucs2_toupper(BgL_ucs2az00_754); 
BgL_aux1676z00_757 = 
(BgL_auxz00_1127>BgL_auxz00_1129); } 
POP_TRACE(); 
BgL_res2246z00_758 = BgL_aux1676z00_757; } } } } 
BgL_auxz00_1111 = BgL_res2246z00_758; } 
return 
BBOOL(BgL_auxz00_1111);} } 
}



/* ucs2-alphabetic? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(ucs2_t BgL_ucs2z00_22)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 204 */
{ /* ./Llib/ucs2.scm 205 */
obj_t BgL_symbol1681z00_759;
BgL_symbol1681z00_759 = BGl_symbol2206z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 205 */

PUSH_TRACE(BgL_symbol1681z00_759); BUNSPEC; 
{ /* ./Llib/ucs2.scm 205 */
bool_t BgL_aux1680z00_760;
BgL_aux1680z00_760 = 
ucs2_letterp(BgL_ucs2z00_22); 
POP_TRACE(); 
return BgL_aux1680z00_760;} } } } 
}



/* _ucs2-alphabetic? */
obj_t BGl__ucs2zd2alphabeticzf3z21zz__ucs2z00(obj_t BgL_envz00_593, obj_t BgL_ucs2z00_594)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 204 */
{ /* ./Llib/ucs2.scm 205 */
bool_t BgL_auxz00_1137;
{ /* ./Llib/ucs2.scm 205 */
bool_t BgL_res2247z00_764;
{ /* ./Llib/ucs2.scm 205 */
ucs2_t BgL_ucs2z00_761;
{ /* ./Llib/ucs2.scm 205 */
obj_t BgL_auxz00_1138;
if(
UCS2P(BgL_ucs2z00_594))
{ /* ./Llib/ucs2.scm 205 */
BgL_auxz00_1138 = BgL_ucs2z00_594
; }  else 
{ /* ./Llib/ucs2.scm 205 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2207z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2z00_594, BGl_string2187z00zz__ucs2z00, 
BINT(((long)8973))); 
exit( -1 );} 
BgL_ucs2z00_761 = 
CUCS2(BgL_auxz00_1138); } 
{ /* ./Llib/ucs2.scm 205 */
obj_t BgL_symbol1681z00_762;
BgL_symbol1681z00_762 = BGl_symbol2206z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 205 */

PUSH_TRACE(BgL_symbol1681z00_762); BUNSPEC; 
{ /* ./Llib/ucs2.scm 205 */
bool_t BgL_aux1680z00_763;
BgL_aux1680z00_763 = 
ucs2_letterp(BgL_ucs2z00_761); 
POP_TRACE(); 
BgL_res2247z00_764 = BgL_aux1680z00_763; } } } } 
BgL_auxz00_1137 = BgL_res2247z00_764; } 
return 
BBOOL(BgL_auxz00_1137);} } 
}



/* ucs2-numeric? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2numericzf3z21zz__ucs2z00(ucs2_t BgL_ucs2z00_23)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 210 */
{ /* ./Llib/ucs2.scm 211 */
obj_t BgL_symbol1685z00_765;
BgL_symbol1685z00_765 = BGl_symbol2208z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 211 */

PUSH_TRACE(BgL_symbol1685z00_765); BUNSPEC; 
{ /* ./Llib/ucs2.scm 211 */
bool_t BgL_aux1684z00_766;
BgL_aux1684z00_766 = 
ucs2_digitp(BgL_ucs2z00_23); 
POP_TRACE(); 
return BgL_aux1684z00_766;} } } } 
}



/* _ucs2-numeric? */
obj_t BGl__ucs2zd2numericzf3z21zz__ucs2z00(obj_t BgL_envz00_595, obj_t BgL_ucs2z00_596)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 210 */
{ /* ./Llib/ucs2.scm 211 */
bool_t BgL_auxz00_1152;
{ /* ./Llib/ucs2.scm 211 */
bool_t BgL_res2248z00_770;
{ /* ./Llib/ucs2.scm 211 */
ucs2_t BgL_ucs2z00_767;
{ /* ./Llib/ucs2.scm 211 */
obj_t BgL_auxz00_1153;
if(
UCS2P(BgL_ucs2z00_596))
{ /* ./Llib/ucs2.scm 211 */
BgL_auxz00_1153 = BgL_ucs2z00_596
; }  else 
{ /* ./Llib/ucs2.scm 211 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2209z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2z00_596, BGl_string2187z00zz__ucs2z00, 
BINT(((long)9258))); 
exit( -1 );} 
BgL_ucs2z00_767 = 
CUCS2(BgL_auxz00_1153); } 
{ /* ./Llib/ucs2.scm 211 */
obj_t BgL_symbol1685z00_768;
BgL_symbol1685z00_768 = BGl_symbol2208z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 211 */

PUSH_TRACE(BgL_symbol1685z00_768); BUNSPEC; 
{ /* ./Llib/ucs2.scm 211 */
bool_t BgL_aux1684z00_769;
BgL_aux1684z00_769 = 
ucs2_digitp(BgL_ucs2z00_767); 
POP_TRACE(); 
BgL_res2248z00_770 = BgL_aux1684z00_769; } } } } 
BgL_auxz00_1152 = BgL_res2248z00_770; } 
return 
BBOOL(BgL_auxz00_1152);} } 
}



/* ucs2-whitespace? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(ucs2_t BgL_ucs2z00_24)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 216 */
{ /* ./Llib/ucs2.scm 217 */
obj_t BgL_symbol1689z00_771;
BgL_symbol1689z00_771 = BGl_symbol2210z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 217 */

PUSH_TRACE(BgL_symbol1689z00_771); BUNSPEC; 
{ /* ./Llib/ucs2.scm 217 */
bool_t BgL_aux1688z00_772;
BgL_aux1688z00_772 = 
ucs2_whitespacep(BgL_ucs2z00_24); 
POP_TRACE(); 
return BgL_aux1688z00_772;} } } } 
}



/* _ucs2-whitespace? */
obj_t BGl__ucs2zd2whitespacezf3z21zz__ucs2z00(obj_t BgL_envz00_597, obj_t BgL_ucs2z00_598)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 216 */
{ /* ./Llib/ucs2.scm 217 */
bool_t BgL_auxz00_1167;
{ /* ./Llib/ucs2.scm 217 */
bool_t BgL_res2249z00_776;
{ /* ./Llib/ucs2.scm 217 */
ucs2_t BgL_ucs2z00_773;
{ /* ./Llib/ucs2.scm 217 */
obj_t BgL_auxz00_1168;
if(
UCS2P(BgL_ucs2z00_598))
{ /* ./Llib/ucs2.scm 217 */
BgL_auxz00_1168 = BgL_ucs2z00_598
; }  else 
{ /* ./Llib/ucs2.scm 217 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2211z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2z00_598, BGl_string2187z00zz__ucs2z00, 
BINT(((long)9545))); 
exit( -1 );} 
BgL_ucs2z00_773 = 
CUCS2(BgL_auxz00_1168); } 
{ /* ./Llib/ucs2.scm 217 */
obj_t BgL_symbol1689z00_774;
BgL_symbol1689z00_774 = BGl_symbol2210z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 217 */

PUSH_TRACE(BgL_symbol1689z00_774); BUNSPEC; 
{ /* ./Llib/ucs2.scm 217 */
bool_t BgL_aux1688z00_775;
BgL_aux1688z00_775 = 
ucs2_whitespacep(BgL_ucs2z00_773); 
POP_TRACE(); 
BgL_res2249z00_776 = BgL_aux1688z00_775; } } } } 
BgL_auxz00_1167 = BgL_res2249z00_776; } 
return 
BBOOL(BgL_auxz00_1167);} } 
}



/* ucs2-upper-case? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(ucs2_t BgL_ucs2z00_25)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 222 */
{ /* ./Llib/ucs2.scm 223 */
obj_t BgL_symbol1693z00_777;
BgL_symbol1693z00_777 = BGl_symbol2212z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 223 */

PUSH_TRACE(BgL_symbol1693z00_777); BUNSPEC; 
{ /* ./Llib/ucs2.scm 223 */
bool_t BgL_aux1692z00_778;
BgL_aux1692z00_778 = 
ucs2_upperp(BgL_ucs2z00_25); 
POP_TRACE(); 
return BgL_aux1692z00_778;} } } } 
}



/* _ucs2-upper-case? */
obj_t BGl__ucs2zd2upperzd2casezf3zf3zz__ucs2z00(obj_t BgL_envz00_599, obj_t BgL_ucs2z00_600)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 222 */
{ /* ./Llib/ucs2.scm 223 */
bool_t BgL_auxz00_1182;
{ /* ./Llib/ucs2.scm 223 */
bool_t BgL_res2250z00_782;
{ /* ./Llib/ucs2.scm 223 */
ucs2_t BgL_ucs2z00_779;
{ /* ./Llib/ucs2.scm 223 */
obj_t BgL_auxz00_1183;
if(
UCS2P(BgL_ucs2z00_600))
{ /* ./Llib/ucs2.scm 223 */
BgL_auxz00_1183 = BgL_ucs2z00_600
; }  else 
{ /* ./Llib/ucs2.scm 223 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2213z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2z00_600, BGl_string2187z00zz__ucs2z00, 
BINT(((long)9837))); 
exit( -1 );} 
BgL_ucs2z00_779 = 
CUCS2(BgL_auxz00_1183); } 
{ /* ./Llib/ucs2.scm 223 */
obj_t BgL_symbol1693z00_780;
BgL_symbol1693z00_780 = BGl_symbol2212z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 223 */

PUSH_TRACE(BgL_symbol1693z00_780); BUNSPEC; 
{ /* ./Llib/ucs2.scm 223 */
bool_t BgL_aux1692z00_781;
BgL_aux1692z00_781 = 
ucs2_upperp(BgL_ucs2z00_779); 
POP_TRACE(); 
BgL_res2250z00_782 = BgL_aux1692z00_781; } } } } 
BgL_auxz00_1182 = BgL_res2250z00_782; } 
return 
BBOOL(BgL_auxz00_1182);} } 
}



/* ucs2-lower-case? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(ucs2_t BgL_ucs2z00_26)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 228 */
{ /* ./Llib/ucs2.scm 229 */
obj_t BgL_symbol1697z00_783;
BgL_symbol1697z00_783 = BGl_symbol2214z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 229 */

PUSH_TRACE(BgL_symbol1697z00_783); BUNSPEC; 
{ /* ./Llib/ucs2.scm 229 */
bool_t BgL_aux1696z00_784;
BgL_aux1696z00_784 = 
ucs2_lowerp(BgL_ucs2z00_26); 
POP_TRACE(); 
return BgL_aux1696z00_784;} } } } 
}



/* _ucs2-lower-case? */
obj_t BGl__ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(obj_t BgL_envz00_601, obj_t BgL_ucs2z00_602)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 228 */
{ /* ./Llib/ucs2.scm 229 */
bool_t BgL_auxz00_1197;
{ /* ./Llib/ucs2.scm 229 */
bool_t BgL_res2251z00_788;
{ /* ./Llib/ucs2.scm 229 */
ucs2_t BgL_ucs2z00_785;
{ /* ./Llib/ucs2.scm 229 */
obj_t BgL_auxz00_1198;
if(
UCS2P(BgL_ucs2z00_602))
{ /* ./Llib/ucs2.scm 229 */
BgL_auxz00_1198 = BgL_ucs2z00_602
; }  else 
{ /* ./Llib/ucs2.scm 229 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2215z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2z00_602, BGl_string2187z00zz__ucs2z00, 
BINT(((long)10124))); 
exit( -1 );} 
BgL_ucs2z00_785 = 
CUCS2(BgL_auxz00_1198); } 
{ /* ./Llib/ucs2.scm 229 */
obj_t BgL_symbol1697z00_786;
BgL_symbol1697z00_786 = BGl_symbol2214z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 229 */

PUSH_TRACE(BgL_symbol1697z00_786); BUNSPEC; 
{ /* ./Llib/ucs2.scm 229 */
bool_t BgL_aux1696z00_787;
BgL_aux1696z00_787 = 
ucs2_lowerp(BgL_ucs2z00_785); 
POP_TRACE(); 
BgL_res2251z00_788 = BgL_aux1696z00_787; } } } } 
BgL_auxz00_1197 = BgL_res2251z00_788; } 
return 
BBOOL(BgL_auxz00_1197);} } 
}



/* ucs2-upcase */
BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2upcasezd2zz__ucs2z00(ucs2_t BgL_ucs2z00_27)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 234 */
{ /* ./Llib/ucs2.scm 235 */
obj_t BgL_symbol1701z00_789;
BgL_symbol1701z00_789 = BGl_symbol2216z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 235 */

PUSH_TRACE(BgL_symbol1701z00_789); BUNSPEC; 
{ /* ./Llib/ucs2.scm 235 */
ucs2_t BgL_aux1700z00_790;
BgL_aux1700z00_790 = 
ucs2_toupper(BgL_ucs2z00_27); 
POP_TRACE(); 
return BgL_aux1700z00_790;} } } } 
}



/* _ucs2-upcase */
obj_t BGl__ucs2zd2upcasezd2zz__ucs2z00(obj_t BgL_envz00_603, obj_t BgL_ucs2z00_604)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 234 */
{ /* ./Llib/ucs2.scm 235 */
ucs2_t BgL_auxz00_1212;
{ /* ./Llib/ucs2.scm 235 */
ucs2_t BgL_res2252z00_794;
{ /* ./Llib/ucs2.scm 235 */
ucs2_t BgL_ucs2z00_791;
{ /* ./Llib/ucs2.scm 235 */
obj_t BgL_auxz00_1213;
if(
UCS2P(BgL_ucs2z00_604))
{ /* ./Llib/ucs2.scm 235 */
BgL_auxz00_1213 = BgL_ucs2z00_604
; }  else 
{ /* ./Llib/ucs2.scm 235 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2217z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2z00_604, BGl_string2187z00zz__ucs2z00, 
BINT(((long)10406))); 
exit( -1 );} 
BgL_ucs2z00_791 = 
CUCS2(BgL_auxz00_1213); } 
{ /* ./Llib/ucs2.scm 235 */
obj_t BgL_symbol1701z00_792;
BgL_symbol1701z00_792 = BGl_symbol2216z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 235 */

PUSH_TRACE(BgL_symbol1701z00_792); BUNSPEC; 
{ /* ./Llib/ucs2.scm 235 */
ucs2_t BgL_aux1700z00_793;
BgL_aux1700z00_793 = 
ucs2_toupper(BgL_ucs2z00_791); 
POP_TRACE(); 
BgL_res2252z00_794 = BgL_aux1700z00_793; } } } } 
BgL_auxz00_1212 = BgL_res2252z00_794; } 
return 
BUCS2(BgL_auxz00_1212);} } 
}



/* ucs2-downcase */
BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2downcasezd2zz__ucs2z00(ucs2_t BgL_ucs2z00_28)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 240 */
{ /* ./Llib/ucs2.scm 241 */
obj_t BgL_symbol1705z00_795;
BgL_symbol1705z00_795 = BGl_symbol2218z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 241 */

PUSH_TRACE(BgL_symbol1705z00_795); BUNSPEC; 
{ /* ./Llib/ucs2.scm 241 */
ucs2_t BgL_aux1704z00_796;
BgL_aux1704z00_796 = 
ucs2_tolower(BgL_ucs2z00_28); 
POP_TRACE(); 
return BgL_aux1704z00_796;} } } } 
}



/* _ucs2-downcase */
obj_t BGl__ucs2zd2downcasezd2zz__ucs2z00(obj_t BgL_envz00_605, obj_t BgL_ucs2z00_606)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 240 */
{ /* ./Llib/ucs2.scm 241 */
ucs2_t BgL_auxz00_1227;
{ /* ./Llib/ucs2.scm 241 */
ucs2_t BgL_res2253z00_800;
{ /* ./Llib/ucs2.scm 241 */
ucs2_t BgL_ucs2z00_797;
{ /* ./Llib/ucs2.scm 241 */
obj_t BgL_auxz00_1228;
if(
UCS2P(BgL_ucs2z00_606))
{ /* ./Llib/ucs2.scm 241 */
BgL_auxz00_1228 = BgL_ucs2z00_606
; }  else 
{ /* ./Llib/ucs2.scm 241 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2219z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2z00_606, BGl_string2187z00zz__ucs2z00, 
BINT(((long)10690))); 
exit( -1 );} 
BgL_ucs2z00_797 = 
CUCS2(BgL_auxz00_1228); } 
{ /* ./Llib/ucs2.scm 241 */
obj_t BgL_symbol1705z00_798;
BgL_symbol1705z00_798 = BGl_symbol2218z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 241 */

PUSH_TRACE(BgL_symbol1705z00_798); BUNSPEC; 
{ /* ./Llib/ucs2.scm 241 */
ucs2_t BgL_aux1704z00_799;
BgL_aux1704z00_799 = 
ucs2_tolower(BgL_ucs2z00_797); 
POP_TRACE(); 
BgL_res2253z00_800 = BgL_aux1704z00_799; } } } } 
BgL_auxz00_1227 = BgL_res2253z00_800; } 
return 
BUCS2(BgL_auxz00_1227);} } 
}



/* integer->ucs2 */
BGL_EXPORTED_DEF ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int BgL_intz00_29)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 246 */
{ /* ./Llib/ucs2.scm 247 */
obj_t BgL_symbol1709z00_551;
BgL_symbol1709z00_551 = BGl_symbol2220z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 247 */

PUSH_TRACE(BgL_symbol1709z00_551); BUNSPEC; 
{ /* ./Llib/ucs2.scm 247 */
ucs2_t BgL_aux1708z00_552;
{ /* ./Llib/ucs2.scm 247 */
bool_t BgL_test1046z00_321;
{ /* ./Llib/ucs2.scm 247 */
bool_t BgL_testz00_1240;
{ /* ./Llib/ucs2.scm 247 */
long BgL_auxz00_1241;
BgL_auxz00_1241 = 
(long)(BgL_intz00_29); 
BgL_testz00_1240 = 
(BgL_auxz00_1241>((long)0)); } 
if(BgL_testz00_1240)
{ /* ./Llib/ucs2.scm 248 */
long BgL_auxz00_1244;
BgL_auxz00_1244 = 
(long)(BgL_intz00_29); 
BgL_test1046z00_321 = 
(BgL_auxz00_1244<((long)65536)); }  else 
{ /* ./Llib/ucs2.scm 247 */
BgL_test1046z00_321 = ((bool_t)0); } } 
if(BgL_test1046z00_321)
{ /* ./Llib/ucs2.scm 247 */
if(
ucs2_definedp(BgL_intz00_29))
{ /* ./Llib/ucs2.scm 249 */
BgL_aux1708z00_552 = 
INT_TO_UCS2(BgL_intz00_29); }  else 
{ /* ./Llib/ucs2.scm 249 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2221z00zz__ucs2z00, BGl_string2222z00zz__ucs2z00, 
BINT(BgL_intz00_29), "./Llib/ucs2.scm", ((long)11092)); 
{ /* ./Llib/ucs2.scm 251 */
obj_t BgL_auxz00_1253;
{ /* ./Llib/ucs2.scm 251 */
obj_t BgL_aux2079z00_669;
BgL_aux2079z00_669 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2187z00zz__ucs2z00, 
BINT(((long)11141))); 
if(
UCS2P(BgL_aux2079z00_669))
{ /* ./Llib/ucs2.scm 251 */
BgL_auxz00_1253 = BgL_aux2079z00_669
; }  else 
{ /* ./Llib/ucs2.scm 251 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2220z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_aux2079z00_669, BGl_string2187z00zz__ucs2z00, 
BINT(((long)11141))); 
exit( -1 );} } 
BgL_aux1708z00_552 = 
CUCS2(BgL_auxz00_1253); } } }  else 
{ /* ./Llib/ucs2.scm 247 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2221z00zz__ucs2z00, BGl_string2223z00zz__ucs2z00, 
BINT(BgL_intz00_29), "./Llib/ucs2.scm", ((long)11156)); 
{ /* ./Llib/ucs2.scm 252 */
obj_t BgL_auxz00_1264;
{ /* ./Llib/ucs2.scm 252 */
obj_t BgL_aux2098z00_671;
BgL_aux2098z00_671 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2187z00zz__ucs2z00, 
BINT(((long)11204))); 
if(
UCS2P(BgL_aux2098z00_671))
{ /* ./Llib/ucs2.scm 252 */
BgL_auxz00_1264 = BgL_aux2098z00_671
; }  else 
{ /* ./Llib/ucs2.scm 252 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2220z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_aux2098z00_671, BGl_string2187z00zz__ucs2z00, 
BINT(((long)11204))); 
exit( -1 );} } 
BgL_aux1708z00_552 = 
CUCS2(BgL_auxz00_1264); } } } 
POP_TRACE(); 
return BgL_aux1708z00_552;} } } } 
}



/* _integer->ucs2 */
obj_t BGl__integerzd2ze3ucs2z31zz__ucs2z00(obj_t BgL_envz00_607, obj_t BgL_intz00_608)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 246 */
{ /* ./Llib/ucs2.scm 247 */
ucs2_t BgL_auxz00_1274;
{ /* ./Llib/ucs2.scm 247 */
int BgL_auxz00_1275;
{ /* ./Llib/ucs2.scm 247 */
obj_t BgL_auxz00_1276;
if(
INTEGERP(BgL_intz00_608))
{ /* ./Llib/ucs2.scm 247 */
BgL_auxz00_1276 = BgL_intz00_608
; }  else 
{ /* ./Llib/ucs2.scm 247 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2224z00zz__ucs2z00, BGl_string2225z00zz__ucs2z00, BgL_intz00_608, BGl_string2187z00zz__ucs2z00, 
BINT(((long)10986))); 
exit( -1 );} 
BgL_auxz00_1275 = 
CINT(BgL_auxz00_1276); } 
BgL_auxz00_1274 = 
BGl_integerzd2ze3ucs2z31zz__ucs2z00(BgL_auxz00_1275); } 
return 
BUCS2(BgL_auxz00_1274);} } 
}



/* ucs2->integer */
BGL_EXPORTED_DEF int BGl_ucs2zd2ze3integerz31zz__ucs2z00(ucs2_t BgL_ucs2z00_30)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 257 */
{ /* ./Llib/ucs2.scm 258 */
obj_t BgL_symbol1713z00_801;
BgL_symbol1713z00_801 = BGl_symbol2226z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 258 */

PUSH_TRACE(BgL_symbol1713z00_801); BUNSPEC; 
{ /* ./Llib/ucs2.scm 258 */
int BgL_aux1712z00_802;
{ /* ./Llib/ucs2.scm 258 */
obj_t BgL_auxz00_1286;
BgL_auxz00_1286 = 
BUCS2(BgL_ucs2z00_30); 
BgL_aux1712z00_802 = 
CUCS2(BgL_auxz00_1286); } 
POP_TRACE(); 
return BgL_aux1712z00_802;} } } } 
}



/* _ucs2->integer */
obj_t BGl__ucs2zd2ze3integerz31zz__ucs2z00(obj_t BgL_envz00_609, obj_t BgL_ucs2z00_610)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 257 */
{ /* ./Llib/ucs2.scm 258 */
int BgL_auxz00_1290;
{ /* ./Llib/ucs2.scm 258 */
int BgL_res2254z00_806;
{ /* ./Llib/ucs2.scm 258 */
ucs2_t BgL_ucs2z00_803;
{ /* ./Llib/ucs2.scm 258 */
obj_t BgL_auxz00_1291;
if(
UCS2P(BgL_ucs2z00_610))
{ /* ./Llib/ucs2.scm 258 */
BgL_auxz00_1291 = BgL_ucs2z00_610
; }  else 
{ /* ./Llib/ucs2.scm 258 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2227z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2z00_610, BGl_string2187z00zz__ucs2z00, 
BINT(((long)11486))); 
exit( -1 );} 
BgL_ucs2z00_803 = 
CUCS2(BgL_auxz00_1291); } 
{ /* ./Llib/ucs2.scm 258 */
obj_t BgL_symbol1713z00_804;
BgL_symbol1713z00_804 = BGl_symbol2226z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 258 */

PUSH_TRACE(BgL_symbol1713z00_804); BUNSPEC; 
{ /* ./Llib/ucs2.scm 258 */
int BgL_aux1712z00_805;
{ /* ./Llib/ucs2.scm 258 */
obj_t BgL_auxz00_1299;
BgL_auxz00_1299 = 
BUCS2(BgL_ucs2z00_803); 
BgL_aux1712z00_805 = 
CUCS2(BgL_auxz00_1299); } 
POP_TRACE(); 
BgL_res2254z00_806 = BgL_aux1712z00_805; } } } } 
BgL_auxz00_1290 = BgL_res2254z00_806; } 
return 
BINT(BgL_auxz00_1290);} } 
}



/* char->ucs2 */
BGL_EXPORTED_DEF ucs2_t BGl_charzd2ze3ucs2z31zz__ucs2z00(char BgL_charz00_31)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 263 */
{ /* ./Llib/ucs2.scm 264 */
obj_t BgL_symbol1717z00_807;
BgL_symbol1717z00_807 = BGl_symbol2228z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 264 */

PUSH_TRACE(BgL_symbol1717z00_807); BUNSPEC; 
{ /* ./Llib/ucs2.scm 264 */
ucs2_t BgL_aux1716z00_808;
{ /* ./Llib/ucs2.scm 264 */
long BgL_arg1059z00_809;
{ /* ./Llib/ucs2.scm 264 */
unsigned char BgL_auxz00_1305;
BgL_auxz00_1305 = 
(unsigned char)(BgL_charz00_31); 
BgL_arg1059z00_809 = 
(BgL_auxz00_1305); } 
BgL_aux1716z00_808 = 
BGl_integerzd2ze3ucs2z31zz__ucs2z00(
(int)(BgL_arg1059z00_809)); } 
POP_TRACE(); 
return BgL_aux1716z00_808;} } } } 
}



/* _char->ucs2 */
obj_t BGl__charzd2ze3ucs2z31zz__ucs2z00(obj_t BgL_envz00_611, obj_t BgL_charz00_612)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 263 */
{ /* ./Llib/ucs2.scm 264 */
ucs2_t BgL_auxz00_1311;
{ /* ./Llib/ucs2.scm 264 */
ucs2_t BgL_res2255z00_814;
{ /* ./Llib/ucs2.scm 264 */
char BgL_charz00_810;
{ /* ./Llib/ucs2.scm 264 */
obj_t BgL_auxz00_1312;
if(
CHARP(BgL_charz00_612))
{ /* ./Llib/ucs2.scm 264 */
BgL_auxz00_1312 = BgL_charz00_612
; }  else 
{ /* ./Llib/ucs2.scm 264 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2229z00zz__ucs2z00, BGl_string2230z00zz__ucs2z00, BgL_charz00_612, BGl_string2187z00zz__ucs2z00, 
BINT(((long)11796))); 
exit( -1 );} 
BgL_charz00_810 = 
CCHAR(BgL_auxz00_1312); } 
{ /* ./Llib/ucs2.scm 264 */
obj_t BgL_symbol1717z00_811;
BgL_symbol1717z00_811 = BGl_symbol2228z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 264 */

PUSH_TRACE(BgL_symbol1717z00_811); BUNSPEC; 
{ /* ./Llib/ucs2.scm 264 */
ucs2_t BgL_aux1716z00_812;
{ /* ./Llib/ucs2.scm 264 */
long BgL_arg1059z00_813;
{ /* ./Llib/ucs2.scm 264 */
unsigned char BgL_auxz00_1320;
BgL_auxz00_1320 = 
(unsigned char)(BgL_charz00_810); 
BgL_arg1059z00_813 = 
(BgL_auxz00_1320); } 
BgL_aux1716z00_812 = 
BGl_integerzd2ze3ucs2z31zz__ucs2z00(
(int)(BgL_arg1059z00_813)); } 
POP_TRACE(); 
BgL_res2255z00_814 = BgL_aux1716z00_812; } } } } 
BgL_auxz00_1311 = BgL_res2255z00_814; } 
return 
BUCS2(BgL_auxz00_1311);} } 
}



/* ucs2->char */
BGL_EXPORTED_DEF char BGl_ucs2zd2ze3charz31zz__ucs2z00(ucs2_t BgL_ucs2z00_32)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 269 */
{ /* ./Llib/ucs2.scm 270 */
obj_t BgL_symbol1721z00_557;
BgL_symbol1721z00_557 = BGl_symbol2231z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 270 */

PUSH_TRACE(BgL_symbol1721z00_557); BUNSPEC; 
{ /* ./Llib/ucs2.scm 270 */
char BgL_aux1720z00_558;
{ /* ./Llib/ucs2.scm 270 */
int BgL_intz00_325;
{ /* ./Llib/ucs2.scm 270 */
obj_t BgL_auxz00_1328;
BgL_auxz00_1328 = 
BUCS2(BgL_ucs2z00_32); 
BgL_intz00_325 = 
CUCS2(BgL_auxz00_1328); } 
{ /* ./Llib/ucs2.scm 271 */
bool_t BgL_testz00_1331;
{ /* ./Llib/ucs2.scm 271 */
long BgL_auxz00_1332;
BgL_auxz00_1332 = 
(long)(BgL_intz00_325); 
BgL_testz00_1331 = 
(BgL_auxz00_1332<((long)256)); } 
if(BgL_testz00_1331)
{ /* ./Llib/ucs2.scm 272 */
unsigned char BgL_auxz00_1335;
BgL_auxz00_1335 = 
BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(
(long)(BgL_intz00_325)); 
BgL_aux1720z00_558 = 
(char)(BgL_auxz00_1335); }  else 
{ /* ./Llib/ucs2.scm 271 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2232z00zz__ucs2z00, BGl_string2233z00zz__ucs2z00, 
BUCS2(BgL_ucs2z00_32), "./Llib/ucs2.scm", ((long)12167)); 
{ /* ./Llib/ucs2.scm 274 */
obj_t BgL_auxz00_1341;
{ /* ./Llib/ucs2.scm 274 */
obj_t BgL_aux2160z00_679;
BgL_aux2160z00_679 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2187z00zz__ucs2z00, 
BINT(((long)12231))); 
if(
CHARP(BgL_aux2160z00_679))
{ /* ./Llib/ucs2.scm 274 */
BgL_auxz00_1341 = BgL_aux2160z00_679
; }  else 
{ /* ./Llib/ucs2.scm 274 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2231z00zz__ucs2z00, BGl_string2230z00zz__ucs2z00, BgL_aux2160z00_679, BGl_string2187z00zz__ucs2z00, 
BINT(((long)12231))); 
exit( -1 );} } 
BgL_aux1720z00_558 = 
CCHAR(BgL_auxz00_1341); } } } } 
POP_TRACE(); 
return BgL_aux1720z00_558;} } } } 
}



/* _ucs2->char */
obj_t BGl__ucs2zd2ze3charz31zz__ucs2z00(obj_t BgL_envz00_613, obj_t BgL_ucs2z00_614)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 269 */
{ /* ./Llib/ucs2.scm 270 */
char BgL_auxz00_1351;
{ /* ./Llib/ucs2.scm 270 */
ucs2_t BgL_auxz00_1352;
{ /* ./Llib/ucs2.scm 270 */
obj_t BgL_auxz00_1353;
if(
UCS2P(BgL_ucs2z00_614))
{ /* ./Llib/ucs2.scm 270 */
BgL_auxz00_1353 = BgL_ucs2z00_614
; }  else 
{ /* ./Llib/ucs2.scm 270 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2234z00zz__ucs2z00, BGl_string2186z00zz__ucs2z00, BgL_ucs2z00_614, BGl_string2187z00zz__ucs2z00, 
BINT(((long)12083))); 
exit( -1 );} 
BgL_auxz00_1352 = 
CUCS2(BgL_auxz00_1353); } 
BgL_auxz00_1351 = 
BGl_ucs2zd2ze3charz31zz__ucs2z00(BgL_auxz00_1352); } 
return 
BCHAR(BgL_auxz00_1351);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ucs2z00()
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 14 */
{ /* ./Llib/ucs2.scm 14 */
obj_t BgL_symbol1725z00_559;
BgL_symbol1725z00_559 = BGl_symbol2235z00zz__ucs2z00; 
{ /* ./Llib/ucs2.scm 14 */

PUSH_TRACE(BgL_symbol1725z00_559); BUNSPEC; 
{ /* ./Llib/ucs2.scm 14 */
obj_t BgL_aux1724z00_560;
BgL_aux1724z00_560 = 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__ucs2"); 
POP_TRACE(); 
return BgL_aux1724z00_560;} } } } 
}

